# Polish translation style guide

Use semi-formal Polish for translation, some specifics:

* Informal "you" (*ty*) instead of more formal approaches (e.g. plural
  "you" (*wy*), using any formal titles like *Państwo*, *Pan/Pani*).

* Imperative, active and continuous verbs, e.g. *manage streams* -
  *zarządzaj kanałami*, not *zarządź kanałami*.

* Not using reflexive *się*, e.g. *log out* would be simply *wyloguj*,
  not *wyloguj się*.

* Warm and friendly phrasing whenever appropriate.

* No slang or regional phrases that could be unclear or too informal,
  e.g. *zajawka*.

* Consistent usage of Zulip-specific terms and common verbs for
  actions, even if it means repeating - this is one of the key aspects
  of "semi-formal", as synonyms would be often more appropriate in
  written Polish.

* Mindful usage of long words and phrases - it's sometimes hard to
  translate English to Polish concisely, be mindful of how it looks on
  the frontend after translating.

* Balance common verbs and nouns with specific IT-related translations
  of English terms - this can be tricky, try to check how other
  resources were translated (e.g. GMail, Microsoft websites, Facebook)
  to decide what wouldn't sound awkward in Polish.

Some terms are very tricky to translate, so be sure to communicate
with other Polish speakers in the community. It's all about making
Zulip friendly and usable.

# Common translations

## Special terms used in Zulip

**customization**: personalizacja, *kastomizacja* could be too awkward
  and *dostosowanie do potrzeb klienta* is too long

**emoji**: emoji, both in singular and plural, *ikona emoji* is a pleonasm

**filter**: filtr (noun) and filtrowanie (verb)

**group PM**: czat grupowy, different from *wiadomość* since the usage
  of *czat grupowy* seems more common

**home**: strona główna

**me**: me, no translation since it's used as `/me`

**mention**: mention, translation as *wzmianka* or *wskazanie* wouldn't convey the meaning

**message table**: lista wiadomości

**muting a stream**: wyciszenie wątku

**narrow**: zawężenie (noun) and zawęzić (verb)

**pinning**: przypięcie (noun) and przypiąć (verb)

**private message**: prywatna wiadomość

**PM**: PM, translation could be confusing

**private stream**: prywatny kanał

**realm**: domena

**stream**: kanał, similar to a tv channel - *strumień* sounds a bit artificial

**subscribing to a stream**: (za)subskrybowanie kanału (noun) and
  (za)subskrybować kanał (verb), perfective form depending on the
  context

**topic**: wątek

**unsubscribing from a stream**: odsubskrybowanie kanału (noun) and odsubskrybować kanał (verb)

**view**: widok

**starred message**: oznaczona wiadomość
