# Add emoji

Emoji are little characters and that add some fun to your messages! This guide
shows you how to send messages containing emoji by using Zulip’s built-in emoji
menu, pasting Unicode, or manually inputting the emoji code.

## Using the emoji menu
1. Compose a [new message or reply](/help/reply-to-a-message).
2. Click the smiley face (<i class="icon-vector-smile"></i>) icon in the
bottom left corner of the compose box.
3. Upon clicking on the smiley face (<i class="icon-vector-smile"></i>)
icon, the emoji menu will appear below the compose box. Click on an emoji in
the emoji menu to include it in your message.

## Pasting Unicode
Zulip fully supports Unicode emoji. To use Unicode emoji in your message:

1. Copy any emoji you would like to include onto your clipboard, such as 😀.
2. Compose a [new message or reply](/help/reply-to-a-message).
3. Paste the emoji into the **Compose your message here...** field of the
compose box.

!!! tip ""
    You can browse the
    [Unicode Consortium's full list of emoji](http://unicode.org/emoji/charts/full-emoji-list.html);
    however, Zulip emoji may look different than the ones listed.

## Using emoji codes
1. Compose a [new message or reply](/help/reply-to-a-message).
2. In the **Compose your message here...** field, type in the emoji code
surrounded by colons. For example, `:smile:` produces the <img
src="/static/generated/emoji/images/emoji/smile.png" alt="smile"
style="width: 3%;"/> emoji.

!!! tip ""
    If you are unsure of the code for any particular emoji, visit
    [Emoji Cheat Sheet](http://www.webpagefx.com/tools/emoji-cheat-sheet/)
    for a complete list. Furthermore, after typing `:` and any two letters,
    autocomplete suggestions will appear. These emoji contain the letters you
    typed and are sorted alphabetically by code. You can also cycle through
    these suggestions by using the `↑` and `↓` arrow keys.
