# Mute a topic

If you would like to stop receiving notifications from a certain topic, you can
choose to mute it. You can [mute the whole stream](/help/mute-a-stream)
as well.

There are two main ways of muting a topic; you can mute a topic through the
stream list or through your current filter.

## Mute a topic through the stream list

1. Find the **Streams** section located on the left sidebar. In the list, click
on the stream that the topic you want to mute belongs to. Upon clicking on the
stream's name, all the topics of the stream will appear.

2. In the stream's topics list, hover over a topic to reveal a {!down-chevron.md!}
To mute the topic, simply select the **Mute the topic (topic name)** option
from the dropdown.

3. Upon clicking **Mute the topic (topic name)**, a tooltip titled **Topic Muted**
will appear, and the topic will be grayed out in the stream list dropdown,
confirming the success of your muting of the topic.

## Mute a topic through your current view

1. The default **Home** view displays all messages from unmuted streams and topics
that you are subscribed to. Find a message belonging to the topic that you wish
to mute in your current filter or in the **Home** view.

    !!! tip ""
        Alternatively, you can narrow your view to messages sent to the topic
        that you want to mute by using the search operator `topic:(topic name)`
        in the search bar.

{!message-actions.md!}
{!down-chevron.md!}

3. Select the **Mute the topic (topic name)** option from the dropdown to mute
the topic that the selected message belongs to.

4. Upon clicking **Mute the topic (topic name)**, a dialog titled **Topic Muted**
will appear, and any messages belonging to the topic will disappear from your
filter, confirming the success of your muting of the topic.

## Unmute a topic through the stream list

1. Find the **Streams** section located in the left sidebar. In the list, click
the stream that the topic you want to unmute. Upon clicking on the
stream's name, recent topics of the stream will appear.

2. In the stream's topics list, hover over the muted (and grayed out) topic to
reveal a {!down-chevron.md!} To unmute the topic, simply select the
**Unmute the topic (topic name)** option from the dropdown.

3. Upon clicking **Unmute the topic (topic name)**, the topic will no longer be
grayed out in the stream list dropdown, confirming the success of your unmuting
of the topic.

## Unmute a topic by narrowing to it

1. Narrow to messages sent to the topic that you want to unmute by pressing the
topic's name in the **Streams** section located on the left sidebar, or by
using the search operator `topic:(topic name)` in the search bar.

{!message-actions.md!}
{!down-chevron.md!}

3. Select the **Unmute the topic (topic name)** option from the dropdown to
unmute the topic that the selected message belongs to.

4. Upon clicking **Unmute the topic (topic name)**, any messages belonging to
the topic will reappear in your filters and the topic will stop being grayed
out in the **Streams** section, confirming the success of your unmuting of the
topic.

## Unmute a topic through the Settings page

{!go-to-the.md!} [Muted topics](/#settings/muted-topics)
{!settings.md!}

2. Locate the topic you want to unmute in the **Muted topics** section; the
topics are sorted according to when you first muted a topic in the selected
topic's corresponding stream, oldest to newest.

3. Click on the **Unmute** link to the right of the topic you want to unmute.

4. Upon clicking the **Unmute** link, any messages belonging to the topic will
reappear in your filters and the topic will stop being grayed out in the
**Streams** section, confirming the success of your unmuting of the topic.
