# The Zulip browser window

There are three major components the your Zulip browser window.

## Central panel
Some features for viewing, sending, or searching for messages are located in the
central panel of your browser window.

![Central panel](/static/images/help/central-panel.png)

### Search bar
The **search bar** is located at the top of the central panel. This feature
allows you to narrow your view to show specific messages using
[search constraints](/help/search-for-messages).

!!! tip ""
    If your current filter is not the **Home** view, clicking on the home ((<i
    class="icon-vector-home"></i>) icon to the left of the search bar will also
    narrow your view to that of the **Home** view.

### Message table
The **message table** displays your messages in the middle of your browser
window. Depending on your current filter or search constraints, certain messages
that you have received will be hidden from the message table.

### Compose box
The **Compose box** is located under the message table. By default, the compose
box consists of two buttons: **New topic** and **New private message**.

However, when either the **New topic** or **New private message**
button is clicked or when you are in the middle of composing a message, the
compose box transforms to include:

* **Stream**, **Topic**, and **Compose your message here...** inputs when you
compose a [stream message](/help/send-a-stream-message).

    ![Stream message](/static/images/help/new-stream.png)

* **one or more people...** and **Compose your message here...** inputs when you
compose a [private message](/help/send-a-private-message).

    ![Message table](/static/images/help/private-box.png)

## Left sidebar
Located on the left side of your browser window, the **left sidebar** shows
options for narrowing your view.

![Left sidebar](/static/images/help/left_sidebar.png)

### Preset filters
Preset filters are located at the top of the left sidebar.

* Clicking on the **Home** filter narrows your view to show all messages from
unmuted streams that you're subscribed to as well as private messages that
you have received.

    !!! tip ""
        If your current filter is not the **Home** view, clicking on the Zulip
        logo will also narrow your view to that of the **Home** view.

* Clicking on the **Private messages** filter narrows your view to show all
private messages that you have received.
* Clicking on the **Starred messages** filter narrows your view to show all
messages that you have [starred](/help/star-a-message).
* Clicking on the **Mentions** filter narrows your view to show all messages
in which you were [mentioned](/help/at-mention-a-team-member).

### Streams section
Located below the preset filters, the **Streams** section shows all the streams
that you are subscribed to.

* Public streams are represented by a hashtag (<span style="font-size: 1.3rem;
font-weight: 800">#</span>) icon, and private streams are represented by a lock
(<i class="icon-vector-lock"></i>) icon.
* There are two icons located next to the **Streams** section header:
    * Clicking the magnifying glass (<i class="icon-vector-search"></i>) icon
    reveals an input that allows you to search for streams.
    * Clicking the cog (<i class="icon-vector-cog"></i>) icon allows you to
    [navigate](/help/browse-and-subscribe-to-streams#browse-streams) to the
    [Streams](/#streams) page.
* Hovering over a stream in the **Streams** section reveals a
chevron that allows you to modify the stream's settings when you click on it.
* Clicking on a stream in the **Streams** section allows you to narrow your view
to the stream's messages and view all topics in the stream.
    * Similarly, hovering over a topic in the **Streams** section reveals a
    down chevron (<i class="icon-vector-chevron-down"></i>) icon that allows you
    to modify the topic's settings when you click on it.

## Right sidebar
The **right sidebar** shows users in your Zulip organization and some
configuration settings on the right side of the browser window.

   ![Right sidebar](/static/images/help/right_sidebar.png)

### Configuration settings

You can access your configuration settings, such as **Settings**,  by clicking the cog (<i
class="icon-vector-cog"></i>) icon in the top right corner of the right sidebar.

### Users section

The **Users** section, also known as the **user list**, shows the statuses of
all users in your organization.

!!! tip ""
    The right sidebar is hidden on narrow screens. To display the user list on
    narrow screens, you can [configure](/help/move-the-users-list-to-the-left-sidebar)
    your user list to be displayed on the left sidebar.

* You can search for specific users in the **Search people** input located
directly under the **Users** section header.
* Hovering over a user in the **Users** section reveals a down chevron (<i
class="icon-vector-chevron-down"></i>) icon that allows you to perform several
narrowing and message composing actions when you click on it.
* Clicking on a user in the **Users** section allows you to narrow your view
to your private messages with that particular user.
