/*

  The software provided in this file is offered under a variety of free and open
  source licenses. Unless otherwise specified, software is provided under the
  Apache License, Version 2.0, for which the following text applies:

    Copyright 2011-2016 Dropbox Inc. and contributors.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

  If some of the software in this file is offered under a different license,
  information about that license will appear in this file.
*/
/*

 The "bootstrap-notify" Software from "Goodybag, Inc." is:
 Copyright 2013 Nijiko Yonskai @nijikokun
 Copyright 2012 Goodybag, Inc.
 and is provided
 under the following license (the bootstrap-notify software has been modified):
 --
 TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

 1. Definitions.

 "License" shall mean the terms and conditions for use, reproduction, and
 distribution as defined by Sections 1 through 9 of this document.

 "Licensor" shall mean the copyright owner or entity authorized by the copyright
 owner that is granting the License.

 "Legal Entity" shall mean the union of the acting entity and all other entities
 that control, are controlled by, or are under common control with that
 entity. For the purposes of this definition, "control" means (i) the power,
 direct or indirect, to cause the direction or management of such entity,
 whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or
 more of the outstanding shares, or (iii) beneficial ownership of such entity.

 "You" (or "Your") shall mean an individual or Legal Entity exercising
 permissions granted by this License.

 "Source" form shall mean the preferred form for making modifications, including
 but not limited to software source code, documentation source, and
 configuration files.

 "Object" form shall mean any form resulting from mechanical transformation or
 translation of a Source form, including but not limited to compiled object
 code, generated documentation, and conversions to other media types.

 "Work" shall mean the work of authorship, whether in Source or Object form,
 made available under the License, as indicated by a copyright notice that is
 included in or attached to the work (an example is provided in the Appendix
 below).

 "Derivative Works" shall mean any work, whether in Source or Object form, that
 is based on (or derived from) the Work and for which the editorial revisions,
 annotations, elaborations, or other modifications represent, as a whole, an
 original work of authorship. For the purposes of this License, Derivative Works
 shall not include works that remain separable from, or merely link (or bind by
 name) to the interfaces of, the Work and Derivative Works thereof.

 "Contribution" shall mean any work of authorship, including the original
 version of the Work and any modifications or additions to that Work or
 Derivative Works thereof, that is intentionally submitted to Licensor for
 inclusion in the Work by the copyright owner or by an individual or Legal
 Entity authorized to submit on behalf of the copyright owner. For the purposes
 of this definition, "submitted" means any form of electronic, verbal, or
 written communication sent to the Licensor or its representatives, including
 but not limited to communication on electronic mailing lists, source code
 control systems, and issue tracking systems that are managed by, or on behalf
 of, the Licensor for the purpose of discussing and improving the Work, but
 excluding communication that is conspicuously marked or otherwise designated in
 writing by the copyright owner as "Not a Contribution."

 "Contributor" shall mean Licensor and any individual or Legal Entity on behalf
 of whom a Contribution has been received by Licensor and subsequently
 incorporated within the Work.

 2. Grant of Copyright License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable copyright license to
 reproduce, prepare Derivative Works of, publicly display, publicly perform,
 sublicense, and distribute the Work and such Derivative Works in Source or
 Object form.

 3. Grant of Patent License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this
 section) patent license to make, have made, use, offer to sell, sell, import,
 and otherwise transfer the Work, where such license applies only to those
 patent claims licensable by such Contributor that are necessarily infringed by
 their Contribution(s) alone or by combination of their Contribution(s) with the
 Work to which such Contribution(s) was submitted. If You institute patent
 litigation against any entity (including a cross-claim or counterclaim in a
 lawsuit) alleging that the Work or a Contribution incorporated within the Work
 constitutes direct or contributory patent infringement, then any patent
 licenses granted to You under this License for that Work shall terminate as of
 the date such litigation is filed.

 4. Redistribution. You may reproduce and distribute copies of the Work or
 Derivative Works thereof in any medium, with or without modifications, and in
 Source or Object form, provided that You meet the following conditions:

 You must give any other recipients of the Work or Derivative Works a copy of
 this License; and You must cause any modified files to carry prominent notices
 stating that You changed the files; and You must retain, in the Source form of
 any Derivative Works that You distribute, all copyright, patent, trademark, and
 attribution notices from the Source form of the Work, excluding those notices
 that do not pertain to any part of the Derivative Works; and If the Work
 includes a "NOTICE" text file as part of its distribution, then any Derivative
 Works that You distribute must include a readable copy of the attribution
 notices contained within such NOTICE file, excluding those notices that do not
 pertain to any part of the Derivative Works, in at least one of the following
 places: within a NOTICE text file distributed as part of the Derivative Works;
 within the Source form or documentation, if provided along with the Derivative
 Works; or, within a display generated by the Derivative Works, if and wherever
 such third-party notices normally appear. The contents of the NOTICE file are
 for informational purposes only and do not modify the License. You may add Your
 own attribution notices within Derivative Works that You distribute, alongside
 or as an addendum to the NOTICE text from the Work, provided that such
 additional attribution notices cannot be construed as modifying the License.

 You may add Your own copyright statement to Your modifications and may provide
 additional or different license terms and conditions for use, reproduction, or
 distribution of Your modifications, or for any such Derivative Works as a
 whole, provided Your use, reproduction, and distribution of the Work otherwise
 complies with the conditions stated in this License.  5. Submission of
 Contributions. Unless You explicitly state otherwise, any Contribution
 intentionally submitted for inclusion in the Work by You to the Licensor shall
 be under the terms and conditions of this License, without any additional terms
 or conditions. Notwithstanding the above, nothing herein shall supersede or
 modify the terms of any separate license agreement you may have executed with
 Licensor regarding such Contributions.

 6. Trademarks. This License does not grant permission to use the trade names,
 trademarks, service marks, or product names of the Licensor, except as required
 for reasonable and customary use in describing the origin of the Work and
 reproducing the content of the NOTICE file.

 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in
 writing, Licensor provides the Work (and each Contributor provides its
 Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied, including, without limitation, any warranties
 or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
 PARTICULAR PURPOSE. You are solely responsible for determining the
 appropriateness of using or redistributing the Work and assume any risks
 associated with Your exercise of permissions under this License.

 8. Limitation of Liability. In no event and under no legal theory, whether in
 tort (including negligence), contract, or otherwise, unless required by
 applicable law (such as deliberate and grossly negligent acts) or agreed to in
 writing, shall any Contributor be liable to You for damages, including any
 direct, indirect, special, incidental, or consequential damages of any
 character arising as a result of this License or out of the use or inability to
 use the Work (including but not limited to damages for loss of goodwill, work
 stoppage, computer failure or malfunction, or any and all other commercial
 damages or losses), even if such Contributor has been advised of the
 possibility of such damages.

 9. Accepting Warranty or Additional Liability. While redistributing the Work or
 Derivative Works thereof, You may choose to offer, and charge a fee for,
 acceptance of support, warranty, indemnity, or other liability obligations
 and/or rights consistent with this License. However, in accepting such
 obligations, You may act only on Your own behalf and on Your sole
 responsibility, not on behalf of any other Contributor, and only if You agree
 to indemnify, defend, and hold each Contributor harmless for any liability
 incurred by, or claims asserted against, such Contributor by reason of your
 accepting any such warranty or additional liability.

 END OF TERMS AND CONDITIONS
 --
*/
(function(g){var k=function(c,a){this.$element=g(c);this.$note=g('<div class="alert"></div>');this.options=g.extend(!0,{},g.fn.notify.defaults,a);this._link=null;this.options.transition?"fade"===this.options.transition?this.$note.addClass("in").addClass(this.options.transition):this.$note.addClass(this.options.transition):this.$note.addClass("fade").addClass("in");this.options.type?this.$note.addClass("alert-"+this.options.type):this.$note.addClass("alert-success");this.options.message&&("string"===
typeof this.options.message?this.$note.html(this.options.message):"object"===typeof this.options.message&&(this.options.message.html?this.$note.html(this.options.message.html):this.options.message.text&&this.$note.text(this.options.message.text)));this.options.closable&&(this._link=g('<a class="close pull-right">&times;</a>'),g(this._link).on("click",g.proxy(k.onClose,this)),this.$note.prepend(this._link));return this};k.onClose=function(){this.options.onClose();g(this.$note).remove();this.options.onClosed()};
k.prototype.show=function(){this.options.fadeOut.enabled&&this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",g.proxy(k.onClose,this));this.$element.append(this.$note);this.$note.alert()};k.prototype.hide=function(){this.options.fadeOut.enabled?this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",g.proxy(k.onClose,this)):k.onClose.call(this)};g.fn.notify=function(c){return new k(this,c)};g.fn.notify.defaults={type:"success",closable:!0,transition:"fade",fadeOut:{enabled:!0,
delay:3E3},message:null,onClose:function(){},onClosed:function(){}}})(window.jQuery);(function(g){function k(){this.fake=!0;this.boundary="--------FormData"+Math.random();this._fields=[]}g.FormData||(k.prototype.append=function(c,a){this._fields.push([c,a])},k.prototype.toString=function(){var c=this.boundary,a="";this._fields.forEach(function(b){a+="--"+c+"\r\n";if(b[1].name){var f=b[1];a+='Content-Disposition: form-data; name="'+b[0]+'"; filename="'+f.name+'"\r\n';a+="Content-Type: "+f.type+"\r\n\r\n";a+=f.getAsBinary()+"\r\n"}else a+='Content-Disposition: form-data; name="'+b[0]+
'";\r\n\r\n',a+=b[1]+"\r\n"});return a+="--"+c+"--"},g.FormData=k)})(window);(function(g){"function"===typeof define&&define.amd?define(["jquery"],g):"object"===typeof module&&module.exports?module.exports=g(require("jquery")):g(jQuery)})(function(g){g.extend(g.fn,{validate:function(a){if(this.length){var b=g.data(this[0],"validator");if(b)return b;this.attr("novalidate","novalidate");b=new g.validator(a,this[0]);g.data(this[0],"validator",b);b.settings.onsubmit&&(this.on("click.validate",":submit",function(a){b.settings.submitHandler&&(b.submitButton=a.target);g(this).hasClass("cancel")&&
(b.cancelSubmit=!0);void 0!==g(this).attr("formnovalidate")&&(b.cancelSubmit=!0)}),this.on("submit.validate",function(a){function d(){var d,c;return b.settings.submitHandler?(b.submitButton&&(d=g("<input type='hidden'/>").attr("name",b.submitButton.name).val(g(b.submitButton).val()).appendTo(b.currentForm)),c=b.settings.submitHandler.call(b,b.currentForm,a),b.submitButton&&d.remove(),void 0!==c?c:!1):!0}b.settings.debug&&a.preventDefault();if(b.cancelSubmit)return b.cancelSubmit=!1,d();if(b.form())return b.pendingRequest?
(b.formSubmitted=!0,!1):d();b.focusInvalid();return!1}));return b}a&&(a.debug&&window.console)&&console.warn("Nothing selected, can't validate, returning nothing.")},valid:function(){var a,b,c;g(this[0]).is("form")?a=this.validate().form():(c=[],a=!0,b=g(this[0].form).validate(),this.each(function(){(a=b.element(this)&&a)||(c=c.concat(b.errorList))}),b.errorList=c);return a},rules:function(a,b){var c=this[0],d,e,h,l;if(!(null==c||null==c.form)){if(a)switch(d=g.data(c.form,"validator").settings,e=
d.rules,h=g.validator.staticRules(c),a){case "add":g.extend(h,g.validator.normalizeRule(b));delete h.messages;e[c.name]=h;b.messages&&(d.messages[c.name]=g.extend(d.messages[c.name],b.messages));break;case "remove":if(!b)return delete e[c.name],h;l={};g.each(b.split(/\s/),function(a,b){l[b]=h[b];delete h[b];"required"===b&&g(c).removeAttr("aria-required")});return l}d=g.validator.normalizeRules(g.extend({},g.validator.classRules(c),g.validator.attributeRules(c),g.validator.dataRules(c),g.validator.staticRules(c)),
c);d.required&&(e=d.required,delete d.required,d=g.extend({required:e},d),g(c).attr("aria-required","true"));d.remote&&(e=d.remote,delete d.remote,d=g.extend(d,{remote:e}));return d}}});g.extend(g.expr.pseudos||g.expr[":"],{blank:function(a){return!g.trim(""+g(a).val())},filled:function(a){a=g(a).val();return null!==a&&!!g.trim(""+a)},unchecked:function(a){return!g(a).prop("checked")}});g.validator=function(a,b){this.settings=g.extend(!0,{},g.validator.defaults,a);this.currentForm=b;this.init()};
g.validator.format=function(a,b){if(1===arguments.length)return function(){var b=g.makeArray(arguments);b.unshift(a);return g.validator.format.apply(this,b)};if(void 0===b)return a;2<arguments.length&&b.constructor!==Array&&(b=g.makeArray(arguments).slice(1));b.constructor!==Array&&(b=[b]);g.each(b,function(b,d){a=a.replace(RegExp("\\{"+b+"\\}","g"),function(){return d})});return a};g.extend(g.validator,{defaults:{messages:{},groups:{},rules:{},errorClass:"error",pendingClass:"pending",validClass:"valid",
errorElement:"label",focusCleanup:!1,focusInvalid:!0,errorContainer:g([]),errorLabelContainer:g([]),onsubmit:!0,ignore:":hidden",ignoreTitle:!1,onfocusin:function(a){this.lastActive=a;this.settings.focusCleanup&&(this.settings.unhighlight&&this.settings.unhighlight.call(this,a,this.settings.errorClass,this.settings.validClass),this.hideThese(this.errorsFor(a)))},onfocusout:function(a){!this.checkable(a)&&(a.name in this.submitted||!this.optional(a))&&this.element(a)},onkeyup:function(a,b){var c=[16,
17,18,20,35,36,37,38,39,40,45,144,225];9===b.which&&""===this.elementValue(a)||-1!==g.inArray(b.keyCode,c)||(a.name in this.submitted||a.name in this.invalid)&&this.element(a)},onclick:function(a){a.name in this.submitted?this.element(a):a.parentNode.name in this.submitted&&this.element(a.parentNode)},highlight:function(a,b,c){"radio"===a.type?this.findByName(a.name).addClass(b).removeClass(c):g(a).addClass(b).removeClass(c)},unhighlight:function(a,b,c){"radio"===a.type?this.findByName(a.name).removeClass(b).addClass(c):
g(a).removeClass(b).addClass(c)}},setDefaults:function(a){g.extend(g.validator.defaults,a)},messages:{required:"This field is required.",remote:"Please fix this field.",email:"Please enter a valid email address.",url:"Please enter a valid URL.",date:"Please enter a valid date.",dateISO:"Please enter a valid date (ISO).",number:"Please enter a valid number.",digits:"Please enter only digits.",equalTo:"Please enter the same value again.",maxlength:g.validator.format("Please enter no more than {0} characters."),
minlength:g.validator.format("Please enter at least {0} characters."),rangelength:g.validator.format("Please enter a value between {0} and {1} characters long."),range:g.validator.format("Please enter a value between {0} and {1}."),max:g.validator.format("Please enter a value less than or equal to {0}."),min:g.validator.format("Please enter a value greater than or equal to {0}."),step:g.validator.format("Please enter a multiple of {0}.")},autoCreateRanges:!1,prototype:{init:function(){function a(a){!this.form&&
this.hasAttribute("contenteditable")&&(this.form=g(this).closest("form")[0]);var b=g.data(this.form,"validator"),c="on"+a.type.replace(/^validate/,""),f=b.settings;f[c]&&!g(this).is(f.ignore)&&f[c].call(b,this,a)}this.labelContainer=g(this.settings.errorLabelContainer);this.errorContext=this.labelContainer.length&&this.labelContainer||g(this.currentForm);this.containers=g(this.settings.errorContainer).add(this.settings.errorLabelContainer);this.submitted={};this.valueCache={};this.pendingRequest=
0;this.pending={};this.invalid={};this.reset();var b=this.groups={},c;g.each(this.settings.groups,function(a,c){"string"===typeof c&&(c=c.split(/\s/));g.each(c,function(c,e){b[e]=a})});c=this.settings.rules;g.each(c,function(a,b){c[a]=g.validator.normalizeRule(b)});g(this.currentForm).on("focusin.validate focusout.validate keyup.validate",":text, [type='password'], [type='file'], select, textarea, [type='number'], [type='search'], [type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'], [type='radio'], [type='checkbox'], [contenteditable], [type='button']",
a).on("click.validate","select, option, [type='radio'], [type='checkbox']",a);if(this.settings.invalidHandler)g(this.currentForm).on("invalid-form.validate",this.settings.invalidHandler);g(this.currentForm).find("[required], [data-rule-required], .required").attr("aria-required","true")},form:function(){this.checkForm();g.extend(this.submitted,this.errorMap);this.invalid=g.extend({},this.errorMap);this.valid()||g(this.currentForm).triggerHandler("invalid-form",[this]);this.showErrors();return this.valid()},
checkForm:function(){this.prepareForm();for(var a=0,b=this.currentElements=this.elements();b[a];a++)this.check(b[a]);return this.valid()},element:function(a){var b=this.clean(a),c=this.validationTargetFor(b),d=this,e=!0,h,l;void 0===c?delete this.invalid[b.name]:(this.prepareElement(c),this.currentElements=g(c),(l=this.groups[c.name])&&g.each(this.groups,function(a,h){if(h===l&&a!==c.name&&(b=d.validationTargetFor(d.clean(d.findByName(a))))&&b.name in d.invalid)d.currentElements.push(b),e=d.check(b)&&
e}),h=!1!==this.check(c),e=e&&h,this.invalid[c.name]=h?!1:!0,this.numberOfInvalids()||(this.toHide=this.toHide.add(this.containers)),this.showErrors(),g(a).attr("aria-invalid",!h));return e},showErrors:function(a){if(a){var b=this;g.extend(this.errorMap,a);this.errorList=g.map(this.errorMap,function(a,d){return{message:a,element:b.findByName(d)[0]}});this.successList=g.grep(this.successList,function(b){return!(b.name in a)})}this.settings.showErrors?this.settings.showErrors.call(this,this.errorMap,
this.errorList):this.defaultShowErrors()},resetForm:function(){g.fn.resetForm&&g(this.currentForm).resetForm();this.invalid={};this.submitted={};this.prepareForm();this.hideErrors();var a=this.elements().removeData("previousValue").removeAttr("aria-invalid");this.resetElements(a)},resetElements:function(a){var b;if(this.settings.unhighlight)for(b=0;a[b];b++)this.settings.unhighlight.call(this,a[b],this.settings.errorClass,""),this.findByName(a[b].name).removeClass(this.settings.validClass);else a.removeClass(this.settings.errorClass).removeClass(this.settings.validClass)},
numberOfInvalids:function(){return this.objectLength(this.invalid)},objectLength:function(a){var b=0,c;for(c in a)a[c]&&b++;return b},hideErrors:function(){this.hideThese(this.toHide)},hideThese:function(a){a.not(this.containers).text("");this.addWrapper(a).hide()},valid:function(){return 0===this.size()},size:function(){return this.errorList.length},focusInvalid:function(){if(this.settings.focusInvalid)try{g(this.findLastActive()||this.errorList.length&&this.errorList[0].element||[]).filter(":visible").focus().trigger("focusin")}catch(a){}},
findLastActive:function(){var a=this.lastActive;return a&&1===g.grep(this.errorList,function(b){return b.element.name===a.name}).length&&a},elements:function(){var a=this,b={};return g(this.currentForm).find("input, select, textarea, [contenteditable]").not(":submit, :reset, :image, :disabled").not(this.settings.ignore).filter(function(){var c=this.name||g(this).attr("name");!c&&(a.settings.debug&&window.console)&&console.error("%o has no name assigned",this);this.hasAttribute("contenteditable")&&
(this.form=g(this).closest("form")[0]);return c in b||!a.objectLength(g(this).rules())?!1:b[c]=!0})},clean:function(a){return g(a)[0]},errors:function(){var a=this.settings.errorClass.split(" ").join(".");return g(this.settings.errorElement+"."+a,this.errorContext)},resetInternals:function(){this.successList=[];this.errorList=[];this.errorMap={};this.toShow=g([]);this.toHide=g([])},reset:function(){this.resetInternals();this.currentElements=g([])},prepareForm:function(){this.reset();this.toHide=this.errors().add(this.containers)},
prepareElement:function(a){this.reset();this.toHide=this.errorsFor(a)},elementValue:function(a){var b=g(a),c=a.type;if("radio"===c||"checkbox"===c)return this.findByName(a.name).filter(":checked").val();if("number"===c&&"undefined"!==typeof a.validity)return a.validity.badInput?"NaN":b.val();a=a.hasAttribute("contenteditable")?b.text():b.val();if("file"===c){if("C:\\fakepath\\"===a.substr(0,12))return a.substr(12);c=a.lastIndexOf("/");if(0<=c)return a.substr(c+1);c=a.lastIndexOf("\\");return 0<=c?
a.substr(c+1):a}return"string"===typeof a?a.replace(/\r/g,""):a},check:function(a){a=this.validationTargetFor(this.clean(a));var b=g(a).rules(),c=g.map(b,function(a,b){return b}).length,d=!1,e=this.elementValue(a),h,l,m;if("function"===typeof b.normalizer){e=b.normalizer.call(a,e);if("string"!==typeof e)throw new TypeError("The normalizer should return a string value.");delete b.normalizer}for(l in b){m={method:l,parameters:b[l]};try{if(h=g.validator.methods[l].call(this,e,a,m.parameters),"dependency-mismatch"===
h&&1===c)d=!0;else{d=!1;if("pending"===h){this.toHide=this.toHide.not(this.errorsFor(a));return}if(!h)return this.formatAndAdd(a,m),!1}}catch(k){throw this.settings.debug&&window.console&&console.log("Exception occurred when checking element "+a.id+", check the '"+m.method+"' method.",k),k instanceof TypeError&&(k.message+=".  Exception occurred when checking element "+a.id+", check the '"+m.method+"' method."),k;}}if(!d)return this.objectLength(b)&&this.successList.push(a),!0},customDataMessage:function(a,
b){return g(a).data("msg"+b.charAt(0).toUpperCase()+b.substring(1).toLowerCase())||g(a).data("msg")},customMessage:function(a,b){var c=this.settings.messages[a];return c&&(c.constructor===String?c:c[b])},findDefined:function(){for(var a=0;a<arguments.length;a++)if(void 0!==arguments[a])return arguments[a]},defaultMessage:function(a,b){"string"===typeof b&&(b={method:b});var c=this.findDefined(this.customMessage(a.name,b.method),this.customDataMessage(a,b.method),!this.settings.ignoreTitle&&a.title||
void 0,g.validator.messages[b.method],"<strong>Warning: No message defined for "+a.name+"</strong>"),d=/\$?\{(\d+)\}/g;"function"===typeof c?c=c.call(this,b.parameters,a):d.test(c)&&(c=g.validator.format(c.replace(d,"{$1}"),b.parameters));return c},formatAndAdd:function(a,b){var c=this.defaultMessage(a,b);this.errorList.push({message:c,element:a,method:b.method});this.errorMap[a.name]=c;this.submitted[a.name]=c},addWrapper:function(a){this.settings.wrapper&&(a=a.add(a.parent(this.settings.wrapper)));
return a},defaultShowErrors:function(){var a,b;for(a=0;this.errorList[a];a++)b=this.errorList[a],this.settings.highlight&&this.settings.highlight.call(this,b.element,this.settings.errorClass,this.settings.validClass),this.showLabel(b.element,b.message);this.errorList.length&&(this.toShow=this.toShow.add(this.containers));if(this.settings.success)for(a=0;this.successList[a];a++)this.showLabel(this.successList[a]);if(this.settings.unhighlight){a=0;for(b=this.validElements();b[a];a++)this.settings.unhighlight.call(this,
b[a],this.settings.errorClass,this.settings.validClass)}this.toHide=this.toHide.not(this.toShow);this.hideErrors();this.addWrapper(this.toShow).show()},validElements:function(){return this.currentElements.not(this.invalidElements())},invalidElements:function(){return g(this.errorList).map(function(){return this.element})},showLabel:function(a,b){var c,d,e,h=this.errorsFor(a),l=this.idOrName(a),m=g(a).attr("aria-describedby");if(h.length)h.removeClass(this.settings.validClass).addClass(this.settings.errorClass),
h.html(b);else if(c=h=g("<"+this.settings.errorElement+">").attr("id",l+"-error").addClass(this.settings.errorClass).html(b||""),this.settings.wrapper&&(c=h.hide().show().wrap("<"+this.settings.wrapper+"/>").parent()),this.labelContainer.length?this.labelContainer.append(c):this.settings.errorPlacement?this.settings.errorPlacement.call(this,c,g(a)):c.insertAfter(a),h.is("label"))h.attr("for",l);else if(0===h.parents("label[for='"+this.escapeCssMeta(l)+"']").length&&(c=h.attr("id"),m?m.match(RegExp("\\b"+
this.escapeCssMeta(c)+"\\b"))||(m+=" "+c):m=c,g(a).attr("aria-describedby",m),d=this.groups[a.name]))e=this,g.each(e.groups,function(a,b){b===d&&g("[name='"+e.escapeCssMeta(a)+"']",e.currentForm).attr("aria-describedby",h.attr("id"))});!b&&this.settings.success&&(h.text(""),"string"===typeof this.settings.success?h.addClass(this.settings.success):this.settings.success(h,a));this.toShow=this.toShow.add(h)},errorsFor:function(a){var b=this.escapeCssMeta(this.idOrName(a));a=g(a).attr("aria-describedby");
b="label[for='"+b+"'], label[for='"+b+"'] *";a&&(b=b+", #"+this.escapeCssMeta(a).replace(/\s+/g,", #"));return this.errors().filter(b)},escapeCssMeta:function(a){return a.replace(/([\\!"#$%&'()*+,./:;<=>?@\[\]^`{|}~])/g,"\\$1")},idOrName:function(a){return this.groups[a.name]||(this.checkable(a)?a.name:a.id||a.name)},validationTargetFor:function(a){this.checkable(a)&&(a=this.findByName(a.name));return g(a).not(this.settings.ignore)[0]},checkable:function(a){return/radio|checkbox/i.test(a.type)},findByName:function(a){return g(this.currentForm).find("[name='"+
this.escapeCssMeta(a)+"']")},getLength:function(a,b){switch(b.nodeName.toLowerCase()){case "select":return g("option:selected",b).length;case "input":if(this.checkable(b))return this.findByName(b.name).filter(":checked").length}return a.length},depend:function(a,b){return this.dependTypes[typeof a]?this.dependTypes[typeof a](a,b):!0},dependTypes:{"boolean":function(a){return a},string:function(a,b){return!!g(a,b.form).length},"function":function(a,b){return a(b)}},optional:function(a){var b=this.elementValue(a);
return!g.validator.methods.required.call(this,b,a)&&"dependency-mismatch"},startRequest:function(a){this.pending[a.name]||(this.pendingRequest++,g(a).addClass(this.settings.pendingClass),this.pending[a.name]=!0)},stopRequest:function(a,b){this.pendingRequest--;0>this.pendingRequest&&(this.pendingRequest=0);delete this.pending[a.name];g(a).removeClass(this.settings.pendingClass);b&&0===this.pendingRequest&&this.formSubmitted&&this.form()?(g(this.currentForm).submit(),this.formSubmitted=!1):!b&&(0===
this.pendingRequest&&this.formSubmitted)&&(g(this.currentForm).triggerHandler("invalid-form",[this]),this.formSubmitted=!1)},previousValue:function(a,b){b="string"===typeof b&&b||"remote";return g.data(a,"previousValue")||g.data(a,"previousValue",{old:null,valid:!0,message:this.defaultMessage(a,{method:b})})},destroy:function(){this.resetForm();g(this.currentForm).off(".validate").removeData("validator").find(".validate-equalTo-blur").off(".validate-equalTo").removeClass("validate-equalTo-blur")}},
classRuleSettings:{required:{required:!0},email:{email:!0},url:{url:!0},date:{date:!0},dateISO:{dateISO:!0},number:{number:!0},digits:{digits:!0},creditcard:{creditcard:!0}},addClassRules:function(a,b){a.constructor===String?this.classRuleSettings[a]=b:g.extend(this.classRuleSettings,a)},classRules:function(a){var b={};(a=g(a).attr("class"))&&g.each(a.split(" "),function(){this in g.validator.classRuleSettings&&g.extend(b,g.validator.classRuleSettings[this])});return b},normalizeAttributeRule:function(a,
b,c,d){if(/min|max|step/.test(c)&&(null===b||/number|range|text/.test(b)))d=Number(d),isNaN(d)&&(d=void 0);d||0===d?a[c]=d:b===c&&"range"!==b&&(a[c]=!0)},attributeRules:function(a){var b={},c=g(a),d=a.getAttribute("type"),e,h;for(e in g.validator.methods)"required"===e?(h=a.getAttribute(e),""===h&&(h=!0),h=!!h):h=c.attr(e),this.normalizeAttributeRule(b,d,e,h);b.maxlength&&/-1|2147483647|524288/.test(b.maxlength)&&delete b.maxlength;return b},dataRules:function(a){var b={},c=g(a);a=a.getAttribute("type");
var d,e;for(d in g.validator.methods)e=c.data("rule"+d.charAt(0).toUpperCase()+d.substring(1).toLowerCase()),this.normalizeAttributeRule(b,a,d,e);return b},staticRules:function(a){var b={},c=g.data(a.form,"validator");c.settings.rules&&(b=g.validator.normalizeRule(c.settings.rules[a.name])||{});return b},normalizeRules:function(a,b){g.each(a,function(c,d){if(!1===d)delete a[c];else if(d.param||d.depends){var e=!0;switch(typeof d.depends){case "string":e=!!g(d.depends,b.form).length;break;case "function":e=
d.depends.call(b,b)}e?a[c]=void 0!==d.param?d.param:!0:(g.data(b.form,"validator").resetElements(g(b)),delete a[c])}});g.each(a,function(c,d){a[c]=g.isFunction(d)&&"normalizer"!==c?d(b):d});g.each(["minlength","maxlength"],function(){a[this]&&(a[this]=Number(a[this]))});g.each(["rangelength","range"],function(){var b;a[this]&&(g.isArray(a[this])?a[this]=[Number(a[this][0]),Number(a[this][1])]:"string"===typeof a[this]&&(b=a[this].replace(/[\[\]]/g,"").split(/[\s,]+/),a[this]=[Number(b[0]),Number(b[1])]))});
g.validator.autoCreateRanges&&(null!=a.min&&null!=a.max&&(a.range=[a.min,a.max],delete a.min,delete a.max),null!=a.minlength&&null!=a.maxlength&&(a.rangelength=[a.minlength,a.maxlength],delete a.minlength,delete a.maxlength));return a},normalizeRule:function(a){if("string"===typeof a){var b={};g.each(a.split(/\s/),function(){b[this]=!0});a=b}return a},addMethod:function(a,b,c){g.validator.methods[a]=b;g.validator.messages[a]=void 0!==c?c:g.validator.messages[a];3>b.length&&g.validator.addClassRules(a,
g.validator.normalizeRule(a))},methods:{required:function(a,b,c){return!this.depend(c,b)?"dependency-mismatch":"select"===b.nodeName.toLowerCase()?(a=g(b).val())&&0<a.length:this.checkable(b)?0<this.getLength(a,b):0<a.length},email:function(a,b){return this.optional(b)||/^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/.test(a)},url:function(a,b){return this.optional(b)||/^(?:(?:(?:https?|ftp):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,})).?)(?::\d{2,5})?(?:[/?#]\S*)?$/i.test(a)},
date:function(a,b){return this.optional(b)||!/Invalid|NaN/.test((new Date(a)).toString())},dateISO:function(a,b){return this.optional(b)||/^\d{4}[\/\-](0?[1-9]|1[012])[\/\-](0?[1-9]|[12][0-9]|3[01])$/.test(a)},number:function(a,b){return this.optional(b)||/^(?:-?\d+|-?\d{1,3}(?:,\d{3})+)?(?:\.\d+)?$/.test(a)},digits:function(a,b){return this.optional(b)||/^\d+$/.test(a)},minlength:function(a,b,c){a=g.isArray(a)?a.length:this.getLength(a,b);return this.optional(b)||a>=c},maxlength:function(a,b,c){a=
g.isArray(a)?a.length:this.getLength(a,b);return this.optional(b)||a<=c},rangelength:function(a,b,c){a=g.isArray(a)?a.length:this.getLength(a,b);return this.optional(b)||a>=c[0]&&a<=c[1]},min:function(a,b,c){return this.optional(b)||a>=c},max:function(a,b,c){return this.optional(b)||a<=c},range:function(a,b,c){return this.optional(b)||a>=c[0]&&a<=c[1]},step:function(a,b,c){var d=g(b).attr("type"),e="Step attribute on input type "+d+" is not supported.",h=["text","number","range"],l=RegExp("\\b"+d+
"\\b"),m=function(a){a=(""+a).match(/(?:\.(\d+))?$/);return!a?0:a[1]?a[1].length:0},k=!0;if(d&&!l.test(h.join()))throw Error(e);d=m(c);if(m(a)>d||0!==Math.round(a*Math.pow(10,d))%Math.round(c*Math.pow(10,d)))k=!1;return this.optional(b)||k},equalTo:function(a,b,c){c=g(c);if(this.settings.onfocusout&&c.not(".validate-equalTo-blur").length)c.addClass("validate-equalTo-blur").on("blur.validate-equalTo",function(){g(b).valid()});return a===c.val()},remote:function(a,b,c,d){if(this.optional(b))return"dependency-mismatch";
d="string"===typeof d&&d||"remote";var e=this.previousValue(b,d),h,l;this.settings.messages[b.name]||(this.settings.messages[b.name]={});e.originalMessage=e.originalMessage||this.settings.messages[b.name][d];this.settings.messages[b.name][d]=e.message;c="string"===typeof c&&{url:c}||c;l=g.param(g.extend({data:a},c.data));if(e.old===l)return e.valid;e.old=l;h=this;this.startRequest(b);l={};l[b.name]=a;g.ajax(g.extend(!0,{mode:"abort",port:"validate"+b.name,dataType:"json",data:l,context:h.currentForm,
success:function(c){var f=!0===c||"true"===c,l;h.settings.messages[b.name][d]=e.originalMessage;f?(l=h.formSubmitted,h.resetInternals(),h.toHide=h.errorsFor(b),h.formSubmitted=l,h.successList.push(b),h.invalid[b.name]=!1,h.showErrors()):(l={},c=c||h.defaultMessage(b,{method:d,parameters:a}),l[b.name]=e.message=c,h.invalid[b.name]=!0,h.showErrors(l));e.valid=f;h.stopRequest(b,f)}},c));return"pending"}}});var k={},c;g.ajaxPrefilter?g.ajaxPrefilter(function(a,b,c){b=a.port;"abort"===a.mode&&(k[b]&&k[b].abort(),
k[b]=c)}):(c=g.ajax,g.ajax=function(a){var b=("port"in a?a:g.ajaxSettings).port;return"abort"===("mode"in a?a:g.ajaxSettings).mode?(k[b]&&k[b].abort(),k[b]=c.apply(this,arguments),k[b]):c.apply(this,arguments)});return g});(function(g){"object"===typeof exports&&"undefined"!==typeof module?module.exports=g():"function"===typeof define&&define.amd?define([],g):("undefined"!==typeof window?window:"undefined"!==typeof global?global:"undefined"!==typeof self?self:this).Clipboard=g()})(function(){return function k(c,a,b){function f(e,l){if(!a[e]){if(!c[e]){var m="function"==typeof require&&require;if(!l&&m)return m(e,!0);if(d)return d(e,!0);m=Error("Cannot find module '"+e+"'");throw m.code="MODULE_NOT_FOUND",m;}m=a[e]=
{exports:{}};c[e][0].call(m.exports,function(a){var b=c[e][1][a];return f(b?b:a)},m,m.exports,k,c,a,b)}return a[e].exports}for(var d="function"==typeof require&&require,e=0;e<b.length;e++)f(b[e]);return f}({1:[function(k,c,a){Element&&!Element.prototype.matches&&(k=Element.prototype,k.matches=k.matchesSelector||k.mozMatchesSelector||k.msMatchesSelector||k.oMatchesSelector||k.webkitMatchesSelector);c.exports=function(a,c){for(;a&&9!==a.nodeType;){if(a.matches(c))return a;a=a.parentNode}}},{}],2:[function(k,
c,a){function b(a,b,c,l){return function(c){c.delegateTarget=f(c.target,b);c.delegateTarget&&l.call(a,c)}}var f=k("./closest");c.exports=function(a,c,f,l,m){var k=b.apply(this,arguments);a.addEventListener(f,k,m);return{destroy:function(){a.removeEventListener(f,k,m)}}}},{"./closest":1}],3:[function(k,c,a){a.node=function(a){return void 0!==a&&a instanceof HTMLElement&&1===a.nodeType};a.nodeList=function(b){var c=Object.prototype.toString.call(b);return void 0!==b&&("[object NodeList]"===c||"[object HTMLCollection]"===
c)&&"length"in b&&(0===b.length||a.node(b[0]))};a.string=function(a){return"string"===typeof a||a instanceof String};a.fn=function(a){return"[object Function]"===Object.prototype.toString.call(a)}},{}],4:[function(k,c,a){function b(a,b,d){a.addEventListener(b,d);return{destroy:function(){a.removeEventListener(b,d)}}}function f(a,b,d){Array.prototype.forEach.call(a,function(a){a.addEventListener(b,d)});return{destroy:function(){Array.prototype.forEach.call(a,function(a){a.removeEventListener(b,d)})}}}
var d=k("./is"),e=k("delegate");c.exports=function(a,c,m){if(!a&&!c&&!m)throw Error("Missing required arguments");if(!d.string(c))throw new TypeError("Second argument must be a String");if(!d.fn(m))throw new TypeError("Third argument must be a Function");if(d.node(a))return b(a,c,m);if(d.nodeList(a))return f(a,c,m);if(d.string(a))return e(document.body,a,c,m);throw new TypeError("First argument must be a String, HTMLElement, HTMLCollection, or NodeList");}},{"./is":3,delegate:2}],5:[function(k,c,
a){c.exports=function(a){if("SELECT"===a.nodeName)a.focus(),a=a.value;else if("INPUT"===a.nodeName||"TEXTAREA"===a.nodeName)a.focus(),a.setSelectionRange(0,a.value.length),a=a.value;else{a.hasAttribute("contenteditable")&&a.focus();var c=window.getSelection(),d=document.createRange();d.selectNodeContents(a);c.removeAllRanges();c.addRange(d);a=c.toString()}return a}},{}],6:[function(k,c,a){function b(){}b.prototype={on:function(a,b,c){var h=this.e||(this.e={});(h[a]||(h[a]=[])).push({fn:b,ctx:c});
return this},once:function(a,b,c){function h(){l.off(a,h);b.apply(c,arguments)}var l=this;h._=b;return this.on(a,h,c)},emit:function(a){var b=[].slice.call(arguments,1),c=((this.e||(this.e={}))[a]||[]).slice(),h=0,l=c.length;for(h;h<l;h++)c[h].fn.apply(c[h].ctx,b);return this},off:function(a,b){var c=this.e||(this.e={}),h=c[a],l=[];if(h&&b)for(var m=0,k=h.length;m<k;m++)h[m].fn!==b&&h[m].fn._!==b&&l.push(h[m]);l.length?c[a]=l:delete c[a];return this}};c.exports=b},{}],7:[function(k,c,a){(function(b,
f){if("undefined"!==typeof a)f(c,k("select"));else{var d={exports:{}};f(d,b.select);b.clipboardAction=d.exports}})(this,function(a,c){var d=c&&c.__esModule?c:{"default":c},e="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol&&a!==Symbol.prototype?"symbol":typeof a},h=function(){function a(b,d){for(var c=0;c<d.length;c++){var e=d[c];e.enumerable=e.enumerable||!1;e.configurable=!0;"value"in
e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,d){c&&a(b.prototype,c);d&&a(b,d);return b}}(),l=function(){function a(b){if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");this.resolveOptions(b);this.initSelection()}h(a,[{key:"resolveOptions",value:function(){var a=0<arguments.length&&void 0!==arguments[0]?arguments[0]:{};this.action=a.action;this.emitter=a.emitter;this.target=a.target;this.text=a.text;this.trigger=a.trigger;this.selectedText=
""}},{key:"initSelection",value:function(){this.text?this.selectFake():this.target&&this.selectTarget()}},{key:"selectFake",value:function(){var a=this,b="rtl"==document.documentElement.getAttribute("dir");this.removeFake();this.fakeHandlerCallback=function(){return a.removeFake()};this.fakeHandler=document.body.addEventListener("click",this.fakeHandlerCallback)||!0;this.fakeElem=document.createElement("textarea");this.fakeElem.style.fontSize="12pt";this.fakeElem.style.border="0";this.fakeElem.style.padding=
"0";this.fakeElem.style.margin="0";this.fakeElem.style.position="absolute";this.fakeElem.style[b?"right":"left"]="-9999px";b=window.pageYOffset||document.documentElement.scrollTop;this.fakeElem.addEventListener("focus",window.scrollTo(0,b));this.fakeElem.style.top=b+"px";this.fakeElem.setAttribute("readonly","");this.fakeElem.value=this.text;document.body.appendChild(this.fakeElem);this.selectedText=(0,d.default)(this.fakeElem);this.copyText()}},{key:"removeFake",value:function(){this.fakeHandler&&
(document.body.removeEventListener("click",this.fakeHandlerCallback),this.fakeHandlerCallback=this.fakeHandler=null);this.fakeElem&&(document.body.removeChild(this.fakeElem),this.fakeElem=null)}},{key:"selectTarget",value:function(){this.selectedText=(0,d.default)(this.target);this.copyText()}},{key:"copyText",value:function(){var a=void 0;try{a=document.execCommand(this.action)}catch(b){a=!1}this.handleResult(a)}},{key:"handleResult",value:function(a){this.emitter.emit(a?"success":"error",{action:this.action,
text:this.selectedText,trigger:this.trigger,clearSelection:this.clearSelection.bind(this)})}},{key:"clearSelection",value:function(){this.target&&this.target.blur();window.getSelection().removeAllRanges()}},{key:"destroy",value:function(){this.removeFake()}},{key:"action",set:function(){this._action=0<arguments.length&&void 0!==arguments[0]?arguments[0]:"copy";if("copy"!==this._action&&"cut"!==this._action)throw Error('Invalid "action" value, use either "copy" or "cut"');},get:function(){return this._action}},
{key:"target",set:function(a){if(void 0!==a)if(a&&"object"===("undefined"===typeof a?"undefined":e(a))&&1===a.nodeType){if("copy"===this.action&&a.hasAttribute("disabled"))throw Error('Invalid "target" attribute. Please use "readonly" instead of "disabled" attribute');if("cut"===this.action&&(a.hasAttribute("readonly")||a.hasAttribute("disabled")))throw Error('Invalid "target" attribute. You can\'t cut text from elements with "readonly" or "disabled" attributes');this._target=a}else throw Error('Invalid "target" value, use a valid Element');
},get:function(){return this._target}}]);return a}();a.exports=l})},{select:5}],8:[function(k,c,a){(function(b,f){if("undefined"!==typeof a)f(c,k("./clipboard-action"),k("tiny-emitter"),k("good-listener"));else{var d={exports:{}};f(d,b.clipboardAction,b.tinyEmitter,b.goodListener);b.clipboard=d.exports}})(this,function(a,c,d,e){function h(a){return a&&a.__esModule?a:{"default":a}}function l(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+
typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});b&&(Object.setPrototypeOf?Object.setPrototypeOf(a,b):a.__proto__=b)}function m(a,b){var c="data-clipboard-"+a;if(b.hasAttribute(c))return b.getAttribute(c)}var k=h(c);c=h(d);var q=h(e),p=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,
d){c&&a(b.prototype,c);d&&a(b,d);return b}}();e=function(a){function b(a,c){if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");var d;d=(b.__proto__||Object.getPrototypeOf(b)).call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");d=d&&("object"===typeof d||"function"===typeof d)?d:this;d.resolveOptions(c);d.listenClick(a);return d}l(b,a);p(b,[{key:"resolveOptions",value:function(){var a=0<arguments.length&&void 0!==arguments[0]?
arguments[0]:{};this.action="function"===typeof a.action?a.action:this.defaultAction;this.target="function"===typeof a.target?a.target:this.defaultTarget;this.text="function"===typeof a.text?a.text:this.defaultText}},{key:"listenClick",value:function(a){var b=this;this.listener=(0,q.default)(a,"click",function(a){return b.onClick(a)})}},{key:"onClick",value:function(a){a=a.delegateTarget||a.currentTarget;this.clipboardAction&&(this.clipboardAction=null);this.clipboardAction=new k.default({action:this.action(a),
target:this.target(a),text:this.text(a),trigger:a,emitter:this})}},{key:"defaultAction",value:function(a){return m("action",a)}},{key:"defaultTarget",value:function(a){if(a=m("target",a))return document.querySelector(a)}},{key:"defaultText",value:function(a){return m("text",a)}},{key:"destroy",value:function(){this.listener.destroy();this.clipboardAction&&(this.clipboardAction.destroy(),this.clipboardAction=null)}}]);return b}(c.default);a.exports=e})},{"./clipboard-action":7,"good-listener":4,"tiny-emitter":6}]},
{},[8])(8)});(function(g){function k(a){var b=a.data;a.isDefaultPrevented()||(a.preventDefault(),g(this).ajaxSubmit(b))}function c(a){var b=a.target,c=g(b);if(!c.is(":submit,input:image")){b=c.closest(":submit");if(0===b.length)return;b=b[0]}var f=this;f.clk=b;"image"==b.type&&(void 0!==a.offsetX?(f.clk_x=a.offsetX,f.clk_y=a.offsetY):"function"==typeof g.fn.offset?(c=c.offset(),f.clk_x=a.pageX-c.left,f.clk_y=a.pageY-c.top):(f.clk_x=a.pageX-b.offsetLeft,f.clk_y=a.pageY-b.offsetTop));setTimeout(function(){f.clk=
f.clk_x=f.clk_y=null},100)}function a(){if(g.fn.ajaxSubmit.debug){var a="[jquery.form] "+Array.prototype.join.call(arguments,"");window.console&&window.console.log?window.console.log(a):window.opera&&window.opera.postError&&window.opera.postError(a)}}var b,f;b=void 0!==g("<input type='file'/>").get(0).files;f=void 0!==window.FormData;g.fn.ajaxSubmit=function(c){function e(a){for(var b=new FormData,e=0;e<a.length;e++)b.append(a[e].name,a[e].value);if(c.extraData)for(var f in c.extraData)c.extraData.hasOwnProperty(f)&&
b.append(f,c.extraData[f]);c.data=null;a=g.extend(!0,{},g.ajaxSettings,c,{contentType:!1,processData:!1,cache:!1,type:"POST"});c.uploadProgress&&(a.xhr=function(){var a=jQuery.ajaxSettings.xhr();a.upload&&(a.upload.onprogress=function(a){var b=0,e=a.loaded||a.position,f=a.total;a.lengthComputable&&(b=Math.ceil(100*(e/f)));c.uploadProgress(a,e,f,b)});return a});a.data=null;var h=a.beforeSend;a.beforeSend=function(a,c){c.data=b;h&&h.call(this,a,c)};g.ajax(a)}function h(b){function e(){function b(){try{var c=
(s.contentWindow?s.contentWindow.document:s.contentDocument?s.contentDocument:s.document).readyState;a("state = "+c);c&&"uninitialized"==c.toLowerCase()&&setTimeout(b,50)}catch(d){a("Server abort: ",d," (",d.name,")"),f(N),K&&clearTimeout(K),K=void 0}}var c=k.attr("target"),d=k.attr("action");h.setAttribute("target",t);l||h.setAttribute("method","POST");d!=n.url&&h.setAttribute("action",n.url);!n.skipEncodingOverride&&(!l||/post/i.test(l))&&k.attr({encoding:"multipart/form-data",enctype:"multipart/form-data"});
n.timeout&&(K=setTimeout(function(){I=!0;f(L)},n.timeout));var m=[];try{if(n.extraData)for(var q in n.extraData)n.extraData.hasOwnProperty(q)&&(g.isPlainObject(n.extraData[q])&&n.extraData[q].hasOwnProperty("name")&&n.extraData[q].hasOwnProperty("value")?m.push(g('<input type="hidden" name="'+n.extraData[q].name+'">').attr("value",n.extraData[q].value).appendTo(h)[0]):m.push(g('<input type="hidden" name="'+q+'">').attr("value",n.extraData[q]).appendTo(h)[0]));n.iframeTarget||(u.appendTo("body"),s.attachEvent?
s.attachEvent("onload",f):s.addEventListener("load",f,!1));setTimeout(b,15);h.submit()}finally{h.setAttribute("action",d),c?h.setAttribute("target",c):k.removeAttr("target"),g(m).remove()}}function f(b){if(!x.aborted&&!B){try{H=s.contentWindow?s.contentWindow.document:s.contentDocument?s.contentDocument:s.document}catch(c){a("cannot access response document: ",c),b=N}if(b===L&&x)x.abort("timeout");else if(b==N&&x)x.abort("server abort");else if(H&&H.location.href!=n.iframeSrc||I){s.detachEvent?s.detachEvent("onload",
f):s.removeEventListener("load",f,!1);b="success";var d;try{if(I)throw"timeout";var e="xml"==n.dataType||H.XMLDocument||g.isXMLDoc(H);a("isXml="+e);if(!e&&(window.opera&&(null===H.body||!H.body.innerHTML))&&--P){a("requeing onLoad callback, DOM not available");setTimeout(f,250);return}var h=H.body?H.body:H.documentElement;x.responseText=h?h.innerHTML:null;x.responseXML=H.XMLDocument?H.XMLDocument:H;e&&(n.dataType="xml");x.getResponseHeader=function(a){return{"content-type":n.dataType}[a]};h&&(x.status=
Number(h.getAttribute("status"))||x.status,x.statusText=h.getAttribute("statusText")||x.statusText);var l=(n.dataType||"").toLowerCase(),m=/(json|script|text)/.test(l);if(m||n.textarea){var k=H.getElementsByTagName("textarea")[0];if(k)x.responseText=k.value,x.status=Number(k.getAttribute("status"))||x.status,x.statusText=k.getAttribute("statusText")||x.statusText;else if(m){var r=H.getElementsByTagName("pre")[0],t=H.getElementsByTagName("body")[0];r?x.responseText=r.textContent?r.textContent:r.innerText:
t&&(x.responseText=t.textContent?t.textContent:t.innerText)}}else"xml"==l&&(!x.responseXML&&x.responseText)&&(x.responseXML=O(x.responseText));try{A=X(x,l,n)}catch(p){b="parsererror",x.error=d=p||b}}catch(v){a("error caught: ",v),b="error",x.error=d=v||b}x.aborted&&(a("upload aborted"),b=null);x.status&&(b=200<=x.status&&300>x.status||304===x.status?"success":"error");"success"===b?(n.success&&n.success.call(n.context,A,"success",x),q&&g.event.trigger("ajaxSuccess",[x,n])):b&&(void 0===d&&(d=x.statusText),
n.error&&n.error.call(n.context,x,b,d),q&&g.event.trigger("ajaxError",[x,n,d]));q&&g.event.trigger("ajaxComplete",[x,n]);q&&!--g.active&&g.event.trigger("ajaxStop");n.complete&&n.complete.call(n.context,x,b);B=!0;n.timeout&&clearTimeout(K);setTimeout(function(){n.iframeTarget||u.remove();x.responseXML=null},100)}}}var h=k[0],m,n,q,t,u,s,x,F,I,K;F=!!g.fn.prop;if(g(":input[name=submit],:input[id=submit]",h).length)alert('Error: Form elements must not have name or id of "submit".');else{if(b)for(m=0;m<
p.length;m++)b=g(p[m]),F?b.prop("disabled",!1):b.removeAttr("disabled");n=g.extend(!0,{},g.ajaxSettings,c);n.context=n.context||n;t="jqFormIO"+(new Date).getTime();n.iframeTarget?(u=g(n.iframeTarget),(b=u.attr("name"))?t=b:u.attr("name",t)):(u=g('<iframe name="'+t+'" src="'+n.iframeSrc+'" />'),u.css({position:"absolute",top:"-1000px",left:"-1000px"}));s=u[0];x={aborted:0,responseText:null,responseXML:null,status:0,statusText:"n/a",getAllResponseHeaders:function(){},getResponseHeader:function(){},
setRequestHeader:function(){},abort:function(b){var c="timeout"===b?"timeout":"aborted";a("aborting upload... "+c);this.aborted=1;if(s.contentWindow.document.execCommand)try{s.contentWindow.document.execCommand("Stop")}catch(d){}u.attr("src",n.iframeSrc);x.error=c;n.error&&n.error.call(n.context,x,c,b);q&&g.event.trigger("ajaxError",[x,n,c]);n.complete&&n.complete.call(n.context,x,c)}};(q=n.global)&&0===g.active++&&g.event.trigger("ajaxStart");q&&g.event.trigger("ajaxSend",[x,n]);if(n.beforeSend&&
!1===n.beforeSend.call(n.context,x,n))n.global&&g.active--;else if(!x.aborted){if(F=h.clk)if((b=F.name)&&!F.disabled)n.extraData=n.extraData||{},n.extraData[b]=F.value,"image"==F.type&&(n.extraData[b+".x"]=h.clk_x,n.extraData[b+".y"]=h.clk_y);var L=1,N=2;F=g("meta[name=csrf-token]").attr("content");if((b=g("meta[name=csrf-param]").attr("content"))&&F)n.extraData=n.extraData||{},n.extraData[b]=F;n.forceSync?e():setTimeout(e,10);var A,H,P=50,B,O=g.parseXML||function(a,b){window.ActiveXObject?(b=new ActiveXObject("Microsoft.XMLDOM"),
b.async="false",b.loadXML(a)):b=(new DOMParser).parseFromString(a,"text/xml");return b&&b.documentElement&&"parsererror"!=b.documentElement.nodeName?b:null},ha=g.parseJSON||function(a){return window.eval("("+a+")")},X=function(a,b,c){var d=a.getResponseHeader("content-type")||"",e="xml"===b||!b&&0<=d.indexOf("xml");a=e?a.responseXML:a.responseText;e&&"parsererror"===a.documentElement.nodeName&&g.error&&g.error("parsererror");c&&c.dataFilter&&(a=c.dataFilter(a,b));"string"===typeof a&&("json"===b||
!b&&0<=d.indexOf("json")?a=ha(a):("script"===b||!b&&0<=d.indexOf("javascript"))&&g.globalEval(a));return a}}}}if(!this.length)return a("ajaxSubmit: skipping submit process - no element selected"),this;var l,m,k=this;"function"==typeof c&&(c={success:c});l=this.attr("method");m=this.attr("action");(m=(m="string"===typeof m?g.trim(m):"")||window.location.href||"")&&(m=(m.match(/^([^#]+)/)||[])[1]);c=g.extend(!0,{url:m,success:g.ajaxSettings.success,type:l||"GET",iframeSrc:/^https/i.test(window.location.href||
"")?"javascript:false":"about:blank"},c);m={};this.trigger("form-pre-serialize",[this,c,m]);if(m.veto)return a("ajaxSubmit: submit vetoed via form-pre-serialize trigger"),this;if(c.beforeSerialize&&!1===c.beforeSerialize(this,c))return a("ajaxSubmit: submit aborted via beforeSerialize callback"),this;var q=c.traditional;void 0===q&&(q=g.ajaxSettings.traditional);var p=[],n,t=this.formToArray(c.semantic,p);c.data&&(c.extraData=c.data,n=g.param(c.data,q));if(c.beforeSubmit&&!1===c.beforeSubmit(t,this,
c))return a("ajaxSubmit: submit aborted via beforeSubmit callback"),this;this.trigger("form-submit-validate",[t,this,c,m]);if(m.veto)return a("ajaxSubmit: submit vetoed via form-submit-validate trigger"),this;m=g.param(t,q);n&&(m=m?m+"&"+n:n);"GET"==c.type.toUpperCase()?(c.url+=(0<=c.url.indexOf("?")?"&":"?")+m,c.data=null):c.data=m;var u=[];c.resetForm&&u.push(function(){k.resetForm()});c.clearForm&&u.push(function(){k.clearForm(c.includeHidden)});if(!c.dataType&&c.target){var s=c.success||function(){};
u.push(function(a){var b=c.replaceTarget?"replaceWith":"html";g(c.target)[b](a).each(s,arguments)})}else c.success&&u.push(c.success);c.success=function(a,b,e){for(var f=c.context||this,h=0,l=u.length;h<l;h++)u[h].apply(f,[a,b,e||k,k])};n=0<g("input:file:enabled[value]",this).length;m="multipart/form-data"==k.attr("enctype")||"multipart/form-data"==k.attr("encoding");q=b&&f;a("fileAPI :"+q);!1!==c.iframe&&(c.iframe||(n||m)&&!q)?c.closeKeepAlive?g.get(c.closeKeepAlive,function(){h(t)}):h(t):(n||m)&&
q?e(t):g.ajax(c);for(n=0;n<p.length;n++)p[n]=null;this.trigger("form-submit-notify",[this,c]);return this};g.fn.ajaxForm=function(b){b=b||{};b.delegation=b.delegation&&g.isFunction(g.fn.on);if(!b.delegation&&0===this.length){var e=this.selector,f=this.context;if(!g.isReady&&e)return a("DOM not ready, queuing ajaxForm"),g(function(){g(e,f).ajaxForm(b)}),this;a("terminating; zero elements found by selector"+(g.isReady?"":" (DOM not ready)"));return this}return b.delegation?(g(document).off("submit.form-plugin",
this.selector,k).off("click.form-plugin",this.selector,c).on("submit.form-plugin",this.selector,b,k).on("click.form-plugin",this.selector,b,c),this):this.ajaxFormUnbind().bind("submit.form-plugin",b,k).bind("click.form-plugin",b,c)};g.fn.ajaxFormUnbind=function(){return this.unbind("submit.form-plugin click.form-plugin")};g.fn.formToArray=function(a,c){var f=[];if(0===this.length)return f;var l=this[0],m=a?l.getElementsByTagName("*"):l.elements;if(!m)return f;var k,q,p,n,t,u;k=0;for(u=m.length;k<
u;k++)if(t=m[k],p=t.name)if(a&&l.clk&&"image"==t.type)!t.disabled&&l.clk==t&&(f.push({name:p,value:g(t).val(),type:t.type}),f.push({name:p+".x",value:l.clk_x},{name:p+".y",value:l.clk_y}));else if((n=g.fieldValue(t,!0))&&n.constructor==Array){c&&c.push(t);q=0;for(t=n.length;q<t;q++)f.push({name:p,value:n[q]})}else if(b&&"file"==t.type&&!t.disabled)if(c&&c.push(t),n=t.files,n.length)for(q=0;q<n.length;q++)f.push({name:p,value:n[q],type:t.type});else f.push({name:p,value:"",type:t.type});else null!==
n&&"undefined"!=typeof n&&(c&&c.push(t),f.push({name:p,value:n,type:t.type,required:t.required}));if(!a&&l.clk&&(m=g(l.clk),k=m[0],(p=k.name)&&!k.disabled&&"image"==k.type))f.push({name:p,value:m.val()}),f.push({name:p+".x",value:l.clk_x},{name:p+".y",value:l.clk_y});return f};g.fn.formSerialize=function(a){return g.param(this.formToArray(a))};g.fn.fieldSerialize=function(a){var b=[];this.each(function(){var c=this.name;if(c){var f=g.fieldValue(this,a);if(f&&f.constructor==Array)for(var m=0,k=f.length;m<
k;m++)b.push({name:c,value:f[m]});else null!==f&&"undefined"!=typeof f&&b.push({name:this.name,value:f})}});return g.param(b)};g.fn.fieldValue=function(a){for(var b=[],c=0,f=this.length;c<f;c++){var m=g.fieldValue(this[c],a);null===m||("undefined"==typeof m||m.constructor==Array&&!m.length)||(m.constructor==Array?g.merge(b,m):b.push(m))}return b};g.fieldValue=function(a,b){var c=a.name,f=a.type,m=a.tagName.toLowerCase();void 0===b&&(b=!0);if(b&&(!c||a.disabled||"reset"==f||"button"==f||("checkbox"==
f||"radio"==f)&&!a.checked||("submit"==f||"image"==f)&&a.form&&a.form.clk!=a||"select"==m&&-1==a.selectedIndex))return null;if("select"==m){var k=a.selectedIndex;if(0>k)return null;for(var c=[],m=a.options,q=(f="select-one"==f)?k+1:m.length,k=f?k:0;k<q;k++){var p=m[k];if(p.selected){var n=p.value;n||(n=p.attributes&&p.attributes.value&&!p.attributes.value.specified?p.text:p.value);if(f)return n;c.push(n)}}return c}return g(a).val()};g.fn.clearForm=function(a){return this.each(function(){g("input,select,textarea",
this).clearFields(a)})};g.fn.clearFields=g.fn.clearInputs=function(a){var b=/^(?:color|date|datetime|email|month|number|password|range|search|tel|text|time|url|week)$/i;return this.each(function(){var c=this.type,f=this.tagName.toLowerCase();if(b.test(c)||"textarea"==f)this.value="";else if("checkbox"==c||"radio"==c)this.checked=!1;else if("select"==f)this.selectedIndex=-1;else if(a&&(!0===a&&/hidden/.test(c)||"string"==typeof a&&g(this).is(a)))this.value=""})};g.fn.resetForm=function(){return this.each(function(){("function"==
typeof this.reset||"object"==typeof this.reset&&!this.reset.nodeType)&&this.reset()})};g.fn.enable=function(a){void 0===a&&(a=!0);return this.each(function(){this.disabled=!a})};g.fn.selected=function(a){void 0===a&&(a=!0);return this.each(function(){var b=this.type;"checkbox"==b||"radio"==b?this.checked=a:"option"==this.tagName.toLowerCase()&&(b=g(this).parent("select"),a&&(b[0]&&"select-one"==b[0].type)&&b.find("option").selected(!1),this.selected=a)})};g.fn.ajaxSubmit.debug=!1})(jQuery);/*

 Software from "jQuery Filedrop 0.1.0", a jQuery plugin for html5 dragging files,
 is Copyright (c) Resopollution and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(g){function k(){}jQuery.event.props.push("dataTransfer");var c={fallback_id:"",url:"",refresh:1E3,paramname:"userfile",allowedfiletypes:[],raw_droppable:[],maxfiles:25,maxfilesize:1,queuefiles:0,queuewait:200,data:{},headers:{},drop:k,rawDrop:k,dragStart:k,dragEnter:k,dragOver:k,dragLeave:k,docEnter:k,docOver:k,docLeave:k,beforeEach:k,afterAll:k,rename:k,error:function(a,b,c,d){alert(a)},uploadStarted:k,uploadFinished:k,progressUpdated:k,globalProgressUpdated:k,speedUpdated:k},a="BrowserNotSupported TooManyFiles FileTooLarge FileTypeNotAllowed NotFound NotReadable AbortError ReadError".split(" "),
b,f=!1,d=0,e;g.fn.filedrop=function(h){function m(a,b){var c="?mimetype="+encodeURIComponent(b.type);n("pasted_image",b.data,b.type,{},c,function(a,b,c){return s.uploadFinished(-1,void 0,a,b,c)},function(){})}function k(a,b,c,d){var e="";if(s.data){var f=g.param(s.data).replace(/\+/g,"%20").split(/&/);g.each(f,function(){var a=this.split("=",2),b=decodeURIComponent(a[0]),a=decodeURIComponent(a[1]);e+="--";e+=d;e+="\r\n";e+='Content-Disposition: form-data; name="'+b+'"';e+="\r\n";e+="\r\n";e+=a;e+=
"\r\n"})}e+="--";e+=d;e+="\r\n";e+='Content-Disposition: form-data; name="'+s.paramname+'"';e+='; filename="'+encodeURIComponent(a)+'"';e+="\r\n";e+="Content-Type: "+c;e+="\r\n";e+="\r\n";e+=b;e+="\r\n";e+="--";e+=d;e+="--";return e+="\r\n"}function q(a){if(a.lengthComputable){var b=Math.round(100*a.loaded/a.total);if(this.currentProgress!==b){this.currentProgress=b;s.progressUpdated(this.index,this.file,this.currentProgress);v[this.global_progress_index]=this.currentProgress;p();var b=(new Date).getTime(),
c=b-this.currentStart;c>=s.refresh&&(s.speedUpdated(this.index,this.file,(a.loaded-this.startData)/c),this.startData=a.loaded,this.currentStart=b)}}}function p(){if(0!==v.length){var a=0,b;for(b in v)v.hasOwnProperty(b)&&(a+=v[b]);s.globalProgressUpdated(Math.round(a/v.length))}}function n(a,b,c,d,e,h,l){var m=new XMLHttpRequest,n=(new Date).getTime(),t=v.length,u="------multipartformboundary"+(new Date).getTime(),I=m.upload;caller.data("filedrop_xhr",m);s.withCredentials&&(m.withCredentials=s.withCredentials);
a=a=k(a,b,c,u);I=g.extend(I,d);I.downloadStartTime=n;I.currentStart=n;I.currentProgress=0;I.global_progress_index=t;I.startData=0;I.addEventListener("progress",q,!1);jQuery.isFunction(s.url)?m.open("POST",s.url()+e,!0):m.open("POST",s.url+e,!0);m.setRequestHeader("content-type","multipart/form-data; boundary="+u);g.each(s.headers,function(a,b){m.setRequestHeader(a,b)});m.sendAsBinary(a);v[t]=0;p();m.onload=function(){var a=null;if(m.responseText)try{a=jQuery.parseJSON(m.responseText)}catch(b){a=m.responseText}var c=
(new Date).getTime()-n,a=h(a,c,m);v[t]=100;p();!1===a&&(f=!0);if(200>m.status||299<m.status)this.responseText.includes("Upload would exceed your maximum quota.")?l("QuotaExceeded",m.status):l(m.statusText,m.status)}}function t(){f=!1;if(!e)return s.error(a[0]),!1;if(s.allowedfiletypes.push&&s.allowedfiletypes.length)for(var b=e.length;b--;)if(!e[b].type||0>g.inArray(e[b].type,s.allowedfiletypes))return s.error(a[3],e[b]),!1;var c=0,h=0;if(d>s.maxfiles&&0===s.queuefiles)return s.error(a[1]),!1;for(var l=
[],m=[],k=[],b=0;b<d;b++)l.push(b);var r=function(){var b;if(f)return!1;if(0<s.queuefiles&&m.length>=s.queuefiles)setTimeout(r,s.queuewait);else{b=l[0];l.splice(0,1);m.push(b);try{if(!1!==s.beforeEach(e[b])){if(b===d)return;var c=new FileReader,g=1048576*s.maxfilesize;c.index=b;if(e[b].size>g)return s.error(a[2],e[b],b),m.forEach(function(a,c){a===b&&m.splice(c,1)}),h++,!0;c.onerror=function(b){switch(b.target.error.code){case b.target.error.NOT_FOUND_ERR:return s.error(a[4]),!1;case b.target.error.NOT_READABLE_ERR:return s.error(a[5]),
!1;case b.target.error.ABORT_ERR:return s.error(a[6]),!1;default:return s.error(a[7]),!1}};c.onloadend=!s.beforeSend?q:function(a){s.beforeSend(e[b],b,function(){q(a)})};c.readAsBinaryString(e[b])}else h++}catch(k){return m.forEach(function(a,c){a===b&&m.splice(c,1)}),s.error(a[0]),!1}0<l.length&&r()}},q=function(a){var b=("undefined"===typeof a.srcElement?a.target:a.srcElement).index;void 0===a.target.index&&(a.target.index=u(a.total));var f=e[a.target.index],l=a.target.index;n("string"===typeof newName?
newName:f.name,a.target.result,f.type,{file:e[a.target.index],index:a.target.index},"",function(a,e,g){c++;a=s.uploadFinished(l,f,a,e,g);c===d-h&&s.afterAll();m.forEach(function(a,c){a===b&&m.splice(c,1)});k.push(b);return a},function(a,c){s.error(a,f,b,c)})};r()}function u(a){for(var b=0;b<d;b++)if(e[b].size===a)return b}var s=g.extend({},c,h),v=[];caller=this;this.on("drop",function(b){if(0===b.dataTransfer.files.length){var c;for(c=0;c<s.raw_droppable.length;c++){var f=s.raw_droppable[c],h;a:{h=
b.dataTransfer.types;for(var l=void 0,l=0;l<h.length;l++)if(h[l]===f){h=!0;break a}h=!1}if(h)return s.rawDrop(b.dataTransfer.getData(f)),!1}}if(!1===s.drop.call(this,b))return!1;e=b.dataTransfer.files;if(null===e||void 0===e||0===e.length)return s.error(a[0]),!1;d=e.length;t();b.preventDefault();return!1}).on("dragstart",s.dragStart).on("dragenter",function(a){clearTimeout(b);a.preventDefault();s.dragEnter.call(this,a)}).on("dragover",function(a){clearTimeout(b);a.preventDefault();s.docOver.call(this,
a);s.dragOver.call(this,a)}).on("dragleave",function(a){clearTimeout(b);s.dragLeave.call(this,a);a.stopPropagation()});this.on("paste",function(a){if(!(void 0===a.originalEvent.clipboardData||void 0===a.originalEvent.clipboardData.items)){for(var b=a.originalEvent.clipboardData.items.length,c=0;c<b;c++)if("string"===a.originalEvent.clipboardData.items[c].kind)return;var d=/image.*/,e;g.each(a.originalEvent.clipboardData.items,function(a,b){if(b.type.match(d))return e=b,!1});if(void 0!==e){if(!1===
s.drop.call(this,a))return!1;var f=e.getAsFile();a=new FileReader;a.onload=function(a){m(a,{type:f.type,data:a.target.result})};a.readAsBinaryString(f)}}});this.on("imagedata-upload.zulip",function(a,b){if(!1===s.drop.call(this,void 0))return!1;m(a,b)});g(document).on("drop",function(a){a.preventDefault();s.docLeave.call(this,a);return!1}).on("dragenter",function(a){clearTimeout(b);a.preventDefault();s.docEnter.call(this,a);return!1}).on("dragover",function(a){clearTimeout(b);a.preventDefault();s.docOver.call(this,
a);return!1}).on("dragleave",function(a){b=setTimeout(function(b){return function(){s.docLeave.call(b,a)}}(this),200)});g("#"+s.fallback_id).change(function(a){s.drop(a);e=a.target.files;d=e.length;t()});return this};try{XMLHttpRequest.prototype.sendAsBinary||(XMLHttpRequest.prototype.sendAsBinary=function(a){a=Array.prototype.map.call(a,function(a){return a.charCodeAt(0)&255});a=new Uint8Array(a);this.send(a.buffer)})}catch(h){}})(jQuery);(function(g,k){var c=document.createElement("input"),a="setSelectionRange"in c||"selectionStart"in c,b="createTextRange"in c||"selection"in document,f=/\r\n/g,d=/\r/g,e=function(a){return"undefined"!==typeof a.value?a.value:g(a).text()},h=function(a,b){var c=e(a).replace(d,"").length;"undefined"===typeof b&&(b=c);b=Math.floor(b);0>b&&(b=c+b);0>b&&(b=0);b>c&&(b=c);return b},l=function(a,b,c,d){this.start=a||0;this.end=b||0;this.length=c||0;this.text=d||""};l.prototype.toString=function(){return JSON.stringify(this,
null,"    ")};var m=function(c){if(!c)return k;if(a)return c.selectionStart;if(b){var d;var h,l,m;c.focus();c.focus();(h=document.selection.createRange())&&h.parentElement()===c?(l=e(c),m=l.length,d=c.createTextRange(),d.moveToBookmark(h.getBookmark()),c=c.createTextRange(),c.collapse(!1),d=-1<d.compareEndPoints("StartToEnd",c)?l.replace(f,"\n").length:-d.moveStart("character",-m)):d=0;return d}return k},r=function(c,d){c.focus();d=h(c,d);if(a)c.setSelectionRange(d,d);else if(b){var e=d,f=c.createTextRange();
f.move("character",e);f.select()}},q=function(c){if(!c)return k;if(a){var d=new l;d.start=c.selectionStart;d.end=c.selectionEnd;var f=Math.min(d.start,d.end),h=Math.max(d.start,d.end);d.length=h-f;d.text=e(c).substring(f,h);return d}if(b){d=new l;c.focus();var m=document.selection.createRange();if(m&&m.parentElement()===c){var g,r;g=h=0;var q=e(c);g=q.length;f=q.replace(/\r\n/g,"\n");r=c.createTextRange();r.moveToBookmark(m.getBookmark());c=c.createTextRange();c.collapse(!1);-1<r.compareEndPoints("StartToEnd",
c)?h=g:(h=-r.moveStart("character",-g),h+=f.slice(0,h).split("\n").length-1,-1<r.compareEndPoints("EndToEnd",c)||(g=-r.moveEnd("character",-g),g+=f.slice(0,g).split("\n").length-1));h-=q.substring(0,h).split("\r\n").length-1;g-=q.substring(0,g).split("\r\n").length-1;d.start=h;d.end=g;d.length=d.end-d.start;d.text=f.substr(d.start,d.length)}return d}return k},p=function(c,d,e){d=h(c,d);e=h(c,e);a?c.setSelectionRange(d,e):b&&(c=c.createTextRange(),c.moveEnd("textedit",-1),c.moveStart("character",d),
c.moveEnd("character",e-d),c.select())};g.extend(g.fn,{caret:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),m(a);if("number"===typeof arguments[0]){var b=arguments[0];a.each(function(a,c){r(c,b)})}else{var c=arguments[0];a.each(function(a,b){var f=c,h=m(b),l=e(b).replace(d,""),k=+(h+f.length+(l.length-h)),n=+b.getAttribute("maxlength");(b.hasAttribute?b.hasAttribute("maxlength"):"undefined"!==typeof b.maxlength)&&k>n&&(f=f.substr(0,f.length-(k-n)));l=l.substr(0,
h)+f+l.substr(h);"undefined"!==typeof b.value?b.value=l:g(b).text(l);r(b,h+f.length)})}return this},range:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),q(a);if("number"===typeof arguments[0]){var b=arguments[0],c=arguments[1];a.each(function(a,d){p(d,b,c)})}else{var d=arguments[0];a.each(function(a,b){var c=d,e=g(b),f=e.val(),h=q(b),l=+(h.start+c.length+(f.length-h.end)),m=+e.attr("maxlength");e.is("[maxlength]")&&l>m&&(c=c.substr(0,c.length-(l-m)));l=f.substr(0,
h.start);f=f.substr(h.end);e.val(l+c+f);e=h.start;c=e+c.length;p(b,h.length?e:c,c)})}return this},selectAll:function(){return this.each(function(c,d){var e=g(d);if(e.is("input, textarea")||d.select)e.select();else if(a){var e=window.getSelection(),f=document.createRange();f.selectNodeContents(d);e.removeAllRanges();e.addRange(f)}else b&&(e=document.body.createTextRange(),e.moveToElementText(d),e.select())})}});g.extend(g,{deselectAll:function(){document.selection?document.selection.empty():window.getSelection&&
window.getSelection().removeAllRanges();return this}})})(window.jQuery||window.Zepto||window.$);/*
 XDate v@VERSION
 Docs & Licensing: http://arshaw.com/xdate/
*/
var XDate=function(g,k,c,a){function b(){var a=this instanceof b?this:new b,c=arguments,e=c.length,h;"boolean"==typeof c[e-1]&&(h=c[--e],c=J(c,0,e));if(e)if(1==e)if(e=c[0],e instanceof g||"number"==typeof e)a[0]=new g(+e);else if(e instanceof b){var c=a,l=new g(+e[0]);f(e)&&(l.toString=N);c[0]=l}else{if("string"==typeof e){a[0]=new g(0);a:{for(var c=e,e=h||!1,l=b.parsers,m=0,k;m<l.length;m++)if(k=l[m](c,e,a)){a=k;break a}a[0]=new g(c)}}}else a[0]=new g(L.apply(g,c)),h||(a[0]=y(a[0]));else a[0]=new g;
"boolean"==typeof h&&d(a,h);return a}function f(a){return a[0].toString===N}function d(a,b,c){b?f(a)||(c&&(a[0]=new g(L(a[0].getFullYear(),a[0].getMonth(),a[0].getDate(),a[0].getHours(),a[0].getMinutes(),a[0].getSeconds(),a[0].getMilliseconds()))),a[0].toString=N):f(a)&&(a[0]=c?y(a[0]):new g(+a[0]));return a}function e(a,b,c,d,e){var f=G(z,a[0],e);a=G(D,a[0],e);e=!1;2==d.length&&"boolean"==typeof d[1]&&(e=d[1],d=[c]);c=1==b?(c%12+12)%12:f(1);a(b,d);e&&f(1)!=c&&(a(1,[f(1)-1]),a(2,[C(f(0),f(1))]))}
function h(a,b,c,d){c=Number(c);var e=k.floor(c);a["set"+x[b]](a["get"+x[b]]()+e,d||!1);e!=c&&6>b&&h(a,b+1,(c-e)*I[b],d)}function l(a,c,d){a=a.clone().setUTCMode(!0,!0);c=b(c).setUTCMode(!0,!0);var e=0;if(0==d||1==d){for(var f=6;f>=d;f--)e/=I[f],e+=z(c,!1,f)-z(a,!1,f);1==d&&(e+=12*(c.getFullYear()-a.getFullYear()))}else 2==d?(d=a.toDate().setUTCHours(0,0,0,0),e=c.toDate().setUTCHours(0,0,0,0),e=k.round((e-d)/864E5)+(c-e-(a-d))/864E5):e=(c-a)/[36E5,6E4,1E3,1][d-3];return e}function m(a){var b=a(0),
c=a(1),d=a(2);a=new g(L(b,c,d));b=q(r(b,c,d));return k.floor(k.round((a-b)/864E5)/7)+1}function r(a,b,c){b=new g(L(a,b,c));return b<q(a)?a-1:b>=q(a+1)?a+1:a}function q(a){a=new g(L(a,0,4));a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7);return a}function p(b,c,d,e){var f=G(z,b,e),h=G(D,b,e);d===a&&(d=r(f(0),f(1),f(2)));d=q(d);e||(d=y(d));b.setTime(+d);h(2,[f(2)+7*(c-1)])}function n(a,c,d,e,f){var h=b.locales,l=h[b.defaultLocale]||{},m=G(z,a,f);d=("string"==typeof d?h[d]:d)||{};return t(a,c,function(a){if(e)for(var b=
(7==a?2:a)-1;0<=b;b--)e.push(m(b));return m(a)},function(a){return d[a]||l[a]},f)}function t(b,c,d,e,f){for(var h,l,m="";h=c.match(K);){m+=c.substr(0,h.index);if(h[1]){l=m;for(var m=b,g=h[1],k=d,r=e,n=f,q=g.length,p=void 0,s="";0<q;)p=u(m,g.substr(0,q),k,r,n),p!==a?(s+=p,g=g.substr(q),q=g.length):q--;m=l+(s+g)}else h[3]?(l=t(b,h[4],d,e,f),parseInt(l.replace(/\D/g,""),10)&&(m+=l)):m+=h[7]||"'";c=c.substr(h.index+h[0].length)}return m+c}function u(a,c,d,e,f){var h=b.formatters[c];if("string"==typeof h)return t(a,
h,d,e,f);if("function"==typeof h)return h(a,f||!1,e);switch(c){case "fff":return M(d(6),3);case "s":return d(5);case "ss":return M(d(5));case "m":return d(4);case "mm":return M(d(4));case "h":return d(3)%12||12;case "hh":return M(d(3)%12||12);case "H":return d(3);case "HH":return M(d(3));case "d":return d(2);case "dd":return M(d(2));case "ddd":return e("dayNamesShort")[d(7)]||"";case "dddd":return e("dayNames")[d(7)]||"";case "M":return d(1)+1;case "MM":return M(d(1)+1);case "MMM":return e("monthNamesShort")[d(1)]||
"";case "MMMM":return e("monthNames")[d(1)]||"";case "yy":return(d(0)+"").substring(2);case "yyyy":return d(0);case "t":return s(d,e).substr(0,1).toLowerCase();case "tt":return s(d,e).toLowerCase();case "T":return s(d,e).substr(0,1);case "TT":return s(d,e);case "z":case "zz":case "zzz":return f?c="Z":(e=a.getTimezoneOffset(),a=0>e?"+":"-",d=k.floor(k.abs(e)/60),e=k.abs(e)%60,f=d,"zz"==c?f=M(d):"zzz"==c&&(f=M(d)+":"+M(e)),c=a+f),c;case "w":return m(d);case "ww":return M(m(d));case "S":return c=d(2),
10<c&&20>c?"th":["st","nd","rd"][c%10-1]||"th"}}function s(a,b){return 12>a(3)?b("amDesignator"):b("pmDesignator")}function v(a){return!isNaN(+a[0])}function z(a,b,c){return a["get"+(b?"UTC":"")+x[c]]()}function D(a,b,c,d){a["set"+(b?"UTC":"")+x[c]].apply(a,d)}function y(a){return new g(a.getUTCFullYear(),a.getUTCMonth(),a.getUTCDate(),a.getUTCHours(),a.getUTCMinutes(),a.getUTCSeconds(),a.getUTCMilliseconds())}function C(a,b){return 32-(new g(L(a,b,32))).getUTCDate()}function w(b){return function(){return b.apply(a,
[this].concat(J(arguments)))}}function G(b){var c=J(arguments,1);return function(){return b.apply(a,c.concat(J(arguments)))}}function J(b,d,e){return c.prototype.slice.call(b,d||0,e===a?b.length:e)}function Q(a,b){for(var c=0;c<a.length;c++)b(a[c],c)}function M(a,b){b=b||2;for(a+="";a.length<b;)a="0"+a;return a}var x="FullYear Month Date Hours Minutes Seconds Milliseconds Day Year".split(" "),F=["Years","Months","Days"],I=[12,31,24,60,60,1E3,1],K=/(([a-zA-Z])\2*)|(\((('.*?'|\(.*?\)|.)*?)\))|('(.*?)')/,
L=g.UTC,N=g.prototype.toUTCString,A=b.prototype;A.length=1;A.splice=c.prototype.splice;A.getUTCMode=w(f);A.setUTCMode=w(d);A.getTimezoneOffset=function(){return f(this)?0:this[0].getTimezoneOffset()};Q(x,function(a,b){A["get"+a]=function(){return z(this[0],f(this),b)};8!=b&&(A["getUTC"+a]=function(){return z(this[0],!0,b)});7!=b&&(A["set"+a]=function(a){e(this,b,a,arguments,f(this));return this},8!=b&&(A["setUTC"+a]=function(a){e(this,b,a,arguments,!0);return this},A["add"+(F[b]||a)]=function(a,c){h(this,
b,a,c);return this},A["diff"+(F[b]||a)]=function(a){return l(this,a,b)}))});A.getWeek=function(){return m(G(z,this,!1))};A.getUTCWeek=function(){return m(G(z,this,!0))};A.setWeek=function(a,b){p(this,a,b,!1);return this};A.setUTCWeek=function(a,b){p(this,a,b,!0);return this};A.addWeeks=function(a){return this.addDays(7*Number(a))};A.diffWeeks=function(a){return l(this,a,2)/7};b.parsers=[function(a,b,c){if(a=a.match(/^(\d{4})(-(\d{2})(-(\d{2})([T ](\d{2}):(\d{2})(:(\d{2})(\.(\d+))?)?(Z|(([-+])(\d{2})(:?(\d{2}))?))?)?)?)?$/)){var d=
new g(L(a[1],a[3]?a[3]-1:0,a[5]||1,a[7]||0,a[8]||0,a[10]||0,a[12]?1E3*Number("0."+a[12]):0));a[13]?a[14]&&d.setUTCMinutes(d.getUTCMinutes()+("-"==a[15]?1:-1)*(60*Number(a[16])+(a[18]?Number(a[18]):0))):b||(d=y(d));return c.setTime(+d)}}];b.parse=function(a){return+b(""+a)};A.toString=function(b,c,d){return b===a||!v(this)?this[0].toString():n(this,b,c,d,f(this))};A.toUTCString=A.toGMTString=function(b,c,d){return b===a||!v(this)?this[0].toUTCString():n(this,b,c,d,!0)};A.toISOString=function(){return this.toUTCString("yyyy-MM-dd'T'HH:mm:ss(.fff)zzz")};
b.defaultLocale="";b.locales={"":{monthNames:"January February March April May June July August September October November December".split(" "),monthNamesShort:"Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" "),dayNames:"Sunday Monday Tuesday Wednesday Thursday Friday Saturday".split(" "),dayNamesShort:"Sun Mon Tue Wed Thu Fri Sat".split(" "),amDesignator:"AM",pmDesignator:"PM"}};b.formatters={i:"yyyy-MM-dd'T'HH:mm:ss(.fff)",u:"yyyy-MM-dd'T'HH:mm:ss(.fff)zzz"};Q("getTime valueOf toDateString toTimeString toLocaleString toLocaleDateString toLocaleTimeString toJSON".split(" "),
function(a){A[a]=function(){return this[0][a]()}});A.setTime=function(a){this[0].setTime(a);return this};A.valid=w(v);A.clone=function(){return new b(this)};A.clearTime=function(){return this.setHours(0,0,0,0)};A.toDate=function(){return new g(+this[0])};b.now=function(){return+new g};b.today=function(){return(new b).clearTime()};b.UTC=L;b.getDaysInMonth=C;"undefined"!==typeof module&&module.exports&&(module.exports=b);"function"===typeof define&&define.amd&&define([],function(){return b});return b}(Date,
Math,Array);(function(g){function k(a){var c=a||window.event,d=[].slice.call(arguments,1),e=0,h=0,l=0;a=g.event.fix(c);a.type="mousewheel";c.wheelDelta&&(e=c.wheelDelta/120);c.detail&&(e=-c.detail/3);l=e;void 0!==c.axis&&c.axis===c.HORIZONTAL_AXIS&&(l=0,h=-1*e);void 0!==c.wheelDeltaY&&(l=c.wheelDeltaY/120);void 0!==c.wheelDeltaX&&(h=-1*c.wheelDeltaX/120);d.unshift(a,e,h,l);return(g.event.dispatch||g.event.handle).apply(this,d)}var c=["DOMMouseScroll","mousewheel"];if(g.event.fixHooks)for(var a=c.length;a;)g.event.fixHooks[c[--a]]=
g.event.mouseHooks;g.event.special.mousewheel={setup:function(){if(this.addEventListener)for(var a=c.length;a;)this.addEventListener(c[--a],k,!1);else this.onmousewheel=k},teardown:function(){if(this.removeEventListener)for(var a=c.length;a;)this.removeEventListener(c[--a],k,!1);else this.onmousewheel=null}};g.fn.extend({mousewheel:function(a){return a?this.bind("mousewheel",a):this.trigger("mousewheel")},unmousewheel:function(a){return this.unbind("mousewheel",a)}})})(jQuery);(function(g,k){"$:nomunge";var c=g.jQuery||g.Cowboy||(g.Cowboy={}),a;c.throttle=a=function(a,f,d,e){function h(){function c(){m=+new Date;d.apply(g,t)}function h(){l=k}var g=this,n=+new Date-m,t=arguments;e&&!l&&c();l&&clearTimeout(l);e===k&&n>a?c():!0!==f&&(l=setTimeout(e?h:c,e===k?a-n:a))}var l,m=0;"boolean"!==typeof f&&(e=d,d=f,f=k);c.guid&&(h.guid=d.guid=d.guid||c.guid++);return h};c.debounce=function(b,c,d){return d===k?a(b,c,!1):a(b,d,!1!==c)}})(this);/*

 Software from "jQuery Idle", a jQuery plugin that executes a callback function
 if the user is idle, is Copyright (c) 2011-2013 Henrique Boaventura and is
 provided under the following license (the jQuery Idle software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(g){g.fn.idle=function(k){var c=!1,a=g.extend({},{idle:6E4,events:"mousemove keydown DOMMouseScroll mousewheel mousedown touchstart touchmove",onIdle:function(){},onActive:function(){},keepTracking:!1},k),b,f=g(this),d=!1,e=function(b){d||(c&&(a.onActive.call(),c=!1),l())},h=function(){f.off(a.events,e);clearTimeout(b);d=!0},l=function(){c=!1;clearTimeout(b);m()},m=function(){b=setTimeout(function(){c=!0;h();a.onIdle.call();a.keepTracking&&setTimeout(function(){f.on(a.events,e);d=!1;m(a)},
0)},a.idle);r.timerId=b},r={cancel:h,reset:l};m(a);f.on(a.events,e);return r}})(jQuery);/*

 Autosize v1.17.7 - 2013-09-03
 Automatically adjust textarea height based on user input.
 (c) 2013 Jack Moore - http://www.jacklmoore.com/autosize
 license: http://www.opensource.org/licenses/mit-license.php
 ---
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/
(function(g){"function"===typeof define&&define.amd?define(["jquery"],g):g(window.jQuery||window.$)})(function(g){var k={className:"autosizejs",append:"",callback:!1,resizeDelay:10},c="fontFamily fontSize fontWeight fontStyle letterSpacing textTransform wordSpacing textIndent".split(" "),a,b=g('<textarea tabindex="-1" style="position:absolute; top:-999px; left:0; right:auto; bottom:auto; border:0; padding: 0; -moz-box-sizing:content-box; -webkit-box-sizing:content-box; box-sizing:content-box; word-wrap:break-word; height:0 !important; min-height:0 !important; overflow:hidden; transition:none; -webkit-transition:none; -moz-transition:none;"/>').data("autosize",
!0)[0];b.style.lineHeight="99px";"99px"===g(b).css("lineHeight")&&c.push("lineHeight");b.style.lineHeight="";g.fn.autosize=function(f){f=g.extend({},k,f||{});b.parentNode!==document.body&&g(document.body).append(b);return this.each(function(){function d(){var a,c;"getComputedStyle"in window?(a=window.getComputedStyle(m),c=m.getBoundingClientRect().width,g.each(["paddingLeft","paddingRight","borderLeftWidth","borderRightWidth"],function(b,d){c-=parseInt(a[d],10)}),b.style.width=c+"px"):b.style.width=
Math.max(k.width(),0)+"px"}function e(){var e={};a=m;b.className=f.className;q=parseInt(k.css("maxHeight"),10);g.each(c,function(a,b){e[b]=k.css(b)});g(b).css(e);d();if(window.chrome){var h=m.style.width;m.style.width="0px";m.style.width=h}}function h(){var c,h;a!==m?e():d();b.value=m.value+f.append;b.style.overflowY=m.style.overflowY;h=parseInt(m.style.height,10);b.scrollTop=0;b.scrollTop=9E4;c=b.scrollTop;q&&c>q?(m.style.overflowY="scroll",c=q):(m.style.overflowY="hidden",c<p&&(c=p));c+=n;h!==c&&
(m.style.height=c+"px",t&&f.callback.call(m,m))}function l(){clearTimeout(s);s=setTimeout(function(){var a=k.width();a!==v&&(v=a,h())},parseInt(f.resizeDelay,10))}var m=this,k=g(m),q,p,n=0,t=g.isFunction(f.callback),u={height:m.style.height,overflow:m.style.overflow,overflowY:m.style.overflowY,wordWrap:m.style.wordWrap,resize:m.style.resize},s,v=k.width();if(!k.data("autosize")){k.data("autosize",!0);if("border-box"===k.css("box-sizing")||"border-box"===k.css("-moz-box-sizing")||"border-box"===k.css("-webkit-box-sizing"))n=
k.outerHeight()-k.height();p=Math.max(parseInt(k.css("minHeight"),10)-n||0,k.height());k.css({overflow:"hidden",overflowY:"hidden",wordWrap:"break-word",resize:"none"===k.css("resize")||"vertical"===k.css("resize")?"none":"horizontal"});if("onpropertychange"in m)if("oninput"in m)k.on("input.autosize keyup.autosize",h);else k.on("propertychange.autosize",function(){"value"===event.propertyName&&h()});else k.on("input.autosize",h);if(!1!==f.resizeDelay)g(window).on("resize.autosize",l);k.on("autosize.resize",
h);k.on("autosize.resizeIncludeStyle",function(){a=null;h()});k.on("autosize.destroy",function(){a=null;clearTimeout(s);g(window).off("resize",l);k.off("autosize").off(".autosize").css(u).removeData("autosize")});h()}})}});(function(g){"function"===typeof define&&define.amd?define(["jquery"],g):g(jQuery)})(function(g){var k={wheelSpeed:10,wheelPropagation:!1,minScrollbarLength:null,useBothWheelAxes:!1,useKeyboard:!0,suppressScrollX:!1,suppressScrollY:!1,scrollXMarginOffset:0,scrollYMarginOffset:0},c=function(){var a=0;return function(){var b=a;a+=1;return".perfect-scrollbar-"+b}}();g.fn.perfectScrollbar=function(a,b){return this.each(function(){var f=g.extend(!0,{},k),d=g(this);"object"===typeof a?g.extend(!0,f,a):
b=a;if("update"===b)return d.data("perfect-scrollbar-update")&&d.data("perfect-scrollbar-update")(),d;if("destroy"===b)return d.data("perfect-scrollbar-destroy")&&d.data("perfect-scrollbar-destroy")(),d;if(d.data("perfect-scrollbar"))return d.data("perfect-scrollbar");d.addClass("ps-container");var e=g("<div class='ps-scrollbar-x-rail'></div>").appendTo(d),h=g("<div class='ps-scrollbar-y-rail'></div>").appendTo(d),l=g("<div class='ps-scrollbar-x'></div>").appendTo(e),m=g("<div class='ps-scrollbar-y'></div>").appendTo(h),
r,q,p,n,t,u,s,v,z=parseInt(e.css("bottom"),10),D,y,C=parseInt(h.css("right"),10),w=c(),G=function(a){f.minScrollbarLength&&(a=Math.max(a,f.minScrollbarLength));return a},J=function(){e.css({left:d.scrollLeft(),bottom:z-d.scrollTop(),width:p,display:r?"inherit":"none"});h.css({top:d.scrollTop(),right:C-d.scrollLeft(),height:n,display:q?"inherit":"none"});l.css({left:v,width:s});m.css({top:y,height:D})},Q=function(){p=d.width();n=d.height();t=d.prop("scrollWidth");u=d.prop("scrollHeight");!f.suppressScrollX&&
p+f.scrollXMarginOffset<t?(r=!0,s=G(parseInt(p*p/t,10)),v=parseInt(d.scrollLeft()*(p-s)/(t-p),10)):(r=!1,v=s=0,d.scrollLeft(0));!f.suppressScrollY&&n+f.scrollYMarginOffset<u?(q=!0,D=G(parseInt(n*n/u,10)),y=parseInt(d.scrollTop()*(n-D)/(u-n),10)):(q=!1,y=D=0,d.scrollTop(0));y>=n-D&&(y=n-D);v>=p-s&&(v=p-s);J()},M=function(){var a,b;l.bind("mousedown"+w,function(c){b=c.pageX;a=l.position().left;e.addClass("in-scrolling");c.stopPropagation();c.preventDefault()});g(document).bind("mousemove"+w,function(c){if(e.hasClass("in-scrolling")){var f=
a+(c.pageX-b),l=p-s;v=0>f?0:f>l?l:f;f=parseInt(v*(t-p)/(p-s),10);d.scrollLeft(f);h.css({right:C-f});c.stopPropagation();c.preventDefault()}});g(document).bind("mouseup"+w,function(a){e.hasClass("in-scrolling")&&e.removeClass("in-scrolling")});a=b=null},x=function(){var a,b;m.bind("mousedown"+w,function(c){b=c.pageY;a=m.position().top;h.addClass("in-scrolling");c.stopPropagation();c.preventDefault()});g(document).bind("mousemove"+w,function(c){if(h.hasClass("in-scrolling")){var f=a+(c.pageY-b),l=n-
D;y=0>f?0:f>l?l:f;f=parseInt(y*(u-n)/(n-D),10);d.scrollTop(f);e.css({bottom:z-f});c.stopPropagation();c.preventDefault()}});g(document).bind("mouseup"+w,function(a){h.hasClass("in-scrolling")&&h.removeClass("in-scrolling")});a=b=null},F=function(a,b){var c=d.scrollTop();if(0===a){if(!q)return!1;if(0===c&&0<b||c>=u-n&&0>b)return!f.wheelPropagation}c=d.scrollLeft();if(0===b){if(!r)return!1;if(0===c&&0>a||c>=t-p&&0<a)return!f.wheelPropagation}return!0},I=function(){var a=!1;d.bind("mousewheel"+w,function(b,
c,e,h){c=b.deltaX?b.deltaX/10:e;h=b.deltaY?b.deltaY/10:h;f.useBothWheelAxes?q&&!r?h?d.scrollTop(d.scrollTop()-h*f.wheelSpeed):d.scrollTop(d.scrollTop()+c*f.wheelSpeed):r&&!q&&(c?d.scrollLeft(d.scrollLeft()+c*f.wheelSpeed):d.scrollLeft(d.scrollLeft()-h*f.wheelSpeed)):(d.scrollTop(d.scrollTop()-h*f.wheelSpeed),d.scrollLeft(d.scrollLeft()+c*f.wheelSpeed));Q();(a=F(c,h))&&b.preventDefault()});d.bind("MozMousePixelScroll"+w,function(b){a&&b.preventDefault()})},K=function(){var a=!1;d.bind("mouseenter"+
w,function(b){a=!0});d.bind("mouseleave"+w,function(b){a=!1});var b=!1;g(document).bind("keydown"+w,function(c){if(a&&!g(document.activeElement).is(":input,[contenteditable]")){var e=0,h=0;switch(c.which){case 37:e=-3;break;case 38:h=3;break;case 39:e=3;break;case 40:h=-3;break;case 33:h=9;break;case 32:case 34:h=-9;break;case 35:h=-n;break;case 36:h=n;break;default:return}d.scrollTop(d.scrollTop()-h*f.wheelSpeed);d.scrollLeft(d.scrollLeft()+e*f.wheelSpeed);(b=F(e,h))&&c.preventDefault()}})},L=function(){var a=
function(a){a.stopPropagation()};m.bind("click"+w,a);h.bind("click"+w,function(a){var b=parseInt(D/2,10);a=(a.pageY-h.offset().top-b)/(n-D);0>a?a=0:1<a&&(a=1);d.scrollTop((u-n)*a)});l.bind("click"+w,a);e.bind("click"+w,function(a){var b=parseInt(s/2,10);a=(a.pageX-e.offset().left-b)/(p-s);0>a?a=0:1<a&&(a=1);d.scrollLeft((t-p)*a)})},N=function(){var a=function(a,b){d.scrollTop(d.scrollTop()-b);d.scrollLeft(d.scrollLeft()-a);Q()},b={},c=0,e,f,h=null,l=!1;g(window).bind("touchstart"+w,function(a){l=
!0});g(window).bind("touchend"+w,function(a){l=!1});d.bind("touchstart"+w,function(a){var d=a.originalEvent.targetTouches[0];b.pageX=d.pageX;b.pageY=d.pageY;c=(new Date).getTime();null!==h&&clearInterval(h);a.stopPropagation()});d.bind("touchmove"+w,function(d){if(!l&&1===d.originalEvent.targetTouches.length){var h=d.originalEvent.targetTouches[0],m={};m.pageX=h.pageX;m.pageY=h.pageY;var h=m.pageX-b.pageX,g=m.pageY-b.pageY;a(h,g);b=m;var m=(new Date).getTime(),k=m-c;0<k&&(e=h/k,f=g/k,c=m);d.preventDefault()}});
d.bind("touchend"+w,function(b){clearInterval(h);h=setInterval(function(){0.01>Math.abs(e)&&0.01>Math.abs(f)?clearInterval(h):(a(30*e,30*f),e*=0.8,f*=0.8)},10)})},A=function(){d.bind("scroll"+w,function(a){Q()})},H=function(){d.unbind(w);g(window).unbind(w);g(document).unbind(w);d.data("perfect-scrollbar",null);d.data("perfect-scrollbar-update",null);d.data("perfect-scrollbar-destroy",null);l.remove();m.remove();e.remove();h.remove();l=m=p=n=t=u=s=v=z=D=y=C=null},P=function(a){d.addClass("ie").addClass("ie"+
a);var b=function(){J=function(){l.css({left:v+d.scrollLeft(),bottom:z,width:s});m.css({top:y+d.scrollTop(),right:C,height:D});l.hide().show();m.hide().show()}};6===a&&(function(){var a=function(){g(this).addClass("hover")},b=function(){g(this).removeClass("hover")};d.bind("mouseenter"+w,a).bind("mouseleave"+w,b);e.bind("mouseenter"+w,a).bind("mouseleave"+w,b);h.bind("mouseenter"+w,a).bind("mouseleave"+w,b);l.bind("mouseenter"+w,a).bind("mouseleave"+w,b);m.bind("mouseenter"+w,a).bind("mouseleave"+
w,b)}(),b())},B="ontouchstart"in window||window.DocumentTouch&&document instanceof window.DocumentTouch;(function(){var a=navigator.userAgent.toLowerCase().match(/(msie) ([\w.]+)/);a&&"msie"===a[1]&&P(parseInt(a[2],10));Q();A();M();x();L();B&&N();d.mousewheel&&I();f.useKeyboard&&K();d.data("perfect-scrollbar",d);d.data("perfect-scrollbar-update",Q);d.data("perfect-scrollbar-destroy",H)})();return d})}});/*

 Software from "LazyLoad" is Copyright (c) 2011 Ryan Grove <ryan@wonko.com>
 and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy of
 this software and associated documentation files (the 'Software'), to deal in
 the Software without restriction, including without limitation the rights to
 use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 the Software, and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 --
/**

/**
LazyLoad makes it easy and painless to lazily load one or more external
JavaScript or CSS files on demand either during or after the rendering of a web
page.

Supported browsers include Firefox 2+, IE6+, Safari 3+ (including Mobile
Safari), Google Chrome, and Opera 9+. Other browsers may or may not work and
are not officially supported.

Visit https://github.com/rgrove/lazyload/ for more info.

@module lazyload
@class LazyLoad
@static
*/
LazyLoad=function(g){function k(a,b){var c=g.createElement(a),d;for(d in b)b.hasOwnProperty(d)&&c.setAttribute(d,b[d]);return c}function c(a){var c=l[a],d,e;c&&(d=c.callback,e=c.urls,e.shift(),m=0,e.length||(d&&d.call(c.context,c.obj),l[a]=null,r[a].length&&b(a)))}function a(){var a=navigator.userAgent;e={async:!0===g.createElement("script").async};(e.webkit=/AppleWebKit\//.test(a))||(e.ie=/MSIE|Trident/.test(a))||(e.opera=/Opera/.test(a))||(e.gecko=/Gecko\//.test(a))||(e.unknown=!0)}function b(b,
m,q,u,s){var v=function(){c(b)},z="css"===b,D=[],y,C,w,G;e||a();if(m)if(m="string"===typeof m?[m]:m.concat(),z||e.async||e.gecko||e.opera)r[b].push({urls:m,callback:q,obj:u,context:s});else{y=0;for(C=m.length;y<C;++y)r[b].push({urls:[m[y]],callback:y===C-1?q:null,obj:u,context:s})}if(!l[b]&&(G=l[b]=r[b].shift())){h||(h=g.head||g.getElementsByTagName("head")[0]);m=G.urls;y=0;for(C=m.length;y<C;++y)q=m[y],z?w=e.gecko?k("style"):k("link",{href:q,rel:"stylesheet"}):(w=k("script",{src:q}),w.async=!1),
w.className="lazyload",w.setAttribute("charset","utf-8"),e.ie&&!z&&"onreadystatechange"in w&&!("draggable"in w)?w.onreadystatechange=function(){/loaded|complete/.test(w.readyState)&&(w.onreadystatechange=null,v())}:z&&(e.gecko||e.webkit)?e.webkit?(G.urls[y]=w.href,d()):(w.innerHTML='@import "'+q+'";',f(w)):w.onload=w.onerror=v,D.push(w);y=0;for(C=D.length;y<C;++y)h.appendChild(D[y])}}function f(a){var b;try{b=!!a.sheet.cssRules}catch(d){m+=1;200>m?setTimeout(function(){f(a)},50):b&&c("css");return}c("css")}
function d(){var a=l.css,b;if(a){for(b=q.length;0<=--b;)if(q[b].href===a.urls[0]){c("css");break}m+=1;a&&(200>m?setTimeout(d,50):c("css"))}}var e,h,l={},m=0,r={css:[],js:[]},q=g.styleSheets;return{css:function(a,c,d,e){b("css",a,c,d,e)},js:function(a,c,d,e){b("js",a,c,d,e)}}}(this.document);(function(g,k,c){function a(a,b,c){for(var d=[],e=0;e<a.length;e++){var f=tinycolor(a[e]),h=0.5>f.toHsl().l?"sp-thumb-el sp-thumb-dark":"sp-thumb-el sp-thumb-light",h=h+(tinycolor.equals(b,a[e])?" sp-thumb-active":""),l=t?"background-color:"+f.toRgbString():"filter:"+f.toFilter();d.push('<span title="'+f.toHexString()+'" data-color="'+f.toRgbString()+'" class="'+h+'"><span class="sp-thumb-inner" style="'+l+';" /></span>')}return"<div class='sp-cf "+c+"'>"+d.join("")+"</div>"}function b(a,b){var c=
k.extend({},q,a);c.callbacks={move:l(c.move,b),change:l(c.change,b),show:l(c.show,b),hide:l(c.hide,b),beforeShow:l(c.beforeShow,b)};return c}function f(c,e){function f(a){Oa&&(ca.push(tinycolor(a).toHexString()),fa&&g.localStorage&&(g.localStorage[fa]=ca.join(",")))}function l(){var a=[],b=ca,c={};if(X){for(var d=0;d<ia.length;d++)for(var e=0;e<ia[d].length;e++){var f=tinycolor(ia[d][e]).toHexString();c[f]=!0}for(d=0;d<b.length;d++)f=tinycolor(b[d]).toHexString(),c.hasOwnProperty(f)||(a.push(b[d]),
c[f]=!0)}return a.reverse().slice(0,B.maxSelectionSize)}function q(){var b=K(),c=k.map(ia,function(c,d){return a(c,b,"sp-palette-row sp-palette-row-"+d)});ca&&c.push(a(l(),b,"sp-palette-row sp-palette-row-selection"));Da.html(c.join(""))}function w(){if(ya){var b=V,c=K();Ea.html(a([b,c],c,"sp-palette-row-initial"))}}function G(){(0===T||0===ba||0===ga)&&P();E.addClass(Fa)}function J(){E.removeClass(Fa)}function Q(){var a=tinycolor(R.val());a.ok?I(a):R.addClass("sp-validation-error")}function M(){aa?
F():x()}function x(){if(aa)P();else if(!1!==Z.beforeShow(K())){for(var a=0;a<p.length;a++)p[a]&&p[a].hide();aa=!0;k(ja).bind("click.spectrum",F);k(g).bind("resize.spectrum",Ca);Y.addClass("sp-active");E.show();X&&q();P();N();V=K();w();Z.show(V)}}function F(a){if((!a||!("click"==a.type&&2==a.button))&&aa&&!O)aa=!1,k(ja).unbind("click.spectrum",F),k(g).unbind("resize.spectrum",Ca),Y.removeClass("sp-active"),E.hide(),tinycolor.equals(K(),V)||(Pa&&"cancel"!==a?H(!0):I(V,!0)),Z.hide(K())}function I(a,
b){if(!tinycolor.equals(a,K())){var c=tinycolor(a),d=c.toHsv();da=d.h;ka=d.s;la=d.v;S=d.a;N();b||(ma=qa||c.format)}}function K(){return tinycolor.fromRatio({h:da,s:ka,v:la,a:Math.round(100*S)/100})}function L(){N();Z.move(K())}function N(){R.removeClass("sp-validation-error");A();var a=tinycolor({h:da,s:"1.0",v:"1.0"});na.css("background-color",a.toHexString());a=ma;if(1>S&&("hex"===a||"name"===a))a="rgb";var b=K(),c=b.toHexString(),d=b.toRgbString();t||1===b.alpha?ra.css("background-color",d):(ra.css("background-color",
"transparent"),ra.css("filter",b.toFilter()));if(Ba){d=b.toRgb();d.a=0;var d=tinycolor(d).toRgbString(),e="linear-gradient(left, "+d+", "+c+")";n?ea.css("filter",tinycolor(d).toFilter({gradientType:1},c)):(ea.css("background","-webkit-"+e),ea.css("background","-moz-"+e),ea.css("background","-ms-"+e),ea.css("background",e))}if(Aa){if(1>S&&("hex"===a||"name"===a))a="rgb";R.val(b.toString(a))}X&&q();w()}function A(){var a=ka*ba,b=T-la*T,a=Math.max(-U,Math.min(ba-U,a-U)),b=Math.max(-U,Math.min(T-U,b-
U));Ga.css({top:b,left:a});Ha.css({left:S*sa-Ia/2});Ja.css({top:da*ga-Ka})}function H(a){var b=K();ta&&W.val(b.toString(ma)).change();var c=!tinycolor.equals(b,V);V=b;f(b);a&&c&&Z.change(b)}function P(){ba=na.width();T=na.height();U=Ga.height();ua.width();ga=ua.height();Ka=Ja.height();sa=La.width();Ia=Ha.width();O||E.offset(d(E,va));A()}var B=b(e,c),O=B.flat,ha=B.showPaletteOnly,X=B.showPalette||ha,ya=B.showInitial&&!O,Aa=B.showInput,Ba=B.showAlpha,Oa=B.showSelectionPalette,fa=B.localStorageKey,za=
B.theme,Z=B.callbacks,Ca=r(P,10),aa=!1,ba=0,T=0,U=0,ga=0,sa=0,Ia=0,Ka=0,da=0,ka=0,la=0,S=1,wa=B.palette.slice(0),ia=k.isArray(wa[0])?wa:[wa],ca=B.selectionPalette.slice(0),Fa="sp-dragging",ja=c.ownerDocument,Qa=B.container||ja.body,W=k(c),E=k(s,ja).addClass(za),na=E.find(".sp-color"),Ga=E.find(".sp-dragger"),ua=E.find(".sp-hue"),Ja=E.find(".sp-slider"),ea=E.find(".sp-alpha-inner"),La=E.find(".sp-alpha"),Ha=E.find(".sp-alpha-handle"),R=E.find(".sp-input"),Da=E.find(".sp-palette"),Ea=E.find(".sp-initial"),
Ma=E.find(".sp-cancel"),Na=E.find(".sp-choose"),ta=W.is("input"),xa=ta&&!O,Y=xa?k(u).addClass(za):k([]),va=xa?Y:W,ra=Y.find(".sp-preview-inner"),oa=B.color||ta&&W.val(),V=!1,qa=B.preferredFormat,ma=qa,Pa=!B.showButtons||B.clickoutFiresChange;Na.text(B.chooseText);Ma.text(B.cancelText);(function(){function a(b){b.data&&b.data.ignore?(I(k(this).data("color")),L()):(I(k(this).data("color")),H(!0),L(),F());return!1}n&&E.find("*:not(input)").attr("unselectable","on");E.toggleClass("sp-flat",O);E.toggleClass("sp-input-disabled",
!Aa);E.toggleClass("sp-alpha-enabled",Ba);E.toggleClass("sp-buttons-disabled",!B.showButtons||O);E.toggleClass("sp-palette-disabled",!X);E.toggleClass("sp-palette-only",ha);E.toggleClass("sp-initial-disabled",!ya);E.addClass(B.className);xa&&W.hide().after(Y);O?W.after(E).hide():k(Qa).append(E.hide());if(fa&&g.localStorage)try{ca=g.localStorage[fa].split(",")}catch(b){}va.bind("click.spectrum touchstart.spectrum",function(a){M();a.stopPropagation();k(a.target).is("input")||a.preventDefault()});E.click(h);
R.change(Q);R.bind("paste",function(){setTimeout(Q,1)});R.keydown(function(a){13==a.keyCode&&Q()});Ma.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();F("cancel")});Na.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();R.hasClass("sp-validation-error")||(H(!0),F())});m(La,function(a,b,c){S=a/sa;c.shiftKey&&(S=Math.round(10*S)/10);L()});m(ua,function(a,b){da=b/ga;L()},G,J);m(na,function(a,b){ka=a/ba;la=(T-b)/T;L()},G,J);oa?(I(oa),N(),ma=qa||tinycolor(oa).format,
f(oa)):N();O&&x();var c=n?"mousedown.spectrum":"click.spectrum touchstart.spectrum";Da.delegate(".sp-thumb-el",c,a);Ea.delegate(".sp-thumb-el::nth-child(1)",c,{ignore:!0},a)})();var pa={show:x,hide:F,toggle:M,reflow:P,set:function(a){I(a);H()},get:K,destroy:function(){W.show();va.unbind("click.spectrum touchstart.spectrum");E.remove();Y.remove();p[pa.id]=null},container:E};pa.id=p.push(pa)-1;return pa}function d(a,b){var c=a.outerWidth(),d=a.outerHeight();b.outerWidth();var e=b.outerHeight(),f=a[0].ownerDocument,
h=f.documentElement,l=h.clientWidth+k(f).scrollLeft(),f=h.clientHeight+k(f).scrollTop(),h=b.offset();h.top+=e;h.left-=Math.min(h.left,h.left+c>l&&l>c?Math.abs(h.left+c-l):0);h.top-=Math.min(h.top,h.top+d>f&&f>d?Math.abs(d+e-0):0);return h}function e(){}function h(a){a.stopPropagation()}function l(a,b){var c=Array.prototype.slice,d=c.call(arguments,2);return function(){return a.apply(b,d.concat(c.call(arguments)))}}function m(a,b,c,d){function e(a){a.stopPropagation&&a.stopPropagation();a.preventDefault&&
a.preventDefault();a.returnValue=!1}function f(c){if(m){if(n&&!(9<=document.documentMode)&&!c.button)return h();var d=c.originalEvent.touches,l=d?d[0].pageY:c.pageY,d=Math.max(0,Math.min((d?d[0].pageX:c.pageX)-r.left,t)),l=Math.max(0,Math.min(l-r.top,q));u&&e(c);b.apply(a,[d,l,c])}}function h(){m&&(k(l).unbind(p),k(l.body).removeClass("sp-dragging"),d.apply(a,arguments));m=!1}b=b||function(){};c=c||function(){};d=d||function(){};var l=a.ownerDocument||document,m=!1,r={},q=0,t=0,u="ontouchstart"in
g,p={};p.selectstart=e;p.dragstart=e;p[u?"touchmove":"mousemove"]=f;p[u?"touchend":"mouseup"]=h;k(a).bind(u?"touchstart":"mousedown",function(b){if(!(b.which?3==b.which:2==b.button)&&!m&&!1!==c.apply(a,arguments))m=!0,q=k(a).height(),t=k(a).width(),r=k(a).offset(),k(l).bind(p),k(l.body).addClass("sp-dragging"),u||f(b),e(b)})}function r(a,b,c){var d;return function(){var e=this,f=arguments,h=function(){d=null;a.apply(e,f)};c&&clearTimeout(d);if(c||!d)d=setTimeout(h,b)}}var q={beforeShow:e,move:e,change:e,
show:e,hide:e,color:!1,flat:!1,showInput:!1,showButtons:!0,clickoutFiresChange:!1,showInitial:!1,showPalette:!1,showPaletteOnly:!1,showSelectionPalette:!0,localStorageKey:!1,maxSelectionSize:7,cancelText:"cancel",chooseText:"choose",preferredFormat:!1,className:"",showAlpha:!1,theme:"sp-light",palette:["fff","000"],selectionPalette:[],container:null},p=[],n=!!/msie/i.exec(g.navigator.userAgent),t=function(){var a=document.createElement("div").style;a.cssText="background-color:rgba(0,0,0,.5)";return!!~(""+
a.backgroundColor).indexOf("rgba")||!!~(""+a.backgroundColor).indexOf("hsla")}(),u="<div class='sp-replacer'><div class='sp-preview'><div class='sp-preview-inner'></div></div><div class='sp-dd'>&#9660;</div></div>",s=function(){var a="";if(n)for(var b=1;6>=b;b++)a+="<div class='sp-"+b+"'></div>";return["<div class='sp-container'><div class='sp-palette-container'><div class='sp-palette sp-thumb sp-cf'></div></div><div class='sp-picker-container'><div class='sp-top sp-cf'><div class='sp-fill'></div><div class='sp-top-inner'><div class='sp-color'><div class='sp-sat'><div class='sp-val'><div class='sp-dragger'></div></div></div></div><div class='sp-hue'><div class='sp-slider'></div>",
a,"</div></div><div class='sp-alpha'><div class='sp-alpha-inner'><div class='sp-alpha-handle'></div></div></div></div><div class='sp-input-container sp-cf'><input class='sp-input' type='text' spellcheck='false'  /></div><div class='sp-initial sp-thumb sp-cf'></div><div class='sp-button-container sp-cf'><a class='sp-cancel' href='#'></a><button class='sp-choose'></button></div></div></div>"].join("")}();k.fn.spectrum=function(a,b){return"string"==typeof a?"get"==a?p[this.eq(0).data("spectrum.id")].get():
"container"==a?p[k(this).data("spectrum.id")].container:this.each(function(){var c=p[k(this).data("spectrum.id")];c&&("show"==a&&c.show(),"hide"==a&&c.hide(),"toggle"==a&&c.toggle(),"reflow"==a&&c.reflow(),"set"==a&&c.set(b),"destroy"==a&&(c.destroy(),k(this).removeData("spectrum.id")))}):this.spectrum("destroy").each(function(){var b=f(this,a);k(this).data("spectrum.id",b.id)})};k.fn.spectrum.load=!0;k.fn.spectrum.loadOpts={};k.fn.spectrum.draggable=m;k.fn.spectrum.defaults=q;k.fn.spectrum.processNativeColorInputs=
function(){var a=k("<input type='color' value='#ffffff' />")[0];"color"===a.type&&"#ffffff"!=a.value||k("input[type=color]").spectrum({preferredFormat:"hex6"})};(function(a){function b(a,e){if("object"==typeof a&&a.hasOwnProperty("_tc_id"))return a;var l=c(a),g=l.r,k=l.g,n=l.b,t=s(l.a);return{ok:l.ok,format:l.format,_tc_id:r++,alpha:t,toHsv:function(){var a=f(g,k,n);return{h:a.h,s:a.s,v:a.v,a:t}},toHsvString:function(){var a=f(g,k,n),b=q(360*a.h),c=q(100*a.s),a=q(100*a.v);return 1==t?"hsv("+b+", "+
c+"%, "+a+"%)":"hsva("+b+", "+c+"%, "+a+"%, "+t+")"},toHsl:function(){var a=d(g,k,n);return{h:a.h,s:a.s,l:a.l,a:t}},toHslString:function(){var a=d(g,k,n),b=q(360*a.h),c=q(100*a.s),a=q(100*a.l);return 1==t?"hsl("+b+", "+c+"%, "+a+"%)":"hsla("+b+", "+c+"%, "+a+"%, "+t+")"},toHex:function(){return h(g,k,n)},toHexString:function(a){return"#"+h(g,k,n,a)},toRgb:function(){return{r:q(g),g:q(k),b:q(n),a:t}},toRgbString:function(){return 1==t?"rgb("+q(g)+", "+q(k)+", "+q(n)+")":"rgba("+q(g)+", "+q(k)+", "+
q(n)+", "+t+")"},toName:function(){return B[h(g,k,n)]||!1},toFilter:function(a,c){var d=secondHex=h(g,k,n,!0),e=secondAlphaHex=Math.round(255*s(t)).toString(16),f=a&&a.gradientType?"GradientType = 1, ":"";if(c){var l=b(c);secondHex=l.toHex();secondAlphaHex=Math.round(255*s(l.alpha)).toString(16)}return"progid:DXImageTransform.Microsoft.gradient("+f+"startColorstr=#"+m(e)+d+",endColorstr=#"+m(secondAlphaHex)+secondHex+")"},toString:function(a){a=a||this.format;var b=!1;"rgb"===a&&(b=this.toRgbString());
"hex"===a&&(b=this.toHexString());"hex6"===a&&(b=this.toHexString(!0));"name"===a&&(b=this.toName());"hsl"===a&&(b=this.toHslString());"hsv"===a&&(b=this.toHsvString());return b||this.toHexString()}}}function c(a){var b={r:0,g:0,b:0},d=1,f=!1,h=!1;if("string"==typeof a)a:{a=a.replace(g,"").replace(k,"").toLowerCase();var m=!1;if(P[a])a=P[a],m=!0;else if("transparent"==a){a={r:0,g:0,b:0,a:0};break a}var r;a=(r=O.rgb.exec(a))?{r:r[1],g:r[2],b:r[3]}:(r=O.rgba.exec(a))?{r:r[1],g:r[2],b:r[3],a:r[4]}:(r=
O.hsl.exec(a))?{h:r[1],s:r[2],l:r[3]}:(r=O.hsla.exec(a))?{h:r[1],s:r[2],l:r[3],a:r[4]}:(r=O.hsv.exec(a))?{h:r[1],s:r[2],v:r[3]}:(r=O.hex6.exec(a))?{r:parseInt(r[1],16),g:parseInt(r[2],16),b:parseInt(r[3],16),format:m?"name":"hex"}:(r=O.hex3.exec(a))?{r:parseInt(r[1]+""+r[1],16),g:parseInt(r[2]+""+r[2],16),b:parseInt(r[3]+""+r[3],16),format:m?"name":"hex"}:!1}if("object"==typeof a){if(a.hasOwnProperty("r")&&a.hasOwnProperty("g")&&a.hasOwnProperty("b"))b={r:255*l(a.r,255),g:255*l(a.g,255),b:255*l(a.b,
255)},f=!0,h="rgb";else if(a.hasOwnProperty("h")&&a.hasOwnProperty("s")&&a.hasOwnProperty("v")){var h=a.h,m=a.s,b=a.v,h=6*l(h,360),m=l(m,100),b=l(b,100),f=n.floor(h),p=h-f,h=b*(1-m);r=b*(1-p*m);m=b*(1-(1-p)*m);f%=6;b={r:255*[b,r,h,h,m,b][f],g:255*[m,b,b,r,h,h][f],b:255*[h,h,m,b,b,r][f]};f=!0;h="hsv"}else a.hasOwnProperty("h")&&(a.hasOwnProperty("s")&&a.hasOwnProperty("l"))&&(b=e(a.h,a.s,a.l),f=!0,h="hsl");a.hasOwnProperty("a")&&(d=a.a)}b.r=t(255,u(b.r,0));b.g=t(255,u(b.g,0));b.b=t(255,u(b.b,0));1>
b.r&&(b.r=q(b.r));1>b.g&&(b.g=q(b.g));1>b.b&&(b.b=q(b.b));return{ok:f,format:a&&a.format||h,r:b.r,g:b.g,b:b.b,a:d}}function d(a,b,c){a=l(a,255);b=l(b,255);c=l(c,255);var e=u(a,b,c),f=t(a,b,c),h,m=(e+f)/2;if(e==f)h=f=0;else{var g=e-f,f=0.5<m?g/(2-e-f):g/(e+f);switch(e){case a:h=(b-c)/g+(b<c?6:0);break;case b:h=(c-a)/g+2;break;case c:h=(a-b)/g+4}h/=6}return{h:h,s:f,l:m}}function e(a,b,c){function d(a,b,c){0>c&&(c+=1);1<c&&(c-=1);return c<1/6?a+6*(b-a)*c:0.5>c?b:c<2/3?a+6*(b-a)*(2/3-c):a}a=l(a,360);
b=l(b,100);c=l(c,100);if(0==b)c=b=a=c;else{var f=0.5>c?c*(1+b):c+b-c*b,h=2*c-f;c=d(h,f,a+1/3);b=d(h,f,a);a=d(h,f,a-1/3)}return{r:255*c,g:255*b,b:255*a}}function f(a,b,c){a=l(a,255);b=l(b,255);c=l(c,255);var d=u(a,b,c),e=t(a,b,c),h,m=d-e;if(d==e)h=0;else{switch(d){case a:h=(b-c)/m+(b<c?6:0);break;case b:h=(c-a)/m+2;break;case c:h=(a-b)/m+4}h/=6}return{h:h,s:0==d?0:m/d,v:d}}function h(a,b,c,d){a=[m(q(a).toString(16)),m(q(b).toString(16)),m(q(c).toString(16))];return!d&&a[0].charAt(0)==a[0].charAt(1)&&
a[1].charAt(0)==a[1].charAt(1)&&a[2].charAt(0)==a[2].charAt(1)?a[0].charAt(0)+a[1].charAt(0)+a[2].charAt(0):a.join("")}function l(a,b){"string"==typeof a&&(-1!=a.indexOf(".")&&1===s(a))&&(a="100%");var c="string"===typeof a&&-1!=a.indexOf("%");a=t(b,u(0,s(a)));c&&(a*=b/100);return 1E-6>n.abs(a-b)?1:1<=a?a%b/s(b):a}function m(a){return 1==a.length?"0"+a:""+a}var g=/^[\s,#]+/,k=/\s+$/,r=0,n=Math,q=n.round,t=n.min,u=n.max,p=n.random,s=a.parseFloat;b.fromRatio=function(a){if("object"==typeof a)for(var c in a)1===
a[c]&&(a[c]="1.0");return b(a)};b.equals=function(a,c){return!a||!c?!1:b(a).toRgbString()==b(c).toRgbString()};b.random=function(){return b.fromRatio({r:p(),g:p(),b:p()})};b.desaturate=function(a,c){var d=b(a).toHsl();d.s-=(c||10)/100;d.s=t(1,u(0,d.s));return b(d)};b.saturate=function(a,c){var d=b(a).toHsl();d.s+=(c||10)/100;d.s=t(1,u(0,d.s));return b(d)};b.greyscale=function(a){return b.desaturate(a,100)};b.lighten=function(a,c){var d=b(a).toHsl();d.l+=(c||10)/100;d.l=t(1,u(0,d.l));return b(d)};
b.darken=function(a,c){var d=b(a).toHsl();d.l-=(c||10)/100;d.l=t(1,u(0,d.l));return b(d)};b.complement=function(a){a=b(a).toHsl();a.h=(a.h+0.5)%1;return b(a)};b.triad=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+120)%360,s:c.s,l:c.l}),b({h:(d+240)%360,s:c.s,l:c.l})]};b.tetrad=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+90)%360,s:c.s,l:c.l}),b({h:(d+180)%360,s:c.s,l:c.l}),b({h:(d+270)%360,s:c.s,l:c.l})]};b.splitcomplement=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),
b({h:(d+72)%360,s:c.s,l:c.l}),b({h:(d+216)%360,s:c.s,l:c.l})]};b.analogous=function(a,c,d){c=c||6;d=d||30;var e=b(a).toHsl();d=360/d;a=[b(a)];e.h*=360;for(e.h=(e.h-(d*c>>1)+720)%360;--c;)e.h=(e.h+d)%360,a.push(b(e));return a};b.monochromatic=function(a,c){c=c||6;for(var d=b(a).toHsv(),e=d.h,f=d.s,d=d.v,h=[],l=1/c;c--;)h.push(b({h:e,s:f,v:d})),d=(d+l)%1;return h};b.readable=function(a,c){var d=b(a).toRgb(),e=b(c).toRgb();return 10404<(e.r-d.r)*(e.r-d.r)+(e.g-d.g)*(e.g-d.g)+(e.b-d.b)*(e.b-d.b)};var P=
b.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",
darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",
gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",
lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",
orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",
springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},B=b.hexNames=function(a){var b={},c;for(c in a)a.hasOwnProperty(c)&&(b[a[c]]=c);return b}(P),O={rgb:RegExp("rgb[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),rgba:RegExp("rgba[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hsl:RegExp("hsl[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsla:RegExp("hsla[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsv:RegExp("hsv[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hex3:/^([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/};a.tinycolor=b})(this);k(function(){k.fn.spectrum.load&&k.fn.spectrum.processNativeColorInputs()})})(this,jQuery);/*

 Software from "SockJS" is Copyright (c) 2011-2012 VMware, Inc. and is provided
 under the following license (the SockJS software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var JSON;JSON||(JSON={});
(function(){function g(a,b){var c,e,p,n,t=f,u,s=b[a];s&&"object"==typeof s&&"function"==typeof s.toJSON&&(s=s.toJSON(a));"function"==typeof h&&(s=h.call(b,a,s));switch(typeof s){case "string":return k(s);case "number":return isFinite(s)?String(s):"null";case "boolean":case "null":return String(s);case "object":if(!s)return"null";f+=d;u=[];if("[object Array]"===Object.prototype.toString.apply(s)){n=s.length;for(c=0;c<n;c+=1)u[c]=g(c,s)||"null";p=0===u.length?"[]":f?"[\n"+f+u.join(",\n"+f)+"\n"+t+"]":
"["+u.join(",")+"]";f=t;return p}if(h&&"object"==typeof h){n=h.length;for(c=0;c<n;c+=1)"string"==typeof h[c]&&(e=h[c],p=g(e,s),p&&u.push(k(e)+(f?": ":":")+p))}else for(e in s)Object.prototype.hasOwnProperty.call(s,e)&&(p=g(e,s),p&&u.push(k(e)+(f?": ":":")+p));p=0===u.length?"{}":f?"{\n"+f+u.join(",\n"+f)+"\n"+t+"}":"{"+u.join(",")+"}";f=t;return p}}function k(a){b.lastIndex=0;return b.test(a)?'"'+a.replace(b,function(a){var b=e[a];return"string"==typeof b?b:"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)})+
'"':'"'+a+'"'}function c(a){return 10>a?"0"+a:a}"use strict";"function"!=typeof Date.prototype.toJSON&&(Date.prototype.toJSON=function(a){return isFinite(this.valueOf())?this.getUTCFullYear()+"-"+c(this.getUTCMonth()+1)+"-"+c(this.getUTCDate())+"T"+c(this.getUTCHours())+":"+c(this.getUTCMinutes())+":"+c(this.getUTCSeconds())+"Z":null},String.prototype.toJSON=Number.prototype.toJSON=Boolean.prototype.toJSON=function(a){return this.valueOf()});var a=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
b=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,f,d,e={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},h;"function"!=typeof JSON.stringify&&(JSON.stringify=function(a,b,c){var e;d=f="";if("number"==typeof c)for(e=0;e<c;e+=1)d+=" ";else"string"==typeof c&&(d=c);h=b;if(!b||"function"==typeof b||"object"==typeof b&&"number"==typeof b.length)return g("",{"":a});throw Error("JSON.stringify");});"function"!=
typeof JSON.parse&&(JSON.parse=function(b,c){function d(a,b){var e,f,h=a[b];if(h&&"object"==typeof h)for(e in h)Object.prototype.hasOwnProperty.call(h,e)&&(f=d(h,e),void 0!==f?h[e]=f:delete h[e]);return c.call(a,b,h)}var e;b=String(b);a.lastIndex=0;a.test(b)&&(b=b.replace(a,function(a){return"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)}));if(/^[\],:{}\s]*$/.test(b.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
"]").replace(/(?:^|:|,)(?:\s*\[)+/g,"")))return e=eval("("+b+")"),"function"==typeof c?d({"":e},""):e;throw new SyntaxError("JSON.parse");})})();
SockJS=function(){var g=document,k=window,c={},a=function(){};a.prototype.addEventListener=function(a,b){this._listeners||(this._listeners={});a in this._listeners||(this._listeners[a]=[]);var d=this._listeners[a];-1===c.arrIndexOf(d,b)&&d.push(b)};a.prototype.removeEventListener=function(a,b){if(this._listeners&&a in this._listeners){var d=this._listeners[a],e=c.arrIndexOf(d,b);-1!==e&&(1<d.length?this._listeners[a]=d.slice(0,e).concat(d.slice(e+1)):delete this._listeners[a])}};a.prototype.dispatchEvent=
function(a){var b=a.type,c=Array.prototype.slice.call(arguments,0);this["on"+b]&&this["on"+b].apply(this,c);if(this._listeners&&b in this._listeners)for(var d=0;d<this._listeners[b].length;d++)this._listeners[b][d].apply(this,c)};var b=function(a,b){this.type=a;if("undefined"!==typeof b)for(var c in b)b.hasOwnProperty(c)&&(this[c]=b[c])};b.prototype.toString=function(){var a=[],b;for(b in this)if(this.hasOwnProperty(b)){var c=this[b];"function"===typeof c&&(c="[function]");a.push(b+"="+c)}return"SimpleEvent("+
a.join(", ")+")"};var f=function(a){this._events=a||[];this._listeners={}};f.prototype.emit=function(a){this._verifyType(a);if(!this._nuked){var b=Array.prototype.slice.call(arguments,1);this["on"+a]&&this["on"+a].apply(this,b);if(a in this._listeners)for(var c=0;c<this._listeners[a].length;c++)this._listeners[a][c].apply(this,b)}};f.prototype.on=function(a,b){this._verifyType(a);this._nuked||(a in this._listeners||(this._listeners[a]=[]),this._listeners[a].push(b))};f.prototype._verifyType=function(a){-1===
c.arrIndexOf(this._events,a)&&c.log("Event "+JSON.stringify(a)+" not listed "+JSON.stringify(this._events)+" in "+this)};f.prototype.nuke=function(){this._nuked=!0;for(var a=0;a<this._events.length;a++)delete this[this._events[a]];this._listeners={}};c.random_string=function(a,b){b=b||37;var c,d=[];for(c=0;c<a;c++)d.push("abcdefghijklmnopqrstuvwxyz0123456789_".substr(Math.floor(Math.random()*b),1));return d.join("")};c.random_number=function(a){return Math.floor(Math.random()*a)};c.random_number_string=
function(a){var b=(""+(a-1)).length;return(Array(b+1).join("0")+c.random_number(a)).slice(-b)};c.getOrigin=function(a){return(a+"/").split("/").slice(0,3).join("/")};c.isSameOriginUrl=function(a,b){b||(b=k.location.href);return a.split("/").slice(0,3).join("/")===b.split("/").slice(0,3).join("/")};c.getParentDomain=function(a){return/^[0-9.]*$/.test(a)||/^\[/.test(a)||!/[.]/.test(a)?a:a.split(".").slice(1).join(".")};c.objectExtend=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c]);return a};
c.polluteGlobalNamespace=function(){"_jp"in k||(k._jp={})};c.closeFrame=function(a,b){return"c"+JSON.stringify([a,b])};c.userSetCode=function(a){return 1E3===a||3E3<=a&&4999>=a};c.countRTO=function(a){return 100<a?3*a:a+200};c.log=function(){k.console&&(console.log&&console.log.apply)&&console.log.apply(console,arguments)};c.bind=function(a,b){return a.bind?a.bind(b):function(){return a.apply(b,arguments)}};c.flatUrl=function(a){return-1===a.indexOf("?")&&-1===a.indexOf("#")};c.amendUrl=function(a){var b=
g.location;if(!a)throw Error("Wrong url for SockJS");if(!c.flatUrl(a))throw Error("Only basic urls are supported in SockJS");0===a.indexOf("//")&&(a=b.protocol+a);0===a.indexOf("/")&&(a=b.protocol+"//"+b.host+a);return a=a.replace(/[/]+$/,"")};c.arrIndexOf=function(a,b){for(var c=0;c<a.length;c++)if(a[c]===b)return c;return-1};c.arrSkip=function(a,b){var d=c.arrIndexOf(a,b);return-1===d?a.slice():a.slice(0,d).concat(a.slice(d+1))};c.isArray=Array.isArray||function(a){return 0<={}.toString.call(a).indexOf("Array")};
c.delay=function(a,b){"function"===typeof a&&(b=a,a=0);return setTimeout(b,a)};var d=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,e={"\x00":"\\u0000","\u0001":"\\u0001","\u0002":"\\u0002","\u0003":"\\u0003","\u0004":"\\u0004","\u0005":"\\u0005","\u0006":"\\u0006","\u0007":"\\u0007","\b":"\\b","\t":"\\t","\n":"\\n","\x0B":"\\u000b","\f":"\\f","\r":"\\r","\u000e":"\\u000e","\u000f":"\\u000f","\u0010":"\\u0010","\u0011":"\\u0011",
"\u0012":"\\u0012","\u0013":"\\u0013","\u0014":"\\u0014","\u0015":"\\u0015","\u0016":"\\u0016","\u0017":"\\u0017","\u0018":"\\u0018","\u0019":"\\u0019","\u001a":"\\u001a","\u001b":"\\u001b","\u001c":"\\u001c","\u001d":"\\u001d","\u001e":"\\u001e","\u001f":"\\u001f",'"':'\\"',"\\":"\\\\","\u007f":"\\u007f","\u0080":"\\u0080","\u0081":"\\u0081","\u0082":"\\u0082","\u0083":"\\u0083","\u0084":"\\u0084","\u0085":"\\u0085","\u0086":"\\u0086","\u0087":"\\u0087","\u0088":"\\u0088","\u0089":"\\u0089","\u008a":"\\u008a",
"\u008b":"\\u008b","\u008c":"\\u008c","\u008d":"\\u008d","\u008e":"\\u008e","\u008f":"\\u008f","\u0090":"\\u0090","\u0091":"\\u0091","\u0092":"\\u0092","\u0093":"\\u0093","\u0094":"\\u0094","\u0095":"\\u0095","\u0096":"\\u0096","\u0097":"\\u0097","\u0098":"\\u0098","\u0099":"\\u0099","\u009a":"\\u009a","\u009b":"\\u009b","\u009c":"\\u009c","\u009d":"\\u009d","\u009e":"\\u009e","\u009f":"\\u009f","\u00ad":"\\u00ad","\u0600":"\\u0600","\u0601":"\\u0601","\u0602":"\\u0602","\u0603":"\\u0603","\u0604":"\\u0604",
"\u070f":"\\u070f","\u17b4":"\\u17b4","\u17b5":"\\u17b5","\u200c":"\\u200c","\u200d":"\\u200d","\u200e":"\\u200e","\u200f":"\\u200f","\u2028":"\\u2028","\u2029":"\\u2029","\u202a":"\\u202a","\u202b":"\\u202b","\u202c":"\\u202c","\u202d":"\\u202d","\u202e":"\\u202e","\u202f":"\\u202f","\u2060":"\\u2060","\u2061":"\\u2061","\u2062":"\\u2062","\u2063":"\\u2063","\u2064":"\\u2064","\u2065":"\\u2065","\u2066":"\\u2066","\u2067":"\\u2067","\u2068":"\\u2068","\u2069":"\\u2069","\u206a":"\\u206a","\u206b":"\\u206b",
"\u206c":"\\u206c","\u206d":"\\u206d","\u206e":"\\u206e","\u206f":"\\u206f","\ufeff":"\\ufeff","\ufff0":"\\ufff0","\ufff1":"\\ufff1","\ufff2":"\\ufff2","\ufff3":"\\ufff3","\ufff4":"\\ufff4","\ufff5":"\\ufff5","\ufff6":"\\ufff6","\ufff7":"\\ufff7","\ufff8":"\\ufff8","\ufff9":"\\ufff9","\ufffa":"\\ufffa","\ufffb":"\\ufffb","\ufffc":"\\ufffc","\ufffd":"\\ufffd","\ufffe":"\\ufffe","\uffff":"\\uffff"},h=/[\x00-\x1f\ud800-\udfff\ufffe\uffff\u0300-\u0333\u033d-\u0346\u034a-\u034c\u0350-\u0352\u0357-\u0358\u035c-\u0362\u0374\u037e\u0387\u0591-\u05af\u05c4\u0610-\u0617\u0653-\u0654\u0657-\u065b\u065d-\u065e\u06df-\u06e2\u06eb-\u06ec\u0730\u0732-\u0733\u0735-\u0736\u073a\u073d\u073f-\u0741\u0743\u0745\u0747\u07eb-\u07f1\u0951\u0958-\u095f\u09dc-\u09dd\u09df\u0a33\u0a36\u0a59-\u0a5b\u0a5e\u0b5c-\u0b5d\u0e38-\u0e39\u0f43\u0f4d\u0f52\u0f57\u0f5c\u0f69\u0f72-\u0f76\u0f78\u0f80-\u0f83\u0f93\u0f9d\u0fa2\u0fa7\u0fac\u0fb9\u1939-\u193a\u1a17\u1b6b\u1cda-\u1cdb\u1dc0-\u1dcf\u1dfc\u1dfe\u1f71\u1f73\u1f75\u1f77\u1f79\u1f7b\u1f7d\u1fbb\u1fbe\u1fc9\u1fcb\u1fd3\u1fdb\u1fe3\u1feb\u1fee-\u1fef\u1ff9\u1ffb\u1ffd\u2000-\u2001\u20d0-\u20d1\u20d4-\u20d7\u20e7-\u20e9\u2126\u212a-\u212b\u2329-\u232a\u2adc\u302b-\u302c\uaab2-\uaab3\uf900-\ufa0d\ufa10\ufa12\ufa15-\ufa1e\ufa20\ufa22\ufa25-\ufa26\ufa2a-\ufa2d\ufa30-\ufa6d\ufa70-\ufad9\ufb1d\ufb1f\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40-\ufb41\ufb43-\ufb44\ufb46-\ufb4e\ufff0-\uffff]/g,
l,m=JSON&&JSON.stringify||function(a){d.lastIndex=0;d.test(a)&&(a=a.replace(d,function(a){return e[a]}));return'"'+a+'"'},r=function(a){var b,c={},d=[];for(b=0;65536>b;b++)d.push(String.fromCharCode(b));a.lastIndex=0;d.join("").replace(a,function(a){c[a]="\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4);return""});a.lastIndex=0;return c};c.quote=function(a){a=m(a);h.lastIndex=0;if(!h.test(a))return a;l||(l=r(h));return a.replace(h,function(a){return l[a]})};var q="websocket xdr-streaming xhr-streaming iframe-eventsource iframe-htmlfile xdr-polling xhr-polling iframe-xhr-polling jsonp-polling".split(" ");
c.probeProtocols=function(){for(var a={},b=0;b<q.length;b++){var c=q[b];a[c]=s[c]&&s[c].enabled()}return a};c.detectProtocols=function(a,b,c){var d={},e=[];b||(b=q);for(var f=0;f<b.length;f++){var h=b[f];d[h]=a[h]}var l=function(a){var b=a.shift();d[b]?e.push(b):0<a.length&&l(a)};!1!==c.websocket&&l(["websocket"]);d["xhr-streaming"]&&!c.null_origin?e.push("xhr-streaming"):d["xdr-streaming"]&&!c.cookie_needed&&!c.null_origin?e.push("xdr-streaming"):l(["iframe-eventsource","iframe-htmlfile"]);d["xhr-polling"]&&
!c.null_origin?e.push("xhr-polling"):d["xdr-polling"]&&!c.cookie_needed&&!c.null_origin?e.push("xdr-polling"):l(["iframe-xhr-polling","jsonp-polling"]);return e};c.createHook=function(){var a="a"+c.random_string(8);if(!("_sockjs_global"in k)){var b={};k._sockjs_global=function(a){a in b||(b[a]={id:a,del:function(){delete b[a]}});return b[a]}}return k._sockjs_global(a)};c.attachMessage=function(a){c.attachEvent("message",a)};c.attachEvent=function(a,b){"undefined"!==typeof k.addEventListener?k.addEventListener(a,
b,!1):(g.attachEvent("on"+a,b),k.attachEvent("on"+a,b))};c.detachMessage=function(a){c.detachEvent("message",a)};c.detachEvent=function(a,b){"undefined"!==typeof k.addEventListener?k.removeEventListener(a,b,!1):(g.detachEvent("on"+a,b),k.detachEvent("on"+a,b))};var p={},n=!1,t=function(){for(var a in p)p[a](),delete p[a]};c.attachEvent("unload",function(){n||(n=!0,t())});c.unload_add=function(a){var b=c.random_string(8);p[b]=a;n&&c.delay(t);return b};c.unload_del=function(a){a in p&&delete p[a]};
c.createIframe=function(a,b){var d=g.createElement("iframe"),e,f,h=function(){clearTimeout(e);try{d.onload=null}catch(a){}d.onerror=null},l=function(){d&&(h(),setTimeout(function(){d&&d.parentNode.removeChild(d);d=null},0),c.unload_del(f))},m=function(a){d&&(l(),b(a))};d.src=a;d.style.display="none";d.style.position="absolute";d.onerror=function(){m("onerror")};d.onload=function(){clearTimeout(e);e=setTimeout(function(){m("onload timeout")},2E3)};g.body.appendChild(d);e=setTimeout(function(){m("timeout")},
15E3);f=c.unload_add(l);return{post:function(a,b){try{d&&d.contentWindow&&d.contentWindow.postMessage(a,b)}catch(c){}},cleanup:l,loaded:h}};c.createHtmlfile=function(a,b){var d=new ActiveXObject("htmlfile"),e,f,h,l=function(){clearTimeout(e)},m=function(){d&&(l(),c.unload_del(f),h.parentNode.removeChild(h),h=d=null,CollectGarbage())};d.open();d.write('<html><script>document.domain="'+document.domain+'";\x3c/script></html>');d.close();d.parentWindow._jp=k._jp;var g=d.createElement("div");d.body.appendChild(g);
h=d.createElement("iframe");g.appendChild(h);h.src=a;e=setTimeout(function(){d&&(m(),b("timeout"))},15E3);f=c.unload_add(m);return{post:function(a,b){try{h&&h.contentWindow&&h.contentWindow.postMessage(a,b)}catch(c){}},cleanup:m,loaded:l}};var u=function(){};u.prototype=new f(["chunk","finish"]);u.prototype._start=function(a,b,d,e){var f=this;try{f.xhr=new XMLHttpRequest}catch(h){}if(!f.xhr)try{f.xhr=new k.ActiveXObject("Microsoft.XMLHTTP")}catch(l){}if(k.ActiveXObject||k.XDomainRequest)b+=(-1===
b.indexOf("?")?"?":"&")+"t="+ +new Date;f.unload_ref=c.unload_add(function(){f._cleanup(!0)});try{f.xhr.open(a,b,!0)}catch(m){f.emit("finish",0,"");f._cleanup();return}if(!e||!e.no_credentials)f.xhr.withCredentials="true";if(e&&e.headers)for(var g in e.headers)f.xhr.setRequestHeader(g,e.headers[g]);f.xhr.onreadystatechange=function(){if(f.xhr){var a=f.xhr;switch(a.readyState){case 3:try{var b=a.status,c=a.responseText}catch(d){}1223===b&&(b=204);c&&0<c.length&&f.emit("chunk",b,c);break;case 4:b=a.status,
1223===b&&(b=204),f.emit("finish",b,a.responseText),f._cleanup(!1)}}};f.xhr.send(d)};u.prototype._cleanup=function(a){if(this.xhr){c.unload_del(this.unload_ref);this.xhr.onreadystatechange=function(){};if(a)try{this.xhr.abort()}catch(b){}this.unload_ref=this.xhr=null}};u.prototype.close=function(){this.nuke();this._cleanup(!0)};(c.XHRCorsObject=function(){var a=this,b=arguments;c.delay(function(){a._start.apply(a,b)})}).prototype=new u;(c.XHRLocalObject=function(a,b,d){var e=this;c.delay(function(){e._start(a,
b,d,{no_credentials:!0})})}).prototype=new u;u=c.XDRObject=function(a,b,d){var e=this;c.delay(function(){e._start(a,b,d)})};u.prototype=new f(["chunk","finish"]);u.prototype._start=function(a,b,d){var e=this,f=new XDomainRequest;b+=(-1===b.indexOf("?")?"?":"&")+"t="+ +new Date;var h=f.ontimeout=f.onerror=function(){e.emit("finish",0,"");e._cleanup(!1)};f.onprogress=function(){e.emit("chunk",200,f.responseText)};f.onload=function(){e.emit("finish",200,f.responseText);e._cleanup(!1)};e.xdr=f;e.unload_ref=
c.unload_add(function(){e._cleanup(!0)});try{e.xdr.open(a,b),e.xdr.send(d)}catch(l){h()}};u.prototype._cleanup=function(a){if(this.xdr){c.unload_del(this.unload_ref);this.xdr.ontimeout=this.xdr.onerror=this.xdr.onprogress=this.xdr.onload=null;if(a)try{this.xdr.abort()}catch(b){}this.unload_ref=this.xdr=null}};u.prototype.close=function(){this.nuke();this._cleanup(!0)};c.isXHRCorsCapable=function(){return k.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest?1:k.XDomainRequest&&g.domain?2:J.enabled()?
3:4};var s=function(a,b,d){if(this===k)return new s(a,b,d);var e=this,f;e._options={devel:!1,debug:!1,protocols_whitelist:[],info:void 0,rtt:void 0};d&&c.objectExtend(e._options,d);e._base_url=c.amendUrl(a);e._server=e._options.server||c.random_number_string(1E3);e._options.protocols_whitelist&&e._options.protocols_whitelist.length?f=e._options.protocols_whitelist:(f="string"===typeof b&&0<b.length?[b]:c.isArray(b)?b:null)&&e._debug('Deprecated API: Use "protocols_whitelist" option instead of supplying protocol list as a second parameter to SockJS constructor.');
e._protocols=[];e.protocol=null;e.readyState=s.CONNECTING;e._ir=L(e._base_url);e._ir.onfinish=function(a,b){e._ir=null;a?(e._options.info&&(a=c.objectExtend(a,e._options.info)),e._options.rtt&&(b=e._options.rtt),e._applyInfo(a,b,f),e._didClose()):e._didClose(1002,"Can't connect to server",!0)}};s.prototype=new a;s.version="0.3.4";s.CONNECTING=0;s.OPEN=1;s.CLOSING=2;s.CLOSED=3;s.prototype._debug=function(){this._options.debug&&c.log.apply(c,arguments)};s.prototype._dispatchOpen=function(){this.readyState===
s.CONNECTING?(this._transport_tref&&(clearTimeout(this._transport_tref),this._transport_tref=null),this.readyState=s.OPEN,this.dispatchEvent(new b("open"))):this._didClose(1006,"Server lost session")};s.prototype._dispatchMessage=function(a){this.readyState===s.OPEN&&this.dispatchEvent(new b("message",{data:a}))};s.prototype._dispatchHeartbeat=function(a){this.readyState===s.OPEN&&this.dispatchEvent(new b("heartbeat",{}))};s.prototype._didClose=function(a,d,e){var f=this;if(!(f.readyState!==s.CONNECTING&&
f.readyState!==s.OPEN&&f.readyState!==s.CLOSING)){f._ir&&(f._ir.nuke(),f._ir=null);f._transport&&(f._transport.doCleanup(),f._transport=null);var h=new b("close",{code:a,reason:d,wasClean:c.userSetCode(a)});if(!c.userSetCode(a)&&f.readyState===s.CONNECTING&&!e){if(f._try_next_protocol(h))return;h=new b("close",{code:2E3,reason:"All transports failed",wasClean:!1,last_event:h})}f.readyState=s.CLOSED;c.delay(function(){f.dispatchEvent(h)})}};s.prototype._didMessage=function(a){switch(a.slice(0,1)){case "o":this._dispatchOpen();
break;case "a":a=JSON.parse(a.slice(1)||"[]");for(var b=0;b<a.length;b++)this._dispatchMessage(a[b]);break;case "m":a=JSON.parse(a.slice(1)||"null");this._dispatchMessage(a);break;case "c":a=JSON.parse(a.slice(1)||"[]");this._didClose(a[0],a[1]);break;case "h":this._dispatchHeartbeat()}};s.prototype._try_next_protocol=function(a){var b=this;b.protocol&&(b._debug("Closed transport:",b.protocol,""+a),b.protocol=null);b._transport_tref&&(clearTimeout(b._transport_tref),b._transport_tref=null);for(;;){a=
b.protocol=b._protocols.shift();if(!a)return!1;if(s[a]&&!0===s[a].need_body&&(!g.body||"undefined"!==typeof g.readyState&&"complete"!==g.readyState))return b._protocols.unshift(a),b.protocol="waiting-for-load",c.attachEvent("load",function(){b._try_next_protocol()}),!0;if(!s[a]||!s[a].enabled(b._options))b._debug("Skipping transport:",a);else{b._transport_tref=c.delay((b._options.rto||0)*(s[a].roundTrips||1)||5E3,function(){b.readyState===s.CONNECTING&&b._didClose(2007,"Transport timeouted")});var d=
c.random_string(8),d=b._base_url+"/"+b._server+"/"+d;b._debug("Opening transport:",a," url:"+d," RTO:"+b._options.rto);b._transport=new s[a](b,d,b._base_url);return!0}}};s.prototype.close=function(a,b){if(a&&!c.userSetCode(a))throw Error("INVALID_ACCESS_ERR");if(this.readyState!==s.CONNECTING&&this.readyState!==s.OPEN)return!1;this.readyState=s.CLOSING;this._didClose(a||1E3,b||"Normal closure");return!0};s.prototype.send=function(a){if(this.readyState===s.CONNECTING)throw Error("INVALID_STATE_ERR");
this.readyState===s.OPEN&&this._transport.doSend(c.quote(""+a));return!0};s.prototype._applyInfo=function(a,b,d){this._options.info=a;this._options.rtt=b;this._options.rto=c.countRTO(b);this._options.info.null_origin=!g.domain;b=c.probeProtocols();this._protocols=c.detectProtocols(b,d,a)};u=s.websocket=function(a,b){var d=this,e=b+"/websocket",e="https"===e.slice(0,5)?"wss"+e.slice(5):"ws"+e.slice(4);d.ri=a;d.url=e;e=k.WebSocket||k.MozWebSocket;$(document).trigger($.Event("websocket_preopen.zulip",
{}));d.ws=new e(d.url);d.ws.onmessage=function(a){d.ri._didMessage(a.data)};d.unload_ref=c.unload_add(function(){d.ws.close()});d.ws.onclose=function(){d.ri._didMessage(c.closeFrame(1006,"WebSocket connection broken"))}};u.prototype.doSend=function(a){this.ws.send("["+a+"]")};u.prototype.doCleanup=function(){var a=this.ws;a&&(a.onmessage=a.onclose=null,a.close(),c.unload_del(this.unload_ref),this.unload_ref=this.ri=this.ws=null)};u.enabled=function(){return!(!k.WebSocket&&!k.MozWebSocket)};u.roundTrips=
2;var v=function(){};v.prototype.send_constructor=function(a){this.send_buffer=[];this.sender=a};v.prototype.doSend=function(a){this.send_buffer.push(a);this.send_stop||this.send_schedule()};v.prototype.send_schedule_wait=function(){var a=this,b;a.send_stop=function(){a.send_stop=null;clearTimeout(b)};b=c.delay(25,function(){a.send_stop=null;a.send_schedule()})};v.prototype.send_schedule=function(){var a=this;if(0<a.send_buffer.length){var b="["+a.send_buffer.join(",")+"]";a.send_stop=a.sender(a.trans_url,
b,function(b,c){a.send_stop=null;!1===b?a.ri._didClose(1006,"Sending error "+c):a.send_schedule_wait()});a.send_buffer=[]}};v.prototype.send_destructor=function(){this._send_stop&&this._send_stop();this._send_stop=null};var z=function(a,b,d){if(!("_send_form"in this)){var e=this._send_form=g.createElement("form"),f=this._send_area=g.createElement("textarea");f.name="d";e.style.display="none";e.style.position="absolute";e.method="POST";e.enctype="application/x-www-form-urlencoded";e.acceptCharset=
"UTF-8";e.appendChild(f);g.body.appendChild(e)}var e=this._send_form,f=this._send_area,h="a"+c.random_string(8);e.target=h;e.action=a+"/jsonp_send?i="+h;var l;try{l=g.createElement('<iframe name="'+h+'">')}catch(m){l=g.createElement("iframe"),l.name=h}l.id=h;e.appendChild(l);l.style.display="none";try{f.value=b}catch(k){c.log("Your browser is seriously broken. Go home! "+k.message)}e.submit();var r=function(a){l.onerror&&(l.onreadystatechange=l.onerror=l.onload=null,c.delay(500,function(){l.parentNode.removeChild(l);
l=null}),f.value="",d(!0))};l.onerror=l.onload=r;l.onreadystatechange=function(a){"complete"==l.readyState&&r()};return r},D=function(a){return function(b,c,d){(new a("POST",b+"/xhr_send",c)).onfinish=function(a,b){d(200===a||204===a,"http status "+a)};return function(a){d(!1,a)}}},y=function(a,b){var d,e=g.createElement("script"),f,h=function(a){f&&(f.parentNode.removeChild(f),f=null);e&&(clearTimeout(d),e.parentNode.removeChild(e),e=e.onreadystatechange=e.onerror=e.onload=e.onclick=null,b(a),b=
null)},l=!1,m=null;e.id="a"+c.random_string(8);e.src=a;e.type="text/javascript";e.charset="UTF-8";e.onerror=function(a){m||(m=setTimeout(function(){l||h(c.closeFrame(1006,"JSONP script loaded abnormally (onerror)"))},1E3))};e.onload=function(a){h(c.closeFrame(1006,"JSONP script loaded abnormally (onload)"))};e.onreadystatechange=function(a){if(/loaded|closed/.test(e.readyState)){if(e&&e.htmlFor&&e.onclick){l=!0;try{e.onclick()}catch(b){}}e&&h(c.closeFrame(1006,"JSONP script loaded abnormally (onreadystatechange)"))}};
if("undefined"===typeof e.async&&g.attachEvent)if(/opera/i.test(navigator.userAgent))f=g.createElement("script"),f.text="try{var a = document.getElementById('"+e.id+"'); if(a)a.onerror();}catch(x){};",e.async=f.async=!1;else{try{e.htmlFor=e.id,e.event="onclick"}catch(k){}e.async=!0}"undefined"!==typeof e.async&&(e.async=!0);d=setTimeout(function(){h(c.closeFrame(1006,"JSONP script loaded abnormally (timeout)"))},35E3);var r=g.getElementsByTagName("head")[0];r.insertBefore(e,r.firstChild);f&&r.insertBefore(f,
r.firstChild);return h},u=s["jsonp-polling"]=function(a,b){c.polluteGlobalNamespace();this.ri=a;this.trans_url=b;this.send_constructor(z);this._schedule_recv()};u.prototype=new v;u.prototype._schedule_recv=function(){var a=this;a._recv_stop=C(a.trans_url+"/jsonp",y,function(b){a._recv_stop=null;b&&(a._is_closing||a.ri._didMessage(b));a._is_closing||a._schedule_recv()})};u.enabled=function(){return!0};u.need_body=!0;u.prototype.doCleanup=function(){this._is_closing=!0;this._recv_stop&&this._recv_stop();
this.ri=this._recv_stop=null;this.send_destructor()};var C=function(a,b,d){var e="a"+c.random_string(6);a=a+"?c="+escape("_jp."+e);var f=0;b=b(a,function(a){switch(f){case 0:delete k._jp[e];d(a);break;case 1:d(a);f=2;break;case 2:delete k._jp[e]}});k._jp[e]=b;return function(){k._jp[e]&&(f=1,k._jp[e](c.closeFrame(1E3,"JSONP user aborted read")))}},u=function(){};u.prototype=new v;u.prototype.run=function(a,b,c,d,e){this.ri=a;this.trans_url=b;this.send_constructor(D(e));this.poll=new N(a,d,b+c,e)};
u.prototype.doCleanup=function(){this.poll&&(this.poll.abort(),this.poll=null)};var w=s["xhr-streaming"]=function(a,b){this.run(a,b,"/xhr_streaming",B,c.XHRCorsObject)};w.prototype=new u;w.enabled=function(){return k.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest&&!/opera/i.test(navigator.userAgent)};w.roundTrips=2;w.need_body=!0;v=s["xdr-streaming"]=function(a,b){this.run(a,b,"/xhr_streaming",B,c.XDRObject)};v.prototype=new u;v.enabled=function(){return!!k.XDomainRequest};v.roundTrips=2;
var G=s["xhr-polling"]=function(a,b){this.run(a,b,"/xhr",B,c.XHRCorsObject)};G.prototype=new u;G.enabled=w.enabled;G.roundTrips=2;w=s["xdr-polling"]=function(a,b){this.run(a,b,"/xhr",B,c.XDRObject)};w.prototype=new u;w.enabled=v.enabled;w.roundTrips=2;var J=function(){};J.prototype.i_constructor=function(a,b,d){var e=this;e.ri=a;e.origin=c.getOrigin(d);e.base_url=d;e.trans_url=b;a=d+"/iframe.html";e.ri._options.devel&&(a+="?t="+ +new Date);e.window_id=c.random_string(8);a+="#"+e.window_id;e.iframeObj=
c.createIframe(a,function(a){e.ri._didClose(1006,"Unable to load an iframe ("+a+")")});e.onmessage_cb=c.bind(e.onmessage,e);c.attachMessage(e.onmessage_cb)};J.prototype.doCleanup=function(){if(this.iframeObj){c.detachMessage(this.onmessage_cb);try{this.iframeObj.iframe.contentWindow&&this.postMessage("c")}catch(a){}this.iframeObj.cleanup();this.onmessage_cb=this.iframeObj=this.iframeObj=null}};J.prototype.onmessage=function(a){if(a.origin===this.origin){var b=a.data.slice(0,8),c=a.data.slice(8,9);
a=a.data.slice(9);if(b===this.window_id)switch(c){case "s":this.iframeObj.loaded();this.postMessage("s",JSON.stringify([s.version,this.protocol,this.trans_url,this.base_url]));break;case "t":this.ri._didMessage(a)}}};J.prototype.postMessage=function(a,b){this.iframeObj.post(this.window_id+a+(b||""),this.origin)};J.prototype.doSend=function(a){this.postMessage("m",a)};J.enabled=function(){var a=navigator&&navigator.userAgent&&-1!==navigator.userAgent.indexOf("Konqueror");return("function"===typeof k.postMessage||
"object"===typeof k.postMessage)&&!a};var Q,M=function(a,b){parent!==k?parent.postMessage(Q+a+(b||""),"*"):c.log("Can't postMessage, no parent window.",a,b)},x=function(){};x.prototype._didClose=function(a,b){M("t",c.closeFrame(a,b))};x.prototype._didMessage=function(a){M("t",a)};x.prototype._doSend=function(a){this._transport.doSend(a)};x.prototype._doCleanup=function(){this._transport.doCleanup()};c.parent_origin=void 0;s.bootstrap_iframe=function(){var a;Q=g.location.hash.slice(1);c.attachMessage(function(b){if(b.source===
parent&&("undefined"===typeof c.parent_origin&&(c.parent_origin=b.origin),b.origin===c.parent_origin)){var d=b.data.slice(0,8),e=b.data.slice(8,9);b=b.data.slice(9);if(d===Q)switch(e){case "s":var f=JSON.parse(b),d=f[0],e=f[1];b=f[2];f=f[3];d!==s.version&&c.log('Incompatibile SockJS! Main site uses: "'+d+'", the iframe: "'+s.version+'".');if(!c.flatUrl(b)||!c.flatUrl(f)){c.log("Only basic urls are supported in SockJS");break}if(!c.isSameOriginUrl(b)||!c.isSameOriginUrl(f)){c.log("Can't connect to different domain from within an iframe. ("+
JSON.stringify([k.location.href,b,f])+")");break}a=new x;a._transport=new x[e](a,b,f);break;case "m":a._doSend(b);break;case "c":a&&a._doCleanup(),a=null}}});M("s")};var F=function(a,b){var d=this;c.delay(function(){d.doXhr(a,b)})};F.prototype=new f(["finish"]);F.prototype.doXhr=function(a,b){var d=this,e=(new Date).getTime(),f=new b("GET",a+"/info?cb="+c.random_string(10)),h=c.delay(8E3,function(){f.ontimeout()});f.onfinish=function(a,b){clearTimeout(h);h=null;if(200===a){var c=(new Date).getTime()-
e,f=JSON.parse(b);"object"!==typeof f&&(f={});d.emit("finish",f,c)}else d.emit("finish")};f.ontimeout=function(){f.close();d.emit("finish")}};var I=function(a){var b=this,d=function(){var c=new J;c.protocol="w-iframe-info-receiver";var d=function(a){"string"===typeof a&&"m"===a.substr(0,1)?(a=JSON.parse(a.substr(1)),b.emit("finish",a[0],a[1])):b.emit("finish");c.doCleanup();c=null};c.i_constructor({_options:{},_didClose:d,_didMessage:d},a,a)};g.body?d():c.attachEvent("load",d)};I.prototype=new f(["finish"]);
var K=function(){var a=this;c.delay(function(){a.emit("finish",{},2E3)})};K.prototype=new f(["finish"]);var L=function(a){if(c.isSameOriginUrl(a))return new F(a,c.XHRLocalObject);switch(c.isXHRCorsCapable()){case 1:return new F(a,c.XHRLocalObject);case 2:return new F(a,c.XDRObject);case 3:return new I(a);default:return new K}};(x["w-iframe-info-receiver"]=function(a,b,d){(new F(d,c.XHRLocalObject)).onfinish=function(b,c){a._didMessage("m"+JSON.stringify([b,c]));a._didClose()}}).prototype.doCleanup=
function(){};f=s["iframe-eventsource"]=function(){this.protocol="w-iframe-eventsource";this.i_constructor.apply(this,arguments)};f.prototype=new J;f.enabled=function(){return"EventSource"in k&&J.enabled()};f.need_body=!0;f.roundTrips=3;(x["w-iframe-eventsource"]=function(a,b){this.run(a,b,"/eventsource",A,c.XHRLocalObject)}).prototype=new u;f=s["iframe-xhr-polling"]=function(){this.protocol="w-iframe-xhr-polling";this.i_constructor.apply(this,arguments)};f.prototype=new J;f.enabled=function(){return k.XMLHttpRequest&&
J.enabled()};f.need_body=!0;f.roundTrips=3;(x["w-iframe-xhr-polling"]=function(a,b){this.run(a,b,"/xhr",B,c.XHRLocalObject)}).prototype=new u;f=s["iframe-htmlfile"]=function(){this.protocol="w-iframe-htmlfile";this.i_constructor.apply(this,arguments)};f.prototype=new J;f.enabled=function(){return J.enabled()};f.need_body=!0;f.roundTrips=3;(x["w-iframe-htmlfile"]=function(a,b){this.run(a,b,"/htmlfile",P,c.XHRLocalObject)}).prototype=new u;var N=function(a,b,c,d){this.ri=a;this.Receiver=b;this.recv_url=
c;this.AjaxObject=d;this._scheduleRecv()};N.prototype._scheduleRecv=function(){var a=this,b=a.poll=new a.Receiver(a.recv_url,a.AjaxObject);b.onmessage=function(b){a.ri._didMessage(b.data)};b.onclose=function(c){a.poll=b=b.onmessage=b.onclose=null;a.poll_is_closing||("permanent"===c.reason?a.ri._didClose(1006,"Polling error ("+c.reason+")"):a._scheduleRecv())}};N.prototype.abort=function(){this.poll_is_closing=!0;this.poll&&this.poll.abort()};var A=function(a){var d=this,e=new EventSource(a);e.onmessage=
function(a){d.dispatchEvent(new b("message",{data:unescape(a.data)}))};d.es_close=e.onerror=function(a,f){var h=f?"user":2!==e.readyState?"network":"permanent";d.es_close=e.onmessage=e.onerror=null;e.close();e=null;c.delay(200,function(){d.dispatchEvent(new b("close",{reason:h}))})}};A.prototype=new a;A.prototype.abort=function(){this.es_close&&this.es_close({},!0)};var H,P=function(a){var d=this;c.polluteGlobalNamespace();d.id="a"+c.random_string(6,26);a+=(-1===a.indexOf("?")?"?":"&")+"c="+escape("_jp."+
d.id);if(void 0===H)if("ActiveXObject"in k)try{H=!!new ActiveXObject("htmlfile")}catch(e){}else H=!1;var f=H?c.createHtmlfile:c.createIframe,h;k._jp[d.id]={start:function(){h.loaded()},message:function(a){d.dispatchEvent(new b("message",{data:a}))},stop:function(){d.iframe_close({},"network")}};d.iframe_close=function(a,c){h.cleanup();d.iframe_close=h=null;delete k._jp[d.id];d.dispatchEvent(new b("close",{reason:c}))};h=f(a,function(a){d.iframe_close({},"permanent")})};P.prototype=new a;P.prototype.abort=
function(){this.iframe_close&&this.iframe_close({},"user")};var B=function(a,c){var d=this,e=0;d.xo=new c("POST",a,null);d.xo.onchunk=function(a,c){if(200===a)for(;;){var f=c.slice(e),h=f.indexOf("\n");if(-1===h)break;e+=h+1;f=f.slice(0,h);d.dispatchEvent(new b("message",{data:f}))}};d.xo.onfinish=function(a,c){d.xo.onchunk(a,c);d.xo=null;d.dispatchEvent(new b("close",{reason:200===a?"network":"permanent"}))}};B.prototype=new a;B.prototype.abort=function(){this.xo&&(this.xo.close(),this.dispatchEvent(new b("close",
{reason:"user"})),this.xo=null)};s.getUtils=function(){return c};s.getIframeTransport=function(){return J};return s}();"_sockjs_onload"in window&&setTimeout(_sockjs_onload,1);"function"===typeof define&&define.amd&&define("sockjs",[],function(){return SockJS});String.prototype.codePointAt||function(){var g=function(){try{var c={},a=Object.defineProperty,b=a(c,c,c)&&a}catch(f){}return b}(),k=function(c){if(null==this)throw TypeError();var a=String(this),b=a.length,f=c?Number(c):0;f!=f&&(f=0);if(!(0>f||f>=b))return c=a.charCodeAt(f),55296<=c&&(56319>=c&&b>f+1)&&(a=a.charCodeAt(f+1),56320<=a&&57343>=a)?1024*(c-55296)+a-56320+65536:c};g?g(String.prototype,"codePointAt",{value:k,configurable:!0,writable:!0}):String.prototype.codePointAt=k}();var WinChan=function(){function g(a,b,c){a.attachEvent?a.attachEvent("on"+b,c):a.addEventListener&&a.addEventListener(b,c,!1)}function k(a,b,c){a.detachEvent?a.detachEvent("on"+b,c):a.removeEventListener&&a.removeEventListener(b,c,!1)}function c(){try{var a=navigator.userAgent;return-1!=a.indexOf("Fennec/")||-1!=a.indexOf("Firefox/")&&-1!=a.indexOf("Android")}catch(b){}return!1}function a(a){/^https?:\/\//.test(a)||(a=window.location.href);var b=/^(https?:\/\/[\-_a-zA-Z\.0-9:]+)/.exec(a);return b?
b[1]:a}function b(){for(var a=window.opener.frames,b=a.length-1;0<=b;b--)try{if(a[b].location.protocol===window.location.protocol&&a[b].location.host===window.location.host&&a[b].name===f)return a[b]}catch(c){}}var f="__winchan_relay_frame",d="die",e=function(){if("undefined"===typeof navigator)return!1;var a=-1,b=navigator.userAgent;if("Microsoft Internet Explorer"===navigator.appName){var c=/MSIE ([0-9]{1,}[.0-9]{0,})/;null!=c.exec(b)&&(a=parseFloat(RegExp.$1))}else-1<b.indexOf("Trident")&&(c=/rv:([0-9]{2,2}[.0-9]{0,})/,
null!==c.exec(b)&&(a=parseFloat(RegExp.$1)));return 8<=a}();return"undefined"!==typeof window&&window.JSON&&window.JSON.stringify&&window.JSON.parse&&window.postMessage?{open:function(b,l){function m(){p&&document.body.removeChild(p);p=void 0;s&&(s=clearInterval(s));k(window,"message",r);k(window,"unload",m);if(u)try{u.close()}catch(a){t.postMessage(d,n)}u=t=void 0}function r(a){if(a.origin===n){try{var b=JSON.parse(a.data)}catch(c){if(l)l(c);else throw c;}"ready"===b.a?t.postMessage(v,n):"error"===
b.a?(m(),l&&(l(b.d),l=null)):"response"===b.a&&(m(),l&&(l(null,b.d),l=null))}}if(!l)throw"missing required callback argument";var q;b.url||(q="missing required 'url' parameter");b.relay_url||(q="missing required 'relay_url' parameter");q&&setTimeout(function(){l(q)},0);b.window_name||(b.window_name=null);if(!b.window_features||c())b.window_features=void 0;var p,n=b.origin||a(b.url);if(n!==a(b.relay_url))return setTimeout(function(){l("invalid arguments: origin of url and relay_url must match")},0);
var t;e&&(p=document.createElement("iframe"),p.setAttribute("src",b.relay_url),p.style.display="none",p.setAttribute("name",f),document.body.appendChild(p),t=p.contentWindow);var u=b.popup||window.open(b.url,b.window_name,b.window_features);b.popup&&(u.location.href=b.url);t||(t=u);var s=setInterval(function(){u&&u.closed&&(m(),l&&(l("User closed the popup window"),l=null))},500),v=JSON.stringify({a:"request",d:b.params});g(window,"unload",m);g(window,"message",r);return{close:m,focus:function(){if(u)try{u.focus()}catch(a){}}}},
onOpen:function(a){function c(a){a=JSON.stringify(a);e?p.doPost(a,q):p.postMessage(a,q)}function f(b){var d;try{d=JSON.parse(b.data)}catch(e){}d&&"request"===d.a&&(k(window,"message",f),q=b.origin,a&&setTimeout(function(){a(q,d.d,function(b){a=void 0;c({a:"response",d:b})})},0))}function r(a){if(a.data===d)try{window.close()}catch(b){}}var q="*",p=e?b():window.opener;if(!p)throw"can't find relay frame";g(e?p:window,"message",f);g(e?p:window,"message",r);try{c({a:"ready"})}catch(n){g(p,"load",function(a){c({a:"ready"})})}var t=
function(){try{k(e?p:window,"message",r)}catch(b){}a&&c({a:"error",d:"client closed window"});a=void 0;try{window.close()}catch(d){}};g(window,"unload",t);return{detach:function(){k(window,"unload",t)}}}}:{open:function(a,b,c,d){setTimeout(function(){d("unsupported browser")},0)},onOpen:function(a){setTimeout(function(){a("unsupported browser")},0)}}}();"undefined"!==typeof module&&module.exports&&(module.exports=WinChan);/*

 handlebars v4.0.6

Copyright (C) 2011-2016 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.


 handlebars v4.0.6

Copyright (C) 2011-2016 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.


 handlebars v4.0.6

Copyright (C) 2011-2016 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
(function(g,k){"object"===typeof exports&&"object"===typeof module?module.exports=k():"function"===typeof define&&define.amd?define([],k):"object"===typeof exports?exports.Handlebars=k():g.Handlebars=k()})(this,function(){return function(g){function k(a){if(c[a])return c[a].exports;var b=c[a]={exports:{},id:a,loaded:!1};g[a].call(b.exports,b,b.exports,k);b.loaded=!0;return b.exports}var c={};k.m=g;k.c=c;k.p="";return k(0)}([function(g,k,c){function a(){var a=new e.HandlebarsEnvironment;m.extend(a,
e);a.SafeString=h["default"];a.Exception=l["default"];a.Utils=m;a.escapeExpression=m.escapeExpression;a.VM=r;a.template=function(b){return r.template(b,a)};return a}var b=c(1)["default"],f=c(2)["default"];k.__esModule=!0;var d=c(3),e=b(d),d=c(20),h=f(d),d=c(5),l=f(d),d=c(4),m=b(d),d=c(21),r=b(d);c=c(22);f=f(c);c=a();c.create=a;f["default"](c);c["default"]=c;k["default"]=c;g.exports=k["default"]},function(g,k){k["default"]=function(c){if(c&&c.__esModule)return c;var a={};if(null!=c)for(var b in c)Object.prototype.hasOwnProperty.call(c,
b)&&(a[b]=c[b]);a["default"]=c;return a};k.__esModule=!0},function(g,k){k["default"]=function(c){return c&&c.__esModule?c:{"default":c}};k.__esModule=!0},function(g,k,c){function a(a,b,c){this.helpers=a||{};this.partials=b||{};this.decorators=c||{};e.registerDefaultHelpers(this);h.registerDefaultDecorators(this)}g=c(2)["default"];k.__esModule=!0;k.HandlebarsEnvironment=a;var b=c(4),f=c(5),d=g(f),e=c(9),h=c(17);c=c(19);c=g(c);k.VERSION="4.0.5";k.COMPILER_REVISION=7;k.REVISION_CHANGES={1:"<= 1.0.rc.2",
2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:"== 1.x.x",5:"== 2.0.0-alpha.x",6:">= 2.0.0-beta.1",7:">= 4.0.0"};a.prototype={constructor:a,logger:c["default"],log:c["default"].log,registerHelper:function(a,c){if("[object Object]"===b.toString.call(a)){if(c)throw new d["default"]("Arg not supported with multiple helpers");b.extend(this.helpers,a)}else this.helpers[a]=c},unregisterHelper:function(a){delete this.helpers[a]},registerPartial:function(a,c){if("[object Object]"===b.toString.call(a))b.extend(this.partials,
a);else{if("undefined"===typeof c)throw new d["default"]('Attempting to register a partial called "'+a+'" as undefined');this.partials[a]=c}},unregisterPartial:function(a){delete this.partials[a]},registerDecorator:function(a,c){if("[object Object]"===b.toString.call(a)){if(c)throw new d["default"]("Arg not supported with multiple decorators");b.extend(this.decorators,a)}else this.decorators[a]=c},unregisterDecorator:function(a){delete this.decorators[a]}};k.log=c["default"].log;k.createFrame=b.createFrame;
k.logger=c["default"]},function(g,k){function c(a){return b[a]}function a(a){for(var b=1;b<arguments.length;b++)for(var c in arguments[b])Object.prototype.hasOwnProperty.call(arguments[b],c)&&(a[c]=arguments[b][c]);return a}k.__esModule=!0;k.extend=a;k.indexOf=function(a,b){for(var c=0,d=a.length;c<d;c++)if(a[c]===b)return c;return-1};k.escapeExpression=function(a){if("string"!==typeof a){if(a&&a.toHTML)return a.toHTML();if(null==a)return"";if(!a)return a+"";a=""+a}return!d.test(a)?a:a.replace(f,
c)};k.isEmpty=function(a){return!a&&0!==a?!0:l(a)&&0===a.length?!0:!1};k.createFrame=function(b){var c=a({},b);c._parent=b;return c};k.blockParams=function(a,b){a.path=b;return a};k.appendContextPath=function(a,b){return(a?a+".":"")+b};var b={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;","=":"&#x3D;"},f=/[&<>"'`=]/g,d=/[&<>"'`=]/,e=Object.prototype.toString;k.toString=e;var h=function(a){return"function"===typeof a};h(/x/)&&(k.isFunction=h=function(a){return"function"===
typeof a&&"[object Function]"===e.call(a)});k.isFunction=h;var l=Array.isArray||function(a){return a&&"object"===typeof a?"[object Array]"===e.call(a):!1};k.isArray=l},function(g,k,c){function a(c,e){var h=e&&e.loc,l=void 0,m=void 0;h&&(l=h.start.line,m=h.start.column,c+=" - "+l+":"+m);for(var g=Error.prototype.constructor.call(this,c),k=0;k<f.length;k++)this[f[k]]=g[f[k]];Error.captureStackTrace&&Error.captureStackTrace(this,a);try{h&&(this.lineNumber=l,b?Object.defineProperty(this,"column",{value:m}):
this.column=m)}catch(p){}}var b=c(6)["default"];k.__esModule=!0;var f="description fileName lineNumber message name number stack".split(" ");a.prototype=Error();k["default"]=a;g.exports=k["default"]},function(g,k,c){g.exports={"default":c(7),__esModule:!0}},function(g,k,c){var a=c(8);g.exports=function(b,c,d){return a.setDesc(b,c,d)}},function(g,k){var c=Object;g.exports={create:c.create,getProto:c.getPrototypeOf,isEnum:{}.propertyIsEnumerable,getDesc:c.getOwnPropertyDescriptor,setDesc:c.defineProperty,
setDescs:c.defineProperties,getKeys:c.keys,getNames:c.getOwnPropertyNames,getSymbols:c.getOwnPropertySymbols,each:[].forEach}},function(g,k,c){g=c(2)["default"];k.__esModule=!0;k.registerDefaultHelpers=function(c){a["default"](c);b["default"](c);f["default"](c);d["default"](c);e["default"](c);h["default"](c);l["default"](c)};k=c(10);var a=g(k);k=c(11);var b=g(k);k=c(12);var f=g(k);k=c(13);var d=g(k);k=c(14);var e=g(k);k=c(15);var h=g(k);c=c(16);var l=g(c)},function(g,k,c){k.__esModule=!0;var a=c(4);
k["default"]=function(b){b.registerHelper("blockHelperMissing",function(c,d){var e=d.inverse,h=d.fn;if(!0===c)return h(this);if(!1===c||null==c)return e(this);if(a.isArray(c))return 0<c.length?(d.ids&&(d.ids=[d.name]),b.helpers.each(c,d)):e(this);d.data&&d.ids&&(e=a.createFrame(d.data),e.contextPath=a.appendContextPath(d.data.contextPath,d.name),d={data:e});return h(c,d)})};g.exports=k["default"]},function(g,k,c){var a=c(2)["default"];k.__esModule=!0;var b=c(4);c=c(5);var f=a(c);k["default"]=function(a){a.registerHelper("each",
function(a,c){function d(c,f,h){n&&(n.key=c,n.index=f,n.first=0===f,n.last=!!h,t&&(n.contextPath=t+c));p+=m(a[c],{data:n,blockParams:b.blockParams([a[c],c],[t+c,null])})}if(!c)throw new f["default"]("Must pass iterator to #each");var m=c.fn,g=c.inverse,k=0,p="",n=void 0,t=void 0;c.data&&c.ids&&(t=b.appendContextPath(c.data.contextPath,c.ids[0])+".");b.isFunction(a)&&(a=a.call(this));c.data&&(n=b.createFrame(c.data));if(a&&"object"===typeof a)if(b.isArray(a))for(var u=a.length;k<u;k++)k in a&&d(k,
k,k===a.length-1);else{var u=void 0,s;for(s in a)a.hasOwnProperty(s)&&(void 0!==u&&d(u,k-1),u=s,k++);void 0!==u&&d(u,k-1,!0)}0===k&&(p=g(this));return p})};g.exports=k["default"]},function(g,k,c){var a=c(2)["default"];k.__esModule=!0;c=c(5);var b=a(c);k["default"]=function(a){a.registerHelper("helperMissing",function(){if(1!==arguments.length)throw new b["default"]('Missing helper: "'+arguments[arguments.length-1].name+'"');})};g.exports=k["default"]},function(g,k,c){k.__esModule=!0;var a=c(4);k["default"]=
function(b){b.registerHelper("if",function(b,c){a.isFunction(b)&&(b=b.call(this));return!c.hash.includeZero&&!b||a.isEmpty(b)?c.inverse(this):c.fn(this)});b.registerHelper("unless",function(a,c){return b.helpers["if"].call(this,a,{fn:c.inverse,inverse:c.fn,hash:c.hash})})};g.exports=k["default"]},function(g,k){k.__esModule=!0;k["default"]=function(c){c.registerHelper("log",function(){for(var a=[void 0],b=arguments[arguments.length-1],f=0;f<arguments.length-1;f++)a.push(arguments[f]);f=1;null!=b.hash.level?
f=b.hash.level:b.data&&null!=b.data.level&&(f=b.data.level);a[0]=f;c.log.apply(c,a)})};g.exports=k["default"]},function(g,k){k.__esModule=!0;k["default"]=function(c){c.registerHelper("lookup",function(a,b){return a&&a[b]})};g.exports=k["default"]},function(g,k,c){k.__esModule=!0;var a=c(4);k["default"]=function(b){b.registerHelper("with",function(b,c){a.isFunction(b)&&(b=b.call(this));var e=c.fn;if(a.isEmpty(b))return c.inverse(this);var h=c.data;c.data&&c.ids&&(h=a.createFrame(c.data),h.contextPath=
a.appendContextPath(c.data.contextPath,c.ids[0]));return e(b,{data:h,blockParams:a.blockParams([b],[h&&h.contextPath])})})};g.exports=k["default"]},function(g,k,c){g=c(2)["default"];k.__esModule=!0;k.registerDefaultDecorators=function(b){a["default"](b)};k=c(18);var a=g(k)},function(g,k,c){k.__esModule=!0;var a=c(4);k["default"]=function(b){b.registerDecorator("inline",function(b,c,e,h){var l=b;c.partials||(c.partials={},l=function(h,l){var g=e.partials;e.partials=a.extend({},g,c.partials);var k=
b(h,l);e.partials=g;return k});c.partials[h.args[0]]=h.fn;return l})};g.exports=k["default"]},function(g,k,c){k.__esModule=!0;var a=c(4),b={methodMap:["debug","info","warn","error"],level:"info",lookupLevel:function(c){if("string"===typeof c){var d=a.indexOf(b.methodMap,c.toLowerCase());c=0<=d?d:parseInt(c,10)}return c},log:function(a){a=b.lookupLevel(a);if("undefined"!==typeof console&&b.lookupLevel(b.level)<=a){var c=b.methodMap[a];console[c]||(c="log");for(var e=arguments.length,h=Array(1<e?e-
1:0),l=1;l<e;l++)h[l-1]=arguments[l];console[c].apply(console,h)}}};k["default"]=b;g.exports=k["default"]},function(g,k){function c(a){this.string=a}k.__esModule=!0;c.prototype.toString=c.prototype.toHTML=function(){return""+this.string};k["default"]=c;g.exports=k["default"]},function(g,k,c){function a(a,b,c,e,f,h,l){function m(b){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],f=l;l&&b!=l[0]&&(f=[b].concat(l));return c(a,b,a.helpers,a.partials,d.data||e,h&&[d.blockParams].concat(h),
f)}m=d(c,m,a,l,e,h);m.program=b;m.depth=l?l.length:0;m.blockParams=f||0;return m}function b(){return""}function f(a,b){if(!b||!("root"in b))b=b?m.createFrame(b):{},b.root=a;return b}function d(a,b,c,d,e,f){if(a.decorator){var l={};b=a.decorator(b,l,c,d&&d[0],e,f,d);h.extend(b,l)}return b}var e=c(1)["default"];g=c(2)["default"];k.__esModule=!0;k.checkRevision=function(a){var b=a&&a[0]||1,c=m.COMPILER_REVISION;if(b!==c){if(b<c)throw new l["default"]("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+
m.REVISION_CHANGES[c]+") or downgrade your runtime to an older version ("+m.REVISION_CHANGES[b]+").");throw new l["default"]("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+a[1]+").");}};k.template=function(b,c){function e(a){function c(a){return""+b.main(m,a,m.helpers,m.partials,l,k,g)}var h=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],l=h.data;e._setup(h);!h.partial&&b.useData&&(l=f(a,l));var g=
void 0,k=b.useBlockParams?[]:void 0;b.useDepths&&(g=h.depths?a!=h.depths[0]?[a].concat(h.depths):h.depths:[a]);c=d(b.main,c,m,h.depths||[],l,k);return c(a,h)}if(!c)throw new l["default"]("No environment passed to template");if(!b||!b.main)throw new l["default"]("Unknown template object: "+typeof b);b.main.decorator=b.main_d;c.VM.checkRevision(b.compiler);var m={strict:function(a,b){if(!(b in a))throw new l["default"]('"'+b+'" not defined in '+a);return a[b]},lookup:function(a,b){for(var c=a.length,
d=0;d<c;d++)if(a[d]&&null!=a[d][b])return a[d][b]},lambda:function(a,b){return"function"===typeof a?a.call(b):a},escapeExpression:h.escapeExpression,invokePartial:function(a,d,e){e.hash&&(d=h.extend({},d,e.hash),e.ids&&(e.ids[0]=!0));a=c.VM.resolvePartial.call(this,a,d,e);var f=c.VM.invokePartial.call(this,a,d,e);null==f&&c.compile&&(e.partials[e.name]=c.compile(a,b.compilerOptions,c),f=e.partials[e.name](d,e));if(null!=f){if(e.indent){a=f.split("\n");d=0;for(f=a.length;d<f&&(a[d]||d+1!==f);d++)a[d]=
e.indent+a[d];f=a.join("\n")}return f}throw new l["default"]("The partial "+e.name+" could not be compiled when running in runtime-only mode");},fn:function(a){var c=b[a];c.decorator=b[a+"_d"];return c},programs:[],program:function(b,c,d,e,f){var h=this.programs[b],l=this.fn(b);c||f||e||d?h=a(this,b,l,c,d,e,f):h||(h=this.programs[b]=a(this,b,l));return h},data:function(a,b){for(;a&&b--;)a=a._parent;return a},merge:function(a,b){var c=a||b;a&&(b&&a!==b)&&(c=h.extend({},b,a));return c},noop:c.VM.noop,
compilerInfo:b.compiler};e.isTop=!0;e._setup=function(a){if(a.partial)m.helpers=a.helpers,m.partials=a.partials,m.decorators=a.decorators;else if(m.helpers=m.merge(a.helpers,c.helpers),b.usePartial&&(m.partials=m.merge(a.partials,c.partials)),b.usePartial||b.useDecorators)m.decorators=m.merge(a.decorators,c.decorators)};e._child=function(c,d,e,f){if(b.useBlockParams&&!e)throw new l["default"]("must pass block params");if(b.useDepths&&!f)throw new l["default"]("must pass parent depths");return a(m,
c,b[c],d,0,e,f)};return e};k.wrapProgram=a;k.resolvePartial=function(a,c,d){if(a)!a.call&&!d.name&&(d.name=a,a=d.partials[a]);else if("@partial-block"===d.name){for(c=d.data;c["partial-block"]===b;)c=c._parent;a=c["partial-block"];c["partial-block"]=b}else a=d.partials[d.name];return a};k.invokePartial=function(a,c,d){d.partial=!0;d.ids&&(d.data.contextPath=d.ids[0]||d.data.contextPath);var e=void 0;d.fn&&d.fn!==b&&(d.data=m.createFrame(d.data),e=d.data["partial-block"]=d.fn,e.partials&&(d.partials=
h.extend({},d.partials,e.partials)));void 0===a&&e&&(a=e);if(void 0===a)throw new l["default"]("The partial "+d.name+" could not be found");if(a instanceof Function)return a(c,d)};k.noop=b;k=c(4);var h=e(k);k=c(5);var l=g(k),m=c(3)},function(g,k){(function(c){k.__esModule=!0;k["default"]=function(a){var b="undefined"!==typeof c?c:window,f=b.Handlebars;a.noConflict=function(){b.Handlebars===a&&(b.Handlebars=f);return a}};g.exports=k["default"]}).call(k,function(){return this}())}])});(function(){function g(a){this.tokens=[];this.tokens.links={};this.options=a||l.defaults;this.rules=m.normal;this.options.gfm&&(this.rules=this.options.tables?m.tables:m.gfm)}function k(a,b){this.options=b||l.defaults;this.links=a;this.rules=p.normal;this.renderer=this.options.renderer||new c;this.renderer.options=this.options;if(!this.links)throw Error("Tokens array requires a `links` property.");this.options.zulip?this.rules=p.zulip:this.options.gfm?this.rules=this.options.breaks?p.breaks:p.gfm:
this.options.pedantic&&(this.rules=p.pedantic)}function c(a){this.options=a||{}}function a(a){this.tokens=[];this.token=null;this.options=a||l.defaults;this.options.renderer=this.options.renderer||new c;this.renderer=this.options.renderer;this.renderer.options=this.options}function b(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function f(a){return a.replace(/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/g,
function(a,b){b=b.toLowerCase();return"colon"===b?":":"#"===b.charAt(0)?"x"===b.charAt(1)?String.fromCharCode(parseInt(b.substring(2),16)):String.fromCharCode(+b.substring(1)):""})}function d(a,b){a=a.source;b=b||"";return function s(c,d){if(!c)return RegExp(a,b);d=d.source||d;d=d.replace(/(^|[^\[])\^/g,"$1");a=a.replace(c,d);return s}}function e(){}function h(a){for(var b=1,c,d;b<arguments.length;b++)for(d in c=arguments[b],c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d]);return a}function l(c,
d,e){if(e||"function"===typeof d){e||(e=d,d=null);d=h({},l.defaults,d||{});var f=d.highlight,m,k,p=0;r=0;q=[];for(var y=0;y<d.preprocessors.length;y++)c=d.preprocessors[y](c);try{m=g.lex(c,d)}catch(C){return e(C)}k=m.length;var w=function(b){if(b)return d.highlight=f,e(b);var c;try{c=a.parse(m,d)}catch(h){b=h}d.highlight=f;return b?e(b):e(null,c)};if(!f||3>f.length)return w();delete d.highlight;if(!k)return w();for(;p<m.length;p++)(function(a){return"code"!==a.type?--k||w():f(a.text,a.lang,function(b,
c){if(b)return w(b);if(null==c||c===a.text)return--k||w();a.text=c;a.escaped=!0;--k||w()})})(m[p])}else try{d&&(d=h({},l.defaults,d));r=0;q=[];for(p=0;p<l.defaults.preprocessors.length;p++)c=l.defaults.preprocessors[p](c);return a.parse(g.lex(c,d),d)}catch(G){G.message+="\nPlease report this to https://github.com/chjj/marked.";if((d||l.defaults).silent)return"<p>An error occurred:</p><pre>"+b(G.message+"",!0)+"</pre>";throw G;}}var m={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:e,hr:/^( *[-*_]){3,} *(?:\n+|$)/,
heading:/^ *(#{1,6}) *([^\n]+?) *#* *(?:\n+|$)/,nptable:e,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,blockquote:/^( *>[^\n]+(\n(?!def)[^\n]+)*\n*)+/,list:/^( *)(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:/^ *(?:comment *(?:\n|\s*$)|closed *(?:\n{2,}|\s*$)|closing *(?:\n{2,}|\s*$))/,def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +["(]([^\n]+)[")])? *(?:\n+|$)/,table:e,paragraph:/^((?:[^\n]+\n?(?!hr|heading|lheading|blockquote|tag|def))+)\n*/,text:/^[^\n]+/,bullet:/(?:[*+-]|\d+\.)/,item:/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/};
m.item=d(m.item,"gm")(/bull/g,m.bullet)();m.list=d(m.list)(/bull/g,m.bullet)("hr","\\n+(?=\\1?(?:[-*_] *){3,}(?:\\n+|$))")("def","\\n+(?="+m.def.source+")")();m.blockquote=d(m.blockquote)("def",m.def)();m._tag="(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:/|[^\\w\\s@]*@)\\b";m.html=d(m.html)("comment",/\x3c!--[\s\S]*?--\x3e/)("closed",/<(tag)[\s\S]+?<\/\1>/)("closing",/<tag(?:"[^"]*"|'[^']*'|[^'">])*?>/)(/tag/g,
m._tag)();m.paragraph=d(m.paragraph)("hr",m.hr)("heading",m.heading)("lheading",m.lheading)("blockquote",m.blockquote)("tag","<"+m._tag)("def",m.def)();m.normal=h({},m);m.gfm=h({},m.normal,{fences:/^ *(`{3,}|~{3,})[ \.]*(\S+)? *\n([\s\S]*?)\s*\1 *(?:\n+|$)/,paragraph:/^/,heading:/^ *(#{1,6}) +([^\n]+?) *#* *(?:\n+|$)/});m.gfm.paragraph=d(m.paragraph)("(?!","(?!"+m.gfm.fences.source.replace("\\1","\\2")+"|"+m.list.source.replace("\\1","\\3")+"|")();m.tables=h({},m.gfm,{nptable:/^ *(\S.*\|.*)\n *([-:]+ *\|[-| :]*)\n((?:.*\|.*(?:\n|$))*)\n*/,
table:/^ *\|(.+)\n *\|( *[-:]+[-| :]*)\n((?: *\|.*(?:\n|$))*)\n*/});g.rules=m;g.lex=function(a,b){return(new g(b)).lex(a)};g.prototype.lex=function(a){a=a.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n");return this.token(a,!0)};var r=0,q=[];g.prototype.token=function(a,b,c){a=a.replace(/^ +$/gm,"");for(var d,e,f,h,l,g,k;a;){if(f=this.rules.newline.exec(a))a=a.substring(f[0].length),1<f[0].length&&this.tokens.push({type:"space"});if(f=this.rules.code.exec(a))a=
a.substring(f[0].length),f=f[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:!this.options.pedantic?f.replace(/\n+$/,""):f});else if(f=this.rules.fences.exec(a))a=a.substring(f[0].length),this.tokens.push({type:"code",lang:f[2],text:f[3]||""});else if(f=this.rules.heading.exec(a))a=a.substring(f[0].length),this.tokens.push({type:"heading",depth:f[1].length,text:f[2]});else if(b&&(f=this.rules.nptable.exec(a))){a=a.substring(f[0].length);l={type:"table",header:f[1].replace(/^ *| *\| *$/g,
"").split(/ *\| */),align:f[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:f[3].replace(/\n$/,"").split("\n")};for(g=0;g<l.align.length;g++)/^ *-+: *$/.test(l.align[g])?l.align[g]="right":/^ *:-+: *$/.test(l.align[g])?l.align[g]="center":/^ *:-+ *$/.test(l.align[g])?l.align[g]="left":l.align[g]=null;for(g=0;g<l.cells.length;g++)l.cells[g]=l.cells[g].split(/ *\| */);this.tokens.push(l)}else if(f=this.rules.lheading.exec(a))a=a.substring(f[0].length),this.tokens.push({type:"heading",depth:"="===
f[2]?1:2,text:f[1]});else if(f=this.rules.hr.exec(a))a=a.substring(f[0].length),this.tokens.push({type:"hr"});else if(f=this.rules.blockquote.exec(a))a=a.substring(f[0].length),this.tokens.push({type:"blockquote_start"}),f=f[0].replace(/^ *> ?/gm,""),this.token(f,b,!0),this.tokens.push({type:"blockquote_end"});else if(f=this.rules.list.exec(a)){a=a.substring(f[0].length);h=f[2];this.tokens.push({type:"list_start",ordered:1<h.length});f=f[0].match(this.rules.item);d=!1;k=f.length;for(g=0;g<k;g++)l=
f[g],e=l.length,l=l.replace(/^ *([*+-]|\d+\.) +/,""),~l.indexOf("\n ")&&(e-=l.length,l=!this.options.pedantic?l.replace(RegExp("^ {1,"+e+"}","gm"),""):l.replace(/^ {1,4}/gm,"")),this.options.smartLists&&g!==k-1&&(e=m.bullet.exec(f[g+1])[0],h!==e&&!(1<h.length&&1<e.length)&&(a=f.slice(g+1).join("\n")+a,g=k-1)),e=d||/\n\n(?!\s*$)/.test(l),g!==k-1&&(d="\n"===l.charAt(l.length-1),e||(e=d)),this.tokens.push({type:e?"loose_item_start":"list_item_start"}),this.token(l,!1,c),this.tokens.push({type:"list_item_end"});
this.tokens.push({type:"list_end"})}else if(f=this.rules.html.exec(a))a=a.substring(f[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:!this.options.sanitizer&&("pre"===f[1]||"script"===f[1]||"style"===f[1]),text:f[0]});else if(!c&&b&&(f=this.rules.def.exec(a)))a=a.substring(f[0].length),this.tokens.links[f[1].toLowerCase()]={href:f[2],title:f[3]};else if(b&&(f=this.rules.table.exec(a))){a=a.substring(f[0].length);l={type:"table",header:f[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),
align:f[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:f[3].replace(/(?: *\| *)?\n$/,"").split("\n")};for(g=0;g<l.align.length;g++)/^ *-+: *$/.test(l.align[g])?l.align[g]="right":/^ *:-+: *$/.test(l.align[g])?l.align[g]="center":/^ *:-+ *$/.test(l.align[g])?l.align[g]="left":l.align[g]=null;for(g=0;g<l.cells.length;g++)l.cells[g]=l.cells[g].replace(/^ *\| *| *\| *$/g,"").split(/ *\| */);this.tokens.push(l)}else if(b&&(f=this.rules.paragraph.exec(a)))a=a.substring(f[0].length),this.tokens.push({type:"paragraph",
text:"\n"===f[1].charAt(f[1].length-1)?f[1].slice(0,-1):f[1]});else if(f=this.rules.text.exec(a))a=a.substring(f[0].length),this.tokens.push({type:"text",text:f[0]});else if(a)throw Error("Infinite loop on byte: "+a.charCodeAt(0));}return this.tokens};var p={escape:/^\\([\\`*{}\[\]()#+\-.!_>])/,autolink:/^<([^ >]+(@|:\/)[^ >]+)>/,url:e,tag:/^\x3c!--[\s\S]*?--\x3e|^<\/?\w+(?:"[^"]*"|'[^']*'|[^'">])*?>/,link:/^!?\[(inside)\]\(href\)/,reflink:/^!?\[(inside)\]\s*\[([^\]]*)\]/,nolink:/^!?\[((?:\[[^\]]*\]|[^\[\]])*)\]/,
strong:/^__([\s\S]+?)__(?!_)|^\*\*([\s\S]+?)\*\*(?!\*)/,em:/^\b_((?:[^_]|__)+?)_\b|^\*((?:\*\*|[\s\S])+?)\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`])\s*\1(?!`)/,br:/^ {2,}\n(?!\s*$)/,del:e,emoji:e,unicodeemoji:e,usermention:e,stream:e,avatar:e,tex:e,gravatar:e,realm_filters:[],text:/^[\s\S]+?(?=[\\<!\[_*`$]| {2,}\n|$)/,_inside:/(?:\[[^\]]*\]|[^\[\]]|\](?=[^\[]*\]))*/,_href:/\s*<?([\s\S]*?)>?(?:\s+['"]([\s\S]*?)['"])?\s*/};p.link=d(p.link)("inside",p._inside)("href",p._href)();p.reflink=d(p.reflink)("inside",
p._inside)();p.normal=h({},p);p.pedantic=h({},p.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/});p.gfm=h({},p.normal,{escape:d(p.escape)("])","~|])")(),url:/^(https?:\/\/[^\s<]+[^<.,:;"')\]\s])/,del:/^~~(?=\S)([\s\S]*?\S)~~/,text:d(p.text)("]|","~]|")("|","|https?://|")()});p.breaks=h({},p.gfm,{br:d(p.br)("{2,}","*")(),text:d(p.gfm.text)("{2,}","*")()});p.zulip=h({},p.breaks,{emoji:/^:([A-Za-z0-9_\-\+]+?):/,
unicodeemoji:/^(\ud83c[\udd00-\udfff]|\ud83d[\udc00-\ude4f]|\ud83d[\ude80-\udeff]|\ud83e[\udd00-\uddff]|[\u2000-\u206f]|[\u2300-\u27bf]|[\u2b00-\u2bff]|[\u3000-\u303f]|[\u3200-\u32ff])/,usermention:/^(@(?:\*\*([^\*]+)\*\*|(\w+)))/m,stream:/^#\*\*([^\*]+)\*\*/m,avatar:/^!avatar\(([^)]+)\)/,gravatar:/^!gravatar\(([^)]+)\)/,tex:/^(\$\$([^ _$](\\\$|[^$])*)(?! )\$\$)\B/,realm_filters:[],text:d(p.breaks.text)("|","|(\ud83c[\udd00-\udfff]|\ud83d[\udc00-\ude4f]|\ud83d[\ude80-\udeff]|\ud83e[\udd00-\uddff]|[\u2000-\u206f]|[\u2300-\u27bf]|[\u2b00-\u2bff]|[\u3000-\u303f]|[\u3200-\u32ff])|")("]|",
"#@:]|")()});k.rules=p;k.output=function(a,b,c){return(new k(b,c)).output(a)};k.prototype.inlineReplacement=function(a,b,c){var d,e="";a.lastIndex=0;if(d=a.exec(b)){var f=a.lastIndex,h=b.substring(0,f-d[0].length),h=this.output(h),e=e+h;b=b.substring(f);e+=c(a,d.slice(1),d[0])}return[b,e]};k.prototype.output=function(a){for(var c="",d,e,f;a;)if(f=this.rules.escape.exec(a))a=a.substring(f[0].length),c+=f[1];else{var h=this;this.rules.realm_filters.forEach(function(d){d=h.inlineReplacement(d,a,function(a,
c,d){e=h.realm_filter(a,c,d);return void 0!==e?(e=b(e),h.renderer.link(e,e,d)):d});a=d[0];c+=d[1]});if(f=this.rules.autolink.exec(a))a=a.substring(f[0].length),"@"===f[2]?(d=":"===f[1].charAt(6)?this.mangle(f[1].substring(7)):this.mangle(f[1]),e=this.mangle("mailto:")+d):e=d=b(f[1]),c+=this.renderer.link(e,null,d);else if(!this.inLink&&(f=this.rules.url.exec(a)))a=a.substring(f[0].length),e=d=b(f[1]),c+=this.renderer.link(e,null,d);else if(f=this.rules.tag.exec(a))!this.inLink&&/^<a /i.test(f[0])?
this.inLink=!0:this.inLink&&/^<\/a>/i.test(f[0])&&(this.inLink=!1),a=a.substring(f[0].length),c+=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(f[0]):b(f[0]):f[0];else if(f=this.rules.link.exec(a))a=a.substring(f[0].length),this.inLink=!0,c+=this.outputLink(f,{href:f[2],title:f[3]}),this.inLink=!1;else if((f=this.rules.reflink.exec(a))||(f=this.rules.nolink.exec(a)))a=a.substring(f[0].length),d=(f[2]||f[1]).replace(/\s+/g," "),d=this.links[d.toLowerCase()],!d||!d.href?(c+=f[0].charAt(0),
a=f[0].substring(1)+a):(this.inLink=!0,c+=this.outputLink(f,d),this.inLink=!1);else if(f=this.rules.usermention.exec(a))a=a.substring(f[0].length),c+=this.usermention(f[2]||f[3],f[1]);else if(f=this.rules.stream.exec(a))a=a.substring(f[0].length),c+=this.stream(f[1],f[0]);else if(f=this.rules.strong.exec(a))a=a.substring(f[0].length),c+=this.renderer.strong(this.output(f[2]||f[1]));else if(f=this.rules.em.exec(a))a=a.substring(f[0].length),c+=this.renderer.em(f[1]+f[2]);else if(f=this.rules.code.exec(a))a=
a.substring(f[0].length),c+=this.renderer.codespan(b(f[2],!0));else if(f=this.rules.br.exec(a))a=a.substring(f[0].length),c+=this.renderer.br();else if(f=this.rules.del.exec(a))a=a.substring(f[0].length),c+=this.renderer.del(this.output(f[1]));else if(f=this.rules.emoji.exec(a))a=a.substring(f[0].length),c+=this.emoji(f[1]);else if(f=this.rules.unicodeemoji.exec(a))a=a.substring(f[0].length),c+=this.unicodeEmoji(f[1]);else if(f=this.rules.avatar.exec(a))a=a.substring(f[0].length),c+=this.userAvatar(f[1]);
else if(f=this.rules.gravatar.exec(a))a=a.substring(f[0].length),c+=this.userGravatar(f[1]);else if(f=this.rules.tex.exec(a))a=a.substring(f[0].length),c+=this.tex(f[2],f[0]);else if(f=this.rules.text.exec(a))a=a.substring(f[0].length),c+=this.renderer.text(b(this.smartypants(f[0])));else if(a)throw Error("Infinite loop on byte: "+a.charCodeAt(0));}return c};k.prototype.outputLink=function(a,c){var d=b(c.href),e=c.title?b(c.title):null;return"!"!==a[0].charAt(0)?this.renderer.link(d,e,this.output(a[1])):
this.renderer.image(d,e,b(a[1]))};k.prototype.emoji=function(a){return"function"!==typeof this.options.emojiHandler?":"+a+":":this.options.emojiHandler(a)};k.prototype.unicodeEmoji=function(a){return"function"!==typeof this.options.unicodeEmojiHandler?a:this.options.unicodeEmojiHandler(a)};k.prototype.tex=function(a,b){return"function"!==typeof this.options.texHandler?b:this.options.texHandler(a,b)};k.prototype.userAvatar=function(a){return"function"!==typeof this.options.avatarHandler?"!avatar("+
a+")":this.options.avatarHandler(a)};k.prototype.userGravatar=function(a){return"function"!==typeof this.options.avatarHandler?"!gravatar("+a+")":this.options.avatarHandler(a)};k.prototype.realm_filter=function(a,b,c){if("function"===typeof this.options.realmFilterHandler)return this.options.realmFilterHandler(a,b)};k.prototype.usermention=function(a,b){if("function"!==typeof this.options.userMentionHandler)return b;var c=this.options.userMentionHandler(a);return void 0!==c?c:b};k.prototype.stream=
function(a,b){if("function"!==typeof this.options.streamHandler)return b;var c=this.options.streamHandler(a);return void 0!==c?c:b};k.prototype.smartypants=function(a){return!this.options.smartypants?a:a.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201c").replace(/"/g,"\u201d").replace(/\.{3}/g,"\u2026")};k.prototype.mangle=function(a){if(!this.options.mangle)return a;for(var b="",
c=a.length,d=0,e;d<c;d++)e=a.charCodeAt(d),0.5<Math.random()&&(e="x"+e.toString(16)),b+="&#"+e+";";return b};c.prototype.code=function(a,c,d){if(this.options.highlight){var e=this.options.highlight(a,c);null!=e&&e!==a&&(d=!0,a=e)}return!c?"<pre><code>"+(d?a:b(a,!0))+"\n</code></pre>":'<pre><code class="'+this.options.langPrefix+b(c,!0)+'">'+(d?a:b(a,!0))+"\n</code></pre>\n"};c.prototype.blockquote=function(a){return"<blockquote>\n"+a+"</blockquote>\n"};c.prototype.html=function(a){return a};c.prototype.heading=
function(a,b,c){return"<h"+b+' id="'+this.options.headerPrefix+c.toLowerCase().replace(/[^\w]+/g,"-")+'">'+a+"</h"+b+">\n"};c.prototype.hr=function(){return this.options.xhtml?"<hr/>\n":"<hr>\n"};c.prototype.list=function(a,b){var c=b?"ol":"ul";return"<"+c+">\n"+a+"</"+c+">\n"};c.prototype.listitem=function(a){return"<li>"+a+"</li>\n"};c.prototype.paragraph=function(a){return"<p>"+a+"</p>\n"};c.prototype.table=function(a,b){return"<table>\n<thead>\n"+a+"</thead>\n<tbody>\n"+b+"</tbody>\n</table>\n"};
c.prototype.tablerow=function(a){return"<tr>\n"+a+"</tr>\n"};c.prototype.tablecell=function(a,b){var c=b.header?"th":"td";return(b.align?"<"+c+' style="text-align:'+b.align+'">':"<"+c+">")+a+"</"+c+">\n"};c.prototype.strong=function(a){return"<strong>"+a+"</strong>"};c.prototype.em=function(a){return"<em>"+a+"</em>"};c.prototype.codespan=function(a){return"<code>"+a+"</code>"};c.prototype.br=function(){return this.options.xhtml?"<br/>":"<br>"};c.prototype.del=function(a){return"<del>"+a+"</del>"};
c.prototype.link=function(a,b,c){if(this.options.sanitize){try{var d=decodeURIComponent(f(a)).replace(/[^\w:]/g,"").toLowerCase()}catch(e){return""}if(0===d.indexOf("javascript:")||0===d.indexOf("vbscript:"))return""}a='<a href="'+a+'"';b&&(a+=' title="'+b+'"');return a+(">"+c+"</a>")};c.prototype.image=function(a,b,c){a='<img src="'+a+'" alt="'+c+'"';b&&(a+=' title="'+b+'"');return a+=this.options.xhtml?"/>":">"};c.prototype.text=function(a){return a};a.parse=function(b,c,d){c=new a(c,d);b=c.parse(b);
return b=c.postprocess(b)};a.prototype.parse=function(a){this.inline=new k(a.links,this.options,this.renderer);this.tokens=a.reverse();for(a="";this.next();)a+=this.tok();return a};a.prototype.postprocess=function(a){for(var c=0;c<q.length;c++){var d=q[c],e=d[0],f=d[1],f=d[2]?f+"\n":b(f);a=a.replace("<p>"+e+"</p>",f)}return a};a.prototype.next=function(){return this.token=this.tokens.pop()};a.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0};a.prototype.parseText=function(){for(var a=
this.token.text;"text"===this.peek().type;)a+="\n"+this.next().text;return this.inline.output(a)};a.prototype.tok=function(){switch(this.token.type){case "space":return"";case "hr":return this.renderer.hr();case "heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,this.token.text);case "code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case "table":var a="",b="",c,d,e,f;e="";for(c=0;c<this.token.header.length;c++)e+=this.renderer.tablecell(this.inline.output(this.token.header[c]),
{header:!0,align:this.token.align[c]});a+=this.renderer.tablerow(e);for(c=0;c<this.token.cells.length;c++){d=this.token.cells[c];e="";for(f=0;f<d.length;f++)e+=this.renderer.tablecell(this.inline.output(d[f]),{header:!1,align:this.token.align[f]});b+=this.renderer.tablerow(e)}return this.renderer.table(a,b);case "blockquote_start":for(b="";"blockquote_end"!==this.next().type;)b+=this.tok();return this.renderer.blockquote(b);case "list_start":b="";for(a=this.token.ordered;"list_end"!==this.next().type;)b+=
this.tok();return this.renderer.list(b,a);case "list_item_start":for(b="";"list_item_end"!==this.next().type;)b+="text"===this.token.type?this.parseText():this.tok();return this.renderer.listitem(b);case "loose_item_start":for(b="";"list_item_end"!==this.next().type;)b+=this.tok();return this.renderer.listitem(b);case "html":return b=!this.token.pre&&!this.options.pedantic?this.inline.output(this.token.text):this.token.text,this.renderer.html(b);case "paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));
case "text":return this.renderer.paragraph(this.parseText())}};e.exec=e;l.options=l.setOptions=function(a){h(l.defaults,a);return l};l.defaults={gfm:!0,emoji:!1,unicodeemoji:!1,avatar:!1,gravatar:!1,tables:!0,breaks:!1,pedantic:!1,sanitize:!1,sanitizer:null,mangle:!0,smartLists:!1,silent:!1,highlight:null,langPrefix:"lang-",smartypants:!1,headerPrefix:"",renderer:new c,preprocessors:[],xhtml:!1};l.Parser=a;l.parser=a.parse;l.Renderer=c;l.Lexer=g;l.lexer=g.lex;l.InlineLexer=k;l.inlineLexer=k.output;
l.parse=l;l.stashHtml=function(a,b){var c="klzzwxhzsd:"+r;r++;q.push([c,a,b]);return c};"undefined"!==typeof module&&"object"===typeof exports?module.exports=l:"function"===typeof define&&define.amd?define(function(){return l}):this.marked=l}).call(function(){return this||("undefined"!==typeof window?window:global)}());var emoji_codes=function(){return{names:"+1 -1 100 1234 8ball a_button ab_button abc abcd admission_tickets aerial_tramway airplane airplane_arrival airplane_departure alarm_clock alien alien_monster ambulance american_football amphora anchor angel anger angry anguished ant antenna_bars apple aquarius aries arrow_backward arrow_double_down arrow_double_up arrow_down arrow_down_small arrow_forward arrow_heading_down arrow_heading_up arrow_left arrow_lower_left arrow_lower_right arrow_right arrow_right_hook arrow_up arrow_up_down arrow_up_small arrow_upper_left arrow_upper_right arrows_clockwise arrows_counterclockwise art articulated_lorry astonished athletic_shoe atm atom_symbol automobile b_button baby baby_bottle baby_chick baby_symbol back badminton baggage_claim balloon ballot_box_with_ballot ballot_box_with_check bamboo banana bangbang bank bar_chart barber_pole baseball basketball bath bathtub battery beach_with_umbrella bear beating_heart bed bee beer beers beginner bell bellhop_bell bento bicyclist bike bikini billiards bird birthday blossom blowfish blue_book blue_circle blue_heart blush boar boat bomb book bookmark bookmark_tabs books boom boot bottle_with_popping_cork bouquet bow bow_and_arrow bowling boy bread bride_with_veil bridge_at_night briefcase bright_button broken_heart bug building_construction bullettrain_front bullettrain_side burrito bus bus_stop bust_in_silhouette busts_in_silhouette cactus cake calendar calling camel camera camera_with_flash camping cancer candle candy capital_abcd capricorn car card_file_box card_index card_index_dividers carousel_horse cat cat_face cd chains chart_decreasing chart_increasing chart_increasing_with_yen checkered_flag cheese_wedge cherries cherry_blossom chestnut chicken children_crossing chipmunk chocolate_bar christmas_tree church cinema circled_accept_ideograph circled_letter_m circus_tent city_sunrise city_sunset cityscape cl clap clapper_board classical_building clipboard clock1 clock10 clock1030 clock11 clock1130 clock12 clock1230 clock130 clock2 clock230 clock3 clock330 clock4 clock430 clock5 clock530 clock6 clock630 clock7 clock730 clock8 clock830 clock9 clock930 closed_book closed_lock_with_key closed_umbrella cloud cloud_with_lightning cloud_with_lightning_and_rain cloud_with_rain cloud_with_snow clubs cn cocktail coffee coffin cold_sweat compression computer computer_mouse confetti_ball confounded confused congratulations construction construction_worker control_knobs convenience_store cookie cooking cool cop copyright corn couch_and_lamp couple couple_with_heart cow cow_face crab crayon credit_card crescent_moon cricket crocodile cross_mark cross_mark_button crossed_flags crown cry crying_cat_face crystal_ball cupid curly_loop currency_exchange curry custard customs cyclone dagger dancer dancers dango dart dash date de deciduous_tree department_store derelict_house_building desert desert_island desktop_computer detective diamond_with_a_dot diamonds direct_hit disappointed disappointed_relieved dizzy dizzy_face dog dog_face dollar dolphin door double_curly_loop double_exclamation_mark doughnut dove dragon dragon_face dress droplet dvd e-mail ear ear_of_rice earth_africa earth_americas earth_asia egg eggplant eight eight_spoked_asterisk eject_button electric_plug elephant email end envelope envelope_with_arrow es euro european_castle european_post_office evergreen exclamation expressionless eye eyes face_massage face_with_head_bandage face_with_rolling_eyes face_with_thermometer factory fallen_leaf family fast_down_button fast_forward fast_reverse_button fast_up_button fax fearful feet ferris_wheel ferry field_hockey file_cabinet file_folder film_frames film_projector fire fire_engine fireworks first_quarter_moon first_quarter_moon_with_face fish fish_cake fishing_pole fist five flags flashlight fleur_de_lis flexed_biceps floppy_disk flower_playing_cards flushed fog foggy folded_hands footprints fork_and_knife fork_and_knife_with_plate fountain fountain_pen four four_leaf_clover fr frame_with_picture free fried_shrimp fries frog frowning fuel_pump full_moon full_moon_with_face funeral_urn game_die gb gem gemini ghost gift gift_heart girl glasses globe_with_meridians glowing_star goat goblin golf golfer graduation_cap grapes green_apple green_book green_heart grey_exclamation grey_question grimacing grin grinning growing_heart guardsman guitar gun haircut hamburger hammer hammer_and_wrench hamster hand handbag hash hatched_chick hatching_chick headphones hear_no_evil heart heart_decoration heart_eyes heart_eyes_cat heart_with_arrow heartbeat heartpulse hearts heavy_check_mark heavy_division_sign heavy_dollar_sign heavy_large_circle heavy_minus_sign heavy_multiplication_x heavy_plus_sign helicopter helmet_with_white_cross herb hibiscus high_heeled_shoe high_speed_train high_voltage hocho hole honey_pot honeybee horizontal_traffic_light horse horse_face horse_racing hospital hot_dog hot_pepper hotel hotsprings hourglass hourglass_flowing_sand house house_buildings house_with_garden hugging_face hundred_points hushed ice_cream ice_hockey_stick_and_puck ice_skate icecream id ideograph_advantage imp inbox_tray incoming_envelope information_desk_person information_source innocent interrobang iphone it izakaya_lantern jack_o_lantern japan japanese_castle japanese_dolls japanese_post_office jeans joker joy joy_cat joystick jp kaaba key keycap_ten kimono kiss kiss_mark kissing kissing_cat kissing_closed_eyes kissing_heart kissing_smiling_eyes kitchen_knife koala kr label lady_beetle large_orange_diamond last_quarter_moon last_quarter_moon_with_face last_track_button latin_cross laughing leaves ledger left_luggage left_pointing_magnifying_glass left_right_arrow left_speech_bubble lemon leo leopard level_slider libra light_bulb light_rail link linked_paperclips lion_face lips lipstick lock lock_with_pen locomotive lollipop loud_sound loudspeaker love_hotel love_letter low_brightness mag mag_right mahjong mailbox mailbox_closed mailbox_with_mail mailbox_with_no_mail man man_and_woman_holding_hands man_in_business_suit_levitating man_with_gua_pi_mao man_with_turban mantelpiece_clock maple_leaf mask meat_on_bone megaphone melon memo menorah mens_room metro microphone microscope middle_finger military_medal milky_way minibus minidisc mobile_phone mobile_phone_off money_mouth_face money_with_wings moneybag monkey monkey_face monorail moon_ceremony mortar_board mosque motor_boat motorcycle motorway mount_fuji mountain mountain_biker mountain_cableway mountain_railway mouse mouse_face mouth movie_camera moyai muscle mushroom musical_keyboard musical_note musical_notes musical_score mute nail_polish name_badge national_park necktie nerd_face neutral_face new new_moon new_moon_face newspaper next_track_button ng night_with_stars nine no_bell no_bicycles no_entry no_good no_littering no_mobile_phones no_mouth no_one_under_eighteen no_pedestrians no_smoking non-potable_water nose notebook notebook_with_decorative_cover nut_and_bolt o_button ocean octopus oden office ogre oil_drum ok ok_hand ok_woman old_key older_man older_woman om on oncoming_automobile oncoming_bus oncoming_fist oncoming_police_car oncoming_taxi one open_file_folder open_hands open_mouth ophiuchus optical_disc orange_book outbox_tray ox p_button package page_facing_up page_with_curl pager paintbrush palm_tree panda_face paperclip parking part_alternation_mark partly_sunny party_popper passenger_ship passport_control pause_button paw_prints peace_symbol peach pear pedestrian pen pencil penguin pensive performing_arts persevere person_frowning person_in_bed person_pouting person_with_ball person_with_blond_hair phone pick pig pig_face pig_nose pile_of_poo pill pineapple ping_pong pisces pistol pizza place_of_worship play_button play_or_pause_button point_down point_left point_right point_up point_up_2 police_car police_officer poodle poop popcorn postal_horn postbox potable_water pouch poultry_leg pound pouting_cat pray prayer_beads princess printer prohibited punch purple_heart purse pushpin put_litter_in_its_place question rabbit rabbit_face racing_car radio radio_button rage railway_car railway_track rainbow raised_hand_with_fingers_splayed raised_hands raising_hand ram ramen rat record_button recreational_vehicle recycle red_circle registered relaxed relieved reminder_ribbon repeat repeat_one restroom reverse_button revolving_hearts rewind ribbon rice rice_ball rice_cracker rice_scene right_anger_bubble right_arrow_curving_left right_pointing_magnifying_glass ring robot_face rocket rolled_up_newspaper roller_coaster rooster rose rosette rotating_light round_pushpin rowboat ru rugby_football runner running_shirt sagittarius sailboat sake sandal santa satellite satellite_antenna saxophone school school_satchel scissors scorpion scorpius scream scream_cat scroll seat secret see_no_evil seedling seven shaved_ice sheep shell shield shinto_shrine ship shirt shoe shooting_star shopping_bags shower shuffle_tracks_button sign_of_the_horns signal_strength simple_smile six six_pointed_star skier skis skull sleeping sleepy slightly_frowning_face slot_machine small_airplane small_orange_diamond small_red_triangle small_red_triangle_down smile smile_cat smiley smiley_cat smiling_face_with_sunglasses smiling_imp smirk smirk_cat smoking snail snake snow_capped_mountain snowboarder snowflake snowman sob soccer soon sos sound space_invader spades spaghetti sparkle sparkler sparkles sparkling_heart speak_no_evil speaker speaker_loud speaker_off speaker_on speaking_head speech_balloon speedboat spider spider_web spiral_calendar spiral_notepad sports_medal spouting_whale squared_apply_ideograph squared_divide_ideograph squared_empty_ideograph squared_exist_ideograph squared_finger_ideograph squared_fullness_ideograph squared_katakana_koko squared_katakana_sa squared_moon_ideograph squared_negation_ideograph squared_operating_ideograph squared_prohibit_ideograph squared_together_ideograph stadium star star_and_crescent station statue_of_liberty stew stop_button stopwatch straight_ruler strawberry stuck_out_tongue stuck_out_tongue_closed_eyes stuck_out_tongue_winking_eye studio_microphone sun_behind_cloud_with_rain sun_behind_large_cloud sun_behind_small_cloud sun_with_face sunflower sunglasses sunny sunrise sunrise_over_mountains sunset surfer sushi suspension_railway sweat sweat_drops sweat_smile sweet_potato swimmer symbols synagogue syringe taco tada tanabata_tree tangerine taurus taxi tea tear_off_calendar telephone telephone_receiver telescope television tennis tent thermometer thinking_face thought_balloon three thumbs_up thumbs_down ticket tiger tiger_face timer_clock tired_face tm toilet tokyo_tower tomato tongue top top_hat tornado trackball tractor train tram tram_car triangular_flag triangular_ruler trident triumph trolleybus trophy tropical_drink tropical_fish truck trumpet tshirt tulip turkey turtle tv twisted_rightwards_arrows two two_hearts two_hump_camel two_men_holding_hands two_women_holding_hands uk umbrella umbrella_on_ground unamused underage unicorn_face unlock up upside_down_face us vertical_traffic_light vhs vibration_mode victory_hand video_camera video_game videocassette violin virgo volcano volleyball vs vulcan_salute walking waning_crescent_moon waning_gibbous_moon warning wastebasket watch water_buffalo water_closet watermelon wave waving_black_flag waving_white_flag wavy_dash waxing_crescent_moon waxing_gibbous_moon wc weary wedding weight_lifter whale wheelchair wind_chime wind_face wine_glass wink wolf woman womans_clothes womans_hat womens_room world_map worried wrench writing_hand yellow_heart yen yin_yang yum zap zero zipper_mouth_face zzz".split(" "),
codepoints:"0023 0030 0031 0032 0033 0034 0035 0036 0037 0038 0039 00a9 00ae 1f004 1f0cf 1f170 1f171 1f17e 1f17f 1f18e 1f191 1f192 1f193 1f194 1f195 1f196 1f197 1f198 1f199 1f19a 1f1e8 1f1e9 1f1ea 1f1eb 1f1ec 1f1ee 1f1ef 1f1f0 1f1f7 1f1fa 1f201 1f202 1f21a 1f22f 1f232 1f233 1f234 1f235 1f236 1f237 1f238 1f239 1f23a 1f250 1f251 1f300 1f301 1f302 1f303 1f304 1f305 1f306 1f307 1f308 1f309 1f30a 1f30b 1f30c 1f30d 1f30e 1f30f 1f310 1f311 1f312 1f313 1f314 1f315 1f316 1f317 1f318 1f319 1f31a 1f31b 1f31c 1f31d 1f31e 1f31f 1f320 1f321 1f324 1f325 1f326 1f327 1f328 1f329 1f32a 1f32b 1f32c 1f32d 1f32e 1f32f 1f330 1f331 1f332 1f333 1f334 1f335 1f336 1f337 1f338 1f339 1f33a 1f33b 1f33c 1f33d 1f33e 1f33f 1f340 1f341 1f342 1f343 1f344 1f345 1f346 1f347 1f348 1f349 1f34a 1f34b 1f34c 1f34d 1f34e 1f34f 1f350 1f351 1f352 1f353 1f354 1f355 1f356 1f357 1f358 1f359 1f35a 1f35b 1f35c 1f35d 1f35e 1f35f 1f360 1f361 1f362 1f363 1f364 1f365 1f366 1f367 1f368 1f369 1f36a 1f36b 1f36c 1f36d 1f36e 1f36f 1f370 1f371 1f372 1f373 1f374 1f375 1f376 1f377 1f378 1f379 1f37a 1f37b 1f37c 1f37d 1f37e 1f37f 1f380 1f381 1f382 1f383 1f384 1f385 1f386 1f387 1f388 1f389 1f38a 1f38b 1f38c 1f38d 1f38e 1f38f 1f390 1f391 1f392 1f393 1f396 1f397 1f399 1f39a 1f39b 1f39e 1f39f 1f3a0 1f3a1 1f3a2 1f3a3 1f3a4 1f3a5 1f3a6 1f3a7 1f3a8 1f3a9 1f3aa 1f3ab 1f3ac 1f3ad 1f3ae 1f3af 1f3b0 1f3b1 1f3b2 1f3b3 1f3b4 1f3b5 1f3b6 1f3b7 1f3b8 1f3b9 1f3ba 1f3bb 1f3bc 1f3bd 1f3be 1f3bf 1f3c0 1f3c1 1f3c2 1f3c3 1f3c4 1f3c5 1f3c6 1f3c7 1f3c8 1f3c9 1f3ca 1f3cb 1f3cc 1f3cd 1f3ce 1f3cf 1f3d0 1f3d1 1f3d2 1f3d3 1f3d4 1f3d5 1f3d6 1f3d7 1f3d8 1f3d9 1f3da 1f3db 1f3dc 1f3dd 1f3de 1f3df 1f3e0 1f3e1 1f3e2 1f3e3 1f3e4 1f3e5 1f3e6 1f3e7 1f3e8 1f3e9 1f3ea 1f3eb 1f3ec 1f3ed 1f3ee 1f3ef 1f3f0 1f3f3 1f3f4 1f3f5 1f3f7 1f3f8 1f3f9 1f3fa 1f400 1f401 1f402 1f403 1f404 1f405 1f406 1f407 1f408 1f409 1f40a 1f40b 1f40c 1f40d 1f40e 1f40f 1f410 1f411 1f412 1f413 1f414 1f415 1f416 1f417 1f418 1f419 1f41a 1f41b 1f41c 1f41d 1f41e 1f41f 1f420 1f421 1f422 1f423 1f424 1f425 1f426 1f427 1f428 1f429 1f42a 1f42b 1f42c 1f42d 1f42e 1f42f 1f430 1f431 1f432 1f433 1f434 1f435 1f436 1f437 1f438 1f439 1f43a 1f43b 1f43c 1f43d 1f43e 1f43f 1f440 1f441 1f442 1f443 1f444 1f445 1f446 1f447 1f448 1f449 1f44a 1f44b 1f44c 1f44d 1f44e 1f44f 1f450 1f451 1f452 1f453 1f454 1f455 1f456 1f457 1f458 1f459 1f45a 1f45b 1f45c 1f45d 1f45e 1f45f 1f460 1f461 1f462 1f463 1f464 1f465 1f466 1f467 1f468 1f469 1f46a 1f46b 1f46c 1f46d 1f46e 1f46f 1f470 1f471 1f472 1f473 1f474 1f475 1f476 1f477 1f478 1f479 1f47a 1f47b 1f47c 1f47d 1f47e 1f47f 1f480 1f481 1f482 1f483 1f484 1f485 1f486 1f487 1f488 1f489 1f48a 1f48b 1f48c 1f48d 1f48e 1f48f 1f490 1f491 1f492 1f493 1f494 1f495 1f496 1f497 1f498 1f499 1f49a 1f49b 1f49c 1f49d 1f49e 1f49f 1f4a0 1f4a1 1f4a2 1f4a3 1f4a4 1f4a5 1f4a6 1f4a7 1f4a8 1f4a9 1f4aa 1f4ab 1f4ac 1f4ad 1f4ae 1f4af 1f4b0 1f4b1 1f4b2 1f4b3 1f4b4 1f4b5 1f4b6 1f4b7 1f4b8 1f4b9 1f4ba 1f4bb 1f4bc 1f4bd 1f4be 1f4bf 1f4c0 1f4c1 1f4c2 1f4c3 1f4c4 1f4c5 1f4c6 1f4c7 1f4c8 1f4c9 1f4ca 1f4cb 1f4cc 1f4cd 1f4ce 1f4cf 1f4d0 1f4d1 1f4d2 1f4d3 1f4d4 1f4d5 1f4d6 1f4d7 1f4d8 1f4d9 1f4da 1f4db 1f4dc 1f4dd 1f4de 1f4df 1f4e0 1f4e1 1f4e2 1f4e3 1f4e4 1f4e5 1f4e6 1f4e7 1f4e8 1f4e9 1f4ea 1f4eb 1f4ec 1f4ed 1f4ee 1f4ef 1f4f0 1f4f1 1f4f2 1f4f3 1f4f4 1f4f5 1f4f6 1f4f7 1f4f8 1f4f9 1f4fa 1f4fb 1f4fc 1f4fd 1f4ff 1f500 1f501 1f502 1f503 1f504 1f505 1f506 1f507 1f508 1f509 1f50a 1f50b 1f50c 1f50d 1f50e 1f50f 1f510 1f511 1f512 1f513 1f514 1f515 1f516 1f517 1f518 1f519 1f51a 1f51b 1f51c 1f51d 1f51e 1f51f 1f520 1f521 1f522 1f523 1f524 1f525 1f526 1f527 1f528 1f529 1f52a 1f52b 1f52c 1f52d 1f52e 1f52f 1f530 1f531 1f532 1f533 1f534 1f535 1f536 1f537 1f538 1f539 1f53a 1f53b 1f53c 1f53d 1f549 1f54a 1f54b 1f54c 1f54d 1f54e 1f550 1f551 1f552 1f553 1f554 1f555 1f556 1f557 1f558 1f559 1f55a 1f55b 1f55c 1f55d 1f55e 1f55f 1f560 1f561 1f562 1f563 1f564 1f565 1f566 1f567 1f56f 1f570 1f573 1f574 1f575 1f576 1f577 1f578 1f579 1f587 1f58a 1f58b 1f58c 1f58d 1f590 1f595 1f596 1f5a5 1f5a8 1f5b1 1f5b2 1f5bc 1f5c2 1f5c3 1f5c4 1f5d1 1f5d2 1f5d3 1f5dc 1f5dd 1f5de 1f5e1 1f5e3 1f5e8 1f5ef 1f5f3 1f5fa 1f5fb 1f5fc 1f5fd 1f5fe 1f5ff 1f600 1f601 1f602 1f603 1f604 1f605 1f606 1f607 1f608 1f609 1f60a 1f60b 1f60c 1f60d 1f60e 1f60f 1f610 1f611 1f612 1f613 1f614 1f615 1f616 1f617 1f618 1f619 1f61a 1f61b 1f61c 1f61d 1f61e 1f61f 1f620 1f621 1f622 1f623 1f624 1f625 1f626 1f627 1f628 1f629 1f62a 1f62b 1f62c 1f62d 1f62e 1f62f 1f630 1f631 1f632 1f633 1f634 1f635 1f636 1f637 1f638 1f639 1f63a 1f63b 1f63c 1f63d 1f63e 1f63f 1f640 1f641 1f642 1f643 1f644 1f645 1f646 1f647 1f648 1f649 1f64a 1f64b 1f64c 1f64d 1f64e 1f64f 1f680 1f681 1f682 1f683 1f684 1f685 1f686 1f687 1f688 1f689 1f68a 1f68b 1f68c 1f68d 1f68e 1f68f 1f690 1f691 1f692 1f693 1f694 1f695 1f696 1f697 1f698 1f699 1f69a 1f69b 1f69c 1f69d 1f69e 1f69f 1f6a0 1f6a1 1f6a2 1f6a3 1f6a4 1f6a5 1f6a6 1f6a7 1f6a8 1f6a9 1f6aa 1f6ab 1f6ac 1f6ad 1f6ae 1f6af 1f6b0 1f6b1 1f6b2 1f6b3 1f6b4 1f6b5 1f6b6 1f6b7 1f6b8 1f6b9 1f6ba 1f6bb 1f6bc 1f6bd 1f6be 1f6bf 1f6c0 1f6c1 1f6c2 1f6c3 1f6c4 1f6c5 1f6cb 1f6cc 1f6cd 1f6ce 1f6cf 1f6d0 1f6e0 1f6e1 1f6e2 1f6e3 1f6e4 1f6e5 1f6e9 1f6eb 1f6ec 1f6f0 1f6f3 1f910 1f911 1f912 1f913 1f914 1f915 1f916 1f917 1f918 1f980 1f981 1f982 1f983 1f984 1f9c0 203c 2049 2122 2139 2194 2195 2196 2197 2198 2199 21a9 21aa 231a 231b 23cf 23e9 23ea 23eb 23ec 23ed 23ee 23ef 23f0 23f1 23f2 23f3 23f8 23f9 23fa 24c2 25aa 25ab 25b6 25c0 25fb 25fc 25fd 25fe 2600 2601 260e 2611 2614 2615 261d 262a 262e 262f 263a 2648 2649 264a 264b 264c 264d 264e 264f 2650 2651 2652 2653 2660 2663 2665 2666 2668 267b 267f 2693 269b 269c 26a0 26a1 26aa 26ab 26b0 26b1 26bd 26be 26c4 26c5 26c8 26ce 26cf 26d1 26d3 26d4 26e9 26ea 26f0 26f1 26f2 26f3 26f4 26f5 26f7 26f8 26f9 26fa 26fd 2702 2705 2708 2709 270a 270b 270c 270d 270f 2712 2714 2716 271d 2728 2733 2734 2744 2747 274c 274e 2753 2754 2755 2757 2764 2795 2796 2797 27a1 27b0 27bf 2934 2935 2b05 2b06 2b07 2b1b 2b1c 2b50 2b55 3030 303d 3297 3299".split(" "),
name_to_codepoint:{customs:"1f6c3",up_arrow:"2b06",cry:"1f622",thumbs_up:"1f44d",toilet:"1f6bd",bug:"1f41b",gesturing_no:"1f645",racing_car:"1f3ce",vulcan_salute:"1f596",peach:"1f351",sparkling_heart:"1f496",squared_prohibit_ideograph:"1f232",email:"2709",eleven_thirty:"1f566",round_pushpin:"1f4cd",detective:"1f575",bell_with_slash:"1f515",imp:"1f47f",mantelpiece_clock:"1f570",cow:"1f404",globe_showing_asia_australia:"1f30f",pot_of_food:"1f372",beginner:"1f530",graduation_cap:"1f393",ox:"1f402",couple:"1f46b",
heart_decoration:"1f49f",city_sunset:"1f306",sun_behind_small_cloud:"1f324",printer:"1f5a8",smiling_face_with_halo:"1f607",large_orange_diamond:"1f536",heavy_minus_sign:"2796",joystick:"1f579",bookmark:"1f516",first_quarter_moon_with_face:"1f31b",two_hearts:"1f495",musical_note:"1f3b5",whale:"1f40b",oncoming_bus:"1f68d",fish_cake_with_swirl:"1f365",o2:"1f17e",spiral_shell:"1f41a",cactus:"1f335",headphone:"1f3a7",moon_ceremony:"1f391",t_shirt:"1f455",u6708:"1f237",cricket:"1f3cf",bow:"1f647",ogre:"1f479",
blossom:"1f33c",new_moon_face:"1f31a",glowing_star:"1f31f",mobile_phone_with_arrow:"1f4f2",lollipop:"1f36d",astonished:"1f632",pear:"1f350",hear_no_evil:"1f649",ribbon:"1f380",bread:"1f35e",frame_with_picture:"1f5bc",smiling_cat_face_with_heart_shaped_eyes:"1f63b",loudspeaker:"1f4e2",derelict_house_building:"1f3da",confounded:"1f616",black_circle:"26ab",interrobang:"2049",left_pointing_magnifying_glass:"1f50d",clock830:"1f563",womans_clothes:"1f45a",information_source:"2139",spider:"1f577",ice_hockey_stick_and_puck:"1f3d2",
tropical_drink:"1f379",ab:"1f18e",reverse_button:"25c0",violin:"1f3bb",revolving_hearts:"1f49e",japanese_ogre:"1f479",trackball:"1f5b2",bangbang:"203c",squared_finger_ideograph:"1f22f",money_with_wings:"1f4b8",o_button:"1f17e",guitar:"1f3b8",eight:"0038",water_closet:"1f6be",low_brightness:"1f505",fog:"1f32b",left_luggage:"1f6c5",alien:"1f47d",star_and_crescent:"262a",slightly_frowning_face:"1f641",warning:"26a0",clock9:"1f558",loud_sound:"1f50a",play_button:"25b6",unicorn_face:"1f984",bus:"1f68c",
deciduous_tree:"1f333",clock6:"1f555",european_post_office:"1f3e4",sos:"1f198",spouting_whale:"1f433",do_not_litter:"1f6af",couple_with_heart:"1f491",rat:"1f400",computer:"1f4bb",oncoming_taxi:"1f696",rugby_football:"1f3c9",leftwards_arrow_with_hook:"21a9",loudly_crying_face:"1f62d",latin_cross:"271d",briefcase:"1f4bc",milky_way:"1f30c",upside_down_face:"1f643",ophiuchus:"26ce",leo:"264c",baby_symbol:"1f6bc",tram_car:"1f68b",purple_heart:"1f49c",convenience_store:"1f3ea",mouth:"1f444",koala:"1f428",
hotel:"1f3e8",blue_car:"1f699",billiards:"1f3b1",fast_up_button:"23eb",videocassette:"1f4fc",clock430:"1f55f",top:"1f51d",woman:"1f469",squared_together_ideograph:"1f234",hand:"270b",fried_shrimp:"1f364",lady_beetle:"1f41e",card_index:"1f4c7",pencil2:"270f",japanese_goblin:"1f47a",kissing_cat_face_with_closed_eyes:"1f63d",vs:"1f19a",santa:"1f385",yen_banknote:"1f4b4",waning_gibbous_moon:"1f316",worried:"1f61f",santa_claus:"1f385",punch:"1f44a",flushed:"1f633",full_moon:"1f315",articulated_lorry:"1f69b",
mount_fuji:"1f5fb",train2:"1f686",ok_woman:"1f646",smiling_face_with_heart_shaped_eyes:"1f60d",m:"24c2",clock8:"1f557",chart:"1f4b9",person_frowning:"1f64d",label:"1f3f7",hamster_face:"1f439",soccer:"26bd",ghost:"1f47b",waning_crescent_moon:"1f318",bottle_with_popping_cork:"1f37e",rabbit2:"1f407",radio:"1f4fb",de:"1f1e9",speaker_loud:"1f50a",handbag:"1f45c",thinking_face:"1f914",hankey:"1f4a9",couch_and_lamp:"1f6cb",seven_thirty:"1f562",key:"1f511",record_button:"23fa",sleepy:"1f62a",helicopter:"1f681",
tm:"2122",squared_sos:"1f198",black_small_square:"25aa",mobile_phone:"1f4f1",battery:"1f50b",candle:"1f56f",taurus:"2649",optical_disc:"1f4bf",mountain:"26f0",linked_paperclips:"1f587",it:"1f1ee",closed_mailbox_with_raised_flag:"1f4eb",fr:"1f1eb",free:"1f193",white_check_mark:"2705",yen:"1f4b4",children_crossing:"1f6b8",bed:"1f6cf",performing_arts:"1f3ad",red_apple:"1f34e",oncoming_police_car:"1f694",clock12:"1f55b",cat_face_with_wry_smile:"1f63c",clock730:"1f562",dash:"1f4a8",kimono:"1f458",grin:"1f601",
radio_button:"1f518",evergreen_tree:"1f332",cupid:"1f498",end:"1f51a",water_wave:"1f30a",frog_face:"1f438",pig_nose:"1f43d",abc:"1f524",jack_o_lantern:"1f383",clipboard:"1f4cb",fishing_pole_and_fish:"1f3a3",person_with_ball:"26f9",tangerine:"1f34a","8ball":"1f3b1",fish_cake:"1f365",u7533:"1f238",clock330:"1f55e",sob:"1f62d",wolf_face:"1f43a",water_buffalo:"1f403",name_badge:"1f4db",haircut:"1f487",mans_shoe:"1f45e",trolleybus:"1f68e",shuffle_tracks_button:"1f500",mute:"1f507",grimacing:"1f62c",birthday:"1f382",
kiss:"1f48f",pause_button:"23f8",open_hands:"1f450",seedling:"1f331",face_without_mouth:"1f636",spaghetti:"1f35d",barber_pole:"1f488",alarm_clock:"23f0",sunrise_over_mountains:"1f304",airplane_arrival:"1f6ec",hot_dog:"1f32d",ram:"1f40f",clock3:"1f552",camera_with_flash:"1f4f8",camera:"1f4f7",coffin:"26b0",bride_with_veil:"1f470",rabbit_face:"1f430",open_mouth:"1f62e",watch:"231a",aquarius:"2652","+1":"1f44d",cloud_with_lightning_and_rain:"26c8","package":"1f4e6",red_triangle_pointed_up:"1f53a",light_rail:"1f688",
statue_of_liberty:"1f5fd",a_button:"1f170",chipmunk:"1f43f",wine_glass:"1f377",fallen_leaf:"1f342",speaker:"1f508",ear_of_rice:"1f33e",squared_exist_ideograph:"1f236",top_arrow:"1f51d",tropical_fish:"1f420",world_map:"1f5fa",thermometer:"1f321",top_hat:"1f3a9",six:"0036",rotating_light:"1f6a8",cow2:"1f404",loop:"27bf",vibration_mode:"1f4f3",card_index_dividers:"1f5c2",yin_yang:"262f",leaf_fluttering_in_wind:"1f343",running_shoe:"1f45f",cityscape_at_dusk:"1f306",speedboat:"1f6a4",angry:"1f620",five_oclock:"1f554",
clubs:"2663",frog:"1f438",anger:"1f4a2",credit_card:"1f4b3",arrow_upper_right:"2197",birthday_cake:"1f382",rabbit:"1f407",helmet_with_white_cross:"26d1",poultry_leg:"1f357",mask:"1f637",ballot_box_with_check:"2611",speaker_on:"1f509",heavy_dollar_sign:"1f4b2",cat_face:"1f431",bus_stop:"1f68f",disappointed_relieved:"1f625",waxing_gibbous_moon:"1f314",back:"1f519",volcano:"1f30b",two:"0032",tennis:"1f3be",curry_rice:"1f35b",desktop_computer:"1f5a5",octopus:"1f419",o:"2b55",sparkler:"1f387",four_leaf_clover:"1f340",
heavy_large_circle:"2b55",six_pointed_star:"1f52f",calling:"1f4f2",clock2:"1f551",squared_ng:"1f196",sparkle:"2747",passport_control:"1f6c2",squared_fullness_ideograph:"1f235",turtle:"1f422",eight_spoked_asterisk:"2733",jeans:"1f456",p_button:"1f17f",fast_down_button:"23ec",stadium:"1f3df",file_cabinet:"1f5c4",calendar:"1f4c5",arrow_up_small:"1f53c",weary:"1f629",last_quarter_moon:"1f317",no_mouth:"1f636",left_speech_bubble:"1f5e8",oden:"1f362",tulip:"1f337",snow_capped_mountain:"1f3d4",bowling:"1f3b3",
partly_sunny:"26c5",stuck_out_tongue:"1f61b",bow_and_arrow:"1f3f9",double_curly_loop:"27bf",paintbrush:"1f58c",anticlockwise_arrows_button:"1f504",information_desk_person:"1f481",two_men_holding_hands:"1f46c",dragon:"1f409",1234:"1f522",baby:"1f476",double_exclamation_mark:"203c",sweet_potato:"1f360",clockwise_vertical_arrows:"1f503",u5408:"1f234",popcorn:"1f37f",no_good:"1f645",yellow_heart:"1f49b",spider_web:"1f578",film_frames:"1f39e",point_up_2:"1f446",shit:"1f4a9",building_construction:"1f3d7",
aerial_tramway:"1f6a1",cl:"1f191",facepunch:"1f44a",white_large_square:"2b1c",fishing_pole:"1f3a3",palm_tree:"1f334",beers:"1f37b",page_with_curl:"1f4c3",crab:"1f980",no_bicycles:"1f6b3",high_heeled_shoe:"1f460",seat:"1f4ba",growing_heart:"1f497",flower_playing_cards:"1f3b4",face_with_cold_sweat:"1f613",confused_face:"1f615",kr:"1f1f0",saxophone:"1f3b7",ballot_box_with_ballot:"1f5f3",lemon:"1f34b",pig:"1f416",bouquet:"1f490",umbrella:"2614",happy_person_raising_hand:"1f64b",face_with_open_mouth:"1f62e",
office:"1f3e2",car:"1f697",school_backpack:"1f392",speaking_head:"1f5e3",musical_score:"1f3bc",collision:"1f4a5",face_with_stuck_out_tongue_and_tightly_closed_eyes:"1f61d",up:"1f199",arrow_right_hook:"21aa",bank:"1f3e6",microphone:"1f3a4",globe_showing_americas:"1f30e",moneybag:"1f4b0",clock11:"1f55a",leopard:"1f406",ant:"1f41c",full_moon_with_face:"1f31d",underage:"1f51e",repeat_button:"1f501",delivery_truck:"1f69a",five:"0035",ring:"1f48d",on:"1f51b",face_with_open_mouth_and_cold_sweat:"1f630",
prohibited:"1f6ab",clock530:"1f560",umbrella_with_rain_drops:"2614",face_with_thermometer:"1f912",running_shirt_with_sash:"1f3bd",straight_ruler:"1f4cf",copyright:"00a9",question:"2753",police_cars_light:"1f6a8",beach_with_umbrella:"1f3d6",chequered_flag:"1f3c1",elephant:"1f418",truck:"1f69a",sandal:"1f461",steam_locomotive:"1f682",mailbox_with_no_mail:"1f4ed",fax:"1f4e0",rice_ball:"1f359",moai:"1f5ff",postbox:"1f4ee",airplane_departure:"1f6eb",abcd:"1f521",japanese_symbol_for_beginner:"1f530",carp_streamer:"1f38f",
four:"0034","-1":"1f44e",end_arrow:"1f51a",spiral_notepad:"1f5d2",gem:"1f48e",ab_button:"1f18e",man_with_turban:"1f473",thumbsup:"1f44d",fork_and_knife_with_plate:"1f37d",scream:"1f631",cat_face_with_tears_of_joy:"1f639",snowman_without_snow:"26c4",repeat_single_button:"1f502",bento:"1f371",mouse2:"1f401",christmas_tree:"1f384",surfer:"1f3c4",pensive_face:"1f614",pick:"26cf",game_die:"1f3b2",v:"270c",tv:"1f4fa",gun:"1f52b",grimacing_face:"1f62c",chart_decreasing:"1f4c9",money_bag:"1f4b0",person_bowing:"1f647",
u6e80:"1f235",yum:"1f60b",wrench:"1f527",passenger_ship:"1f6f3",face_with_medical_mask:"1f637",sailboat:"26f5",fire_engine:"1f692",kissing_face_with_closed_eyes:"1f61a",simple_smile:"1f642",baggage_claim:"1f6c4",family:"1f46a",droplet:"1f4a7",persevering_face:"1f623",nine_oclock:"1f558",smiley_cat:"1f63a",boot:"1f462",lipstick:"1f484",eye:"1f441",tanabata_tree:"1f38b",ideograph_advantage:"1f250",heart_eyes:"1f60d",dog2:"1f415",waving_black_flag:"1f3f4",fries:"1f35f",one_oclock:"1f550",curry:"1f35b",
strawberry:"1f353",put_litter_in_its_place:"1f6ae",crying_cat_face:"1f63f",disappointed_face:"1f61e",pistol:"1f52b",sun_behind_cloud:"26c5",u6709:"1f236",dim_button:"1f505",arrows_clockwise:"1f503",repeat:"1f501",no_smoking:"1f6ad",fountain:"26f2",mouse_face:"1f42d",oncoming_fist:"1f44a",confetti_ball:"1f38a",older_woman:"1f475",incoming_envelope:"1f4e8",electric_plug:"1f50c",man:"1f468",telephone:"260e",globe_with_meridians:"1f310",sweat_smile:"1f605",flag_in_hole:"26f3",bell:"1f514",skier:"26f7",
smirk:"1f60f",tshirt:"1f455",joy_cat:"1f639",iphone:"1f4f1",pouting_cat:"1f63e",cross_mark:"274c",pill:"1f48a",x:"274c",closed_mailbox_with_lowered_flag:"1f4ea",poop:"1f4a9",astonished_face:"1f632",black_medium_small_square:"25fe",hushed_face:"1f62f",volleyball:"1f3d0",worried_face:"1f61f",bicycle:"1f6b2",motorcycle:"1f3cd",a:"1f170",eggplant:"1f346",compression:"1f5dc",sheaf_of_rice:"1f33e",sheep:"1f411",arrow_lower_right:"2198",squared_cl:"1f191",microscope:"1f52c",angel:"1f47c",hocho:"1f52a",wolf:"1f43a",
moon:"1f314",middle_finger:"1f595",page_facing_up:"1f4c4",vhs:"1f4fc",icecream:"1f366",recycle:"267b",man_with_chinese_cap:"1f472",stop_button:"23f9",nail_polish:"1f485",spiral_calendar:"1f5d3",racehorse:"1f40e",arrow_upper_left:"2196",sleeping_face:"1f634",arrow_backward:"25c0",apple:"1f34e",womans_hat:"1f452",tomato:"1f345",five_thirty:"1f560",purse:"1f45b",potable_water:"1f6b0",turkey:"1f983",notebook_with_decorative_cover:"1f4d4",kaaba:"1f54b",clock7:"1f556",arrows_counterclockwise:"1f504",bicyclist:"1f6b4",
scissors:"2702",corn:"1f33d",sushi:"1f363",minidisc:"1f4bd",stew:"1f372",national_park:"1f3de",eyeglasses:"1f453",bomb:"1f4a3",one:"0031",house_with_garden:"1f3e1",maple_leaf:"1f341",pig_face:"1f437",left_arrow_curving_right:"21aa",sunglasses:"1f576",balloon:"1f388",panda_face:"1f43c",automobile:"1f697",person_with_blond_hair:"1f471",hourglass:"231b",telescope:"1f52d",smiley:"1f603",mountain_cableway:"1f6a0",face_screaming_in_fear:"1f631",mailbox_with_mail:"1f4ec",ear:"1f442",boy:"1f466",old_man:"1f474",
horizontal_traffic_light:"1f6a5",cat2:"1f408",confused:"1f615",movie_camera:"1f3a5",unamused_face:"1f612",circled_letter_m:"24c2",tongue:"1f445",snail:"1f40c",unamused:"1f612",tea:"1f375",baby_bottle:"1f37c",shinto_shrine:"26e9",heartpulse:"1f497",dog:"1f415",hourglass_with_flowing_sand:"23f3",running:"1f3c3",squared_katakana_koko:"1f201",confounded_face:"1f616",mag_right:"1f50e",disappointed:"1f61e",tired_face:"1f62b",snowboarder:"1f3c2",wave:"1f44b",police_officer:"1f46e",basketball:"1f3c0",money_mouth_face:"1f911",
reminder_ribbon:"1f397",wedding:"1f492",checkered_flag:"1f3c1",person_in_bed:"1f6cc",waving_white_flag:"1f3f3",eleven_oclock:"1f55a",keycap_ten:"1f51f",wink:"1f609",zap:"26a1",moyai:"1f5ff",up_button:"1f199",repeat_one:"1f502",clock1130:"1f566",hatched_chick:"1f425",seven_oclock:"1f556",european_castle:"1f3f0",lock_with_ink_pen:"1f50f",face_with_stuck_out_tongue:"1f61b",smoking:"1f6ac",capricorn:"2651",carousel_horse:"1f3a0",green_apple:"1f34f",person_pouting:"1f64e",wind_chime:"1f390",womans_sandal:"1f461",
rosette:"1f3f5",anguished:"1f627",sun_with_face:"1f31e",older_man:"1f474",speech_balloon:"1f4ac",sun_behind_cloud_with_rain:"1f326",smiling_face_with_open_mouth_and_cold_sweat:"1f605",bento_box:"1f371",hamster:"1f439",bird:"1f426",down_button:"1f53d",right_anger_bubble:"1f5ef",congratulations:"3297",accept:"1f251",sweat_drops:"1f4a6",hushed:"1f62f",steaming_bowl:"1f35c",first_quarter_moon:"1f313",telephone_receiver:"1f4de",orange_book:"1f4d9",expressionless_face:"1f611",dizzy_face:"1f635",gemini:"264a",
sunny:"2600",outbox_tray:"1f4e4",cocktail_glass:"1f378",anger_symbol:"1f4a2",sleepy_face:"1f62a",penguin:"1f427",victory_hand:"270c",lion_face:"1f981",chocolate_bar:"1f36b",mailbox:"1f4eb",black_square_button:"1f532",department_store:"1f3ec",cop:"1f46e",thumbs_down:"1f44e",person_raising_hands:"1f64c",bust_in_silhouette:"1f464",locomotive:"1f682",door:"1f6aa",pouch:"1f45d",house_building:"1f3e0",watermelon:"1f349",writing_hand:"270d",raised_fist:"270a",thumbsdown:"1f44e",rolled_up_newspaper:"1f5de",
pineapple:"1f34d",kissing_closed_eyes:"1f61a",chart_increasing_with_yen:"1f4b9",anchor:"2693",u7a7a:"1f233",soon:"1f51c",closed_lock_with_key:"1f510",tram:"1f68a",film_projector:"1f4fd",innocent:"1f607",backhand_index_pointing_down:"1f447",grinning_face:"1f600",egg:"1f373",meat_on_bone:"1f356",whale2:"1f40b",atm_sign:"1f3e7",sake:"1f376",symbols:"1f523",women_partying:"1f46f",no_one_under_eighteen:"1f51e",beer:"1f37a",seven:"0037",face_savouring_delicious_food:"1f60b",zero:"0030",high_voltage:"26a1",
squared_free:"1f193",stopwatch:"23f1",syringe:"1f489",gesturing_ok:"1f646",tractor:"1f69c",hatching_chick:"1f423",disappointed_but_relieved_face:"1f625",pray:"1f64f",heart_with_arrow:"1f498",es:"1f1ea",railway_track:"1f6e4",open_book:"1f4d6",face_massage:"1f486",curly_loop:"27b0",black_medium_square:"25fc",squared_id:"1f194",left_right_arrow:"2194",monkey:"1f412",ramen:"1f35c",negative_squared_cross_mark:"274e",sa:"1f202",winking_face:"1f609",peace_symbol:"262e",red_triangle_pointed_down:"1f53b",
hourglass_flowing_sand:"23f3",mortar_board:"1f393",tornado:"1f32a",runner:"1f3c3",rowboat:"1f6a3",musical_keyboard:"1f3b9",folded_hands:"1f64f",earth_africa:"1f30d",dvd:"1f4c0",white_flower:"1f4ae",cold_sweat:"1f630",joy:"1f602",book:"1f4d6",speaker_off:"1f507",next_track_button:"23ed",clinking_beer_mugs:"1f37b",heavy_exclamation_mark:"2757",om:"1f549",blue_circle:"1f535",sunrise:"1f305",right_pointing_magnifying_glass:"1f50e",ear_of_corn:"1f33d",circled_accept_ideograph:"1f251",input_numbers:"1f522",
jp:"1f1ef",ocean:"1f30a",scream_cat:"1f640",ping_pong:"1f3d3",mosque:"1f54c",cool:"1f192",smiling_face_with_open_mouth_and_tightly_closed_eyes:"1f606",smiling_face_with_open_mouth_and_smiling_eyes:"1f604",baby_chick:"1f424",roasted_sweet_potato:"1f360",u55b6:"1f23a",tear_off_calendar:"1f4c6",smiling_face:"263a",pedestrian:"1f6b6",frowning:"1f626",custard:"1f36e",kiss_mark:"1f48b",horse:"1f40e",herb:"1f33f",castle:"1f3f0",fuelpump:"26fd",hash:"0023",night_with_stars:"1f303",grinning_cat_face_with_smiling_eyes:"1f638",
tent:"26fa",recreational_vehicle:"1f699",pencil:"270f",clapping_hands:"1f44f",cancer:"264b",lips:"1f444",shower:"1f6bf",cross_mark_button:"274e",shield:"1f6e1",arrow_forward:"25b6",construction:"1f6a7",taxi:"1f695",squared_vs:"1f19a",raised_hands:"1f64c",green_book:"1f4d7",anguished_face:"1f627",hugging_face:"1f917",kissing:"1f617",blowfish:"1f421",closed_book:"1f4d5",bath:"1f6c0",smirk_cat:"1f63c",traffic_light:"1f6a5",heartbeat:"1f493",last_track_button:"23ee",arrow_heading_down:"2935",dancers:"1f46f",
cloud:"2601",small_red_triangle:"1f53a",gb:"1f1ec",glasses:"1f453",circled_advantage_ideograph:"1f250",mens_room:"1f6b9",recycling_symbol:"267b",input_latin_uppercase:"1f520",arrow_heading_up:"2934",new_moon_with_face:"1f31a",backhand_index_pointing_up:"1f446",weary_face:"1f629",melon:"1f348",busstop:"1f68f",e_mail:"1f4e7",floppy_disk:"1f4be",place_of_worship:"1f6d0",minibus:"1f690",notebook:"1f4d3",desert_island:"1f3dd",slightly_smiling_face:"1f642",railway_car:"1f683",relieved:"1f60c",wavy_dash:"3030",
nut_and_bolt:"1f529",video_game:"1f3ae",chicken:"1f414",smile_cat:"1f638",smiling_face_with_sunglasses:"1f60e",izakaya_lantern:"1f3ee",parking:"1f17f",clapper:"1f3ac",three_thirty:"1f55e",relieved_face:"1f60c",cloud_with_lightning:"1f329",heavy_division_sign:"2797",sparkles:"2728",heart:"2764",bulb:"1f4a1",no_mobile_phones:"1f4f5",busts_in_silhouette:"1f465",persevere:"1f623",bear_face:"1f43b",six_oclock:"1f555",clock4:"1f553",satellite:"1f6f0",card_file_box:"1f5c3",u5272:"1f239",front_facing_baby_chick:"1f425",
new_moon:"1f311",church:"26ea",broken_heart:"1f494",large_blue_diamond:"1f537",virgo:"264d",japan:"1f5fe",star2:"1f31f",open_mailbox_with_raised_flag:"1f4ec",frowning_face_with_open_mouth:"1f626",black_nib:"2712",construction_worker:"1f477",grey_exclamation:"2755",right_arrow:"27a1",baseball:"26be",face_throwing_a_kiss:"1f618",cow_face:"1f42e",heavy_plus_sign:"2795",boar:"1f417",chart_with_upwards_trend:"1f4c8",closed_umbrella:"1f302",black_large_square:"2b1b",level_slider:"1f39a",cooking:"1f373",
face_with_rolling_eyes:"1f644",computer_mouse:"1f5b1",squared_katakana_sa:"1f202",candy:"1f36c",dolphin:"1f42c",arrow_double_up:"23eb",burrito:"1f32f",file_folder:"1f4c1",dromedary_camel:"1f42a",american_football:"1f3c8",wheelchair:"267f",crescent_moon:"1f319",clapper_board:"1f3ac",back_arrow:"1f519",two_hump_camel:"1f42b",ferris_wheel:"1f3a1",ice_skate:"26f8",no_pedestrians:"1f6b7",arrow_up_down:"2195",green_heart:"1f49a",twelve_oclock:"1f55b",horse_face:"1f434",ok:"1f197",scroll:"1f4dc",admission_tickets:"1f39f",
laptop_computer:"1f4bb",lock_with_pen:"1f50f",raised_hand_with_fingers_splayed:"1f590",blue_book:"1f4d8",u6307:"1f22f",rice_scene:"1f391",inbox_tray:"1f4e5",amphora:"1f3fa",sign_of_the_horns:"1f918",point_down:"1f447",no_bell:"1f515",crying_face:"1f622",squared_cool:"1f192",evergreen:"1f332",necktie:"1f454",snowflake:"2744",honey_pot:"1f36f",shoe:"1f45e",goat:"1f410",school_satchel:"1f392",motorway:"1f6e3",hot_pepper:"1f336",small_orange_diamond:"1f538",party_popper:"1f389",triangular_flag_on_post:"1f6a9",
pager:"1f4df",arrow_double_down:"23ec",running_shirt:"1f3bd",flipper:"1f42c",fearful_face:"1f628",television:"1f4fa",guardsman:"1f482",flushed_face:"1f633",open_lock:"1f513",squared_negation_ideograph:"1f21a",nose:"1f443",camel:"1f42a",shortcake:"1f370",arrow_lower_left:"2199",tiger:"1f405",black_joker:"1f0cf",fast_reverse_button:"23ea",slot_machine:"1f3b0",speak_no_evil:"1f64a",tiger_face:"1f42f",rage:"1f621",bathtub:"1f6c1",clock930:"1f564",kissing_face_with_smiling_eyes:"1f619",camping:"1f3d5",
euro_banknote:"1f4b6",ski:"1f3bf",white_medium_small_square:"25fd",heart_with_ribbon:"1f49d",heavy_multiplication_x:"2716",arrow_up:"2b06",mountain_bicyclist:"1f6b5",no_entry_sign:"1f6ab",snake:"1f40d",ten_thirty:"1f565",arrow_down_small:"1f53d",dove:"1f54a",mega:"1f4e3",ru:"1f1f7",hibiscus:"1f33a",fax_machine:"1f4e0",satisfied:"1f606",oil_drum:"1f6e2",clock630:"1f561",sound:"1f509",field_hockey:"1f3d1",horse_racing:"1f3c7",roller_coaster:"1f3a2",sweat:"1f613",cat:"1f408",backhand_index_pointing_right:"1f449",
rice:"1f35a",crossed_flags:"1f38c",rewind:"23ea",ice_cream:"1f368","e-mail":"1f4e7",eight_pointed_black_star:"2734",aries:"2648",doughnut:"1f369",barber:"1f488",link:"1f517",raised_hand:"270b",beating_heart:"1f493",athletic_shoe:"1f45f",person_with_pouting_face:"1f64e",hammer:"1f528",cookie:"1f36a",squared_operating_ideograph:"1f23a",military_medal:"1f396",rice_cracker:"1f358",grinning:"1f600",crocodile:"1f40a",hundred_points:"1f4af",date:"1f4c5",fuel_pump:"26fd",diamond_with_a_dot:"1f4a0",rose:"1f339",
leaves:"1f343",fountain_pen:"1f58b",four_oclock:"1f553",trophy:"1f3c6",boat:"26f5",bullettrain_side:"1f684",pound:"1f4b7",white_medium_square:"25fb",six_thirty:"1f561",soccer_ball:"26bd",golfer:"1f3cc",princess:"1f478",unlock:"1f513",pile_of_poo:"1f4a9",zzz:"1f4a4",smiling_face_with_horns:"1f608",input_symbols:"1f523",snowman:"26c4",trident:"1f531",honeybee:"1f41d",dollar:"1f4b5",beetle:"1f41e",vertical_traffic_light:"1f6a6",swimmer:"1f3ca",muscle:"1f4aa",satellite_antenna:"1f4e1",nine:"0039",backhand_index_pointing_left:"1f448",
clock130:"1f55c",station:"1f689",shell:"1f41a",house:"1f3e0",metro:"1f687",factory:"1f3ed",womans_boot:"1f462",headphones:"1f3a7",capital_abcd:"1f520",flexed_biceps:"1f4aa",footprints:"1f463",man_with_gua_pi_mao:"1f472",studio_microphone:"1f399",sleeping:"1f634",tada:"1f389",cn:"1f1e8",triangular_ruler:"1f4d0",heart_eyes_cat:"1f63b",notes:"1f3b6",wrapped_present:"1f381",red_car:"1f697",atom_symbol:"269b",beer_mug:"1f37a",b_button:"1f171",newspaper:"1f4f0",suspension_railway:"1f69f",part_alternation_mark:"303d",
mouse:"1f401",man_in_business_suit_levitating:"1f574",pensive:"1f614",oncoming_automobile:"1f698",sports_medal:"1f3c5",two_oclock:"1f551",face_with_tears_of_joy:"1f602",squared_ok:"1f197",megaphone:"1f4e3",bee:"1f41d",artist_palette:"1f3a8",raising_hand:"1f64b",input_latin_lowercase:"1f521",sun_behind_large_cloud:"1f325",thought_balloon:"1f4ad",hammer_and_wrench:"1f6e0",clock1230:"1f567",shaved_ice:"1f367",old_woman:"1f475",laughing:"1f606",signal_strength:"1f4f6",grey_question:"2754",sagittarius:"2650",
three_oclock:"1f552",stars:"1f320",non_potable_water:"1f6b1",squared_moon_ideograph:"1f237",dashing:"1f4a8",clock5:"1f554",eight_thirty:"1f563",control_knobs:"1f39b",point_right:"1f449",cooked_rice:"1f35a",chart_increasing:"1f4c8",womens_room:"1f6ba",cyclone:"1f300",dollar_banknote:"1f4b5",hole:"1f573",high_brightness:"1f506",robot_face:"1f916",ng:"1f196",left_arrow:"2b05",last_quarter_moon_with_face:"1f31c",squared_new:"1f195",face_with_head_bandage:"1f915",us:"1f1fa",postal_horn:"1f4ef",poodle:"1f429",
mahjong:"1f004",exclamation:"2757",soft_ice_cream:"1f366",play_or_pause_button:"23ef",pushpin:"1f4cc",white_circle:"26aa",gem_stone:"1f48e",mushroom:"1f344",ship:"1f6a2",red_circle:"1f534",atm:"1f3e7",bar_chart:"1f4ca",dotted_six_pointed_star:"1f52f",smirking_face:"1f60f",mobile_phone_off:"1f4f4",gift:"1f381",love_letter:"1f48c",airplane:"2708",fork_and_knife:"1f374",hearts:"2665",two_thirty:"1f55d",eyes:"1f440",triangular_flag:"1f6a9",circus_tent:"1f3aa",libra:"264e",twisted_rightwards_arrows:"1f500",
bikini:"1f459",zipper_mouth_face:"1f910",no_entry:"26d4",tiger2:"1f405",wastebasket:"1f5d1",pisces:"2653",japanese_dolls:"1f38e",flags:"1f38f",pouting_face:"1f621",monkey_face:"1f435",knife:"1f52a",dress:"1f457",soon_arrow:"1f51c",school:"1f3eb",right_arrow_curving_left:"21a9",dancer:"1f483",goblin:"1f47a",clock230:"1f55d",books:"1f4da",menorah:"1f54e",fearful:"1f628",kissing_heart:"1f618",dragon_face:"1f432",office_building:"1f3e2",ferry:"26f4",baby_angel:"1f47c",walking:"1f6b6",house_buildings:"1f3d8",
fleur_de_lis:"269c",smile:"1f604",football:"1f3c8",point_up:"261d",clock1:"1f550",skull:"1f480",smiling_imp:"1f608",kitchen_knife:"1f52a",earth_asia:"1f30f",bookmark_tabs:"1f4d1",clap:"1f44f",pig2:"1f416",french_fries:"1f35f",sunset:"1f307",city_sunrise:"1f307",neutral_face:"1f610",womens:"1f6ba",nail_care:"1f485",cloud_with_snow:"1f328","non-potable_water":"1f6b1",stuck_out_tongue_winking_eye:"1f61c",alien_monster:"1f47e",badminton:"1f3f8",currency_exchange:"1f4b1",large_blue_circle:"1f535",couplekiss:"1f48f",
old_key:"1f5dd",crayon:"1f58d",bright_button:"1f506",mag:"1f50d",pouting_cat_face:"1f63e",squared_divide_ideograph:"1f239",cherries:"1f352",high_heel:"1f460",white_square_button:"1f533",nine_thirty:"1f564",police_car:"1f693",globe_showing_europe_africa:"1f30d",spades:"2660",rainbow:"1f308",diamond_shape_with_a_dot_inside:"1f4a0",mailbox_closed:"1f4ea",mahjong_red_dragon:"1f004",litter_in_bin_sign:"1f6ae",lock:"1f512",clock10:"1f559",uk:"1f1ec",mountain_biker:"1f6b5",kissing_face:"1f617",grinning_face_with_smiling_eyes:"1f601",
eject_button:"23cf",triumph:"1f624",fish:"1f41f",b:"1f171",mens:"1f6b9",arrow_down:"2b07",arrow_right:"27a1",dolls:"1f38e",ledger:"1f4d2",art:"1f3a8",no_littering:"1f6af",small_blue_diamond:"1f539",ticket:"1f3ab",on_arrow:"1f51b",cloud_with_rain:"1f327",waving_hand:"1f44b",squared_apply_ideograph:"1f238",cake:"1f370",tophat:"1f3a9",scorpius:"264f",clock1030:"1f565",wind_face:"1f32c",waxing_crescent_moon:"1f312",space_invader:"1f47e",blush:"1f60a",ambulance:"1f691",ten_oclock:"1f559",dog_face:"1f436",
direct_hit:"1f3af",memo:"1f4dd",dart:"1f3af",secret:"3299",hamburger:"1f354",shirt:"1f455",cd:"1f4bf",high_speed_train:"1f684",teacup_without_handle:"1f375","new":"1f195",u7121:"1f21a",arrow_left:"2b05",map_of_japan:"1f5fe",shopping_bags:"1f6cd",angry_face:"1f620",three:"0033",weight_lifter:"1f3cb",light_bulb:"1f4a1",rooster:"1f413",red_paper_lantern:"1f3ee",prayer_beads:"1f4ff",euro:"1f4b6",fast_forword_button:"23e9",restroom:"1f6bb",bridge_at_night:"1f309",cinema:"1f3a6",relaxed:"263a",trumpet:"1f3ba",
massage:"1f486",antenna_bars:"1f4f6",musical_notes:"1f3b6",joker:"1f0cf",weary_cat_face:"1f640",smiling_face_with_open_mouth:"1f603",skis:"1f3bf",smiling_cat_face_with_open_mouth:"1f63a",lantern:"1f3ee",dizzy:"1f4ab",heavy_check_mark:"2714",umbrella_on_ground:"26f1",white_small_square:"25ab",one_thirty:"1f55c",tokyo_tower:"1f5fc",timer_clock:"23f2",cityscape:"1f3d9",bamboo:"1f38d",index_pointing_up:"261d",four_thirty:"1f55f",twelve_thirty:"1f567",taco:"1f32e",paperclip:"1f4ce",sweat_droplets:"1f4a6",
funeral_urn:"26b1",dagger:"1f5e1",rocket:"1f680",diamonds:"2666",face_with_steam_from_nose:"1f624",two_women_holding_hands:"1f46d",white_medium_star:"2b50",envelope_with_arrow:"1f4e9",chains:"26d3",wc:"1f6be",pound_banknote:"1f4b7",cheese_wedge:"1f9c0",registered:"00ae",shooting_star:"1f320",star:"2b50",bullettrain_front:"1f685",small_airplane:"1f6e9",fist:"270a",fire:"1f525",man_and_woman_holding_hands:"1f46b",coffee:"2615",cherry_blossom:"1f338",crown:"1f451",expressionless:"1f611",earth_americas:"1f30e",
trident_emblem:"1f531",feet:"1f43e",point_left:"1f448",squared_empty_ideograph:"1f233",banana:"1f34c",kissing_smiling_eyes:"1f619",chestnut:"1f330",blue_heart:"1f499",nerd_face:"1f913",face_with_stuck_out_tongue_and_winking_eye:"1f61c",gift_heart:"1f49d",hotsprings:"2668",scorpion:"1f982",flashlight:"1f526",motor_boat:"1f6e5",bear:"1f43b",pizza:"1f355",paw_prints:"1f43e",kissing_cat:"1f63d",down_arrow:"2b07",girl:"1f467",hospital:"1f3e5",see_no_evil:"1f648",u7981:"1f232",chart_with_downwards_trend:"1f4c9",
smiling_face_with_smiling_eyes:"1f60a",monorail:"1f69d",train:"1f686",input_latin_letters:"1f524",koko:"1f201",pen:"1f58a",stuck_out_tongue_closed_eyes:"1f61d",synagogue:"1f54d",fast_forward:"23e9",high_speed_train_with_bullet_nose:"1f685",bellhop_bell:"1f6ce",small_red_triangle_down:"1f53b",open_file_folder:"1f4c2",foggy:"1f301",ok_hand:"1f44c",envelope:"2709",100:"1f4af",classical_building:"1f3db",dango:"1f361",crystal_ball:"1f52e",japanese_castle:"1f3ef",bike:"1f6b2",video_camera:"1f4f9",id:"1f194",
love_hotel:"1f3e9",cocktail:"1f378",grapes:"1f347",eight_oclock:"1f557",post_office:"1f3e4",phone:"260e",fireworks:"1f386",japanese_post_office:"1f3e3",sunflower:"1f33b",desert:"1f3dc",boom:"1f4a5",open_mailbox_with_lowered_flag:"1f4ed",golf:"26f3",person_taking_bath:"1f6c0",pine_decoration:"1f38d",mountain_railway:"1f69e"},emoji_catalog:{People:"1f600 1f62c 1f601 1f602 1f603 1f604 1f605 1f606 1f607 1f609 1f60a 1f642 1f643 263a 1f60b 1f60c 1f60d 1f618 1f617 1f619 1f61a 1f61c 1f61d 1f61b 1f911 1f913 1f60e 1f917 1f60f 1f636 1f610 1f611 1f612 1f644 1f914 1f633 1f61e 1f61f 1f620 1f621 1f614 1f615 1f641 2639 1f623 1f616 1f62b 1f629 1f624 1f62e 1f631 1f628 1f630 1f62f 1f626 1f627 1f622 1f625 1f62a 1f613 1f62d 1f635 1f632 1f910 1f637 1f912 1f915 1f634 1f4a4 1f4a9 1f608 1f47f 1f479 1f47a 1f480 1f47b 1f47d 1f916 1f63a 1f638 1f639 1f63b 1f63c 1f63d 1f640 1f63f 1f63e 1f64c 1f44f 1f44b 1f44d 1f44e 1f44a 270a 270c 1f44c 270b 1f450 1f4aa 1f64f 261d 1f446 1f447 1f448 1f449 1f595 1f590 1f918 1f596 270d 1f485 1f444 1f445 1f442 1f443 1f441 1f440 1f464 1f465 1f5e3 1f476 1f466 1f467 1f468 1f469 1f471 1f474 1f475 1f472 1f473 1f46e 1f477 1f482 1f575 1f385 1f47c 1f478 1f470 1f6b6 1f3c3 1f483 1f46f 1f46b 1f46c 1f46d 1f647 1f481 1f645 1f646 1f64b 1f64e 1f64d 1f487 1f486 1f491 1f48f 1f46a 1f468-200d-1f469-200d-1f467 1f468-200d-1f469-200d-1f467-200d-1f466 1f468-200d-1f469-200d-1f466-200d-1f466 1f468-200d-1f469-200d-1f467-200d-1f467 1f469-200d-1f469-200d-1f466 1f469-200d-1f469-200d-1f467 1f469-200d-1f469-200d-1f467-200d-1f466 1f469-200d-1f469-200d-1f466-200d-1f466 1f469-200d-1f469-200d-1f467-200d-1f467 1f468-200d-1f468-200d-1f466 1f468-200d-1f468-200d-1f467 1f468-200d-1f468-200d-1f467-200d-1f466 1f468-200d-1f468-200d-1f466-200d-1f466 1f468-200d-1f468-200d-1f467-200d-1f467 1f45a 1f455 1f456 1f454 1f457 1f459 1f458 1f484 1f48b 1f463 1f460 1f461 1f462 1f45e 1f45f 1f452 1f3a9 26d1 1f393 1f451 1f392 1f45d 1f45b 1f45c 1f4bc 1f453 1f576 1f48d 1f302".split(" "),
Foods:"1f34f 1f34e 1f350 1f34a 1f34b 1f34c 1f349 1f347 1f353 1f348 1f352 1f351 1f34d 1f345 1f346 1f336 1f33d 1f360 1f36f 1f35e 1f9c0 1f357 1f356 1f364 1f373 1f354 1f35f 1f32d 1f355 1f35d 1f32e 1f32f 1f35c 1f372 1f365 1f363 1f371 1f35b 1f359 1f35a 1f358 1f362 1f361 1f367 1f368 1f366 1f370 1f382 1f36e 1f36c 1f36d 1f36b 1f37f 1f369 1f36a 1f37a 1f37b 1f377 1f378 1f379 1f37e 1f376 1f375 2615 1f37c 1f374 1f37d".split(" "),"Skin Tones":["1f3fb","1f3fc","1f3fd","1f3fe","1f3ff"],Places:"1f697 1f695 1f699 1f68c 1f68e 1f3ce 1f693 1f691 1f692 1f690 1f69a 1f69b 1f69c 1f3cd 1f6b2 1f6a8 1f694 1f68d 1f698 1f696 1f6a1 1f6a0 1f69f 1f683 1f68b 1f69d 1f684 1f685 1f688 1f69e 1f682 1f686 1f687 1f68a 1f689 1f681 1f6e9 2708 1f6eb 1f6ec 26f5 1f6e5 1f6a4 26f4 1f6f3 1f680 1f6f0 1f4ba 2693 1f6a7 26fd 1f68f 1f6a6 1f6a5 1f3c1 1f6a2 1f3a1 1f3a2 1f3a0 1f3d7 1f301 1f5fc 1f3ed 26f2 1f391 26f0 1f3d4 1f5fb 1f30b 1f5fe 1f3d5 26fa 1f3de 1f6e3 1f6e4 1f305 1f304 1f3dc 1f3d6 1f3dd 1f307 1f306 1f3d9 1f303 1f309 1f30c 1f320 1f387 1f386 1f308 1f3d8 1f3f0 1f3ef 1f3df 1f5fd 1f3e0 1f3e1 1f3da 1f3e2 1f3ec 1f3e3 1f3e4 1f3e5 1f3e6 1f3e8 1f3ea 1f3eb 1f3e9 1f492 1f3db 26ea 1f54c 1f54d 1f54b 26e9".split(" "),
Nature:"1f436 1f431 1f42d 1f439 1f430 1f43b 1f43c 1f428 1f42f 1f981 1f42e 1f437 1f43d 1f438 1f419 1f435 1f648 1f649 1f64a 1f412 1f414 1f427 1f426 1f424 1f423 1f425 1f43a 1f417 1f434 1f984 1f41d 1f41b 1f40c 1f41e 1f41c 1f577 1f982 1f980 1f40d 1f422 1f420 1f41f 1f421 1f42c 1f433 1f40b 1f40a 1f406 1f405 1f403 1f402 1f404 1f42a 1f42b 1f418 1f410 1f40f 1f411 1f40e 1f416 1f400 1f401 1f413 1f983 1f54a 1f415 1f429 1f408 1f407 1f43f 1f43e 1f409 1f432 1f335 1f384 1f332 1f333 1f334 1f331 1f33f 2618 1f340 1f38d 1f38b 1f343 1f342 1f341 1f33e 1f33a 1f33b 1f339 1f337 1f33c 1f338 1f490 1f344 1f330 1f383 1f41a 1f578 1f30e 1f30d 1f30f 1f315 1f316 1f317 1f318 1f311 1f312 1f313 1f314 1f31a 1f31d 1f31b 1f31c 1f31e 1f319 2b50 1f31f 1f4ab 2728 2604 2600 1f324 26c5 1f325 1f326 2601 1f327 26c8 1f329 26a1 1f525 1f4a5 2744 1f328 2603 26c4 1f32c 1f4a8 1f32a 1f32b 2602 2614 1f4a7 1f4a6 1f30a".split(" "),
Objects:"231a 1f4f1 1f4f2 1f4bb 2328 1f5a5 1f5a8 1f5b1 1f5b2 1f579 1f5dc 1f4bd 1f4be 1f4bf 1f4c0 1f4fc 1f4f7 1f4f8 1f4f9 1f3a5 1f4fd 1f39e 1f4de 260e 1f4df 1f4e0 1f4fa 1f4fb 1f399 1f39a 1f39b 23f1 23f2 23f0 1f570 23f3 231b 1f4e1 1f50b 1f50c 1f4a1 1f526 1f56f 1f5d1 1f6e2 1f4b8 1f4b5 1f4b4 1f4b6 1f4b7 1f4b0 1f4b3 1f48e 2696 1f527 1f528 2692 1f6e0 26cf 1f529 2699 26d3 1f52b 1f4a3 1f52a 1f5e1 2694 1f6e1 1f6ac 2620 26b0 26b1 1f3fa 1f52e 1f4ff 1f488 2697 1f52d 1f52c 1f573 1f48a 1f489 1f321 1f3f7 1f516 1f6bd 1f6bf 1f6c1 1f511 1f5dd 1f6cb 1f6cc 1f6cf 1f6aa 1f6ce 1f5bc 1f5fa 26f1 1f5ff 1f6cd 1f388 1f38f 1f380 1f381 1f38a 1f389 1f38e 1f390 1f38c 1f3ee 2709 1f4e9 1f4e8 1f4e7 1f48c 1f4ee 1f4ea 1f4eb 1f4ec 1f4ed 1f4e6 1f4ef 1f4e5 1f4e4 1f4dc 1f4c3 1f4d1 1f4ca 1f4c8 1f4c9 1f4c4 1f4c5 1f4c6 1f5d3 1f4c7 1f5c3 1f5f3 1f5c4 1f4cb 1f5d2 1f4c1 1f4c2 1f5c2 1f5de 1f4f0 1f4d3 1f4d5 1f4d7 1f4d8 1f4d9 1f4d4 1f4d2 1f4da 1f4d6 1f517 1f4ce 1f587 2702 1f4d0 1f4cf 1f4cc 1f4cd 1f6a9 1f3f3 1f3f4 1f510 1f512 1f513 1f50f 1f58a 1f58b 2712 1f4dd 270f 1f58d 1f58c 1f50d 1f50e".split(" "),
Activity:"26bd 1f3c0 1f3c8 26be 1f3be 1f3d0 1f3c9 1f3b1 26f3 1f3cc 1f3d3 1f3f8 1f3d2 1f3d1 1f3cf 1f3bf 26f7 1f3c2 26f8 1f3f9 1f3a3 1f6a3 1f3ca 1f3c4 1f6c0 26f9 1f3cb 1f6b4 1f6b5 1f3c7 1f574 1f3c6 1f3bd 1f3c5 1f396 1f397 1f3f5 1f3ab 1f39f 1f3ad 1f3a8 1f3aa 1f3a4 1f3a7 1f3bc 1f3b9 1f3b7 1f3ba 1f3b8 1f3bb 1f3ac 1f3ae 1f47e 1f3af 1f3b2 1f3b0 1f3b3".split(" "),Symbols:"2764 1f49b 1f49a 1f499 1f49c 1f494 2763 1f495 1f49e 1f493 1f497 1f496 1f498 1f49d 1f49f 262e 271d 262a 1f549 2638 2721 1f52f 1f54e 262f 2626 1f6d0 26ce 2648 2649 264a 264b 264c 264d 264e 264f 2650 2651 2652 2653 1f194 269b 1f233 1f239 2622 2623 1f4f4 1f4f3 1f236 1f21a 1f238 1f23a 1f237 2734 1f19a 1f251 1f4ae 1f250 3299 3297 1f234 1f235 1f232 1f170 1f171 1f18e 1f191 1f17e 1f198 26d4 1f4db 1f6ab 274c 2b55 1f4a2 2668 1f6b7 1f6af 1f6b3 1f6b1 1f51e 1f4f5 2757 2755 2753 2754 203c 2049 1f4af 1f505 1f506 1f531 269c 303d 26a0 1f6b8 1f530 267b 1f22f 1f4b9 2747 2733 274e 2705 1f4a0 1f300 27bf 1f310 24c2 1f3e7 1f202 1f6c2 1f6c3 1f6c4 1f6c5 267f 1f6ad 1f6be 1f17f 1f6b0 1f6b9 1f6ba 1f6bc 1f6bb 1f6ae 1f3a6 1f4f6 1f201 1f196 1f197 1f199 1f192 1f195 1f193 0030-20e3 0031-20e3 0032-20e3 0033-20e3 0034-20e3 0035-20e3 0036-20e3 0037-20e3 0038-20e3 0039-20e3 1f51f 002a-20e3 1f522 25b6 23f8 23ef 23f9 23fa 23ed 23ee 23e9 23ea 1f500 1f501 1f502 25c0 1f53c 1f53d 23eb 23ec 27a1 2b05 2b06 2b07 2197 2198 2199 2196 2195 2194 1f504 21aa 21a9 2934 2935 0023-20e3 2139 1f524 1f521 1f520 1f523 1f3b5 1f3b6 3030 27b0 2714 1f503 2795 2796 2797 2716 1f4b2 1f4b1 1f51a 1f519 1f51b 1f51d 1f51c 2611 1f518 26aa 26ab 1f534 1f535 1f538 1f539 1f536 1f537 1f53a 25aa 25ab 2b1b 2b1c 1f53b 25fc 25fb 25fe 25fd 1f532 1f533 1f508 1f509 1f50a 1f507 1f4e3 1f4e2 1f514 1f515 1f0cf 1f004 2660 2663 2665 2666 1f3b4 1f4ad 1f5ef 1f4ac 1f550 1f551 1f552 1f553 1f554 1f555 1f556 1f557 1f558 1f559 1f55a 1f55b 1f55c 1f55d 1f55e 1f55f 1f560 1f561 1f562 1f563 1f564 1f565 1f566 1f567".split(" "),
Flags:"1f1e6-1f1eb 1f1e6-1f1fd 1f1e6-1f1f1 1f1e9-1f1ff 1f1e6-1f1f8 1f1e6-1f1e9 1f1e6-1f1f4 1f1e6-1f1ee 1f1e6-1f1f6 1f1e6-1f1ec 1f1e6-1f1f7 1f1e6-1f1f2 1f1e6-1f1fc 1f1e6-1f1fa 1f1e6-1f1f9 1f1e6-1f1ff 1f1e7-1f1f8 1f1e7-1f1ed 1f1e7-1f1e9 1f1e7-1f1e7 1f1e7-1f1fe 1f1e7-1f1ea 1f1e7-1f1ff 1f1e7-1f1ef 1f1e7-1f1f2 1f1e7-1f1f9 1f1e7-1f1f4 1f1e7-1f1e6 1f1e7-1f1fc 1f1e7-1f1f7 1f1ee-1f1f4 1f1fb-1f1ec 1f1e7-1f1f3 1f1e7-1f1ec 1f1e7-1f1eb 1f1e7-1f1ee 1f1e8-1f1fb 1f1f0-1f1ed 1f1e8-1f1f2 1f1e8-1f1e6 1f1ee-1f1e8 1f1f0-1f1fe 1f1e8-1f1eb 1f1f9-1f1e9 1f1e8-1f1f1 1f1e8-1f1f3 1f1e8-1f1fd 1f1e8-1f1e8 1f1e8-1f1f4 1f1f0-1f1f2 1f1e8-1f1ec 1f1e8-1f1e9 1f1e8-1f1f0 1f1e8-1f1f7 1f1ed-1f1f7 1f1e8-1f1fa 1f1e8-1f1fc 1f1e8-1f1fe 1f1e8-1f1ff 1f1e9-1f1f0 1f1e9-1f1ef 1f1e9-1f1f2 1f1e9-1f1f4 1f1ea-1f1e8 1f1ea-1f1ec 1f1f8-1f1fb 1f1ec-1f1f6 1f1ea-1f1f7 1f1ea-1f1ea 1f1ea-1f1f9 1f1ea-1f1fa 1f1eb-1f1f4 1f1eb-1f1ef 1f1eb-1f1ee 1f1eb-1f1f7 1f1f5-1f1eb 1f1ec-1f1e6 1f1ec-1f1f2 1f1ec-1f1ea 1f1e9-1f1ea 1f1ec-1f1ed 1f1ec-1f1ee 1f1ec-1f1f7 1f1ec-1f1f1 1f1ec-1f1e9 1f1ec-1f1fa 1f1ec-1f1f9 1f1ec-1f1ec 1f1ec-1f1f3 1f1ec-1f1fc 1f1ec-1f1fe 1f1ed-1f1f9 1f1ed-1f1f3 1f1ed-1f1f0 1f1ed-1f1fa 1f1ee-1f1f8 1f1ee-1f1f3 1f1ee-1f1e9 1f1ee-1f1f7 1f1ee-1f1f6 1f1ee-1f1ea 1f1ee-1f1f2 1f1ee-1f1f1 1f1ee-1f1f9 1f1e8-1f1ee 1f1ef-1f1f2 1f1ef-1f1f5 1f1ef-1f1ea 1f1ef-1f1f4 1f1f0-1f1ff 1f1f0-1f1ea 1f1f0-1f1ee 1f1f0-1f1fc 1f1f0-1f1ec 1f1f1-1f1e6 1f1f1-1f1fb 1f1f1-1f1e7 1f1f1-1f1f8 1f1f1-1f1f7 1f1f1-1f1fe 1f1f1-1f1ee 1f1f1-1f1f9 1f1f1-1f1fa 1f1f2-1f1f4 1f1f2-1f1f0 1f1f2-1f1ec 1f1f2-1f1fc 1f1f2-1f1fe 1f1f2-1f1fb 1f1f2-1f1f1 1f1f2-1f1f9 1f1f2-1f1ed 1f1f2-1f1f7 1f1f2-1f1fa 1f1f2-1f1fd 1f1eb-1f1f2 1f1f2-1f1e9 1f1f2-1f1e8 1f1f2-1f1f3 1f1f2-1f1ea 1f1f2-1f1f8 1f1f2-1f1e6 1f1f2-1f1ff 1f1f2-1f1f2 1f1f3-1f1e6 1f1f3-1f1f7 1f1f3-1f1f5 1f1f3-1f1f1 1f1f3-1f1ff 1f1f3-1f1ee 1f1f3-1f1ea 1f1f3-1f1ec 1f1f3-1f1fa 1f1f3-1f1eb 1f1f2-1f1f5 1f1f0-1f1f5 1f1f3-1f1f4 1f1f4-1f1f2 1f1f5-1f1f0 1f1f5-1f1fc 1f1f5-1f1f8 1f1f5-1f1e6 1f1f5-1f1ec 1f1f5-1f1fe 1f1f5-1f1ea 1f1f5-1f1ed 1f1f5-1f1f3 1f1f5-1f1f1 1f1f5-1f1f9 1f1f5-1f1f7 1f1f6-1f1e6 1f1f7-1f1f4 1f1f7-1f1fa 1f1f7-1f1fc 1f1f8-1f1ed 1f1f0-1f1f3 1f1f1-1f1e8 1f1fb-1f1e8 1f1fc-1f1f8 1f1f8-1f1f2 1f1f8-1f1f9 1f1f8-1f1e6 1f1f8-1f1f3 1f1f7-1f1f8 1f1f8-1f1e8 1f1f8-1f1f1 1f1f8-1f1ec 1f1f8-1f1fd 1f1f8-1f1f0 1f1f8-1f1ee 1f1f8-1f1e7 1f1f8-1f1f4 1f1ff-1f1e6 1f1f0-1f1f7 1f1f8-1f1f8 1f1ea-1f1f8 1f1f1-1f1f0 1f1f8-1f1e9 1f1f8-1f1f7 1f1f8-1f1ff 1f1f8-1f1ea 1f1e8-1f1ed 1f1f8-1f1fe 1f1f9-1f1fc 1f1f9-1f1ef 1f1f9-1f1ff 1f1f9-1f1ed 1f1f9-1f1f1 1f1f9-1f1ec 1f1f9-1f1f0 1f1f9-1f1f4 1f1f9-1f1f9 1f1f9-1f1f3 1f1f9-1f1f7 1f1f9-1f1f2 1f1f9-1f1e8 1f1f9-1f1fb 1f1fa-1f1ec 1f1fa-1f1e6 1f1e6-1f1ea 1f1ec-1f1e7 1f1fa-1f1f8 1f1fb-1f1ee 1f1fa-1f1fe 1f1fa-1f1ff 1f1fb-1f1fa 1f1fb-1f1e6 1f1fb-1f1ea 1f1fb-1f1f3 1f1fe-1f1ea 1f1ff-1f1f2 1f1ff-1f1fc 1f1e6-1f1e8 1f1f9-1f1e6".split(" ")},
patched_css_classes:{fr:"1f1eb-1f1f7",gb:"1f1ec-1f1e7",ru:"1f1f7-1f1fa",jp:"1f1ef-1f1f5",uk:"1f1ec-1f1e7",de:"1f1e9-1f1ea",cn:"1f1e8-1f1f3",kr:"1f1f0-1f1f7",us:"1f1fa-1f1f8",es:"1f1ea-1f1f8",it:"1f1ee-1f1f9"}}}();"undefined"!==typeof module&&(module.exports=emoji_codes);var pygments_data=function(){return{langs:{scm:0,monte:0,"javascript+erb":0,"postgresql-console":0,ezhil:0,nawk:0,"roboconf-instances":0,"xml+genshi":0,go:34,mql4:9,mql5:0,"trac-wiki":0,cython:0,"antlr-cpp":0,ts:0,"xml+evoque":0,matlab:33,"css+mako":0,vbnet:45,spec:0,psql:0,easytrieve:0,clojurescript:0,"html+evoque":0,arexx:0,fan:0,chapel:0,lisp:18,cryptol:0,robotframework:0,md:0,red:0,lidr:0,squidconf:0,smali:0,trafficscript:0,fsharp:19,cfm:0,vhdl:0,tea:0,apacheconf:0,elisp:0,cfc:0,batch:0,tex:40,
qvt:0,mason:0,qml:0,"javascript+genshi":0,as3:0,cfs:0,ambienttalk:0,tcshcon:0,newlisp:0,abl:0,vctreestatus:0,"c-objdump":0,lighty:0,ecl:0,vala:0,basemake:0,gawk:0,hsail:0,octave:0,apache:0,"javascript+myghty":0,cf3:0,thrift:0,mawk:0,pypylog:0,jproperties:0,boo:0,chaiscript:0,rkt:0,jbst:0,gosu:0,julia:4,vim:0,bro:0,terraform:0,apl:0,bsdmake:0,foxpro:0,flatline:0,"rng-compact":0,perl:40,"common-lisp":0,"squid.conf":0,asm:0,m2:0,"earl-grey":0,objectivec:35,msc:0,"dylan-console":0,"antlr-python":0,ooc:0,
"literate-haskell":0,mozhashpreproc:0,mql:9,"xml+spitfire":0,moin:0,gherkin:0,"xml+smarty":0,logos:0,mf:0,"css+jinja":0,igor:0,erb:0,v:0,erl:0,control:0,tap:0,pawn:0,"css+lasso":0,fortranfixed:0,"jsonml+bst":0,slim:0,inform6:0,inform7:0,dosini:0,py3tb:0,csh:0,mscgen:0,mxml:0,"xml+velocity":0,"css+django":0,actionscript:0,"html+cheetah":0,cheetah:0,"css+php":0,css:48,protobuf:0,tcsh:0,fy:0,objdump:0,"xml+lasso":0,blitzbasic:0,igorpro:0,cljs:0,"js+spitfire":0,agda:0,man:0,scss:0,xql:0,sparql:0,liquid:0,
"ragel-objc":0,sp:0,sv:0,st:0,objectpascal:42,sh:0,lhs:0,sc:0,"xul+mozpreproc":0,moocode:0,debcontrol:0,vfp:0,evoque:0,"antlr-as":0,lsl:0,pascal:42,lassoscript:0,csharp:47,zephir:0,camkes:0,ada95:0,clj:0,arduino:0,doscon:0,yaml:0,ahk:0,erlang:10,limbo:0,coffee:0,typescript:0,"ragel-cpp":0,postgres:0,python:46,"red/system":0,snowball:0,ebnf:0,odin:0,silver:0,rexx:0,myghty:0,earlgrey:0,cobolfree:0,wdiff:0,"kernel-config":0,"shell-session":0,modelica:0,pan:0,terminfo:0,"js+erb":0,x10:0,capdl:0,"yaml+jinja":0,
turtle:0,"objdump-nasm":0,"antlr-objc":0,fish:0,ec:0,ex:0,"ragel-rb":0,b3d:0,urbiscript:0,csound:0,cbmbas:0,"js+smarty":0,"javascript+php":0,"css+mozpreproc":0,rd:0,ceylon:0,sml:0,rb:39,"antlr-java":0,forth:0,math:50,asymptote:0,"html+lasso":0,asy:0,pug:0,i7:0,actionscript3:0,mma:0,bash:7,lcry:0,"js+ruby":0,ocaml:0,mq5:0,nroff:0,glsl:0,"xml+myghty":0,pyrex:0,jsonld:0,aconf:0,openbugs:0,fancy:0,"csound-csd":0,puppet:0,"ragel-ruby":0,xq:0,cadl:0,rbcon:0,vclsnippets:0,php4:0,jsgf:0,idl4:0,monkey:0,"antlr-c#":0,
makefile:0,pkgconfig:0,cfg:0,scheme:14,xbase:0,rsl:0,"antlr-ruby":0,shell:0,"xml+mako":0,lighttpd:0,moonscript:0,ncl:0,rst:0,tasm:0,ps1con:0,ca65:0,bbcode:0,"obj-j":0,cfengine3:0,"obj-c":0,dtd:0,r:37,cpsa:0,zsh:0,"css+genshi":0,"js+lasso":0,"css+erb":0,openedge:0,py3:0,hx:0,bugs:0,raw:0,brainfuck:0,todotxt:0,mupad:0,django:0,"css+myghty":0,plpgsql:0,lid:0,nsis:0,tads3:0,rout:0,croc:0,"javascript+django":0,hxsl:0,logtalk:0,crmsh:0,snobol:0,bplus:0,pyx:0,koka:0,aheui:0,bst:0,quote:50,kal:0,alloy:0,
jsp:0,"objectivec++":0,jlcon:0,latex:40,qbs:0,praat:0,"js+myghty":0,"js+cheetah":0,pcmk:0,bibtex:0,exs:0,clean:0,udiff:0,"sources.list":0,velocity:0,scilab:0,salt:0,boogie:0,text:0,dosbatch:0,sage:0,golo:0,"aspx-vb":0,objc:0,rts:0,"html+myghty":0,autoit:0,objj:0,menuconfig:0,xml:1,iex:0,"html+spitfire":0,factor:0,htmlcheetah:0,dockerfile:0,ksh:0,redcode:0,"do":0,dpatch:0,dg:0,handlebars:0,ssp:0,psm1:0,whiley:0,"antlr-perl":0,pypy:0,maql:0,bat:0,resource:0,ipython3:0,ipython2:0,cry:0,"html+kid":0,
"c++":48,htmldjango:0,perl6:0,ng2:0,"html+erb":0,ini:0,befunge:0,jasminxt:0,ragel:0,"csound-score":0,jade:0,resourcebundle:0,"html+velocity":0,racket:0,cirru:0,haxeml:0,"javascript+mozpreproc":0,delphi:42,lua:22,verilog:0,stata:0,qbasic:0,progress:0,irb:0,irc:0,jasmin:0,rconsole:0,mozpercentpreproc:0,"antlr-csharp":0,xslt:0,javascript:51,"html+smarty":0,js:43,lagda:0,spitfire:0,ipython:0,swift:41,lidris:0,coq:0,jl:0,c:49,"html+twig":0,"emacs-lisp":0,scaml:0,"ragel-em":0,s:0,"css+smarty":0,capnp:0,
"dylan-lid":0,"gooddata-cl":0,cl:0,pov:0,pot:0,xtend:0,cr:0,cp:0,diff:0,pycon:0,hexdump:0,ioke:0,kconfig:0,fortran:0,py:0,"html+handlebars":0,json:0,basic:0,haxe:0,numpy:0,postscr:0,pl:40,chai:0,"linux-config":0,"objective-c++":0,"c#":47,pytb:0,gas:0,gap:0,"javascript+spitfire":0,debsources:0,"cpp-objdump":0,ruby:39,parasail:0,cypher:0,isabelle:0,"cxx-objdump":0,typoscript:0,sls:0,nemerle:0,"xml+erb":0,"vb.net":45,qvto:0,prolog:16,vapi:0,ipythonconsole:0,squid:0,"literate-idris":0,"postgres-console":0,
typoscripthtmldata:0,sas:30,ik:0,"xml+cheetah":0,cobol:26,modula2:0,io:0,smalltalk:0,hylang:0,mako:0,lcryptol:0,pas:0,proto:0,"xml+kid":0,make:0,minid:0,coffeescript:0,html:30,sqlite3:0,systemverilog:0,vgl:0,"html+mako":0,http:0,"bst-pybtex":0,nim:0,genshitext:0,vcl:0,i6:0,nix:0,cucumber:0,mq4:0,"objc++":0,"t-sql":0,php:44,tsql:0,nesc:0,nit:0,kid:0,"javascript+lasso":0,dylan:0,gst:0,ampl:0,vclsnippet:0,docker:0,fishshell:0,"ragel-java":0,"coffee-script":0,less:0,antlr:0,rebol:0,rest:0,"html+ruby":0,
newspeak:0,abap:27,genshi:0,mysql:0,ps1:0,lasso:0,clipper:0,"javascript+genshitext":0,extempore:0,console:0,jinja:0,elm:0,restructuredtext:0,hxml:0,chpl:0,ada:25,adl:0,bnf:0,"literate-cryptol":0,rnc:0,swig:0,bib:0,xqy:0,dart:28,nginx:0,moo:0,opa:0,"antlr-actionscript":0,"js+genshitext":0,nimrod:0,python3:0,"literate-agda":0,matlabsession:0,d:29,xquery:0,clay:0,pl6:0,shen:0,"html+php":0,"d-objdump":0,"html+jinja":0,"csound-orc":0,"javascript+ruby":0,twig:0,"html+django":0,duby:0,"c++-objdumb":0,scala:21,
applescript:0,xqm:0,lean:0,moon:0,"javascript+mako":0,"js+jinja":0,cu:0,livescript:0,xten:0,"html+ng2":0,bf:0,hsa:0,"javascript+cheetah":0,posh:0,bc:0,pacmanconf:0,i6t:0,elixir:0,java:50,properties:0,pike:0,nixos:0,postgresql:0,winbatch:0,kotlin:0,idr:0,"live-script":0,idl:0,cuda:0,"css+genshitext":0,awk:1,clojure:0,nsh:0,nsi:0,autohotkey:0,termcap:0,"csound-document":0,sql:32,"ambienttalk/2":0,"js+genshi":0,smarty:0,stan:0,haskell:15,treetop:0,tf:0,"xml+django":0,"js+django":0,abnf:0,"js+mako":0,
lhaskell:0,objectivej:0,emacs:0,groff:0,rhtml:0,eg:0,"ragel-c":0,hy:0,"ragel-d":0,hs:0,"js+php":0,"css+ruby":0,jags:0,"xml+ruby":0,aspectj:0,groovy:13,"javascript+smarty":0,duel:0,sass:0,ada2005:0,typoscriptcssdata:0,j:0,po:0,"aspx-cs":0,crystal:0,"csound-sco":0,blitzmax:0,powershell:0,rust:8,idris:0,felix:0,pig:0,postscript:0,as:0,"roboconf-graph":0,at:0,winbugs:0,haml:0,"objective-j":0,"objective-c":35,"json-ld":0,cmake:0,gnuplot:0,"javascript+jinja":0,nb:0,mathematica:0,flx:0,supercollider:0,sourceslist:0,
jcl:0,php5:0,hybris:0,bmax:0,"dylan-repl":0,php3:0,llvm:0,juttle:0,componentpascal:0,eiffel:0,"obj-c++":0,registry:0,"html+genshi":0,squeak:0,rql:0,"xml+jinja":0,splus:0,nusmv:0,"xml+php":0,mask:2,"json-object":0,"antlr-rb":0,cpp:48,tcl:0,nasm:0}}}();"undefined"!==typeof module&&(module.exports=pygments_data);(function(){var g=Handlebars.template,k=Handlebars.templates=Handlebars.templates||{};k.bot_avatar_row=g({1:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'            <div class="edit-bot-buttons">\n                <button type="submit" class="btn open_edit_bot_form" data-sidebar-form="edit-bot" title="'+c((b.t||a&&a.t||h).call(f,"Edit bot",{name:"t",hash:{},data:d}))+'" data-email="'+c((e=null!=(e=b.email||(null!=a?a.email:a))?e:h,"function"===typeof e?
e.call(f,{name:"email",hash:{},data:d}):e))+'">\n                    <i class="icon-vector-pencil blue"></i>\n                </button>\n                <a type="submit" download="'+c((e=null!=(e=b.zuliprc||(null!=a?a.zuliprc:a))?e:h,"function"===typeof e?e.call(f,{name:"zuliprc",hash:{},data:d}):e))+'" class="btn download_bot_zuliprc" title="'+c((b.t||a&&a.t||h).call(f,"Download .zuliprc",{name:"t",hash:{},data:d}))+'" data-email="'+c((e=null!=(e=b.email||(null!=a?a.email:a))?e:h,"function"===typeof e?
e.call(f,{name:"email",hash:{},data:d}):e))+'">\n                    <i class="icon-vector-download-alt sea-green"></i>\n                </a>\n                <button type="submit" class="btn delete_bot" title="'+c((b.t||a&&a.t||h).call(f,"Delete bot",{name:"t",hash:{},data:d}))+'" data-email="'+c((e=null!=(e=b.email||(null!=a?a.email:a))?e:h,"function"===typeof e?e.call(f,{name:"email",hash:{},data:d}):e))+'">\n                    <i class="icon-vector-trash danger-red"></i>\n                </button>\n            </div>\n'},
3:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'        <div class="api_key">\n            <span class="field">'+c((b.t||a&&a.t||h).call(f,"API key",{name:"t",hash:{},data:d}))+'</span>\n            <span class="api-key-value-and-button">\n                <span class="value">'+c((e=null!=(e=b.api_key||(null!=a?a.api_key:a))?e:h,"function"===typeof e?e.call(f,{name:"api_key",hash:{},data:d}):e))+'</span>\n                <button type="submit" class="button no-style btn-secondary regenerate_bot_api_key" title="'+
c((b.t||a&&a.t||h).call(f,"Generate new API key",{name:"t",hash:{},data:d}))+'" data-email="'+c((e=null!=(e=b.email||(null!=a?a.email:a))?e:h,"function"===typeof e?e.call(f,{name:"email",hash:{},data:d}):e))+'">\n                    <i class="icon-vector-refresh"></i>\n                </button>\n            </span>\n            <div class="api_key_error text-error"></div>\n        </div>\n        <div id="bot_delete_error'+c((e=null!=(e=b.id_suffix||(null!=a?a.id_suffix:a))?e:h,"function"===typeof e?
e.call(f,{name:"id_suffix",hash:{},data:d}):e))+'" class="alert alert-error hide"></div>\n'},5:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'        <button class="button white round btn-warning reactivate_bot" title="'+c((b.t||a&&a.t||h).call(f,"Reactivate bot",{name:"t",hash:{},data:d}))+'" data-email="'+c((e=null!=(e=b.email||(null!=a?a.email:a))?e:h,"function"===typeof e?e.call(f,{name:"email",hash:{},data:d}):e))+'">'+c((b.t||a&&a.t||h).call(f,"Reactivate bot",
{name:"t",hash:{},data:d}))+"</button>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'<li class="bot-information-box">\n    <div class="image overflow-hidden">\n        <img src="'+m((h=null!=(h=b.avatar_url||(null!=a?a.avatar_url:a))?h:l,"function"===typeof h?h.call(f,{name:"avatar_url",hash:{},data:d}):h))+'" class="avatar" />\n        <div class="details">\n            <div class="name">'+m((h=null!=(h=b.name||(null!=
a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+"</div>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_active:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'        </div>\n    </div>\n    <div class="bot_info">\n        <div class="email">\n            <div class="field">'+m((b.t||a&&a.t||l).call(f,"Username",{name:"t",hash:{},data:d}))+'</div>\n            <div class="value">'+m((h=null!=(h=b.email||(null!=a?a.email:a))?h:l,"function"===typeof h?
h.call(f,{name:"email",hash:{},data:d}):h))+"</div>\n        </div>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_active:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.program(5,d,0),data:d}))?e:"")+"    </div>\n</li>\n"},useData:!0});k.alert_word_settings_item=g({1:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'    <div class="alert-word-settings-form">\n        <div class="add-new-alert-word-box grey-bg">\n            <form id="create_alert_word_form" class="form-horizontal no-padding">\n                <h4 class="new-alert-word-section-title light no-margin">'+
c((b.t||a&&a.t||e).call(f,"Add a new alert word",{name:"t",hash:{},data:d}))+'</h4>\n                <div class="new-alert-word-form">\n                    <div class="input-group">\n                        <label for="create_alert_word_name">'+c((b.t||a&&a.t||e).call(f,"New alert word",{name:"t",hash:{},data:d}))+'</label>\n                        <input type="text" name="alert_word_name" id="create_alert_word_name" class="required"\n                            maxlength=100 placeholder="'+c((b.t||
a&&a.t||e).call(f,"Alert word",{name:"t",hash:{},data:d}))+'" value="" />\n                    </div>\n                    <div class="alert alert-danger" id="empty_alert_word_error" role="alert">\n                        <button type="button" class="close close-empty-alert-word-error" aria-label="Close">\n                            <span aria-hidden="true">&times;</span>\n                        </button>\n                        <span>'+c((b.t||a&&a.t||e).call(f,"Alert words can't be empty!",{name:"t",
hash:{},data:d}))+'</span>\n                    </div>\n                    <button class="button white rounded sea-green add-alert-word" id="create_alert_word_button" type="button">\n                        '+c((b.t||a&&a.t||e).call(f,"Add alert word",{name:"t",hash:{},data:d}))+"\n                    </button>\n                </div>\n            </form>\n        </div>\n    </div>\n"},3:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'    <div class="alert-word-information-box grey-bg">\n        <div class="alert_word_listing">\n            <span class="value">'+
c((e=null!=(e=b.word||(null!=a?a.word:a))?e:h,"function"===typeof e?e.call(f,{name:"word",hash:{},data:d}):e))+'</span>\n        </div>\n        <div class="edit-alert-word-buttons">\n            <button type="submit" class="button small white btn-danger remove-alert-word" title="'+c((b.t||a&&a.t||h).call(f,"Delete alert word",{name:"t",hash:{},data:d}))+'" data-word="'+c((e=null!=(e=b.word||(null!=a?a.word:a))?e:h,"function"===typeof e?e.call(f,{name:"word",hash:{},data:d}):e))+'">\n                <i class="icon-vector-trash"></i>\n            </button>\n        </div>\n    </div>\n'},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'<li class="alert-word-item" data-word=\''+c.escapeExpression((h=null!=(h=b.word||(null!=a?a.word:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"word",hash:{},data:d}):h))+"'>\n"+(null!=(e=b["if"].call(f,null!=a?a.editing:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:"")+"</li>\n"},useData:!0});k.tab_bar=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=
c.escapeExpression;return'    <li class="'+m((h=null!=(h=b.active||(null!=a?a.active:a))?h:l,"function"===typeof h?h.call(f,{name:"active",hash:{},data:d}):h))+" "+m((h=null!=(h=b.cls||(null!=a?a.cls:a))?h:l,"function"===typeof h?h.call(f,{name:"cls",hash:{},data:d}):h))+" "+(null!=(e=b["if"].call(f,null!=a?a.home:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+'" '+(null!=(e=b["if"].call(f,null!=a?a.data:a,{name:"if",hash:{},fn:c.program(4,d,0),inverse:c.noop,data:d}))?e:
"")+">\n"+(null!=(e=b["if"].call(f,null!=a?a.icon:a,{name:"if",hash:{},fn:c.program(6,d,0),inverse:c.noop,data:d}))?e:"")+(null!=(e=b["if"].call(f,null!=a?a.hash:a,{name:"if",hash:{},fn:c.program(8,d,0),inverse:c.program(13,d,0),data:d}))?e:"")+"    </li>\n"},2:function(c,a,b,f,d){return"home-link"},4:function(c,a,b,f,d){var e;return'data-name="'+c.escapeExpression((e=null!=(e=b.data||(null!=a?a.data:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"data",hash:{},data:d}):e))+
'"'},6:function(c,a,b,f,d){return'        <i class="icon-vector-narrow icon-vector-small"></i>\n'},8:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.home:a,{name:"if",hash:{},fn:c.program(9,d,0),inverse:c.program(11,d,0),data:d}))?e:""},9:function(c,a,b,f,d){var e;return'            <a href="'+c.escapeExpression((e=null!=(e=b.hash||(null!=a?a.hash:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"hash",hash:{},data:d}):e))+'"><i class="icon-vector-home"></i></a>\n'},
11:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'            <a href="'+c((e=null!=(e=b.hash||(null!=a?a.hash:a))?e:h,"function"===typeof e?e.call(f,{name:"hash",hash:{},data:d}):e))+'">'+c((e=null!=(e=b.title||(null!=a?a.title:a))?e:h,"function"===typeof e?e.call(f,{name:"title",hash:{},data:d}):e))+"</a>\n"},13:function(c,a,b,f,d){var e;f=null!=a?a:{};return(null!=(e=b["if"].call(f,null!=a?a.home:a,{name:"if",hash:{},fn:c.program(14,d,0),inverse:c.noop,
data:d}))?e:"")+(null!=(e=b.unless.call(f,null!=a?a.home:a,{name:"unless",hash:{},fn:c.program(16,d,0),inverse:c.noop,data:d}))?e:"")},14:function(c,a,b,f,d){return'            <i class="icon-vector-home"></i>\n'},16:function(c,a,b,f,d){var e;return"            "+c.escapeExpression((e=null!=(e=b.title||(null!=a?a.title:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"title",hash:{},data:d}):e))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return'<ul id="tab_list">\n'+
(null!=(e=b.each.call(null!=a?a:{},null!=a?a.tabs:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</ul>\n"},useData:!0});k.stream_privacy=g({1:function(c,a,b,f,d){return'<i class="icon-vector-lock"></i>\n'},3:function(c,a,b,f,d){return'<span class="hashtag"></span>\n'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:""},useData:!0});
k.admin_default_streams_list=g({1:function(c,a,b,f,d,e,h){var l,m;f=null!=a?a:{};var g=b.helperMissing,k=c.escapeExpression;return'<tr class="default_stream_row" id="'+k((m=null!=(m=b.name||(null!=a?a.name:a))?m:g,"function"===typeof m?m.call(f,{name:"name",hash:{},data:d}):m))+'">\n    <td>\n        '+(null!=(l=b["if"].call(f,null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(2,d,0,e,h),inverse:c.noop,data:d}))?l:"")+'\n        <span class="default_stream_name">'+k((m=null!=(m=b.name||(null!=
a?a.name:a))?m:g,"function"===typeof m?m.call(f,{name:"name",hash:{},data:d}):m))+"</span>\n    </td>\n"+(null!=(l=b["if"].call(f,null!=h[1]?h[1].can_modify:h[1],{name:"if",hash:{},fn:c.program(4,d,0,e,h),inverse:c.noop,data:d}))?l:"")+"</tr>\n"},2:function(c,a,b,f,d){return'<i class="icon-vector-lock "></i>'},4:function(c,a,b,f,d){return'    <td>\n        <button class="button white rounded remove-default-stream btn-danger">\n            '+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=
a?a:{},"Remove from default",{name:"t",hash:{},data:d}))+"\n        </button>\n    </td>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d,e,h){var l;return null!=(l=b["with"].call(null!=a?a:{},null!=a?a.stream:a,{name:"with",hash:{},fn:c.program(1,d,0,e,h),inverse:c.noop,data:d}))?l:""},useData:!0,useDepths:!0});k.message_group=g({1:function(c,a,b,f,d,e,h){var l;return null!=(l=b["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:c.program(2,d,0,e,h),inverse:c.noop,data:d}))?l:""},2:function(c,
a,b,f,d,e,h){var l,m;f=null!=a?a:{};var g=b.helperMissing,k=c.escapeExpression;return"\n"+(null!=(l=b["if"].call(f,null!=a?a.show_date_separator:a,{name:"if",hash:{},fn:c.program(3,d,0,e,h),inverse:c.noop,data:d}))?l:"")+"\n"+(null!=(l=b["if"].call(f,null!=a?a.bookend_top:a,{name:"if",hash:{},fn:c.program(5,d,0,e,h),inverse:c.noop,data:d}))?l:"")+'\n        <div class="recipient_row" id="'+k((m=null!=(m=b.message_group_id||(null!=a?a.message_group_id:a))?m:g,"function"===typeof m?m.call(f,{name:"message_group_id",
hash:{},data:d}):m))+'">\n            '+k((b.partial||a&&a.partial||g).call(f,"recipient_row","use_match_properties",null!=h[1]?h[1].use_match_properties:h[1],{name:"partial",hash:{},data:d}))+"\n"+(null!=(l=b.each.call(f,null!=a?a.message_containers:a,{name:"each",hash:{},fn:c.program(7,d,0,e,h),inverse:c.noop,data:d}))?l:"")+"        </div>\n\n"+(null!=(l=b["if"].call(f,null!=a?a.bookend_bottom:a,{name:"if",hash:{},fn:c.program(5,d,0,e,h),inverse:c.noop,data:d}))?l:"")+"\n"},3:function(c,a,b,f,
d){var e,h;return'        <div class="date_row">'+(null!=(e=(h=null!=(h=b.show_date||(null!=a?a.show_date:a))?h:b.helperMissing,"function"===typeof h?h.call(null!=a?a:{},{name:"show_date",hash:{},data:d}):h))?e:"")+"</div>\n"},5:function(c,a,b,f,d){return"        "+c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"bookend",{name:"partial",hash:{},data:d}))+"\n"},7:function(c,a,b,f,d,e,h){var l;return null!=(l=b["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:c.program(8,
d,0,e,h),inverse:c.noop,data:d}))?l:""},8:function(c,a,b,f,d,e,h){return"                "+c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"single_message","use_match_properties",null!=h[2]?h[2].use_match_properties:h[2],"table_name",null!=h[2]?h[2].table_name:h[2],{name:"partial",hash:{},data:d}))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d,e,h){var l;return"\n"+(null!=(l=b.each.call(null!=a?a:{},null!=a?a.message_groups:a,{name:"each",hash:{},fn:c.program(1,
d,0,e,h),inverse:c.noop,data:d}))?l:"")},useData:!0,useDepths:!0});k["compose-invite-users"]=g({1:function(c,a,b,f,d){return"<strong>__name__</strong> is not subscribed to this stream."},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'<div class="compose_invite_user" data-useremail="'+m((h=null!=(h=b.email||(null!=a?a.email:a))?h:l,"function"===typeof h?h.call(f,{name:"email",hash:{},data:d}):h))+'">\n    '+(null!=(e=(b.tr||
a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n    <div class="compose_invite_user_controls">\n        <span class="compose_invite_user_error alert alert-error" style="display: none;">'+m((b.t||a&&a.t||l).call(f,"Unable to subscribe user",{name:"t",hash:{},data:d}))+'</span>\n        <button href="" class="btn btn-warning compose_invite_link" >'+m((b.t||a&&a.t||l).call(f,"Subscribe",{name:"t",hash:{},data:d}))+'</button><button type="button" class="compose_invite_close close">\u00d7</button>\n    </div>\n</div>\n'},
useData:!0});k.draft=g({1:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'        <div class="message_header message_header_stream">\n            <div class="message-header-contents">\n                <div class="message_label_clickable stream_label"\n                    style="background: '+c((e=null!=(e=b.stream_color||(null!=a?a.stream_color:a))?e:h,"function"===typeof e?e.call(f,{name:"stream_color",hash:{},data:d}):e))+"; border-left-color: "+c((e=null!=
(e=b.stream_color||(null!=a?a.stream_color:a))?e:h,"function"===typeof e?e.call(f,{name:"stream_color",hash:{},data:d}):e))+';">\n                    '+c((e=null!=(e=b.stream||(null!=a?a.stream:a))?e:h,"function"===typeof e?e.call(f,{name:"stream",hash:{},data:d}):e))+'\n                </div>\n\n                <span class="stream_topic">\n                    <div class="message_label_clickable narrows_by_subject">\n                        '+c((e=null!=(e=b.topic||(null!=a?a.topic:a))?e:h,"function"===
typeof e?e.call(f,{name:"topic",hash:{},data:d}):e))+"\n                    </div>\n                </span>\n            </div>\n        </div>\n"},3:function(c,a,b,f,d){var e;return'        <div class="message_header message_header_private_message dark_background">\n            <div class="message-header-contents">\n                <div class="message_label_clickable stream_label">\n                    '+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(4,
d,0),inverse:c.noop,data:d}))?e:"")+"\n                </div>\n            </div>\n        </div>\n"},4:function(c,a,b,f,d){return"You and __recipients__"},6:function(c,a,b,f,d){return" private-message"},8:function(c,a,b,f,d){var e;return c.escapeExpression((e=null!=(e=b.stream_color||(null!=a?a.stream_color:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"stream_color",hash:{},data:d}):e))},10:function(c,a,b,f,d){return"#444444"},compiler:[7,">= 4.0.0"],main:function(c,a,b,
f,d){var e,h,l;f=null!=a?a:{};var m=b.helperMissing,g=c.escapeExpression,k='<div class="draft-row" data-draft-id="'+g((h=null!=(h=b.draft_id||(null!=a?a.draft_id:a))?h:m,"function"===typeof h?h.call(f,{name:"draft_id",hash:{},data:d}):h))+'">\n    <div class="draft-info-box" tabindex="0">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_stream:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:"")+'        <div class="message_row';e=(h=null!=(h=b.is_stream||(null!=a?a.is_stream:
a))?h:m,l={name:"is_stream",hash:{},fn:c.noop,inverse:c.program(6,d,0),data:d},"function"===typeof h?h.call(f,l):h);b.is_stream||(e=b.blockHelperMissing.call(a,e,l));null!=e&&(k+=e);return k+'">\n            <div class="messagebox"\n                style="box-shadow: inset 2px 0px 0px 0px '+(null!=(e=b["if"].call(f,null!=a?a.is_stream:a,{name:"if",hash:{},fn:c.program(8,d,0),inverse:c.program(10,d,0),data:d}))?e:"")+", -1px 0px 0px 0px "+(null!=(e=b["if"].call(f,null!=a?a.is_stream:a,{name:"if",hash:{},
fn:c.program(8,d,0),inverse:c.program(10,d,0),data:d}))?e:"")+';">\n                <div class="messagebox-content">\n                    <div class="message_top_line">\n                        <div class="draft_controls">\n                            <i class="icon-vector-large icon-vector-pencil restore-draft" data-toggle="tooltip" title="'+g((b.t||a&&a.t||m).call(f,"Restore draft",{name:"t",hash:{},data:d}))+'"></i>\n                            <i class="icon-vector-large icon-vector-trash delete-draft" data-toggle="tooltip" title="'+
g((b.t||a&&a.t||m).call(f,"Delete draft",{name:"t",hash:{},data:d}))+'"></i>\n                        </div>\n                    </div>\n                    <div class="message_content restore-draft" data-toggle="tooltip" title="'+g((b.t||a&&a.t||m).call(f,"Restore draft",{name:"t",hash:{},data:d}))+'">'+(null!=(e=(h=null!=(h=b.content||(null!=a?a.content:a))?h:m,"function"===typeof h?h.call(f,{name:"content",hash:{},data:d}):h))?e:"")+"</div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n"},
useData:!0});k.email_address_hint=g({1:function(c,a,b,f,d){return"You can send emails to Zulip! Just copy and use this address as an email recipient, and:"},3:function(c,a,b,f,d){return"The email subject will become the Zulip topic"},5:function(c,a,b,f,d){return"The email body will become the Zulip message"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;return"<div>\n\n    <p>"+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,
0),inverse:c.noop,data:d}))?e:"")+'</p>\n\n    <img class="subscription-email-hint-image" src="/static/images/integrations/zulip_mail.png" />\n\n    <ul>\n        <li>'+c.escapeExpression((b.t||a&&a.t||h).call(f,"The email will be forwarded to this stream",{name:"t",hash:{},data:d}))+"</li>\n        <li>"+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+"</li>\n        <li>"+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(5,
d,0),inverse:c.noop,data:d}))?e:"")+"</li>\n    </ul>\n\n</div>\n"},useData:!0});k.settings_tab=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div id="settings-change-box" class="new-style">\n    '+c((b.partial||a&&a.partial||e).call(f,"account-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||a&&a.partial||e).call(f,"display-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||a&&a.partial||
e).call(f,"notification-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||a&&a.partial||e).call(f,"bot-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||a&&a.partial||e).call(f,"alert-word-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||a&&a.partial||e).call(f,"attachments-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||a&&a.partial||e).call(f,"muted-topics-settings",{name:"partial",hash:{},data:d}))+"\n\n    "+c((b.partial||
a&&a.partial||e).call(f,"ui-settings",{name:"partial",hash:{},data:d}))+"\n</div>\n"},useData:!0});k.topic_sidebar_actions=g({1:function(c,a,b,f,d){return"Narrow to topic <b>__topic_name__</b>"},3:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'    <li>\n        <a href="#" class="sidebar-popover-mute-topic" data-stream-id="'+m((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" data-topic-name="'+
m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+'">\n            <i class="icon-vector-eye-close"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(4,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n"},4:function(c,a,b,f,d){return"Mute the topic <b>__topic_name__</b>"},6:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'    <li>\n        <a href="#" class="sidebar-popover-unmute-topic" data-stream-id="'+
m((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" data-topic-name="'+m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+'">\n            <i class="icon-vector-eye-open"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n"},7:function(c,a,b,
f,d){return"Unmute the topic <b>__topic_name__</b>"},9:function(c,a,b,f,d){return"Mark all messages in <b>__topic_name__</b> as read"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'<ul class="nav nav-list topics_popover">\n    <li>\n        <a class="narrow_to_topic" data-stream-id="'+m((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" data-topic-name="'+
m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+'">\n            <i class="icon-vector-bullhorn"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n\n\n"+(null!=(e=b["if"].call(f,null!=a?a.can_mute_topic:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+"\n"+(null!=(e=b["if"].call(f,null!=a?a.can_unmute_topic:
a,{name:"if",hash:{},fn:c.program(6,d,0),inverse:c.noop,data:d}))?e:"")+'    <li>\n        <a class="sidebar-popover-mark-topic-read" data-stream-id="'+m((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" data-topic-name="'+m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+'">\n            <i class="icon-vector-book"></i>\n            '+(null!=
(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(9,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n\n\n</ul>\n"},useData:!0});k.user_info_popover_title=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return'<div class="popover-avatar" style="background-image: url(\''+c.escapeExpression((e=null!=(e=b.user_avatar||(null!=a?a.user_avatar:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"user_avatar",hash:{},data:d}):e))+"');\" >\n</div>\n"},
useData:!0});k.tutorial_stream=g({1:function(c,a,b,f,d){return"        <b>Streams</b> are like chat rooms or mailing lists. You can easily\n        <b>join</b>, <b>leave</b>, and <b>make</b> them.\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((h=null!=(h=b.placement||(null!=a?a.placement:a))?h:l,"function"===typeof h?h.call(f,{name:"placement",hash:{},data:d}):h))+'" id="tutorial-stream">\n    <p>\n'+
(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'    </p>\n\n    <div class="tutorial-done-button">\n        <button class="btn btn-primary" type="submit" id="tutorial-stream-next">'+m((b.t||a&&a.t||l).call(f,"Next",{name:"t",hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.subscription_settings=g({1:function(c,a,b,f,d){var e,h,l;f=null!=a?a:{};var m=b.helperMissing,g=c.escapeExpression,k=b.blockHelperMissing,p='<div class="subscription_settings" data-stream-id="'+
g((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:m,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'">\n    <div class="inner-box">\n        <div class="stream-header">\n'+(null!=(e=b["if"].call(f,null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.program(4,d,0),data:d}))?e:"")+'            <div class="stream-name">\n                <span class="stream-name-editable editable-section">'+g((h=null!=(h=b.name||(null!=a?a.name:a))?h:m,"function"===typeof h?
h.call(f,{name:"name",hash:{},data:d}):h))+"</span>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(6,d,0),inverse:c.noop,data:d}))?e:"")+'            </div>\n            <button class="button small white rounded subscribe-button sub_unsub_button '+(null!=(e=b.unless.call(f,null!=a?a.subscribed:a,{name:"unless",hash:{},fn:c.program(8,d,0),inverse:c.noop,data:d}))?e:"")+'" type="button" name="button">\n                '+(null!=(e=b["if"].call(f,null!=a?a.subscribed:
a,{name:"if",hash:{},fn:c.program(10,d,0),inverse:c.program(13,d,0),data:d}))?e:"")+'</button>\n            <a href="'+g((h=null!=(h=b.preview_url||(null!=a?a.preview_url:a))?h:m,"function"===typeof h?h.call(f,{name:"preview_url",hash:{},data:d}):h))+'" class="button small white rounded" id="preview-stream-button" role="button">'+g((b.t||a&&a.t||m).call(f,"View stream",{name:"t",hash:{},data:d}))+'</a>\n        </div>\n        <div class="stream-description" data-no-description="'+g((b.t||a&&a.t||
m).call(f,"No description.",{name:"t",hash:{},data:d}))+'">\n            <span class="stream-description-editable editable-section">'+(null!=(e=(h=null!=(h=b.rendered_description||(null!=a?a.rendered_description:a))?h:m,"function"===typeof h?h.call(f,{name:"rendered_description",hash:{},data:d}):h))?e:"")+"</span>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(16,d,0),inverse:c.noop,data:d}))?e:"")+'        </div>\n        <div class="regular_subscription_settings collapse ';
e=(h=null!=(h=b.subscribed||(null!=a?a.subscribed:a))?h:m,l={name:"subscribed",hash:{},fn:c.program(18,d,0),inverse:c.noop,data:d},"function"===typeof h?h.call(f,l):h);b.subscribed||(e=k.call(a,e,l));null!=e&&(p+=e);p+='">\n            <div class="subscription-type">\n                <div class="subscription-type-text">\n                    '+g((b.partial||a&&a.partial||m).call(f,"subscription_type",{name:"partial",hash:{},data:d}))+"\n                </div>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:
a,{name:"if",hash:{},fn:c.program(20,d,0),inverse:c.noop,data:d}))?e:"")+'            </div>\n            <div class="subscription-config">\n                <ul>\n                    <li>\n                        <div id="sub_setting_not_in_home_view" class="sub_setting_checkbox sub-mute-setting">\n                            <input id="mutestream-'+g((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:m,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+
(null!=(e=b.unless.call(f,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:c.program(25,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                            <label class="subscription-control-label">'+g((b.t||a&&a.t||m).call(f,"Mute stream",{name:"t",hash:{},data:d}))+'</label>\n                            <p class="mute-note '+(null!=(e=b["if"].call(f,null!=a?a.in_home_view:a,{name:"if",hash:{},fn:c.program(27,d,0),inverse:c.noop,data:d}))?e:"")+'">'+g((b.t||a&&a.t||m).call(f,"Muted streams don't show up in your home view or generate notifications unless you are mentioned.",
{name:"t",hash:{},data:d}))+'</p>\n                        </div>\n                    </li>\n                    <li>\n                        <div id="sub_desktop_notifications_setting"\n                            class="sub_setting_checkbox sub_notification_setting '+(null!=(e=b.unless.call(f,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:c.program(29,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                            <input id="desktop-notifystream-'+g((h=null!=(h=b.stream_id||(null!=a?
a.stream_id:a))?h:m,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+(null!=(e=b["if"].call(f,null!=a?a.desktop_notifications:a,{name:"if",hash:{},fn:c.program(25,d,0),inverse:c.noop,data:d}))?e:"")+" "+(null!=(e=b.unless.call(f,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:c.program(31,d,0),inverse:c.noop,data:d}))?e:"")+'/>\n                            <label class="subscription-control-label">'+g((b.t||a&&
a.t||m).call(f,"Receive desktop notifications",{name:"t",hash:{},data:d}))+'</label>\n                        </div>\n                    </li>\n                    <li>\n                        <div id="sub_audible_notifications_setting"\n                            class="sub_setting_checkbox sub_notification_setting '+(null!=(e=b.unless.call(f,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:c.program(29,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                            <input id="audible-notifystream-'+
g((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:m,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+(null!=(e=b["if"].call(f,null!=a?a.audible_notifications:a,{name:"if",hash:{},fn:c.program(25,d,0),inverse:c.noop,data:d}))?e:"")+" "+(null!=(e=b.unless.call(f,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:c.program(31,d,0),inverse:c.noop,data:d}))?e:"")+'/>\n                            <label class="subscription-control-label">'+
g((b.t||a&&a.t||m).call(f,"Receive audible notifications",{name:"t",hash:{},data:d}))+'</label>\n                        </div>\n\n                    </li>\n                    <li>\n                        <div id="sub_pin_setting" class="sub_setting_checkbox">\n                            <input id="pinstream-'+g((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:m,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+
(null!=(e=b["if"].call(f,null!=a?a.pin_to_top:a,{name:"if",hash:{},fn:c.program(25,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                            <label class="subscription-control-label">'+g((b.t||a&&a.t||m).call(f,"Pin stream to top of left sidebar",{name:"t",hash:{},data:d}))+'</label>\n                        </div>\n                    </li>\n                    <li>\n                        <label for="streamcolor" class="subscription-control-label">'+g((b.t||a&&a.t||m).call(f,"Stream color",
{name:"t",hash:{},data:d}))+'</label>\n                        <span class="sub_setting_control">\n                            <input stream_id="'+g((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:m,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" class="colorpicker" id="streamcolor" type="text" value="'+g((h=null!=(h=b.color||(null!=a?a.color:a))?h:m,"function"===typeof h?h.call(f,{name:"color",hash:{},data:d}):h))+'" tabindex="-1" />\n                        </span>\n                    </li>\n                </ul>\n            </div>\n'+
(null!=(e=b["if"].call(f,null!=a?a.email_address:a,{name:"if",hash:{},fn:c.program(33,d,0),inverse:c.noop,data:d}))?e:"")+"        </div>\n\n";e=(h=null!=(h=b.render_subscribers||(null!=a?a.render_subscribers:a))?h:m,l={name:"render_subscribers",hash:{},fn:c.program(35,d,0),inverse:c.noop,data:d},"function"===typeof h?h.call(f,l):h);b.render_subscribers||(e=k.call(a,e,l));null!=e&&(p+=e);return p+"    </div>\n</div>\n"},2:function(c,a,b,f,d){var e;return'            <div class="large-icon lock" style="color: '+
c.escapeExpression((e=null!=(e=b.color||(null!=a?a.color:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"color",hash:{},data:d}):e))+'">\n                <i class="icon-vector-lock"></i>\n            </div>\n'},4:function(c,a,b,f,d){var e;return'            <div class="large-icon hash" style="color: '+c.escapeExpression((e=null!=(e=b.color||(null!=a?a.color:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"color",hash:{},data:d}):e))+'"></div>\n'},6:function(c,
a,b,f,d){return'                <span class="editable" data-make-editable=".stream-name-editable"></span>\n                <span class="checkmark" data-finish-editing=".stream-name-editable">\u2713</span>\n'},8:function(c,a,b,f,d){return"unsubscribed"},10:function(c,a,b,f,d){var e;return null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},null!=a?a.oneself:a,{name:"tr",hash:{},fn:c.program(11,d,0),inverse:c.noop,data:d}))?e:""},11:function(c,a,b,f,d){return"Unsubscribe"},13:function(c,a,b,
f,d){var e;return null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},null!=a?a.oneself:a,{name:"tr",hash:{},fn:c.program(14,d,0),inverse:c.noop,data:d}))?e:""},14:function(c,a,b,f,d){return"Subscribe"},16:function(c,a,b,f,d){return'            <span class="editable" data-make-editable=".stream-description-editable"></span>\n            <span class="checkmark" data-finish-editing=".stream-description-editable">\u2713</span>\n'},18:function(c,a,b,f,d){return"in"},20:function(c,a,b,f,d){var e;
f=null!=a?a:{};return'                <a class="change-stream-privacy" data-is-private="'+(null!=(e=b["if"].call(f,null!=a?a.can_make_public:a,{name:"if",hash:{},fn:c.program(21,d,0),inverse:c.program(23,d,0),data:d}))?e:"")+'">['+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(f,"Change",{name:"t",hash:{},data:d}))+"]</a>\n"},21:function(c,a,b,f,d){return"true"},23:function(c,a,b,f,d){return"false"},25:function(c,a,b,f,d){return"checked"},27:function(c,a,b,f,d){return"hide-mute-note"},29:function(c,
a,b,f,d){return"muted-sub"},31:function(c,a,b,f,d){return'disabled="disabled"'},33:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'            <div class="stream-email-box">\n                <div class="sub_settings_title">'+c((b.t||a&&a.t||h).call(f,"Email address",{name:"t",hash:{},data:d}))+' <i class="icon-vector-question-sign stream-email-hint" id="email-address-hint-'+c((e=null!=(e=b.stream_id||(null!=a?a.stream_id:a))?e:h,"function"===typeof e?e.call(f,
{name:"stream_id",hash:{},data:d}):e))+'"></i></div>\n                <div class="stream-email">\n                    <span class="email-address">'+c((e=null!=(e=b.email_address||(null!=a?a.email_address:a))?e:h,"function"===typeof e?e.call(f,{name:"email_address",hash:{},data:d}):e))+"</span>\n                </div>\n            </div>\n"},35:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'        <div class="subscriber_list_settings">\n            <div class="sub_settings_title float-left">'+
c((b.t||a&&a.t||e).call(f,"Stream membership",{name:"t",hash:{},data:d}))+'</div>\n            <div class="subscriber_list_add float-right">\n                <form class="form-inline">\n                    <input type="text" class="search" placeholder="'+c((b.t||a&&a.t||e).call(f,"Search subscribers",{name:"t",hash:{},data:d}))+'" />\n                    <input type="text" name="principal" placeholder="'+c((b.t||a&&a.t||e).call(f,"Email address",{name:"t",hash:{},data:d}))+'" value="" class="input-block" autocomplete="off" tabindex="-1" />\n                    <input type="submit" name="add_subscriber" value="'+
c((b.t||a&&a.t||e).call(f,"Add",{name:"t",hash:{},data:d}))+'" class="btn btn-primary add-subscriber-button" tabindex="-1 "/>\n                </form>\n            </div>\n            <div class="clear-float"></div>\n        </div>\n        <div class="subscriber-list-box">\n            <div class="subscriber_list_container">\n                <div class="subscriber_list_loading_indicator"></div>\n                <div class="alert alert-error hide"></div>\n                <div class="alert alert-warning hide"></div>\n                <table class="subscriber-list"></table>\n            </div>\n        </div>\n'},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.single_message=g({1:function(c,a,b,f,d){return" private-message"},3:function(c,a,b,f,d){return" include-sender"},5:function(c,a,b,f,d){return" mention"},7:function(c,a,b,f,d){return" last_message"},9:function(c,a,b,f,d){return" unread"},11:function(c,a,b,f,d){return"local"},13:function(c,a,b,f,d){return" prev_is_same_sender"},
15:function(c,a,b,f,d){return"next_is_same_sender"},17:function(c,a,b,f,d){var e;return c.escapeExpression((e=null!=(e=b.background_color||(null!=a?a.background_color:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"background_color",hash:{},data:d}):e))},19:function(c,a,b,f,d){return"#444444"},21:function(c,a,b,f,d){var e,h,l=null!=a?a:{},m=b.helperMissing,g=b.blockHelperMissing,k=c.escapeExpression,p='                    <span class="message_sender';f=(e=null!=(e=b.status_message||
(null!=a?a.status_message:a))?e:m,h={name:"status_message",hash:{},fn:c.noop,inverse:c.program(22,d,0),data:d},"function"===typeof e?e.call(l,h):e);b.status_message||(f=g.call(a,f,h));null!=f&&(p+=f);p+='">\n                        <div class="u-'+k(c.lambda(null!=(f=null!=a?a.msg:a)?f.sender_id:f,a))+" inline_profile_picture";f=(e=null!=(e=b.status_message||(null!=a?a.status_message:a))?e:m,h={name:"status_message",hash:{},fn:c.program(22,d,0),inverse:c.noop,data:d},"function"===typeof e?e.call(l,
h):e);b.status_message||(f=g.call(a,f,h));null!=f&&(p+=f);return p+'"\n                             style="background-image: url(\''+k((e=null!=(e=b.small_avatar_url||(null!=a?a.small_avatar_url:a))?e:m,"function"===typeof e?e.call(l,{name:"small_avatar_url",hash:{},data:d}):e))+"');\"/>\n"+(null!=(f=b["if"].call(l,null!=a?a.status_message:a,{name:"if",hash:{},fn:c.program(24,d,0),inverse:c.program(30,d,0),data:d}))?f:"")+"                    </span>\n"},22:function(c,a,b,f,d){return" sender_info_hover"},
24:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing;return'                            <span class="sender-status">\n                                <span class="sender_name-in-status sender_info_hover">'+c.escapeExpression(c.lambda(null!=(e=null!=a?a.msg:a)?e.sender_full_name:e,a))+"</span>\n"+(null!=(e=b["if"].call(f,null!=a?a.sender_is_bot:a,{name:"if",hash:{},fn:c.program(25,d,0),inverse:c.noop,data:d}))?e:"")+'                                <span class="status-message">\n                                    '+
(null!=(e=(h=null!=(h=b.status_message||(null!=a?a.status_message:a))?h:l,"function"===typeof h?h.call(f,{name:"status_message",hash:{},data:d}):h))?e:"")+"\n                                </span>\n"+(null!=(e=(b.if_and||a&&a.if_and||l).call(f,null!=a?a.last_edit_timestr:a,null!=a?a.include_sender:a,{name:"if_and",hash:{},fn:c.program(27,d,0),inverse:c.noop,data:d}))?e:"")+"                            </span>\n"},25:function(c,a,b,f,d){return'                                <img class="bot-icon" title="'+
c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Bot",{name:"t",hash:{},data:d}))+'" src="/static/images/bot.svg" />\n'},27:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;return'                                <div class="message_edit_notice" title="'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(28,d,0),inverse:c.noop,data:d}))?e:"")+'">'+c.escapeExpression((b.t||a&&a.t||h).call(f,"EDITED",{name:"t",hash:{},data:d}))+"</div>\n"},28:function(c,
a,b,f,d){return"Edited (__last_edit_timestr__)"},30:function(c,a,b,f,d){var e;return'                            <span class="sender_name">'+c.escapeExpression(c.lambda(null!=(e=null!=a?a.msg:a)?e.sender_full_name:e,a))+"</span>\n"+(null!=(e=b["if"].call(null!=a?a:{},null!=a?a.sender_is_bot:a,{name:"if",hash:{},fn:c.program(31,d,0),inverse:c.noop,data:d}))?e:"")},31:function(c,a,b,f,d){return'                            <img class="bot-icon" title="'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=
a?a:{},"Bot",{name:"t",hash:{},data:d}))+'" src="/static/images/bot.svg" />\n'},33:function(c,a,b,f,d){return" notvisible"},35:function(c,a,b,f,d){return" status-time"},37:function(c,a,b,f,d){var e;return null!=(e=b.unless.call(null!=a?a:{},null!=a?a.status_message:a,{name:"unless",hash:{},fn:c.program(38,d,0),inverse:c.noop,data:d}))?e:""},38:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;return'                        <div class="message_edit_notice" title="'+(null!=(e=(b.tr||a&&
a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(28,d,0),inverse:c.noop,data:d}))?e:"")+'">'+c.escapeExpression((b.t||a&&a.t||h).call(f,"EDITED",{name:"t",hash:{},data:d}))+"</div>\n"},40:function(c,a,b,f,d){return" sender-status-controls"},42:function(c,a,b,f,d){return'                        <div class="edit_content"></div>\n'},44:function(c,a,b,f,d){var e;return'                        <div class="reactions_hover">\n                            <i class="icon-vector-smile reaction_button" data-msgid="'+
c.escapeExpression(c.lambda(null!=(e=null!=a?a.msg:a)?e.id:e,a))+'" title="'+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(45,d,0),inverse:c.noop,data:d}))?e:"")+'"></i>\n                        </div>\n'},45:function(c,a,b,f,d){return"Add emoji reaction"},47:function(c,a,b,f,d){return"Message actions"},49:function(c,a,b,f,d){return"notvisible"},51:function(c,a,b,f,d){return"icon-vector-star"},53:function(c,a,b,f,d){return"icon-vector-star-empty"},
55:function(c,a,b,f,d){return""},57:function(c,a,b,f,d){return"empty-star"},59:function(c,a,b,f,d){var e;return(null!=(e=b["if"].call(null!=a?a:{},null!=(e=null!=a?a.msg:a)?e.starred:e,{name:"if",hash:{},fn:c.program(60,d,0),inverse:c.program(62,d,0),data:d}))?e:"")+" this message"},60:function(c,a,b,f,d){return"Unstar"},62:function(c,a,b,f,d){return"Star"},64:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.use_match_properties:a,{name:"if",hash:{},fn:c.program(65,d,
0),inverse:c.program(67,d,0),data:d}))?e:""},65:function(c,a,b,f,d){var e;return null!=(e=c.lambda(null!=(e=null!=a?a.msg:a)?e.match_content:e,a))?e:""},67:function(c,a,b,f,d){var e;return null!=(e=c.lambda(null!=(e=null!=a?a.msg:a)?e.content:e,a))?e:""},69:function(c,a,b,f,d){var e;return null!=(e=b.unless.call(null!=a?a:{},null!=a?a.include_sender:a,{name:"unless",hash:{},fn:c.program(70,d,0),inverse:c.noop,data:d}))?e:""},70:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;return'                    <div class="message_edit_notice" title="'+
(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(28,d,0),inverse:c.noop,data:d}))?e:"")+'">'+c.escapeExpression((b.t||a&&a.t||h).call(f,"EDITED",{name:"t",hash:{},data:d}))+"</div>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h,l;f=c.lambda;var m=c.escapeExpression,g=null!=a?a:{},k=b.helperMissing,p=b.blockHelperMissing,n='<div zid="'+m(f(null!=(e=null!=a?a.msg:a)?e.id:e,a))+'" id="'+m((h=null!=(h=b.table_name||(null!=a?a.table_name:a))?h:k,"function"===typeof h?
h.call(g,{name:"table_name",hash:{},data:d}):h))+m(f(null!=(e=null!=a?a.msg:a)?e.id:e,a))+'"\n    class="message_row'+(null!=(e=p.call(a,f(null!=(e=null!=a?a.msg:a)?e.is_stream:e,a),{name:"msg/is_stream",hash:{},fn:c.noop,inverse:c.program(1,d,0),data:d}))?e:"");e=(h=null!=(h=b.include_sender||(null!=a?a.include_sender:a))?h:k,l={name:"include_sender",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d},"function"===typeof h?h.call(g,l):h);b.include_sender||(e=p.call(a,e,l));null!=e&&(n+=e);e=(h=null!=
(h=b.contains_mention||(null!=a?a.contains_mention:a))?h:k,l={name:"contains_mention",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d},"function"===typeof h?h.call(g,l):h);b.contains_mention||(e=p.call(a,e,l));null!=e&&(n+=e);e=(h=null!=(h=b.include_footer||(null!=a?a.include_footer:a))?h:k,l={name:"include_footer",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d},"function"===typeof h?h.call(g,l):h);b.include_footer||(e=p.call(a,e,l));null!=e&&(n+=e);n+=(null!=(e=p.call(a,f(null!=(e=null!=a?a.msg:
a)?e.unread:e,a),{name:"msg.unread",hash:{},fn:c.program(9,d,0),inverse:c.noop,data:d}))?e:"")+" "+(null!=(e=b["if"].call(g,null!=(e=null!=a?a.msg:a)?e.local_id:e,{name:"if",hash:{},fn:c.program(11,d,0),inverse:c.noop,data:d}))?e:"")+' selectable_row">\n    <div class="unread_marker"><div class="unread-marker-fill"></div></div>\n    <div class="messagebox';e=(h=null!=(h=b.include_sender||(null!=a?a.include_sender:a))?h:k,l={name:"include_sender",hash:{},fn:c.noop,inverse:c.program(13,d,0),data:d},
"function"===typeof h?h.call(g,l):h);b.include_sender||(e=p.call(a,e,l));null!=e&&(n+=e);n+=(null!=(e=p.call(a,f(null!=(e=null!=a?a.msg:a)?e.is_stream:e,a),{name:"msg/is_stream",hash:{},fn:c.noop,inverse:c.program(1,d,0),data:d}))?e:"")+" "+(null!=(e=b["if"].call(g,null!=a?a.next_is_same_sender:a,{name:"if",hash:{},fn:c.program(15,d,0),inverse:c.noop,data:d}))?e:"")+'"\n        style="box-shadow: inset 2px 0px 0px 0px '+(null!=(e=b["if"].call(g,null!=(e=null!=a?a.msg:a)?e.is_stream:e,{name:"if",hash:{},
fn:c.program(17,d,0),inverse:c.program(19,d,0),data:d}))?e:"")+", -1px 0px 0px 0px "+(null!=(e=b["if"].call(g,null!=(e=null!=a?a.msg:a)?e.is_stream:e,{name:"if",hash:{},fn:c.program(17,d,0),inverse:c.program(19,d,0),data:d}))?e:"")+';">\n        <div class="messagebox-border">\n            <div class="messagebox-content">\n                <div class="message_top_line">\n';e=(h=null!=(h=b.include_sender||(null!=a?a.include_sender:a))?h:k,l={name:"include_sender",hash:{},fn:c.program(21,d,0),inverse:c.noop,
data:d},"function"===typeof h?h.call(g,l):h);b.include_sender||(e=p.call(a,e,l));null!=e&&(n+=e);n+='                    <span class="alert-copied pull-right">'+m((b.t||a&&a.t||k).call(g,"Copied!",{name:"t",hash:{},data:d}))+'</span>\n                    <span class="message_time'+(null!=(e=b["if"].call(g,null!=(e=null!=a?a.msg:a)?e.local_id:e,{name:"if",hash:{},fn:c.program(33,d,0),inverse:c.noop,data:d}))?e:"")+(null!=(e=b["if"].call(g,null!=a?a.status_message:a,{name:"if",hash:{},fn:c.program(35,
d,0),inverse:c.noop,data:d}))?e:"")+'">'+m((h=null!=(h=b.timestr||(null!=a?a.timestr:a))?h:k,"function"===typeof h?h.call(g,{name:"timestr",hash:{},data:d}):h))+"</span>\n"+(null!=(e=(b.if_and||a&&a.if_and||k).call(g,null!=a?a.last_edit_timestr:a,null!=a?a.include_sender:a,{name:"if_and",hash:{},fn:c.program(37,d,0),inverse:c.noop,data:d}))?e:"")+'                    <div class="message_controls';e=(h=null!=(h=b.status_message||(null!=a?a.status_message:a))?h:k,l={name:"status_message",hash:{},fn:c.program(40,
d,0),inverse:c.noop,data:d},"function"===typeof h?h.call(g,l):h);b.status_message||(e=p.call(a,e,l));null!=e&&(n+=e);return n+'">\n'+(null!=(e=b["if"].call(g,null!=(e=null!=a?a.msg:a)?e.sent_by_me:e,{name:"if",hash:{},fn:c.program(42,d,0),inverse:c.program(44,d,0),data:d}))?e:"")+'                        <div class="info actions_hover">\n                            <i class="icon-vector-chevron-down" title="'+(null!=(e=(b.tr||a&&a.tr||k).call(g,a,{name:"tr",hash:{},fn:c.program(47,d,0),inverse:c.noop,
data:d}))?e:"")+'"></i>\n                        </div>\n                        <div class="message_failed '+(null!=(e=b.unless.call(g,null!=(e=null!=a?a.msg:a)?e.failed_request:e,{name:"unless",hash:{},fn:c.program(49,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                            <i class="icon-vector-refresh refresh-failed-message" data-toggle="tooltip" title="'+m((b.t||a&&a.t||k).call(g,"Retry",{name:"t",hash:{},data:d}))+'"></i>\n                            <i class="icon-vector-pencil edit-failed-message" data-toggle="tooltip" title="'+
m((b.t||a&&a.t||k).call(g,"Edit",{name:"t",hash:{},data:d}))+'"></i>\n                            <i class="icon-vector-remove-sign remove-failed-message" data-toggle="tooltip" title="'+m((b.t||a&&a.t||k).call(g,"Cancel",{name:"t",hash:{},data:d}))+'"></i>\n                        </div>\n                        <div class="star '+(null!=(e=b["if"].call(g,null!=(e=null!=a?a.msg:a)?e.starred:e,{name:"if",hash:{},fn:c.program(51,d,0),inverse:c.program(53,d,0),data:d}))?e:"")+" "+(null!=(e=b["if"].call(g,
null!=(e=null!=a?a.msg:a)?e.starred:e,{name:"if",hash:{},fn:c.program(55,d,0),inverse:c.program(57,d,0),data:d}))?e:"")+'" title="'+(null!=(e=(b.tr||a&&a.tr||k).call(g,a,{name:"tr",hash:{},fn:c.program(59,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                        </div>\n                    </div>\n                </div>\n                <div class="message_content">'+(null!=(e=b.unless.call(g,null!=a?a.status_message:a,{name:"unless",hash:{},fn:c.program(64,d,0),inverse:c.noop,data:d}))?e:
"")+"</div>\n"+(null!=(e=b["if"].call(g,null!=a?a.last_edit_timestr:a,{name:"if",hash:{},fn:c.program(69,d,0),inverse:c.noop,data:d}))?e:"")+'                <div class="message_edit">\n                    <div class="message_edit_form"></div>\n                </div>\n                <div class="message_expander message_length_controller" title="'+m((b.t||a&&a.t||k).call(g,"See the rest of this message",{name:"t",hash:{},data:d}))+'">'+m((b.t||a&&a.t||k).call(g,"[More...]",{name:"t",hash:{},data:d}))+
'</div>\n                <div class="message_condenser message_length_controller" title="'+m((b.t||a&&a.t||k).call(g,"Make this message take up less space on the screen",{name:"t",hash:{},data:d}))+'">'+m((b.t||a&&a.t||k).call(g,"[Condense this message]",{name:"t",hash:{},data:d}))+'</div>\n                <div class="message_reactions" data-message-id="'+m(f(null!=(e=null!=a?a.msg:a)?e.id:e,a))+'">'+m((b.partial||a&&a.partial||k).call(g,"message_reactions",{name:"partial",hash:{},data:d}))+"</div>\n            </div>\n        </div>\n    </div>\n</div>\n"},
useData:!0});k.message_edit_form=g({1:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'    <div class="control-group no-margin">\n        <div class="controls edit-controls">\n            <input type="text" placeholder="'+c((e=null!=(e=b.topic||(null!=a?a.topic:a))?e:h,"function"===typeof e?e.call(f,{name:"topic",hash:{},data:d}):e))+'" value="'+c((e=null!=(e=b.topic||(null!=a?a.topic:a))?e:h,"function"===typeof e?e.call(f,{name:"topic",hash:{},data:d}):e))+
'" class="message_edit_topic" id="message_edit_topic" />\n            <select class=\'message_edit_topic_propagate\' style=\'display:none;\'>\n                <option selected="selected" value="change_one"> '+c((b.t||a&&a.t||h).call(f,"Change only this message topic",{name:"t",hash:{},data:d}))+'</option>\n                <option value="change_later"> '+c((b.t||a&&a.t||h).call(f,"Change later messages to this topic",{name:"t",hash:{},data:d}))+'</option>\n                <option value="change_all"> '+
c((b.t||a&&a.t||h).call(f,"Change previous and following messages to this topic",{name:"t",hash:{},data:d}))+"</option>\n            </select>\n        </div>\n    </div>\n"},3:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'            <button type="button" class="message_edit_save btn btn-primary btn-small">'+c((b.t||a&&a.t||e).call(f,"Save",{name:"t",hash:{},data:d}))+'</button>\n            <button type="button" class="message_edit_cancel btn btn-default btn-small">'+
c((b.t||a&&a.t||e).call(f,"Cancel",{name:"t",hash:{},data:d}))+"</button>\n"},5:function(c,a,b,f,d){return'            <button type="button" class="message_edit_close btn btn-primary btn-small">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Close",{name:"t",hash:{},data:d}))+"</button>\n"},7:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;return'            <div class="message-edit-timer-control-group">\n                <span class="message_edit_countdown_timer"></span>\n                <div class="message-edit-timer-control-group">\n                    <a class="message-control-button icon-vector-font" title="'+
c.escapeExpression((b.t||a&&a.t||h).call(f,"Formatting",{name:"t",hash:{},data:d}))+'" data-overlay-trigger="markdown-help" ></a>\n                </div>\n                <span><i id="message_edit_tooltip" class="message_edit_tooltip icon-vector-question-sign" data-toggle="tooltip"\n                    title="'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(8,d,0),inverse:c.noop,data:d}))?e:"")+'"></i>\n                </span>\n            </div>\n'},8:function(c,a,b,f,d){return"This organization is configured to restrict editing of message content to __minutes_to_edit__ minutes after it is sent."},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'\n<form id="message_edit_form" class="form-horizontal">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_stream:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'    <div class="control-group no-margin">\n        <div class="controls edit-controls">\n            <button class="btn pull-right copy_message" data-toggle="tooltip" title="'+m((b.t||a&&a.t||l).call(f,
"Copy and close",{name:"t",hash:{},data:d}))+'" data-clipboard-target="#message_edit_content_'+m((h=null!=(h=b.message_id||(null!=a?a.message_id:a))?h:l,"function"===typeof h?h.call(f,{name:"message_id",hash:{},data:d}):h))+'">\n                <svg height="20" width="18" viewBox="0 0 1000 1000" xmlns="http://www.w3.org/2000/svg" id="clipboard_image">\n                    <path fill="#777" d="M128 768h256v64H128v-64z m320-384H128v64h320v-64z m128 192V448L384 640l192 192V704h320V576H576z m-288-64H128v64h160v-64zM128 704h160v-64H128v64z m576 64h64v128c-1 18-7 33-19 45s-27 18-45 19H64c-35 0-64-29-64-64V192c0-35 29-64 64-64h192C256 57 313 0 384 0s128 57 128 128h192c35 0 64 29 64 64v320h-64V320H64v576h640V768zM128 256h512c0-35-29-64-64-64h-64c-35 0-64-29-64-64s-29-64-64-64-64 29-64 64-29 64-64 64h-64c-35 0-64 29-64 64z" />\n                </svg>\n            </button>\n            <textarea class="message_edit_content" id="message_edit_content_'+
m((h=null!=(h=b.message_id||(null!=a?a.message_id:a))?h:l,"function"===typeof h?h.call(f,{name:"message_id",hash:{},data:d}):h))+'">'+m((h=null!=(h=b.content||(null!=a?a.content:a))?h:l,"function"===typeof h?h.call(f,{name:"content",hash:{},data:d}):h))+'</textarea>\n        </div>\n    </div>\n    <div class="control-group action-buttons">\n        <div class="controls edit-controls">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_editable:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.program(5,d,
0),data:d}))?e:"")+(null!=(e=b["if"].call(f,null!=a?a.has_been_editable:a,{name:"if",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+'        </div>\n    </div>\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'},useData:!0});k.message_edit_history=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing;c=c.escapeExpression;return'<div class="">\n    <div class="messagebox-border">\n        <div class="messagebox-content">\n            <div class="message_top_line"><span class="message_time">'+
c((h=null!=(h=b.timestamp||(null!=a?a.timestamp:a))?h:l,"function"===typeof h?h.call(f,{name:"timestamp",hash:{},data:d}):h))+'</span></div>\n            <div class="message_edit_content">'+(null!=(e=(h=null!=(h=b.body_to_render||(null!=a?a.body_to_render:a))?h:l,"function"===typeof h?h.call(f,{name:"body_to_render",hash:{},data:d}):h))?e:"")+'</div>\n            <div class="message_author"><div class="author_details">'+c((h=null!=(h=b.posted_or_edited||(null!=a?a.posted_or_edited:a))?h:l,"function"===
typeof h?h.call(f,{name:"posted_or_edited",hash:{},data:d}):h))+" "+c((h=null!=(h=b.edited_by||(null!=a?a.edited_by:a))?h:l,"function"===typeof h?h.call(f,{name:"edited_by",hash:{},data:d}):h))+"</div></div>\n        </div>\n    </div>\n</div>\n<hr/>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};return'\n<div class="date_row"><span id="timerender2">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(f,"Earliest",{name:"t",hash:{},data:d}))+"</span></div>\n"+(null!=
(e=b.each.call(f,null!=a?a.edited_messages:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")},useData:!0});k.draft_table_body=g({1:function(c,a,b,f,d){return"                "+c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"draft",{name:"partial",hash:{},data:d}))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="draft_overlay" class="overlay new-style" data-overlay="drafts">\n    <div class="flex overlay-content">\n        <div class="drafts-container">\n            <div class="drafts-header">\n                <h1>'+
l((b.t||a&&a.t||h).call(f,"Drafts",{name:"t",hash:{},data:d}))+'</h1>\n                <div class="exit">\n                    <span class="exit-sign">&times;</span>\n                </div>\n            </div>\n            <div class="drafts-list">\n                <div class="no-drafts">\n                    '+l((b.t||a&&a.t||h).call(f,"No drafts.",{name:"t",hash:{},data:d}))+"\n                </div>\n\n"+(null!=(e=b.each.call(f,null!=a?a.drafts:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,
data:d}))?e:"")+"            </div>\n        </div>\n    </div>\n</div>\n"},useData:!0});k.invite_subscription=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'\n    <label class="checkbox display-block">\n        <input type="checkbox" name="stream" value="'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'"\n               '+(null!=(e=b["if"].call(f,null!=a?a.default_stream:a,{name:"if",
hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+" />\n        <span></span>\n        "+(null!=(e=b["if"].call(f,null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(4,d,0),inverse:c.noop,data:d}))?e:"")+'\n        <label class="inline-block">'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+"</label>\n    </label>\n"},2:function(c,a,b,f,d){return'checked="checked"'},4:function(c,a,b,f,d){return'<i class="icon-vector-lock"></i>'},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<a href="#" class="invite_check_all_button">'+l((b.t||a&&a.t||h).call(f,"Check all",{name:"t",hash:{},data:d}))+'</a> |\n<a href="#" class="invite_uncheck_all_button">'+l((b.t||a&&a.t||h).call(f,"Uncheck all",{name:"t",hash:{},data:d}))+'</a>\n<div id="invite-stream-checkboxes" class="new-style">\n'+(null!=(e=b.each.call(f,null!=a?a.streams:a,{name:"each",hash:{},fn:c.program(1,
d,0),inverse:c.noop,data:d}))?e:"")+"</div>\n"},useData:!0});k.stream_sidebar_row=g({1:function(c,a,b,f,d){return" out_of_home_view"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'\n<li data-name="'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'" class="narrow-filter'+(null!=(e=b["if"].call(f,null!=a?a.not_in_home_view:a,{name:"if",hash:{},fn:c.program(1,d,
0),inverse:c.noop,data:d}))?e:"")+'"\n    id="stream_sidebar_'+m((h=null!=(h=b.id||(null!=a?a.id:a))?h:l,"function"===typeof h?h.call(f,{name:"id",hash:{},data:d}):h))+'">\n    <div class="subscription_block selectable_sidebar_block" data-name="'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'">\n\n        <span id="stream_sidebar_privacy_swatch_'+m((h=null!=(h=b.id||(null!=a?a.id:a))?h:l,"function"===typeof h?h.call(f,{name:"id",hash:{},
data:d}):h))+'" class="stream-privacy" style="color: '+m((h=null!=(h=b.color||(null!=a?a.color:a))?h:l,"function"===typeof h?h.call(f,{name:"color",hash:{},data:d}):h))+'">\n            '+m((b.partial||a&&a.partial||l).call(f,"stream_privacy",{name:"partial",hash:{},data:d}))+'\n        </span>\n\n        <a href="'+m((h=null!=(h=b.uri||(null!=a?a.uri:a))?h:l,"function"===typeof h?h.call(f,{name:"uri",hash:{},data:d}):h))+'" class="stream-name">'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===
typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'</a>\n\n        <div class="count"><div class="value"></div></div>\n    </div>\n    <span class="arrow stream-sidebar-arrow"><i class="icon-vector-chevron-down"></i></span>\n\n</li>\n'},useData:!0});k.stream_sidebar_actions=g({1:function(c,a,b,f,d){return"Narrow to stream <b>__stream.name__</b>"},3:function(c,a,b,f,d){var e;return"                "+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(4,
d,0),inverse:c.noop,data:d}))?e:"")+"\n"},4:function(c,a,b,f,d){return"Unpin stream <b>__stream.name__</b> from top"},6:function(c,a,b,f,d){var e;return"                "+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+"\n"},7:function(c,a,b,f,d){return"Pin stream <b>__stream.name__</b> to top"},9:function(c,a,b,f,d){return"Compose a message to stream <b>__stream.name__</b>"},11:function(c,a,b,f,d){return"Mark all messages in <b>__stream.name__</b> as read"},
13:function(c,a,b,f,d){var e;return'                <i class="icon-vector-eye-close"></i>\n                '+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(14,d,0),inverse:c.noop,data:d}))?e:"")+"\n"},14:function(c,a,b,f,d){return"Mute the stream <b>__stream.name__</b>"},16:function(c,a,b,f,d){var e;return'                <i class="icon-vector-eye-open"></i>\n                '+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",
hash:{},fn:c.program(17,d,0),inverse:c.noop,data:d}))?e:"")+"\n"},17:function(c,a,b,f,d){return"Unmute the stream <b>__stream.name__</b>"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=c.lambda;var h=c.escapeExpression,l=null!=a?a:{},m=b.helperMissing;return'<ul class="nav nav-list streams_popover" data-id="'+h(f(null!=(e=null!=a?a.stream:a)?e.stream_id:e,a))+'" data-name="'+h(f(null!=(e=null!=a?a.stream:a)?e.name:e,a))+'">\n    <li>\n        <a class="open_stream_settings">\n            <i class="icon-vector-cog"></i>\n            '+
h((b.t||a&&a.t||m).call(l,"Stream settings",{name:"t",hash:{},data:d}))+'\n        </a>\n    </li>\n    <li>\n        <a class="narrow_to_stream">\n            <i class="icon-vector-bullhorn"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||m).call(l,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n        </a>\n    </li>\n    <li>\n        <a class="pin_to_top">\n            <i class="icon-vector-pushpin stream-pin-icon"></i>\n'+(null!=(e=b["if"].call(l,null!=(e=null!=a?a.stream:
a)?e.pin_to_top:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.program(6,d,0),data:d}))?e:"")+'        </a>\n    </li>\n    <li>\n        <a class="compose_to_stream">\n            <i class="icon-vector-edit"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||m).call(l,a,{name:"tr",hash:{},fn:c.program(9,d,0),inverse:c.noop,data:d}))?e:"")+'\n        </a>\n    </li>\n    <li>\n        <a class="mark_stream_as_read">\n            <i class="icon-vector-book"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||
m).call(l,a,{name:"tr",hash:{},fn:c.program(11,d,0),inverse:c.noop,data:d}))?e:"")+'\n        </a>\n    </li>\n    <li>\n        <a class="toggle_home">\n'+(null!=(e=b["if"].call(l,null!=(e=null!=a?a.stream:a)?e.in_home_view:e,{name:"if",hash:{},fn:c.program(13,d,0),inverse:c.program(16,d,0),data:d}))?e:"")+'        </a>\n    </li>\n    <li>\n        <a class="popover_sub_unsub_button" data-name="'+h(f(null!=(e=null!=a?a.stream:a)?e.name:e,a))+"\">\n            <i class='icon-vector-envelope'></i>\n            "+
h((b.t||a&&a.t||m).call(l,"Unsubscribe",{name:"t",hash:{},data:d}))+'\n        </a>\n    </li>\n    <li>\n        <span class="colorpicker-container"><input stream_id="'+h(f(null!=(e=null!=a?a.stream:a)?e.stream_id:e,a))+'" class="colorpicker" type="text" value="'+h(f(null!=(e=null!=a?a.stream:a)?e.color:e,a))+'" /></span>\n        <a class="custom_color">'+h((b.t||a&&a.t||m).call(l,"Choose custom color",{name:"t",hash:{},data:d}))+"</a>\n    </li>\n\n</ul>\n"},useData:!0});k.admin_emoji_list=g({1:function(c,
a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'<tr class="emoji_row" id="emoji_'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'">\n    <td>\n        <span class="emoji_name">'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'</span>\n    </td>\n    <td>\n        <span class="emoji_image"><a href="'+m((h=null!=(h=b.source_url||(null!=a?
a.source_url:a))?h:l,"function"===typeof h?h.call(f,{name:"source_url",hash:{},data:d}):h))+'"><img src="'+m((h=null!=(h=b.source_url||(null!=a?a.source_url:a))?h:l,"function"===typeof h?h.call(f,{name:"source_url",hash:{},data:d}):h))+'" alt="'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'" /></a></span>\n    </td>\n    <td>\n'+(null!=(e=b["if"].call(f,null!=a?a.author:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.program(4,
d,0),data:d}))?e:"")+'    </td>\n    <td>\n        <button class="button white rounded small delete btn-danger" '+(null!=(e=b.unless.call(f,null!=a?a.can_admin_emoji:a,{name:"unless",hash:{},fn:c.program(6,d,0),inverse:c.noop,data:d}))?e:"")+' data-emoji-name="'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'">\n            <i class="icon-vector-trash" aria-hidden="true"></i>\n        </button>\n    </td>\n</tr>\n'},2:function(c,a,b,
f,d){var e;return'        <span class="emoji_author">'+c.escapeExpression(c.lambda(null!=(e=null!=a?a.author:a)?e.full_name:e,a))+"</span>\n"},4:function(c,a,b,f,d){return'        <span class="emoji_author">Unknown Author</span>\n'},6:function(c,a,b,f,d){return'disabled="disabled"'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["with"].call(null!=a?a:{},null!=a?a.emoji:a,{name:"with",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.subscription_stream_privacy_modal=
g({1:function(c,a,b,f,d){var e;return null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:""},2:function(c,a,b,f,d){return'            This stream is currently <span class="icon-vector-lock"></span> <b>an invite-only stream</b>\n            which means only invited members can join and access its content. Making it public will make\n            it possible for anyone in your organization to join and access it.\n'},4:function(c,
a,b,f,d){var e;return null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:""},5:function(c,a,b,f,d){return'            This stream is currently <span class="icon-vector-globe"></span> <b>a public stream</b>\n            which means anyone in the organization can join it. Making it private will mean that\n            only the invited members can join and access its content. Members of the stream can\n            invite others.\n'},
7:function(c,a,b,f,d){return" btn-primary"},9:function(c,a,b,f,d){return" btn-danger"},11:function(c,a,b,f,d){return"            "+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Make stream public",{name:"t",hash:{},data:d}))+"\n"},13:function(c,a,b,f,d){return"            "+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Make stream invite-only",{name:"t",hash:{},data:d}))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=
b.helperMissing,m=c.escapeExpression;return'<div id="stream_privacy_modal" class="modal" tabindex="-1" role="dialog" aria-labelledby="stream_privacy_modal_label" aria-hidden="true">\n    <div class="modal-header">\n        <button type="button" class="close close-privacy-modal" aria-hidden="true">\u00d7</button>\n        <h3 id="stream_privacy_modal_label">'+m((b.t||a&&a.t||l).call(f,"Change stream privacy",{name:"t",hash:{},data:d}))+' <span class="email"></span></h3>\n    </div>\n    <div class="modal-body">\n'+
(null!=(e=b["if"].call(f,null!=a?a.is_private:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(4,d,0),data:d}))?e:"")+'    </div>\n    <div class="modal-footer">\n        <button class="btn btn-default close-privacy-modal" aria-hidden="true">'+m((b.t||a&&a.t||l).call(f,"Cancel",{name:"t",hash:{},data:d}))+'</button>\n        <button class="btn'+(null!=(e=b["if"].call(f,null!=a?a.is_private:a,{name:"if",hash:{},fn:c.program(7,d,0),inverse:c.program(9,d,0),data:d}))?e:"")+'" id="change-stream-privacy-button"\n            tabindex="-1" data-stream-id="'+
m((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_private:a,{name:"if",hash:{},fn:c.program(11,d,0),inverse:c.program(13,d,0),data:d}))?e:"")+"        </button>\n    </div>\n</div>\n"},useData:!0});k.typing_notification=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){b=c.lambda;c=c.escapeExpression;return'<li data-email="'+c(b(null!=a?a.email:a,a))+'" class="typing_notification">'+
c(b(null!=a?a.full_name:a,a))+" is typing...</li>\n"},useData:!0});k.tutorial_message=g({1:function(c,a,b,f,d){return"<p>Messages in Zulip go to a <b>stream</b> and have a <b>topic</b>.</p>"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((h=null!=(h=b.placement||(null!=a?a.placement:a))?h:l,"function"===typeof h?h.call(f,{name:"placement",hash:{},data:d}):h))+'" id="tutorial-message">\n    '+
(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n\n    <div class="tutorial-done-button">\n        <center>\n            <button class="btn btn-skip" type="submit" id="tutorial-message-skip">'+m((b.t||a&&a.t||l).call(f,"Exit tutorial",{name:"t",hash:{},data:d}))+'</button>\n            <button class="btn btn-primary" type="submit" id="tutorial-message-next">'+m((b.t||a&&a.t||l).call(f,"Next",{name:"t",hash:{},data:d}))+"</button>\n        </center>\n    </div>\n</div>\n"},
useData:!0});k.user_info_popover=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return'<div class="popover '+c.escapeExpression((e=null!=(e=b["class"]||(null!=a?a["class"]:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"class",hash:{},data:d}):e))+'">\n    <div class="popover-inner">\n        <div class="popover-title"></div>\n        <div class="popover-content">\n            <div></div>\n        </div>\n    </div>\n</div>\n'},useData:!0});k.actions_popover_content=
g({1:function(c,a,b,f,d){return"icon-vector-pencil"},3:function(c,a,b,f,d){return"icon-vector-file-text-alt"},5:function(c,a,b,f,d){return"icon-vector-plus"},7:function(c,a,b,f,d){return"icon-vector-minus"},9:function(c,a,b,f,d){return c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Un-collapse",{name:"t",hash:{},data:d}))},11:function(c,a,b,f,d){return c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Collapse",{name:"t",hash:{},data:d}))},13:function(c,a,
b,f,d){var e;f=c.escapeExpression;return'    <li>\n        <a href="#" class="view_edit_history" data-msgid="'+f(c.lambda(null!=(e=null!=a?a.message:a)?e.id:e,a))+'">\n            <i class="icon-vector-time"></i>\n            '+f((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"View edit history",{name:"t",hash:{},data:d}))+"\n        </a>\n    </li>\n"},15:function(c,a,b,f,d){var e;f=c.escapeExpression;return'    <li>\n        <a href="#" class="delete_message" data-message-id="'+f(c.lambda(null!=
(e=null!=a?a.message:a)?e.id:e,a))+'">\n            <i class="icon-vector-remove"></i>\n            '+f((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Delete message",{name:"t",hash:{},data:d}))+"\n        </a>\n    </li>\n"},17:function(c,a,b,f,d){var e;f=c.lambda;var h=c.escapeExpression;return'    <li>\n        <a href="#" class="popover_mute_topic" data-msg-stream="'+h(f(null!=(e=null!=a?a.message:a)?e.stream:e,a))+'" data-msg-topic="'+h(f(null!=(e=null!=a?a.message:a)?e.subject:e,a))+'">\n            <i class="icon-vector-eye-close"></i>\n            '+
(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},null!=a?a.message:a,{name:"tr",hash:{},fn:c.program(18,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n"},18:function(c,a,b,f,d){return"Mute the topic <b>__subject__</b>"},20:function(c,a,b,f,d){var e;f=c.lambda;var h=c.escapeExpression;return'    <li>\n        <a href="#" class="popover_unmute_topic" data-msg-stream="'+h(f(null!=(e=null!=a?a.message:a)?e.stream:e,a))+'" data-msg-topic="'+h(f(null!=(e=null!=a?a.message:a)?
e.subject:e,a))+'">\n            <i class="icon-vector-eye-open"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},null!=a?a.message:a,{name:"tr",hash:{},fn:c.program(21,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n"},21:function(c,a,b,f,d){return"Unmute the topic <b>__subject__</b>"},23:function(c,a,b,f,d){var e;return'    <li>\n        <a href="#" class="reaction_button" data-message-id="'+c.escapeExpression(c.lambda(null!=(e=null!=a?a.message:a)?
e.id:e,a))+'">\n            <i class="icon-vector-smile"></i>\n            '+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=a?a:{},null!=a?a.message:a,{name:"tr",hash:{},fn:c.program(24,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n"},24:function(c,a,b,f,d){return"Add emoji reaction"},26:function(c,a,b,f,d){return'    <li class="small">('+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Message sent when you were not subscribed",{name:"t",hash:{},data:d}))+
")</li>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=c.lambda;var l=c.escapeExpression,m=null!=a?a:{},g=b.helperMissing;return'<ul class="nav nav-list actions_popover pull-right">\n    <li>\n        <a href="#" class="popover_edit_message" data-message-id="'+l(f(null!=(e=null!=a?a.message:a)?e.id:e,a))+'">\n            <i class="'+(null!=(e=b["if"].call(m,null!=a?a.use_edit_icon:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:"")+'"></i> '+l((h=null!=
(h=b.editability_menu_item||(null!=a?a.editability_menu_item:a))?h:g,"function"===typeof h?h.call(m,{name:"editability_menu_item",hash:{},data:d}):h))+'\n        </a>\n    </li>\n\n    <li>\n        <a href="#" class="respond_button" data-message-id="'+l(f(null!=(e=null!=a?a.message:a)?e.id:e,a))+'">\n            <i class="icon-vector-share-alt"></i> '+l((b.t||a&&a.t||g).call(m,"Quote and reply",{name:"t",hash:{},data:d}))+'\n        </a>\n    </li>\n\n    <li>\n        <a href="#" class="popover_toggle_collapse" data-message-id="'+
l(f(null!=(e=null!=a?a.message:a)?e.id:e,a))+'">\n            <i class="'+(null!=(e=b["if"].call(m,null!=(e=null!=a?a.message:a)?e.collapsed:e,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.program(7,d,0),data:d}))?e:"")+'"></i>\n            '+(null!=(e=b["if"].call(m,null!=(e=null!=a?a.message:a)?e.collapsed:e,{name:"if",hash:{},fn:c.program(9,d,0),inverse:c.program(11,d,0),data:d}))?e:"")+"\n        </a>\n    </li>\n\n"+(null!=(e=b["if"].call(m,null!=a?a.should_display_edit_history_option:a,{name:"if",
hash:{},fn:c.program(13,d,0),inverse:c.noop,data:d}))?e:"")+(null!=(e=b["if"].call(m,null!=a?a.should_display_delete_option:a,{name:"if",hash:{},fn:c.program(15,d,0),inverse:c.noop,data:d}))?e:"")+(null!=(e=b["if"].call(m,null!=a?a.can_mute_topic:a,{name:"if",hash:{},fn:c.program(17,d,0),inverse:c.noop,data:d}))?e:"")+"\n"+(null!=(e=b["if"].call(m,null!=a?a.can_unmute_topic:a,{name:"if",hash:{},fn:c.program(20,d,0),inverse:c.noop,data:d}))?e:"")+"\n"+(null!=(e=b["if"].call(m,null!=a?a.should_display_add_reaction_option:
a,{name:"if",hash:{},fn:c.program(23,d,0),inverse:c.noop,data:d}))?e:"")+'\n    <li>\n        <a href="#" class="copy_link" data-message-id="'+l(f(null!=(e=null!=a?a.message:a)?e.id:e,a))+'" data-clipboard-text="'+l((h=null!=(h=b.conversation_time_uri||(null!=a?a.conversation_time_uri:a))?h:g,"function"===typeof h?h.call(m,{name:"conversation_time_uri",hash:{},data:d}):h))+'">\n            <i class="icon-vector-link"></i> '+l((b.t||a&&a.t||g).call(m,"Copy link to conversation",{name:"t",hash:{},data:d}))+
"\n        </a>\n    </li>\n\n"+(null!=(e=b["if"].call(m,null!=(e=null!=a?a.message:a)?e.historical:e,{name:"if",hash:{},fn:c.program(26,d,0),inverse:c.noop,data:d}))?e:"")+"</ul>\n"},useData:!0});k.loader=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){return'<svg width=\'100%\' height=\'100%\' xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" class="uil-ring">\n    <rect x="0" y="0" width="100" height="100" fill="none" class="bk"></rect>\n    <defs>\n        <filter id="uil-ring-shadow" x="-100%" y="-100%" width="300%" height="300%">\n            <feOffset result="offOut" in="SourceGraphic" dx="0" dy="0"></feOffset>\n            <feGaussianBlur result="blurOut" in="offOut" stdDeviation="0"></feGaussianBlur>\n            <feBlend in="SourceGraphic" in2="blurOut" mode="normal"></feBlend>\n        </filter>\n    </defs>\n    <path d="M10,50c0,0,0,0.5,0.1,1.4c0,0.5,0.1,1,0.2,1.7c0,0.3,0.1,0.7,0.1,1.1c0.1,0.4,0.1,0.8,0.2,1.2c0.2,0.8,0.3,1.8,0.5,2.8 c0.3,1,0.6,2.1,0.9,3.2c0.3,1.1,0.9,2.3,1.4,3.5c0.5,1.2,1.2,2.4,1.8,3.7c0.3,0.6,0.8,1.2,1.2,1.9c0.4,0.6,0.8,1.3,1.3,1.9 c1,1.2,1.9,2.6,3.1,3.7c2.2,2.5,5,4.7,7.9,6.7c3,2,6.5,3.4,10.1,4.6c3.6,1.1,7.5,1.5,11.2,1.6c4-0.1,7.7-0.6,11.3-1.6 c3.6-1.2,7-2.6,10-4.6c3-2,5.8-4.2,7.9-6.7c1.2-1.2,2.1-2.5,3.1-3.7c0.5-0.6,0.9-1.3,1.3-1.9c0.4-0.6,0.8-1.3,1.2-1.9 c0.6-1.3,1.3-2.5,1.8-3.7c0.5-1.2,1-2.4,1.4-3.5c0.3-1.1,0.6-2.2,0.9-3.2c0.2-1,0.4-1.9,0.5-2.8c0.1-0.4,0.1-0.8,0.2-1.2 c0-0.4,0.1-0.7,0.1-1.1c0.1-0.7,0.1-1.2,0.2-1.7C90,50.5,90,50,90,50s0,0.5,0,1.4c0,0.5,0,1,0,1.7c0,0.3,0,0.7,0,1.1 c0,0.4-0.1,0.8-0.1,1.2c-0.1,0.9-0.2,1.8-0.4,2.8c-0.2,1-0.5,2.1-0.7,3.3c-0.3,1.2-0.8,2.4-1.2,3.7c-0.2,0.7-0.5,1.3-0.8,1.9 c-0.3,0.7-0.6,1.3-0.9,2c-0.3,0.7-0.7,1.3-1.1,2c-0.4,0.7-0.7,1.4-1.2,2c-1,1.3-1.9,2.7-3.1,4c-2.2,2.7-5,5-8.1,7.1 c-0.8,0.5-1.6,1-2.4,1.5c-0.8,0.5-1.7,0.9-2.6,1.3L66,87.7l-1.4,0.5c-0.9,0.3-1.8,0.7-2.8,1c-3.8,1.1-7.9,1.7-11.8,1.8L47,90.8 c-1,0-2-0.2-3-0.3l-1.5-0.2l-0.7-0.1L41.1,90c-1-0.3-1.9-0.5-2.9-0.7c-0.9-0.3-1.9-0.7-2.8-1L34,87.7l-1.3-0.6 c-0.9-0.4-1.8-0.8-2.6-1.3c-0.8-0.5-1.6-1-2.4-1.5c-3.1-2.1-5.9-4.5-8.1-7.1c-1.2-1.2-2.1-2.7-3.1-4c-0.5-0.6-0.8-1.4-1.2-2 c-0.4-0.7-0.8-1.3-1.1-2c-0.3-0.7-0.6-1.3-0.9-2c-0.3-0.7-0.6-1.3-0.8-1.9c-0.4-1.3-0.9-2.5-1.2-3.7c-0.3-1.2-0.5-2.3-0.7-3.3 c-0.2-1-0.3-2-0.4-2.8c-0.1-0.4-0.1-0.8-0.1-1.2c0-0.4,0-0.7,0-1.1c0-0.7,0-1.2,0-1.7C10,50.5,10,50,10,50z" fill="#444" filter="url(#uil-ring-shadow)">\n        <animateTransform attributeName="transform" type="rotate" from="0 50 50" to="360 50 50" repeatCount="indefinite" dur="1s"></animateTransform>\n    </path>\n</svg>\n'},
useData:!0});k.new_stream_users=g({1:function(c,a,b,f,d){b=c.lambda;c=c.escapeExpression;return'    <label class="checkbox add-user-label" data-stream-id="'+c(b(null!=a?a.stream_id:a,a))+'" data-stream-name="'+c(b(null!=a?a.name:a,a))+'">\n        <input type="checkbox" name="stream" value="'+c(b(null!=a?a.name:a,a))+'" />\n        <span></span>\n        '+c(b(null!=a?a.name:a,a))+' ( <i class="icon-vector-user"></i> '+c(b(null!=a?a.subscriber_count:a,a))+")\n    </label>\n"},3:function(c,a,b,f,d){b=
c.lambda;c=c.escapeExpression;return'    <label class="checkbox add-user-label" data-user-id="'+c(b(null!=a?a.user_id:a,a))+'" data-email="'+c(b(null!=a?a.email:a,a))+'">\n        <input type="checkbox" name="user" value="'+c(b(null!=a?a.email:a,a))+'" />\n        <span></span>\n        '+c(b(null!=a?a.full_name:a,a))+" ("+c(b(null!=a?a.email:a,a))+")\n    </label>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'\n<div id="copy-from-stream-expand-collapse" class="add-user-label">\n    <i class="toggle icon-vector-caret-right"></i>\n    <span class="control-label">\n        '+
l((b.t||a&&a.t||h).call(f,"Copy from stream",{name:"t",hash:{},data:d}))+'\n    </span>\n</div>\n\n<div id="stream-checkboxes">\n'+(null!=(e=b.each.call(f,null!=a?a.streams:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'</div>\n\n<br />\n<input class="add-user-list-filter" name="user_list_filter" type="text"\n autocomplete="off" placeholder="'+l((b.t||a&&a.t||h).call(f,"Filter",{name:"t",hash:{},data:d}))+'" />\n\n\n<div>\n    <a href="#" draggable="false" class="subs_set_all_users">'+
l((b.t||a&&a.t||h).call(f,"Check all",{name:"t",hash:{},data:d}))+'</a> |\n    <a href="#" draggable="false" class="subs_unset_all_users">'+l((b.t||a&&a.t||h).call(f,"Uncheck all",{name:"t",hash:{},data:d}))+'</a>\n</div>\n\n<div id="user-checkboxes">\n'+(null!=(e=b.each.call(f,null!=a?a.users:a,{name:"each",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+"</div>\n"},useData:!0});k.stream_member_list_entry=g({1:function(c,a,b,f,d){return'    <td class="unsubscribe">\n        <div class="subscriber_list_remove">\n            <form class="form-inline remove-subscriber-form">\n                <input type="submit" name="unsubscribe" value="'+
c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Unsubscribe",{name:"t",hash:{},data:d}))+'"\n                       class="btn btn-danger remove-subscriber-button" />\n            </form>\n        </div>\n    </td>\n'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'<tr data-subscriber-email="'+m((h=null!=(h=b.email||(null!=a?a.email:a))?h:l,"function"===typeof h?h.call(f,{name:"email",hash:{},data:d}):
h))+'">\n    <td class="subscriber-name">'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'</td>\n    <td class="subscriber-email">'+m((h=null!=(h=b.email||(null!=a?a.email:a))?h:l,"function"===typeof h?h.call(f,{name:"email",hash:{},data:d}):h))+"</td>\n"+(null!=(e=b["if"].call(f,null!=a?a.displaying_for_admin:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</tr>\n"},useData:!0});k.bot_owner_select=g({1:function(c,
a,b,f,d){b=c.lambda;c=c.escapeExpression;return"    <option value='"+c(b(null!=a?a.email:a,a))+"'>"+c(b(null!=a?a.full_name:a,a))+"</option>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return"<select name=\"bot_owner_select\">\n    <option value=''></option>\n"+(null!=(e=b.each.call(null!=a?a:{},null!=a?a.users_list:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</select>\n"},useData:!0});k.propagate_notification_change=g({compiler:[7,">= 4.0.0"],main:function(c,
a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return"<div>\n    <p>"+c((b.t||a&&a.t||e).call(f,"Apply this change to all stream subscriptions?",{name:"t",hash:{},data:d}))+'</p>\n\n    <div class="control-group">\n        <div class="controls propagate-notifications-controls">\n            <button type="button"\n                    class="yes_propagate_notifications btn btn-primary btn-small">'+c((b.t||a&&a.t||e).call(f,"Yes",{name:"t",hash:{},data:d}))+'</button>\n            <button type="button"\n                    class="no_propagate_notifications btn btn-default btn-small">'+
c((b.t||a&&a.t||e).call(f,"No",{name:"t",hash:{},data:d}))+"</button>\n        </div>\n    </div>\n</div>\n"},useData:!0});k.group_pms=g({1:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'<li data-user-ids="'+c((e=null!=(e=b.user_ids_string||(null!=a?a.user_ids_string:a))?e:h,"function"===typeof e?e.call(f,{name:"user_ids_string",hash:{},data:d}):e))+'" class="group-pms-sidebar-entry narrow-filter">\n    <span class="selectable_sidebar_block">\n        <span class="group-pm-status-indicator" style="background:rgba(68,194,29,'+
c((e=null!=(e=b.fraction_present||(null!=a?a.fraction_present:a))?e:h,"function"===typeof e?e.call(f,{name:"fraction_present",hash:{},data:d}):e))+');"></span>\n        <a href="'+c((e=null!=(e=b.href||(null!=a?a.href:a))?e:h,"function"===typeof e?e.call(f,{name:"href",hash:{},data:d}):e))+'" data-name="'+c((e=null!=(e=b.name||(null!=a?a.name:a))?e:h,"function"===typeof e?e.call(f,{name:"name",hash:{},data:d}):e))+'" title="'+c((e=null!=(e=b.name||(null!=a?a.name:a))?e:h,"function"===typeof e?e.call(f,
{name:"name",hash:{},data:d}):e))+'" class="group-pm-link">'+c((e=null!=(e=b.short_name||(null!=a?a.short_name:a))?e:h,"function"===typeof e?e.call(f,{name:"short_name",hash:{},data:d}):e))+'</a>\n    </span>\n    <span class="count"><span class="value"></span></span>\n</li>\n'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b.each.call(null!=a?a:{},null!=a?a.group_pms:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.tutorial_home=g({1:function(c,
a,b,f,d){return"    <p>You can <b>narrow</b> to a stream or topic by <b>clicking on it</b>, or\n       see messages from all streams at once from your Home view.</p>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((h=null!=(h=b.placement||(null!=a?a.placement:a))?h:l,"function"===typeof h?h.call(f,{name:"placement",hash:{},data:d}):h))+'" id="tutorial-home">\n\n'+(null!=(e=(b.tr||
a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n    <div class="tutorial-done-button">\n        <button class="btn btn-primary" type="submit" id="tutorial-home-next">'+m((b.t||a&&a.t||l).call(f,"Next",{name:"t",hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.subscription=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return'<div class="stream-row" data-stream-id="'+m((h=null!=(h=b.stream_id||
(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" data-stream-name="'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'">\n    <div class="check '+(null!=(e=b["if"].call(f,null!=a?a.subscribed:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+' sub_unsub_button">\n        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">\n            <path d="M448,71.9c-17.3-13.4-41.5-9.3-54.1,9.1L214,344.2l-99.1-107.3c-14.6-16.6-39.1-17.4-54.7-1.8 c-15.6,15.5-16.4,41.6-1.7,58.1c0,0,120.4,133.6,137.7,147c17.3,13.4,41.5,9.3,54.1-9.1l206.3-301.7 C469.2,110.9,465.3,85.2,448,71.9z"/>\n        </svg>\n    </div>\n    '+
m((b.partial||a&&a.partial||l).call(f,"subscription_setting_icon",{name:"partial",hash:{},data:d}))+'\n    <div class="sub-info-box">\n        <div class="top-bar">\n            <div class="stream-name">'+m((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'</div>\n            <div class="subscriber-count">\n                <span class="subscriber-count-text">'+m((h=null!=(h=b.subscriber_count||(null!=a?a.subscriber_count:a))?h:l,"function"===
typeof h?h.call(f,{name:"subscriber_count",hash:{},data:d}):h))+'</span>\n                <i class="icon-vector-user"></i>\n            </div>\n        </div>\n        <div class="description" data-no-description="'+m((b.t||a&&a.t||l).call(f,"No description.",{name:"t",hash:{},data:d}))+'">'+(null!=(e=(h=null!=(h=b.rendered_description||(null!=a?a.rendered_description:a))?h:l,"function"===typeof h?h.call(f,{name:"rendered_description",hash:{},data:d}):h))?e:"")+"</div>\n    </div>\n</div>\n"},2:function(c,
a,b,f,d){return"checked"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.compose_notification=g({1:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'<a href="#" class="'+c((e=null!=(e=b.link_class||(null!=a?a.link_class:a))?e:h,"function"===typeof e?e.call(f,{name:"link_class",hash:{},data:d}):e))+'" data-msgid="'+c((e=
null!=(e=b.link_msg_id||(null!=a?a.link_msg_id:a))?e:h,"function"===typeof e?e.call(f,{name:"link_msg_id",hash:{},data:d}):e))+'">'+c((e=null!=(e=b.link_text||(null!=a?a.link_text:a))?e:h,"function"===typeof e?e.call(f,{name:"link_text",hash:{},data:d}):e))+"</a>"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'<div class="compose-notifications-content">\n    '+c.escapeExpression((h=null!=(h=b.note||(null!=a?a.note:a))?h:b.helperMissing,"function"===typeof h?h.call(f,
{name:"note",hash:{},data:d}):h))+" "+(null!=(e=b["if"].call(f,null!=a?a.link_class:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n    <button type="button" class="out-of-view-notification-close close">\u00d7</button>\n</div>\n'},useData:!0});k.topic_edit_form=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){return'\n<form id="topic_edit_form" class="form-horizontal">\n    <input type="text" value="" class="inline_topic_edit header-v" id="inline_topic_edit" />\n    <button type="button" class="topic_edit_save primary"><i class="icon-vector-ok"></i></button>\n    <button type="button" class="topic_edit_cancel primary"><i class="icon-vector-remove"></i></button>\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'},
useData:!0});k.subscription_type=g({1:function(c,a,b,f,d){return c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},'This is an <span class="icon-vector-lock"></span> <b>invite-only stream</b>. Only people who have been invited can access its content, but&nbsp;any&nbsp;member&nbsp;of&nbsp;the&nbsp;stream can&nbsp;invite&nbsp;others.',{name:"t",hash:{},data:d}))+"\n"},3:function(c,a,b,f,d){return c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},'This is a <span class="icon-vector-globe"></span> <b>public stream</b>. Anybody in your organization can join.',
{name:"t",hash:{},data:d}))},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return(null!=(e=b["if"].call(null!=a?a:{},null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:"")+"\n"},useData:!0});k.announce_stream_docs=g({1:function(c,a,b,f,d){return"    <p>Lets everyone know about the new stream,<br />\n    even if you don't add them.</p>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return"<div>\n\n"+(null!=(e=(b.tr||a&&a.tr||b.helperMissing).call(null!=
a?a:{},a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"\n</div>\n"},useData:!0});k.tutorial_title=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'\n<h4 class="popover-'+c((e=null!=(e=b.placement||(null!=a?a.placement:a))?e:h,"function"===typeof e?e.call(f,{name:"placement",hash:{},data:d}):e))+'">'+c((e=null!=(e=b.title||(null!=a?a.title:a))?e:h,"function"===typeof e?e.call(f,{name:"title",hash:{},
data:d}):e))+"</h4>\n"},useData:!0});k.subscription_setting_icon=g({1:function(c,a,b,f,d){return'        <i class="icon-vector-lock"></i>\n'},3:function(c,a,b,f,d){return'        <span class="hashtag">#</span>\n'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'<div class="icon" style="background-color: '+c.escapeExpression((h=null!=(h=b.color||(null!=a?a.color:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"color",hash:{},data:d}):h))+'">\n    <div class="flex">\n'+
(null!=(e=b["if"].call(f,null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:"")+"    </div>\n</div>\n"},useData:!0});k.topic_list_item=g({1:function(c,a,b,f,d){return"zero-subject-unreads"},3:function(c,a,b,f,d){return"muted_topic"},5:function(c,a,b,f,d){return"zero_count"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,m=c.escapeExpression;return"<li class='"+(null!=(e=b["if"].call(f,null!=a?a.is_zero:
a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+" "+(null!=(e=b["if"].call(f,null!=a?a.is_muted:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+" topic-list-item' data-name='"+m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+"'>\n    <span class='topic-box'>\n        <a href='"+m((h=null!=(h=b.url||(null!=a?a.url:a))?h:l,"function"===typeof h?h.call(f,{name:"url",hash:{},
data:d}):h))+'\' class="topic-name" title="'+m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+'">\n            '+m((h=null!=(h=b.topic_name||(null!=a?a.topic_name:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_name",hash:{},data:d}):h))+'\n        </a>\n        <div class="topic-unread-count '+(null!=(e=b["if"].call(f,null!=a?a.is_zero:a,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+'">\n            <div class="value">'+
m((h=null!=(h=b.unread||(null!=a?a.unread:a))?h:l,"function"===typeof h?h.call(f,{name:"unread",hash:{},data:d}):h))+'</div>\n        </div>\n    </span>\n    <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n    </span>\n</li>\n'},useData:!0});k.bankruptcy_modal=g({1:function(c,a,b,f,d){return"It's been a while! Since you were last here, you received <b>__unread_count__</b> new messages."},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?
a:{};var h=b.helperMissing;return'\n<div class="modal-body">\n    <p>'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</p>\n    <p>"+c.escapeExpression((b.t||a&&a.t||h).call(f,"Do you want to skip to your latest messages?",{name:"t",hash:{},data:d}))+"</p>\n</div>\n"},useData:!0});k.bookend=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'<div class="'+(null!=(e=b["if"].call(f,null!=a?a.trailing:a,{name:"if",hash:{},fn:c.program(2,
d,0),inverse:c.noop,data:d}))?e:"")+' bookend sub-unsub-message">\n    <span>'+c.escapeExpression((h=null!=(h=b.bookend_content||(null!=a?a.bookend_content:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"bookend_content",hash:{},data:d}):h))+'</span>\n    <div class="sub_button_row">\n        <button class="btn stream_sub_unsub_button btn-default" type="button" name="subscription">\n'+(null!=(e=b["if"].call(f,null!=a?a.subscribed:a,{name:"if",hash:{},fn:c.program(4,d,0),inverse:c.program(6,
d,0),data:d}))?e:"")+"        </button>\n    </div>\n</div>\n"},2:function(c,a,b,f,d){return"trailing_bookend"},4:function(c,a,b,f,d){return"            Unsubscribe\n"},6:function(c,a,b,f,d){return"            Subscribe\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return"\n"+(null!=(e=b["if"].call(null!=a?a:{},null!=a?a.bookend_content:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")},useData:!0});k.admin_filter_list=g({1:function(c,a,b,f,d,e,h){var l,m;f=null!=
a?a:{};var g=b.helperMissing,k=c.escapeExpression;return'<tr class="filter_row">\n    <td>\n        <span class="filter_pattern">'+k((m=null!=(m=b.pattern||(null!=a?a.pattern:a))?m:g,"function"===typeof m?m.call(f,{name:"pattern",hash:{},data:d}):m))+'</span>\n    </td>\n    <td>\n        <span class="filter_url_format_string">'+k((m=null!=(m=b.url_format_string||(null!=a?a.url_format_string:a))?m:g,"function"===typeof m?m.call(f,{name:"url_format_string",hash:{},data:d}):m))+"</span>\n    </td>\n"+
(null!=(l=b["if"].call(f,null!=h[1]?h[1].can_modify:h[1],{name:"if",hash:{},fn:c.program(2,d,0,e,h),inverse:c.noop,data:d}))?l:"")+"</tr>\n"},2:function(c,a,b,f,d){var e;return'    <td>\n        <button class="button white small delete btn-danger" data-filter-id="'+c.escapeExpression((e=null!=(e=b.id||(null!=a?a.id:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"id",hash:{},data:d}):e))+'">\n            <i class="icon-vector-trash" aria-hidden="true"></i>\n        </button>\n    </td>\n'},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d,e,h){var l;return null!=(l=b["with"].call(null!=a?a:{},null!=a?a.filter:a,{name:"with",hash:{},fn:c.program(1,d,0,e,h),inverse:c.noop,data:d}))?l:""},useData:!0,useDepths:!0});k.sidebar_private_message_list=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return"    <li class='"+(null!=(e=b["if"].call(f,null!=a?a.is_zero:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+" "+(null!=(e=b["if"].call(f,
null!=a?a.zoom_out_hide:a,{name:"if",hash:{},fn:c.program(4,d,0),inverse:c.noop,data:d}))?e:"")+" expanded_private_message' data-user-ids-string='"+g((h=null!=(h=b.user_ids_string||(null!=a?a.user_ids_string:a))?h:l,"function"===typeof h?h.call(f,{name:"user_ids_string",hash:{},data:d}):h))+"'>\n        <span class='pm-box'>\n            <a href='"+g((h=null!=(h=b.url||(null!=a?a.url:a))?h:l,"function"===typeof h?h.call(f,{name:"url",hash:{},data:d}):h))+'\' class="conversation-partners">\n                '+
g((h=null!=(h=b.recipients||(null!=a?a.recipients:a))?h:l,"function"===typeof h?h.call(f,{name:"recipients",hash:{},data:d}):h))+'\n            </a>\n            <div class="private_message_count '+(null!=(e=b["if"].call(f,null!=a?a.is_zero:a,{name:"if",hash:{},fn:c.program(6,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                <div class="value">'+g((h=null!=(h=b.unread||(null!=a?a.unread:a))?h:l,"function"===typeof h?h.call(f,{name:"unread",hash:{},data:d}):h))+'</div>\n            </div>\n        </span>\n        <span class="arrow topic-sidebar-arrow">\n            <i class="icon-vector-chevron-down"></i>\n        </span>\n    </li>\n'},
2:function(c,a,b,f,d){return"zero-subject-unreads"},4:function(c,a,b,f,d){return"zoom-out-hide"},6:function(c,a,b,f,d){return"zero_count"},8:function(c,a,b,f,d){return'    <li class="show-more-private-messages" data-name=\'more-private-messages\'>\n        <a href="#">('+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"more conversations",{name:"t",hash:{},data:d}))+")</a>\n    </li>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return"<ul class='expanded_private_messages "+
c.escapeExpression((h=null!=(h=b.zoom_class||(null!=a?a.zoom_class:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"zoom_class",hash:{},data:d}):h))+"' data-name='private'>\n"+(null!=(e=b.each.call(f,null!=a?a.messages:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+(null!=(e=b["if"].call(f,null!=a?a.want_show_more_messages_links:a,{name:"if",hash:{},fn:c.program(8,d,0),inverse:c.noop,data:d}))?e:"")+"</ul>\n"},useData:!0});k.typing_notifications=g({1:function(c,
a,b,f,d){return"    "+c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"typing_notification",{name:"partial",hash:{},data:d}))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return'<ul id="typing_notification_list">\n'+(null!=(e=b.each.call(null!=a?a:{},null!=a?a.users:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</ul>\n"},useData:!0});k.user_presence_row=g({1:function(c,a,b,f,d){return"user-with-count "},3:function(c,a,b,
f,d){var e;return c.escapeExpression((e=null!=(e=b.num_unread||(null!=a?a.num_unread:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"num_unread",hash:{},data:d}):e))},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<li data-user-id="'+g((h=null!=(h=b.user_id||(null!=a?a.user_id:a))?h:l,"function"===typeof h?h.call(f,{name:"user_id",hash:{},data:d}):h))+'" class="user_sidebar_entry '+(null!=(e=b["if"].call(f,
null!=a?a.num_unread:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"narrow-filter user_"+g((h=null!=(h=b.type||(null!=a?a.type:a))?h:l,"function"===typeof h?h.call(f,{name:"type",hash:{},data:d}):h))+'">\n    <span class="selectable_sidebar_block">\n        <span class="user-status-indicator"></span>\n        <a href="'+g((h=null!=(h=b.href||(null!=a?a.href:a))?h:l,"function"===typeof h?h.call(f,{name:"href",hash:{},data:d}):h))+'"\n            data-user-id="'+g((h=null!=
(h=b.user_id||(null!=a?a.user_id:a))?h:l,"function"===typeof h?h.call(f,{name:"user_id",hash:{},data:d}):h))+'"\n            data-name="'+g((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'"\n            title="'+g((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+" "+g((h=null!=(h=b.type_desc||(null!=a?a.type_desc:a))?h:l,"function"===typeof h?h.call(f,{name:"type_desc",hash:{},
data:d}):h))+'">'+g((h=null!=(h=b.name||(null!=a?a.name:a))?h:l,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'</a>\n    </span>\n    <span class="count"><span class="value">'+(null!=(e=b["if"].call(f,null!=a?a.num_unread:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'</span></span>\n    <span class="arrow"><i class="icon-vector-chevron-down"></i></span>\n</li>\n'},useData:!0});k.subscription_creation_form=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,
f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div class="hide" id="stream-creation" tabindex="-1" role="dialog"\n    aria-labelledby="stream-creation-label" aria-hidden="true">\n    <form id="stream_creation_form" class="form-inline">\n        <div class="stream-creation-body">\n            <section class="block">\n                <div class="create-stream-title">\n                    '+c((b.t||a&&a.t||e).call(f,"Stream name",{name:"t",hash:{},data:d}))+'\n                </div>\n                <input type="text" name="stream_name" id="create_stream_name"\n                     placeholder="'+
c((b.t||a&&a.t||e).call(f,"Stream name",{name:"t",hash:{},data:d}))+'" value="" autocomplete="off" />\n                <div id="stream_name_error"></div>\n            </section>\n            <section class="block">\n                <b>'+c((b.t||a&&a.t||e).call(f,"Stream description (optional)",{name:"t",hash:{},data:d}))+'</b><br />\n                <textarea name="stream_description" id="create_stream_description"\n                   placeholder="'+c((b.t||a&&a.t||e).call(f,"Stream description",
{name:"t",hash:{},data:d}))+'" value="" autocomplete="off"></textarea>\n            </section>\n            <section class="block" id="make-invite-only">\n                <div class="create-stream-title">\n                    '+c((b.t||a&&a.t||e).call(f,"Stream accessibility",{name:"t",hash:{},data:d}))+'\n                </div>\n                <label class="radio">\n                    <input type="radio" name="privacy" value="public" checked />\n                    <span class="icon-vector-globe"></span>\n                    '+
c((b.t||a&&a.t||e).call(f,"Anyone can join",{name:"t",hash:{},data:d}))+'\n                </label><br />\n                <label class="radio">\n                    <input type="radio" name="privacy" value="invite-only" />\n                    <span class="icon-vector-lock"></span>\n                    '+c((b.t||a&&a.t||e).call(f,"People must be invited",{name:"t",hash:{},data:d}))+'\n                </label>\n                <div id="announce-new-stream">\n                    <label class="checkbox">\n                        <input type="checkbox" name="announce" value="announce" checked />\n                        <span></span>\n                        <div class="icon-vector-bullhorn"></div>\n                        '+
c((b.t||a&&a.t||e).call(f,"Announce stream",{name:"t",hash:{},data:d}))+'\n                    </label>\n                    <span class="icon-vector-question-sign" id="announce-stream-docs"></span>\n                </div>\n            </section>\n            <section class="block">\n                <label class="control-label" for="people_to_add">\n                    '+c((b.t||a&&a.t||e).call(f,"People to add",{name:"t",hash:{},data:d}))+'\n                </label>\n                <div class="controls" id="people_to_add"></div>\n            </section>\n        </div>\n        <div class="modal-footer">\n            <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+
c((b.t||a&&a.t||e).call(f,"Cancel",{name:"t",hash:{},data:d}))+'</button>\n            <button class="btn btn-primary" type="submit">'+c((b.t||a&&a.t||e).call(f,"Create",{name:"t",hash:{},data:d}))+"</button>\n        </div>\n    </form>\n</div>\n"},useData:!0});k.recipient_row=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<div class="message_header message_header_stream right_part">\n    <div class="message-header-wrapper">\n        <div class="message-header-contents">\n            <a class="message_label_clickable narrows_by_recipient stream_label '+
g((h=null!=(h=b.color_class||(null!=a?a.color_class:a))?h:l,"function"===typeof h?h.call(f,{name:"color_class",hash:{},data:d}):h))+'"\n                style="background: '+g((h=null!=(h=b.background_color||(null!=a?a.background_color:a))?h:l,"function"===typeof h?h.call(f,{name:"background_color",hash:{},data:d}):h))+"; border-left-color: "+g((h=null!=(h=b.background_color||(null!=a?a.background_color:a))?h:l,"function"===typeof h?h.call(f,{name:"background_color",hash:{},data:d}):h))+';"\n                href="'+
g((h=null!=(h=b.stream_url||(null!=a?a.stream_url:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_url",hash:{},data:d}):h))+'"\n                title="'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+'">\n'+(null!=(e=b["if"].call(f,null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(4,d,0),inverse:c.noop,data:d}))?e:"")+"                "+g((h=null!=(h=b.display_recipient||(null!=a?a.display_recipient:a))?h:l,"function"===typeof h?
h.call(f,{name:"display_recipient",hash:{},data:d}):h))+'\n            </a>\n\n            <span class="copy-paste-text">&gt;</span>\n\n            <span class="stream_topic">\n                <a class="message_label_clickable narrows_by_subject"\n                    href="'+g((h=null!=(h=b.topic_url||(null!=a?a.topic_url:a))?h:l,"function"===typeof h?h.call(f,{name:"topic_url",hash:{},data:d}):h))+'"\n                    title="'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(6,
d,0),inverse:c.noop,data:d}))?e:"")+'">\n'+(null!=(e=b["if"].call(f,null!=a?a.use_match_properties:a,{name:"if",hash:{},fn:c.program(8,d,0),inverse:c.program(10,d,0),data:d}))?e:"")+"                </a>\n\n"+(null!=(e=b["if"].call(f,null!=a?a.always_visible_topic_edit:a,{name:"if",hash:{},fn:c.program(12,d,0),inverse:c.program(14,d,0),data:d}))?e:"")+"\n"+(null!=(e=b.each.call(f,null!=a?a.subject_links:a,{name:"each",hash:{},fn:c.program(17,d,0),inverse:c.noop,data:d}))?e:"")+'            </span>\n\n            <span class="topic_edit">\n                <span class="topic_edit_form" id="'+
g((h=null!=(h=b.id||(null!=a?a.id:a))?h:l,"function"===typeof h?h.call(f,{name:"id",hash:{},data:d}):h))+'"></span>\n            </span>\n\n            <i class="icon-vector-eye-close on_hover_topic_mute" data-stream-id="'+g((h=null!=(h=b.stream_id||(null!=a?a.stream_id:a))?h:l,"function"===typeof h?h.call(f,{name:"stream_id",hash:{},data:d}):h))+'" data-topic-name="'+g((h=null!=(h=b.subject||(null!=a?a.subject:a))?h:l,"function"===typeof h?h.call(f,{name:"subject",hash:{},data:d}):h))+'"></i>\n            <span class="recipient_row_date '+
(null!=(e=b["if"].call(f,null!=a?a.show_date:a,{name:"if",hash:{},fn:c.program(19,d,0),inverse:c.program(21,d,0),data:d}))?e:"")+'">'+(null!=(e=(h=null!=(h=b.date||(null!=a?a.date:a))?h:l,"function"===typeof h?h.call(f,{name:"date",hash:{},data:d}):h))?e:"")+"</span>\n        </div>\n    </div>\n</div>\n"},2:function(c,a,b,f,d){return"Narrow to stream &quot;__display_recipient__&quot;"},4:function(c,a,b,f,d){return'                <i class="icon-vector-lock invite-stream-icon" title="'+c.escapeExpression((b.t||
a&&a.t||b.helperMissing).call(null!=a?a:{},"This is an invite-only stream",{name:"t",hash:{},data:d}))+'"></i>\n'},6:function(c,a,b,f,d){return"Narrow to stream &quot;__display_recipient__&quot;, topic &quot;__subject__&quot;"},8:function(c,a,b,f,d){var e,h;return"                    "+(null!=(e=(h=null!=(h=b.match_subject||(null!=a?a.match_subject:a))?h:b.helperMissing,"function"===typeof h?h.call(null!=a?a:{},{name:"match_subject",hash:{},data:d}):h))?e:"")+"\n"},10:function(c,a,b,f,d){var e;return"                    "+
c.escapeExpression((e=null!=(e=b.subject||(null!=a?a.subject:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"subject",hash:{},data:d}):e))+"\n"},12:function(c,a,b,f,d){return'                    <i class="icon-vector-pencil always_visible_topic_edit"></i>\n'},14:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.on_hover_topic_edit:a,{name:"if",hash:{},fn:c.program(15,d,0),inverse:c.noop,data:d}))?e:""},15:function(c,a,b,f,d){return'                    <i class="icon-vector-pencil on_hover_topic_edit"></i>\n'},
17:function(c,a,b,f,d){return'                <a href="'+c.escapeExpression(c.lambda(a,a))+'" target="_blank">\n                    <i class="icon-vector-external-link-sign"></i>\n                </a>\n'},19:function(c,a,b,f,d){return""},21:function(c,a,b,f,d){return"hide-date"},23:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing;return'<div class="message_header message_header_private_message dark_background">\n    <div class="message-header-wrapper">\n        <div class="message-header-contents">\n            <a class="message_label_clickable narrows_by_recipient stream_label"\n                href="'+
c.escapeExpression((h=null!=(h=b.pm_with_url||(null!=a?a.pm_with_url:a))?h:l,"function"===typeof h?h.call(f,{name:"pm_with_url",hash:{},data:d}):h))+'"\n                title="'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(24,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(26,d,0),inverse:c.noop,data:d}))?e:"")+'\n            </a>\n\n            <span class="recipient_row_date '+(null!=(e=b["if"].call(f,
null!=a?a.show_date:a,{name:"if",hash:{},fn:c.program(19,d,0),inverse:c.program(21,d,0),data:d}))?e:"")+'">'+(null!=(e=(h=null!=(h=b.date||(null!=a?a.date:a))?h:l,"function"===typeof h?h.call(f,{name:"date",hash:{},data:d}):h))?e:"")+"</span>\n        </div>\n    </div>\n</div>\n"},24:function(c,a,b,f,d){return"Narrow to your private messages with __display_reply_to__"},26:function(c,a,b,f,d){return"You and __display_reply_to__"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=
(e=b["if"].call(null!=a?a:{},null!=a?a.is_stream:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(23,d,0),data:d}))?e:""},useData:!0});k.tutorial_subject=g({1:function(c,a,b,f,d){return"        The <b>topic</b> of a conversation is one or two words that describe\n        what it is about, for example: <b>Bug #345</b>, <b>lunch</b>, or\n        <b>logo</b>. Don't overthink it.\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;
return'\n<div class="tutorial-popover popover-'+g((h=null!=(h=b.placement||(null!=a?a.placement:a))?h:l,"function"===typeof h?h.call(f,{name:"placement",hash:{},data:d}):h))+'" id="tutorial-subject">\n\n    <p>\n'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'    </p>\n\n    <div class="tutorial-done-button">\n        <button class="btn btn-primary" type="submit" id="tutorial-subject-next">'+g((b.t||a&&a.t||l).call(f,"Next",{name:"t",
hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.user_presence_rows=g({1:function(c,a,b,f,d){return c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"user_presence_row",{name:"partial",hash:{},data:d}))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b.each.call(null!=a?a:{},null!=a?a.users:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.admin_tab=g({compiler:[7,">= 4.0.0"],main:function(c,
a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div class="alert" id="organization-status"></div>\n\n'+c((b.partial||a&&a.partial||e).call(f,"deactivation-user-modal",{name:"partial",hash:{},data:d}))+"\n"+c((b.partial||a&&a.partial||e).call(f,"deactivation-stream-modal",{name:"partial",hash:{},data:d}))+"\n"+c((b.partial||a&&a.partial||e).call(f,"realm-domains-modal",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"organization-settings-admin",
{name:"partial",hash:{},data:d}))+"\n"+c((b.partial||a&&a.partial||e).call(f,"organization-permissions-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"emoji-settings-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"user-list-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"deactivated-users-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"bot-list-admin",
{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"streams-list-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"default-streams-list-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"auth-methods-settings-admin",{name:"partial",hash:{},data:d}))+"\n\n"+c((b.partial||a&&a.partial||e).call(f,"realm-filter-settings-admin",{name:"partial",hash:{},data:d}))+"\n"},useData:!0});k.message_reactions=g({1:function(c,
a,b,f,d){return c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"message_reaction",{name:"partial",hash:{},data:d}))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};return(null!=(e=b.each.call(f,null!=(e=null!=a?a.msg:a)?e.message_reactions:e,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'<div class="reaction_button" title="'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(f,"Add reaction...",{name:"t",hash:{},
data:d}))+'">\n    <i class="icon-vector-smile"></i>\n    <div class="message_reaction_count">+</div>\n</div>\n'},useData:!0});k.subscription_table_body=g({1:function(c,a,b,f,d){return'                        <input type="submit" class=""\n                          id="create_stream_button" value="+" />\n'},3:function(c,a,b,f,d){return"                    "+c.escapeExpression((b.partial||a&&a.partial||b.helperMissing).call(null!=a?a:{},"subscription",{name:"partial",hash:{},data:d}))+"\n"},compiler:[7,
">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="subscription_overlay" class="overlay new-style" data-overlay="subscriptions">\n    <div class="flex overlay-content">\n        <div class="subscriptions-container">\n            <div class="subscriptions-header">\n                <div class="icon-vector-chevron-left"></div>\n                <span class="subscriptions-title">'+l((b.t||a&&a.t||h).call(f,"Streams",{name:"t",hash:{},data:d}))+
'</span>\n                <div class="exit">\n                    <span class="exit-sign">&times;</span>\n                </div>\n            </div>\n            <div class="left">\n                <div class="search-container">\n                    <form id="add_new_subscription" class="form-inline" action="">\n                        <input type="text" name="stream_name" id="search_stream_name"\n                          placeholder="'+l((b.t||a&&a.t||h).call(f,"Filter streams",{name:"t",hash:{},
data:d}))+'" value="" autocomplete="off" />\n'+(null!=(e=b["if"].call(f,null!=a?a.can_create_streams:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'                        <div class="float-clear"></div>\n                    </form>\n                    <div class="clear-float"></div>\n                </div>\n                <div class="streams-list">\n'+(null!=(e=b.each.call(f,null!=a?a.subscriptions:a,{name:"each",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:
"")+'                </div>\n            </div>\n            <div class="right">\n                <div class="display-type">\n                    <div id="add_new_stream_title" class="stream-info-title">'+l((b.t||a&&a.t||h).call(f,"Create stream",{name:"t",hash:{},data:d}))+'</div>\n                    <div id="stream_settings_title" class="stream-info-title">'+l((b.t||a&&a.t||h).call(f,"Stream settings",{name:"t",hash:{},data:d}))+'</div>\n                </div>\n                <div class="nothing-selected">\n                    '+
l((b.t||a&&a.t||h).call(f,"Nothing selected.",{name:"t",hash:{},data:d}))+'\n                </div>\n                <div class="settings">\n                </div>\n                '+l((b.partial||a&&a.partial||h).call(f,"subscription_creation_form",{name:"partial",hash:{},data:d}))+"\n            </div>\n        </div>\n    </div>\n</div>\n"},useData:!0});k.emoji_popover_content=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return' \n    <div class="emoji-popover-emoji-map" data-message-id="'+
c.escapeExpression((h=null!=(h=b.message_id||(null!=a?a.message_id:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"message_id",hash:{},data:d}):h))+'">\n'+(null!=(e=b.each.call(f,null!=a?a.emojis:a,{name:"each",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+"    </div>\n"},2:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'        <div class="emoji-popover-emoji '+(null!=(e=b["if"].call(f,null!=a?a.has_reacted:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?
e:"")+' reaction" title='+c.escapeExpression((h=null!=(h=b.name||(null!=a?a.name:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+' tabindex="0">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_realm_emoji:a,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.program(7,d,0),data:d}))?e:"")+"        </div>\n"},3:function(c,a,b,f,d){return" reacted "},5:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'            <img src="'+c((e=
null!=(e=b.url||(null!=a?a.url:a))?e:h,"function"===typeof e?e.call(f,{name:"url",hash:{},data:d}):e))+'" class="emoji" title= ":'+c((e=null!=(e=b.name||(null!=a?a.name:a))?e:h,"function"===typeof e?e.call(f,{name:"name",hash:{},data:d}):e))+':" />\n'},7:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'            <div class="emoji emoji-'+c((e=null!=(e=b.css_class||(null!=a?a.css_class:a))?e:h,"function"===typeof e?e.call(f,{name:"css_class",hash:{},data:d}):
e))+'" title= ":'+c((e=null!=(e=b.name||(null!=a?a.name:a))?e:h,"function"===typeof e?e.call(f,{name:"name",hash:{},data:d}):e))+':" />\n'},9:function(c,a,b,f,d){var e;return'    <div class="emoji-popover-emoji-map">\n'+(null!=(e=b.each.call(null!=a?a:{},null!=a?a.emojis:a,{name:"each",hash:{},fn:c.program(10,d,0),inverse:c.noop,data:d}))?e:"")+"    </div>\n"},10:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'        <div class="emoji-popover-emoji composition" title='+c.escapeExpression((h=null!=
(h=b.name||(null!=a?a.name:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+' tabindex="0">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_realm_emoji:a,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.program(7,d,0),data:d}))?e:"")+"        </div>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};return'<div class="emoji-popover">\n    <div class="emoji-popover-top">\n        <input class="emoji-popover-filter" type="text" autofocus placeholder='+
c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(f,"Search",{name:"t",hash:{},data:d}))+' />\n        <i class="icon-vector-search"></i>\n    </div>\n    '+(null!=(e=b["if"].call(f,null!=a?a.message_id:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(9,d,0),data:d}))?e:"")+"</div>\n"},useData:!0});k.notification=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'<div class="notification" data-message-id="'+c((e=
null!=(e=b.message_id||(null!=a?a.message_id:a))?e:h,"function"===typeof e?e.call(f,{name:"message_id",hash:{},data:d}):e))+'">\n    <div class="notifications-gravatar">\n        <img src="'+c((e=null!=(e=b.gravatar_url||(null!=a?a.gravatar_url:a))?e:h,"function"===typeof e?e.call(f,{name:"gravatar_url",hash:{},data:d}):e))+'" />\n    </div>\n    <div class="notifications-content">\n        <div class="title">'+c((e=null!=(e=b.title||(null!=a?a.title:a))?e:h,"function"===typeof e?e.call(f,{name:"title",
hash:{},data:d}):e))+"</div>\n        "+c((e=null!=(e=b.content||(null!=a?a.content:a))?e:h,"function"===typeof e?e.call(f,{name:"content",hash:{},data:d}):e))+"\n    </div>\n</div>\n"},useData:!0});k.tutorial_reply=g({1:function(c,a,b,f,d){return"    <p><b>Reply</b> to a message by <b>clicking on it</b>. The stream\n        and topic will automatically be filled in.</p>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'\n<div class="tutorial-popover popover-'+
g((h=null!=(h=b.placement||(null!=a?a.placement:a))?h:l,"function"===typeof h?h.call(f,{name:"placement",hash:{},data:d}):h))+'" id="tutorial-reply">\n\n'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n    <div class="tutorial-done-button">\n        <button class="btn btn-primary" type="submit" id="tutorial-reply-next">'+g((b.t||a&&a.t||l).call(f,"Next",{name:"t",hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.default_language_modal=
g({1:function(c,a,b,f,d){var e;f=c.lambda;var h=c.escapeExpression,l=null!=a?a:{};return'                <tr>\n                    <td>\n                        <a class="language" data-code="'+h(f(null!=(e=null!=a?a.first:a)?e.code:e,a))+'" data-name="'+h(f(null!=(e=null!=a?a.first:a)?e.name:e,a))+'">\n'+(null!=(e=b["if"].call(l,null!=(e=null!=a?a.first:a)?e.selected:e,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.program(4,d,0),data:d}))?e:"")+'                        </a>\n                    </td>\n                    <td>\n                        <a class="language" data-code="'+
h(f(null!=(e=null!=a?a.second:a)?e.code:e,a))+'" data-name="'+h(f(null!=(e=null!=a?a.second:a)?e.name:e,a))+'">\n'+(null!=(e=b["if"].call(l,null!=(e=null!=a?a.second:a)?e.selected:e,{name:"if",hash:{},fn:c.program(6,d,0),inverse:c.program(8,d,0),data:d}))?e:"")+"                        </a>\n                    </td>\n                </tr>\n"},2:function(c,a,b,f,d){var e;return"                            <b>"+c.escapeExpression(c.lambda(null!=(e=null!=a?a.first:a)?e.percent:e,a))+"</b>\n"},4:function(c,
a,b,f,d){var e;return"                            "+c.escapeExpression(c.lambda(null!=(e=null!=a?a.first:a)?e.percent:e,a))+"\n"},6:function(c,a,b,f,d){var e;return"                            <b>"+c.escapeExpression(c.lambda(null!=(e=null!=a?a.second:a)?e.percent:e,a))+"</b>\n"},8:function(c,a,b,f,d){var e;return"                            "+c.escapeExpression(c.lambda(null!=(e=null!=a?a.second:a)?e.percent:e,a))+"\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=
b.helperMissing,l=c.escapeExpression;return'<div id="default_language_modal" class="modal hide" tabindex="-1" role="dialog"\n    aria-labelledby="default_language_modal_label" aria-hidden="true">\n    <div class="modal-header">\n        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n        <h3 id="default_language_modal_label">'+l((b.t||a&&a.t||h).call(f,"Select default language",{name:"t",hash:{},data:d}))+"</h3>\n    </div>\n    <div class=\"modal-body\">\n        <p>\n            The following is a few of the languages we have started to\n            support or are hoping to support in the near future. We would\n            love help translating; if you're interested in helping, make an\n            account at <a href='https://www.transifex.com/zulip/zulip/'>\n            https://www.transifex.com/zulip/zulip/</a>, and sign up for a\n            language! You can also request any language we don't currently\n            have. It only takes a few hours to translate the most important\n            parts of the app.\n        </p>\n        <div>\n            <table>\n"+
(null!=(e=b.each.call(f,null!=(e=null!=a?a.page_params:a)?e.language_list_dbl_col:e,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'            </table>\n        </div>\n    </div>\n    <div class="modal-footer">\n        <button class="btn btn-primary" data-dismiss="modal" aria-hidden="true">'+l((b.t||a&&a.t||h).call(f,"Close",{name:"t",hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.admin_streams_list=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};return'<tr class="stream_row">\n    <td>\n        '+
(null!=(e=b["if"].call(f,null!=a?a.invite_only:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+'\n        <span class="stream_name">'+c.escapeExpression((h=null!=(h=b.name||(null!=a?a.name:a))?h:b.helperMissing,"function"===typeof h?h.call(f,{name:"name",hash:{},data:d}):h))+'</span>\n    </td>\n    <td>\n        <button class="button white small btn-danger deactivate btn-danger">\n            <i class="icon-vector-trash" aria-hidden="true"></i>\n        </button>\n    </td>\n</tr>\n'},
2:function(c,a,b,f,d){return'<i class="icon-vector-lock "></i>'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["with"].call(null!=a?a:{},null!=a?a.stream:a,{name:"with",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.admin_user_list=g({1:function(c,a,b,f,d,e,h){var l,g;f=null!=a?a:{};var k=b.helperMissing,q=c.escapeExpression;return'<tr class="user_row'+(null!=(l=b.unless.call(f,null!=a?a.is_active:a,{name:"unless",hash:{},fn:c.program(2,d,0,e,
h),inverse:c.noop,data:d}))?l:"")+'" data-user-id="'+q((g=null!=(g=b.user_id||(null!=a?a.user_id:a))?g:k,"function"===typeof g?g.call(f,{name:"user_id",hash:{},data:d}):g))+'" data-email="'+q((g=null!=(g=b.email||(null!=a?a.email:a))?g:k,"function"===typeof g?g.call(f,{name:"email",hash:{},data:d}):g))+'">\n    <td>\n        <span class="user_name">'+q((g=null!=(g=b.full_name||(null!=a?a.full_name:a))?g:k,"function"===typeof g?g.call(f,{name:"full_name",hash:{},data:d}):g))+'</span>\n    </td>\n    <td>\n        <span class="email">'+
q((g=null!=(g=b.email||(null!=a?a.email:a))?g:k,"function"===typeof g?g.call(f,{name:"email",hash:{},data:d}):g))+"</span>\n    </td>\n"+(null!=(l=b["if"].call(f,null!=a?a.is_bot:a,{name:"if",hash:{},fn:c.program(4,d,0,e,h),inverse:c.program(6,d,0,e,h),data:d}))?l:"")+(null!=(l=b["if"].call(f,null!=h[1]?h[1].can_modify:h[1],{name:"if",hash:{},fn:c.program(9,d,0,e,h),inverse:c.noop,data:d}))?l:"")+'</tr>\n<tr class="user-name-form display-none" data-user-id="'+q((g=null!=(g=b.user_id||(null!=a?a.user_id:
a))?g:k,"function"===typeof g?g.call(f,{name:"user_id",hash:{},data:d}):g))+'">\n    <td colspan="'+(null!=(l=b["if"].call(f,null!=a?a.is_bot:a,{name:"if",hash:{},fn:c.program(21,d,0,e,h),inverse:c.program(23,d,0,e,h),data:d}))?l:"")+'">\n        <form class="form-horizontal name-setting">\n            <input type="hidden" name="is_full_name" value="true" />\n            <div class="input-group name_change_container">\n                <label for="full_name">'+q((b.t||a&&a.t||k).call(f,"Full name",
{name:"t",hash:{},data:d}))+'</label>\n                <input type="text" name="full_name" value="'+q((g=null!=(g=b.full_name||(null!=a?a.full_name:a))?g:k,"function"===typeof g?g.call(f,{name:"full_name",hash:{},data:d}):g))+'" />\n            </div>\n'+(null!=(l=b["if"].call(f,null!=a?a.is_bot:a,{name:"if",hash:{},fn:c.program(25,d,0,e,h),inverse:c.noop,data:d}))?l:"")+'            <div class="input-group">\n                <button type="button" class="button white rounded sea-green submit_name_changes">\n                    '+
q((b.t||a&&a.t||k).call(f,"Save changes",{name:"t",hash:{},data:d}))+'\n                </button>\n                <button type="button" class="button white rounded btn-danger reset_edit_user">'+q((b.t||a&&a.t||k).call(f,"Cancel",{name:"t",hash:{},data:d}))+"</button>\n            </div>\n        </form>\n    </td>\n</tr>\n"},2:function(c,a,b,f,d){return" deactivated_user"},4:function(c,a,b,f,d){var e;return'    <td>\n        <span class="owner">'+c.escapeExpression((e=null!=(e=b.bot_owner||(null!=
a?a.bot_owner:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"bot_owner",hash:{},data:d}):e))+"</span>\n    </td>\n"},6:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.is_active:a,{name:"if",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:""},7:function(c,a,b,f,d){return'    <td class="last_active">\n    </td>\n    '},9:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'    <td>\n        <span class="user-status-settings">\n'+
(null!=(e=b["if"].call(f,null!=a?a.is_active:a,{name:"if",hash:{},fn:c.program(10,d,0),inverse:c.program(12,d,0),data:d}))?e:"")+'        </span>\n        <span class="user-admin-settings">\n'+(null!=(e=b["if"].call(f,null!=a?a.is_active_human:a,{name:"if",hash:{},fn:c.program(14,d,0),inverse:c.noop,data:d}))?e:"")+'        </span>\n        <button class="button white rounded small btn-warning open-user-form'+(null!=(e=b.unless.call(f,null!=a?a.is_active:a,{name:"unless",hash:{},fn:c.program(19,d,
0),inverse:c.noop,data:d}))?e:"")+'" title="'+g((b.t||a&&a.t||l).call(f,"Edit user",{name:"t",hash:{},data:d}))+'" data-user-id="'+g((h=null!=(h=b.user_id||(null!=a?a.user_id:a))?h:l,"function"===typeof h?h.call(f,{name:"user_id",hash:{},data:d}):h))+'">\n            <i class="icon-vector-pencil"></i>\n        </button>\n        <div class=\'admin-user-status\'>\n        </div>\n    </td>\n'},10:function(c,a,b,f,d){return'            <button class="button white rounded small deactivate btn-danger">\n                '+
c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Deactivate",{name:"t",hash:{},data:d}))+"\n            </button>\n"},12:function(c,a,b,f,d){return'            <button class="button white rounded small reactivate btn-warning">\n                '+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Reactivate",{name:"t",hash:{},data:d}))+"\n            </button>\n"},14:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.is_admin:a,{name:"if",
hash:{},fn:c.program(15,d,0),inverse:c.program(17,d,0),data:d}))?e:""},15:function(c,a,b,f,d){return'                <button class="button white rounded small remove-admin btn-danger">\n                    '+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Remove admin",{name:"t",hash:{},data:d}))+"\n                </button>\n"},17:function(c,a,b,f,d){return'                <button class="button white rounded small make-admin btn-warning">\n                    '+c.escapeExpression((b.t||
a&&a.t||b.helperMissing).call(null!=a?a:{},"Make admin",{name:"t",hash:{},data:d}))+"\n                </button>\n"},19:function(c,a,b,f,d){return" display-none"},21:function(c,a,b,f,d){return"4"},23:function(c,a,b,f,d){return"3"},25:function(c,a,b,f,d){return'            <div class="input-group edit_bot_owner_container">\n                <label for="bot_owner_select">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Owner",{name:"t",hash:{},data:d}))+"</label>\n            </div>\n"},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d,e,h){var l;return null!=(l=b["with"].call(null!=a?a:{},null!=a?a.user:a,{name:"with",hash:{},fn:c.program(1,d,0,e,h),inverse:c.noop,data:d}))?l:""},useData:!0,useDepths:!0});k.muted_topic_ui_row=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'<tr data-stream="'+c((e=null!=(e=b.stream||(null!=a?a.stream:a))?e:h,"function"===typeof e?e.call(f,{name:"stream",hash:{},data:d}):e))+
'" data-topic="'+c((e=null!=(e=b.topic||(null!=a?a.topic:a))?e:h,"function"===typeof e?e.call(f,{name:"topic",hash:{},data:d}):e))+'">\n    <td>'+c((e=null!=(e=b.stream||(null!=a?a.stream:a))?e:h,"function"===typeof e?e.call(f,{name:"stream",hash:{},data:d}):e))+"</td>\n    <td>"+c((e=null!=(e=b.topic||(null!=a?a.topic:a))?e:h,"function"===typeof e?e.call(f,{name:"topic",hash:{},data:d}):e))+'</td>\n    <td><a class="settings-unmute-topic">Unmute</a></td>\n</tr>\n'},useData:!0});k.message_reaction=
g({1:function(c,a,b,f,d){return'        <div class="emoji_alt_code">&nbsp:'+c.escapeExpression(c.lambda(null!=a?a.emoji_name:a,a))+":</div>\n"},3:function(c,a,b,f,d){var e;return null!=(e=b["if"].call(null!=a?a:{},null!=a?a.is_realm_emoji:a,{name:"if",hash:{},fn:c.program(4,d,0),inverse:c.program(6,d,0),data:d}))?e:""},4:function(c,a,b,f,d){return'        <img src="'+c.escapeExpression(c.lambda(null!=a?a.url:a,a))+'" class="emoji" />\n'},6:function(c,a,b,f,d){return'        <div class="emoji emoji-'+
c.escapeExpression(c.lambda(null!=a?a.emoji_name_css_class:a,a))+'" />\n'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=c.lambda;var h=c.escapeExpression;return'<div class="'+h(f(null!=a?a["class"]:a,a))+'" title="'+h(f(null!=a?a.title:a,a))+'" data-emoji-name="'+h(f(null!=a?a.emoji_name:a,a))+'">\n'+(null!=(e=b["if"].call(null!=a?a:{},null!=a?a.emoji_alt_code:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.program(3,d,0),data:d}))?e:"")+'    <div class="message_reaction_count">'+h(f(null!=
a?a.count:a,a))+"</div>\n</div>\n"},useData:!0});k.compose_all_everyone=g({1:function(c,a,b,f,d){return"Are you sure you want to mention all <strong>__count__</strong> people in this stream?"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;return'<div class="compose-all-everyone">\n    <span class="compose-all-everyone-msg">\n        '+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n    </span>\n    <span class="compose-all-everyone-controls">\n        <button type="button" class="btn btn-warning compose-all-everyone-confirm">'+
c.escapeExpression((b.t||a&&a.t||h).call(f,"Yes, send",{name:"t",hash:{},data:d}))+"</button>\n    </span>\n</div>\n"},useData:!0});k.user_info_popover_content=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing;return"        <li>"+c.escapeExpression((h=null!=(h=b.user_time||(null!=a?a.user_time:a))?h:l,"function"===typeof h?h.call(f,{name:"user_time",hash:{},data:d}):h))+" "+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:
"")+"</li>\n"},2:function(c,a,b,f,d){return"Local time"},4:function(c,a,b,f,d){return"Send private message"},6:function(c,a,b,f,d){return"Reply mentioning user"},8:function(c,a,b,f,d){return"View private messages"},10:function(c,a,b,f,d){return"View messages sent"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<ul class="nav nav-list actions_popover sender_info_popover" data-user-id="'+g((h=null!=(h=b.user_id||(null!=a?a.user_id:
a))?h:l,"function"===typeof h?h.call(f,{name:"user_id",hash:{},data:d}):h))+'">\n    <div class="popover_info">\n        <li><b>'+g((h=null!=(h=b.user_full_name||(null!=a?a.user_full_name:a))?h:l,"function"===typeof h?h.call(f,{name:"user_full_name",hash:{},data:d}):h))+"</b></li>\n        <li class='my_email'>"+g((h=null!=(h=b.user_email||(null!=a?a.user_email:a))?h:l,"function"===typeof h?h.call(f,{name:"user_email",hash:{},data:d}):h))+"</li>\n\n"+(null!=(e=b["if"].call(f,null!=a?a.user_time:a,
{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'    </div>\n    <hr />\n    <li>\n        <a href="#" class="'+g((h=null!=(h=b.private_message_class||(null!=a?a.private_message_class:a))?h:l,"function"===typeof h?h.call(f,{name:"private_message_class",hash:{},data:d}):h))+'">\n            <i class="icon-vector-edit"></i> '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(4,d,0),inverse:c.noop,data:d}))?e:"")+'\n        </a>\n    </li>\n    <li>\n        <a class="mention_user">\n            <i class="fa fa-at" aria-hidden="true"></i> '+
(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(6,d,0),inverse:c.noop,data:d}))?e:"")+'\n        </a>\n    </li>\n    <hr />\n    <li>\n        <a href="'+g((h=null!=(h=b.pm_with_uri||(null!=a?a.pm_with_uri:a))?h:l,"function"===typeof h?h.call(f,{name:"pm_with_uri",hash:{},data:d}):h))+'" class="narrow_to_private_messages">\n            <i class="icon-vector-user"></i> '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(8,d,0),inverse:c.noop,data:d}))?e:"")+
'\n        </a>\n    </li>\n    <li>\n        <a href="'+g((h=null!=(h=b.sent_by_uri||(null!=a?a.sent_by_uri:a))?h:l,"function"===typeof h?h.call(f,{name:"sent_by_uri",hash:{},data:d}):h))+'" class="narrow_to_messages_sent">\n            <i class="icon-vector-bullhorn"></i> '+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(10,d,0),inverse:c.noop,data:d}))?e:"")+"\n        </a>\n    </li>\n</ul>\n"},useData:!0});k["account-settings"]=g({1:function(c,a,b,f,d){return'style="display:none" '},
3:function(c,a,b,f,d){return'disabled="disabled" '},5:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'                    <div class="input-group" id="pw_change_link">\n                        <label for="change_password_button" class="inline-block title">'+c((b.t||a&&a.t||e).call(f,"Password",{name:"t",hash:{},data:d}))+'</label>\n                        <button class="change_password_button button white rounded inline-block input-size" data-dismiss="modal" aria-hidden="true">'+
c((b.t||a&&a.t||e).call(f,"Change password",{name:"t",hash:{},data:d}))+'</button>\n                    </div>\n\n                    <div id="pw_change_controls">\n                        <div class="input-group">\n                            <label for="old_password" class="inline-block title">'+c((b.t||a&&a.t||e).call(f,"Old password",{name:"t",hash:{},data:d}))+'</label>\n                            <input type="password" autocomplete="off" name="old_password" id="old_password" class="w-200 inline-block" value="" />\n                            <div class="warning">\n                                <a href="/accounts/password/reset/" class="sea-green" target="_blank">'+
c((b.t||a&&a.t||e).call(f,"Forgotten it?",{name:"t",hash:{},data:d}))+'</a>\n                            </div>\n                        </div>\n\n                        <div class="input-group">\n                            <label for="new_password" class="inline-block title">'+c((b.t||a&&a.t||e).call(f,"New password",{name:"t",hash:{},data:d}))+'</label>\n                            <input type="password" autocomplete="off" name="new_password" id="new_password" class="w-200 inline-block" value="" />\n                            <div class="warning">\n                                <div class="progress inline-block" id="pw_strength">\n                                    <div class="bar bar-danger fade" style="width: 10%;"></div>\n                                </div>\n                            </div>\n                        </div>\n\n                        <div class="input-group">\n                            <label class="inline-block title" for="confirm_password title">'+
c((b.t||a&&a.t||e).call(f,"Confirm password",{name:"t",hash:{},data:d}))+'</label>\n                            <input type="password" autocomplete="off" name="confirm_password" id="confirm_password" class="w-200 inline-block" value="" />\n                        </div>\n                    </div>\n'},7:function(c,a,b,f,d){return"By deactivating your account, you will be logged out immediately."},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression,
g=c.lambda;return'<div id="account-settings" class="settings-section show" data-name="your-account">\n    <div class="alert" id="account-settings-status"></div>\n    <div class="account-settings-form">\n        <form class="email-change-form">\n            <h3 class="light">'+l((b.t||a&&a.t||h).call(f,"User settings",{name:"t",hash:{},data:d}))+'</h3>\n            <p for="change_email" class="inline-block title">\n                '+l((b.t||a&&a.t||h).call(f,"Email",{name:"t",hash:{},data:d}))+": <span id='email_value'>"+
l(g(null!=(e=null!=a?a.page_params:a)?e.email:e,a))+'</span>\n                <a id="change_email" href="#change_email" '+(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.realm_email_changes_disabled:e,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'title="'+l((b.t||a&&a.t||h).call(f,"Change email",{name:"t",hash:{},data:d}))+'">['+l((b.t||a&&a.t||h).call(f,"Change",{name:"t",hash:{},data:d}))+']</a>\n                <i class="icon-vector-question-sign change_email_tooltip" '+
(null!=(e=b.unless.call(f,null!=(e=null!=a?a.page_params:a)?e.realm_email_changes_disabled:e,{name:"unless",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' data-toggle="tooltip"\n                title="'+l((b.t||a&&a.t||h).call(f,"Changing email addresses has been disabled by your Zulip organization administrators. Contact an administrator for help.",{name:"t",hash:{},data:d}))+'"></i>\n            </p>\n\n            <div id="change_email_modal" class="modal hide" tabindex="-1" role="dialog"\n                aria-labelledby="change_email_modal_label" aria-hidden="true">\n                <div class="modal-header">\n                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n                    <h3 id="change_email_modal_label">'+
l((b.t||a&&a.t||h).call(f,"Change email",{name:"t",hash:{},data:d}))+'</h3>\n                </div>\n                <div class="modal-body">\n                    <div class="input-group email_change_container">\n                        <label for="email">'+l((b.t||a&&a.t||h).call(f,"Email",{name:"t",hash:{},data:d}))+'</label>\n                        <input type="text" name="email" value="'+l(g(null!=(e=null!=a?a.page_params:a)?e.email:e,a))+'" autocomplete="off" />\n                    </div>\n                </div>\n                <div class="modal-footer">\n                    <button id=\'change_email_button\' class="btn btn-success" data-dismiss="modal" aria-hidden="true">'+
l((b.t||a&&a.t||h).call(f,"Change",{name:"t",hash:{},data:d}))+'</button>\n                    <button class="btn btn-primary" data-dismiss="modal" aria-hidden="true">'+l((b.t||a&&a.t||h).call(f,"Close",{name:"t",hash:{},data:d}))+'</button>\n                </div>\n            </div>\n        </form>\n\n        <form action="/json/settings/change" method="post"\n            class="form-horizontal your-account-settings">\n\n            <div class="m-10 inline-block grid user-name-parent">\n                <div class="user-name-section inline-block">\n                    <div class="input-group" id="name_change_container">\n                        <label for="full_name" class="inline-block title">'+
l((b.t||a&&a.t||h).call(f,"Full name",{name:"t",hash:{},data:d}))+'</label>\n                        <input type="text" name="full_name" id="full_name" class="w-200 inline-block" value="'+l(g(null!=(e=null!=a?a.page_params:a)?e.full_name:e,a))+'" '+(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.realm_name_changes_disabled:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'/>\n                        <i class="icon-vector-question-sign change_name_tooltip" data-toggle="tooltip"\n                        '+
(null!=(e=b.unless.call(f,null!=(e=null!=a?a.page_params:a)?e.realm_name_changes_disabled:e,{name:"unless",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n                        title="'+l((b.t||a&&a.t||h).call(f,"Changing your name has been disabled by your Zulip organization administrators. Contact an administrator for help.",{name:"t",hash:{},data:d}))+'"/>\n                        <i class="icon-vector-question-sign change_name_tooltip" data-toggle="tooltip"\n                        '+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.realm_name_changes_disabled:e,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'\n                        title="'+l((b.t||a&&a.t||h).call(f,"Zulip has full unicode support, so you can spell your name exactly how you want it to appear.",{name:"t",hash:{},data:d}))+'"/>\n                        <div class="warning"></div>\n                    </div>\n\n                    \x3c!-- password start --\x3e\n'+(null!=(e=b["if"].call(f,
null!=(e=null!=a?a.page_params:a)?e.realm_password_auth_enabled:e,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+'\n                    <div class="input-group no-border">\n                        <label for="" class="inline-block"></label>\n                        <button type="submit" class="button white rounded w-200 sea-green input-size" name="change_settings">\n                            '+l((b.t||a&&a.t||h).call(f,"Save changes",{name:"t",hash:{},data:d}))+'\n                        </button>\n                    </div>\n                    <div class="input-group">\n                        <label for="" class="inline-block"></label>\n                        <button type="submit" class="button white rounded w-200 btn-danger input-size" id="user_deactivate_account_button">\n                            '+
l((b.t||a&&a.t||h).call(f,"Deactivate account",{name:"t",hash:{},data:d}))+'\n                        </button>\n                    </div>\n                </div>\n            </div>\n\n            <h3 class="light">'+l((b.t||a&&a.t||h).call(f,"User avatar",{name:"t",hash:{},data:d}))+'</h3>\n\n            <div class="user-avatar-section">\n                <div class="inline-block">\n                    <img id="user-settings-avatar" src="'+l(g(null!=(e=null!=a?a.page_params:a)?e.avatar_url_medium:
e,a))+'" />\n                    <div id="user_avatar_file_input_error" class="text-error"></div>\n                    <input type="file" name="user_avatar_file_input" class="notvisible" id="user_avatar_file_input" value="'+l((b.t||a&&a.t||h).call(f,"Upload avatar",{name:"t",hash:{},data:d}))+'" />\n                    <div id="upload_avatar_spinner"></div>\n                </div>\n                <div class="inline-block avatar-controls">\n                    <button class="button white rounded sea-green w-200 block" id="user_avatar_upload_button">\n                        '+
l((b.t||a&&a.t||h).call(f,"Upload new avatar",{name:"t",hash:{},data:d}))+'\n                    </button>\n                    <button class="button white rounded btn-danger w-200 m-t-20 block" id="user_avatar_delete_button">\n                        '+l((b.t||a&&a.t||h).call(f,"Delete avatar",{name:"t",hash:{},data:d}))+'\n                    </button>\n                </div>\n            </div>\n            <div class="clear-float"></div>\n\n        </form>\n\n        <div id="deactivate_self_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_self_modal_label" aria-hidden="true">\n            <div class="modal-header">\n                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n                <h3 id="deactivation_user_modal_label">'+
l((b.t||a&&a.t||h).call(f,"Deactivate your account",{name:"t",hash:{},data:d}))+' </h3>\n            </div>\n            <div class="modal-body">\n                <p>'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+"</p>\n                <p>"+l((b.t||a&&a.t||h).call(f,"Note that any bots that you maintain will be disabled.",{name:"t",hash:{},data:d}))+'</p>\n            </div>\n            <div class="modal-footer">\n                <button class="button white" data-dismiss="modal" aria-hidden="true">'+
l((b.t||a&&a.t||h).call(f,"Cancel",{name:"t",hash:{},data:d}))+'</button>\n                <button class="button btn-danger" id="do_deactivate_self_button">'+l((b.t||a&&a.t||h).call(f,"Deactivate now",{name:"t",hash:{},data:d}))+"</button>\n\n            </div>\n        </div>\n\n    </div>\n</div>\n"},useData:!0});k["notification-settings"]=g({1:function(c,a,b,f,d){return"You'll receive notifications when a message arrives and Zulip isn't in focus or the message is offscreen."},3:function(c,a,b,
f,d){return'                           checked="checked"\n                           '},5:function(c,a,b,f,d){return'Change notification settings for individual streams on your <a href="/#streams">Streams page</a>.'},7:function(c,a,b,f,d){return'                               checked="checked"\n                               '},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="notification-settings" class="settings-section" data-name="notifications">\n    <form class="notification-settings-form">\n        <div class="notification-reminder w-70 padded-container center-block">'+
(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'</div>\n        <div class="alert" id="notify-settings-status"></div>\n\n        <h4>'+l((b.t||a&&a.t||h).call(f,"Stream messages",{name:"t",hash:{},data:d}))+'</h4>\n\n        <div class="padded-container">\n            <p>'+l((b.t||a&&a.t||h).call(f,"Unless I say otherwise for a particular stream, I want:",{name:"t",hash:{},data:d}))+'</p>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" class="inline-block" name="enable_stream_desktop_notifications"\n                           id="enable_stream_desktop_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_stream_desktop_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_stream_desktop_notifications" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Desktop notifications",{name:"t",hash:{},data:d}))+'\n                </label>\n                <div class="propagate_stream_notifications_change"></div>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" class="inline-block" name="enable_stream_sounds" id="enable_stream_sounds"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_stream_sounds:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_stream_sounds" class="inline-block no-border">\n                    '+l((b.t||a&&a.t||h).call(f,"Audible notifications",{name:"t",hash:{},data:d}))+'\n                </label>\n                <div class="propagate_stream_notifications_change"></div>\n            </div>\n\n            <p class="notification-settings-note">\n                '+
(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+"\n            </p>\n        </div>\n\n        <h4>"+l((b.t||a&&a.t||h).call(f,"Private messages and @-mentions",{name:"t",hash:{},data:d}))+'</h4>\n\n        <div class="padded-container">\n            <p>'+l((b.t||a&&a.t||h).call(f,"I want:",{name:"t",hash:{},data:d}))+'</p>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="enable_desktop_notifications" id="enable_desktop_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_desktop_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_desktop_notifications" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Desktop notifications",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="pm_content_in_desktop_notifications"\n                              id="pm_content_in_desktop_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.pm_content_in_desktop_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="pm_content_in_desktop_notifications" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Include content of private messages in desktop notifications",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="enable_sounds" id="enable_sounds"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_sounds:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_sounds" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Audible notifications",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="enable_offline_email_notifications" id="enable_offline_email_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_offline_email_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_offline_email_notifications" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Email notifications when offline",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="enable_offline_push_notifications" id="enable_offline_push_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_offline_push_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_offline_push_notifications" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Mobile push notifications when offline",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="enable_online_push_notifications" id="enable_online_push_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_online_push_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="enable_online_push_notifications" class="inline-block">\n                    '+l((b.t||a&&a.t||h).call(f,"Mobile push notifications always (even when online)",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n        </div>\n\n        <div id="other_notifications">\n\n            <h4>'+
l((b.t||a&&a.t||h).call(f,"Other notifications I want:",{name:"t",hash:{},data:d}))+'</h4>\n\n            <div class="padded-container">\n                <div class="input-group no-margin" id="digest_container">\n                    <label class="checkbox">\n                        <input type="checkbox" name="enable_digest_emails" id="enable_digest_emails"\n'+(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.enable_digest_emails:e,{name:"if",hash:{},fn:c.program(7,d,0),inverse:c.noop,
data:d}))?e:"")+' />\n                        <span></span>\n                    </label>\n                    <label for="enable_digest_emails" class="inline-block">\n                        '+l((b.t||a&&a.t||h).call(f,"Digest emails when I'm away",{name:"t",hash:{},data:d}))+'\n                    </label>\n                </div>\n            </div>\n        </div>\n\n        <div class="input-group no-border">\n            <div class="controls notification-submission">\n                <button type="submit" id="change_notification_settings"\n                    name="change_notification_settings"\n                    class="button white rounded sea-green">\n                    '+
l((b.t||a&&a.t||h).call(f,"Save changes",{name:"t",hash:{},data:d}))+"\n                </button>\n            </div>\n        </div>\n    </form>\n\n</div>\n"},useData:!0});k["deactivated-users-admin"]=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div id="admin-deactivated-users-list" class="settings-section" data-name="deactivated-users-admin">\n    <input type="text" class="search" placeholder="'+c((b.t||a&&a.t||e).call(f,
"Filter deactivated users",{name:"t",hash:{},data:d}))+'" />\n    <div class="clear-float"></div>\n\n    <div class="progressive-table-wrapper">\n        <table class="table table-condensed table-striped">\n            <thead>\n                <th>'+c((b.t||a&&a.t||e).call(f,"Name",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+c((b.t||a&&a.t||e).call(f,"Email",{name:"t",hash:{},data:d}))+'</th>\n                <th class="actions">'+c((b.t||a&&a.t||e).call(f,"Actions",{name:"t",hash:{},
data:d}))+'</th>\n            </thead>\n            <tbody id="admin_deactivated_users_table" class="required-text thick admin_user_table" data-empty="'+c((b.t||a&&a.t||e).call(f,"No users match your current filter.",{name:"t",hash:{},data:d}))+'"></tbody>\n        </table>\n    </div>\n    <div id="admin_page_deactivated_users_loading_indicator"></div>\n</div>\n'},useData:!0});k["admin-realm-domains-list"]=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;
return'<tr>\n    <td class="domain">'+g((h=null!=(h=b.domain||(null!=a?a.domain:a))?h:l,"function"===typeof h?h.call(f,{name:"domain",hash:{},data:d}):h))+'</td>\n    <td><input type="checkbox" class="allow-subdomains" '+(null!=(e=b["if"].call(f,null!=a?a.allow_subdomains:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+'></input></td>\n    <td><button class="btn btn-danger btn-sm delete_realm_domain">'+g((b.t||a&&a.t||l).call(f,"Remove",{name:"t",hash:{},data:d}))+"</button></td>\n</tr>\n"},
2:function(c,a,b,f,d){return"checked"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["with"].call(null!=a?a:{},null!=a?a.realm_domain:a,{name:"with",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k.admin_auth_methods_list=g({1:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<tr class="method_row" data-method="'+g((h=null!=(h=b.method||(null!=a?a.method:a))?h:l,"function"===typeof h?h.call(f,{name:"method",
hash:{},data:d}):h))+'">\n    <td>\n        <span class="method">'+g((h=null!=(h=b.method||(null!=a?a.method:a))?h:l,"function"===typeof h?h.call(f,{name:"method",hash:{},data:d}):h))+'</span>\n    </td>\n    <td>\n        <label class="checkbox">\n            <input type="checkbox" '+(null!=(e=b["if"].call(f,null!=a?a.enabled:a,{name:"if",hash:{},fn:c.program(2,d,0),inverse:c.noop,data:d}))?e:"")+" />\n            <span></span>\n        </label>\n    </td>\n</tr>\n"},2:function(c,a,b,f,d){return'checked="checked"'},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;return null!=(e=b["with"].call(null!=a?a:{},null!=a?a.method:a,{name:"with",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:""},useData:!0});k["alert-word-settings"]=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){return'<div id="alert-word-settings" class="settings-section" data-name="alert-words">\n    <form class="form-horizontal" id="alert_word_info_box">\n        <p class="alert-word-settings-note">\n            '+c.escapeExpression((b.t||
a&&a.t||b.helperMissing).call(null!=a?a:{},"Alert words allow you to be notified as if you were @-mentioned when certain words or phrases are used in Zulip.",{name:"t",hash:{},data:d}))+'\n        </p>\n    </form>\n    <ul id="alert_words_list"></ul>\n</div>\n'},useData:!0});k["default-streams-list-admin"]=g({1:function(c,a,b,f,d){return"Configure the default streams new users are subscribed to when joining your organization."},3:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;
return'    <form class="form-horizontal default-stream-form">\n        <div class="add-new-default-stream-box grey-bg">\n            <div class="new-default-stream-section-title">'+c((b.t||a&&a.t||e).call(f,"Add new default stream",{name:"t",hash:{},data:d}))+'</div>\n            <div class="control-group" id="default_stream_inputs">\n                <label for="default_stream_name" class="control-label">'+c((b.t||a&&a.t||e).call(f,"Stream name",{name:"t",hash:{},data:d}))+'</label>\n                <input class="create_default_stream" type="text" placeholder="'+
c((b.t||a&&a.t||e).call(f,"Stream name",{name:"t",hash:{},data:d}))+'" name="stream_name" autocomplete="off"></input>\n                <div class="alert" id="admin-default-stream-status"></div>\n            </div>\n            <div class="control-group">\n                <div class="controls">\n                    <button type="submit" id="do_submit_stream" class="button white rounded sea-green">'+c((b.t||a&&a.t||e).call(f,"Add stream",{name:"t",hash:{},data:d}))+"</button>\n                </div>\n            </div>\n        </div>\n    </form>\n"},
5:function(c,a,b,f,d){return'                <th class="actions">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Actions",{name:"t",hash:{},data:d}))+"</th>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="admin-default-streams-list" class="settings-section" data-name="default-streams-list">\n    <input type="text" class="search" placeholder="'+l((b.t||a&&a.t||h).call(f,"Filter streams",{name:"t",
hash:{},data:d}))+'" />\n    <div class="clear-float"></div>\n\n    <div class="side-padded-container">\n        <p>'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</p>\n    </div>\n\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'\n    <div class="progressive-table-wrapper">\n        <table class="table table-condensed table-striped">\n            <thead>\n                <th>'+
l((b.t||a&&a.t||h).call(f,"Name",{name:"t",hash:{},data:d}))+"</th>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+'            </thead>\n            <tbody class="required-text" data-empty="'+l((b.t||a&&a.t||h).call(f,"No default streams match you current filter.",{name:"t",hash:{},data:d}))+'"\n                   id="admin_default_streams_table" class="admin_default_stream_table"></tbody>\n        </table>\n    </div>\n\n    <div id="admin_page_default_streams_loading_indicator"></div>\n</div>\n'},
useData:!0});k["realm-filter-settings-admin"]=g({1:function(c,a,b,f,d){return"            Configure regular expression patterns that will be\n            automatically linkified when used in Zulip message bodies or\n            topics.  For example to automatically linkify commit IDs and\n            issue numbers (e.g. #123) to the corresponding items in a GitHub\n            project, you could use the following:\n"},3:function(c,a,b,f,d){return'                <th class="actions">'+c.escapeExpression((b.t||
a&&a.t||b.helperMissing).call(null!=a?a:{},"Actions",{name:"t",hash:{},data:d}))+"</th>\n"},5:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'    <form class="form-horizontal admin-filter-form">\n        <div class="add-new-filter-box grey-bg green-bg">\n            <div class="new-filter-form">\n                <div class="settings-section-title new-filter-section-title">'+c((b.t||a&&a.t||e).call(f,"Add a new filter",{name:"t",hash:{},data:d}))+'</div>\n                <div class="alert" id="admin-filter-status"></div>\n                <div class="control-group">\n                    <label for="filter_pattern" class="control-label">'+
c((b.t||a&&a.t||e).call(f,"Regular expression",{name:"t",hash:{},data:d}))+'</label>\n                    <input type="text" id="filter_pattern" name="pattern" placeholder="#(?P<id>[0-9]+)" />\n                    <div class="alert" id="admin-filter-pattern-status"></div>\n                </div>\n                <div class="control-group">\n                    <label for="filter_format_string" class="control-label">'+c((b.t||a&&a.t||e).call(f,"URL format string",{name:"t",hash:{},data:d}))+'</label>\n                    <input type="text" id="filter_format_string" name="url_format_string" placeholder="https://github.com/zulip/zulip/issues/%(id)s" />\n                    <div class="alert" id="admin-filter-format-status"></div>\n                </div>\n                <div class="control-group">\n                    <div class="controls">\n                        <button type="submit" class="button white rounded sea-green">\n                            '+
c((b.t||a&&a.t||e).call(f,"Add filter",{name:"t",hash:{},data:d}))+"\n                        </button>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </form>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="filter-settings" class="settings-section" data-name="filter-settings">\n    <div class="admin-table-wrapper">\n\n        <p>\n'+(null!=(e=(b.tr||a&&a.tr||h).call(f,
a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"        </p>\n        <ul>\n            <li>\n                <code>#(?P&lt;id&gt;[0-9]+)</code>\n                "+l((b.t||a&&a.t||h).call(f,"and",{name:"t",hash:{},data:d}))+"\n                <code>https://github.com/zulip/zulip/issues/%(id)s</code>\n            </li>\n            <li>\n                <code>(?P&lt;id&gt;[0-9a-f]{40})</code>\n                "+l((b.t||a&&a.t||h).call(f,"and",{name:"t",hash:{},data:d}))+'\n                <code>https://github.com/zulip/zulip/commit/%(id)s</code>\n            </li>\n        </ul>\n\n        <table class="table table-condensed table-striped admin_filters_table">\n            <tbody id="admin_filters_table">\n                <th>'+
l((b.t||a&&a.t||h).call(f,"Pattern",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+l((b.t||a&&a.t||h).call(f,"URL format string",{name:"t",hash:{},data:d}))+"</th>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+"            </tbody>\n        </table>\n    </div>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+"</div>\n"},useData:!0});k["streams-list-admin"]=
g({1:function(c,a,b,f,d){return'Most stream administration is done on the <a href="/#streams">Streams page</a>.'},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="admin-streams-list" class="settings-section" data-name="streams-list-admin">\n    <input type="text" class="search" placeholder="'+l((b.t||a&&a.t||h).call(f,"Filter streams",{name:"t",hash:{},data:d}))+'" />\n    <div class="clear-float"></div>\n\n    <div class="side-padded-container">\n        <p class="admin-streams-note">'+
(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'</p>\n    </div>\n\n    <div class="progressive-table-wrapper">\n        <table class="table table-condensed table-striped">\n            <thead>\n                <th>'+l((b.t||a&&a.t||h).call(f,"Name",{name:"t",hash:{},data:d}))+'</th>\n                <th class="actions">'+l((b.t||a&&a.t||h).call(f,"Actions",{name:"t",hash:{},data:d}))+'</th>\n            </thead>\n            <tbody id="admin_streams_table" class="admin_stream_table required-text"\n                   data-empty="'+
l((b.t||a&&a.t||h).call(f,"No streams match your current filter.",{name:"t",hash:{},data:d}))+'"></tbody>\n        </table>\n    </div>\n    <div id="admin_page_streams_loading_indicator"></div>\n</div>\n'},useData:!0});k["display-settings"]=g({1:function(c,a,b,f,d){return'                  checked="checked"\n                '},3:function(c,a,b,f,d){return"                <option></option>\n"},5:function(c,a,b,f,d){b=c.lambda;c=c.escapeExpression;return'                <option value="'+c(b(a,a))+
'">'+c(b(a,a))+"</option>\n"},7:function(c,a,b,f,d){var e;f=null!=a?a:{};return'        <div class="input-group">\n            <label for="emojiset_select">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(f,"Emoji style",{name:"t",hash:{},data:d}))+':</label>\n            <select name="emojiset_select" id="emojiset_select">\n'+(null!=(e=b.each.call(f,null!=(e=null!=a?a.page_params:a)?e.emojiset_choices:e,{name:"each",hash:{},fn:c.program(8,d,0),inverse:c.noop,data:d}))?e:"")+'            </select>\n            <div id="emojiset_spinner"></div>\n        </div>\n'},
8:function(c,a,b,f,d){var e;f=c.escapeExpression;return"                <option value="+f((e=null!=(e=b.key||d&&d.key)?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"key",hash:{},data:d}):e))+">"+f(c.lambda(a,a))+"</option>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="display-settings" class="settings-section" data-name="display-settings">\n    <div class="alert" id="display-settings-status"></div>\n    <form class="display-settings-form">\n\n        <p for="default_language" class="inline-block title">\n            '+
l((b.t||a&&a.t||h).call(f,"Default language",{name:"t",hash:{},data:d}))+": <span id='default_language_name'>"+l(c.lambda(null!=(e=null!=a?a.page_params:a)?e.default_language_name:e,a))+'</span>\n            <a id="default_language" href="#default_language" title="'+l((b.t||a&&a.t||h).call(f,"Change default language",{name:"t",hash:{},data:d}))+'">['+l((b.t||a&&a.t||h).call(f,"Change",{name:"t",hash:{},data:d}))+"]</a>\n        </p>\n\n        "+l((b.partial||a&&a.partial||h).call(f,"default_language_modal",
{name:"partial",hash:{},data:d}))+'\n\n        <div class="input-group">\n            <label class="checkbox">\n                <input type="checkbox" name="left_side_userlist" id="left_side_userlist"\n'+(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.left_side_userlist:e,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                <span></span>\n            </label>\n            <label for="left_side_userlist" class="inline-block">'+l((b.t||a&&a.t||h).call(f,
"Display user list on left side in narrow windows.",{name:"t",hash:{},data:d}))+'</label>\n        </div>\n\n        <div class="input-group">\n            <label class="checkbox">\n                <input type="checkbox" name="emoji_alt_code" id="emoji_alt_code"\n'+(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.emoji_alt_code:e,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                <span></span>\n            </label>\n            <label for="emoji_alt_code" class="inline-block">'+
l((b.t||a&&a.t||h).call(f,'Display emoji reactions as text (:heart: instead of <img alt=":heart:" class="emoji" src="/static/generated/emoji/images/emoji/unicode/2764.png" title=":heart:"/>).',{name:"t",hash:{},data:d}))+'</label>\n        </div>\n\n        <div class="input-group">\n            <label class="checkbox">\n                <input type="checkbox" name="twenty_four_hour_time" id="twenty_four_hour_time"\n'+(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.twenty_four_hour_time:
e,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                <span></span>\n            </label>\n            <label for="twenty_four_hour_time" class="inline-block">\n                '+l((b.t||a&&a.t||h).call(f,"Display time in 24-hour format (17:00 instead of 5:00 PM)",{name:"t",hash:{},data:d}))+'\n            </label>\n        </div>\n\n        <div class="input-group">\n            <label for="timezone">'+l((b.t||a&&a.t||h).call(f,"Time zone",{name:"t",hash:{},
data:d}))+':</label>\n            <select name="timezone" id="user_timezone">\n'+(null!=(e=b.unless.call(f,null!=(e=null!=a?a.page_params:a)?e.timezone:e,{name:"unless",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+"\n"+(null!=(e=b.each.call(f,null!=a?a.timezones:a,{name:"each",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+"            </select>\n        </div>\n\n"+(null!=(e=b["if"].call(f,!1,{name:"if",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+"    </form>\n</div>\n"},
useData:!0});k["auth-methods-settings-admin"]=g({1:function(c,a,b,f,d){return"Configure the authentication methods for your organization."},3:function(c,a,b,f,d){return'        <div class="input-group">\n            <div class="organization-submission">\n                <button type="submit" class="button white rounded sea-green">\n                    '+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Save changes",{name:"t",hash:{},data:d}))+"\n                </button>\n            </div>\n        </div>\n"},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="organization-settings" class="settings-section" data-name="auth-methods">\n    <form class="form-horizontal admin-realm-form org-authentications-form">\n        <div class="alert" id="admin-realm-authentication-methods-status"></div>\n        <div class="admin-table-wrapper">\n            <p>'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),
inverse:c.noop,data:d}))?e:"")+'</p>\n            <table class="table table-condensed table-striped">\n                <tbody id="admin_auth_methods_table" class=" admin_auth_methods_table">\n                    <th>'+l((b.t||a&&a.t||h).call(f,"Method",{name:"t",hash:{},data:d}))+"</th>\n                    <th>"+l((b.t||a&&a.t||h).call(f,"Enabled",{name:"t",hash:{},data:d}))+'</th>\n                </tbody>\n            </table>\n        </div>\n        <div id="admin_page_auth_methods_loading_indicator"></div>\n'+
(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+"    </form>\n</div>\n"},useData:!0});k["organization-settings-admin"]=g({1:function(c,a,b,f,d){b=c.lambda;c=c.escapeExpression;return"                    <option value='"+c(b(null!=a?a.code:a,a))+"'>"+c(b(null!=a?a.name:a,a))+"</option>\n"},3:function(c,a,b,f,d){return'            <div class="input-group organization-submission">\n                <button type="submit" class="button white rounded sea-green">\n                    '+
c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Save changes",{name:"t",hash:{},data:d}))+"\n                </button>\n            </div>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<div id="organization-settings" data-name="organization-settings" class="settings-section">\n    <form class="form-horizontal admin-realm-form org-settings-form">\n        <h3 class="light">'+g((b.t||a&&a.t||l).call(f,
"Organization settings",{name:"t",hash:{},data:d}))+'</h3>\n\n        <div class="alert" id="admin-realm-name-status"></div>\n        <div class="alert" id="admin-realm-description-status"></div>\n        <div class="alert" id="admin-realm-default-language-status"></div>\n        <div class="alert" id="admin-realm-waiting-period-threshold-status"></div>\n\n        <div class="m-10 inline-block organization-settings-parent">\n            <div class="input-group admin-realm">\n                <label for="realm_name">'+
g((b.t||a&&a.t||l).call(f,"Your organization's name",{name:"t",hash:{},data:d}))+'</label>\n                <input type="text" id="id_realm_name" name="realm_name" class="admin-realm-name"\n                       value="'+g((h=null!=(h=b.realm_name||(null!=a?a.realm_name:a))?h:l,"function"===typeof h?h.call(f,{name:"realm_name",hash:{},data:d}):h))+'" />\n            </div>\n            <div class="input-group admin-realm">\n                <label for="realm_description">'+g((b.t||a&&a.t||l).call(f,
"Your organization's description",{name:"t",hash:{},data:d}))+'</label>\n                <textarea id="id_realm_description" name="realm_description" class="admin-realm-description"\n                    maxlength="1000">'+g((h=null!=(h=b.realm_description||(null!=a?a.realm_description:a))?h:l,"function"===typeof h?h.call(f,{name:"realm_description",hash:{},data:d}):h))+'</textarea>\n            </div>\n            <div class="input-group">\n                <label for="realm_default_language">'+g((b.t||
a&&a.t||l).call(f,"Default language",{name:"t",hash:{},data:d}))+':</label>\n                <select name="realm_default_language" id="id_realm_default_language">\n'+(null!=(e=b.each.call(f,null!=a?a.language_list:a,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'                </select>\n            </div>\n            <div class="input-group">\n                <label for="realm_waiting_period_threshold">'+g((b.t||a&&a.t||l).call(f,"Waiting period for stream creation (in days)",
{name:"t",hash:{},data:d}))+'</label>\n                <input type="text" id="id_realm_waiting_period_threshold"\n                     name="realm_waiting_period_threshold"\n                     class="admin-realm-message-content-edit-limit-minutes"\n                     value="'+g((h=null!=(h=b.realm_waiting_period_threshold||(null!=a?a.realm_waiting_period_threshold:a))?h:l,"function"===typeof h?h.call(f,{name:"realm_waiting_period_threshold",hash:{},data:d}):h))+'"/>\n            </div>\n'+(null!=
(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'        </div>\n\n        <h3 class="light">'+g((b.t||a&&a.t||l).call(f,"Organization avatar",{name:"t",hash:{},data:d}))+'</h3>\n\n        <div class="realm-icon-section">\n            <div class="inline-block">\n                <img id="realm-settings-icon" src="'+g((h=null!=(h=b.realm_icon_url||(null!=a?a.realm_icon_url:a))?h:l,"function"===typeof h?h.call(f,{name:"realm_icon_url",hash:{},
data:d}):h))+'"/>\n                <div id="realm_icon_file_input_error" class="text-error"></div>\n                <input type="file" name="realm_icon_file_input" class="notvisible"\n                       id="realm_icon_file_input" value="'+g((b.t||a&&a.t||l).call(f,"Upload icon",{name:"t",hash:{},data:d}))+'"/>\n                <div id="upload_icon_spinner"></div>\n            </div>\n            <div class="inline-block avatar-controls">\n                <button class="button white rounded sea-green w-200 block input-size"\n                        id="realm_icon_upload_button">'+
g((b.t||a&&a.t||l).call(f,"Upload new icon",{name:"t",hash:{},data:d}))+'</button>\n                <button class="button white rounded btn-danger w-200 m-t-10 block input-size"\n                        id="realm_icon_delete_button">'+g((b.t||a&&a.t||l).call(f,"Delete icon",{name:"t",hash:{},data:d}))+"</button>\n            </div>\n        </div>\n    </form>\n</div>\n"},useData:!0});k["realm-domains-modal"]=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;
c=c.escapeExpression;return'<div id="realm_domains_modal" class="modal hide" tabindex="-1" role="dialog" aria-labelledby="realm_domains_modal_label" aria-hidden="true">\n    <div class="modal-header">\n        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n        <h3 id="realm_domains_modal_label">'+c((b.t||a&&a.t||e).call(f,"Allowed domains",{name:"t",hash:{},data:d}))+'</h3>\n    </div>\n    <div class="modal-body">\n        <table class="table table-condensed table-stripped" id="realm_domains_table">\n            <thead>\n                <th>'+
c((b.t||a&&a.t||e).call(f,"Domain",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+c((b.t||a&&a.t||e).call(f,"Allow subdomains",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+c((b.t||a&&a.t||e).call(f,"Action",{name:"t",hash:{},data:d}))+'</th>\n            </thead>\n            <tbody>\n            </tbody>\n            <tfoot>\n                <tr id="add-realm-domain-widget">\n                    <td><input type="text" class="new-realm-domain" placeholder="acme.com"></input></td>\n                    <td><input type="checkbox" class="new-realm-domain-allow-subdomains"></input></td>\n                    <td><button type="button" class="btn btn-primary" id="submit-add-realm-domain">'+
c((b.t||a&&a.t||e).call(f,"Add",{name:"t",hash:{},data:d}))+'</button></td>\n                </tr>\n            </tfoot>\n        </table>\n    </div>\n    <div class="modal-footer centered-footer">\n        <div class="realm_domains_info"></div>\n    </div>\n</div>\n'},useData:!0});k["bot-list-admin"]=g({1:function(c,a,b,f,d){return'                <th class="actions">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Actions",{name:"t",hash:{},data:d}))+"</th>\n"},compiler:[7,
">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="admin-user-list" class="settings-section" data-name="bot-list-admin">\n    <input type="text" class="search" placeholder="'+l((b.t||a&&a.t||h).call(f,"Filter bots",{name:"t",hash:{},data:d}))+'" />\n    <div class="clear-float"></div>\n    <div class="progressive-table-wrapper">\n        <table class="table table-condensed table-striped wrapped-table">\n            <thead>\n                <th class="wrapped-cell">'+
l((b.t||a&&a.t||h).call(f,"Name",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+l((b.t||a&&a.t||h).call(f,"Email",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+l((b.t||a&&a.t||h).call(f,"Owner",{name:"t",hash:{},data:d}))+"</th>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'            </thead>\n            <tbody id="admin_bots_table" class="admin_bot_table required-text thick"\n                   data-empty="'+
l((b.t||a&&a.t||h).call(f,"No bots match your current filter.",{name:"t",hash:{},data:d}))+'"></tbody>\n        </table>\n    </div>\n    <div id="admin_page_bots_loading_indicator"></div>\n</div>\n'},useData:!0});k["ui-settings"]=g({1:function(c,a,b,f,d){return'                       checked="checked"\n                     '},3:function(c,a,b,f,d){return'                       checked="checked"\n                    '},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,
l=c.escapeExpression;return'<div id="ui-settings" class="settings-section" data-name="zulip-labs">\n    <div class="alert" id="ui-settings-status"></div>\n    <form class="ui-settings-form">\n        <p>\n            '+l((b.t||a&&a.t||h).call(f,"Warning: the below features are experimental, and may not work as well as you would like.",{name:"t",hash:{},data:d}))+'\n        </p>\n        <div class="input-group">\n            <label class="checkbox">\n                <input type="checkbox" class="inline-block" name="autoscroll_forever" id="autoscroll_forever"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.autoscroll_forever:e,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                <span></span>\n            </label>\n            <label for="autoscroll_forever" class="inline-block">\n                '+l((b.t||a&&a.t||h).call(f,"Always auto-scroll to new messages",{name:"t",hash:{},data:d}))+'\n            </label>\n        </div>\n        <div class="input-group">\n            <label class="checkbox">\n                <input type="checkbox" class="inline-block" name="default_desktop_notifications" id="default_desktop_notifications"\n'+
(null!=(e=b["if"].call(f,null!=(e=null!=a?a.page_params:a)?e.default_desktop_notifications:e,{name:"if",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                <span></span>\n            </label>\n            <label for="default_desktop_notifications" class="inline-block">\n                '+l((b.t||a&&a.t||h).call(f,"Enable desktop notifications for new streams",{name:"t",hash:{},data:d}))+'\n            </label>\n\n        </div>\n        <div class="input-group no-border">\n            <div class="ui-submission">\n                <input type="submit" name="change_settings" value="'+
l((b.t||a&&a.t||h).call(f,"Save changes",{name:"t",hash:{},data:d}))+'" class="button white rounded sea-green" />\n            </div>\n        </div>\n    </form>\n</div>\n'},useData:!0});k["attachment-item"]=g({1:function(c,a,b,f,d){return"small"},3:function(c,a,b,f,d){return"no-extension"},5:function(c,a,b,f,d){var e;return"                "+c.escapeExpression(c.lambda(null!=(e=null!=a?a.attachment:a)?e.extension:e,a))+"\n"},7:function(c,a,b,f,d){return'                <i class="icon icon-vector-file"></i>\n'},
9:function(c,a,b,f,d){var e;return'            <div class="attachment-messages">\n'+(null!=(e=b.each.call(null!=a?a:{},null!=(e=null!=a?a.attachment:a)?e.messages:e,{name:"each",hash:{},fn:c.program(10,d,0),inverse:c.noop,data:d}))?e:"")+"            </div>\n"},10:function(c,a,b,f,d){b=c.lambda;c=c.escapeExpression;return'                <a class="ind-message" href="/#narrow/id/'+c(b(null!=a?a.id:a,a))+'">\n                    <div class="message-id">#'+c(b(null!=a?a.id:a,a))+'</div>\n                    <div class="message-date">'+
c(b(null!=a?a.name:a,a))+"</div>\n                </a>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=c.lambda;var h=c.escapeExpression,l=null!=a?a:{};return'\n<li class="attachment-item" data-attachment=\''+h(f(null!=(e=null!=a?a.attachment:a)?e.id:e,a))+'\'>\n    <div class="attachment-information-box list-container">\n        <div class="file-icon">\n            <div class="extension '+(null!=(e=b["if"].call(l,null!=(e=null!=a?a.attachment:a)?e.large_ext_name:e,{name:"if",hash:{},
fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+" "+(null!=(e=b.unless.call(l,null!=(e=null!=a?a.attachment:a)?e.extension:e,{name:"unless",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'">\n'+(null!=(e=b["if"].call(l,null!=(e=null!=a?a.attachment:a)?e.extension:e,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.program(7,d,0),data:d}))?e:"")+'            </div>\n        </div>\n        <div class="information">\n            <div class="attachment_listing">\n                <strong>'+
h(f(null!=(e=null!=a?a.attachment:a)?e.name:e,a))+'</strong>\n            </div>\n            <div class="edit-attachment-buttons">\n                <button type="submit"\n                    class="button small no-style remove-attachment"\n                    title="'+h((b.t||a&&a.t||b.helperMissing).call(l,"Delete file",{name:"t",hash:{},data:d}))+'" data-attachment="'+h(f(null!=(e=null!=a?a.attachment:a)?e.id:e,a))+'">\n                    <i class="icon-vector-trash"></i>\n                </button>\n            </div>\n'+
(null!=(e=b["if"].call(l,null!=(e=null!=a?a.attachment:a)?e.messages:e,{name:"if",hash:{},fn:c.program(9,d,0),inverse:c.noop,data:d}))?e:"")+"        </div>\n    </div>\n</li>\n"},useData:!0});k["emoji-settings-admin"]=g({1:function(c,a,b,f,d){return"Add extra emoji for members of the __realm_name__ organization."},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="emoji-settings" data-name="emoji-settings" class="settings-section">\n    <div class="admin-table-wrapper">\n        <p>'+
(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'</p>\n        <table class="table table-condensed table-striped admin_emoji_table">\n            <tbody id="admin_emoji_table">\n                <th>'+l((b.t||a&&a.t||h).call(f,"Name",{name:"t",hash:{},data:d}))+'</th>\n                <th class="image">'+l((b.t||a&&a.t||h).call(f,"Image",{name:"t",hash:{},data:d}))+'</th>\n                <th class="image">'+l((b.t||a&&a.t||h).call(f,"Author",
{name:"t",hash:{},data:d}))+'</th>\n                <th class="actions">'+l((b.t||a&&a.t||h).call(f,"Actions",{name:"t",hash:{},data:d}))+'</th>\n            </tbody>\n        </table>\n    </div>\n\n    <form class="form-horizontal admin-emoji-form">\n        <div class="add-new-emoji-box grey-bg green-bg">\n            <div class="new-emoji-form">\n                <div class="settings-section-title new-emoji-section-title no-padding">'+l((b.t||a&&a.t||h).call(f,"Add a new emoji",{name:"t",hash:{},
data:d}))+'</div>\n                <div class="alert" id="admin-emoji-status"></div>\n                <div class="input-group">\n                    <label for="emoji_name">'+l((b.t||a&&a.t||h).call(f,"Emoji name",{name:"t",hash:{},data:d}))+'</label>\n                    <input type="text" name="name" id="emoji_name" placeholder="mouse_face" />\n                </div>\n                <div class="input-group">\n                    <p id="emoji-file-name"></p>\n                    <input type="file" name="emoji_file_input" class="notvisible"\n                 id="emoji_file_input" value="'+
l((b.t||a&&a.t||h).call(f,"Upload emoji",{name:"t",hash:{},data:d}))+'"/>\n                    <button class="btn btn-default display-none" id="emoji_image_clear_button">'+l((b.t||a&&a.t||h).call(f,"Clear emoji image",{name:"t",hash:{},data:d}))+'</button>\n                    <button class="button white" id="emoji_upload_button">'+l((b.t||a&&a.t||h).call(f,"Upload emoji",{name:"t",hash:{},data:d}))+'</button>\n                    <p id="emoji_file_input_error" class="text-error"></p>\n                </div>\n                <button type="submit" class="button white rounded sea-green">\n                    '+
l((b.t||a&&a.t||h).call(f,"Add emoji",{name:"t",hash:{},data:d}))+"\n                </button>\n            </div>\n        </div>\n    </form>\n</div>\n"},useData:!0});k["user-list-admin"]=g({1:function(c,a,b,f,d){return'                <th class="actions">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Actions",{name:"t",hash:{},data:d}))+"</th>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="admin-user-list" class="settings-section" data-name="user-list-admin">\n    <input type="text" class="search" placeholder="'+
l((b.t||a&&a.t||h).call(f,"Filter users",{name:"t",hash:{},data:d}))+'" />\n    <div class="clear-float"></div>\n\n    <div class="progressive-table-wrapper">\n        <table class="table table-condensed table-striped wrapped-table">\n            <thead>\n                <th class="wrapped-cell">'+l((b.t||a&&a.t||h).call(f,"Name",{name:"t",hash:{},data:d}))+"</th>\n                <th>"+l((b.t||a&&a.t||h).call(f,"Email",{name:"t",hash:{},data:d}))+'</th>\n                <th class="last_active">'+
l((b.t||a&&a.t||h).call(f,"Last active",{name:"t",hash:{},data:d}))+"</th>\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'            </thead>\n            <tbody id="admin_users_table" class="admin_user_table required-text thick"\n                   data-empty="'+l((b.t||a&&a.t||h).call(f,"No users match your current filter.",{name:"t",hash:{},data:d}))+'"></tbody>\n        </table>\n    </div>\n    <div id="admin_page_users_loading_indicator"></div>\n</div>\n'},
useData:!0});k["attachments-settings"]=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div id="attachments-settings" class="settings-section" data-name="uploaded-files">\n    <div class="side-padded-container">\n        <p class="alert-word-settings-note">\n            '+c((b.t||a&&a.t||e).call(f,"For each file, we list any messages that link to it.",{name:"t",hash:{},data:d}))+'\n        </p>\n    </div>\n    <ul id="attachments_list" class="required-text" data-empty="'+
c((b.t||a&&a.t||e).call(f,"You have not uploaded any files yet.",{name:"t",hash:{},data:d}))+'"></ul>\n</div>\n'},useData:!0});k["muted-topics-settings"]=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div id="muted-topic-settings" class="settings-section" data-name="muted-topics">\n    <table id="muted_topics_table" class="table">\n        <thead>\n            <th>'+c((b.t||a&&a.t||e).call(f,"Stream",{name:"t",hash:{},data:d}))+
"</th>\n            <th>"+c((b.t||a&&a.t||e).call(f,"Topic",{name:"t",hash:{},data:d}))+'</th>\n            <th class="actions">'+c((b.t||a&&a.t||e).call(f,"Actions",{name:"t",hash:{},data:d}))+'</th>\n        </thead>\n        <tbody class="required-text" data-empty="'+c((b.t||a&&a.t||e).call(f,"You have not muted any topics yet.",{name:"t",hash:{},data:d}))+'"></tbody>\n    </table>\n</div>\n'},useData:!0});k["deactivation-user-modal"]=g({1:function(c,a,b,f,d){return'By deactivating <strong><span class="user_name"></span></strong> &lt;<span class="email"></span>&gt;, they will be logged out immediately.'},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'<div id="deactivation_user_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_user_modal_label" aria-hidden="true">\n    <div class="modal-header">\n        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n        <h3 id="deactivation_user_modal_label">'+l((b.t||a&&a.t||h).call(f,"Deactivate",{name:"t",
hash:{},data:d}))+' <span class="email"></span></h3>\n    </div>\n    <div class="modal-body">\n        <p>'+(null!=(e=(b.tr||a&&a.tr||h).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+"</p>\n        <p>"+l((b.t||a&&a.t||h).call(f,"Their password will be cleared from our systems, and any bots they maintain will be disabled.",{name:"t",hash:{},data:d}))+'</p>\n    </div>\n    <div class="modal-footer">\n        <button class="button white rounded" data-dismiss="modal" aria-hidden="true">'+
l((b.t||a&&a.t||h).call(f,"Cancel",{name:"t",hash:{},data:d}))+'</button>\n        <button class="button white rounded btn-danger" id="do_deactivate_user_button">'+l((b.t||a&&a.t||h).call(f,"Deactivate now",{name:"t",hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k["deactivation-stream-modal"]=g({compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){f=null!=a?a:{};var e=b.helperMissing;c=c.escapeExpression;return'<div id="deactivation_stream_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_stream_modal_label" aria-hidden="true">\n    <div class="modal-header">\n        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n        <h3 id="deactivation_stream_modal_label">'+
c((b.t||a&&a.t||e).call(f,"Delete stream",{name:"t",hash:{},data:d}))+' <span class="stream_name"></span></h3>\n    </div>\n    <div class="modal-body">\n        <p>'+c((b.t||a&&a.t||e).call(f,"Deleting this stream will immediately unsubscribe everyone, and the stream's content will not be recoverable.",{name:"t",hash:{},data:d}))+" <strong>"+c((b.t||a&&a.t||e).call(f,"Are you sure you want to do this?",{name:"t",hash:{},data:d}))+'</strong></p>\n    </div>\n    <div class="modal-footer">\n        <button class="button white rounded" data-dismiss="modal" aria-hidden="true">'+
c((b.t||a&&a.t||e).call(f,"Cancel",{name:"t",hash:{},data:d}))+'</button>\n        <button class="button white rounded btn-danger" id="do_deactivate_stream_button">'+c((b.t||a&&a.t||e).call(f,"Yes, delete this stream",{name:"t",hash:{},data:d}))+"</button>\n    </div>\n</div>\n"},useData:!0});k["bot-settings"]=g({1:function(c,a,b,f,d){var e;return'            Looking for our <a href="/integrations" target="_blank">Integrations</a>\n            or <a href="'+c.escapeExpression((e=null!=(e=b.server_uri||
(null!=a?a.server_uri:a))?e:b.helperMissing,"function"===typeof e?e.call(null!=a?a:{},{name:"server_uri",hash:{},data:d}):e))+'/api" target="_blank">API</a> documentation?\n'},3:function(c,a,b,f,d){return"                    For most bots using the API, you'll want to give each bot\n                    its own name and API key using the above section.  But if you\n                    want to write a bot that can access your own private\n                    messages, you should use your personal API key.\n"},
compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<div id="bot-settings" class="settings-section" data-name="your-bots">\n    <div class="bot-settings-form">\n        <p class="bot-settings-note padded-container">\n'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+'        </p>\n\n        <ul class="nav nav-tabs nav-justified" id="bots_lists_navbar">\n            <li class="active active-bots-tab"><a>'+
g((b.t||a&&a.t||l).call(f,"Active bots",{name:"t",hash:{},data:d}))+'</a></li>\n            <li class="inactive-bots-tab"><a>'+g((b.t||a&&a.t||l).call(f,"Inactive bots",{name:"t",hash:{},data:d}))+'</a></li>\n        </ul>\n\n        <ol class="bots_list" id="active_bots_list">\n        </ol>\n\n        <ol class="bots_list" id="inactive_bots_list">\n        </ol>\n\n        <div id="bot_table_error" class="alert alert-error hide"></div>\n\n        <div class="add-new-bot-box grey-bg">\n            <form id="create_bot_form" class="form-horizontal no-padding">\n                <h4 class="new-bot-section-title light no-margin">'+
g((b.t||a&&a.t||l).call(f,"Add a new bot",{name:"t",hash:{},data:d}))+'</h4>\n                <div class="new-bot-form">\n                    <div class="input-group">\n                        <label for="create_bot_name">'+g((b.t||a&&a.t||l).call(f,"Full name",{name:"t",hash:{},data:d}))+'</label>\n                        <input type="text" name="bot_name" id="create_bot_name" class="required"\n                               maxlength=100 placeholder="'+g((b.t||a&&a.t||l).call(f,"Cookie Bot",{name:"t",
hash:{},data:d}))+'" value="" />\n                        <div><label for="create_bot_name" generated="true" class="text-error"></label></div>\n                    </div>\n                    <div class="input-group">\n                        <label for="bot_short_name">'+g((b.t||a&&a.t||l).call(f,"Username",{name:"t",hash:{},data:d}))+'</label>\n                        <input type="text" name="bot_short_name" id="create_bot_short_name" class="required bot_local_part"\n                               placeholder="cookie" value="" />\n                        -bot@'+
g(c.lambda(null!=(e=null!=a?a.page_params:a)?e.realm_bot_domain:e,a))+'\n                        <div>\n                            <label for="create_bot_short_name" generated="true" class="text-error"></label>\n                        </div>\n                    </div>\n                    <div class="input-group">\n                        <div id="bot_avatar_file"></div>\n                        <input type="file" name="bot_avatar_file_input" class="notvisible" id="bot_avatar_file_input" value="'+
g((b.t||a&&a.t||l).call(f,"Upload avatar",{name:"t",hash:{},data:d}))+'" />\n                        <button class="button white rounded small btn-danger display-none" id="bot_avatar_clear_button">'+g((b.t||a&&a.t||l).call(f,"Clear avatar",{name:"t",hash:{},data:d}))+'</button>\n                        <button class="button white rounded" id="bot_avatar_upload_button">'+g((b.t||a&&a.t||l).call(f,"Customize avatar",{name:"t",hash:{},data:d}))+"</button> ("+g((b.t||a&&a.t||l).call(f,"Optional",{name:"t",
hash:{},data:d}))+')\n                    </div>\n                    <p>\n                        <div id="bot_avatar_file_input_error" class="text-error"></div>\n                    </p>\n                    <button type="submit" class="button white rounded sea-green" id="create_bot_button">\n                        '+g((b.t||a&&a.t||l).call(f,"Create bot",{name:"t",hash:{},data:d}))+'\n                    </button>\n                </div>\n            </form>\n        </div>\n\n        <hr class="settings_separator" />\n\n        <div class="form-horizontal" id="api_key_button_box">\n            <div class="input-group side-padded-container">\n                <p class="api-key-note">\n'+
(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'                </p>\n                <button class="button white rounded" id="api_key_button">'+g((b.t||a&&a.t||l).call(f,"Show/change your API key",{name:"t",hash:{},data:d}))+'</button>\n            </div>\n        </div>\n        <div id="get_api_key_box" class="side-padded-container">\n            <p>'+g((b.t||a&&a.t||l).call(f,"Please re-enter your password to confirm your identity.",
{name:"t",hash:{},data:d}))+'\n              <a href="/accounts/password/reset/" target="_blank">'+g((b.t||a&&a.t||l).call(f,"Forgotten it?",{name:"t",hash:{},data:d}))+'</a></p>\n            <form action="/json/fetch_api_key" method="post" class="form-horizontal">\n                <div class="control-group">\n                    <label for="password" class="control-label">'+g((b.t||a&&a.t||l).call(f,"Current password",{name:"t",hash:{},data:d}))+'</label>\n                    <input type="password" autocomplete="off"\n                           name="password" id="get_api_key_password" value="" />\n                </div>\n                <div class="control-group">\n                    <input type="submit" name="view_api_key" value="'+
g((b.t||a&&a.t||l).call(f,"Get API key",{name:"t",hash:{},data:d}))+'"\n                           class="btn btn-primary" />\n                </div>\n            </form>\n        </div>\n        <div id="show_api_key_box" class="side-padded-container">\n            <p>'+g((b.t||a&&a.t||l).call(f,"Your API key:",{name:"t",hash:{},data:d}))+'</p>\n            <p><b><span id="api_key_value"></span></b></p>\n            <button type="submit" class="btn btn-primary regenerate_api_key">\n                '+
g((b.t||a&&a.t||l).call(f,"Generate new API key",{name:"t",hash:{},data:d}))+'\n            </button>\n            <a id="download_zuliprc" download="'+g((h=null!=(h=b.zuliprc||(null!=a?a.zuliprc:a))?h:l,"function"===typeof h?h.call(f,{name:"zuliprc",hash:{},data:d}):h))+'" class="btn btn-success">\n                '+g((b.t||a&&a.t||l).call(f,"Download .zuliprc",{name:"t",hash:{},data:d}))+'\n            </a>\n            <div id="user_api_key_error text-error">\n            </div>\n        </div>\n\n    </div>\n</div>\n'},
useData:!0});k["organization-permissions-admin"]=g({1:function(c,a,b,f,d){return'checked="checked"'},3:function(c,a,b,f,d){return"If checked, only users with an e-mail address ending in these domains will be able to join the organization."},5:function(c,a,b,f,d){return'                <a data-toggle="modal" href="#realm_domains_modal">'+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"[Add or Change]",{name:"t",hash:{},data:d}))+"</a>\n"},7:function(c,a,b,f,d){return"control-label-disabled"},
9:function(c,a,b,f,d){return'disabled="disabled"'},11:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_inline_image_preview" name="realm_inline_image_preview"\n                           '+(null!=(e=b["if"].call(f,null!=a?a.realm_inline_image_preview:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+
' />\n                    <span></span>\n                </label>\n                <label for="id_realm_inline_image_preview" id="id_realm_inline_image_preview_label" class="inline-block"\n                    title="'+l((b.t||a&&a.t||h).call(f,"If checked, image previews will be shown.",{name:"t",hash:{},data:d}))+'">\n                    '+l((b.t||a&&a.t||h).call(f,"Show previews of uploaded and linked images",{name:"t",hash:{},data:d}))+"\n                </label>\n            </div>\n"},13:function(c,
a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing,l=c.escapeExpression;return'            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_inline_url_embed_preview" name="realm_inline_url_embed_preview"\n                           '+(null!=(e=b["if"].call(f,null!=a?a.realm_inline_url_embed_preview:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_inline_url_embed_preview" id="id_realm_inline_url_embed_preview_label" class="inline-block"\n                    title="'+
l((b.t||a&&a.t||h).call(f,"If checked, previews of linked websites will be shown.",{name:"t",hash:{},data:d}))+'">\n                    '+l((b.t||a&&a.t||h).call(f,"Show previews of linked websites",{name:"t",hash:{},data:d}))+"\n                </label>\n            </div>\n"},15:function(c,a,b,f,d){var e;f=null!=a?a:{};var h=b.helperMissing;c=c.escapeExpression;return'            <div class="input-group">\n                <label for="realm_message_retention_days"\n                    id="id_realm_message_retention_days_label"\n                    title="'+
c((b.t||a&&a.t||h).call(f,"Messages older than the configured number of days will be automatically deleted",{name:"t",hash:{},data:d}))+'">\n                    '+c((b.t||a&&a.t||h).call(f,"Messages retention period in days (blank means messages are retained forever)",{name:"t",hash:{},data:d}))+'\n                </label>\n                <input type="text" id="id_realm_message_retention_days"\n                  name="realm_message_retention_days"\n                  class="admin-realm-message-retention-days"\n                  value="'+
c((e=null!=(e=b.realm_message_retention_days||(null!=a?a.realm_message_retention_days:a))?e:h,"function"===typeof e?e.call(f,{name:"realm_message_retention_days",hash:{},data:d}):e))+'"/>\n            </div>\n'},17:function(c,a,b,f,d){return'            <div class="input-group organization-submission">\n                <button type="submit" class="button white rounded sea-green">\n                    '+c.escapeExpression((b.t||a&&a.t||b.helperMissing).call(null!=a?a:{},"Save changes",{name:"t",hash:{},
data:d}))+"\n                </button>\n            </div>\n"},compiler:[7,">= 4.0.0"],main:function(c,a,b,f,d){var e,h;f=null!=a?a:{};var l=b.helperMissing,g=c.escapeExpression;return'<div id="organization-permissions" data-name="organization-permissions" class="settings-section">\n    <form class="form-horizontal admin-realm-form org-permissions-form">\n        <h3 class="light">'+g((b.t||a&&a.t||l).call(f,"Organization permissions",{name:"t",hash:{},data:d}))+'</h3>\n\n        <div class="alert" id="admin-realm-restricted-to-domain-status"></div>\n        <div class="alert" id="admin-realm-invite-required-status"></div>\n        <div class="alert" id="admin-realm-invite-by-admins-only-status"></div>\n        <div class="alert" id="admin-realm-inline-image-preview-status"></div>\n        <div class="alert" id="admin-realm-inline-url-embed-preview-status"></div>\n        <div class="alert" id="admin-realm-create-stream-by-admins-only-status"></div>\n        <div class="alert" id="admin-realm-add-emoji-by-admins-only-status"></div>\n        <div class="alert" id="admin-realm-message-editing-status"></div>\n        <div class="alert" id="admin-realm-name-changes-disabled-status"></div>\n        <div class="alert" id="admin-realm-email-changes-disabled-status"></div>\n\n        <div class="m-10 inline-block organization-permissions-parent">\n            <div class="input-group admin-restricted-to-domain">\n                <label class="checkbox">\n                    <input type="checkbox" name="realm_restricted_to_domain" id="id_realm_restricted_to_domain"\n                           '+
(null!=(e=b["if"].call(f,null!=a?a.realm_restricted_to_domain:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_restricted_to_domain" id="realm_restricted_to_domains_label" class="inline-block"\n                    title="'+(null!=(e=(b.tr||a&&a.tr||l).call(f,a,{name:"tr",hash:{},fn:c.program(3,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                </label>\n'+(null!=(e=
b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(5,d,0),inverse:c.noop,data:d}))?e:"")+'            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" name="realm_invite_required" id="id_realm_invite_required"\n                           '+(null!=(e=b["if"].call(f,null!=a?a.realm_invite_required:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_invite_required" id="realm_restricted_to_domains_label" class="inline-block"\n                    title="'+
g((b.t||a&&a.t||l).call(f,"If checked, users must be invited in order to join your organization.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||a&&a.t||l).call(f,"E-mail invitation required",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group disableable '+(null!=(e=b.unless.call(f,null!=a?a.realm_invite_required:a,{name:"unless",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                <label class="checkbox">\n                    <input type="checkbox" name="realm_invite_by_admins_only" id="id_realm_invite_by_admins_only"\n                           '+
(null!=(e=b.unless.call(f,null!=a?a.realm_invite_required:a,{name:"unless",hash:{},fn:c.program(9,d,0),inverse:c.noop,data:d}))?e:"")+"\n                           "+(null!=(e=b["if"].call(f,null!=a?a.realm_invite_by_admins_only:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_invite_by_admins_only" id="id_realm_invite_by_admins_only_label" class="inline-block"\n                    title="'+
g((b.t||a&&a.t||l).call(f,"If checked, only administrators may invite new users.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||a&&a.t||l).call(f,"Only admins may invite",{name:"t",hash:{},data:d}))+"\n                </label>\n            </div>\n\n"+(null!=(e=b["if"].call(f,null!=a?a.server_inline_image_preview:a,{name:"if",hash:{},fn:c.program(11,d,0),inverse:c.noop,data:d}))?e:"")+"\n"+(null!=(e=b["if"].call(f,null!=a?a.server_inline_url_embed_preview:a,{name:"if",hash:{},fn:c.program(13,
d,0),inverse:c.noop,data:d}))?e:"")+'\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_create_stream_by_admins_only" name="realm_create_stream_by_admins_only"\n                           '+(null!=(e=b["if"].call(f,null!=a?a.realm_create_stream_by_admins_only:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_create_stream_by_admins_only" id="id_realm_create_stream_by_admins_only_label" class="inline-block"\n                    title="'+
g((b.t||a&&a.t||l).call(f,"If checked, only administrators may create new streams.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||a&&a.t||l).call(f,"Only admins may create streams",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_name_changes_disabled" name="realm_name_changes_disabled"\n                           '+
(null!=(e=b["if"].call(f,null!=a?a.realm_name_changes_disabled:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_name_changes_disabled" id="id_realm_name_changes_disabled_label" class="inline-block"\n                    title="'+g((b.t||a&&a.t||l).call(f,"If checked, users will be unable to change their name.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||
a&&a.t||l).call(f,"Prevent users from changing their name",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_email_changes_disabled" name="realm_email_changes_disabled"\n                           '+(null!=(e=b["if"].call(f,null!=a?a.realm_email_changes_disabled:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+
' />\n                    <span></span>\n                </label>\n                <label for="id_realm_email_changes_disabled" id="id_realm_email_changes_disabled_label" class="inline-block"\n                    title="'+g((b.t||a&&a.t||l).call(f,"If checked, users will be unable to change their email address.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||a&&a.t||l).call(f,"Prevent users from changing their email address",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_add_emoji_by_admins_only" name="realm_add_emoji_by_admins_only"\n                           '+
(null!=(e=b["if"].call(f,null!=a?a.realm_add_emoji_by_admins_only:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_add_emoji_by_admins_only" id="id_realm_add_emoji_by_admins_only_label" class="inline-block"\n                    title="'+g((b.t||a&&a.t||l).call(f,"If checked, only administrators may add new emoji.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||
a&&a.t||l).call(f,"Only admins may add emoji",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group">\n                <label class="checkbox">\n                    <input type="checkbox" id="id_realm_allow_message_editing" name="realm_allow_message_editing"\n                           '+(null!=(e=b["if"].call(f,null!=a?a.realm_allow_message_editing:a,{name:"if",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?e:"")+' />\n                    <span></span>\n                </label>\n                <label for="id_realm_allow_message_editing" class="inline-block"\n                    title="'+
g((b.t||a&&a.t||l).call(f,"If checked, users can edit the content and topics of their old messages.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||a&&a.t||l).call(f,"Users can edit old messages",{name:"t",hash:{},data:d}))+'\n                </label>\n            </div>\n\n            <div class="input-group disableable '+(null!=(e=b.unless.call(f,null!=a?a.realm_allow_message_editing:a,{name:"unless",hash:{},fn:c.program(7,d,0),inverse:c.noop,data:d}))?e:"")+'">\n                <label for="realm_message_content_edit_limit_minutes"\n                    id="id_realm_message_content_edit_limit_minutes_label"\n                    title="'+
g((b.t||a&&a.t||l).call(f,"If non-zero, users can edit their message for this many minutes after it is sent. If zero, users can edit all their past messages.",{name:"t",hash:{},data:d}))+'">\n                    '+g((b.t||a&&a.t||l).call(f,"Message edit limit in minutes (0 for no limit)",{name:"t",hash:{},data:d}))+'\n                </label>\n                <input type="text" id="id_realm_message_content_edit_limit_minutes"\n                       name="realm_message_content_edit_limit_minutes"\n                       class="admin-realm-message-content-edit-limit-minutes"\n                       value="'+
g((h=null!=(h=b.realm_message_content_edit_limit_minutes||(null!=a?a.realm_message_content_edit_limit_minutes:a))?h:l,"function"===typeof h?h.call(f,{name:"realm_message_content_edit_limit_minutes",hash:{},data:d}):h))+'"\n                  '+(null!=(e=b.unless.call(f,null!=a?a.realm_allow_message_editing:a,{name:"unless",hash:{},fn:c.program(9,d,0),inverse:c.noop,data:d}))?e:"")+" />\n            </div>\n\n"+(null!=(e=b["if"].call(f,!1,{name:"if",hash:{},fn:c.program(15,d,0),inverse:c.noop,data:d}))?
e:"")+"\n"+(null!=(e=b["if"].call(f,null!=a?a.is_admin:a,{name:"if",hash:{},fn:c.program(17,d,0),inverse:c.noop,data:d}))?e:"")+"        </div>\n    </form>\n</div>\n"},useData:!0})})();var feature_flags=function(){return{log_send_times:!1,collect_send_times:!1,full_width:!1,mark_read_at_bottom:!0,propagate_topic_edits:!0,clicking_notification_causes_narrow:!0,collapsible:!1,dropbox_integration:!1}}();"undefined"!==typeof module&&(module.exports=feature_flags);var loading=function(){return{make_indicator:function(g,k){k=k||{};var c=g;g.css({display:"block","white-space":"nowrap"});c.empty();if(void 0!==k.abs_positioned&&k.abs_positioned){var a=c.attr("id"),b=$('<div id="'+a+'_box_container"></div>');c.append(b);c=b;b=$('<div id="'+a+'_box"></div>');c.append(b);c=b}a=$('<div class="loading_indicator_spinner"></div>');a.html(templates.render("loader"));c.append(a);a=0;void 0!==k.text&&""!==k.text&&(b=$('<span class="loading_indicator_text"></span>'),b.text(k.text),
c.append(b),void 0!==k.abs_positioned&&k.abs_positioned||(a=20+b.width()));c.css({width:38+a,height:38});g.data("destroying",!1)},destroy_indicator:function(g){if(!g.data("destroying")){g.data("destroying",!0);var k=g.data("spinner_obj");void 0!==k&&k.stop();g.removeData("spinner_obj");g.empty();g.css({width:0,height:0,display:"none"})}}}}();"undefined"!==typeof module&&(module.exports=loading);var util=function(){var g={random_int:function(c,a){return Math.floor(Math.random()*(a-c+1))+c},lower_bound:function(c,a,b,f,d){var e,h;void 0===f?(e=0,h=c.length):(e=a,h=b,a=f,b=d);void 0===b&&(b=function(a,b){return a<b});for(h-=e;0<h;)f=Math.floor(h/2),d=e+f,b(c[d],a,d)?(e=d,e+=1,h=h-f-1):h=f;return e},preview_node:function(c){c.constructor===jQuery&&(c=c[0]);var a=c.tagName.toLowerCase(),b=c.className.length?c.className:!1;c=c.id.length?c.id:!1;return"<"+a+(c?" id='"+c+"'":"")+(b?" class='"+b+
"'":"")+"></"+a+">"},same_stream_and_topic:function(c,a){return c.stream_id===a.stream_id&&c.subject.toLowerCase()===a.subject.toLowerCase()},is_pm_recipient:function(c,a){return-1!==a.reply_to.toLowerCase().split(",").indexOf(c.toLowerCase())},extract_pm_recipients:function(c){return _.filter(c.split(/\s*[,;]\s*/),function(a){return""!==a.trim()})},same_recipient:function(c,a){if(void 0===c||void 0===a||c.type!==a.type)return!1;switch(c.type){case "private":if(void 0===c.to_user_ids)break;return c.to_user_ids===
a.to_user_ids;case "stream":return g.same_stream_and_topic(c,a)}return!1},same_sender:function(c,a){return void 0!==c&&void 0!==a&&c.sender_email.toLowerCase()===a.sender_email.toLowerCase()},normalize_recipients:function(c){c=_.map(c.split(","),function(a){return a.trim()});c=_.map(c,function(a){return a.toLowerCase()});c=_.filter(c,function(a){return 0<a.length});c.sort();return c.join(",")},robust_uri_decode:function(c){for(var a=c.length;0<a;)try{return decodeURIComponent(c.substring(0,a))}catch(b){if(!(b instanceof
URIError))throw b;a-=1}return""},rtrim:function(c){return c.replace(/\s+$/,"")}};g.strcmp=function(){try{return(new Intl.Collator).compare}catch(c){}return function(a,b){return a<b?-1:a>b?1:0}}();g.escape_regexp=function(c){return c.replace(/([.*+?\^=!:${}()|\[\]\/\\])/g,"\\$1")};g.array_compare=function(c,a){if(c.length!==a.length)return!1;var b;for(b=0;b<c.length;b+=1)if(c[b]!==a[b])return!1;return!0};var k={};g.CachedValue=function(c){this._value=k;_.extend(this,c)};g.CachedValue.prototype={get:function(){this._value===
k&&(this._value=this.compute_value());return this._value},reset:function(){this._value=k}};g.execute_early=function(c){if(page_params.test_suite)$(document).one("phantom_page_loaded",c);else $(c)};g.is_all_or_everyone_mentioned=function(c){return/(^|\s)(@\*{2}(all|everyone)\*{2})|(@(all|everyone))($|\s)/.test(c)};g.move_array_elements_to_front=function(c,a){var b,f={};for(b=0;b<a.length;b+=1)f[a[b]]=!0;var d=[],e=[];for(b=0;b<c.length;b+=1)f[c[b]]?d.push(c[b]):e.push(c[b]);return d.concat(e)};g.is_mobile=
function(){return/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(window.navigator.userAgent)};g.prefix_sort=function(c,a,b){for(var f=[],d=[],e=[],h=a.shift();h;){var l;l=b?b(h):h;0===l.indexOf(c)?f.push(h):0===l.toLowerCase().indexOf(c.toLowerCase())?d.push(h):e.push(h);h=a.shift()}return{matches:f.concat(d),rest:e}};return g}();"undefined"!==typeof module&&(module.exports=util);var DynamicText=function(){var g=function(c){"undefined"!==typeof jQuery&&c instanceof jQuery?this.parent=c[0]:c instanceof Node&&(this.parent=c);this.node=document.createElement("span");this.node.style.whiteSpace="nowrap";this.prev_content=this.parent.innerHTML;this.parent.innerHTML="";this.parent.appendChild(this.node);this.update()},k={insertText:function(c,a,b,f){c===g.prototype.TYPE.TEXT?b.innerText=a:c===g.prototype.TYPE.HTML?b.innerHTML=a:blueslip.error("The method '"+c+"' is not a valid  DynamicText input method.");
b.style.fontSize="1em";c=b.offsetWidth;f=f.clientWidth;b.style.fontSize=c>f?f/c+"em":"1em"}};g.prototype={TYPE:{TEXT:1,HTML:2},update:function(){this.text(this.prev_content)},text:function(c){k.insertText(this.TYPE.TEXT,c,this.node,this.parent)},html:function(c){k.insertText(this.TYPE.HTML,c,this.node,this.parent)}};return function(c){return new g(c)}}();"undefined"!==typeof module&&(module.exports=DynamicText);var rtl=function(){function g(a,b,c){for(var d="",f=0;f<c.length;){for(var g=0,k=0;k<b;k+=1)g=g*a.length+a.indexOf(c.charAt(f)),f+=1;d+=String.fromCharCode(g)}return d}function k(c){if(-1!==a.indexOf(c))return"I";if(-1!==b.indexOf(c))return"PDI";var h=util.lower_bound(f,c);if(h<f.length&&(f[h]===c||1===h%2))return"R";h=util.lower_bound(d,c);return h<d.length&&(d[h]===c||1===h%2)?"L":"Other"}var c={},a="\u2066\u2067\u2068",b="\u2069",f=g('0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ!"#$%&()*+,-./:;<=>?@[]^_`{|}~',
3,'0fI0fI0f}0f}0g00g00g30g30g60g60g80g"0g,0g,0g/0g/0g;0g;0g~0hK0h?0h[0h^0j10jh0ji0jq0jr0jC0jY0j!0j~0kr0lp0lB0m20mc0md0mi0mJ0mO0mO0mY0mY0m#0m#0m*0nk0no0oP0|j0|j7S)7S)7S+7S>7S@7YZ7Y#7!n7!U7!(7!*7!+7#07$O7}U81%81(84g84k84k84n84r84w84+84/84<84>86Y86"87Q87Y8gv8g"8k=e)]e,fe,ne-De-Le|je|mf0f'),d=g('0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ!"#$%&()*+,-./:;<=>?@[]^_`{|}~',3,'00$00}01501u01<01<01|01|02202202802u02w02!02#07Q07T07Z07:07;08008408e08e09Q09T09W09$09&09+09.09.09:0b10b30cO0cW0fB0fD0fE0p70pZ0p"0p"0p$0p(0p;0p>0p@0p]0q00q90qc0qE0qG0r70r90rc0rh0ro0rq0rJ0rM0rZ0r#0r*0r,0r:0r=0sH0sJ0sM0sP0sS0sV0sW0s!0s#0s%0t30t60t80ta0tk0tn0t=0t?0t]0t}0t}0u10u40u60up0us0uE0uG0uU0uW0vn0vp0vq0vs0vs0vx0vE0vG0vN0vP0vZ0v#0w10w30w"0w$0w:0w<0xm0xv0xz0xB0y50y90yd0yh0yh0ym0ys0yv0yF0yI0y"0y+0y,0y.0zD0zF0zT0zW0z;0z>0Ag0Ai0A>0A^0B00B20Bl0Bo0Cx0Cz0CF0CJ0CJ0CL0DI0DK0DL0DT0DW0DY0D%0D/0E>0E@0E[0E}0E}0F10Fb0Fi0F~0G20Gs0Gu0Gu0Gw0Gw0GC0G{0Hb0Hb0Hh0Hh0Hk0Ho0HA0HA0H-0H?0H[0J00J50J50Jc0Jc0Jf0Jg0Jj0JH0JK0JN0JR0J(0J-0J^0J`0J{0J~0K40K60Kk0Km0R>0R]0SD0SO0TX0TZ0!T0!V0!@0!^0#h0#l0#N0#R0#?0#]0$l0$o0$`0$}0$}0%60%d0%f0%g0%s0%y0%A0%A0%C0%T0%%0%+0%`0(k0(n0(U0(W0)[0)`0)}0*10*90*b0*g0*k0*n0*p0*r0*u0+|0,w0,S0,V0,W0,Y0-p0-r0-r0-z0-z0-B0-B0-D0-E0-N0-S0-$0-%0-(0.n0.D0/b0/g0/"0/$0/$0/+0/+0/-0/;0/=0:q0:A0:L0:O0:?0:_0:`0:}0:}0;20;V0;X0;X0;!0;#0;%0;%0;*0<z0<I0<J0<M0>f0>j0>j0>x0>x0>F0>I0>K0>P0>R0>T0>W0@+0[y0[C0[I0{s0{u0{u0{y0{I0{M0{Y0{#0{:0{>0|00|30|30|i0|i0}p0}r0}D0}D0}T0}+0~Z0~/0~<0~<0~[0~[0~_10310510510910d10k10k10m10m10o10o10q10t10v10F10I10L10R10V10!10"10>11s11w11z15}16%17117118f18f18T18=18~19j19>1a$1fU1fU1js1m71s]1s^1tq1tr1t!1t#1t;1t;1t_1uj1uo1w]1w~1x21x61xc1xk1yS1yU1zX1A)1Bz1B!1B!1CY1C+1Fa1Fz1FM1FP1FV1FX1F^1G11G61G71G91Gd1Gg1Gk1Go1Hk1Hp1Hr1Ht1Iq1Is1KD1K:1LE1LH1L~1Mg1MH1ML1N41Nk1Nv1NA1Pi1Pn1Qt1Qw1Q!1Q#2wv2x44|[4}L52452853a53s53V53Y54L54O54"55656f56h57J57L57N57P57S57U57>57[57[57{58758a58&58,59T59W59[5aa5aZ5a*5b25be5bX5b"5ci5ck5cl5cq5cr5ct5c(5c*5dI5dP5dQ5dT5dU5dX5d*5d,5d=5d?5ez5eB5e`5e|5e|5f15f25f55f95fc5fc5fe5fT5fW5f$5f&5is5iu5iv5ix5iA5iC7S(7"67"b7""7""7"[7"[7"{7"~7$Q7$Q7$^7%i7%p7%O7%!7&~7(77(77(f7(f7(w7+c7+e7+/7,Z7,"7,:7,=7,?7->7-@7:v7:Y7;|7<37}T8k>8k>8k@8lH8lX8l)8l}8mm8mq8m.8m=8m>8m[8nX8n"8o68oc8oc8ol8o@8o]8p38p68pV8p&8p;8p?8q_8q}8q~8r18r18r48r98rb8s<8s>8s@8s~8tj8tm8t=8t?8t[8t^8ut8uB8uD8uJ8wT8w#8w$8w)8w)8w+8x_8y18y18y38y68y98y98yc8A$8A*8A/8A<8A<8A?8Bf8Bi8Ca8Cj8Ck8Cm8Cm8Cp8CT8C)8DC8DE8DE8DG8DH8DO8DO8DQ8EY8E#8E$8E*8E*8E:8S+8S=8S=8S_8T;8U88U98Uh8Uh8Uk8Uk8Una|[a||a}Ta}"ba*ba/dFgdFjdFjdFoe72e76e7ee7ve7we7Ee7)e7.e8"e9GebHecDemiemkem:em<enGenIeo8eoaeo%eo(eo;epAeu`evPevSewdewkewmewzewBewWew#ew#ew>eLXeL&eL&eL^eL_eM2eM2eM5eM5eMbe)[f0Yf0"f1,f1[f27f28f2of2of2Ef2Ef2<f2`f39f49f4cf8LfjffjrfjFfjHfjPfjXfk]fl3fl|fmDfmQfmTfnkfnrfnCfnHfn]fn~foufpzfpPfpPfpYfp&fp)fp*fp[fp[fq4fq7fqnfqTfq.frrfrtfIZfI#nl1nl4u|xu|AC$$C$(KG5KG8SiBSiEZ_)Z_,)"9)"c;DF;DI^f-^f:10]d10]g18YJ18YM1gA;1g?A1odh1odk1v?N1v?Q1DV?1DV]1DV]');
c.get_direction=function(a){for(var b=0,c=0;c<a.length;c+=1){var d=k(a.charAt(c));if("I"===d)b+=1;else if("PDI"===d)0<b&&(b-=1);else if("R"===d){if(0===b)return"rtl"}else if("L"===d&&0===b)break}return"ltr"};return c}();"undefined"!==typeof module&&(module.exports=rtl);function Dict(g){this._items={};this._opts=_.extend({},{fold_case:!1},g)}Dict.from=function(g,k){if("object"!==typeof g||null===g)throw new TypeError("Cannot convert argument to Dict");var c=new Dict(k);_.each(g,function(a,b){c.set(b,a)});return c};Dict.from_array=function(g,k){if(!(g instanceof Array))throw new TypeError("Argument is not an array");var c=new Dict(k);_.each(g,function(a){c.set(a,!0)});return c};
(function(){Dict.prototype={_munge:function(g){if(void 0===g)blueslip.error("Tried to call a Dict method with an undefined key.");else return this._opts.fold_case&&(g=g.toLowerCase()),":"+g},clone:function(){var g=new Dict(this._opts);g._items=_.clone(this._items);return g},get:function(g){g=this._items[this._munge(g)];return void 0===g?void 0:g.v},set:function(g,k){this._items[this._munge(g)]={k:g,v:k};return k},setdefault:function(g,k){var c=this._items[this._munge(g)];return void 0===c?this.set(g,
k):c.v},has:function(g){return _.has(this._items,this._munge(g))},del:function(g){return delete this._items[this._munge(g)]},keys:function(){return _.pluck(_.values(this._items),"k")},values:function(){return _.pluck(_.values(this._items),"v")},items:function(){return _.map(_.values(this._items),function(g){return[g.k,g.v]})},num_items:function(){return _.keys(this._items).length},is_empty:function(){return _.isEmpty(this._items)},each:function(g){return _.each(this._items,function(k){g(k.v,k.k)})},
clear:function(){this._items={}}}})();"undefined"!==typeof module&&(module.exports=Dict);var components=function(){var g={};g.toggle=function(){var g={},c=function(a){var b=function(a){var b=$("<div class='tab-switcher'></div>");a.values.forEach(function(c,d){var e=$("<div class='ind-tab' data-tab-key='"+c.key+"' data-tab-id='"+d+"'>"+c.label+"</div>");0===d?e.addClass("first selected"):d===a.values.length-1?e.addClass("last"):e.addClass("middle");b.append(e)});return b}(a),c=b.find(".ind-tab"),d=null;(function(){c.click(function(){c.removeClass("selected");$(this).addClass("selected");
if(a.callback){var b=+$(this).data("tab-id");d!==a.values[b].label&&(d=a.values[b].label,a.callback(d,a.values[b].key))}});"number"===typeof a.selected&&$(b).find(".ind-tab[data-tab-id='"+a.selected+"']").click()})();var e={value:function(){var c=b.find(".selected");if(0<c.length)return c=+c.eq(0).data("tab-id"),a.values[c].label},get:function(){return b},"goto":function(b){var e=_.find(a.values,function(a){return a.label===b||a.key===b}),g=a.values.indexOf(e);-1!==g&&g!==d&&(c.removeClass("selected"),
c.filter("[data-tab-id='"+g+"']").addClass("selected"),a.callback(e.label,e.key),d=g)}};a.name&&(g[a.name]={opts:a,component:b,value:e.value,"goto":e.goto});return e};c.lookup=function(a){return g[a]};return c}();return g}();"undefined"!==typeof module&&(module.exports=components);var localstorage=function(){var g={parseJSON:function(a){try{return JSON.parse(a)}catch(b){}},isExpired:function(a){return new Date(a)<new Date},formGetter:function(a,b){return"ls__"+a+"__"+b},formData:function(a,b){return{data:a,__valid:!0,expires:(new Date).getTime()+b}},getData:function(a,b){var c=this.formGetter(a,b),c=localStorage.getItem(c);if((c=g.parseJSON(c))&&c.__valid&&(!g.isExpired(c.expires)||null===c.expires))return c},setData:function(a,b,c,d){a=this.formGetter(a,b);c=this.formData(c,
d);localStorage.setItem(a,JSON.stringify(c))},removeData:function(a,b){var c=this.formGetter(a,b);localStorage.removeItem(c)},removeDataRegex:function(a,b){var c=RegExp(this.formGetter(a,b));Object.keys(localStorage).filter(function(a){return c.test(a)}).forEach(function(a){localStorage.removeItem(a)})},migrate:function(a,b,c,d){var e=this.getData(b,a);this.removeData(b,a);if(e&&e.__valid)return b=d(e.data),this.setData(c,a,b,Infinity),b}},k=function(){var a=1,b=Infinity,c=!1,d={setExpiry:function(a,
d){b=a;c=d||!1;return this},get:function(b){if(b=g.getData(a,b))return b.data},set:function(d,h){return"undefined"!==typeof a?(g.setData(a,d,h,b),c||(b=Infinity),!0):!1},remove:function(b){g.removeData(a,b)},removeRegex:function(b){g.removeDataRegex(a,b)},migrate:function(a,b,c,d){return g.migrate(a,b,c,d)}};Object.defineProperty(d,"version",{get:function(){return a},set:function(b){a=b;return d}});return d},c=!1;k.supported=function(){try{return window.hasOwnProperty("localStorage")&&null!==window.localStorage}catch(a){return c||
(blueslip.error("Client browser does not support local storage, will lose socket message on reload"),c=!0),!1}};return k}();"undefined"!==typeof module&&(module.exports=localstorage);var drafts=function(){function g(a){void 0!==a[0]&&void 0!==a[0].children[0]&&(a[0].children[0].focus(),$(".draft-info-box:first")[0].parentElement===a[0]&&($(".drafts-list")[0].scrollTop=0),$(".draft-info-box:last")[0].parentElement===a[0]&&($(".drafts-list")[0].scrollTop=$(".drafts-list")[0].scrollHeight-$(".drafts-list").height()),55>a.position().top&&($(".drafts-list")[0].scrollTop-=$(".drafts-list")[0].clientHeight/2),a=a.position().top+a[0].clientHeight,-4>$(".drafts-container")[0].clientHeight-
a&&($(".drafts-list")[0].scrollTop+=$(".drafts-list")[0].clientHeight/2))}var k={},c=function(){function a(){return d.get(c)||{}}var b={},c="drafts",d=localstorage();d.version=1;b.get=a;b.getDraft=function(b){return a()[b]||!1};b.addDraft=function(b){var h=a(),l=(new Date).getTime().toString(16)+"-"+Math.random().toString(16).split(/\./).pop();b.updatedAt=(new Date).getTime();h[l]=b;d.set(c,h);return l};b.editDraft=function(b,h){var l=a();l[b]&&(h.updatedAt=(new Date).getTime(),l[b]=h,d.set(c,l))};
b.deleteDraft=function(b){var h=a();delete h[b];d.set(c,h)};return b}();k.draft_model=c;k.snapshot_message=function(){if(compose_state.composing()&&""!==compose_state.message_content()){var a={type:compose_state.get_message_type(),content:compose_state.message_content()};if("private"===a.type){var b=compose_state.recipient();a.reply_to=b;a.private_message_recipient=b}else a.stream=compose_state.stream_name(),a.subject=compose_state.subject();return a}};k.update_draft=function(){var a=drafts.snapshot_message(),
b=$("#new_message_content").data("draft-id");void 0!==b?void 0!==a?c.editDraft(b,a):c.deleteDraft(b):void 0!==a&&(a=c.addDraft(a),$("#new_message_content").data("draft-id",a))};k.delete_draft_after_send=function(){var a=$("#new_message_content").data("draft-id");a&&c.deleteDraft(a);$("#new_message_content").removeData("draft-id")};k.restore_draft=function(a){var b=c.getDraft(a);if(b){var f=_.extend({},b);if("stream"===f.type&&0<f.stream.length&&0<f.subject.length||"private"===f.type&&0<f.reply_to.length)f=
_.extend({replying_to_message:f},f);overlays.close_overlay("drafts");compose_fade.clear_compose();"stream"===b.type&&""===b.stream&&(f.subject="");compose_actions.start(f.type,f);compose_ui.autosize_textarea();$("#new_message_content").data("draft-id",a)}};k.setup_page=function(a){function b(){$(".restore-draft").on("click",function(a){a.stopPropagation();a=$(this).closest(".draft-row").data("draft-id");k.restore_draft(a)});$(".draft_controls .delete-draft").on("click",function(){var a=$(this).closest(".draft-row"),
b=a.data("draft-id");k.draft_model.deleteDraft(b);a.remove();0===$("#drafts_table .draft-row").length&&$("#drafts_table .no-drafts").show()})}function f(a){return _.mapObject(a,function(a,b){var c;if("stream"===a.type){c=new Handlebars.SafeString("&nbsp;");c=0<a.stream.length?a.stream:c;var d=0===a.subject.length?compose.empty_topic_placeholder():a.subject;c={draft_id:b,is_stream:!0,stream:c,stream_color:stream_data.get_color(a.stream),topic:d,raw_content:a.content}}else c=util.extract_pm_recipients(a.private_message_recipient),
c=_.map(c,function(a){a=a.trim();var b=people.get_by_email(a);return void 0!==b?b.full_name:a}).join(", "),c={draft_id:b,is_stream:!1,recipients:c,raw_content:a.content};markdown.apply_markdown(c);return c})}(function(){i18n.ensure_i18n(function(){$("#drafts_table").empty();var d=f(c.get()),d=templates.render("draft_table_body",{drafts:d});$("#drafts_table").append(d);0<$("#drafts_table .draft-row").length&&$("#drafts_table .no-drafts").hide();a&&a();b()})})()};k.drafts_overlay_open=function(){return $("#draft_overlay").hasClass("show")};
k.drafts_handle_events=function(a,b){var f=c.get(),f=Object.getOwnPropertyNames(f);if(!("up_arrow"!==b&&"down_arrow"!==b||$(".draft-info-box:focus")[0])){var d=c.get(),d=Object.getOwnPropertyNames(d);if(0!==d.length){var e;"up_arrow"===b?e=document.querySelectorAll('[data-draft-id="'+d[d.length-1]+'"]'):"down_arrow"===b&&(e=document.querySelectorAll('[data-draft-id="'+d[0]+'"]'));e[0].children[0].focus()}}"up_arrow"===b&&(e=$(".draft-info-box:focus")[0].parentElement,e=$(e).prev(),g(e));"down_arrow"===
b&&(e=$(".draft-info-box:focus")[0].parentElement,e=$(e).next(),g(e));d=document.activeElement;e=$(d.parentElement)[0].getAttribute("data-draft-id");if("backspace"===b&&d.parentElement.hasAttribute("data-draft-id")){var h=$(d)[0].parentElement,d=$(h).next(),h=$(h).prev(),l;void 0!==d[0]?l=d[0].getAttribute("data-draft-id"):void 0!==h[0]&&(l=h[0].getAttribute("data-draft-id"));drafts.draft_model.deleteDraft(e);document.activeElement.parentElement.remove();l=document.querySelectorAll('[data-draft-id="'+
l+'"]');void 0!==l[0]&&l[0].children[0].focus();0===$("#drafts_table .draft-row").length&&$("#drafts_table .no-drafts").show()}"enter"===b&&(document.activeElement.parentElement.hasAttribute("data-draft-id")?k.restore_draft(e):k.restore_draft(f[f.length-1]))};k.toggle=function(){k.drafts_overlay_open()?overlays.close_overlay("drafts"):k.launch()};k.launch=function(){k.setup_page(function(){overlays.open_overlay({name:"drafts",overlay:$("#draft_overlay"),on_close:function(){hashchange.exit_overlay()}});
$("#draft_overlay").addClass("show");var a=drafts.draft_model.get(),a=Object.getOwnPropertyNames(a);0<a.length&&(document.querySelectorAll('[data-draft-id="'+a[a.length-1]+'"]')[0].children[0].focus(),$(".drafts-list")[0].scrollTop=$(".drafts-list")[0].scrollHeight-$(".drafts-list").height())})};$(function(){window.addEventListener("beforeunload",function(){k.update_draft()});$("#new_message_content").focusout(k.update_draft)});return k}();"undefined"!==typeof module&&(module.exports=drafts);var channel=function(){function g(a){b.push(a);50<b.length&&blueslip.warn("The length of pending_requests is over 50. Most likely they are not being correctly removed.")}function k(a){a=_.indexOf(b,a);-1!==a&&b.splice(a,1)}function c(a,b){var c=a.error;void 0===c&&(c=function(){});a.error=function(b,d,h){k(b);if(403===b.status)try{-1!==JSON.parse(b.responseText).msg.indexOf("CSRF Error:")&&reload.initiate({immediate:!0,save_pointer:!0,save_narrow:!0,save_compose:!0})}catch(l){blueslip.error("Unexpected 403 response from server",
{xhr:b.responseText,args:a},l.stack)}return c(b,d,h)};var h=a.success;void 0===h&&(h=function(){});a.success=function(c,e,l){k(l);if(!c&&b)blueslip.log("Retrying idempotent"+a),setTimeout(function(){var b=$.ajax(a);g(b)},0);else return h(c,e,l)};var l=$.ajax(a);g(l);return l}var a={},b=[];a.abort_all=function(){_.each(b,function(a){a.abort()})};a.get=function(a){var b=_.extend({type:"GET",dataType:"json"},a);return c(b,a.idempotent)};a.post=function(a){var b=_.extend({type:"POST",dataType:"json"},
a);return c(b,a.idempotent)};a.put=function(a){var b=_.extend({type:"PUT",dataType:"json"},a);return c(b,a.idempotent)};a.del=function(a){var b=_.extend({type:"DELETE",dataType:"json"},a);return c(b,a.idempotent)};a.patch=function(b){!1===b.processData?b.data.append("method","PATCH"):b.data=_.extend({},b.data,{method:"PATCH"});return a.post(b,b.idempotent)};a.xhr_error_message=function(a,b){"4"===b.status.toString().charAt(0)&&(a+=": "+JSON.parse(b.responseText).msg);return a};return a}();
"undefined"!==typeof module&&(module.exports=channel);var csrf_token;
$(function(){util.is_mobile()&&(page_params.use_websockets=!1,page_params.needs_tutorial=!1);page_params.page_load_time=(new Date).getTime();page_params.have_initial_messages&&!page_params.needs_tutorial?loading.make_indicator($("#page_loading_indicator"),{text:"Loading...",abs_positioned:!0}):page_params.needs_tutorial||$("#first_run_message").show();csrf_token=$('input[name="csrfmiddlewaretoken"]').attr("value");$.ajaxSetup({beforeSend:function(g,k){!/^http:.*/.test(k.url)&&!/^https:.*/.test(k.url)&&g.setRequestHeader("X-CSRFToken",
csrf_token)}});$(document).ajaxError(function(g,k){401===k.status&&window.location.replace(page_params.login_page)});"undefined"!==typeof $&&($.fn.expectOne=function(){blueslip&&1!==this.length&&blueslip.error("Expected one element in jQuery set, "+this.length+" found");return this},$.fn.within=function(g){return $(this).is(g)||$(this).closest(g).length})});var unread_ui=function(){function g(a){a.addClass("new_messages");setTimeout(function(){a.removeClass("new_messages");a.addClass("new_messages_fadeout")},3E3);setTimeout(function(){a.removeClass("new_messages_fadeout")},6E3)}function k(){if(page_params.furthest_read_time){var a=(new XDate(!0)).getTime()/1E3;500<page_params.unread_count&&172800<a-page_params.furthest_read_time?(a=templates.render("bankruptcy_modal",{unread_count:page_params.unread_count}),$("#bankruptcy-unread-count").html(a),$("#bankruptcy").modal("show")):
c.enable()}else c.enable()}var c={},a=0,b=0;c.animate_private_message_changes=function(b,c){c>a&&g(b);a=c};c.animate_mention_changes=function(a,c){c>b&&g(a);b=c};c.set_count_toggle_button=function(a,b){if(0===b)return a.is(":animated")?a.stop(!0,!0).hide():a.hide(500);if(0<b&&1E3>b)return a.show(500),a.text(b);a.show(500);return a.text("1k+")};c.update_unread_counts=function(){if(!unread.suppress_unread_counts){var a=unread.get_counts();activity.update_dom_with_unread_counts(a);stream_list.update_dom_with_unread_counts(a);
pm_list.update_dom_with_unread_counts(a);notifications.update_title_count(a.home_unread_messages);notifications.update_pm_count(a.private_message_count)}};c.enable=function(){unread.suppress_unread_counts=!1;c.update_unread_counts()};c.initialize=function(){$("#bankruptcy").on("hide",function(){unread_ui.enable()});$("#yes-bankrupt").click(function(){pointer.fast_forward_pointer();$("#yes-bankrupt").hide();$("#no-bankrupt").hide();$(this).after($("<div>").addClass("alert alert-info settings_committed").text(i18n.t("Bringing you to your latest messages\u2026")))});
k()};return c}();"undefined"!==typeof module&&(module.exports=unread_ui);var unread_ops=function(){var g={mark_all_as_read:function(g){_.each(message_list.all.all_messages(),function(c){c.flags=c.flags||[];c.flags.push("read")});unread.declare_bankruptcy();unread_ui.update_unread_counts();channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!0,op:"add",flag:"read"},success:g})},mark_messages_as_read:function(g,c){c=c||{};var a=!1;_.each(g,function(b){unread.message_unread(b)&&(current_msg_list===message_list.narrowed&&(unread.messages_read_in_narrow=
!0),"server"!==c.from&&message_flags.send_read(b),b.flags=b.flags||[],b.flags.push("read"),b.unread=!1,unread.process_read_message(b,c),home_msg_list.show_message_as_read(b,c),message_list.all.show_message_as_read(b,c),message_list.narrowed&&message_list.narrowed.show_message_as_read(b,c),notifications.close_notification(b),a=!0)});a&&unread_ui.update_unread_counts()},mark_message_as_read:function(k,c){g.mark_messages_as_read([k],c)},process_visible:function(){notifications.window_has_focus()&&(feature_flags.mark_read_at_bottom?
message_viewport.bottom_message_visible()&&g.mark_current_list_as_read():g.mark_messages_as_read(message_viewport.visible_messages(!0)))},mark_current_list_as_read:function(k){g.mark_messages_as_read(current_msg_list.all_messages(),k)},mark_stream_as_read:function(g,c){channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",stream_name:g},success:c})},mark_topic_as_read:function(g,c,a){channel.post({url:"/json/messages/flags",idempotent:!0,
data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",topic_name:c,stream_name:g},success:a})}};return g}();"undefined"!==typeof module&&(module.exports=unread_ops);var muting=function(){var g={},k=new Dict({fold_case:!0});g.add_muted_topic=function(c,a){var b=k.get(c);b||(b=new Dict({fold_case:!0}),k.set(c,b));b.set(a,!0)};g.remove_muted_topic=function(c,a){var b=k.get(c);b&&b.del(a)};g.is_topic_muted=function(c,a){if(void 0===c)return!1;var b=k.get(c);return b&&b.get(a)};g.get_muted_topics=function(){var c=[];k.each(function(a,b){_.each(a.keys(),function(a){c.push([b,a])})});return c};g.set_muted_topics=function(c){k=new Dict({fold_case:!0});_.each(c,function(a){g.add_muted_topic(a[0],
a[1])})};return g}();"undefined"!==typeof module&&(module.exports=muting);var muting_ui=function(){var g={},k=0;g.rerender=function(){stream_list.update_streams_sidebar();current_msg_list.rerender_after_muting_changes();current_msg_list!==home_msg_list&&home_msg_list.rerender_after_muting_changes()};g.notify_with_undo_option=function(){var c=null,a=null,b=null,f=!1,d=null,e={fadeOut:function(){d&&d.fadeOut(500).removeClass("show")},fadeIn:function(){d&&d.fadeIn(500).addClass("show")}};setInterval(function(){b<(new Date).getTime()&&!f&&e.fadeOut()},100);return function(h,
l){var k=$("#unmute_muted_topic_notification .exit-me");d||(d=$("#unmute_muted_topic_notification"),k.click(function(){e.fadeOut()}),d.find("#unmute").click(function(){g.unmute(c,a);e.fadeOut()}));c=h;a=l;b=(new Date).getTime()+4E3;d.find(".topic").html(l);d.find(".stream").html(h);e.fadeIn();d.mouseenter(function(){f=!0});d.mouseleave(function(){f=!1;b=Math.max(b,(new Date).getTime()+2E3)})}}();g.dismiss_mute_confirmation=function(){var c=$("#unmute_muted_topic_notification");c&&c.fadeOut(500).removeClass("show")};
g.persist_and_rerender=function(){g.rerender();var c={muted_topics:JSON.stringify(muting.get_muted_topics())};k=(new Date).getTime();channel.post({url:"/json/users/me/subscriptions/muted_topics",idempotent:!0,data:c})};g.handle_updates=function(c){(new Date).getTime()<k+1E3||(g.update_muted_topics(c),g.rerender())};g.mute_topic=function(c,a){muting.add_muted_topic(c,a);unread_ui.update_unread_counts()};g.unmute_topic=function(c,a){muting.remove_muted_topic(c,a);unread_ui.update_unread_counts()};g.update_muted_topics=
function(c){muting.set_muted_topics(c);unread_ui.update_unread_counts()};g.set_up_muted_topics_ui=function(c){var a=$("#muted_topics_table tbody");a.empty();_.each(c,function(b){b=templates.render("muted_topic_ui_row",{stream:b[0],topic:b[1]});a.append(b)})};g.mute=function(c,a){stream_popover.hide_topic_popover();g.mute_topic(c,a);g.persist_and_rerender();g.notify_with_undo_option(c,a);g.set_up_muted_topics_ui(muting.get_muted_topics())};g.unmute=function(c,a){stream_popover.hide_topic_popover();
g.unmute_topic(c,a);g.persist_and_rerender();g.set_up_muted_topics_ui(muting.get_muted_topics());g.dismiss_mute_confirmation()};g.toggle_mute=function(c){muting.is_topic_muted(c.stream,c.subject)?g.unmute(c.stream,c.subject):"stream"===c.type&&g.mute(c.stream,c.subject)};$(function(){g.update_muted_topics(page_params.muted_topics)});return g}();"undefined"!==typeof module&&(module.exports=muting_ui);var message_viewport=function(){function g(a,b,c,d,e,f){_.every(a,function(a){var h=a.getBoundingClientRect();h=e?h.top>c&&(h.bottom<d||h.height>d-c&&h.top<d):h.bottom>c&&h.top<d;return h?(b.push(f(a)),!0):!1})}function k(a,b,c,d,f){var k=h.get()-e.get(),t=Math.floor(k/b);b=[];k=a.prevAll("div."+d+":lt("+t+")");d=a.nextAll("div."+d+":lt("+t+")");g(a,b,e.get(),h.get(),f,c);g(k,b,e.get(),h.get(),f,c);g(d,b,e.get(),h.get(),f,c);return b}function c(b,c){f[b]=new util.CachedValue({compute_value:function(){return c.call(a.message_pane)}});
return function(){return 0!==arguments.length?(f[b].reset(),c.apply(a.message_pane,arguments)):f[b].get()}}var a={},b,f={},d=!1;a.last_movement_direction=1;a.at_top=function(){return 0>=a.scrollTop()};a.message_viewport_info=function(){var a={},b=$(".floating_recipient");a.visible_top=b.offset().top+b.outerHeight();b=$("#compose");a.visible_height=b.position().top-a.visible_top;return a};a.at_bottom=function(){var b=a.scrollTop()+a.height(),c=a.message_pane.prop("scrollHeight");return b+2>=c};a.bottom_message_visible=
function(){var a=rows.last_visible();return a.length?(a=a[0].getBoundingClientRect().bottom,$("#compose")[0].getBoundingClientRect().top>a):!1};a.is_below_visible_bottom=function(b){return b>a.scrollTop()+a.height()-$("#compose").height()};a.set_message_position=function(b,c,d,e){e*=d.visible_height;e+c>d.visible_height&&(e=d.visible_height-c,0>e&&(e=0));c=d.visible_top-a.scrollTop();pointer.suppress_scroll_pointer_update=!0;a.scrollTop(b-(e+c))};var e=new util.CachedValue({compute_value:function(){return $(".floating_recipient").offset().top+
$(".floating_recipient").outerHeight()}}),h=new util.CachedValue({compute_value:function(){return $("#compose")[0].getBoundingClientRect().top}});a.visible_groups=function(a){var b=current_msg_list.selected_row();if(void 0===b||0===b.length)return[];b=rows.get_message_recipient_row(b);return k(b,75,function(a){return a},"recipient_row",a)};a.visible_messages=function(a){var b=current_msg_list.selected_row();return k(b,25,function(a){return current_msg_list.get(rows.id($(a)))},"message_row",a)};a.scrollTop=
function(b){var c=a.message_pane.scrollTop();if(void 0===b)return c;var d=a.message_pane.scrollTop(b),e=a.message_pane.scrollTop(),f=$("#bottom_whitespace").offset().top-message_viewport.height();0<f&&(0<b&&0===c&&0===e)&&(blueslip.info("ScrollTop did nothing when scrolling to "+b+", fixing..."),a.message_pane.scrollTop(1),d=a.message_pane.scrollTop(b),0===a.message_pane.scrollTop()&&blueslip.info("ScrollTop fix did not work when scrolling to "+b+"!  space_to_scroll was "+f));return d};a.set_message_offset=
function(b){var c=current_msg_list.selected_row();a.scrollTop(a.scrollTop()+c.offset().top-b)};a.height=c("height",$(a.message_pane).height);a.width=c("width",$(a.message_pane).width);a.stop_auto_scrolling=function(){d&&a.message_pane.stop()};a.is_narrow=function(){return 975>=window.innerWidth};a.system_initiated_animate_scroll=function(b){pointer.suppress_scroll_pointer_update=!0;var c=a.scrollTop();d=!0;a.message_pane.animate({scrollTop:c+b,always:function(){d=!1}})};a.user_initiated_animate_scroll=
function(b){pointer.suppress_scroll_pointer_update=!0;d=!1;var c=a.scrollTop();a.message_pane.animate({scrollTop:c+b})};a.recenter_view=function(b,c){c=c||{};var d=a.message_viewport_info(),e=d.visible_top,f=d.visible_top+d.visible_height,h=b.offset().top,g=b.outerHeight(!0),e=h<e,f=h+g>f;if(!c.from_scroll||!(e&&0<=a.last_movement_direction||f&&0>=a.last_movement_direction))e||c.force_center?a.set_message_position(h,g,d,0.5):f&&a.set_message_position(h,g,d,1/7)};a.keep_pointer_in_view=function(){function a(){if(message_viewport.at_top())return!0;
var b=e.offset().top;return b>=f.visible_top||b+e.outerHeight(!0)>=h?!0:!1}function b(){return message_viewport.at_bottom()||e.offset().top<=g}function c(a,b){if(a(e))return!1;for(;!a(e);){d=b(e);if(0===d.length)break;e=d}return!0}var d,e=current_msg_list.selected_row();if(0!==e.length){var f=message_viewport.message_viewport_info(),h=f.visible_top+0.1*f.visible_height,g=f.visible_top+0.9*f.visible_height;c(a,rows.next_visible)||c(b,rows.prev_visible);current_msg_list.select_id(rows.id(e),{from_scroll:!0})}};
$(function(){b=$(window);a.message_pane=$(".app");b.resize(function(){f.height.reset();f.width.reset();e.reset();h.reset()});$(document).on("compose_started compose_canceled compose_finished",function(){h.reset()})});return a}();"undefined"!==typeof module&&(module.exports=message_viewport);var rows=function(){var g={next_visible:function(c){if(void 0===c||0===c.length)return $();var a=c.next(".selectable_row");if(0!==a.length)return a;c=g.get_message_recipient_row(c);c=$(c).nextAll(".recipient_row");return 0===c.length?$():$(".selectable_row:first",c[0])},prev_visible:function(c){if(void 0===c||0===c.length)return $();var a=c.prev(".selectable_row");if(0!==a.length)return a;c=g.get_message_recipient_row(c);c=$(c).prevAll(".recipient_row");return 0===c.length?$():$(".selectable_row:last",
c[0])},first_visible:function(){return $(".focused_table .selectable_row:first")},last_visible:function(){return $(".focused_table .selectable_row:last")},id:function(c){return parseFloat(c.attr("zid"),10)}},k={zhome:!0,zfilt:!0};g.get_table=function(c){return!k.hasOwnProperty(c)?$():$("#"+c)};g.get_closest_group=function(c){return $(c).closest("div.recipient_row")};g.first_message_in_group=function(c){return $("div.message_row:first",c)};g.get_message_recipient_row=function(c){return $(c).parent(".recipient_row").expectOne()};
g.get_message_recipient_header=function(c){return $(c).parent(".recipient_row").find(".message_header").expectOne()};g.recipient_from_group=function(c){return message_store.get(g.id($(c).children(".message_row").first().expectOne()))};g.id_for_recipient_row=function(c){var a=g.first_message_in_group(c);return 0===a.length?g.id(c):g.id(a)};return g}();"undefined"!==typeof module&&(module.exports=rows);var people=function(){function g(a,b){var c=util.strcmp(a.full_name,b.full_name);return 0>c?-1:0<c?1:util.strcmp(a.email,b.email)}var k={},c,a,b,f,d,e,h;k.init=function(){c=new Dict({fold_case:!0});a=new Dict({fold_case:!0});b=new Dict;f=new Dict;d=new Dict;e=new Dict};k.init();k.get_person_from_user_id=function(a){if(b.has(a))return b.get(a);blueslip.error("Unknown user_id in get_person_from_user_id: "+a)};k.get_by_email=function(a){var b=c.get(a);if(b)return b.email.toLowerCase()!==a.toLowerCase()&&
blueslip.warn("Obsolete email passed to get_by_email: "+a+" new email = "+b.email),b};k.get_realm_count=function(){return f.num_items()};k.id_matches_email_operand=function(a,b){var c=k.get_by_email(b);return!c?(blueslip.debug("User email operand unknown: "+b),!1):c.user_id===a};k.update_email=function(a,d){var e=b.get(a);e.email=d;c.set(d,e)};k.get_user_id=function(a){var b=people.get_by_email(a);if(void 0===b)blueslip.error("Unknown email for get_user_id: "+a);else{if(b=b.user_id)return b;blueslip.error("No userid found for "+
a)}};k.is_known_user_id=function(a){return b.has(a)};k.huddle_string=function(a){function c(a){return a&&b.has(a)&&!k.is_my_user_id(a)}if("private"===a.type&&(a=_.map(a.display_recipient,function(a){return a.id}),a=_.filter(a,c),!(1>=a.length)))return a.sort(),a.join(",")};k.user_ids_string_to_emails_string=function(a){var c=a.split(","),c=_.map(c,function(a){if(a=b.get(a))return a.email});if(_.all(c))return c=_.map(c,function(a){return a.toLowerCase()}),c.sort(),c.join(",");blueslip.error("Unknown user ids: "+
a)};k.reply_to_to_user_ids_string=function(a){a=a.split(",");a=_.map(a,function(a){if(a=people.get_by_email(a))return a.user_id});if(_.all(a))return a.sort(),a.join(",")};k.get_user_time_preferences=function(a){if(a=people.get_person_from_user_id(a).timezone)return page_params.twenty_four_hour_time?{timezone:a,format:"HH:mm"}:{timezone:a,format:"hh:mm A"}};k.get_user_time=function(a){if(a=people.get_user_time_preferences(a))return moment().tz(a.timezone).format(a.format)};k.emails_strings_to_user_ids_string=
function(a){a=a.split(",");return k.email_list_to_user_ids_string(a)};k.email_list_to_user_ids_string=function(a){var b=_.map(a,function(a){if(a=people.get_by_email(a))return a.user_id});if(_.all(b))return b.sort(),b.join(",");blueslip.warn("Unknown emails: "+a)};k.get_full_name=function(a){return b.get(a).full_name};k.get_recipients=function(a){a=a.split(",");a=_.reject(a,k.is_my_user_id);return 0===a.length?k.my_full_name():_.map(a,k.get_full_name).sort().join(", ")};k.pm_reply_user_string=function(a){if(a=
people.pm_with_user_ids(a))return a.join(",")};k.pm_reply_to=function(a){if(a=people.pm_with_user_ids(a))return a=_.map(a,function(a){var c=b.get(a);return!c?(blueslip.error("Unknown user id in message: "+a),"?"):c.email}),a.sort(),a.join(",")};k.pm_with_user_ids=function(a){if("private"===a.type)if(0===a.display_recipient.length)blueslip.error("Empty recipient list in message");else return a=_.map(a.display_recipient,function(a){return a.user_id||a.id}),a=_.filter(a,function(a){return!people.is_my_user_id(a)}),
a=1<=a.length?a:[h],a.sort(),a};k.pm_with_url=function(a){if(a=k.pm_with_user_ids(a)){var b;1<a.length?b="group":(b=k.get_person_from_user_id(a[0]))&&b.email?b=b.email.split("@")[0].toLowerCase():(blueslip.error("Unknown people in message"),b="unk");return"#narrow/pm-with/"+(a.join(",")+"-"+b)}};k.update_email_in_reply_to=function(a,b,d){var e=a.split(","),e=_.map(e,function(a){return c.get(a.trim())});if(!_.all(e)||!_.any(e,function(a){return a.user_id===b}))return a;e=_.map(e,function(a){return a.user_id===
b?d:a.email});return e.join(",")};k.pm_with_operand_ids=function(a){a=a.split(",");a=_.map(a,function(a){return a.trim()});a=_.map(a,function(a){return c.get(a)});if(_.all(a))return a=_.map(a,function(a){return a.user_id}),a.sort(),a};k.emails_to_slug=function(a){var b=k.emails_strings_to_user_ids_string(a);if(b)return b+="-",a=a.split(","),b=1===a.length?b+a[0].split("@")[0].toLowerCase():b+"group"};k.slug_to_emails=function(a){if(a=/^([\d,]+)-/.exec(a))return k.user_ids_string_to_emails_string(a[1])};
k.format_small_avatar_url=function(a){return a+"&s=50"};k.sender_is_bot=function(a){return a.sender_id?k.get_person_from_user_id(a.sender_id).is_bot:!1};k.small_avatar_url=function(a){var b="",c;a.sender_id&&(c=k.get_person_from_user_id(a.sender_id));c&&c.avatar_url?b=c.avatar_url:a.avatar_url&&(b=a.avatar_url);b&&(b=k.format_small_avatar_url(b));return b};k.realm_get=function(a){a=people.get_by_email(a);return!a?void 0:f.get(a.user_id)};k.get_all_persons=function(){return b.values()};k.get_realm_persons=
function(){return f.values()};k.is_cross_realm_email=function(a){a=people.get_by_email(a);return!a?void 0:d.has(a.user_id)};k.get_recipient_count=function(a){return a.pm_recipient_count?a.pm_recipient_count:e.get(a.user_id||a.id)||0};k.incr_recipient_count=function(a){var b=e.get(a)||0;e.set(a,b+1)};k.filter_people_by_search_terms=function(a,b){var c=new Dict,d=_.map(b,function(a){var b=a.toLowerCase().split(/\s+/),b=_.map(b,function(a){return a.trim()});return function(c,d){return 0===c.indexOf(a.trim())?
!0:_.all(b,function(a){return _.any(d,function(b){if(0===b.indexOf(a))return!0})})}});_.each(a,function(a){var b=k.get_by_email(a.email);if(b&&b.full_name){var e=a.email.toLowerCase(),f=b.full_name.toLowerCase().split(/\s+/),f=_.map(f,function(a){return a.trim()});_.any(d,function(a){return a(e,f)})&&c.set(b.user_id,!0)}});return c};k.get_by_name=function(b){return a.get(b)};k.get_rest_of_realm=function(){var a=[];f.each(function(b){k.is_current_user(b.email)||a.push({email:b.email,user_id:b.user_id,
full_name:b.full_name})});return a.sort(g)};k.add=function(d){d.user_id?b.set(d.user_id,d):blueslip.warn("No user_id provided for "+d.email);c.set(d.email,d);a.set(d.full_name,d)};k.add_in_realm=function(a){f.set(a.user_id,a);k.add(a)};k.deactivate=function(a){f.del(a.user_id)};k.extract_people_from_message=function(a){var c;switch(a.type){case "stream":c=[{full_name:a.sender_full_name,user_id:a.sender_id,email:a.sender_email}];break;case "private":c=a.display_recipient}_.each(c,function(c){if(!c.unknown_local_echo_user){var d=
c.user_id||c.id;b.has(d)||k.add({email:c.email,user_id:d,full_name:c.full_name,is_admin:c.is_realm_admin||!1,is_bot:c.is_bot||!1});"private"===a.type&&a.sent_by_me&&k.incr_recipient_count(d)}})};k.set_full_name=function(b,c){a.has(b.full_name)&&a.del(b.full_name);a.set(c,b);b.full_name=c};k.is_current_user=function(a){return null===a||void 0===a?!1:a.toLowerCase()===k.my_current_email().toLowerCase()};k.initialize_current_user=function(a){h=a};k.my_full_name=function(){return b.get(h).full_name};
k.my_current_email=function(){return b.get(h).email};k.my_current_user_id=function(){return h};k.is_my_user_id=function(a){return!a?!1:a.toString()===h.toString()};k.initialize=function(){_.each(page_params.realm_users,function(a){k.add_in_realm(a)});_.each(page_params.cross_realm_bots,function(a){c.has(a.email)||k.add(a);d.set(a.user_id,a)});k.initialize_current_user(page_params.user_id);delete page_params.realm_users;delete page_params.cross_realm_bots};return k}();
"undefined"!==typeof module&&(module.exports=people);var unread=function(){var g={},k=new Dict,c=new Dict;g.suppress_unread_counts=!0;g.messages_read_in_narrow=!1;g.unread_topic_counter=function(){var a={},b=new Dict;a.clear=function(){b=new Dict};a.update=function(a,c,e,h){b.has(a)&&(b.get(a).has(c)&&b.get(a).get(c).get(h))&&(b.get(a).get(c).del(h),0===b.get(a).get(c).num_items()&&b.get(a).del(c),b.get(a).setdefault(e,new Dict),b.get(a).get(e).set(h,!0))};a.add=function(a,c,e){b.setdefault(a,new Dict({fold_case:!0}));b.get(a).setdefault(c,new Dict);
b.get(a).get(c).set(e,!0)};a.del=function(a,c,e){if(a=b.get(a))(c=a.get(c))&&c.del(e)};a.get_counts=function(){var a={stream_unread_messages:0};a.stream_count=new Dict;a.subject_count=new Dict;b.each(function(c,e){var h=stream_data.get_sub_by_id(e);if(!h||!stream_data.is_subscribed(h.name))return!0;if(b.has(e)){a.subject_count.set(e,new Dict({fold_case:!0}));var g=0;b.get(e).each(function(b,c){var d=b.num_items();a.subject_count.get(e).set(c,d);muting.is_topic_muted(h.name,c)||(g+=d)});a.stream_count.set(e,
g);stream_data.in_home_view(e)&&(a.stream_unread_messages+=g)}});return a};a.get_stream_count=function(a){var c=0;if(!b.has(a))return 0;b.get(a).each(function(b,h){var g=stream_data.get_sub_by_id(a);g&&!muting.is_topic_muted(g.name,h)&&(c+=b.num_items())});return c};a.get=function(a,c){var e=0;b.has(a)&&b.get(a).has(c)&&(e=b.get(a).get(c).num_items());return e};a.topic_has_any_unread=function(a,c){var e=b.get(a);if(!e)return!1;e=e.get(c);return!e?!1:!e.is_empty()};return a}();g.message_unread=function(a){return void 0===
a?!1:void 0===a.flags||-1===a.flags.indexOf("read")};g.update_unread_topics=function(a,b){void 0!==b.subject&&g.unread_topic_counter.update(a.stream_id,a.subject,b.subject,a.id)};g.process_loaded_messages=function(a){_.each(a,function(a){if(g.message_unread(a)){if("private"===a.type){var f=people.pm_reply_user_string(a);f&&(c.setdefault(f,new Dict),c.get(f).set(a.id,!0))}"stream"===a.type&&g.unread_topic_counter.add(a.stream_id,a.subject,a.id);a.mentioned&&k.set(a.id,!0)}})};g.process_read_message=
function(a){if("private"===a.type){var b=people.pm_reply_user_string(a);b&&(b=c.get(b))&&b.del(a.id)}if("stream"===a.type){if(void 0===a.stream_id){blueslip.error("No stream_id found for message "+a.id);return}g.unread_topic_counter.del(a.stream_id,a.subject,a.id)}k.del(a.id)};g.declare_bankruptcy=function(){c=new Dict;g.unread_topic_counter.clear()};g.num_unread_current_messages=function(){var a=0;_.each(current_msg_list.all_messages(),function(b){b.id>current_msg_list.selected_id()&&g.message_unread(b)&&
(a+=1)});return a};g.get_counts=function(){var a={private_message_count:0};a.mentioned_message_count=k.num_items();a.pm_count=new Dict;var b=g.unread_topic_counter.get_counts(a);a.home_unread_messages=b.stream_unread_messages;a.stream_count=b.stream_count;a.subject_count=b.subject_count;var f=0;c.each(function(b,c){var h=b.num_items();a.pm_count.set(c,h);f+=h});a.private_message_count=f;a.home_unread_messages+=f;narrow_state.active()?a.unread_in_current_view=g.num_unread_current_messages():a.unread_in_current_view=
a.home_unread_messages;return a};g.num_unread_for_stream=function(a){return g.unread_topic_counter.get_stream_count(a)};g.num_unread_for_subject=function(a,b){return g.unread_topic_counter.get(a,b)};g.topic_has_any_unread=function(a,b){return g.unread_topic_counter.topic_has_any_unread(a,b)};g.num_unread_for_person=function(a){return!a||!c.has(a)?0:c.get(a).num_items()};return g}();"undefined"!==typeof module&&(module.exports=unread);var topic_list=function(){var g={},k,c=!1;g.remove_expanded_topics=function(){stream_popover.hide_topic_popover();k&&k.remove()};g.set_count=function(a,b,c){k&&k.is_for_stream(a)&&k.set_count(b,c)};g.build_widget=function(a,b,f,d){var e={};e.topic_items=new Dict({fold_case:!0});var h=stream_data.get_sub_by_id(b).name;e.get_parent=function(){return a};e.is_for_stream=function(a){return a===b};e.get_stream_id=function(){return b};e.get_dom=function(){return e.dom};e.remove=function(){e.dom.remove()};
e.set_count=function(a,b){if(e.topic_items.has(a)){var c=e.topic_items.get(a).find(".topic-unread-count").expectOne(),d=c.find(".value");0===d.length?blueslip.error("malformed dom for unread count"):0===b?(c.hide(),d.text("")):(c.removeClass("zero_count"),c.show(),d.text(b))}};e.activate_topic=function(a){(a=e.topic_items.get(a))&&a.addClass("active-sub-filter")};e.dom=function(a,d){var f=stream_data.get_recent_topics_for_id(b)||[];a&&(a=a.toLowerCase());var g=!1,k=$('<ul class="topic-list">');k.attr("data-stream",
h);_.each(f,function(f,r){var n,v=f.subject,z=unread.num_unread_for_subject(b,f.canon_subject);if(!c&&(n=r<d||0<z||a===v.toLowerCase(),!n)){g=!0;return}n={topic_name:v,unread:z,is_zero:0===z,is_muted:muting.is_topic_muted(h,v),url:narrow.by_stream_subject_uri(h,v)};n=$(templates.render("topic_list_item",n));e.topic_items.set(v,n);k.append(n)});if(g){f=$('<li class="show-more-topics">');f.attr("data-stream",h);var n=$('<a href="#">');n.html(i18n.t("more topics"));f.html(n);k.append(f)}return k}(f,
d);a.append(e.dom);f&&e.activate_topic(f);return e};g.rebuild=function(a,b){var c=narrow_state.topic();g.remove_expanded_topics();k=g.build_widget(a,b,c,5)};g.zoom_in=function(){c=!0;k?(g.rebuild(k.get_parent(),k.get_stream_id()),$("#stream-filters-container").scrollTop(0),$("#stream-filters-container").perfectScrollbar("update")):blueslip.error("Cannot find widget for topic history zooming.")};g.zoom_out=function(a){c=!1;a&&a.clear_topics?g.remove_expanded_topics():g.rebuild(k.get_parent(),k.get_stream_id())};
g.is_zoomed=function(){return c};g.set_click_handlers=function(a){$("#stream_filters").on("click",".show-more-topics",function(b){a.zoom_in();b.preventDefault();b.stopPropagation()});$(".show-all-streams").on("click",function(b){a.zoom_out({clear_topics:!1});b.preventDefault();b.stopPropagation()});$("#stream_filters").on("click",".topic-box",function(a){if(!a.metaKey&&!a.ctrlKey){overlays.is_active()&&ui_util.change_tab_to("#home");var c=$(a.target).parents("ul").attr("data-stream"),d=$(a.target).parents("li").attr("data-name");
narrow.activate([{operator:"stream",operand:c},{operator:"topic",operand:d}],{select_first_unread:!0,trigger:"sidebar"});a.preventDefault()}})};return g}();"undefined"!==typeof module&&(module.exports=topic_list);var pm_list=function(){function g(){return $("#global_filters > li[data-name='private']")}function k(a,b,c){0===c?(a.hide(),b.text("")):(a.show(),b.text(c))}function c(a,b,c){a=g(a,b).find(".count");b=a.find(".value");k(a,b,c)}function a(){stream_popover.hide_topic_popover();$("ul.expanded_private_messages").remove();resize.resize_stream_filters_container()}var b={},f=!1,d=!1;b.get_conversation_li=function(a){var c=people.emails_strings_to_user_ids_string(a);if(c)return b.get_li_for_user_ids_string(c);
blueslip.warn("Unknown conversation: "+a)};b.get_li_for_user_ids_string=function(a){return g().find("li[data-user-ids-string='"+a+"']")};b.close=function(){d=f=!1;a()};b._build_private_messages_list=function(a,b){var c=message_store.recent_private_messages||[],f=[],g=!1;a&&(a=people.emails_strings_to_user_ids_string(a));_.each(c,function(c,l){var k=c.user_ids_string,t=people.user_ids_string_to_emails_string(k),u=people.get_recipients(k),s=unread.num_unread_for_person(k),v=l<b||0<s||k===a;v||d||(g=
!0);k={recipients:u,user_ids_string:k,unread:s,is_zero:0===s,zoom_out_hide:!v,url:narrow.pm_with_uri(t)};f.push(k)});return templates.render("sidebar_private_message_list",{messages:f,zoom_class:d?"zoomed-in":"zoomed-out",want_show_more_messages_links:g})};b.rebuild_recent=function(c){a();if(f){var d=g(),l=b._build_private_messages_list(c,5);d.append(l)}c&&b.get_conversation_li(c).addClass("active-sub-filter");resize.resize_stream_filters_container()};b.update_private_messages=function(){b._build_private_messages_list();
if(narrow_state.active()){var a=_.contains(narrow_state.filter().operands("is"),"private"),c=narrow_state.filter().operands("pm-with");1===c.length?b.rebuild_recent(c[0]):0!==c.length?b.rebuild_recent(""):a&&(b.rebuild_recent(""),$("#global_filters li[data-name='private']").addClass("active-filter"))}};b.set_click_handlers=function(){$("#global_filters").on("click",".show-more-private-messages",function(a){popovers.hide_all();d=!0;$("ul.expanded_private_messages").expectOne().removeClass("zoomed-out").addClass("zoomed-in");
a.preventDefault();a.stopPropagation()})};b.expand=function(a){f=!0;1===a.length?b.rebuild_recent(a[0]):b.rebuild_recent("")};b.update_dom_with_unread_counts=function(a){c("global","private",a.private_message_count);a.pm_count.each(function(a,b){var c=people.user_ids_string_to_emails_string(b);var c=pm_list.get_conversation_li(c).find(".private_message_count"),d=c.find(".value");0===c.length||0===d.length||(c.removeClass("zero_count"),k(c,d,a))});unread_ui.set_count_toggle_button($("#userlist-toggle-unreadcount"),
a.private_message_count);unread_ui.animate_private_message_changes(g(),a.private_message_count)};return b}();"undefined"!==typeof module&&(module.exports=pm_list);var pm_conversations=function(){var g={},k=new Dict;g.set_partner=function(c){k.set(c,!0)};g.is_partner=function(c){return k.get(c)||!1};return g}();"undefined"!==typeof module&&(module.exports=pm_conversations);var recent_senders=function(){var g={},k=new Dict;g.process_message_for_senders=function(c){var a=c.stream_id.toString(),b=k.get(a)||new Dict({fold_case:!0}),f=b.get(c.subject)||new Dict,d=f.get(c.sender_id);(void 0===d||d<c.timestamp)&&f.set(c.sender_id,c.timestamp);b.set(c.subject,f);k.set(a,b)};g.compare_by_recency=function(c,a,b,f){b=b.toString();b=k.get(b);return void 0!==b&&(f=b.get(f),void 0!==f)?(a=f.get(a.user_id)||Number.NEGATIVE_INFINITY,c=f.get(c.user_id)||Number.NEGATIVE_INFINITY,a-c):
0};return g}();"undefined"!==typeof module&&(module.exports=recent_senders);var stream_sort=function(){function g(a,b){if(""===b)return a;var c=b.toLowerCase().split(","),c=_.map(c,function(a){return a.trim()});return _.filter(a,function(a){return _.any(c,function(b){var c=a.toLowerCase().split(" ");return _.any(c,function(a){return 0===a.indexOf(b)})})})}var k={},c,a,b,f=[];k.get_streams=function(){return f};k.sort_groups=function(d){var e=stream_data.subscribed_streams();if(0!==e.length){var e=g(e,d),h=[],l=[],k=[];_.each(e,function(a){var b=stream_data.get_sub(a);b.pin_to_top?
h.push(a):stream_data.is_active(b)?l.push(a):k.push(a)});h.sort(util.strcmp);l.sort(util.strcmp);k.sort(util.strcmp);d=void 0!==c&&util.array_compare(c,h)&&util.array_compare(a,l)&&util.array_compare(b,k);d||(c=h,a=l,b=k,f=h.concat(l,k));return{same_as_before:d,pinned_streams:h,normal_streams:l,dormant_streams:k}}};return k}();"undefined"!==typeof module&&(module.exports=stream_sort);var topic_generator=function(){var g={sub_list_generator:function(g,c,a){var b=c;return{next:function(){if(!(b>=a)){var c=g[b];b+=1;return c}}}},list_generator:function(k){return g.sub_list_generator(k,0,k.length)},fchain:function(g,c){var a=g.next(),b;return{next:function(){for(;void 0!==a;){if(void 0===b&&(b=c(a),!b||!b.next)){blueslip.error("Invalid generator returned.");break}var f=b.next();if(void 0!==f)return f;a=g.next();b=void 0}}}},chain:function(k){k=g.list_generator(k);return g.fchain(k,
function(c){return c})},wrap:function(k,c){if(void 0===c)return g.list_generator(k);var a=_.indexOf(k,c);if(0>a)return g.list_generator(k);a=[g.sub_list_generator(k,a,k.length),g.sub_list_generator(k,0,a)];return g.chain(a)},wrap_exclude:function(k,c){if(void 0===c)return g.list_generator(k);var a=_.indexOf(k,c);if(0>a)return g.list_generator(k);a=[g.sub_list_generator(k,a+1,k.length),g.sub_list_generator(k,0,a)];return g.chain(a)},filter:function(g,c){return{next:function(){for(;;){var a=g.next();
if(void 0===a)break;if(c(a))return a}}}},map:function(g,c){return{next:function(){var a=g.next();if(void 0!==a)return c(a)}}},next_topic:function(k,c,a,b,f){k=g.wrap(k,b);return g.fchain(k,function(d){var e;e=d===b?g.wrap_exclude(c(d),f):g.list_generator(c(d));e=g.filter(e,function(b){return a(d,b)});return e=g.map(e,function(a){return{stream:d,topic:a}})}).next()},get_next_topic:function(k,c){var a=stream_sort.get_streams(),a=_.filter(a,function(a){return stream_data.name_in_home_view(a)});return g.next_topic(a,
function(a){var c=stream_data.get_recent_topics(a)||[],c=_.map(c,function(a){return a.subject});return c=_.reject(c,function(c){return muting.is_topic_muted(a,c)})},function(a,c){var d=stream_data.get_stream_id(a);return unread.topic_has_any_unread(d,c)},k,c)}};return g}();"undefined"!==typeof module&&(module.exports=topic_generator);var stream_list=function(){function g(a,b){var c=a.find(".count"),d=c.find(".value");0===b?(c.hide(),c.parent().hasClass("subscription_block")&&c.parent(".subscription_block").removeClass("stream-with-count"),d.text("")):(c.show(),c.parent().hasClass("subscription_block")&&c.parent(".subscription_block").addClass("stream-with-count"),d.text(b))}function k(a,b,c){var d=b.toLowerCase();return(a=_.find($(a,c),function(a){return $(a).attr("data-name").toLowerCase()===d}))?$(a):$()}function c(){popovers.hide_all();
topic_list.zoom_in();$("#streams_list").expectOne().removeClass("zoom-out").addClass("zoom-in");p=narrow_state.stream();$(".stream-filters-label").each(function(){$(this).hide()});$(".stream-split").each(function(){$(this).hide()});$("#stream_filters li.narrow-filter").each(function(){var a=$(this);a.attr("data-name")===p?a.show():a.hide()})}function a(a){popovers.hide_all();topic_list.zoom_out(a);$(".stream-filters-label").each(function(){$(this).show()});$(".stream-split").each(function(){$(this).show()});
$("#streams_list").expectOne().removeClass("zoom-in").addClass("zoom-out");$("#stream_filters li.narrow-filter").show()}function b(b){topic_list.is_zoomed()&&!0!==b?a({clear_topics:!0}):topic_list.remove_expanded_topics()}function f(a){var b=a.name;a={name:b,id:a.stream_id,uri:narrow.by_stream_uri(b),not_in_home_view:!1===stream_data.in_home_view(a.stream_id),invite_only:a.invite_only,color:stream_data.get_color(b),pin_to_top:a.pin_to_top};a.dark_background=stream_color.get_color_class(a.color);return $(templates.render("stream_sidebar_row",
a))}function d(a){var b={},c=f(a);b.update_whether_active=function(){stream_data.is_active(a)?c.removeClass("inactive_stream"):c.addClass("inactive_stream")};b.get_li=function(){return c};b.remove=function(){c.remove()};b.update_unread_count=function(){var b=unread.num_unread_for_stream(a.stream_id);g(c,b)};b.update_unread_count();q.stream_sidebar.set_row(a.stream_id,b)}function e(a,b,c){a=k("#"+a+"_filters > li",b);g(a,c)}function h(){$("ul.filters li").removeClass("active-filter active-sub-filter")}
function l(a){a.stopPropagation()}function m(a){if(13===a.keyCode){var b=$("#stream_filters li.narrow-filter").first().data("name");void 0!==b&&(overlays.is_active()&&ui_util.change_tab_to("#home"),q.clear_and_hide_search(),narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar enter key"}),a.preventDefault(),a.stopPropagation())}}function r(a){"streams_inline_cog"!==a.target.id&&(0===$("#stream-filters-container .input-append.notdisplayed").length?q.clear_and_hide_search():q.initiate_search(),
a.preventDefault())}var q={},p="";q.stream_sidebar=function(){var a={};a.rows=new Dict;a.set_row=function(b,c){a.rows.set(b,c)};a.get_row=function(b){return a.rows.get(b)};a.has_row_for=function(b){return a.rows.has(b)};a.remove_row=function(b){a.rows.del(b)};return a}();q.remove_sidebar_row=function(a){q.stream_sidebar.remove_row(a);q.build_stream_list()};q.create_initial_sidebar_rows=function(){var a=stream_data.subscribed_subs();_.each(a,function(a){q.create_sidebar_row(a)})};q.build_stream_list=
function(){function a(b){b=stream_data.get_sub(b);b=q.stream_sidebar.get_row(b.stream_id);b.update_whether_active();d.push(b.get_li().get(0))}if(0!==stream_data.subscribed_streams().length){var b=stream_sort.sort_groups($(".stream-list-filter").expectOne().val().trim());if(!b.same_as_before){var c=$("#stream_filters"),d=[];c.empty();_.each(b.pinned_streams,a);0<b.pinned_streams.length&&d.push($('<hr class="stream-split">').get(0));_.each(b.normal_streams,a);0<b.dormant_streams.length&&d.push($('<hr class="stream-split">').get(0));
_.each(b.dormant_streams,a);c.append(d)}}};q.get_stream_li=function(a){var b=q.stream_sidebar.get_row(a);if(b)if(b=b.get_li())if(1<b.length)blueslip.error("stream_li has too many elements for "+a);else return b;else blueslip.error("Cannot find li for id "+a)};q.set_in_home_view=function(a,b){var c=q.get_stream_li(a);c?b?c.removeClass("out_of_home_view"):c.addClass("out_of_home_view"):blueslip.error("passed in bad stream id "+a)};q.create_sidebar_row=function(a){q.stream_sidebar.has_row_for(a.stream_id)?
blueslip.warn("Dup try to build sidebar row for stream "+a.stream_id):d(a)};q.redraw_stream_privacy=function(a){var b=stream_data.get_sub(a),c=q.get_stream_li(b.stream_id);c?(c=c.find(".stream-privacy"),a=stream_data.get_color(a),a=stream_color.get_color_class(a),b=templates.render("stream_privacy",{invite_only:b.invite_only,dark_background:a}),c.html(b)):blueslip.error("passed in bad stream: "+a)};q.update_streams_sidebar=function(){q.build_stream_list();if(narrow_state.active()){var a=narrow_state.filter();
q.maybe_activate_stream_item(a)}};q.update_dom_with_unread_counts=function(a){a.stream_count.each(function(a,b){var c=q.get_stream_li(b);c?g(c,a):blueslip.warn("stream id no longer in sidebar: "+b)});a.subject_count.each(function(a,b){a.each(function(a,c){topic_list.set_count(b,c,a)})});e("global","mentioned",a.mentioned_message_count);e("global","home",a.home_unread_messages);unread_ui.set_count_toggle_button($("#streamlist-toggle-unreadcount"),a.home_unread_messages);unread_ui.animate_mention_changes(k("#global_filters > li",
"mentioned"),a.mentioned_message_count)};q.rename_stream=function(a){d(a);q.update_streams_sidebar()};q.refresh_pinned_or_unpinned_stream=function(a){d(a);q.update_streams_sidebar();if(a.pin_to_top){var b=q.get_stream_li(a.stream_id);b?q.scroll_to_active_stream(b):blueslip.error("passed in bad stream id "+a.stream_id)}};q.maybe_activate_stream_item=function(a){var b=a.operands("stream");if(0!==b.length){var c=b[0];if((b=stream_data.get_stream_id(c))&&stream_data.id_is_subscribed(b)){if(b=q.get_stream_li(b))return 0===
a.operands("topic").length&&b.addClass("active-filter"),a=stream_data.get_stream_id(c),c=q.get_stream_li(a),topic_list.rebuild(c,a),b;blueslip.error("No stream_li for subscribed stream "+c)}}};q.initialize=function(){topic_list.set_click_handlers({zoom_in:c,zoom_out:a});pm_list.set_click_handlers();$(document).on("narrow_activated.zulip",function(a){h();b(narrow_state.stream()===p);var c=a.filter.operands("in");0!==c.length&&-1!==["all","home"].indexOf(c[0])&&$("#global_filters li[data-name='"+c[0]+
"']").addClass("active-filter");c=a.filter.operands("is");0!==c.length&&-1!==["starred","mentioned"].indexOf(c[0])&&$("#global_filters li[data-name='"+c[0]+"']").addClass("active-filter");var d=a.filter.operands("pm-with");0!==c.length&&_.contains(c,"private")||0!==d.length?pm_list.expand(d):pm_list.close();(a=q.maybe_activate_stream_item(a.filter))&&q.scroll_to_active_stream(a)});$(document).on("narrow_deactivated.zulip",function(){h();b();pm_list.close();$("#global_filters li[data-name='home']").addClass("active-filter")});
$(document).on("subscription_add_done.zulip",function(a){q.create_sidebar_row(a.sub);q.build_stream_list()});$(document).on("subscription_remove_done.zulip",function(a){q.remove_sidebar_row(a.sub.stream_id)});$("#stream_filters").on("click","li .subscription_block",function(a){if(!a.metaKey&&!a.ctrlKey){overlays.is_active()&&ui_util.change_tab_to("#home");var b=$(a.target).parents("li").attr("data-name");popovers.hide_all();narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();
a.stopPropagation()}})};var n=_.throttle(function(){q.update_streams_sidebar();resize.resize_page_components()},50);q.searching=function(){return $(".stream-list-filter").expectOne().is(":focus")};q.escape_search=function(){var a=$(".stream-list-filter").expectOne();""===a.val()?q.clear_and_hide_search():(a.val(""),n())};q.clear_search=function(){var a=$(".stream-list-filter").expectOne();""===a.val()?q.clear_and_hide_search():(a.val(""),a.blur(),n())};q.initiate_search=function(){var a=$(".stream-list-filter").expectOne();
a.parent().removeClass("notdisplayed");a.focus();$("#clear_search_stream_button").removeAttr("disabled")};q.clear_and_hide_search=function(){var a=$(".stream-list-filter");""!==a.val()&&(a.val(""),n());a.blur();a.parent().addClass("notdisplayed")};$(function(){$(".stream-list-filter").expectOne().on("click",l).on("input",n).on("keydown",m);$("#clear_search_stream_button").on("click",q.clear_search)});$(function(){$("#streams_header").expectOne().on("click",r)});q.scroll_to_active_stream=function(a){var b=
$("#stream-filters-container");1!==a.length?blueslip.error("Invalid stream_li was passed in"):q.scroll_element_into_container(a,b)};q.scroll_element_into_container=function(a,b){var c=a.position().top,d=0;if(0>c)d=c;else{var c=c+a.height(),e=b.height();c>e&&(d=c-e)}0!==d&&b.scrollTop(b.scrollTop()+d)};return q}();"undefined"!==typeof module&&(module.exports=stream_list);var Filter=function(){function g(a,b,c){switch(b){case "is":if("private"===c)return"private"===a.type;if("starred"===c)return a.starred;if("mentioned"===c)return a.mentioned;if("alerted"===c)return a.alerted;break;case "in":if("home"===c)return a="private"===a.type||a.mentioned||void 0!==page_params.narrow_stream&&a.stream.toLowerCase()===page_params.narrow_stream.toLowerCase()?!0:stream_data.in_home_view(a.stream_id),a;break;case "id":return a.id.toString()===c;case "stream":if("stream"!==a.type)return!1;
c=c.toLowerCase();return page_params.realm_is_zephyr_mirror_realm?(b=c,c=/^(?:un)*(.+?)(?:\.d)*$/i.exec(b),null!==c&&void 0!==c[1]&&(b=c[1]),RegExp(/^(un)*/.source+util.escape_regexp(b)+/(\.d)*$/.source,"i").test(a.stream)):(b=stream_data.get_stream_id(c))?a.stream_id===b:a.stream.toLowerCase()===c;case "topic":if("stream"!==a.type)return!1;c=c.toLowerCase();return page_params.realm_is_zephyr_mirror_realm?(c=/^(.*?)(?:\.d)*$/i.exec(c)[1],(""===c||"personal"===c.toLowerCase()||'(instance "")'===c.toLowerCase()?
/^(|personal|\(instance ""\))(\.d)*$/i:RegExp(/^/.source+util.escape_regexp(c)+/(\.d)*$/.source,"i")).test(a.subject)):a.subject.toLowerCase()===c;case "sender":return people.id_matches_email_operand(a.sender_id,c);case "pm-with":if("private"!==a.type)return!1;c=people.pm_with_operand_ids(c);if(!c)return!1;a=people.pm_with_user_ids(a);return!a?!1:_.isEqual(c,a)}return!0}function k(a){this._operators=void 0===a?[]:this._canonicalize_operators(a)}var c={from:"sender",subject:"topic"};k.canonicalize_operator=
function(a){a=a.toLowerCase();return c.hasOwnProperty(a)?c[a]:a};k.canonicalize_term=function(a){var b=a.negated,c=a.operator;a=a.operand;b||(b=!1);c=k.canonicalize_operator(c);switch(c){case "has":a=a.replace(/s$/,"");break;case "stream":a=stream_data.get_name(a);break;case "topic":break;case "sender":case "pm-with":a=a.toString().toLowerCase();"me"===a&&(a=people.my_current_email());break;case "search":a=a.toString().toLowerCase().replace(/[\u201c\u201d]/g,'"');break;default:a=a.toString().toLowerCase()}return{negated:b,
operator:c,operand:a}};k.parse=function(a){var b=[],c=[],d,e,h;a=a.match(/"[^"]+"|\S+/g);if(null===a)return b;_.each(a,function(a){var g,r;g=a.split(":");'"'===a[0]||1===g.length?c.push(a):(d=!1,r=g.shift(),"-"===r[0]&&(d=!0,r=r.slice(1)),g=g.join(":"),"pm-with"!==r&&("sender"!==r&&"from"!==r)&&(g=g.replace(/\+/g," ")),e=util.robust_uri_decode(g),""===k.operator_to_prefix(r,d)?c.push(a):(h={negated:d,operator:r,operand:e},b.push(h)))});0<c.length&&(e=c.join(" "),h={operator:"search",operand:e,negated:!1},
b.push(h));return b};k.unparse=function(a){return _.map(a,function(a){return"search"===a.operator?a.operand:(a.negated?"-":"")+a.operator+":"+a.operand.toString().replace(/%/g,"%25").replace(/\+/g,"%2B").replace(/ /g,"+")}).join(" ")};k.prototype={predicate:function(){void 0===this._predicate&&(this._predicate=this._build_predicate());return this._predicate},operators:function(){return this._operators},public_operators:function(){return _.filter(this._operators,function(a){return!(void 0!==page_params.narrow_stream&&
"stream"===a.operator&&a.operand.toLowerCase()===page_params.narrow_stream.toLowerCase())})},operands:function(a){return _.chain(this._operators).filter(function(b){return!b.negated&&b.operator===a}).map(function(a){return a.operand}).value()},has_operand:function(a,b){return _.any(this._operators,function(c){return!c.negated&&c.operator===a&&c.operand===b})},has_operator:function(a){return _.any(this._operators,function(b){return b.negated&&!_.contains(["search","has"],b.operator)?!1:b.operator===
a})},is_search:function(){return this.has_operator("search")},can_apply_locally:function(){return!this.is_search()&&!this.has_operator("has")},_canonicalize_operators:function(a){return _.map(a,function(a){return k.canonicalize_term(a)})},filter_with_new_topic:function(a){var b=_.map(this._operators,function(b){b=_.clone(b);"topic"===b.operator&&!b.negated&&(b.operand=a);return b});return new k(b)},has_topic:function(a,b){return this.has_operand("stream",a)&&this.has_operand("topic",b)},update_email:function(a,
b){_.each(this._operators,function(c){switch(c.operator){case "pm-with":case "sender":case "from":c.operand=people.update_email_in_reply_to(c.operand,a,b)}})},_build_predicate:function(){var a=this._operators;return!this.can_apply_locally()?function(){return!0}:function(b){return _.all(a,function(a){var c=g(b,a.operator,a.operand);a.negated&&(c=!c);return c})}}};k.operator_to_prefix=function(a,b){var c;if("search"===a)return b?"Exclude":"Search for";c=b?"Exclude ":"Narrow to ";switch(a){case "stream":return c+
"stream";case "near":return c+"messages around";case "has":return c+"messages with one or more";case "id":return c+"message ID";case "subject":case "topic":return c+"topic";case "from":case "sender":return c+"messages sent by";case "pm-with":return c+"private messages with";case "in":return c+"messages in";case "is":return c+"messages that are"}return""};k.describe=function(a){if(0===a.length)return"Go to Home view";var b=[];2<=a.length&&("stream"===a[0].operator&&!a[0].negated&&"topic"===a[1].operator&&
!a[1].negated)&&(b=["Narrow to "+a[0].operand+" > "+a[1].operand],a=a.slice(2));a=_.map(a,function(a){var b=a.operand,c=k.canonicalize_operator(a.operator);if("is"===c){a=a.negated?"Exclude ":"Narrow to ";if("private"===b)return a+"all private messages";if("starred"===b)return a+"starred messages";if("mentioned"===b)return a+"mentioned messages";if("alerted"===b)return a+"alerted messages"}else if(a=k.operator_to_prefix(c,a.negated),""!==a)return a+" "+b;return"Narrow to (unknown operator)"});return b.concat(a).join(", ")};
return k}();"undefined"!==typeof module&&(module.exports=Filter);function MessageListView(g,k,c){this.list=g;this.collapse_messages=c;this._rows={};this.message_containers={};(this.table_name=k)&&this.clear_table();this._message_groups=[];this._render_win_end=this._render_win_start=0}
(function(){function g(a){return page_params.twenty_four_hour_time?a.toString("HH:mm"):a.toString("h:mm TT")}function k(a,b){if(void 0===a||void 0===b)return!1;var c=new XDate(1E3*a.msg.timestamp),f=new XDate(1E3*b.msg.timestamp);return c.toDateString()===f.toDateString()}function c(a,b){return void 0===a||void 0===b?!1:util.same_sender(a.msg,b.msg)}function a(a,b){return void 0===a||void 0===b?!1:util.same_recipient(a.msg,b.msg)}function b(a,b,c){var f=new XDate(1E3*b.msg.timestamp),k=new XDate;
void 0!==c?(c=new XDate(1E3*c.msg.timestamp),f.toDateString()!==c.toDateString()&&(a.show_date=timerender.render_date(f,c,k)[0].outerHTML,a.show_date_separator=!0)):(a.show_date_separator=!1,a.show_date=timerender.render_date(f,void 0,k)[0].outerHTML);void 0===b.timestr&&(b.timestr=g(f))}function f(a,b){a.is_stream=b.msg.is_stream;a.is_private=b.msg.is_private;if(a.is_stream){a.background_color=stream_data.get_color(b.msg.stream);a.color_class=stream_color.get_color_class(a.background_color);a.invite_only=
stream_data.get_invite_only(b.msg.stream);a.subject=b.msg.subject;a.match_subject=b.msg.match_subject;a.stream_url=b.stream_url;a.topic_url=b.topic_url;var c=stream_data.get_sub(b.msg.stream);a.stream_id=void 0===c?-1:c.stream_id}else a.is_private&&(a.pm_with_url=b.pm_with_url,a.display_reply_to=message_store.get_pm_full_names(b.msg));a.display_recipient=b.msg.display_recipient;a.always_visible_topic_edit=b.msg.always_visible_topic_edit;a.on_hover_topic_edit=b.msg.on_hover_topic_edit;a.subject_links=
b.msg.subject_links;var c=new XDate(1E3*b.msg.timestamp),f=new XDate,c=timerender.render_date(c,void 0,f)[0];a.date=c.outerHTML}MessageListView.prototype={_RENDER_WINDOW_SIZE:400,_RENDER_THRESHOLD:50,_add_msg_timestring:function(a){if(void 0!==a.msg.last_edit_timestamp){var b=new XDate(1E3*a.msg.last_edit_timestamp),c=new XDate;a.last_edit_timestr=timerender.render_date(b,void 0,c)[0].textContent+" at "+g(b)}},add_subscription_marker:function(a,b,c){void 0!==b&&c.msg.historical!==b.msg.historical&&
(a.bookend_top=!0,c.msg.historical?(a.unsubscribed=c.msg.stream,a.bookend_content=this.list.unsubscribed_bookend_content(c.msg.stream)):(a.subscribed=c.msg.stream,a.bookend_content=this.list.subscribed_bookend_content(c.msg.stream)))},build_message_groups:function(d){function e(){return{message_containers:[],message_group_id:_.uniqueId("message_group_")}}function h(a){c(p,a)&&(p.next_is_same_sender=!0);r.message_containers.push(a)}function g(){0<r.message_containers.length&&(f(r,r.message_containers[0]),
r.message_containers[r.message_containers.length-1].include_footer=!0,q.push(r))}var m=this,r=e(),q=[],p;_.each(d,function(d){var f=reactions.get_message_reactions(d.msg);d.msg.message_reactions=f;d.include_recipient=!1;d.include_footer=!1;a(p,d)&&m.collapse_messages&&p.msg.historical===d.msg.historical&&k(p,d)?h(d):(g(),r=e(),h(d),d.include_recipient=!0,d.subscribed=!1,d.unsubscribed=!1,m.list!==home_msg_list&&m.add_subscription_marker(r,p,d),d.msg.stream?(d.stream_url=narrow.by_stream_uri(d.msg.stream),
d.topic_url=narrow.by_stream_subject_uri(d.msg.stream,d.msg.subject)):d.pm_with_url=d.msg.pm_with_url);b(r,d,p);d.include_sender=!0;!d.include_recipient&&(!p.status_message&&c(p,d))&&(d.include_sender=!1);d.sender_is_bot=people.sender_is_bot(d.msg);m._add_msg_timestring(d);d.small_avatar_url=people.small_avatar_url(d.msg);void 0!==d.msg.stream&&(d.background_color=stream_data.get_color(d.msg.stream));d.contains_mention=notifications.speaking_at_me(d.msg);d.msg.unread=unread.message_unread(d.msg);
m._maybe_format_me_message(d);p=d});g();return q},join_message_groups:function(b,e){if(void 0===b||void 0===e)return!1;var f=_.last(b.message_containers),g=_.first(e.message_containers);if(this.collapse_messages&&a(f,g)&&k(f,g)&&f.msg.historical===g.msg.historical)return!f.status_message&&(!g.msg.is_me_message&&c(f,g))&&(g.include_sender=!1),c(f,g)&&(f.next_is_same_sender=!0),b.message_containers=b.message_containers.concat(e.message_containers),!0;this.list!==home_msg_list&&f.msg.historical!==g.msg.historical&&
(b.bookend_bottom=!0,this.add_subscription_marker(b,f,g));return!1},merge_message_groups:function(a,c){var f={append_groups:[],prepend_groups:[],rerender_groups:[],append_messages:[],rerender_messages:[]},g,m;if("top"===c)g=_.last(a),m=_.first(this._message_groups),this.join_message_groups(g,m)?(g.message_group_id=m.message_group_id,f.rerender_groups.push(g),this._message_groups.shift(),this._message_groups.unshift(g),a=_.initial(a)):k(m.message_containers[0],g.message_containers[0])||(b(m,_.first(m.message_containers),
_.last(g.message_containers)),f.rerender_groups.push(m)),f.prepend_groups=a,this._message_groups=a.concat(this._message_groups);else{g=_.last(this._message_groups);m=_.first(a);if(this.join_message_groups(g,m))f.rerender_messages.push(g.message_containers[g.message_containers.length-m.message_containers.length-1]),f.append_messages=_.first(a).message_containers,a=_.rest(a);else if(void 0!==g&&void 0!==m){g=_.last(g.message_containers);var r=_.first(m.message_containers);k(g,r)&&(delete m.show_date,
delete m.show_date_separator)}f.append_groups=a;this._message_groups=this._message_groups.concat(a)}return f},_post_process_dom_messages:function(a){var b=this;_.each(a,function(a){_.isElement(a)||blueslip.warn("Only DOM nodes can be passed to _post_process_messages");var c=$(a);c.hasClass("message_row")&&(b._rows[c.attr("zid")]=a);c.hasClass("mention")&&c.find(".user-mention").each(function(){var a;a=$(this).attr("data-user-id");"*"===a||people.is_my_user_id(a)?a=!0:(a=$(this).attr("data-user-email"),
a="*"===a||people.is_current_user(a)?!0:!1);a&&$(this).addClass("user-mention-me")});a=rows.id(c);message_edit.maybe_show_edit(c,a);a=$.Event("message_rendered.zulip",{target:c});try{$(document).trigger(a)}catch(d){blueslip.error("Problem with message rendering",{message_id:rows.id($(c))},d.stack)}})},_get_message_template:function(a){var b=reactions.get_message_reactions(a.msg);a.msg.message_reactions=b;a=_.extend(a,{table_name:this.table_name});return templates.render("single_message",a)},render:function(a,
b,c){function f(){void 0===p&&0<t.selected_row().length&&(p=t.selected_row().offset().top)}if(!(0===a.length||void 0===this.table_name)){var g=this.list,k=rows.get_table(this.table_name),q=rows.id(rows.last_visible())===g.selected_id(),p,n,t=this;n=_.map(a,function(a){return{msg:a}});if(!(0===n.length||void 0===this.table_name)){a=this.build_message_groups(n,this.table_name);var u=this.merge_message_groups(a,b);b=[];var s,v;_.each(n,function(a){t.message_containers[a.msg.id]=a});0<u.prepend_groups.length&&
(f(),s=$(templates.render("message_group",{message_groups:u.prepend_groups,use_match_properties:t.list.filter.is_search(),table_name:t.table_name})),v=s.find(".message_row"),b=b.concat(s),t._post_process_dom_messages(v.get()),k.find(".recipient_row").first().prev(".date_row").remove(),k.prepend(s),condense.condense_and_collapse(v));0<u.rerender_groups.length&&(f(),_.each(u.rerender_groups,function(a){var b=$("#"+a.message_group_id);b.prev(".date_row").remove();s=$(templates.render("message_group",
{message_groups:[a],use_match_properties:t.list.filter.is_search(),table_name:t.table_name}));v=s.find(".message_row");t._post_process_dom_messages(v.get());b.replaceWith(s);condense.condense_and_collapse(v)}));0<u.rerender_messages.length&&_.each(u.rerender_messages,function(a){var b=t.get_row(a.msg.id);a=$(t._get_message_template(a));t._post_process_dom_messages(a.get());b.replaceWith(a);condense.condense_and_collapse(a);g.reselect_selected_id()});0<u.append_messages.length&&(n=k.find(".message_row:last").expectOne(),
n=rows.get_message_recipient_row(n),v=$(_.map(u.append_messages,function(a){return t._get_message_template(a)}).join("")).filter(".message_row"),t._post_process_dom_messages(v.get()),n.append(v),condense.condense_and_collapse(v),b=b.concat(v));0<u.append_groups.length&&(t.clear_trailing_bookend(),s=$(templates.render("message_group",{message_groups:u.append_groups,use_match_properties:t.list.filter.is_search(),table_name:t.table_name})),v=s.find(".message_row"),b=b.concat(s),t._post_process_dom_messages(v.get()),
k.append(s),condense.condense_and_collapse(v));g===current_msg_list&&void 0!==p&&(message_viewport.set_message_offset(p),g.reselect_selected_id());k=_.last(t._message_groups);void 0!==k&&(g.last_message_historical=_.last(k.message_containers).msg.historical);k=narrow_state.stream();void 0!==k&&(k=stream_data.get_sub(k),(void 0===k||!k.subscribed)&&g.update_trailing_bookend());g===current_msg_list&&compose_fade.update_rendered_message_groups(a,function(a){a=t.get_row(a.message_containers[0].msg.id);
return rows.get_message_recipient_row(a)});g===current_msg_list&&c&&t._maybe_autoscroll(b,q)}}},_maybe_autoscroll:function(a,b){var c=0,f=-1;_.each(a.reverse(),function(a){if(a.is("div")&&(c+=a.height(),!(-1<f))){var b=rows.id(a);-1<b&&people.is_current_user(this.get_message(b).sender_email)&&(f=rows.id(a))}},this);if(b&&page_params.autoscroll_forever)this.list.select_id(this.list.last().id,{from_rendering:!0}),navigate.scroll_to_selected(),this.list.reselect_selected_id();else{var g=this.selected_row(),
k=rows.last_visible();if(g&&0<g.length&&k){var q=g.offset().top,g=message_viewport.message_viewport_info(),q=q-g.visible_top,p=rows.last_visible().offset().top-this.list.selected_row().offset().top;page_params.autoscroll_forever&&-1<f&&p<message_viewport.height()?(this.list.select_id(f,{from_rendering:!0}),navigate.scroll_to_selected()):!(0>=q)&&!(0>=c)&&(p=c,p>q&&(p=q),k.offset().top+k.height()-c>g.visible_top+g.visible_height||message_viewport.system_initiated_animate_scroll(p))}}},clear_rendering_state:function(a){a&&
this.clear_table();this.list.last_message_historical=!1;this._render_win_end=this._render_win_start=0},update_render_window:function(a,b){var c=Math.max(a-this._RENDER_WINDOW_SIZE/2,0);if(b&&c===this._render_win_start)return!1;this._render_win_start=c;this._render_win_end=Math.min(this._render_win_start+this._RENDER_WINDOW_SIZE,this.list.num_items());return!0},maybe_rerender:function(){if(void 0===this.table_name)return!1;var a=this.list.selected_idx();if(!(a-this._render_win_start<this._RENDER_THRESHOLD&&
0!==this._render_win_start||this._render_win_end-a<=this._RENDER_THRESHOLD&&this._render_win_end!==this.list.num_items())||!this.update_render_window(a,!0))return!1;this.rerender_preserving_scrolltop();return!0},rerender_preserving_scrolltop:function(){var a,b=this.selected_row(),c=0<b.length;c&&(a=b.offset().top);this.clear_table();this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom");c&&(0===this.selected_row().length&&-1<this.list.selected_id()&&this.list.select_id(this.list.selected_id(),
{use_closest:!0}),message_viewport.scrollTop(message_viewport.scrollTop()+this.selected_row().offset().top-a))},_rerender_header:function(a){if(0!==a.length){var b=this.get_row(a[0].msg.id);if(0!==b.length){var b=rows.get_message_recipient_row(b).find(".message_header"),c={message_containers:a};f(c,a[0]);a=$(templates.render("recipient_row",c));b.replaceWith(a)}}},_rerender_message:function(a,b){var c=this.get_row(a.msg.id),f=this.list.selected_message()===a.msg;this._add_msg_timestring(a);this._maybe_format_me_message(a);
var g=$(this._get_message_template(a));b&&g.addClass("fade-in-message");this._post_process_dom_messages(g.get());c.replaceWith(g);f&&this.list.select_id(a.msg.id)},rerender_messages:function(b,c){var f=this,g=_.map(b,function(a){return f.message_containers[a.id]}),g=_.reject(g,function(a){return void 0===a}),k=[],r=[];_.each(g,function(b){0===r.length||a(r[r.length-1],b)?r.push(b):(k.push(r),r=[]);f._rerender_message(b,c)});0!==r.length&&k.push(r);_.each(k,function(a){f._rerender_header(a,c)})},append:function(a,
b){var c=this._render_win_end-this._render_win_start;c<this._RENDER_WINDOW_SIZE&&(c=a.slice(0,this._RENDER_WINDOW_SIZE-c),this.render(c,"bottom",b),this._render_win_end+=c.length);this.maybe_rerender()},prepend:function(a){this._render_win_start+=a.length;this._render_win_end+=a.length;var b=this._render_win_end-this._render_win_start;b<this._RENDER_WINDOW_SIZE&&(a=a.slice(a.length-(this._RENDER_WINDOW_SIZE-b)),this.render(a,"top",!1),this._render_win_start-=a.length)},rerender_the_whole_thing:function(){this.clear_rendering_state(!0);
this.update_render_window(this.list.selected_idx(),!1);this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom")},clear_table:function(){rows.get_table(this.table_name).children().detach();this._rows={};this._message_groups=[];this.message_containers={}},get_row:function(a){return $(this._rows[a])},clear_trailing_bookend:function(){rows.get_table(this.table_name).find(".trailing_bookend").remove()},render_trailing_bookend:function(a,b){var c=$(templates.render("bookend",
{bookend_content:a,trailing:!0,subscribed:b}));rows.get_table(this.table_name).append(c)},selected_row:function(){return this.get_row(this.list.selected_id())},get_message:function(a){return this.list.get(a)},change_message_id:function(a,b){if(void 0!==this._rows[a]){var c=this._rows[a];delete this._rows[a];c.setAttribute("zid",b);c.setAttribute("id",this.table_name+b);$(c).removeClass("local");this._rows[b]=c}void 0!==this.message_containers[a]&&(c=this.message_containers[a],delete this.message_containers[a],
this.message_containers[b]=c)},_maybe_format_me_message:function(a){a.msg.is_me_message?(a.status_message=a.msg.content.slice(7,-4),a.include_sender=!0):a.status_message=!1}}})();"undefined"!==typeof module&&(module.exports=MessageListView);var message_list=function(){var g={narrowed:void 0,MessageList:function(g,c,a){_.extend(this,{collapse_messages:!0,muting_enabled:!0},a);this.view=new MessageListView(this,g,this.collapse_messages);this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this._local_only={};this.table_name=g;this.filter=c;this._selected_id=-1;void 0===this.filter&&(this.filter=new Filter);this.narrowed="zfilt"===this.table_name;this.num_appends=0;return this}};g.MessageList.prototype={add_messages:function(k,
c){var a=this,b=a.filter.predicate(),f=[],d=[],e=[];if(-1===a.selected_id()&&a.empty())var h=_.filter(k,b),d=_.reject(h,function(b){return a.get(b.id)});else _.each(k,function(c){void 0===a.get(c.id)&&b(c)&&(a.empty()||c.id>a.last().id?d.push(c):c.id<a.first().id?f.push(c):e.push(c))});if(0<e.length)return a.add_and_rerender(f.concat(e).concat(d)),!0;0<f.length&&a.prepend(f);0<d.length&&a.append(d,c);a===g.narrowed&&!a.empty()&&narrow.hide_empty_narrow_message();a===g.narrowed&&(!a.empty()&&-1===
a.selected_id()&&!c.delay_render)&&a.select_id(a.selected_id(),{then_scroll:!0,use_closest:!0})},get:function(g){g=parseFloat(g);return isNaN(g)?void 0:this._hash[g]},num_items:function(){return this._items.length},empty:function(){return 0===this._items.length},first:function(){return this._items[0]},last:function(){return this._items[this._items.length-1]},nth_most_recent_id:function(g){g=this._items.length-g;return 0>g?-1:this._items[g].id},clear:function(g){g=_.extend({clear_selected_id:!0},g);
this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this.view.clear_rendering_state(!0);g.clear_selected_id&&(this._selected_id=-1)},selected_id:function(){return this._selected_id},select_id:function(g,c){c=_.extend({then_scroll:!1,target_scroll_offset:void 0,use_closest:!1,empty_ok:!1,mark_read:!0,force_rerender:!1},c,{id:g,msg_list:this,previously_selected:this._selected_id});var a=g,b=parseFloat(a);isNaN(b)&&blueslip.fatal("Bad message id "+a);g=b;a=this.closest_id(g);!c.use_closest&&
a!==g&&blueslip.error("Selected message id not in MessageList",{table_name:this.table_name,id:g});-1===a&&!c.empty_ok&&blueslip.fatal("Cannot select id -1",{table_name:this.table_name,id:g,items_length:this._items.length});g=a;this._selected_id=c.id=g;c.force_rerender?this.rerender():c.from_rendering||this.view.maybe_rerender();$(document).trigger($.Event("message_selected.zulip",c))},reselect_selected_id:function(){this.select_id(this._selected_id,{from_rendering:!0})},selected_message:function(){return this.get(this._selected_id)},
selected_row:function(){return this.get_row(this._selected_id)},_lower_bound:function(g){var c=this;return util.lower_bound(c._items,g,function(a,b,f){return c._is_localonly_id(a.id)&&(f=c._next_nonlocal_message(c._items,f,function(a){return a-1}))?(a=parseFloat((a.id%1).toFixed(0.02)),f.id+a<b):a.id<b})},closest_id:function(g){if(this._local_only.hasOwnProperty(g))return g;var c=this._items;if(0===c.length)return-1;var a=this._lower_bound(g);if(a<c.length&&g===c[a].id)return c[a].id;var b=[];if(0<
a&&this._is_localonly_id(c[a-1].id)){do b.push(a),a-=1;while(0<a&&this._is_localonly_id(c[a-1].id))}b.push(a);if(a===c.length)a-=1;else{b.unshift(_.last(b)-1);var f=c[a].id;_.each(b,function(b){if(!(0>b)){var e=c[b].id;Math.abs(g-e)<Math.abs(f-g)&&(f=e,a=b)}})}return c[a].id},advance_past_messages:function(g){var c=0,a={};_.each(g,function(b){a[b]=!0});for(g=this.selected_idx()+1;g<this._items.length;){var b=this._items[g].id;if(!a[b])break;c=b;g+=1}0<c&&(this._selected_id=c)},_add_to_hash:function(g){var c=
this;g.forEach(function(a){var b=parseFloat(a.id);isNaN(b)&&blueslip.fatal("Bad message id");c._is_localonly_id(b)&&(c._local_only[b]=a);void 0!==c._hash[b]?blueslip.error("Duplicate message added to MessageList"):c._hash[b]=a})},selected_idx:function(){return this._lower_bound(this._selected_id)},subscribed_bookend_content:function(g){return"--- Subscribed to stream "+g+" ---"},unsubscribed_bookend_content:function(g){return"--- Unsubscribed from stream "+g+" ---"},not_subscribed_bookend_content:function(g){return"--- Not subscribed to stream "+
g+" ---"},update_trailing_bookend:function(){this.view.clear_trailing_bookend();if(this.narrowed){var g=narrow_state.stream();if(void 0!==g){var c=stream_data.is_subscribed(g),g=c?this.subscribed_bookend_content(g):this.last_message_historical?this.not_subscribed_bookend_content(g):this.unsubscribed_bookend_content(g);void 0!==g&&this.view.render_trailing_bookend(g,c)}}},unmuted_messages:function(g){return _.reject(g,function(c){return muting.is_topic_muted(c.stream,c.subject)&&!c.mentioned})},append:function(g,
c){c=_.extend({delay_render:!1,messages_are_new:!1},c);var a;this.muting_enabled?(this._all_items=this._all_items.concat(g),a=this.unmuted_messages(g)):a=g;this._items=this._items.concat(a);this.num_appends+=1;this._add_to_hash(g);c.delay_render||this.view.append(a,c.messages_are_new)},prepend:function(g){var c;this.muting_enabled?(this._all_items=g.concat(this._all_items),c=this.unmuted_messages(g)):c=g;this._items=c.concat(this._items);this._add_to_hash(g);this.view.prepend(c)},add_and_rerender:function(g){var c;
this.muting_enabled?(this._all_items=g.concat(this._all_items),this._all_items.sort(function(a,b){return a.id-b.id}),c=this.unmuted_messages(g),this._items=c.concat(this._items)):this._items=g.concat(this._items);this._items.sort(function(a,b){return a.id-b.id});this._add_to_hash(g);this.view.rerender_the_whole_thing()},remove_and_rerender:function(g){var c=this;_.each(g,function(a){var f=c._hash[a.id];void 0!==f&&delete c._hash[f];delete c._local_only[a.id]});var a={};_.each(g,function(b){a[b.id]=
!0});this._items=_.filter(this._items,function(b){return!a.hasOwnProperty(b.id)});this.muting_enabled&&(this._all_items=_.filter(this._all_items,function(b){return!a.hasOwnProperty(b.id)}));this.rerender()},show_edit_message:function(g,c){g.find(".message_edit_form").empty().append(c.form);g.find(".message_content, .status-message").hide();g.find(".message_edit").show();g.find(".message_edit_content").autosize()},hide_edit_message:function(g){g.find(".message_content, .status-message").show();g.find(".message_edit").hide()},
show_edit_topic:function(g,c){g.find(".topic_edit_form").empty().append(c);g.find(".stream_topic").hide();g.find(".topic_edit").show()},hide_edit_topic:function(g){g.find(".stream_topic").show();g.find(".topic_edit").hide()},show_message_as_read:function(g,c){var a=this.get_row(g.id);"pointer"===c.from&&feature_flags.mark_read_at_bottom||"server"===c.from?a.find(".unread_marker").addClass("fast_fade"):a.find(".unread_marker").addClass("slow_fade");a.removeClass("unread")},rerender:function(){this._selected_id=
this.closest_id(this._selected_id);this.view.clear_rendering_state(!1);this.view.update_render_window(this.selected_idx(),!1);this.view.rerender_preserving_scrolltop();-1!==this._selected_id&&this.select_id(this._selected_id)},rerender_after_muting_changes:function(){this.muting_enabled&&(this._items=this.unmuted_messages(this._all_items),this.rerender())},all_messages:function(){return this._items},message_range:function(g,c){-1===g&&blueslip.error("message_range given a start of -1");var a=this._lower_bound(g),
b=this._lower_bound(c);return this._items.slice(a,b+1)},get_row:function(g){return this.view.get_row(g)},_is_localonly_id:function(g){return 0!==g%1},_next_nonlocal_message:function(g,c,a){do c=a(c);while(void 0!==g[c]&&this._is_localonly_id(g[c].id));return g[c]},update_user_full_name:function(g,c){_.each(this._items,function(a){a.sender_id&&a.sender_id===g&&(a.sender_full_name=c)});this.view.rerender_the_whole_thing()},update_user_avatar:function(g,c){_.each(this._items,function(a){a.sender_id&&
a.sender_id===g&&(a.small_avatar_url=c)});this.view.rerender_the_whole_thing()},update_stream_name:function(g,c){_.each(this._items,function(a){a.stream_id&&a.stream_id===g&&(a.display_recipient=c,a.stream=c)});this.view.rerender_the_whole_thing()},change_message_id:function(g,c){function a(a,b){return a.id-b.id}if(this._hash.hasOwnProperty(g)){var b=this._hash[g];delete this._hash[g];this._hash[c]=b;this._local_only.hasOwnProperty(g)&&(this._is_localonly_id(c)&&(this._local_only[c]=this._local_only[g]),
delete this._local_only[g]);this._selected_id===g&&(this._selected_id=c);var f=this;setTimeout(function(){var b=f._hash[c],e=f._items.indexOf(b);if(-1===e)!f.muting_enabled&&current_msg_list===f&&blueslip.error("Trying to re-order message but can't find message with new_id in _items!");else{var h=f._next_nonlocal_message(f._items,e,function(a){return a+1}),e=f._next_nonlocal_message(f._items,e,function(a){return a-1});if(void 0!==h&&b.id>h.id||void 0!==e&&b.id<e.id)blueslip.debug("Changed message ID from server caused out-of-order list, reordering"),
f._items.sort(a),f.muting_enabled&&f._all_items.sort(a),f.view.rerender_preserving_scrolltop(),-1!==f._selected_id&&f.select_id(f._selected_id)}},0)}},get_last_message_sent_by_me:function(){var g=_.findLastIndex(this._items,{sender_id:page_params.user_id});if(-1!==g)return this._items[g]}};g.all=new g.MessageList(void 0,void 0,{muting_enabled:!1});$(document).on("message_selected.zulip zuliphashchange.zulip mousewheel",function(){message_viewport.stop_auto_scrolling()});return g}();
"undefined"!==typeof module&&(module.exports=message_list);var message_live_update=function(){return{update_stream_name:function(g,k){_.each([home_msg_list,current_msg_list,message_list.all],function(c){c.update_stream_name(g,k)})},update_user_full_name:function(g,k){_.each([home_msg_list,current_msg_list,message_list.all],function(c){c.update_user_full_name(g,k)})},update_avatar:function(g,k){var c=k,c=people.format_small_avatar_url(c);_.each([home_msg_list,current_msg_list,message_list.all],function(a){a.update_user_avatar(g,c)})}}}();
"undefined"!==typeof module&&(module.exports=message_live_update);var narrow_state=function(){function g(a){var b=new Dict,c=new Dict;_.each(a,function(a){var e=a.operator;b.has(e)?c.del(e):(c.set(e,a.operand),b.set(e,!0))});return c}var k={},c;k.reset_current_filter=function(){c=void 0};k.set_current_filter=function(a){c=a};k.get_current_filter=function(){return c};k.active=function(){return void 0!==c};k.filter=function(){return c};k.operators=function(){return void 0===c?(new Filter(page_params.narrow)).operators():c.operators()};k.update_email=function(a,b){void 0!==
c&&c.update_email(a,b)};k.public_operators=function(){return void 0===c?void 0:c.public_operators()};k.search_string=function(){return Filter.unparse(k.operators())};k.set_compose_defaults=function(a){var b=g(k.operators());b.has("stream")&&(a.stream=stream_data.get_name(b.get("stream")));b.has("topic")&&(a.subject=b.get("topic"));b.has("pm-with")&&(a.private_message_recipient=b.get("pm-with"))};k.stream=function(){if(void 0!==c){var a=c.operands("stream");if(1===a.length)return stream_data.get_name(a[0])}};
k.topic=function(){if(void 0!==c){var a=c.operands("topic");if(1===a.length)return a[0]}};k.narrowed_to_pms=function(){return void 0===c?!1:c.has_operator("pm-with")||c.has_operand("is","private")};k.narrowed_by_pm_reply=function(){return void 0===c?!1:1===c.operators().length&&c.has_operator("pm-with")};k.narrowed_by_topic_reply=function(){return void 0===c?!1:2===c.operators().length&&1===c.operands("stream").length&&1===c.operands("topic").length};k.narrowed_by_reply=function(){return k.narrowed_by_pm_reply()||
k.narrowed_by_topic_reply()};k.narrowed_to_topic=function(){return void 0===c?!1:c.has_operator("stream")&&c.has_operator("topic")};k.narrowed_to_search=function(){return void 0!==c&&c.is_search()};k.muting_enabled=function(){return!k.narrowed_to_topic()&&!k.narrowed_to_search()&&!k.narrowed_to_pms()};k.is_for_stream_id=function(a){var b=stream_data.get_sub_by_id(a);if(void 0===b)return blueslip.error("Bad stream id "+a),!1;a=k.stream();return void 0===a?!1:b.name===a};return k}();
"undefined"!==typeof module&&(module.exports=narrow_state);var narrow=function(){function g(a){void 0===a.network_time||(void 0===a.initial_core_time||void 0===a.initial_free_time)||channel.post({url:"/json/report_narrow_time",data:{initial_core:(a.initial_core_time-a.start_time).toString(),initial_free:(a.initial_free_time-a.start_time).toString(),network:(a.network_time-a.start_time).toString()}})}function k(){var a=$("#empty_narrow_message"),c=narrow_state.get_current_filter();if(void 0===c)return a;var d=c.operators()[0],e=d.operator,d=d.operand;if(1===
c.operators().length)if("is"===e){if("starred"===d)return $("#empty_star_narrow_message");if("mentioned"===d)return $("#empty_narrow_all_mentioned");if("private"===d)return $("#empty_narrow_all_private_message")}else{if("stream"===e&&!stream_data.is_subscribed(d))return!stream_data.get_sub(narrow_state.stream())?$("#nonsubbed_private_nonexistent_stream_narrow_message"):$("#nonsubbed_stream_narrow_message");if("search"===e)return $("#empty_search_narrow_message");if("pm-with"===e)return-1===d.indexOf(",")?
$("#empty_narrow_private_message"):$("#empty_narrow_multi_private_message");if("sender"===e)return people.get_by_email(d)?$("#silent_user"):$("#non_existing_user")}return a}var c={},a;c.narrow_title="home";c.activate=function(a,f){function d(){if(!message_list.narrowed.empty()){if(f.select_first_unread){r=message_list.narrowed.last().id;var a=_.find(message_list.narrowed.all_messages(),unread.message_unread);a&&(r=a.id)}a=!f.select_first_unread&&void 0!==message_list.narrowed.get(r)&&void 0!==q;message_list.narrowed.select_id(r,
{then_scroll:!a,use_closest:!0,force_rerender:!0});a&&message_viewport.set_message_offset(q);unread_ops.process_visible()}}var e=new Date,h=narrow_state.active();notifications.clear_compose_notifications();if(0===a.length)return c.deactivate();var l=new Filter(a),k=l.operators();l.has_operator("stream")?l.has_operator("topic")?c.narrow_title=l.operands("topic")[0]:c.narrow_title=l.operands("stream")[0]:l.has_operator("is")?c.narrow_title=l.operands("is")[0]:l.has_operator("pm-with")&&(c.narrow_title=
"private");notifications.redraw_title();blueslip.debug("Narrowed",{operators:_.map(k,function(a){return a.operator}),trigger:f?f.trigger:void 0,previous_id:current_msg_list.selected_id()});f=_.defaults({},f,{then_select_id:home_msg_list.selected_id(),select_first_unread:!1,first_unread_from_server:!1,from_reload:!1,change_hash:!0,trigger:"unknown"});l.has_operator("near")&&(f.then_select_id=parseInt(l.operands("near")[0],10),f.select_first_unread=!1);l.has_operator("id")&&(f.then_select_id=parseInt(l.operands("id")[0],
10),f.select_first_unread=!1);-1===f.then_select_id&&!f.first_unread_from_server&&(blueslip.warn("Setting then_select_id to page_params.pointer."),f.then_select_id=page_params.pointer,f.select_first_unread=!1);var r=f.then_select_id,q;h||(unread.messages_read_in_narrow=!1);!f.select_first_unread&&0<current_msg_list.get_row(r).length&&(q=current_msg_list.get_row(r).offset().top);narrow_state.set_current_filter(l);h=narrow_state.muting_enabled();-1!==current_msg_list.selected_id()&&(0===current_msg_list.selected_row().length&&
blueslip.debug("narrow.activate missing selected row",{selected_id:current_msg_list.selected_id(),selected_idx:current_msg_list.selected_idx(),selected_idx_exact:current_msg_list._items.indexOf(current_msg_list.get(current_msg_list.selected_id())),render_start:current_msg_list.view._render_win_start,render_end:current_msg_list.view._render_win_end}),current_msg_list.pre_narrow_offset=current_msg_list.selected_row().offset().top);f.first_unread_from_server&&f.from_reload&&(r=page_params.initial_narrow_pointer,
q=page_params.initial_narrow_offset,f.first_unread_from_server=!1,f.select_first_unread=!1,home_msg_list.pre_narrow_offset=page_params.initial_offset);var h={collapse_messages:!narrow_state.get_current_filter().is_search(),muting_enabled:h},p=new message_list.MessageList("zfilt",narrow_state.get_current_filter(),h);p.start_time=e;$("body").addClass("narrowed_view");$("#zfilt").addClass("focused_table");$("#zhome").removeClass("focused_table");ui_util.change_tab_to("#home");message_list.narrowed=p;
current_msg_list=message_list.narrowed;void 0!==message_list.all.get(r)&&narrow_state.get_current_filter().can_apply_locally()&&message_util.add_messages(message_list.all.all_messages(),message_list.narrowed,{delay_render:!0});var n=message_list.narrowed.empty();message_fetch.load_old_messages({anchor:r.toFixed(),num_before:50,num_after:50,msg_list:message_list.narrowed,use_first_unread_anchor:f.first_unread_from_server,cont:function(){ui.hide_loading_more_messages_indicator();n&&d();p.network_time=
new Date;g(p)},cont_will_add_messages:!1});n?ui.show_loading_more_messages_indicator():(message_fetch.reset_load_more_status(),d());f.change_hash&&hashchange.save_narrow(k);$("#search_query").val(Filter.unparse(k));search.update_button_visibility();compose_actions.on_narrow();e=narrow_state.get_current_filter();$(document).trigger($.Event("narrow_activated.zulip",{msg_list:message_list.narrowed,filter:e,trigger:f.trigger}));p.initial_core_time=new Date;setTimeout(function(){p.initial_free_time=new Date;
g(p)},0)};c.stream_topic=function(){var a=current_msg_list.selected_message();return a?{stream:a.stream||void 0,topic:a.subject||void 0}:{stream:narrow_state.stream(),topic:narrow_state.topic()}};c.narrow_to_next_topic=function(){var a=c.stream_topic();a&&(a=topic_generator.get_next_topic(a.stream,a.topic))&&c.activate([{operator:"stream",operand:a.stream},{operator:"topic",operand:a.topic}],{select_first_unread:!0})};c.by=function(a,f,d){c.activate([{operator:a,operand:f}],d)};c.by_subject=function(a,
f){var d=message_store.get(a);"stream"!==d.type?c.by_recipient(a,f):(unread_ops.mark_message_as_read(d),d=[{operator:"stream",operand:d.stream},{operator:"topic",operand:d.subject}],f=_.defaults({},f,{then_select_id:a}),c.activate(d,f))};c.by_recipient=function(a,f){f=_.defaults({},f,{then_select_id:a});var d=message_store.get(a);unread_ops.mark_message_as_read(d);switch(d.type){case "private":c.by("pm-with",d.reply_to,f);break;case "stream":c.by("stream",d.stream,f)}};c.by_time_travel=function(a,
c){c=_.defaults({},c,{then_select_id:a});narrow.activate([{operator:"near",operand:a}],c)};c.deactivate=function(){if(void 0!==narrow_state.get_current_filter())if(a={start_time:new Date},blueslip.debug("Unnarrowed"),ui.actively_scrolling())setTimeout(c.deactivate,50);else{compose_state.has_message_content()||compose_actions.cancel();narrow_state.reset_current_filter();c.hide_empty_narrow_message();$("body").removeClass("narrowed_view");$("#zfilt").removeClass("focused_table");$("#zhome").addClass("focused_table");
current_msg_list=home_msg_list;condense.condense_and_collapse($("#zhome tr.message_row"));$("#search_query").val("");message_fetch.reset_load_more_status();hashchange.save_narrow();if(-1!==current_msg_list.selected_id()){var b=0<current_msg_list.selected_row().length&&void 0!==current_msg_list.pre_narrow_offset,f={then_scroll:!0,use_closest:!0,empty_ok:!0};unread.messages_read_in_narrow?b=(b=_.find(current_msg_list.all_messages(),unread.message_unread))?b.id:current_msg_list.last().id:(b&&(f.target_scroll_offset=
current_msg_list.pre_narrow_offset),b=current_msg_list.selected_id());current_msg_list.select_id(b,f)}compose_fade.update_message_list();$(document).trigger($.Event("narrow_deactivated.zulip",{msg_list:current_msg_list}));c.narrow_title="home";notifications.redraw_title();a.initial_core_time=new Date;setTimeout(function(){a.initial_free_time=new Date;void 0===a||(void 0===a.start_time||void 0===a.initial_core_time||void 0===a.initial_free_time)||(channel.post({url:"/json/report_unnarrow_time",data:{initial_core:(a.initial_core_time-
a.start_time).toString(),initial_free:(a.initial_free_time-a.start_time).toString()}}),a={})})}};c.restore_home_state=function(){overlays.is_active()||c.deactivate();navigate.maybe_scroll_to_selected()};c.show_empty_narrow_message=function(){$(".empty_feed_notice").hide();k().show()};c.hide_empty_narrow_message=function(){$(".empty_feed_notice").hide()};c.pm_with_uri=function(a){return hashchange.operators_to_hash([{operator:"pm-with",operand:a}])};c.huddle_with_uri=function(a){return"#narrow/pm-with/"+
a+"-group"};c.by_sender_uri=function(a){return hashchange.operators_to_hash([{operator:"sender",operand:a}])};c.by_stream_uri=function(a){return"#narrow/stream/"+hash_util.encodeHashComponent(a)};c.by_stream_subject_uri=function(a,c){return"#narrow/stream/"+hash_util.encodeHashComponent(a)+"/subject/"+hash_util.encodeHashComponent(c)};c.by_message_uri=function(a){return"#narrow/id/"+hash_util.encodeHashComponent(a)};c.by_near_uri=function(a){return"#narrow/near/"+hash_util.encodeHashComponent(a)};
c.by_conversation_and_time_uri=function(a,c){var d="";c&&(d=window.location.protocol+"//"+window.location.host+"/"+window.location.pathname.split("/")[1]);return"stream"===a.type?d+"#narrow/stream/"+hash_util.encodeHashComponent(a.stream)+"/subject/"+hash_util.encodeHashComponent(a.subject)+"/near/"+hash_util.encodeHashComponent(a.id):d+"#narrow/pm-with/"+hash_util.encodeHashComponent(a.reply_to)+"/near/"+hash_util.encodeHashComponent(a.id)};return c}();
"undefined"!==typeof module&&(module.exports=narrow);var reload=function(){function g(a,f,d,e,h){if(!c){if(f||d||e)try{if(localstorage.supported()){void 0===a&&(a=0);var g="#reload:send_after_reload="+Number(a),g=g+("+csrf_token="+encodeURIComponent(csrf_token));if(e){var k=compose_state.get_message_type();"stream"===k?(g+="+msg_type=stream",g+="+stream="+encodeURIComponent(compose_state.stream_name()),g+="+subject="+encodeURIComponent(compose_state.subject())):"private"===k&&(g+="+msg_type=private",g+="+recipient="+encodeURIComponent(compose_state.recipient()));
k&&(g+="+msg="+encodeURIComponent(compose_state.message_content()))}if(f){var r=home_msg_list.selected_id();-1!==r&&(g+="+pointer="+r)}if(d){var q=home_msg_list.selected_row();if(narrow_state.active()){var g=g+("+offset="+home_msg_list.pre_narrow_offset),p=message_list.narrowed.selected_id();-1!==p&&(g+="+narrow_pointer="+p);var n=message_list.narrowed.selected_row();0<n.length&&(g+="+narrow_offset="+n.offset().top)}else 0<q.length&&(g+="+offset="+q.offset().top)}var t=window.location.hash;0!==t.length&&
"#"===t[0]&&(t=t.slice(1));var g=g+("+oldhash="+encodeURIComponent(t)),u=localstorage();u.removeRegex("reload:\\d+");var s=util.random_int(0,1099511627776);u.set("reload:"+s,g);window.location.replace("#reload:"+s)}else blueslip.log("Can't preserve state; no local storage.")}catch(v){blueslip.error("Failed to preserve state",void 0,v.stack)}void 0===h&&(h="Reloading ...");ui_report.message(h,$("#reloading-application"));blueslip.log("Starting server requested page reload");c=!0;try{server_events.cleanup_event_queue()}catch(z){blueslip.error("Failed to cleanup before reloading",
void 0,z.stack)}window.location.reload(!0)}}var k={},c=!1,a=!1;k.is_pending=function(){return a};k.is_in_progress=function(){return c};k.initialize=function(){var a=window.location.toString(),a=a.substring(a.indexOf("#")+1);if(0===a.search("reload:")){var c=localstorage(),d=c.get(a);if(void 0===d)blueslip.info("Invalid hash change reload token"),hashchange.changehash("");else{c.remove(a);var d=d.replace(/^reload:/,""),a=d.split("+"),e={};_.each(a,function(a){a=a.split("=");e[a[0]]=decodeURIComponent(a[1])});
void 0!==e.msg&&(a=parseInt(e.send_after_reload,10),compose_actions.start(e.msg_type,{stream:e.stream||"",subject:e.subject||"",private_message_recipient:e.recipient||"",content:e.msg||""}),a&&compose.finish());if(a=parseInt(e.pointer,10))page_params.orig_initial_pointer=page_params.pointer,page_params.pointer=a;if(a=parseInt(e.offset,10))page_params.initial_offset=a;if(a=parseInt(e.narrow_pointer,10))page_params.initial_narrow_pointer=a;if(a=parseInt(e.narrow_offset,10))page_params.initial_narrow_offset=
a;activity.new_user_input=!1;hashchange.changehash(e.oldhash)}}};k.initiate=function(b){function c(){g(!1,b.save_pointer,b.save_narrow,b.save_compose,b.message)}b=_.defaults({},b,{immediate:!1,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!1});(void 0===b.save_pointer||void 0===b.save_narrow||void 0===b.save_compose)&&blueslip.error("reload.initiate() called without explicit save options.");b.immediate&&g(b.send_after_reload,b.save_pointer,b.save_narrow,b.save_compose,b.message);
if(!a){a=!0;var d,e=18E5+util.random_int(0,3E5),h=3E5+util.random_int(0,6E4),l=6E4+util.random_int(0,6E4),k,r;setTimeout(c,e);k=function(){d.cancel();d=$(document).idle({idle:l,onIdle:c});$(document).off("compose_canceled.zulip compose_finished.zulip",k);$(document).on("compose_started.zulip",r)};r=function(){d.cancel();d=$(document).idle({idle:h,onIdle:c});$(document).off("compose_started.zulip",r);$(document).on("compose_canceled.zulip compose_finished.zulip",k)};compose_state.composing()?(d=$(document).idle({idle:h,
onIdle:c}),$(document).on("compose_canceled.zulip compose_finished.zulip",k)):(d=$(document).idle({idle:l,onIdle:c}),$(document).on("compose_started.zulip",r))}};window.addEventListener("beforeunload",function(){c=!0});return k}();"undefined"!==typeof module&&(module.exports=reload);var compose_fade=function(){function g(){rows.get_table(current_msg_list.table_name).find(".recipient_row").removeClass("message-fade");m=!0;floating_recipient_bar.update()}function k(){$(".user_sidebar_entry").removeClass("user-fade")}function c(a,b){b?a.addClass("message-fade"):a.removeClass("message-fade")}function a(){var a,b,d=!1,e=message_viewport.visible_groups(!1);m=!1;for(a=0;a<e.length;a+=1)b=rows.first_message_in_group(e[a]),b=current_msg_list.get(rows.id(b)),d=h.should_fade_message(b),
c($(e[a]),d);setTimeout(function(b,e){var f=rows.get_table(current_msg_list.table_name).find(".recipient_row");if(!(current_msg_list!==b||!compose_state.composing()||compose_state.recipient()!==e)){d=!1;for(a=0;a<f.length;a+=1){var g=$(f[a]);d=h.should_fade_message(rows.recipient_from_group(g));c(g,d)}floating_recipient_bar.update()}},0,current_msg_list,compose_state.recipient())}function b(a){var b=a.attr("data-user-id"),b=people.get_person_from_user_id(b).email;!1===h.would_receive_message(b)?a.addClass("user-fade"):
a.removeClass("user-fade")}function f(){_.forEach($(".user_sidebar_entry"),function(a){a=$(a);b(a)})}function d(){return void 0===l||"stream"===l.type&&(!stream_data.get_sub(l.stream)||""===l.subject)?!0:"private"===l.type&&""===l.reply_to}function e(){d()?m||(g(),k()):(a(),f())}var h={},l,m=!1;h.should_fade_message=function(a){return!util.same_recipient(l,a)};h.set_focused_recipient=function(a){void 0===a&&(l=void 0);l={type:a};if("stream"===l.type){if(a=$("#stream").val(),l.subject=$("#subject").val(),
l.stream=a,a=stream_data.get_sub(a))l.stream_id=a.stream_id}else a=util.normalize_recipients($("#private_message_recipient").val()),l.reply_to=a,l.to_user_ids=people.reply_to_to_user_ids_string(a)};h.would_receive_message=function(a){if(people.is_current_user(a))return!0;if("stream"===l.type){var b=people.realm_get(a),c=stream_data.get_sub(l.stream);return!c||b&&b.is_bot&&!c.invite_only?void 0:stream_data.user_is_subscribed(l.stream,a)}return util.is_pm_recipient(a,l)};h.update_one_user_row=function(a){d()?
a.removeClass("user-fade"):b(a)};h.update_faded_users=function(){d()?k():f()};h.update_faded_messages=_.debounce(e,50);h.start_compose=function(a){h.set_focused_recipient(a);e()};h.clear_compose=function(){l=void 0;g();k()};h.update_message_list=function(){d()?g():a()};h.update_rendered_message_groups=function(a,b){d()||_.each(a,function(a){var d=b(a);a=h.should_fade_message(a.message_containers[0].msg);c(d,a)})};h.initialize=function(){$(document).on("peer_subscribe.zulip",function(){h.update_faded_users()});
$(document).on("peer_unsubscribe.zulip",function(){h.update_faded_users()})};return h}();"undefined"!==typeof module&&(module.exports=compose_fade);var fenced_code=function(){function g(a){a=a.split("\n\n");var b=[];_.each(a,function(a){a=a.split("\n");b.push(_.map(_.reject(a,function(a){return""===a}),function(a){return"> "+a}).join("\n"))});return b.join("\n\n")}var k={},c=/^(~{3,}|`{3,})[ ]*(\{?\.?([a-zA-Z0-9_+-]*)\}?[ ]*)$/,a=function(a){return a},b=function(a){return a};k.set_stash_func=function(b){a=b};k.set_escape_func=function(a){b=a};k.process_fenced_code=function(f){function d(c,d,e){return function(){var f=[];return"quote"===e?{handle_line:function(a){a===
d?this.done():l(f,a)},done:function(){var a=g(f.join("\n"));c.push("");c.push(a);c.push("");h.pop()}}:"math"===e||"tex"===e||"latex"===e?{handle_line:function(a){a===d?this.done():l(f,a)},done:function(){var d;var e=f.join("\n");try{d=katex.renderToString(e,{displayMode:!0})}catch(g){d='<span class="tex-error">'+b(e)+"</span>"}d=a(d,!0);c.push("");c.push(d);c.push("");h.pop()}}:{handle_line:function(a){a===d?this.done():f.push(util.rtrim(a))},done:function(){var d;d=f.join("\n");for(d+="\n";2<d.length&&
"\n\n"===d.substr(d.length-2);)d=d.substring(0,d.length-1);d='<div class="codehilite"><pre><span></span>'+b(d)+"</pre></div>\n";d=a(d,!0);c.push("");c.push(d);c.push("");h.pop()}}}()}f=f.split("\n");var e=[],h=[],l;l=function(a,b){var e=c.exec(b);e?(e=d(a,e[1],e[3]),h.push(e)):a.push(b)};var k=function(){return{handle_line:function(a){l(e,a)},done:function(){h.pop()}}}();h.push(k);for(_.each(f,function(a){h[h.length-1].handle_line(a)});0!==h.length;)h[h.length-1].done();2<e.length&&""!==e[e.length-
2]&&e.push("");return e.join("\n")};return k}();"undefined"!==typeof module&&(module.exports=fenced_code);var markdown=function(){function g(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function k(a){var b=a.codePointAt(0).toString(16);return emoji.emojis_by_unicode.hasOwnProperty(b)?'<img alt="'+a+'" class="emoji" src="'+emoji.emojis_by_unicode[b]+'" title="'+a+'">':a}function c(a){var b=":"+a+":";return emoji.realm_emojis.hasOwnProperty(a)?(a=emoji.realm_emojis[a].emoji_url,'<img alt="'+b+'" class="emoji" src="'+
a+'" title="'+b+'">'):emoji.emojis_by_name.hasOwnProperty(a)?(a=emoji.emojis_by_name[a],'<img alt="'+b+'" class="emoji" src="'+a+'" title="'+b+'">'):b}function a(a){return'<img alt="'+a+'" class="message_body_gravatar" src="/avatar/'+a+'?s=30" title="'+a+'">'}function b(a){a=stream_data.get_sub(a);return void 0===a?void 0:'<a class="stream" data-stream-id="'+a.stream_id+'" href="'+window.location.origin+"/#narrow/stream/"+hash_util.encodeHashComponent(a.name)+'">#'+a.name+"</a>"}function f(a,b){var c=
l[a],d=1;_.each(b,function(a){c=c.replace("\\"+d,a);d+=1});return c}function d(a,b){try{return katex.renderToString(a)}catch(c){if(c.message.startsWith("KaTeX parse error"))return'<span class="tex-error">'+g(b)+"</span>";blueslip.error(c)}}function e(a,b){for(var c=/\(?P<([^>]+?)>/g,d=c.exec(a),e=1;d;)d=d[1],a=a.replace("(?P<"+d+">","("),b=b.replace("%("+d+")s","\\"+e),d=c.exec(a),e+=1;var f="g",c=/\(\?([iLmsux]+)\)/;if(d=c.exec(a))d=d[1].split(""),_.each(d,function(a){-1!=="im".indexOf(a)&&(f+=a)}),
a=a.replace(c,"");return[RegExp(a,f),b]}var h={},l={},m=[],r=[/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)\s+/m,/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)$/m,/[^\s]*(?:twitter|youtube).com\/[^\s]*/];h.contains_bugdown=function(a){return void 0!==_.find(r,function(b){return b.test(a)})};h.apply_markdown=function(a){void 0===a.flags&&(a.flags=[]);a.content=marked(a.raw_content+"\n\n",{userMentionHandler:function(b){var c=people.get_by_name(b);if(void 0!==c)return people.is_my_user_id(c.user_id)&&
(b=a.flags,_.contains(b,"mentioned")||b.push("mentioned")),'<span class="user-mention" data-user-id="'+c.user_id+'">@'+c.full_name+"</span>";if("all"===b||"everyone"===b)return c=a.flags,_.contains(c,"mentioned")||c.push("mentioned"),'<span class="user-mention" data-user-id="*">@'+b+"</span>"}}).trim()};h.add_message_flags=function(a){0===a.raw_content.indexOf("/me ")&&(0===a.content.indexOf("<p>")&&a.content.lastIndexOf("</p>")===a.content.length-4)&&a.flags.push("is_me_message")};h.add_subject_links=
function(a){if("stream"!==a.type)a.subject_links=[];else{var b=a.subject,c=[];_.each(m,function(a){var d=a[0];a=a[1];for(var e;null!==(e=d.exec(b));){var f=a;e=e.slice(1);for(var h=0;h<e.length;)f=f.replace("\\"+(h+1),e[h]),h+=1;c.push(f)}});a.subject_links=c}};h.set_realm_filters=function(a){l={};m=[];var b=[];_.each(a,function(a){a=e(a[0],a[1]);l[a[0]]=a[1];m.push([a[0],a[1]]);b.push(a[0])});marked.InlineLexer.rules.zulip.realm_filters=b};h.initialize=function(){function e(a,b){a[b]={exec:function(){return!1}}}
var l=new marked.Renderer;l.code=function(a){return'<div class="codehilite"><pre>'+g(a,!0)+"\n</pre></div>\n\n\n"};l.link=function(a,b,c){return'<a href="'+a+'" target="_blank" title="'+(b||a)+'">'+c+"</a>"};l.br=function(){return"<br>\n"};marked.Lexer.rules.tables.list=/^( *)((?:\*)) [\s\S]+?(?:\n+(?=(?: *[\-*_]){3,} *(?:\n+|$))|\n{2,}(?! )(?!\1(?:\*) )\n*|\s*$)/;e(marked.Lexer.rules.tables,"heading");e(marked.Lexer.rules.tables,"lheading");marked.InlineLexer.rules.zulip.strong=/^\*\*([\s\S]+?)\*\*(?!\*)/;
marked.InlineLexer.rules.zulip.del=/^(?!<\~)\~\~([^~]+)\~\~(?!\~)/;marked.InlineLexer.rules.zulip.em=/^\*(?!\s+)((?:\*\*|[\s\S])+?)((?:[\S]))\*(?!\*)/;e(marked.InlineLexer.rules.zulip,"autolink");h.set_realm_filters(page_params.realm_filters);fenced_code.set_stash_func(function(a){return marked.stashHtml(a,!0)});fenced_code.set_escape_func(g);marked.setOptions({gfm:!0,tables:!0,breaks:!0,pedantic:!1,sanitize:!0,smartLists:!0,smartypants:!1,zulip:!0,emojiHandler:c,avatarHandler:a,unicodeEmojiHandler:k,
streamHandler:b,realmFilterHandler:f,texHandler:d,renderer:l,preprocessors:[function(a){return fenced_code.process_fenced_code(a)}]})};return h}();"undefined"!==typeof module&&(module.exports=markdown);var echo=function(){function g(a,b){a.content=a.raw_content;var c=b.find(".refresh-failed-message");c.toggleClass("rotating",!0);a.queue_id=page_params.queue_id;var d=new Date;compose.transmit_message(a,function(b){c.toggleClass("rotating",!1);b=b.id;c.toggleClass("rotating",!1);compose.send_message_success(a.local_id,b,d,!0);message_store.get(b).failed_request=!1;ui.show_failed_message_success(b)},function(b){f.message_send_error(a.local_id,b);c.toggleClass("rotating",!1);blueslip.log("Manual resend of message failed")})}
function k(){var a=page_params.max_message_id;"undefined"!==typeof message_list.all&&void 0!==message_list.all.last()&&(a=message_list.all.last().id);a=Math.max(0,a);return parseFloat((a+0.01).toFixed(3))}function c(a,b){var c=$.extend({},a);c.flags=["read"];c.raw_content=c.content;markdown.apply_markdown(c);c.content_type="text/html";c.sender_email=people.my_current_email();c.sender_full_name=people.my_full_name();c.avatar_url=page_params.avatar_url;c.timestamp=(new XDate).getTime()/1E3;c.local_id=
b;c.id=c.local_id;markdown.add_message_flags(c);markdown.add_subject_links(c);d[c.local_id]=c;e[c.local_id]=c;if("stream"===c.type)c.display_recipient=c.stream;else{var f=util.extract_pm_recipients(a.private_message_recipient);c.display_recipient=_.map(f,function(a){a=a.trim();var b=people.get_by_email(a);return void 0===b?{email:a,full_name:a,unknown_local_echo_user:!0}:b})}message_events.insert_new_messages([c],b);return c.local_id}function a(a){_.each([message_list.all,home_msg_list,current_msg_list],
function(b){b.remove_and_rerender([a])})}function b(a){message_edit.start_local_failed_edit(current_msg_list.get_row(a.local_id),a)}var f={},d={},e={},h=!1;f.try_deliver_locally=function(a){var b=k();if(0===b%1)blueslip.error("Incremented local id to next integer---100 local messages queued");else return markdown.contains_bugdown(a.content)||narrow_state.active()&&!narrow_state.filter().can_apply_locally()?void 0:c(a,b)};f.edit_locally=function(a,b,c){a.raw_content=b;void 0!==c&&(stream_data.process_message_for_recent_topics(a,
!0),a.subject=c,stream_data.process_message_for_recent_topics(a));markdown.apply_markdown(a);home_msg_list.view.rerender_messages([a]);current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages([a]);stream_list.update_streams_sidebar();pm_list.update_private_messages()};f.reify_message_id=function(a,b){var c=d[a];delete d[a];void 0!==c&&(c.id=b,delete c.local_id,$(document).trigger($.Event("message_id_changed",{old_id:a,new_id:b})))};f.process_from_server=function(a){var b=
!1,c=[],d=[];a=_.filter(a,function(a){f.reify_message_id(a.local_id,a.id);var h=e[a.local_id];return void 0!==h?(h.content!==a.content&&(h.content=a.content,b=!0,compose.mark_rendered_content_disparity(a.id,!0)),d.push(h),c.push(h.id),compose.report_as_received(h),delete e[h.id],!1):!0});b?(home_msg_list.view.rerender_messages(d),current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages(d)):_.each(c,function(a){ui.show_local_message_arrived(a)});return a};f.message_send_error=
function(a,b){message_store.get(a).failed_request=!0;ui.show_message_failed(a,b)};$(function(){function c(a,b){$("#main_div").on("click","."+a+"-failed-message",function(a){a.stopPropagation();popovers.hide_all();a=$(this).closest(".message_row");var c=rows.id(a),d=e[c];void 0===d?blueslip.warn("Got resend or retry on failure request but did not find message in ack list "+c):b(d,a)})}c("remove",a);c("refresh",g);c("edit",b);$(document).on("home_view_loaded.zulip",function(){h=!0})});$(document).on("socket_loaded_requests.zulip",
function(a,b){function d(){_.each(e,function(a){c(a,a.local_id)})}var e=[],f=k();_.each(b.requests,function(a){a=a.msg;void 0===a.stream||void 0===a.local_id||(a.local_id=f,a.queue_id=page_params.queue_id,f=parseFloat((f+0.01).toFixed(3)),e.push(a))});if(h)d();else $(document).on("home_view_loaded.zulip",function(){d()})});return f}();"undefined"!==typeof module&&(module.exports=echo);var Socket=function(){function g(c){this.url=c;this._is_reconnecting=this._is_authenticated=this._is_open=!1;this._reconnect_initiation_time=null;this._connection_failures=this._next_req_id_counter=0;this._heartbeat_timeout_id=this._reconnect_timeout_id=null;this._localstorage_requests_key="zulip_socket_requests";this._requests=this._localstorage_requests();var a=this;this._is_unloading=!1;$(window).on("unload",function(){a._is_unloading=!0});$(document).on("unsuspend",function(){a._try_to_reconnect({reason:"unsuspend"})});
0!==Object.keys(this._requests).length&&$(document).trigger("socket_loaded_requests.zulip",{requests:this._requests});this._supported_protocols="websocket xdr-streaming xhr-streaming xdr-polling xhr-polling jsonp-polling".split(" ");page_params.test_suite?this._supported_protocols=_.reject(this._supported_protocols,function(a){return"xhr-streaming"===a}):this._create_sockjs_object()}var k={none_given:{code:4E3,msg:"No reason provided"},no_heartbeat:{code:4001,msg:"Missed too many heartbeats"},auth_fail:{code:4002,
msg:"Authentication failed"},ack_timeout:{code:4003,msg:"ACK timeout"},cant_send:{code:4004,msg:"User attempted to send while Socket was not ready"},unsuspend:{code:4005,msg:"Got unsuspend event"}};g.prototype={_create_sockjs_object:function(){this._sockjs=new SockJS(this.url,null,{protocols_whitelist:this._supported_protocols});this._setup_sockjs_callbacks(this._sockjs)},_make_request:function(c){return{req_id:this._get_next_req_id(),type:c,state:"pending"}},send:function(c,a,b){var f=this._make_request("request");
f.msg=c;f.success=a;f.error=b;this._save_request(f);this._can_send()?this._do_send(f):this._try_to_reconnect({reason:"cant_send"})},_get_next_req_id:function(){var c=page_params.queue_id+":"+this._next_req_id_counter;this._next_req_id_counter+=1;return c},_req_id_too_new:function(c){c=c.split(":")[2];return parseInt(c,10)>=this._next_req_id_counter},_req_id_sorter:function(c,a){var b=parseInt(c.split(":")[2],10),f=parseInt(a.split(":")[2],10);return b-f},_do_send:function(c){var a=this;this._requests[c.req_id].ack_timeout_id=
setTimeout(function(){blueslip.info("Timeout on ACK for request "+c.req_id);a._try_to_reconnect({reason:"ack_timeout"})},2E3);try{this._update_request_state(c.req_id,"sent"),this._sockjs.send(JSON.stringify({req_id:c.req_id,type:c.type,request:c.msg}))}catch(b){if(this._update_request_state(c.req_id,"pending"),!(b instanceof Error&&"INVALID_STATE_ERR"===b.message))if(b instanceof Error&&-1!==b.message.indexOf("NS_ERROR_NOT_CONNECTED"))this._sockjs.close();else throw b;}},_can_send:function(){return this._is_open&&
this._is_authenticated},_resend:function(c){c=this._requests[c];null!==c.ack_timeout_id&&(clearTimeout(c.ack_timeout_id),c.ack_timeout_id=null);"request"===c.type&&this._do_send(c)},_process_response:function(c,a){var b=this._requests[c];void 0===b?this._req_id_too_new(c)&&blueslip.error("Got a response for an unknown request",{request_id:c,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):("success"===a.result&&void 0!==b.success?b.success(a):void 0!==b.error&&b.error("response",
a),this._remove_request(c))},_process_ack:function(c){var a=this._requests[c];void 0===a?blueslip.error("Got an ACK for an unknown request",{request_id:c,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):null!==a.ack_timeout_id&&(clearTimeout(a.ack_timeout_id),a.ack_timeout_id=null)},_setup_sockjs_callbacks:function(c){var a=this;c.onopen=function(){blueslip.info("Socket connected [transport="+c.protocol+"]");null!==a._reconnect_initiation_time&&server_events.restart_get_events();
a._is_open=!0;$(document).trigger($.Event("websocket_postopen.zulip",{}));$(function(){var b=a._make_request("auth");b.msg={csrf_token:csrf_token,queue_id:page_params.queue_id,status_inquiries:_.keys(a._requests)};b.success=function(b){a._is_authenticated=!0;a._is_reconnecting=!1;a._reconnect_initiation_time=null;a._connection_failures=0;var c=[];_.each(b.status_inquiries,function(b,f){"complete"===b.status?a._process_response(f,b.response):"received"===b.status?a._update_request_state(f,"sent"):
"not_received"===b.status&&c.push(f)});c.sort(a._req_id_sorter);_.each(c,function(b){a._resend(b)})};b.error=function(b,c){blueslip.info("Could not authenticate with server: "+c.msg);a._connection_failures+=1;a._try_to_reconnect({reason:"auth_fail",wait_time:a._reconnect_wait_time()})};a._save_request(b);a._do_send(b)})};c.onmessage=function(b){"ack"===b.data.type?a._process_ack(b.data.req_id):a._process_response(b.data.req_id,b.data.response)};c.onheartbeat=function(){null!==a._heartbeat_timeout_id&&
(clearTimeout(a._heartbeat_timeout_id),a._heartbeat_timeout_id=null);a._heartbeat_timeout_id=setTimeout(function(){a._heartbeat_timeout_id=null;blueslip.info("Missed too many hearbeats");a._try_to_reconnect({reason:"no_heartbeat"})},6E4)};c.onclose=function(b){a._is_unloading||($(document).trigger($.Event("websocket_postopen.zulip",{})),blueslip.info("SockJS connection lost.  Attempting to reconnect soon. ("+b.code.toString()+", "+b.reason+")"),a._connection_failures+=1,a._is_reconnecting=!1,a._try_to_reconnect({wait_time:a._reconnect_wait_time()}))}},
_reconnect_wait_time:function(){return 1===this._connection_failures?30:1E3*Math.min(90,Math.exp(this._connection_failures/2))},_try_to_reconnect:function(c){c=_.extend({wait_time:0,reason:"none_given"},c);var a=this,b=(new Date).getTime();this._is_reconnecting&&1E3>b-this._reconnect_initiation_time||(null!==this._reconnect_timeout_id&&(clearTimeout(this._reconnect_timeout_id),this._reconnect_timeout_id=null),null!==this._heartbeat_timeout_id&&(clearTimeout(a._heartbeat_timeout_id),this._heartbeat_timeout_id=
null),_.each(this._requests,function(b,c){null!==b.ack_timeout_id&&(clearTimeout(b.ack_timeout_id),b.ack_timeout_id=null);"auth"===b.type&&a._remove_request(c)}),this._is_authenticated=this._is_open=!1,this._is_reconnecting=!0,this._reconnect_initiation_time=b,void 0!==this._sockjs&&(b=k[c.reason],this._sockjs.close(b.code,b.msg)),this._reconnect_timeout_id=setTimeout(function(){a._reconnect_timeout_id=null;blueslip.info("Attempting socket reconnect.");a._create_sockjs_object()},c.wait_time))},_localstorage_requests:function(){return!localstorage.supported()?
{}:JSON.parse(window.localStorage[this._localstorage_requests_key]||"{}")},_save_localstorage_requests:function(){if(localstorage.supported()){var c={};_.each(this._requests,function(a,f){"auth"!==a.type&&(c[f]=a)});try{window.localStorage[this._localstorage_requests_key]=JSON.stringify(c)}catch(a){blueslip.warn("Failed to save to local storage, caught exception when saving "+a)}}},_save_request:function(c){this._requests[c.req_id]=c;localstorage.supported()&&this._save_localstorage_requests()},_remove_request:function(c){delete this._requests[c];
localstorage.supported()&&this._save_localstorage_requests()},_update_request_state:function(c,a){this._requests[c].state=a;localstorage.supported()&&this._save_localstorage_requests()}};return g}();"undefined"!==typeof module&&(module.exports=Socket);var compose_state=function(){function g(a,b){return function(c){var d=$("#"+a),e=d.val();void 0!==c&&d.val(c);return b?util.rtrim(e):$.trim(e)}}var k={},c=!1;k.set_message_type=function(a){c=a};k.get_message_type=function(){return c};k.composing=function(){return!!c};k.stream_name=g("stream");k.subject=g("subject");k.message_content=g("new_message_content",!0);k.recipient=g("private_message_recipient");k.has_message_content=function(){return""!==k.message_content()};return k}();
"undefined"!==typeof module&&(module.exports=compose_state);var compose_actions=function(){function g(a,b){return"stream"===a&&b.stream&&!b.subject?"subject":"stream"===a&&b.stream||"private"===a&&b.private_message_recipient?"new topic button"===b.trigger?"subject":"new_message_content":"stream"===a?"stream":"private_message_recipient"}function k(){compose.clear_invites();compose.clear_all_everyone_warnings();compose.reset_user_acknowledged_all_everyone_flag();c.clear_textarea();$("#new_message_content").removeData("draft-id");compose_ui.autosize_textarea();
$("#send-status").hide(0)}var c={blur_textarea:function(){$(".message_comp").find("input, textarea, button").blur()}};c._get_focus_area=g;c.set_focus=function(a,b){var c=g(a,b);void 0!==c&&(""===window.getSelection().toString()||"message click"!==b.trigger)&&$("#"+c).focus().select()};c.clear_textarea=function(){$("#compose").find("input[type=text], textarea").val("")};c.autosize_message_content=function(){$("#new_message_content").autosize()};c.expand_compose_box=function(){$("#compose_close").show();
$("#compose_controls").hide();$(".message_comp").show()};c.complete_starting_tasks=function(a,b){c.maybe_scroll_up_selected_message();ui_util.change_tab_to("#home");compose_fade.start_compose(a);c.decorate_stream_bar(b.stream);$(document).trigger($.Event("compose_started.zulip",b));resize.resize_bottom_whitespace()};c.decorate_stream_bar=function(a){var b=stream_data.get_color(a),c=$("#compose-lock-icon"),d=$("#stream");stream_data.get_invite_only(a)?(c.show(),d.addClass("lock-padding")):(c.hide(),
d.removeClass("lock-padding"));$("#stream-message .message_header_stream").css("background-color",b).removeClass(stream_color.color_classes).addClass(stream_color.get_color_class(b))};c.maybe_scroll_up_selected_message=function(){if(-1!==current_msg_list.selected_id()){var a=current_msg_list.selected_row(),a=a.offset().top+a.height()-$("#compose").offset().top;0<a&&message_viewport.user_initiated_animate_scroll(a+5)}};c.start=function(a,b){c.autosize_message_content();if(!reload.is_in_progress()){notifications.clear_compose_notifications();
c.expand_compose_box();var f=b,d={message_type:a,stream:"",subject:"",private_message_recipient:"",trigger:"unknown"};narrow_state.set_compose_defaults(d);b=f=_.extend(d,f);"compose_hotkey"===b.trigger&&(b.subject="",b.private_message_recipient="");compose_state.composing()&&!(compose_state.get_message_type()===a&&("stream"===a&&b.stream===compose_state.stream_name()&&b.subject===compose_state.subject()||"private"===a&&b.private_message_recipient===compose_state.recipient()))&&k();compose_state.stream_name(b.stream);
compose_state.subject(b.subject);compose_state.recipient(b.private_message_recipient.replace(/,\s*/g,", "));void 0!==b.content&&compose_state.message_content(b.content);compose_state.set_message_type(a);f=b;"stream"===a?($("#private-message").hide(),$("#stream-message").show(),$("#stream_toggle").addClass("active"),$("#private_message_toggle").removeClass("active")):($("#private-message").show(),$("#stream-message").hide(),$("#stream_toggle").removeClass("active"),$("#private_message_toggle").addClass("active"));
$("#send-status").removeClass(status_classes).hide();$("#compose").css({visibility:"visible"});$(".new_message_textarea").css("min-height","3em");c.set_focus(a,f);c.complete_starting_tasks(a,b)}};c.cancel=function(){$("#new_message_content").height("40px");void 0!==page_params.narrow?(compose_fade.clear_compose(),void 0!==page_params.narrow_topic?compose_state.subject(page_params.narrow_topic):compose_state.subject("")):(c.blur_textarea(),$("#stream-message").hide(),$("#private-message").hide(),$(".new_message_textarea").css("min-height",
""),compose_fade.clear_compose(),$(".message_comp").hide(),$("#compose_controls").show(),compose.clear_preview_area(),$("#compose_close").hide(),resize.resize_bottom_whitespace(),k(),notifications.clear_compose_notifications(),compose.abort_xhr(),compose_state.set_message_type(!1),$(document).trigger($.Event("compose_canceled.zulip")))};c.respond_to_message=function(a){var b,f;drafts.update_draft();b=current_msg_list.selected_message();if(void 0!==b){unread_ops.mark_message_as_read(b);var d="",e=
"";"stream"===b.type&&(d=b.stream,e=b.subject);var h=b.reply_to;"private"===b.type&&(h="personal"===a.reply_type?people.get_person_from_user_id(b.sender_id).email:people.pm_reply_to(b));f="personal"===a.reply_type||"private"===b.type?"private":b.type;c.start(f,{stream:d,subject:e,private_message_recipient:h,replying_to_message:b,trigger:a.trigger})}};c.reply_with_mention=function(a){c.respond_to_message(a);a="@**"+current_msg_list.selected_message().sender_full_name+"**";$("#new_message_content").val(a+
" ")};c.on_topic_narrow=function(){compose_state.composing()&&(compose_state.stream_name()!==narrow_state.stream()?compose_state.has_message_content()?compose_fade.update_message_list():c.cancel():compose_state.subject()?c.cancel():(compose_state.subject(narrow_state.topic()),$("#new_message_content").focus().select()))};c.on_narrow=function(){if(narrow_state.narrowed_by_topic_reply())c.on_topic_narrow();else compose_state.has_message_content()?compose_fade.update_message_list():narrow_state.narrowed_by_pm_reply()?
c.start("private"):c.cancel()};return c}();"undefined"!==typeof module&&(module.exports=compose_actions);var compose=function(){function g(){if(compose_state.composing()){var a=compose_state.get_message_type();compose_fade.set_focused_recipient(a);compose_fade.update_faded_messages()}}function k(){var a=compose_state.subject();""===a&&(a=compose.empty_topic_placeholder());var b;b=compose_state.message_content().replace(v,"]($1)");b={type:compose_state.get_message_type(),content:b,sender_id:page_params.user_id,queue_id:page_params.queue_id,stream:"",subject:""};if("private"===b.type){var a=compose_state.recipient(),
c=util.extract_pm_recipients(a);b.to=c;b.reply_to=a;b.private_message_recipient=a;b.to_user_ids=people.email_list_to_user_ids_string(c)}else{c=compose_state.stream_name();b.to=c;b.stream=c;if(c=stream_data.get_sub(c))b.stream_id=c.stream_id;b.subject=a}return b}function c(a,b){$("#send-status").removeClass(status_classes).addClass("alert-error").stop(!0).fadeTo(0,1);$("#error-msg").html(a);$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();void 0!==b&&b.focus().select()}
function a(a,b,c){channel.post({url:"/json/messages",data:a,success:b,error:function(a,b){if("timeout"!==b&&reload.is_pending())reload.initiate({immediate:!0,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!0});else{var d=channel.xhr_error_message("Error sending message",a);c(d)}}})}function b(a,b,c){a.socket_user_agent=navigator.userAgent;z.send(a,b,function(a,b){var d="Error sending message";"response"===a&&(d+=": "+b.msg);c(d)})}function f(a){a=n.send_times_data[a];if(!(void 0===
a.send_finished||void 0===a.received||void 0===a.displayed)){var b=a.locally_echoed,c={time:(a.send_finished-a.start).toString(),received:(a.received-a.start).toString(),displayed:(a.displayed-a.start).toString(),locally_echoed:b};b&&(c.rendered_content_disparity=a.rendered_content_disparity||!1);channel.post({url:"/json/report_send_time",data:c})}}function d(a){void 0===n.send_times_data[a]&&(n.send_times_data[a]={});n.send_times_data[a].received=new Date;f(a)}function e(a,b,c){var d=new Date,e=
d-b;feature_flags.log_send_times&&blueslip.log("send time: "+e);feature_flags.collect_send_times&&n.send_times_log.push(e);void 0===n.send_times_data[a]&&(n.send_times_data[a]={});n.send_times_data[a].start=b;n.send_times_data[a].send_finished=d;n.send_times_data[a].locally_echoed=c;f(a)}function h(){$("#new_message_content").val("").focus();drafts.delete_draft_after_send();compose_ui.autosize_textarea();$("#send-status").hide(0);$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();
resize.resize_bottom_whitespace()}function l(a){void 0===a&&(a=k());a.to="private"===a.type?JSON.stringify(a.to):JSON.stringify([a.to]);var b=new Date,d;d=echo.try_deliver_locally(a);void 0!==d&&(a.local_id=d);var e=void 0!==d;n.transmit_message(a,function(a){n.send_message_success(d,a.id,b,e)},function(b){void 0===a.local_id?c(b,$("#new_message_content")):echo.message_send_error(d,b)});server_events.assert_get_events_running("Restarting get_events because it was not running during send");e&&h()}
function m(a,b){var c=stream_data.get_sub(a),d;if(!c)return"does-not-exist";if(c.subscribed)return"subscribed";if(!b)return"not-subscribed";channel.post({url:"/json/subscriptions/exists",data:{stream:a,autosubscribe:!0},async:!1,success:function(a){d=a.subscribed?"subscribed":"not-subscribed"},error:function(a){d=404===a.status?"does-not-exist":"error"}});return d}function r(a){if(!stream_data.is_subscribed(a))switch(m(a,void 0!==page_params.narrow_stream)){case "does-not-exist":return a="<p>The stream <b>"+
Handlebars.Utils.escapeExpression(a)+"</b> does not exist.</p><p>Manage your subscriptions <a href='#streams/all'>on your Streams page</a>.</p>",c(a,$("#stream")),!1;case "error":return c(i18n.t("Error checking subscription"),$("#stream")),!1;case "not-subscribed":return a="<p>You're not subscribed to the stream <b>"+Handlebars.Utils.escapeExpression(a)+"</b>.</p><p>Manage your subscriptions <a href='#streams/all'>on your Streams page</a>.</p>",c(a,$("#stream")),!1}return!0}function q(){var a=compose_state.stream_name();
if(""===a)return c(i18n.t("Please specify a stream"),$("#stream")),!1;if(page_params.realm_mandatory_topics&&""===compose_state.subject())return c(i18n.t("Please specify a topic"),$("#subject")),!1;var b;if(!(b=!r(a))){a:{a=stream_data.get_sub(a).subscribers.num_items();if(util.is_all_or_everyone_mentioned(compose_state.message_content())&&a>compose.all_everyone_warn_threshold){if(void 0===t||!1===t){a=stream_data.get_sub(compose_state.stream_name()).subscribers.num_items();a=templates.render("compose_all_everyone",
{count:a});b=$("#compose-all-everyone");b.is(":visible")||b.append(a);b.show();t=!1;$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();a=!1;break a}}else n.clear_all_everyone_warnings();t=void 0;a=!0}b=!a}return b?!1:!0}function p(){if(""===compose_state.recipient())return c(i18n.t("Please specify at least one recipient"),$("#private_message_recipient")),!1;if(page_params.realm_is_zephyr_mirror_realm)return!0;var a=n.get_invalid_recipient_emails(),b={};return 1===a.length?
(b={recipient:a.join()},c(i18n.t("The recipient __recipient__ is not valid",b),$("#private_message_recipient")),!1):1<a.length?(b={recipients:a.join()},c(i18n.t("The recipients __recipients__ are not valid",b),$("#private_message_recipient")),!1):!0}var n={},t;n.all_everyone_warn_threshold=15;var u=document.location.protocol+"//"+document.location.host,s="/user_uploads",v=RegExp("\\]\\("+u+"("+s+"[^\\)]+)\\)","g");n.clear_all_everyone_warnings=function(){$("#compose-all-everyone").hide();$("#compose-all-everyone").empty();
$("#send-status").hide()};n.clear_invites=function(){$("#compose_invite_users").hide();$("#compose_invite_users").empty()};n.reset_user_acknowledged_all_everyone_flag=function(){t=void 0};n.clear_preview_area=function(){$("#new_message_content").show();$("#undo_markdown_preview").hide();$("#preview_message_area").hide();$("#preview_content").empty();$("#markdown_preview").show()};$(function(){$("#stream,#subject,#private_message_recipient").bind({keyup:g,change:g})});n.abort_xhr=function(){$("#compose-send-button").removeAttr("disabled");
var a=$("#compose").data("filedrop_xhr");void 0!==a&&(a.abort(),$("#compose").removeData("filedrop_xhr"))};n.empty_topic_placeholder=function(){return i18n.t("(no topic)")};n.create_message_object=k;var z;page_params.use_websockets&&(z=new Socket("/sockjs"));n._socket=z;n.send_times_log=[];n.send_times_data={};n.mark_rendered_content_disparity=function(a,b){void 0===n.send_times_data[a]&&(n.send_times_data[a]={});n.send_times_data[a].rendered_content_disparity=b};n.report_as_received=function(a){a.sent_by_me&&
(d(a.id),setTimeout(function(){var b=a.id;void 0===n.send_times_data[b]&&(n.send_times_data[b]={});n.send_times_data[b].displayed=new Date;f(b)},0))};n.send_message_success=function(a,b,c,d){d||h();e(b,c,d);echo.reify_message_id(a,b);setTimeout(function(){void 0===n.send_times_data[b].received&&(blueslip.log("Restarting get_events due to delayed receipt of sent message "+b),server_events.restart_get_events())},5E3)};n.transmit_message=function(c,d,e){delete n.send_times_data[c.id];page_params.use_websockets?
b(c,d,e):a(c,d,e)};n.enter_with_preview_open=function(){n.clear_preview_area();page_params.enter_sends?l():$("#new_message_content").focus()};n.test_send_many_messages=function(a,b,c){function d(){var f={};e+=1;f.type="stream";f.to=a;f.subject=b;f.content=e.toString();l(f);e!==c&&setTimeout(d,1E3)}var e=0;d()};n.finish=function(){n.clear_invites();if(!compose.validate())return!1;l();n.clear_preview_area();$(document).trigger($.Event("compose_finished.zulip"));return!0};$(function(){$("#compose form").on("submit",
function(a){a.preventDefault();compose.finish()})});n.update_email=function(a,b){var c=compose_state.recipient();c&&(c=people.update_email_in_reply_to(c,a,b),compose_state.recipient(c))};n.get_invalid_recipient_emails=function(){var a=util.extract_pm_recipients(compose_state.recipient()),b=[];_.each(a,function(a){""!==a&&void 0===people.realm_get(a)&&(people.is_cross_realm_email(a)||b.push(a))});return b};n.validate=function(){$("#compose-send-button").attr("disabled","disabled").blur();$("#sending-indicator").show();
return/^\s*$/.test(compose_state.message_content())?(c(i18n.t("You have nothing to send!"),$("#new_message_content")),!1):$("#zephyr-mirror-error").is(":visible")?(c(i18n.t("You need to be running Zephyr mirroring in order to send messages!")),!1):"private"===compose_state.get_message_type()?p():q()};$(function(){function a(){$("#compose-send-button").attr("disabled","");$("#send-status").addClass("alert-info").show();$(".send-status-close").one("click",n.abort_xhr);$("#error-msg").html($("<p>").text(i18n.t("Uploading\u2026")).after('<div class="progress progress-striped active"><div class="bar" id="upload-bar" style="width: 00%;"></div></div>'))}
function b(a,c,d){$("#upload-bar").width(d+"%")}function c(a,b){var d;$("#send-status").addClass("alert-error").removeClass("alert-info");$("#compose-send-button").removeAttr("disabled");switch(a){case "BrowserNotSupported":d=i18n.t("File upload is not yet available for your browser.");break;case "TooManyFiles":d=i18n.t("Unable to upload that many files at once.");break;case "FileTooLarge":d=i18n.t('"__file_name__" was too large; the maximum file size is 25MiB.',{file_name:b.name});break;case "REQUEST ENTITY TOO LARGE":d=
i18n.t("Sorry, the file was too large.");break;case "QuotaExceeded":d=i18n.t("Upload would exceed your maximum quota. Consider deleting some previously uploaded files.");break;default:d=i18n.t("An unknown error occurred.")}$("#error-msg").text(d)}function d(a,b,c){if(void 0!==c.uri){b=$("#new_message_content");var e=c.uri.split("/"),e=e[e.length-1];compose_state.composing()||compose_actions.start("stream");c=c.uri;c=0===c.indexOf(s)?u+c:c;-1===a?b.val(b.val()+"[pasted image]("+c+") "):b.val(b.val()+
"["+e+"]("+c+") ");compose_ui.autosize_textarea();$("#compose-send-button").removeAttr("disabled");$("#send-status").removeClass("alert-info").hide();a=$("#file_input");b=a.clone(!0);a.replaceWith(b)}}resize.watch_manual_resize("#new_message_content");window.XMLHttpRequest&&(new XMLHttpRequest).upload&&$("#compose #attach_files").removeClass("notdisplayed");feature_flags.dropbox_integration&&LazyLoad.js("https://www.dropbox.com/static/api/1/dropins.js",function(){_.has(window,"Dropbox")?Dropbox.isBrowserSupported()&&
(Dropbox.init({appKey:window.dropboxAppKey}),$("#compose #attach_dropbox_files").removeClass("notdisplayed")):blueslip.error("Dropbox script reports loading but window.Dropbox undefined")});$(document).on("usermention_completed.zulip",function(a,b){if("stream"===compose_state.get_message_type()&&!page_params.realm_is_zephyr_mirror_realm&&void 0!==b&&void 0!==b.mentioned){var c=b.mentioned.email;if(!("all"===b.mentioned.full_name||"everyone"===b.mentioned.full_name)&&!1===compose_fade.would_receive_message(c)){var d=
templates.render("compose-invite-users",{email:c,name:b.mentioned.full_name}),e=$("#compose_invite_users");-1===_.map($(".compose_invite_user",e),function(a){return $(a).data("useremail")}).indexOf(c)&&e.append(d);e.show()}}});$("#compose-all-everyone").on("click",".compose-all-everyone-confirm",function(a){a.preventDefault();$(a.target).parents(".compose-all-everyone").remove();t=!0;n.clear_all_everyone_warnings();compose.finish()});$("#compose_invite_users").on("click",".compose_invite_link",function(a){function b(){var a=
$("#compose_invite_users");d.remove();0===a.children().length&&a.hide()}function c(){d.find(".compose_invite_user_error").show();$(a.target).attr("disabled",!0)}a.preventDefault();var d=$(a.target).parents(".compose_invite_user"),e=$(d).data("useremail");if(void 0!==e){var f=compose_state.stream_name(),h=stream_data.get_sub(f);h?stream_edit.invite_user_to_stream(e,h,b,c):(blueslip.warn("Stream no longer exists: "+f),c())}});$("#compose_invite_users").on("click",".compose_invite_close",function(a){a=
$(a.target).parents(".compose_invite_user");var b=$("#compose_invite_users");a.remove();0===b.children().length&&b.hide()});$("#compose").on("click","#attach_files",function(a){a.preventDefault();$("#compose #file_input").trigger("click")});$("#compose").on("click","#markdown_preview",function(a){a.preventDefault();var b=$("#new_message_content").val();$("#new_message_content").hide();$("#markdown_preview").hide();$("#undo_markdown_preview").show();$("#preview_message_area").show();0===b.length?$("#preview_content").html(i18n.t("Nothing to preview")):
(markdown.contains_bugdown(b)?(a=$("#markdown_preview_spinner").expectOne(),loading.make_indicator(a)):$("#preview_content").html(markdown.apply_markdown(b)),channel.post({url:"/json/messages/render",idempotent:!0,data:{content:b},success:function(a){markdown.contains_bugdown(b)&&loading.destroy_indicator($("#markdown_preview_spinner"));$("#preview_content").html(a.rendered)},error:function(){markdown.contains_bugdown(b)&&loading.destroy_indicator($("#markdown_preview_spinner"));$("#preview_content").html(i18n.t("Failed to generate preview"))}}))});
$("#compose").on("click","#undo_markdown_preview",function(a){a.preventDefault();n.clear_preview_area()});$("#compose").on("click","#attach_dropbox_files",function(a){a.preventDefault();Dropbox.choose({success:function(a){var b=$("#new_message_content");a=_.map(a,function(a){return"["+a.name+"]("+a.link+")"}).join(" ")+" ";b.val(b.val()+a)},multiselect:!0,iframe:!0})});window.bridge&&(n.uploadStarted=a,n.progressUpdated=b,n.uploadError=c,n.uploadFinished=d);$("#compose").filedrop({url:"/json/upload_file",
fallback_id:"file_input",paramname:"file",maxfilesize:page_params.maxfilesize,data:{csrfmiddlewaretoken:csrf_token},raw_droppable:["text/uri-list","text/plain"],drop:a,progressUpdated:b,error:c,uploadFinished:d,rawDrop:function(a){var b=$("#new_message_content");compose_state.composing()||compose_actions.start("stream");b.val(b.val()+a);compose_ui.autosize_textarea()}});void 0!==page_params.narrow&&(void 0!==page_params.narrow_topic?compose_actions.start("stream",{subject:page_params.narrow_topic}):
compose_actions.start("stream",{}));$(document).on("message_id_changed",function(a){if(void 0!==n.send_times_data[a.old_id]){var b=n.send_times_data[a.old_id];delete n.send_times_data[a.old_id];n.send_times_data[a.new_id]=_.extend({},n.send_times_data[a.old_id],b)}})});return n}();"undefined"!==typeof module&&(module.exports=compose);var stream_color=function(){function g(a,b,d){var f=c.get_color_class(d);a=$("#floating_recipient_bar").add(a).find(".stream_label");_.each(a,function(a){a=$(a);$.trim(a.text())===b&&(a.closest(".recipient_row").children(".message_row").children(".messagebox").css("box-shadow","inset 2px 0px 0px 0px "+d+", -1px 0px 0px 0px "+d),a.css({background:d,"border-left-color":d}),a.removeClass(c.color_classes),a.addClass(f))})}function k(a){var b=$(this).attr("stream_id");a=a.toHexString();subs.set_color(b,
a)}var c={default_color:"#c2c2c2"},a="#76ce90 #fae589 #a6c7e5 #e79ab5 #bfd56f #f4ae55 #b0a5fd #addfe5 #f5ce6e #c2726a #94c849 #bd86e5 #ee7e4a #a6dcbf #95a5fd #53a063 #9987e1 #e4523d #c2c2c2 #4f8de4 #c6a8ad #e7cc4d #c8bebf #a47462".split(" ");c.color_classes="dark_background";c.pick_color=function(b){var c=_.shuffle(a),d={};_.each(b,function(a){d[a]=!0});return(b=_.find(c,function(a){return!_.has(d,a)}))?b:c[0]};var b=["a47462 c2726a e4523d e7664d ee7e4a f4ae55".split(" "),"76ce90 53a063 94c849 bfd56f fae589 f5ce6e".split(" "),
"a6dcbf addfe5 a6c7e5 4f8de4 95a5fd b0a5fd".split(" "),"c2c2c2 c8bebf c6a8ad e79ab5 bd86e5 9987e1".split(" ")],f={clickoutFiresChange:!0,showPalette:!0,showInput:!0,palette:b};c.set_colorpicker_color=function(a,b){a.spectrum(_.extend(f,{color:b,container:"#subscription_overlay .subscription_settings.show"}))};c.update_stream_color=function(a,b,d){d=_.defaults({},d,{update_historical:!1});a.color=b;var f=parseInt(a.stream_id,10);$(".stream-row[data-stream-id='"+f+"'] .icon").css("background-color",
b);c.set_colorpicker_color($("#subscription_overlay .subscription_settings[data-stream-id='"+f+"'] .colorpicker"),b);$("#subscription_overlay .subscription_settings[data-stream-id='"+f+"'] .large-icon").css("color",b);d.update_historical&&(a=a.name,g($(".focused_table"),a,b),"#zhome"!==$(".focused_table").attr("id")&&g($("#zhome"),a,b));$("#stream_sidebar_swatch_"+f).css("background-color",b);$("#stream_sidebar_privacy_swatch_"+f).css("color",b);tab_bar.colorize_tab_bar()};f.change=k;c.sidebar_popover_colorpicker_options=
{clickoutFiresChange:!0,showPaletteOnly:!0,showPalette:!0,showInput:!0,flat:!0,palette:b,change:k};c.sidebar_popover_colorpicker_options_full={clickoutFiresChange:!0,showPalette:!0,showInput:!0,flat:!0,cancelText:"",chooseText:"choose",palette:b,change:k};var d;$(function(){d=(colorspace.luminance_to_lightness(colorspace.sRGB_to_linear(51))+100)/2});c.get_color_class=_.memoize(function(a){var b,c=[0,0,0],f=1;b=/^#([\da-fA-F]{2})([\da-fA-F]{2})([\da-fA-F]{2})$/.exec(a);if(!b&&(f=17,b=/^#([\da-fA-F])([\da-fA-F])([\da-fA-F])$/.exec(a),
!b))return"";for(a=0;3>a;a+=1)c[a]=colorspace.sRGB_to_linear(f*parseInt(b[a+1],16));return colorspace.luminance_to_lightness(colorspace.rgb_luminance(c))<d?"dark_background":""});return c}();"undefined"!==typeof module&&(module.exports=stream_color);var stream_data=function(){var g={},k,c,a=new Dict,b=new Dict({fold_case:!0}),f={};g.clear_subscriptions=function(){k=new Dict({fold_case:!0});c=new Dict};g.clear_subscriptions();g.is_active=function(b){return a.has(b.stream_id)||b.newly_subscribed};g.rename_sub=function(a,c){var f=a.name;b.set(f,a.stream_id);a.name=c;k.del(f);k.set(c,a)};g.subscribe_myself=function(a){var b=people.my_current_user_id();g.add_subscriber(a.name,b);a.subscribed=!0;a.newly_subscribed=!0};g.unsubscribe_myself=function(a){var b=
people.my_current_user_id();g.remove_subscriber(a.name,b);a.subscribed=!1;a.newly_subscribed=!1};g.add_sub=function(a,b){_.has(b,"subscribers")||(b.subscribers=Dict.from_array([]));k.set(a,b);c.set(b.stream_id,b)};g.get_sub=function(a){return k.get(a)};g.get_sub_by_id=function(a){return c.get(a)};g.get_stream_id=function(a){var c=k.get(a);return c?c.stream_id:b.get(a)};g.get_sub_by_name=function(a){var e=k.get(a);if(e)return e;if(a=b.get(a))return c.get(a)};g.delete_sub=function(a){var b=c.get(a);
b?(c.del(a),k.del(b.name)):blueslip.warn("Failed to delete stream "+a)};g.subscribed_subs=function(){return _.where(k.values(),{subscribed:!0})};g.unsubscribed_subs=function(){return _.where(k.values(),{subscribed:!1})};g.subscribed_streams=function(){return _.pluck(g.subscribed_subs(),"name")};g.invite_streams=function(){var a=g.subscribed_streams(),b=_.pluck(page_params.realm_default_streams,"name");return _.union(a,b)};g.get_colors=function(){return _.pluck(g.subscribed_subs(),"color")};g.update_subscribers_count=
function(a){var b=a.subscribers.num_items();a.subscriber_count=b};g.render_stream_description=function(a){a.description&&(a.rendered_description=marked(a.description).replace("<p>","").replace("</p>",""))};g.update_calculated_fields=function(a){a.is_admin=page_params.is_admin;a.can_make_public=page_params.is_admin&&a.invite_only&&a.subscribed;a.can_make_private=page_params.is_admin&&!a.invite_only;a.preview_url=narrow.by_stream_uri(a.name);g.render_stream_description(a);g.update_subscribers_count(a)};
g.all_subscribed_streams_are_in_home_view=function(){return _.every(g.subscribed_subs(),function(a){return a.in_home_view})};g.home_view_stream_names=function(){var a=_.filter(g.subscribed_subs(),function(a){return a.in_home_view});return _.map(a,function(a){return a.name})};g.canonicalized_name=function(a){return a.toString().toLowerCase()};g.get_color=function(a){a=g.get_sub(a);return void 0===a?stream_color.default_color:a.color};g.in_home_view=function(a){a=g.get_sub_by_id(a);return void 0!==
a&&a.in_home_view};g.name_in_home_view=function(a){a=g.get_sub(a);return void 0!==a&&a.in_home_view};g.notifications_in_home_view=function(){return g.name_in_home_view(page_params.notifications_stream)};g.is_subscribed=function(a){a=g.get_sub(a);return void 0!==a&&a.subscribed};g.id_is_subscribed=function(a){a=c.get(a);return void 0!==a&&a.subscribed};g.get_invite_only=function(a){a=g.get_sub(a);return void 0===a?!1:a.invite_only};g.get_default_status=function(a){return f.hasOwnProperty(a)};g.get_name=
function(a){var b=g.get_sub_by_name(a);return void 0===b?a:b.name};g.set_subscribers=function(a,b){a.subscribers=Dict.from_array(b||[])};g.set_subscriber_emails=function(a,b){_.each(b,function(b){var c=people.get_user_id(b);c?a.subscribers.set(c,!0):blueslip.error("We tried to set invalid subscriber: "+b)})};g.add_subscriber=function(a,b){var c=g.get_sub(a);if("undefined"===typeof c)return blueslip.warn("We got an add_subscriber call for a non-existent stream."),!1;if(void 0===people.get_person_from_user_id(b))return blueslip.error("We tried to add invalid subscriber: "+
b),!1;c.subscribers.set(b,!0);return!0};g.remove_subscriber=function(a,b){var c=g.get_sub(a);if("undefined"===typeof c)return blueslip.warn("We got a remove_subscriber call for a non-existent stream "+a),!1;if(!c.subscribers.has(b))return blueslip.warn("We tried to remove invalid subscriber: "+b),!1;c.subscribers.del(b);return!0};g.user_is_subscribed=function(a,b){var c=g.get_sub(a);if("undefined"===typeof c||!c.subscribed)blueslip.warn("We got a user_is_subscribed call for a non-existent or unsubscribed stream.");
else{var f=people.get_user_id(b);return!f?(blueslip.warn("Bad email passed to user_is_subscribed: "+b),!1):c.subscribers.has(f)}};g.create_streams=function(a){_.each(a,function(a){var b=_.defaults(a,{subscribers:[],subscribed:!1});g.create_sub_from_server_data(a.name,b)})};g.create_sub_from_server_data=function(a,b){var c=g.get_sub(a);if(void 0!==c)return c;if(b.stream_id){var f=b.subscribers,c=_.omit(b,"subscribers"),c=_.defaults(c,{name:a,render_subscribers:!page_params.realm_is_zephyr_mirror_realm||
!0===b.invite_only,subscribed:!0,newly_subscribed:!1,in_home_view:!0,invite_only:!1,desktop_notifications:page_params.enable_stream_desktop_notifications,audible_notifications:page_params.enable_stream_sounds,description:""});g.set_subscribers(c,f);c.color||(f=g.get_colors(),c.color=stream_color.pick_color(f));g.add_sub(a,c);return c}blueslip.fatal("We cannot create a sub without a stream_id")};g.receives_desktop_notifications=function(a){a=g.get_sub(a);return void 0===a?!1:a.desktop_notifications};
g.receives_audible_notifications=function(a){a=g.get_sub(a);return void 0===a?!1:a.audible_notifications};g.process_message_for_recent_topics=function(b,c){var f=0,l=0,k=b.stream_id,r=g.canonicalized_name(b.subject),q=a.get(k)||[],q=_.filter(q,function(a){var b=a.canon_subject.toLowerCase()===r.toLowerCase();b&&(f=a.timestamp,l=a.count);return!b}),l=void 0!==c?l-1:l+1;0!==l&&q.push({subject:b.subject,canon_subject:r,count:l,timestamp:Math.max(b.timestamp,f)});q.sort(function(a,b){return b.timestamp-
a.timestamp});a.set(k,q)};g.get_streams_for_settings_page=function(){function a(b,c){return util.strcmp(b.name,c.name)}var b=g.subscribed_subs(),c=g.unsubscribed_subs();b.sort(a);c.sort(a);b=c.concat(b);_.each(b,function(a){g.update_calculated_fields(a)});return b};g.initialize_from_page_params=function(){function a(b,c){b.forEach(function(a){var b=a.name;a.subscribed=c;g.create_sub_from_server_data(b,a)})}page_params.realm_default_streams.forEach(function(a){f[a.name]=!0});a(page_params.subscriptions,
!0);a(page_params.unsubscribed,!1);a(page_params.never_subscribed,!1);page_params.notifications_stream=-1!==page_params.realm_notifications_stream_id?g.get_sub_by_id(page_params.realm_notifications_stream_id).name:"";delete page_params.subscriptions;delete page_params.unsubscribed;delete page_params.never_subscribed};g.get_recent_topics_for_id=function(b){return a.get(b)};g.get_recent_topics=function(b){b=g.get_stream_id(b);return!b?[]:a.get(b)};g.populate_stream_topics_for_tests=function(b){a=Dict.from(b)};
g.get_newbie_stream=function(){if(g.is_subscribed("new members"))return"new members";if(g.notifications_in_home_view())return page_params.notifications_stream};g.remove_default_stream=function(a){page_params.realm_default_streams=_.reject(page_params.realm_default_streams,function(b){return b.stream_id===a})};return g}();"undefined"!==typeof module&&(module.exports=stream_data);var stream_muting=function(){return{update_in_home_view:function(g,k){g.in_home_view=k;setTimeout(function(){var c,a;overlays.is_active()?a=message_viewport.scrollTop():home_msg_list===current_msg_list&&null!==current_msg_list.selected_row().offset()&&(c=current_msg_list.selected_row().offset().top);home_msg_list.clear({clear_selected_id:!1});message_util.add_messages(message_list.all.all_messages(),home_msg_list);overlays.is_active()?message_viewport.scrollTop(a):home_msg_list===current_msg_list&&
(home_msg_list.select_id(home_msg_list.selected_id(),{use_closest:!0,empty_ok:!0}),-1!==current_msg_list.selected_id()&&message_viewport.set_message_offset(c));pointer.recenter_pointer_on_display=!0;pointer.suppress_scroll_pointer_update=!0;home_msg_list.empty()||message_util.do_unread_count_updates(home_msg_list.all_messages())},0);stream_list.set_in_home_view(g.stream_id,g.in_home_view);$(".subscription_settings[data-stream-id='"+g.stream_id+"'] #sub_setting_not_in_home_view .sub_setting_control").prop("checked",
!k)}}}();"undefined"!==typeof module&&(module.exports=stream_muting);var stream_events=function(){return{update_property:function(g,k,c){var a=stream_data.get_sub_by_id(g);if(void 0===a)blueslip.warn("Update for an unknown subscription",{stream_id:g,property:k,value:c});else switch(k){case "color":stream_color.update_stream_color(a,c,{update_historical:!0});break;case "in_home_view":stream_muting.update_in_home_view(a,c);break;case "desktop_notifications":$(".subscription_settings[data-stream-id='"+a.stream_id+"'] #sub_desktop_notifications_setting .sub_setting_control").prop("checked",
c);a.desktop_notifications=c;break;case "audible_notifications":$(".subscription_settings[data-stream-id='"+a.stream_id+"'] #sub_audible_notifications_setting .sub_setting_control").prop("checked",c);a.audible_notifications=c;break;case "name":subs.update_stream_name(a,c);break;case "description":subs.update_stream_description(a,c);break;case "email_address":a.email_address=c;break;case "pin_to_top":$("#pinstream-"+a.stream_id).prop("checked",c);a.pin_to_top=c;stream_list.refresh_pinned_or_unpinned_stream(a);
break;default:blueslip.warn("Unexpected subscription property type",{property:k,value:c})}},mark_subscribed:function(g,k,c){void 0===g?blueslip.error("Undefined sub passed to mark_subscribed"):g.subscribed||(void 0!==c?g.color=c:void 0===g.color&&(blueslip.warn("Frontend needed to pick a color in mark_subscribed"),c=stream_data.get_colors(),c=stream_color.pick_color(c),subs.set_color(g.stream_id,c)),stream_data.subscribe_myself(g),k&&stream_data.set_subscriber_emails(g,k),subs.update_settings_for_subscribed(g),
narrow_state.is_for_stream_id(g.stream_id)&&current_msg_list.update_trailing_bookend(),message_util.do_unread_count_updates(message_list.all.all_messages()),$(document).trigger($.Event("subscription_add_done.zulip",{sub:g})))},mark_unsubscribed:function(g){void 0!==g&&g.subscribed&&(stream_data.unsubscribe_myself(g),subs.update_settings_for_unsubscribed(g),narrow_state.is_for_stream_id(g.stream_id)&&current_msg_list.update_trailing_bookend(),$(document).trigger($.Event("subscription_remove_done.zulip",
{sub:g})))}}}();"undefined"!==typeof module&&(module.exports=stream_events);var stream_create=function(){function g(a,c,e,h,g){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a,description:c}]),principals:JSON.stringify(e),invite_only:JSON.stringify(h),announce:JSON.stringify(g)},success:function(){$("#create_stream_name").val("");$("#create_stream_description").val("");$("#subscriptions-status").hide()},error:function(c){0<=JSON.parse(c.responseText).msg.indexOf("access")&&(b.report_already_exists(a),b.select());ui_report.error(i18n.t("Error creating stream"),
c,$("#subscriptions-status"),"subscriptions-status")}})}function k(){if(page_params.notifications_stream){var a=$("#announce-new-stream input"),b=!1;"invite-only"===$("input:radio[name=privacy]:checked").val()?(b=!0,a.prop("checked",!1)):b=$("#user-checkboxes input").length===$("#user-checkboxes input:checked").length;a.prop("disabled",b);$("#announce-new-stream").show()}else $("#announce-new-stream").hide()}var c={},a;c.reset_created_stream=function(){a=void 0};c.set_name=function(b){a=b};c.get_name=
function(){return a};var b=function(){var a={report_already_exists:function(){$("#stream_name_error").text(i18n.t("A stream with this name already exists"));$("#stream_name_error").show()},clear_errors:function(){$("#stream_name_error").hide()},report_empty_stream:function(){$("#stream_name_error").text(i18n.t("A stream needs to have a name"));$("#stream_name_error").show()},select:function(){$("#create_stream_name").focus().select()},pre_validate:function(b){b&&stream_data.get_sub(b)?a.report_already_exists():
a.clear_errors()},validate_for_submit:function(b){return!b?(a.report_empty_stream(),a.select(),!1):stream_data.get_sub(b)?(a.report_already_exists(),a.select(),!1):!0}};return a}();c.new_stream_clicked=function(a){$(".display-type #add_new_stream_title").show();$(".display-type #stream_settings_title").hide();$(".stream-row.active").removeClass("active");$("#stream_settings_title, .subscriptions-container .settings, .nothing-selected").hide();$("#stream-creation, #add_new_stream_title").show();""!==
a&&$("#create_stream_name").val(a);c.show_new_stream_modal();700<window.innerWidth&&$("#create_stream_name").focus();window.location.hash="#streams/new"};c.show_new_stream_modal=function(){$("#stream-creation").removeClass("hide");$(".right .settings").hide();$("#people_to_add").html(templates.render("new_stream_users",{users:people.get_rest_of_realm(),streams:stream_data.get_streams_for_settings_page()}));$("#make-invite-only input:radio[value=public]").prop("checked",!0);page_params.notifications_stream?
($("#announce-new-stream").show(),$("#announce-new-stream input").prop("disabled",!1),$("#announce-new-stream input").prop("checked",!0)):$("#announce-new-stream").hide();b.clear_errors();$("#stream-checkboxes label.checkbox").on("change",function(a){var b=$(this),c=b.attr("data-stream-id"),h=b.find("input").prop("checked"),g=stream_data.get_sub_by_id(c).subscribers;$("#user-checkboxes label.checkbox").each(function(){var a=$(this),b=a.attr("data-user-id");g.has(b)&&a.find("input").prop("checked",
h)});k();a.preventDefault()})};$(function(){$("body").on("change","#user-checkboxes input, #make-invite-only input",k);$(document).on("click",".subs_set_all_users",function(a){$("#user-checkboxes .checkbox").each(function(a,b){"none"!==b.style.display&&$(b.firstElementChild).prop("checked",!0)});a.preventDefault();k()});$(document).on("click",".subs_unset_all_users",function(a){$("#user-checkboxes .checkbox").each(function(a,b){"none"!==b.style.display&&$(b.firstElementChild).prop("checked",!1)});
a.preventDefault();k()});$(document).on("click","#copy-from-stream-expand-collapse",function(a){$("#stream-checkboxes").toggle();$("#copy-from-stream-expand-collapse .toggle").toggleClass("icon-vector-caret-right icon-vector-caret-down");a.preventDefault();k()});$(document).on("input",".add-user-list-filter",function(a){var b=$(".add-user-list-filter");if(0!==b){var c=b.expectOne().val().trim(),h=c.toLowerCase().split(",");(function(){var a=$("#user-checkboxes label.add-user-label");if(""===c)a.css({display:"block"});
else{var b=people.get_rest_of_realm(),d=people.filter_people_by_search_terms(b,h);a.each(function(){var a=$(this),b=a.attr("data-user-id"),b=d.has(b)?"block":"none";a.css({display:b})})}})();k();a.preventDefault()}});$(".subscriptions").on("submit","#stream_creation_form",function(c){c.preventDefault();c=$.trim($("#create_stream_name").val());var d=$.trim($("#create_stream_description").val());if(b.validate_for_submit(c)){var e=_.map($("#stream_creation_form input:checkbox[name=user]:checked"),function(a){return $(a).val()});
e.push(people.my_current_email());a=c;var h=!!page_params.notifications_stream&&$("#announce-new-stream input").prop("checked");g(c,d,e,"invite-only"===$("#stream_creation_form input[name=privacy]:checked").val(),h)}});$(".subscriptions").on("input","#create_stream_name",function(){var a=$.trim($("#create_stream_name").val());b.pre_validate(a)});$("body").on("mouseover","#announce-stream-docs",function(a){var b=$("#announce-stream-docs");b.popover({placement:"right",content:templates.render("announce_stream_docs"),
trigger:"manual"});b.popover("show");b.data("popover").tip().css("z-index",2E3);a.stopPropagation()});$("body").on("mouseout","#announce-stream-docs",function(a){$("#announce-stream-docs").popover("hide");a.stopPropagation()})});return c}();"undefined"!==typeof module&&(module.exports=stream_create);var stream_edit=function(){function g(a,b){subs.change_state.prevent_once();window.location.hash="#streams/"+b+"/"+hash_util.encodeHashComponent(a.name)}function k(a){a=parseInt(a.stream_id,10);return $("#subscription_overlay .subscription_settings[data-stream-id='"+a+"']")}function c(a){var b=people.get_by_email(a);return templates.render("stream_member_list_entry",{name:b.full_name,email:a,displaying_for_admin:page_params.is_admin})}function a(a){a=a.data("stream-id");return $('.subscription_settings[data-stream-id="'+
a+'"] .subscriber-list')}function b(a){a.constructor!==jQuery&&(a=$(a));return a.closest(".stream-row, .subscription_settings").attr("data-stream-id")}function f(a){if(a=b(a)){var c=stream_data.get_sub_by_id(a);if(c)return c;blueslip.error("get_sub_for_target() failed id lookup: "+a)}else blueslip.error("Cannot find stream id for target")}function d(b){b=b.data("stream-id");var d=stream_data.get_sub_by_id(b),e=k(d),f=e.find(".subscriber_list_container").find(".alert-warning, .alert-error"),h=e.find(".colorpicker"),
g=stream_data.get_color(d.name);stream_color.set_colorpicker_color(h,g);if(d.render_subscribers){h=a(e);f.addClass("hide");h.empty();var l=[];d.subscribers.each(function(a,b){var c=people.get_person_from_user_id(b).email;l.push(c)});list_render(h,l.sort(),{name:"stream_subscribers/"+b,modifier:function(a){return c(a)},filter:{element:$("[data-stream-id='"+b+"'] .search"),callback:function(a,b){var c=people.get_by_email(a);if(c){var d=c.email.toLocaleLowerCase(),c=c.full_name.toLowerCase();return-1<
d.indexOf(b)||-1<c.indexOf(b)}}}}).init();e.find('input[name="principal"]').typeahead({source:people.get_realm_persons,items:5,highlighter:function(a){a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(this.query,a)},matcher:function(a){var b=$.trim(this.query.toLowerCase());return""===b||b===a.email?!1:-1!==a.email.toLowerCase().indexOf(b)||-1!==a.full_name.toLowerCase().indexOf(b)},sorter:function(a){var b=compose_state.stream_name();return typeahead_helper.sort_recipientbox_typeahead(this.query,
a,b)},updater:function(a){return a.email}})}}function e(a){if(a=f(a.target)){var b=k(a),c=b.find(".sub_notification_setting");subs.toggle_home(a);a.in_home_view?(b.find(".mute-note").addClass("hide-mute-note"),c.removeClass("muted-sub"),c.find("input[type='checkbox']").removeAttr("disabled")):(b.find(".mute-note").removeClass("hide-mute-note"),c.addClass("muted-sub"),c.find("input[type='checkbox']").attr("disabled",!0))}else blueslip.error("stream_home_view_clicked() fails")}function h(a,b){_.each(stream_data.subscribed_subs(),
function(c){c[a]!==b&&p.set_stream_property(c,a,b)})}function l(a){a.stopPropagation();var b=$(a.target).data("stream-id"),c=stream_data.get_sub_by_id(b);$("#subscriptions-status").hide();channel.patch({url:"/json/streams/"+b,data:{stream_name:c.name,is_private:!c.invite_only},success:function(){c=stream_data.get_sub_by_id(b);var a=$(".stream-row[data-stream-id='"+b+"']");c.invite_only=!c.invite_only;var d=c,e=k(d),f;stream_data.update_calculated_fields(d);f=templates.render("subscription_setting_icon",
d);a.find(".icon").expectOne().replaceWith($(f));f=templates.render("subscription_type",d);e.find(".subscription-type-text").expectOne().html(f);d.invite_only?e.find(".large-icon").removeClass("hash").addClass("lock").html("<i class='icon-vector-lock'></i>"):e.find(".large-icon").addClass("hash").removeClass("lock").html("");stream_list.redraw_stream_privacy(d.name);$("#stream_privacy_modal").remove()},error:function(){$("#change-stream-privacy-button").text(i18n.t("Try again"))}})}function m(a){a=
f(a.target);a.desktop_notifications=!a.desktop_notifications;p.set_stream_property(a,"desktop_notifications",a.desktop_notifications)}function r(a){a=f(a.target);a.audible_notifications=!a.audible_notifications;p.set_stream_property(a,"audible_notifications",a.audible_notifications)}function q(a){(a=f(a.target))?subs.toggle_pin_to_top_stream(a):blueslip.error("stream_pin_clicked() fails")}var p={collapse:function(a){a=k(a);a.hasClass("in")&&a.collapse("hide");a.closest(".stream-row").find(".regular_subscription_settings").removeClass("in")},
show_sub:function(a){k(a).closest(".stream-row").find(".regular_subscription_settings").addClass("in")},add_me_to_member_list:function(a){var b=k(a);a.render_subscribers&&b.hasClass("in")&&p.prepend_subscriber(b,people.my_current_email())},show_stream_row:function(a,b){$(".display-type #add_new_stream_title").hide();$(".display-type #stream_settings_title, .right .settings").show();$(".stream-row.active").removeClass("active");b?(subs.show_subs_pane.settings(),$(a).addClass("active"),stream_edit.show_settings_for(a)):
subs.show_subs_pane.nothing_selected()},update_stream_name:function(a,b){var c=k(a);c.find(".email-address").text(a.email_address);c.find(".stream-name-editable").text(b)},update_stream_description:function(a){var b=k(a);b.find("input.description").val(a.description);b.find(".stream-description-editable").html(a.rendered_description)},prepend_subscriber:function(b,d){a(b).prepend(c(d))},invite_user_to_stream:function(a,b,c,d){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:b.name}]),
principals:JSON.stringify([a])},success:c,error:d})},remove_user_from_stream:function(a,b,c,d){return channel.del({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([b.name]),principals:JSON.stringify([a])},success:c,error:d})},show_settings_for:function(a){a=b(a);a=stream_data.get_sub_by_id(a);stream_data.update_calculated_fields(a);var c=templates.render("subscription_settings",a);$(".subscriptions .right .settings").html(c);a=k(a);$(".nothing-selected").hide();a.addClass("show");
d(a)},set_stream_property:function(a,b,c){return channel.post({url:"/json/users/me/subscriptions/properties",data:{subscription_data:JSON.stringify([{stream_id:a.stream_id,property:b,value:c}])},timeout:1E4})},set_all_stream_desktop_notifications_to:function(a){h("desktop_notifications",a)},set_all_stream_audible_notifications_to:function(a){h("audible_notifications",a)},change_stream_name:function(a){a.preventDefault();var b=$(a.target).closest(".subscription_settings");a=$(a.target).closest(".subscription_settings").attr("data-stream-id");
var c=b.find(".stream-name-editable"),b=$.trim(c.text());$("#subscriptions-status").hide();channel.patch({url:"/json/streams/"+a,data:{new_name:JSON.stringify(b)},success:function(){c.val("");ui_report.success(i18n.t("The stream has been renamed!"),$("#subscriptions-status "),"subscriptions-status")},error:function(a){ui_report.error(i18n.t("Error renaming stream"),a,$("#subscriptions-status"),"subscriptions-status")}})},change_stream_description:function(a){a.preventDefault();a=$(a.target).closest(".subscription_settings");
var b=f(a);b?(b=b.stream_id,a=a.find(".stream-description-editable").text().trim(),$("#subscriptions-status").hide(),channel.patch({url:"/json/streams/"+b,data:{description:JSON.stringify(a)},success:function(){ui_report.success(i18n.t("The stream description has been updated!"),$("#subscriptions-status"),"subscriptions-status")},error:function(a){ui_report.error(i18n.t("Error updating the stream description"),a,$("#subscriptions-status"),"subscriptions-status")}})):blueslip.error("change_stream_description() fails")}};
$(function(){$("#zfilt").on("click",".stream_sub_unsub_button",function(a){a.preventDefault();a.stopPropagation();a=narrow_state.stream();void 0!==a&&(a=stream_data.get_sub(a),subs.sub_or_unsub(a))});$("#subscriptions_table").on("click",".change-stream-privacy",function(a){a=b(a.target);a={is_private:stream_data.get_sub_by_id(a).can_make_public,stream_id:a};a=templates.render("subscription_stream_privacy_modal",a);$("#subscriptions_table").append(a);$("#change-stream-privacy-button").click(function(a){l(a)})});
$("#subscriptions_table").on("click",".close-privacy-modal",function(){$("#stream_privacy_modal").remove()});$("#subscriptions_table").on("click","#sub_setting_not_in_home_view",e);$("#subscriptions_table").on("click","#sub_desktop_notifications_setting",m);$("#subscriptions_table").on("click","#sub_audible_notifications_setting",r);$("#subscriptions_table").on("click","#sub_pin_setting",q);$("#subscriptions_table").on("submit",".subscriber_list_add form",function(a){function b(a){e.val("");a.subscribed.hasOwnProperty(h)?
(g.addClass("hide"),k.addClass("hide"),people.is_current_user(h)&&stream_events.mark_subscribed(d)):(g.addClass("hide"),k.removeClass("hide").text(i18n.t("User already subscribed")))}function c(){k.addClass("hide");g.removeClass("hide").text(i18n.t("Could not add user to this stream"))}a.preventDefault();a=$(a.target).closest(".subscription_settings");var d=f(a);if(d){var e=a.find('input[name="principal"]'),h=$.trim(e.val()),g=a.find(".subscriber_list_container .alert-error"),k=a.find(".subscriber_list_container .alert-warning");
p.invite_user_to_stream(h,d,b,c)}else blueslip.error(".subscriber_list_add form submit fails")});$("#subscriptions_table").on("submit",".subscriber_list_remove form",function(a){function b(a){0<a.removed.length?(g.addClass("hide"),k.addClass("hide"),d.remove(),people.is_current_user(e)&&stream_events.mark_unsubscribed(h)):(g.addClass("hide"),k.removeClass("hide").text(i18n.t("User is already not subscribed")))}function c(){k.addClass("hide");g.removeClass("hide").text(i18n.t("Error removing user from this stream"))}
a.preventDefault();var d=$(a.target).closest("tr"),e=d.children(".subscriber-email").text();a=$(a.target).closest(".subscription_settings");var h=f(a);if(h){var g=a.find(".subscriber_list_container .alert-error"),k=a.find(".subscriber_list_container .alert-warning");p.remove_user_from_stream(e,h,b,c)}else blueslip.error(".subscriber_list_remove form submit fails")});$("#subscriptions_table").on("click",".sub_unsub_button",function(a){var b=f(a.target),c=$(this).parent(),d=c.attr("data-stream-id");
subs.sub_or_unsub(b);var e=k(b).find(".regular_subscription_settings");b.subscribed?e.removeClass("in"):(e.addClass("in"),p.show_stream_row(c,!0));g(b,d);a.preventDefault();a.stopPropagation()});$("#subscriptions_table").on("click",".stream-row",function(a){if(0===$(a.target).closest(".check, .subscription_settings").length){p.show_stream_row(this,!0);a=$(this).attr("data-stream-id");var b=stream_data.get_sub_by_id(a);g(b,a)}});$(document).on("peer_subscribe.zulip",function(a,b){var c=stream_data.get_sub(b.stream_name),
c=k(c);p.prepend_subscriber(c,b.user_email)});$(document).on("peer_unsubscribe.zulip",function(a,b){var c=stream_data.get_sub(b.stream_name);k(c).find("tr[data-subscriber-email='"+b.user_email+"']").remove()})});return p}();"undefined"!==typeof module&&(module.exports=stream_edit);var subs=function(){function g(a){a=parseInt(a.stream_id,10);return $(".stream-row[data-stream-id='"+a+"'] .check")}function k(a){return $(".stream-row[data-stream-id='"+a+"']")}function c(a){a=parseInt(a.stream_id,10);return $(".subscription_settings[data-stream-id='"+a+"'] .subscribe-button")}function a(a){if(a=a.attr("data-stream-id")){var b=stream_data.get_sub_by_id(a);return{id:a,object:b}}}function b(){var a=$("div.stream-row.active"),b=a.attr("data-stream-id"),c=$(".subscriptions-container").find("div.ind-tab.selected");
return{row:a,id:b,tab:c}}function f(a){a={base:a.shift(),arguments:a};n.change_state(a)}function d(a,b){var c="#email-address-hint-"+a.stream_id,d=$(c);d.popover({placement:"bottom",title:"Email integration",content:b,trigger:"manual"});$("body").on("mouseover",c,function(a){d.popover("show");a.stopPropagation()});$("body").on("mouseout",c,function(a){d.popover("hide");a.stopPropagation()})}function e(){$("[data-temp-view]").removeAttr("data-temp-view","false")}function h(a,b,c){var d=a.input.toLowerCase().split(",").map(function(a){return a.trim()}),
e;return e=(e=function(){var a=b[c].toLowerCase();return _.any(d,function(b){if(-1!==a.indexOf(b))return!0})}())&&(b.subscribed||!a.subscribed_only||"true"===b.data_temp_view)}function l(){var a=$("#add_new_subscription input[type='text']").expectOne().val().trim(),b;b=components.toggle.lookup("stream-filter-toggle")?"Subscribed"===components.toggle.lookup("stream-filter-toggle").value():!1;n.filter_table({input:a,subscribed_only:b})}function m(a){var b;return channel.post({url:"/json/users/me/subscriptions",
data:{subscriptions:JSON.stringify([{name:a}])},success:function(a,c,d){overlays.streams_open()&&($("#create_stream_name").val(""),l());a=JSON.parse(d.responseText);$.isEmptyObject(a.already_subscribed)||(b=a.already_subscribed[people.my_current_email()][0],ui_report.success(i18n.t("Already subscribed to __stream__",{stream:b}),$("#subscriptions-status"),"subscriptions-status"))},error:function(a){ui_report.error(i18n.t("Error adding subscription"),a,$("#subscriptions-status"),"subscriptions-status")}})}
function r(a){return channel.del({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([a.name])},success:function(){$("#subscriptions-status").hide()},error:function(a){ui_report.error(i18n.t("Error removing subscription"),a,$("#subscriptions-status"),"subscriptions-status")}})}function q(){var a=narrow_state.stream();void 0!==a&&void 0===stream_data.get_sub(a)&&$("#create_stream_name").val(a)}var p={},n={show_subs_pane:{nothing_selected:function(){$(".nothing-selected, #stream_settings_title").show();
$("#add_new_stream_title, .settings, #stream-creation").hide()},settings:function(){$(".settings, #stream_settings_title").show();$("#add_new_stream_title, #stream-creation, .nothing-selected").hide()}},toggle_home:function(a){stream_muting.update_in_home_view(a,!a.in_home_view);stream_edit.set_stream_property(a,"in_home_view",a.in_home_view)},toggle_pin_to_top_stream:function(a){stream_edit.set_stream_property(a,"pin_to_top",!a.pin_to_top)},update_stream_name:function(a,b){stream_data.rename_sub(a,
b);var c=a.stream_id;stream_list.rename_stream(a,b);stream_edit.update_stream_name(a,b);$(".stream-row[data-stream-id='"+c+"']").find(".stream-name").text(b);message_live_update.update_stream_name(c,b)},update_stream_description:function(a,b){a.description=b;var c=$(".stream-row[data-stream-id="+a.stream_id+"]");stream_data.render_stream_description(a);c.find(".description").html(a.rendered_description);stream_edit.update_stream_description(a)},set_color:function(a,b){var c=stream_data.get_sub_by_id(a);
stream_edit.set_stream_property(c,"color",b)},rerender_subscribers_count:function(a){var b=parseInt(a.stream_id,10);stream_data.update_subscribers_count(a);$(".stream-row[data-stream-id='"+b+"'] .subscriber-count-text").text(a.subscriber_count)},remove_stream:function(a){k(a).remove()},update_settings_for_subscribed:function(a){var b=g(a),e=c(a).removeClass("unsubscribed");0!==b.length?(n.rerender_subscribers_count(a),b.toggleClass("checked"),e.text(i18n.t("Unsubscribe")),stream_edit.add_me_to_member_list(a)):
(stream_data.update_calculated_fields(a),b=templates.render("subscription",a),e=templates.render("subscription_settings",a),stream_create.get_name()===a.name?$(".streams-list").prepend(b).scrollTop(0):$(".streams-list").append(b),$(".subscriptions .settings").append($(e)),b=templates.render("email_address_hint",{page_params:page_params}),d(a,b),stream_create.get_name()===a.name&&(b=stream_create.get_name(),$(".stream-row[data-stream-id='"+stream_data.get_sub(b).stream_id+"']").click(),stream_create.reset_created_stream()));
stream_edit.show_sub(a)},update_settings_for_unsubscribed:function(a){var b=g(a),d=c(a).addClass("unsubscribed");b.toggleClass("checked");d.text(i18n.t("Subscribe"));n.rerender_subscribers_count(a);stream_edit.collapse(a);k(subs.stream_id).attr("data-temp-view",!0)}};n.remove_miscategorized_streams=e;n.stream_name_match_stream_ids=[];n.stream_description_match_stream_ids=[];n.filter_table=function(a){function b(a,c){var e=d[a].toLocaleLowerCase(),f=d[c].toLocaleLowerCase();return String.prototype.localeCompare.call(e,
f)}n.stream_name_match_stream_ids=[];n.stream_description_match_stream_ids=[];var c=[],d={},e={};_.each($("#subscriptions_table .stream-row"),function(b){var f=stream_data.get_sub_by_id($(b).attr("data-stream-id"));f.data_temp_view=$(b).attr("data-temp-view");h(a,f,"name")?($(b).removeClass("notdisplayed"),d[f.stream_id]=f.name,n.stream_name_match_stream_ids.push(f.stream_id),e[f.stream_id]=$(b).detach()):h(a,f,"description")?($(b).removeClass("notdisplayed"),d[f.stream_id]=f.name,n.stream_description_match_stream_ids.push(f.stream_id),
e[f.stream_id]=$(b).detach()):($(b).addClass("notdisplayed"),c.push($(b).detach()))});n.stream_name_match_stream_ids.sort(b);n.stream_description_match_stream_ids.sort(b);_.each(n.stream_name_match_stream_ids,function(a){$("#subscriptions_table .streams-list").append(e[a])});_.each(n.stream_description_match_stream_ids,function(a){$("#subscriptions_table .streams-list").append(e[a])});$("#subscriptions_table .streams-list").append(c);$(".stream-row.active").hasClass("notdisplayed")&&($(".right .settings").hide(),
$(".nothing-selected").show(),$(".stream-row.active").removeClass("active"))};var t=_.throttle(l,50);n.setup_page=function(a){function b(){var a=components.toggle({name:"stream-filter-toggle",selected:0,values:[{label:i18n.t("Subscribed")},{label:i18n.t("All streams")}],callback:function(){l();e()}}).get();page_params.realm_is_zephyr_mirror_realm||$("#subscriptions_table .search-container").prepend(a);$(".display-type #stream_settings_title").show()}function c(){var f=stream_data.get_streams_for_settings_page();
$("#subscriptions_table").empty();var h=templates.render("subscription_table_body",{can_create_streams:page_params.can_create_streams,subscriptions:f,hide_all_streams:!!page_params.realm_is_zephyr_mirror_realm});$("#subscriptions_table").append(h);b();l();var g=templates.render("email_address_hint",{page_params:page_params});_.each(f,function(a){d(a,g)});$("#add_new_subscription input[type='text']").on("input",function(){e();t()});$(document).trigger($.Event("subs_page_loaded.zulip"));a&&(a(),n.onlaunchtrigger())}
(function(){i18n.ensure_i18n(function(){c()})})();page_params.realm_is_zephyr_mirror_realm&&$("#create_stream_button").val(i18n.t("Subscribe"))};n.onlaunch=function(a,b,c){p[a]={func:b,keep:c}};n.onlaunchtrigger=function(){for(var a in p)"function"===typeof p[a].func&&(p[a].func(),p[a].keep||delete p[a])};n.change_state=function(){var a=!1,b=function(b){a?a=!1:0<b.arguments.length&&("new"===b.arguments[0]?(n.new_stream_clicked(),components.toggle.lookup("stream-filter-toggle").goto("All streams")):
"all"===b.arguments[0]?components.toggle.lookup("stream-filter-toggle").goto("All streams"):"subscribed"===b.arguments[0]?components.toggle.lookup("stream-filter-toggle").goto("Subscribed"):/\d+/.test(b.arguments[0])&&(b=$(".stream-row[data-stream-id='"+b.arguments[0]+"']").click()[0].offsetTop,$(".streams-list").animate({scrollTop:b},200)))};b.prevent_once=function(){a=!0};return b}();n.launch=function(a){n.setup_page(function(){overlays.open_overlay({name:"subscriptions",overlay:$("#subscription_overlay"),
on_close:n.close});n.change_state(a)});b().id||$("#search_stream_name").focus()};n.close=function(){hashchange.exit_overlay();subs.remove_miscategorized_streams()};n.switch_rows=function(c){var d=b(),e;if("#streams/new"===window.location.hash)return!1;if(!d.id||d.row.hasClass("notdisplayed"))e=$("div.stream-row:not(.notdisplayed):first"),$("#search_stream_name").is(":focus")&&$("#search_stream_name").blur();else if("up_arrow"===c?e=d.row.prevAll().not(".notdisplayed").first():"down_arrow"===c&&(e=
d.row.nextAll().not(".notdisplayed").first()),$("#search_stream_name").is(":focus"))return $("#search_stream_name").blur();(d=a(e))?f(["#streams",d.id,d.object.name]):"up_arrow"===c&&!d&&$("#search_stream_name").focus();return!0};n.keyboard_sub=function(){var c=b(),d=a(c.row);d&&(subs.sub_or_unsub(d.object),d.object.subscribed&&"Subscribed"===c.tab.text()&&(c.row.addClass("notdisplayed"),c.row.removeClass("active")))};n.toggle_view=function(a){var c=b();"right_arrow"===a&&"Subscribed"===c.tab.text()?
(a=["#streams","all"],f(a)):"left_arrow"===a&&"All streams"===c.tab.text()&&(a=["#streams","subscribed"],f(a))};n.view_stream=function(){var c=b();if(c=a(c.row))window.location.hash="#narrow/stream/"+c.object.name};n.new_stream_clicked=function(){var a=$.trim($("#search_stream_name").val());page_params.realm_is_zephyr_mirror_realm?(stream_create.set_name(a),m($("#search_stream_name").val())):stream_create.new_stream_clicked(a)};n.sub_or_unsub=function(a){a.subscribed?r(a):m(a.name)};$(function(){stream_data.initialize_from_page_params();
stream_list.create_initial_sidebar_rows();stream_list.build_stream_list();$("#subscriptions_table").on("click","#create_stream_button",function(a){a.preventDefault();n.new_stream_clicked()});$(".subscriptions").on("click","[data-dismiss]",function(a){a.preventDefault();0!==a.clientY&&n.show_subs_pane.nothing_selected()});$("body").on("mouseover",".subscribed-button",function(a){$(a.target).addClass("btn-danger").text(i18n.t("Unsubscribe"))}).on("mouseout",".subscribed-button",function(a){$(a.target).removeClass("btn-danger").text(i18n.t("Subscribed"))});
$(".subscriptions").on("click","#close-subscriptions-status",function(){$("#subscriptions-status").hide()});$("#subscriptions_table").on("click",".email-address",function(){var a,b;window.getSelection?(b=window.getSelection(),a=document.createRange(),a.selectNodeContents(this),b.removeAllRanges(),b.addRange(a)):document.body.createTextRange&&(a=document.body.createTextRange(),a.moveToElementText(this),a.select())});$(".empty_feed_sub_unsub").click(function(a){a.preventDefault();$("#subscription-status").hide();
a=narrow_state.stream();void 0!==a&&(a=stream_data.get_sub(a),n.sub_or_unsub(a),$(".empty_feed_notice").hide(),$("#empty_narrow_message").show())});$("#subscriptions_table").on("click",".stream-row, #create_stream_button",function(){$(".right").addClass("show");$(".subscriptions-header").addClass("slide-left")});$("#subscriptions_table").on("click",".icon-vector-chevron-left",function(){$(".right").removeClass("show");$(".subscriptions-header").removeClass("slide-left")});$("#subscriptions_table").on("click",
".sub_setting_checkbox",function(a){var b=$(a.target).closest(".sub_setting_checkbox").find(".sub_setting_control");b[0]!==a.target&&b.prop("checked",!b.prop("checked"))});(function(){$("#subscriptions_table").on("click",".search-container, .streams-list, .subscriptions-header",function(a){$(a.target).is(".search-container, .streams-list, .subscriptions-header")&&stream_edit.show_stream_row(this,!1)})})();$("#subscriptions_table").on("hide",".subscription_settings",function(a){a=$(a.target).closest(".stream-row").find(".sub_arrow i");
a.removeClass("icon-vector-chevron-up");a.addClass("icon-vector-chevron-down")});$(document).on("peer_subscribe.zulip",function(a,b){var c=stream_data.get_sub(b.stream_name);n.rerender_subscribers_count(c)});$(document).on("peer_unsubscribe.zulip",function(a,b){var c=stream_data.get_sub(b.stream_name);n.rerender_subscribers_count(c)})});n.show_and_focus_on_narrow=function(){$(document).one("subs_page_loaded.zulip",q);ui_util.change_tab_to("#streams")};return n}();
"undefined"!==typeof module&&(module.exports=subs);var message_edit=function(){function g(a,b){b=b||0;if(!a||!a.sent_by_me)return e.NO;if(a.failed_request)return e.FULL;if(void 0!==a.local_id||!page_params.realm_allow_message_editing)return e.NO;if(0===page_params.realm_message_content_edit_limit_seconds)return e.FULL;var c=new XDate;return 0<page_params.realm_message_content_edit_limit_seconds+b+c.diffSeconds(1E3*a.timestamp)?e.FULL:"stream"===a.type?e.TOPIC_ONLY:e.NO_LONGER}function k(a,b){var c;c=b.keyCode||b.which;if($(b.target).hasClass("message_edit_content")&&
13===c&&(b.metaKey||b.ctrlKey))c=$(".message_edit_content").filter(":focus").closest(".message_row");else if("message_edit_topic"===b.target.id&&13===c)c=$(b.target).closest(".message_row");else if("inline_topic_edit"===b.target.id&&13===c)c=$(b.target).closest(".recipient_row");else return;b.stopPropagation();b.preventDefault();message_edit.save(c,a)}function c(a){var b=Math.floor(a/60),c=a%60;return 1<=b?i18n.t("__minutes__ min to edit",{minutes:b.toString()}):10<=a?i18n.t("__seconds__ sec to edit",
{seconds:(c-c%5).toString()}):i18n.t("__seconds__ sec to edit",{seconds:c.toString()})}function a(a,b){a.find(".message_reactions").hide();condense.hide_message_expander(a);var f=a.find(".message_content")[0].getBoundingClientRect().top,r=current_msg_list.get(rows.id(a)),q=g(r,5),p=q===message_edit.editability_types.TOPIC_ONLY||q===message_edit.editability_types.FULL,n=$(templates.render("message_edit_form",{is_stream:"stream"===r.type,message_id:r.id,is_editable:p,has_been_editable:q!==e.NO,topic:r.subject,
content:b,minutes_to_edit:Math.floor(page_params.realm_message_content_edit_limit_seconds/60)})),t={form:n,raw_content:b};d[r.id]=t;current_msg_list.show_edit_message(a,t);n.keydown(_.partial(k,!1));var u=a.find("textarea.message_edit_content"),s=a.find("input.message_edit_topic"),v=a.find("select.message_edit_topic_propagate"),z=a.find(".message_edit_countdown_timer"),n=a.find(".copy_message");if(q===e.NO)u.prop("readonly","readonly"),s.prop("readonly","readonly"),new Clipboard(n[0]);else if(q===
e.NO_LONGER)u.prop("readonly","readonly"),z.text(i18n.t("View source")),new Clipboard(n[0]);else if(q===e.TOPIC_ONLY)u.prop("readonly","readonly"),z.text(i18n.t("Topic editing only")),new Clipboard(n[0]);else if(q===e.FULL){n.remove();var n="#message_edit_content_"+rows.id(a),D=resize.watch_manual_resize(n);D&&(d[rows.id(a)].listeners=D);composebox_typeahead.initialize_compose_typeahead(n,{emoji:!0,stream:!0})}q!==e.NO&&0<page_params.realm_message_content_edit_limit_seconds&&(a.find(".message-edit-timer-control-group").show(),
a.find("#message_edit_tooltip").tooltip({animation:!1,placement:"left",template:'<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner message-edit-tooltip-inner"></div></div>'}));if(q===e.FULL&&0<page_params.realm_message_content_edit_limit_seconds){var n=new XDate,y=page_params.realm_message_content_edit_limit_seconds+n.diffSeconds(1E3*r.timestamp),y=Math.floor(Math.max(y,10)),C=a.find("button.message_edit_save");z.text(c(y));var w=setInterval(function(){y-=
1;0>=y?(clearInterval(w),u.prop("readonly","readonly"),"stream"===r.type&&(s.prop("readonly","readonly"),v.hide()),C.addClass("disabled"),z.text(i18n.t("Time's up!"))):z.text(c(y))},1E3)}p?"stream"===r.type&&r.subject===compose.empty_topic_placeholder()?(s.val(""),s.focus()):q===e.TOPIC_ONLY?a.find(".message_edit_cancel").focus():(u.focus(),q=u.val(),u.val(""),u.val(q)):a.find(".message_edit_close").focus();f=u[0].getBoundingClientRect().top-f+5;t.scrolled_by=f;message_viewport.scrollTop(message_viewport.scrollTop()+
f);if(feature_flags.propagate_topic_edits&&void 0===r.local_id){var G=r.subject;s.keyup(function(){var a=s.val();v.toggle(a!==G&&""!==a)})}}function b(b,c){a(b,c);var d=b.height()+b.offset().top,e=$("#compose").offset().top;d>e&&message_viewport.scrollTop(message_viewport.scrollTop()+d-e)}var f={},d={},e={NO:1,NO_LONGER:2,TOPIC_ONLY:3,FULL:4};f.editability_types=e;f.get_editability=g;f.save=function(a,b){var c=current_msg_list,d;d=a.hasClass("recipient_row")?rows.id_for_recipient_row(a):rows.id(a);
var e=current_msg_list.get(d),f=!1,g=a.find(".message_edit_content").val(),k=!1,u;"stream"===e.type&&(u=b?a.find(".inline_topic_edit").val():a.find(".message_edit_topic").val(),k=u!==e.subject&&""!==u.trim());if(void 0!==e.local_id){if(g!==e.raw_content||k)echo.edit_locally(e,g,k?u:void 0),a=current_msg_list.get_row(d);message_edit.end(a)}else d={message_id:e.id},k&&(d.subject=u,feature_flags.propagate_topic_edits&&(f=a.find("select.message_edit_topic_propagate").val()||"change_later",d.propagate_mode=
f),f=!0),g!==e.raw_content&&!b&&(d.content=g,e.is_me_message=0===g.lastIndexOf("/me",0),f=!0),f?channel.patch({url:"/json/messages/"+e.id,data:d,success:function(){c===current_msg_list&&a.find(".edit_error").text(i18n.t("Message successfully edited!")).removeClass("alert-error").addClass("alert-success").show()},error:function(b){c===current_msg_list&&(b=channel.xhr_error_message(i18n.t("Error saving edit"),b),a.find(".edit_error").text(b).show())}}):message_edit.end(a)};f.start=function(a,c){var d=
current_msg_list.get(rows.id(a)),e=current_msg_list;channel.get({url:"/json/messages/"+d.id,idempotent:!0,success:function(f){current_msg_list===e&&(d.raw_content=f.raw_content,b(a,f.raw_content),c&&c())}})};f.start_local_failed_edit=function(a,c){b(a,c.raw_content)};f.start_topic_edit=function(a){var b=$(templates.render("topic_edit_form"));current_msg_list.show_edit_topic(a,b);b.keydown(_.partial(k,!0));a=rows.id_for_recipient_row(a);a=current_msg_list.get(a).subject;a===compose.empty_topic_placeholder()&&
(a="");b.find(".inline_topic_edit").val(a).select().focus()};f.is_editing=function(a){return void 0!==d[a]};f.end=function(a){var b=current_msg_list.get(rows.id(a));if(void 0!==b&&void 0!==d[b.id]){var c=d[b.id].scrolled_by;message_viewport.scrollTop(message_viewport.scrollTop()-c);var c=d[b.id].listeners,e=document.querySelector("#message_edit_content_"+b.id);void 0!==c&&(e.removeEventListener("mousedown",c[0]),document.body.removeEventListener("mouseup",c[1]));delete d[b.id];current_msg_list.hide_edit_message(a)}void 0!==
a&&current_msg_list.hide_edit_topic(a);condense.show_message_expander(a);a.find(".message_reactions").show()};f.maybe_show_edit=function(a,b){void 0!==d[b]&&current_msg_list.show_edit_message(a,d[b])};f.edit_last_sent_message=function(){var a=current_msg_list.get_last_message_sent_by_me();if(a)if(a.id){if(f.get_editability(a,5)===e.FULL){var b=current_msg_list.get_row(a.id);b?(current_msg_list.select_id(a.id,{then_scroll:!0,from_scroll:!0}),compose_actions.cancel(),message_edit.start(b,function(){ui_util.focus_on("message_edit_content")})):
blueslip.error("Could not find row for id "+a.id)}}else blueslip.error("Message has invalid id in edit_last_sent_message.")};f.show_history=function(a){$("#message-history").html("");$("#message-edit-history").modal("show");channel.get({url:"/json/messages/"+a.id+"/history",data:{message_id:JSON.stringify(a.id)},success:function(a){var b=[];_.each(a.message_history,function(a,c){if(0===c||a.prev_content){var d={timestamp:timerender.get_full_time(a.timestamp)};0===c?(d.posted_or_edited="Posted by",
d.body_to_render=a.rendered_content):(d.posted_or_edited="Edited by",d.body_to_render=a.content_html_diff);if(a.user_id){var e=people.get_person_from_user_id(a.user_id);d.edited_by=e.full_name}b.push(d)}});$("#message-history").html(templates.render("message_edit_history",{edited_messages:b}))},error:function(a){ui_report.error(i18n.t("Error fetching message edit history"),a,$("#message-history-error"))}})};f.delete_message=function(a){$("#delete-message-error").html("");$("#delete_message_modal").modal("show");
$("#do_delete_message_button").off().on("click",function(b){b.stopPropagation();b.preventDefault();channel.del({url:"/json/messages/"+a,success:function(){$("#delete_message_modal").modal("hide")},error:function(a){ui_report.error(i18n.t("Error deleting message."),a,$("#delete-message-error"))}})})};$(document).on("narrow_deactivated.zulip",function(){_.each(d,function(a,b){if(void 0!==current_msg_list.get(b)){var c=current_msg_list.get_row(b);current_msg_list.show_edit_message(c,a)}})});return f}();
"undefined"!==typeof module&&(module.exports=message_edit);var condense=function(){function g(a){a.find(".message_condenser").hide();a.find(".message_expander").show()}function k(a){a.find(".message_content").addClass("condensed");g(a)}function c(a){a.find(".message_content").removeClass("condensed");a.find(".message_expander").hide();a.find(".message_condenser").show()}var a={},b=new Dict;a.uncollapse=function(a){var b=current_msg_list.get(rows.id(a));b.collapsed=!1;message_flags.send_collapsed([b],!1);var e=function(a){var e=a.find(".message_content");
e.removeClass("collapsed");!0===b.condensed?k(a):!1===b.condensed?c(a):e.hasClass("could-be-condensed")?k(a):a.find(".message_expander").hide()},h=home_msg_list.get_row(rows.id(a));e(a);e(h)};a.collapse=function(a){var b=current_msg_list.get(rows.id(a));b.collapsed=!0;message_flags.send_collapsed([b],!0);var b=function(a){a.find(".message_content").addClass("collapsed");g(a)},c=home_msg_list.get_row(rows.id(a));b(a);b(c)};a.clear_message_content_height_cache=function(){b=new Dict};a.un_cache_message_content_height=
function(a){b.del(a)};a.hide_message_expander=function(a){0!==a.find(".could-be-condensed").length&&a.find(".message_expander").hide()};a.show_message_expander=function(a){0!==a.find(".could-be-condensed").length&&a.find(".message_expander").show()};a.condense_and_collapse=function(a){var d=0.65*message_viewport.height();_.each(a,function(a){var f=$(a).find(".message_content"),g=current_msg_list.get(rows.id($(a)));if(void 0!==f&&void 0!==g){var m;m=g.id;if(b.has(m))m=b.get(m);else{var r=a.offsetHeight;
b.set(m,r);m=r}(m=m>d)?f.addClass("could-be-condensed"):f.removeClass("could-be-condensed");!0===g.condensed?k($(a)):!1===g.condensed?c($(a)):(m?k($(a)):(f.removeClass("condensed"),$(a).find(".message_expander").hide()),g.collapsed&&(f.addClass("collapsed"),$(a).find(".message_expander").show()))}})};$(function(){$("#home").on("click",".message_expander",function(){var b=$(this).closest(".message_row"),c=current_msg_list.get(rows.id(b)),e=b.find(".message_content");c.collapsed?a.uncollapse(b):e.hasClass("condensed")&&
(c.condensed=!1,e.removeClass("condensed"),$(this).hide(),b.find(".message_condenser").show())});$("#home").on("click",".message_condenser",function(){var a=$(this).closest(".message_row");current_msg_list.get(rows.id(a)).condensed=!0;k(a)})});return a}();"undefined"!==typeof module&&(module.exports=condense);var resize=function(){function g(a,b){var c=0;_.each(a,function(a){c+=a.real_height});_.each(a,function(a){var d=a.real_height/c,d=0.05>d?0.05:0.85<d?0.85:d;a.max_height=80>b*d?80:b*d>1.2*a.real_height?1.2*a.real_height:b*d})}function k(){var a={},b=message_viewport.height(),c=$("#top_navbar").outerHeight(!0),f=$("#invite-user-link").outerHeight(!0)||0;a.bottom_whitespace_height=0.4*b;a.main_div_min_height=b-c;a.bottom_sidebar_height=b-c-40;a.right_sidebar_height=b-parseInt($("#right-sidebar").css("marginTop"),
10);a.stream_filters_max_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-10;$("#share-the-love").is(":visible")&&(a.stream_filters_max_height-=$("#share-the-love").outerHeight(!0)+20);a.stream_filters_max_height=Math.max(80,a.stream_filters_max_height);b=$("#user_presences").expectOne();c=$("#group-pms").expectOne();f=a.right_sidebar_height-$("#feedback_section").outerHeight(!0)-parseInt(b.css("marginTop"),10)-parseInt(b.css("marginBottom"),
10)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-f-parseInt(c.css("marginTop"),10)-parseInt(c.css("marginBottom"),10)-$("#group-pm-header").outerHeight(!0);b=[{real_height:b.prop("scrollHeight")},{real_height:c.prop("scrollHeight")}];g(b,f);a.user_presences_max_height=b[0].max_height;a.group_pms_max_height=b[1].max_height;return a}function c(){var a={},b=message_viewport.height(),c=message_viewport.width(),f=$(".header").outerHeight(!0),k=$("#stream_filters").expectOne(),
r=$("#user_presences").expectOne(),q=$("#group-pms").expectOne(),p=k.prop("scrollHeight"),n=r.prop("scrollHeight"),t=q.prop("scrollHeight");a.bottom_whitespace_height=0.4*b;a.main_div_min_height=b-f;a.bottom_sidebar_height=b-parseInt($("#left-sidebar").css("marginTop"),10)-parseInt($(".bottom_sidebar").css("marginTop"),10);a.total_leftlist_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-
$("#group-pm-header").outerHeight(!0)-parseInt(k.css("marginBottom"),10)-parseInt(r.css("marginTop"),10)-parseInt(r.css("marginBottom"),10)-parseInt(q.css("marginTop"),10)-parseInt(q.css("marginBottom"),10)-15;f=[{real_height:p},{real_height:n},{real_height:t}];g(f,a.total_leftlist_height);a.stream_filters_max_height=f[0].max_height;a.user_presences_max_height=f[1].max_height;a.group_pms_max_height=f[2].max_height;a.viewport_height=b;a.viewport_width=c;return a}var a={},b=!1;a.watch_manual_resize=
function(a){return function(b){var c=document.querySelector(a);if(c){var f=null,g=!1,k=function(){g=!0;f=c.clientHeight};c.addEventListener("mousedown",k);var q=function(){!0===g&&(g=!1,f!==c.clientHeight&&(f=c.clientHeight,b.call(c,f)))};document.body.addEventListener("mouseup",q);return[k,q]}blueslip.error("Bad selector in watch_manual_resize: "+a)}(function(b){$(a).trigger("autosize.destroy").height(b+"px")})};a.resize_bottom_whitespace=function(a){page_params.autoscroll_forever?$("#bottom_whitespace").height($("#compose-container")[0].offsetHeight):
void 0!==a&&$("#bottom_whitespace").height(a.bottom_whitespace_height)};a.resize_stream_filters_container=function(d){d=b?c():k();a.resize_bottom_whitespace(d);$("#stream-filters-container").css("max-height",d.stream_filters_max_height);$("#stream-filters-container").perfectScrollbar("update")};a.resize_page_components=function(){var d;page_params.left_side_userlist&&(d=message_viewport.is_narrow(),$("#top_navbar").removeClass("rightside-userlist"),d&&!b?(b=!0,popovers.set_userlist_placement("left"),
d=$(".bottom_sidebar").expectOne(),d.append($("#user-list").expectOne()),d.append($("#group-pm-list").expectOne()),d.append($("#share-the-love").expectOne()),$("#user_presences").css("margin","0px"),$("#group-pms").css("margin","0px"),$("#userlist-toggle").css("display","none"),$("#invite-user-link").hide()):!d&&b&&(b=!1,popovers.set_userlist_placement("right"),d=$("#right-sidebar").expectOne(),d.append($("#user-list").expectOne()),d.append($("#group-pm-list").expectOne()),$("#user_presences").css("margin",
""),$("#group-pms").css("margin",""),$("#userlist-toggle").css("display",""),$("#invite-user-link").show()));d=b?c():k();a.resize_bottom_whitespace(d);$("#stream-filters-container").css("max-height",d.stream_filters_max_height);$("#user_presences").css("max-height",d.user_presences_max_height);$("#group-pms").css("max-height",d.group_pms_max_height);$("#stream-filters-container").perfectScrollbar("update")};var f=$(window).width();a.handler=function(){var b=$(window).width();b!==f&&(f=b,condense.clear_message_content_height_cache());
popovers.hide_all();a.resize_page_components();-1!==current_msg_list.selected_id()&&navigate.scroll_to_selected()};return a}();"undefined"!==typeof module&&(module.exports=resize);var list_render=function(){var g={},k=function(c,a,b){if(b.name&&g[b.name])return g[b.name].set_container(c).set_opts(b).__set_events().data(a).init();var f={offset:0,listRenders:{},list:a,filtered_list:a,filter_list:function(a,b){this.filtered_list=this.list.filter(function(c){return"function"===typeof b?b(c,a):!!c.toLocaleLowerCase().match(a)})}};if(b){b.filter||(b.filter={});var d={render:function(a){a=a||b.load_count||20;if(!(f.offset>=f.filtered_list.length)){var d=f.filtered_list.slice(f.offset,
f.offset+a),d=_.reduce(d,function(a,c){var d=b.modifier(c);d.constructor===jQuery&&(d=function(a){var b="";a.each(function(){1===this.nodeType&&(b+=this.outerHTML)});return b}(d));d instanceof Element&&(d=d.outerHTML);return a+(d||"")},"");c.append($(d));f.offset+=a;return this}},init:function(){this.clear();this.render(80);return this},filter:function(a){f.filtered_list=f.list(a)},data:function(a){if(Array.isArray(a))return f.list=a,b.filter&&b.filter.element&&(a=$(b.filter.element).val().toLocaleLowerCase(),
f.filter_list(a,b.filter.callback)),d.clear(),this;blueslip.warn("The data object provided to the progressive list render is invalid");return this},clear:function(){c.html("");f.offset=0;return this},set_container:function(a){a&&(c=a);return this},set_opts:function(a){b&&(b=a);return this},__set_events:function(){for(var a=c;a.length;){if(a.is("body, html")){blueslip.warn("Please wrap progressive scrolling lists in an element with 'max-height' attribute. Error found in:\n"+util.preview_node(c));break}if("none"!==
a.css("max-height"))break;a=a.parent()}a.scroll(function(){10>this.scrollHeight-(this.scrollTop+this.clientHeight)&&d.render()});if(b.filter.element)b.filter.element.on(b.filter.event||"input",function(){var a=this.value.toLocaleLowerCase();f.filter_list(a,b.filter.callback);d.clear().init()});return this}};d.__set_events();b.name&&(g[b.name]=d);return d}};k.get=function(c){return g[c]||!1};k.delete=function(c){if(g[c])return delete g[c],!0;blueslip.warn("The progressive list render instance with the name '"+
c+"' does not exist.");return!1};return k}();"undefined"!==typeof module&&(module.exports=list_render);var floating_recipient_bar=function(){var g={},k=!1,c;g.hide=function(){k&&($("#floating_recipient_bar").css("visibility","hidden"),k=!1)};g.update=function(){var a=$("#floating_recipient_bar"),b=a.offset().top+a.outerHeight(),a=current_msg_list.selected_row();if(!(void 0===a||0===a.length))if(a=rows.get_message_recipient_row(a),void 0!==a){for(;;){if(0===a.length){g.hide();return}if(a.is(".recipient_row")&&a.offset().top<b)break;a=a.prev()}var f=$(a).find(".message_header").outerHeight();if(b<=a.offset().top+
f)g.hide();else{var d;a!==c&&(0!==a.children(".message_header_stream").length?(b=$("#current_label_stream"),f=$("#current_label_private_message"),d=a.children(".message_header_stream")):(b=$("#current_label_private_message"),f=$("#current_label_stream"),d=a.children(".message_header_private_message")),b.find(".message_header").replaceWith(d.clone()),f.css("display","none"),b.css("display","block"),b.attr("zid",rows.id(rows.first_message_in_group(a))),b.toggleClass("message-fade",a.hasClass("message-fade")),
c=a);k||($("#floating_recipient_bar").css("visibility","visible"),k=!0)}}};return g}();"undefined"!==typeof module&&(module.exports=floating_recipient_bar);var lightbox=function(){function g(a){if(!b){var c=Array.prototype.slice.call($(".focused_table .message_inline_image img")),f=$("#lightbox_overlay .image-list").html("");c.forEach(function(b){b=b.getAttribute("src");var c=a.match(b)?"image selected":"image";b=$("<div></div>",{"class":c,"data-src":b}).css({backgroundImage:"url("+b+")"});f.append(b)},"")}}function k(a){g(a.preview);$(".player-container").hide();$(".image-actions, .image-description, .download").show();var b=new Image;b.src=a.source;
$("#lightbox_overlay .image-preview").html(b).show();$(".image-description .title").text(a.title||"N/A");$(".image-description .user").text(a.user);$(".image-actions .open, .image-actions .download").attr("href",a.source)}function c(a){g(a.preview);$("#lightbox_overlay .image-preview, .image-description, .download").hide();var b=$("<iframe></iframe>",{src:"https://www.youtube.com/embed/"+a.source,frameborder:0,allowfullscreen:!0});$("#lightbox_overlay .player-container").html(b).show();$(".image-actions .open").attr("href",
"https://youtu.be/"+a.source)}var a={},b=!1,f={};a.open=function(a){function e(){$(".player-container iframe").remove();b=!1;document.activeElement.blur()}a=$(a);var h=!!a.closest(".youtube-video").length;if(f[a.attr("src")])a=f[a.attr("src")];else{var g=a.parent(),m=g.closest("[zid]");a={user:message_store.get(m.attr("zid")).sender_full_name,title:a.parent().attr("title"),type:h?"youtube-video":"image",preview:a.attr("src"),source:h?g.attr("data-id"):a.attr("src")};f[a.preview]=a}"youtube-video"===
a.type?c(a):"image"===a.type&&k(a);b||(overlays.open_overlay({name:"lightbox",overlay:$("#lightbox_overlay"),on_close:e}),popovers.hide_all(),b=!0)};a.show_from_selected_message=function(){for(var b=$(".selected_message"),c=b.find("img");0===c.length;){b=b.prev();if(0===b.length)break;c=b.find("img")}0!==c.length&&a.open(c)};a.prev=function(){$(".image-list .image.selected").prev().click()};a.next=function(){$(".image-list .image.selected").next().click()};$(function(){$("#main_div").on("click",".message_inline_image a",
function(b){var c=$(this).find("img");b.preventDefault();b.stopPropagation();a.open(c)});$("#lightbox_overlay .download").click(function(){this.blur()});$("#lightbox_overlay").on("click",".image-list .image",function(){var b=$(this).parent(),c=$(".message_row img[src='"+$(this).attr("data-src")+"']");a.open(c);$(".image-list .image.selected").removeClass("selected");$(this).addClass("selected");var c=this.offsetLeft,f=this.offsetLeft+this.clientWidth;f>this.parentNode.clientWidth+this.parentNode.scrollLeft?
b.animate({scrollLeft:f-this.parentNode.clientWidth+2},100):c<this.parentNode.scrollLeft&&b.animate({scrollLeft:c-2},100)});$("#lightbox_overlay").on("click",".center .arrow",function(){var a=$(this).attr("data-direction");if(/^(next|prev)$/.test(a))lightbox[a]()})});return a}();"undefined"!==typeof module&&(module.exports=lightbox);var ui_report=function(){var g={message:function(g,c,a,b){void 0===a&&(a="alert");void 0===b&&(b=" ");"subscriptions-status"===b?c.removeClass(status_classes).addClass(a).children("#response").text(g).stop(!0).fadeTo(0,1):c.removeClass(status_classes).addClass(a).text(g).stop(!0).fadeTo(0,1);c.addClass("show")},error:function(k,c,a,b){c&&"4"===c.status.toString().charAt(0)&&(k+=": "+JSON.parse(c.responseText).msg);g.message(k,a,"alert-error",b)},success:function(k,c,a){g.message(k,c,"alert-success",
a)},hide_error:function(g){g.addClass("fade-out");setTimeout(function(){g.removeClass("show fade-out")},300)},show_error:function(g){g.addClass("show")}};return g}();"undefined"!==typeof module&&(module.exports=ui_report);var ui=function(){function g(a,b){_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&(c=c.get_row(a),void 0!==c&&b(c))})}function k(){a=!1;$("#home").hasClass("active")&&(pointer.suppress_scroll_pointer_update?pointer.suppress_scroll_pointer_update=!1:message_viewport.keep_pointer_in_view(),floating_recipient_bar.update(),0===message_viewport.scrollTop()&&ui.have_scrolled_away_from_top?(ui.have_scrolled_away_from_top=!1,message_fetch.load_more_messages(current_msg_list)):
ui.have_scrolled_away_from_top||(ui.have_scrolled_away_from_top=!0),setTimeout(unread_ops.process_visible,0))}var c={},a=!1;c.have_scrolled_away_from_top=!0;c.actively_scrolling=function(){return a};c.replace_emoji_with_text=function(a){a.find(".emoji").replaceWith(function(){return $(this).attr("alt")})};c.find_message=function(a){var b;_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&void 0===b&&(b=c.get(a))});return b};c.update_starred=function(a,b){var d=c.find_message(a);
void 0!==d&&(unread_ops.mark_message_as_read(d),d.starred=b,g(a,function(a){a=a.find(".star");b?a.addClass("icon-vector-star").removeClass("icon-vector-star-empty").removeClass("empty-star"):a.removeClass("icon-vector-star").addClass("icon-vector-star-empty").addClass("empty-star");a.attr("title",(d.starred?"Unstar":"Star")+" this message")}))};var b=[],f=_.throttle(function(){_.each(b,function(a){g(a,function(a){a.find(".message_time").toggleClass("notvisible",!1)})});b=[]},100);c.show_local_message_arrived=
function(a){b.push(a);f()};c.show_message_failed=function(a,b){g(a,function(a){a=a.find(".message_failed");a.toggleClass("notvisible",!1);a.find(".failed_text").attr("title",b)})};c.remove_message=function(a){_.each([message_list.all,home_msg_list,message_list.narrowed],function(b){void 0!==b&&void 0!==b.get_row(a)&&b.remove_and_rerender([{id:a}])})};c.show_failed_message_success=function(a){g(a,function(a){a.find(".message_failed").toggleClass("notvisible",!0)})};$(document).ready(function(){var a=
components.toggle({name:"info-overlay-toggle",selected:0,values:[{label:"Keyboard shortcuts",key:"keyboard-shortcuts"},{label:"Message formatting",key:"markdown-help"},{label:"Search operators",key:"search-operators"}],callback:function(a,b){$(".overlay-modal").hide();$("#"+b).show();$("#"+b).find(".modal-body").focus()}}).get();$(".informational-overlays .overlay-tabs").append($(a).addClass("large"))});c.show_info_overlay=function(a){var b=$(".informational-overlays");b.hasClass("show")||overlays.open_overlay({name:"informationalOverlays",
overlay:b,on_close:function(){}});a&&components.toggle.lookup("info-overlay-toggle").goto(a)};var d=!1;c.show_loading_more_messages_indicator=function(){d||(loading.make_indicator($("#loading_more_messages_indicator"),{abs_positioned:!0}),d=!0,floating_recipient_bar.hide())};c.hide_loading_more_messages_indicator=function(){d&&(loading.destroy_indicator($("#loading_more_messages_indicator")),d=!1)};c.switchToFullWidth=function(){$("#full-width-style").remove();$("head").append('<style id="full-width-style" type="text/css">#home .alert-bar, .recipient-bar-content, #compose-container, .app-main, .header-main { max-width: none; }</style>');
return"Switched to full width"};var e,h=0;$(function(){message_viewport.message_pane.scroll($.throttle(50,function(){unread_ops.process_visible();a=!0;clearTimeout(e);e=setTimeout(k,100)}));$("#new_message_content").blur(function(){h=$(this).caret()});$("body").on("webkitAnimationEnd oanimationend msAnimationEnd animationend",".fade-in-message",function(){$(this).removeClass("fade-in-message")})});c.restore_compose_cursor=function(){$("#new_message_content").focus().caret(h)};$(function(){void 0!==
window.bridge&&($("#new_message_content").attr("spellcheck","false"),$("#webathena_login_menu").hide(),$("#normal-zephyr-mirror-error-text").addClass("notdisplayed"),$("#desktop-zephyr-mirror-error-text").removeClass("notdisplayed"))});return c}();"undefined"!==typeof module&&(module.exports=ui);var ui_util=function(){return{change_tab_to:function(g){$('#gear-menu a[href="'+g+'"]').tab("show")},focus_on:function(g){$("#"+g).focus()},blur_active_element:function(){document.activeElement.blur()}}}();"undefined"!==typeof module&&(module.exports=ui_util);var pointer=function(){function g(){return!a?(a=!0,channel.post({url:"/json/users/me/pointer",idempotent:!0,data:{pointer:pointer.furthest_read},success:function(){pointer.server_furthest_read=pointer.furthest_read;a=!1},error:function(){a=!1}})):$.when()}function k(){if(a){var b=$.Deferred();setTimeout(function(){b.resolve(k())},100);return b}return g()}var c={recenter_pointer_on_display:!1,suppress_scroll_pointer_update:!1,furthest_read:-1,server_furthest_read:-1},a=!1;c.send_pointer_update=function(){pointer.furthest_read>
pointer.server_furthest_read&&g()};c.fast_forward_pointer=function(){channel.get({url:"/json/users/me",idempotent:!0,success:function(a){unread_ops.mark_all_as_read(function(){pointer.furthest_read=a.max_message_id;k().then(function(){reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!0,save_compose:!0})})})}})};c.initialize=function(){pointer.server_furthest_read=page_params.pointer;void 0!==page_params.orig_initial_pointer&&page_params.orig_initial_pointer>pointer.server_furthest_read&&
(pointer.server_furthest_read=page_params.orig_initial_pointer);pointer.furthest_read=pointer.server_furthest_read;$(document).idle({idle:1E3,onIdle:pointer.send_pointer_update,keepTracking:!0});$(document).on("message_selected.zulip",function(a){-1!==a.id&&(a.msg_list===home_msg_list&&void 0===page_params.narrow_stream&&(a.id>pointer.furthest_read&&void 0===home_msg_list.get(a.id).local_id)&&(pointer.furthest_read=a.id),a.mark_read&&-1!==a.previously_selected&&(a=a.id<a.previously_selected?a.msg_list.message_range(a.id,
a.previously_selected):a.msg_list.message_range(a.previously_selected,a.id),unread_ops.mark_messages_as_read(a,{from:"pointer"})))})};return c}();"undefined"!==typeof module&&(module.exports=pointer);var click_handlers=function(){$(function(){function g(a){a=rows.get_closest_group(a);a=rows.id_for_recipient_row(a);a=current_msg_list.get(a);var b=current_msg_list.selected_message();return util.same_recipient(a,b)?b.id:a.id}function k(a){$(a.target).is("#emoji_map, img.emoji, .drag")||($(a.target).is("a")||a.stopPropagation(),popovers.hide_all())}var c=function(){var a,b;return{start:function(c){a={x:c.offsetX,y:c.offsetY};b=(new Date).getTime()},end:function(c){var d=c.offsetX;c=c.offsetY;this.val=
d=a?Math.sqrt(Math.pow(d-a.x,2)+Math.pow(c-a.y,2)):Infinity;this.time=(new Date).getTime()-b;a=void 0;return d},val:null}}();$("#main_div").on("mousedown",".messagebox",function(a){c.start(a)});$("#main_div").on("mouseup",".messagebox",function(a){c.end(a)});$("#main_div").on("click",".messagebox",function(a){var b=$(a.target);if(!b.is("a")&&!b.is("img.message_inline_image")&&!b.is("img.twitter-avatar")&&!b.is("div.message_length_controller")&&!b.is("textarea")&&!b.is("input")&&!(b.is("i.edit_content_button")||
b.is(".highlight")&&b.parent().is("a")))if(5>c.val&&150>c.time||2>c.val)b=$(this).closest(".message_row"),b=rows.id(b),message_edit.is_editing(b)||(current_msg_list.select_id(b),compose_actions.respond_to_message({trigger:"message click"}),a.stopPropagation(),popovers.hide_all())});$("#main_div").on("click",".star",function(a){a.stopPropagation();popovers.hide_all();a=rows.id($(this).closest(".message_row"));a=ui.find_message(a);unread_ops.mark_message_as_read(a);ui.update_starred(a.id,!0!==a.starred);
message_flags.send_starred([a],a.starred)});$("#main_div").on("click",".message_reaction",function(a){a.stopPropagation();a=$(this).attr("data-emoji-name");var b=$(this).parent().attr("data-message-id");reactions.toggle_emoji_reaction(b,a)});$("#main_div").on("click","a.stream",function(a){a.preventDefault();a=stream_data.get_sub_by_id($(this).attr("data-stream-id"));window.location.href=a?"/#narrow/stream/"+hash_util.encodeHashComponent(a.name):$(this).attr("href")});$("body").on("click",".notification",
function(){var a=$(this).data("narrow");ui_util.change_tab_to("#home");narrow.activate(a.raw_operators,a.opts_notif)});$("body").on("click",".edit_content_button",function(a){var b=current_msg_list.get_row(rows.id($(this).closest(".message_row")));current_msg_list.select_id(rows.id(b));message_edit.start(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".always_visible_topic_edit,.on_hover_topic_edit",function(a){var b=$(this).closest(".recipient_row");message_edit.start_topic_edit(b);
a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_save",function(a){var b=$(this).closest(".recipient_row");message_edit.save(b,!0);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_cancel",function(a){var b=$(this).closest(".recipient_row");current_msg_list.hide_edit_topic(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_save",function(a){var b=$(this).closest(".message_row");message_edit.save(b,!1);a.stopPropagation();
popovers.hide_all()});$("body").on("click",".message_edit_cancel",function(a){var b=$(this).closest(".message_row");message_edit.end(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_close",function(a){var b=$(this).closest(".message_row");message_edit.end(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".copy_message",function(a){var b=$(this).closest(".message_row");message_edit.end(b);b.find(".alert-copied").css("display","block");b.find(".alert-copied").delay(1E3).fadeOut(300);
a.preventDefault();a.stopPropagation()});$("body").on("click","a",function(){document.activeElement===this&&ui_util.blur_active_element()});$("body").on("click",".on_hover_topic_mute",function(a){a.stopPropagation();var b=$(a.currentTarget).attr("data-stream-id");a=$(a.currentTarget).attr("data-topic-name");b=stream_data.get_sub_by_id(b);muting_ui.mute(b.name,a)});$("#home").on("click",".narrows_by_recipient",function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=g(this),narrow.by_recipient(a,
{trigger:"message header"}))});$("#home").on("click",".narrows_by_subject",function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=g(this),narrow.by_subject(a,{trigger:"message header"}))});$("#userlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-right").hasClass("expanded");popovers.hide_all();a&&popovers.show_userlist_sidebar()});$("#streamlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-left").hasClass("expanded");
popovers.hide_all();a&&stream_popover.show_streamlist_sidebar()});$("#user_presences").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-user-id"),b=people.get_person_from_user_id(b).email;activity.escape_search();narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});$("#group-pms").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-user-ids"),
b=people.user_ids_string_to_emails_string(b);narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});$("#subscriptions_table").on("click",".exit, #subscription_overlay",function(a){$(a.target).is(".exit, .exit-sign, #subscription_overlay, #subscription_overlay > .flex")&&subs.close()});$(document).on("click",".home-link[data-name='home']",function(a){ui_util.change_tab_to("#home");narrow.deactivate();setTimeout(navigate.maybe_scroll_to_selected,
0);a.preventDefault()});$(".brand").on("click",function(a){overlays.is_active()?ui_util.change_tab_to("#home"):narrow.restore_home_state();navigate.maybe_scroll_to_selected();a.preventDefault()});(function(){$("#group-pm-list, #stream_filters, #global_filters, #user_presences").on("click","a",function(){this.blur()})})();popovers.register_click_handlers();emoji_picker.register_click_handlers();stream_popover.register_click_handlers();notifications.register_click_handlers();$("body").on("click",".logout_button",
function(){$("#logout_form").submit()});$(".restart_get_events_button").click(function(){server_events.restart_get_events({dont_block:!0})});$("body").on("click",".alert .exit",function(){var a=$(this).closest(".alert");a.addClass("fade-out");setTimeout(function(){a.removeClass("fade-out show")},300)});$("#send-status .send-status-close").click(function(){$("#send-status").stop(!0).fadeOut(500)});$(".compose_stream_button").click(function(){compose_actions.start("stream",{trigger:"new topic button"})});
$(".compose_private_button").click(function(){compose_actions.start("private")});$(".empty_feed_compose_stream").click(function(a){compose_actions.start("stream",{trigger:"empty feed message"});a.preventDefault()});$(".empty_feed_compose_private").click(function(a){compose_actions.start("private",{trigger:"empty feed message"});a.preventDefault()});$("body").on("click","[data-overlay-trigger]",function(){ui.show_info_overlay($(this).attr("data-overlay-trigger"))});$("#compose_buttons").click(k);$(".compose-content").click(k);
$("#compose_close").click(function(){compose_actions.cancel()});$("#join_unsub_stream").click(function(a){a.preventDefault();a.stopPropagation();window.location.hash="streams/all"});$("body").on("click",".default_stream_row .remove-default-stream",function(){var a=$(this).closest(".default_stream_row"),b=a.attr("id");channel.del({url:"/json/default_streams?"+$.param({stream_name:b}),error:function(b){var c=a.find("button");"4"===b.status.toString().charAt(0)?c.closest("td").html($("<p>").addClass("text-error").text(JSON.parse(b.responseText).msg)):
c.text(i18n.t("Failed!"))},success:function(){a.remove()}})});$(".feedback").click(function(){compose_actions.start("private",{private_message_recipient:"feedback@zulip.com",trigger:"feedback menu item"})});$("#feedback_button").click(function(a){a.stopPropagation();popovers.hide_all();compose_actions.start("private",{private_message_recipient:"feedback@zulip.com",trigger:"feedback button"})});$("body").on("click",".webathena_login",function(a){$("#zephyr-mirror-error").removeClass("show");WinChan.open({url:"https://webathena.mit.edu/#!request_ticket_v1",
relay_url:"https://webathena.mit.edu/relay.html",params:{realm:"ATHENA.MIT.EDU",principal:["zephyr","zephyr"]}},function(a,c){a?blueslip.warn(a):"OK"!==c.status?blueslip.warn(c):channel.post({url:"/accounts/webathena_kerberos_login/",data:{cred:JSON.stringify(c.session)},success:function(){$("#zephyr-mirror-error").removeClass("show")},error:function(){$("#zephyr-mirror-error").addClass("show")}})});$("#settings-dropdown").dropdown("toggle");a.preventDefault();a.stopPropagation()});(function(){var a=
{".stream-description-editable":stream_edit.change_stream_description,".stream-name-editable":stream_edit.change_stream_name};$(document).on("keydown",".editable-section",function(a){a.stopPropagation();27===a.which?($("[data-finish-editing='.stream-description-editable']").hide(),$(this).attr("contenteditable",!1),$(this).text($(this).attr("data-prev-text")),$("[data-make-editable]").html("")):13===a.which&&$(this).siblings(".checkmark").click()});$(document).on("drop",".editable-section",function(){return!1});
$(document).on("input",".editable-section",function(){for(var a=0;a<this.childNodes.length;a+=1)if(3!==this.childNodes[a].nodeType){this.innerText=this.innerText.replace(/\n/,"");break}});$("body").on("click","[data-make-editable]",function(){var a=$(this).attr("data-make-editable"),c=$(this).parent().find(a);"true"===c.attr("contenteditable")?($("[data-finish-editing='"+a+"']").hide(),c.attr("contenteditable",!1),c.text(c.attr("data-prev-text")),$(this).html("")):($("[data-finish-editing='"+a+"']").show(),
c.attr("data-prev-text",c.text().trim()).attr("contenteditable",!0),a=c[0],a.focus(),"undefined"!==typeof window.getSelection&&"undefined"!==typeof document.createRange?(c=document.createRange(),c.selectNodeContents(a),c.collapse(!1),a=window.getSelection(),a.removeAllRanges(),a.addRange(c)):"undefined"!==typeof document.body.createTextRange&&(c=document.body.createTextRange(),c.moveToElementText(a),c.collapse(!1),c.select()),$(this).html("&times;"))});$("body").on("click","[data-finish-editing]",
function(b){var c=$(this).attr("data-finish-editing");a[c]&&(a[c](b),$(this).hide(),$(this).parent().find(c).attr("contenteditable",!1),$("[data-make-editable='"+c+"']").html(""))})})();$(document).on("click",function(a){0!==a.button||$(a.target).is(".drag")||(0===$(".popover-inner").has(a.target).length&&popovers.hide_all(),compose_state.composing()&&(!$(a.target).is("a")&&0===$(a.target).closest(".modal").length&&""===window.getSelection().toString()&&0===$(a.target).closest(".popover-content").length)&&
compose_actions.cancel())});$("a.dropdown-toggle, .dropdown-menu a").on("touchstart",function(a){a.stopPropagation()});$("#settings_overlay_container .sidebar").on("click","li[data-section]",function(){var a=$(this);$("#settings_overlay_container .sidebar li").removeClass("active no-border");a.addClass("active").prev().addClass("no-border");a=$("#settings_overlay_container");a.find(".right").addClass("show");a.find(".settings-header.mobile").addClass("slide-left");settings.set_settings_header($(this).attr("data-section"))});
$(".settings-header.mobile .icon-vector-chevron-left").on("click",function(){$("#settings_page").find(".right").removeClass("show");$(this).parent().removeClass("slide-left")});$("#settings_overlay_container .sidebar").on("click","li[data-section]",function(){var a=$(this),b=a.data("section"),c="[data-name='"+b+"']";$("#settings_overlay_container .sidebar li").removeClass("active no-border");a.addClass("active");a.prev().addClass("no-border");a=a.hasClass("admin");window.location.hash=a?"organization/"+
b:"settings/"+b;$(".settings-section, .settings-wrapper").removeClass("show");a?admin_sections.load_admin_section(b):settings_sections.load_settings_section(b);$(".settings-section"+c+", .settings-wrapper"+c).addClass("show")});(function(){var a=components.toggle({name:"settings-toggle",values:[{label:"Settings",key:"settings"},{label:"Organization",key:"organization"}],callback:function(a,c){$(".sidebar li").hide();"organization"===c?($("li.admin").show(),$("li[data-section='organization-settings']").click()):
($("li:not(.admin)").show(),$("li[data-section='your-account']").click())}}).get();$("#settings_overlay_container .tab-container").append(a)})()});return{}}();"undefined"!==typeof module&&(module.exports=click_handlers);$(function(){$("#stream-filters-container").perfectScrollbar({suppressScrollX:!0,useKeyboard:!1,wheelSpeed:20})});
function scrollbarWidth(){$("body").prepend('<div id="outertest" style="width:200px; height:150px; position: absolute; top: 0; left: 0; overflow-x:hidden; overflow-y:scroll; background: #ff0000; visibility: hidden;"><div id="innertest" style="width:100%; height: 200px; overflow-y: visible;">&nbsp;</div></div>');var g=$("#outertest").outerWidth()-$("#innertest").outerWidth();$("#outertest").remove();return g}
$(function(){var g=scrollbarWidth();0<g&&($(".header").css("left","-"+g+"px"),$(".header-main").css("left",g+"px"),$(".header-main").css("max-width",1400+g+"px"),$(".header-main .column-middle").css("margin-right",250+g+"px"),$(".fixed-app").css("left","-"+g+"px"),$(".fixed-app .app-main").css("max-width",1400+g+"px"),$(".fixed-app .column-middle").css("margin-left",250+g+"px"),$(".column-right").css("right",g+"px"),$(".app-main .right-sidebar").css({"margin-left":g+"px",width:250-g+"px"}),$("#compose").css("left",
"-"+g+"px"),$(".compose-content").css({left:g+"px","margin-right":250+g+"px"}),$("#compose-container").css("max-width",1400+g+"px"),$("head").append("<style> @media (max-width: 975px) { .compose-content, .header-main .column-middle { margin-right: "+(7+g)+"px !important; } } @media (max-width: 775px) { .fixed-app .column-middle { margin-left: "+(7+g)+"px !important; } } </style>"))});var gear_menu=function(){var g={},k={};g.initialize=function(){i18n.ensure_i18n(admin.show_or_hide_menu_item);$('#gear-menu a[data-toggle="tab"]').on("show",function(c){c=$(c.relatedTarget).attr("href");k[c]=message_viewport.scrollTop()});$('#gear-menu a[data-toggle="tab"]').on("shown",function(c){c=$(c.target).attr("href");resize.resize_bottom_whitespace();$(".alert").removeClass("show");var a=c;"#home"===a&&(a="");hashchange.changehash(a);"#home"===c&&(k.hasOwnProperty(c)?message_viewport.scrollTop(k[c]):
navigate.scroll_to_selected())})};g.open=function(){$("#settings-dropdown").click();$("#gear-menu").find("li:not(.invisible) a").eq(0).focus()};g.is_open=function(){return $(".dropdown").hasClass("open")};g.close=function(){g.is_open()&&$(".dropdown").removeClass("open")};return g}();"undefined"!==typeof module&&(module.exports=gear_menu);var copy_and_paste=function(){function g(c,a){var b,f=!1,d=c;if(0!==d.length){for(b=0;!d.is(".message_row")&&10>b;b+=1)d=a(d);if(10!==b)return 0!==b&&(f=!0),[rows.id(d),f]}}function k(){var c=window.getSelection(),a,b,f=[],d,e,h,k,m,r=!1,q=$("<div>");for(a=0;a<c.rangeCount;a+=1){b=c.getRangeAt(a);f.push(b);d=$(b.startContainer);k=g($(d.parents(".selectable_row, .message_header")[0]),function(a){return a.next()});if(void 0===k)return;h=k[0];e=$(b.endContainer);"bottom_whitespace"===e.attr("id")||"compose_close"===
e.attr("id")?(b=$(".message_row:last"),r=!0):b=$(e.parents(".selectable_row")[0]);m=g(b,function(a){return a.prev()});if(void 0===m)return;b=m[0];if(k[1]||m[1])r=!0;if(!r&&d.parents(".selectable_row>div")[0]===e.parents(".selectable_row>div")[0])return;for(d=current_msg_list.get_row(h);rows.id(d)<=b;d=rows.next_visible(d))d.prev().hasClass("message_header")&&(h=$("<div>").text(d.prev().text().replace(/\s+/g," ").replace(/^\s/,"").replace(/\s$/,"")),q.append($("<p>").append($("<strong>").text(h.text())))),
h=current_msg_list.get(rows.id(d)),k=$(h.content).slice(0,1),k.prepend(h.sender_full_name+": "),q.append(k),q.append($(h.content).slice(1))}void 0!==window.bridge&&ui.replace_emoji_with_text(q);q.css({position:"absolute",left:"-99999px"}).attr("id","copytempdiv");$("body").append(q);c.selectAllChildren(q[0]);window.setTimeout(function(){c=window.getSelection();c.removeAllRanges();_.each(f,function(a){c.addRange(a)});$("#copytempdiv").remove()},0)}$(function(){$(document).bind("copy",k)});return{}}();
"undefined"!==typeof module&&(module.exports=copy_and_paste);var stream_popover=function(){function g(a){a=$(a.currentTarget).parents("ul").attr("data-name");var b=stream_data.get_sub(a);if(b)return b;blueslip.error("Unknown stream: "+a)}function k(a,b){var c=a[0].offsetHeight,d=a.find(".colorpicker-container").find(".colorpicker");b(d);var d=a[0].offsetHeight,e=a.closest(".popover"),f=parseFloat(e.css("top").replace("px",""));e.css("top",f+0.5*-(d-c)+"px")}function c(a){var b=a.target;if(f.stream_popped()&&d===b)f.hide_stream_popover();else{popovers.hide_all();
f.show_streamlist_sidebar();var c=$(b).parents("li").attr("data-name"),e=templates.render("stream_sidebar_actions",{stream:stream_data.get_sub(c)});$(b).popover({content:e,trigger:"manual",fixed:!0});$(b).popover("show");c=stream_data.get_sub(c).stream_id;c=$(".streams_popover[data-id="+c+"]");k(c,function(a){a.spectrum(stream_color.sidebar_popover_colorpicker_options)});d=b}a.stopPropagation()}function a(a){var b=a.target;if(f.topic_popped()&&e===b)f.hide_topic_popover(),a.stopPropagation();else{var c=
$(b).closest(".topic-list").expectOne().attr("data-stream"),d=$(b).closest("li").expectOne().attr("data-name"),g=stream_data.get_sub(c);if(g){popovers.hide_all();f.show_streamlist_sidebar();var k=muting.is_topic_muted(c,d),c=templates.render("topic_sidebar_actions",{stream_name:c,stream_id:g.stream_id,topic_name:d,can_mute_topic:!k,can_unmute_topic:k});$(b).popover({content:c,trigger:"manual",fixed:!0});$(b).popover("show");e=b;a.stopPropagation()}else blueslip.error("cannot build topic popover for stream: "+
c)}}function b(a){if(a=$(a.currentTarget).attr("data-stream-id")){var b=stream_data.get_sub_by_id(a);if(b)return b;blueslip.error("Unknown stream: "+a)}else blueslip.error("cannot find stream id")}var f={},d,e;f.stream_popped=function(){return void 0!==d};f.topic_popped=function(){return void 0!==e};f.hide_stream_popover=function(){f.stream_popped()&&($(d).popover("destroy"),d=void 0)};f.hide_topic_popover=function(){f.topic_popped()&&($(e).popover("destroy"),e=void 0)};f.show_streamlist_sidebar=
function(){$(".app-main .column-left").addClass("expanded");resize.resize_page_components()};f.restore_stream_list_size=function(){$(".app-main .column-left").removeClass("expanded")};f.register_click_handlers=function(){$("#stream_filters").on("click",".stream-sidebar-arrow",c);$("#stream_filters").on("click",".topic-sidebar-arrow",a);f.register_stream_handlers();f.register_topic_handlers()};f.register_stream_handlers=function(){$("body").on("click",".open_stream_settings",function(a){var b=g(a);
f.hide_stream_popover();window.location.hash="#streams";subs.onlaunch("narrow_to_row",function(){$(".stream-row[data-stream-name='"+b.name+"']").click()},!0)});$("body").on("click",".narrow_to_stream",function(a){var b=g(a);f.hide_stream_popover();narrow.by("stream",b.name,{select_first_unread:!0,trigger:"sidebar popover"});a.stopPropagation()});$("body").on("click",".pin_to_top",function(a){var b=g(a);f.hide_stream_popover();subs.toggle_pin_to_top_stream(b);a.stopPropagation()});$("body").on("click",
".compose_to_stream",function(a){var b=g(a);f.hide_stream_popover();compose_actions.start("stream",{stream:b.name,trigger:"sidebar stream actions"});a.stopPropagation()});$("body").on("click",".mark_stream_as_read",function(a){var b=g(a);f.hide_stream_popover();unread_ops.mark_stream_as_read(b.name);a.stopPropagation()});$("body").on("click",".toggle_home",function(a){var b=g(a);f.hide_stream_popover();subs.toggle_home(b);a.stopPropagation()});$("body").on("click",".popover_sub_unsub_button",function(a){$(this).toggleClass("unsub");
$(this).closest(".popover").fadeOut(500).delay(500).remove();var b=g(a);subs.sub_or_unsub(b);a.preventDefault();a.stopPropagation()});$("body").on("click",".custom_color",function(a){k($(a.target).closest(".streams_popover"),function(b){b.spectrum("destroy");b.spectrum(stream_color.sidebar_popover_colorpicker_options_full);b.parent().find(".sp-container").removeClass("sp-buttons-disabled");$(a.target).hide()});$(".streams_popover").on("click","a.sp-cancel",function(){f.hide_stream_popover()})})};
f.register_topic_handlers=function(){$("body").on("click",".narrow_to_topic",function(a){f.hide_topic_popover();var c=b(a);if(c){var d=$(a.currentTarget).attr("data-topic-name");narrow.activate([{operator:"stream",operand:c.name},{operator:"topic",operand:d}],{select_first_unread:!0,trigger:"sidebar"});a.stopPropagation()}});$("body").on("click",".sidebar-popover-mute-topic",function(a){var c=b(a);if(c){var d=$(a.currentTarget).attr("data-topic-name");muting_ui.mute(c.name,d);a.stopPropagation();
a.preventDefault()}});$("body").on("click",".sidebar-popover-unmute-topic",function(a){var c=b(a);if(c){var d=$(a.currentTarget).attr("data-topic-name");muting_ui.unmute(c.name,d);a.stopPropagation();a.preventDefault()}});$("body").on("click",".sidebar-popover-mark-topic-read",function(a){var c=b(a);if(c){var d=$(a.currentTarget).attr("data-topic-name");f.hide_topic_popover();unread_ops.mark_topic_as_read(c.name,d);a.stopPropagation()}})};return f}();"undefined"!==typeof module&&(module.exports=stream_popover);var popovers=function(){function g(a){var b=new Image;b.src="avatar/"+a+"/medium";$(b).load(function(){$(".popover-avatar").css("background-image","url("+$(this).attr("src")+")")})}function k(){if(a){var b=a.data("popover");if(b)return $("li:not(.divider):visible a",b.$tip);blueslip.error("Cannot find popover data for actions menu.")}else blueslip.error("Trying to get menu items when action popover is closed.")}var c={},a,b,f="right",d=[];(function(a){$.fn.popover=function(){a.apply(this,arguments);
this.data("popover")&&d.push(this.data("popover"))};for(var b in a)a.hasOwnProperty(b)&&($.fn.popover[b]=a[b])})($.fn.popover);c.toggle_actions_popover=function(b,c){var d=a;popovers.hide_all();$(b).closest(".message_row").toggleClass("has_popover has_actions_popover");if(!(void 0!==d&&d.get()[0]===b)&&(current_msg_list.select_id(c),d=$(b),void 0===d.data("popover"))){var e=current_msg_list.get(c),f=message_edit.get_editability(e),h;f===message_edit.editability_types.FULL?(f=!0,h=i18n.t("Edit")):
f===message_edit.editability_types.TOPIC_ONLY?(f=!1,h=i18n.t("View source / Edit topic")):(f=!1,h=i18n.t("View source"));var g=e.stream&&e.subject&&!muting.is_topic_muted(e.stream,e.subject),k=e.stream&&e.subject&&muting.is_topic_muted(e.stream,e.subject),s=_.any(e.edit_history,function(a){return void 0!==a.prev_content}),v=page_params.is_admin,e={message:e,use_edit_icon:f,editability_menu_item:h,can_mute_topic:g,can_unmute_topic:k,should_display_add_reaction_option:e.sent_by_me,should_display_edit_history_option:s,
conversation_time_uri:narrow.by_conversation_and_time_uri(e,!0),narrowed:narrow_state.active(),should_display_delete_option:v},f=d.offset().top;d.popover({placement:220>message_viewport.height()-f?"top":"bottom",title:"",content:templates.render("actions_popover_content",e),trigger:"manual"});d.popover("show");a=d}};c.open_message_menu=function(){var b=current_msg_list.selected_id();popovers.toggle_actions_popover($(".selected_message .actions_hover")[0],b);a&&(b=k())&&b.eq(0).expectOne().focus();
return!0};c.actions_menu_handle_keyboard=function(a){var b=k();if(b){var c=b.index(b.filter(":focus"));if("enter"===a&&0<=c&&c<b.length)return b.eq(c).trigger("click");if(-1===c)c=0;else if(("down_arrow"===a||"vim_down"===a)&&c<b.length-1)c+=1;else if(("up_arrow"===a||"vim_up"===a)&&0<c)c-=1;b.eq(c).focus()}};c.actions_popped=function(){return void 0!==a};c.hide_actions_popover=function(){popovers.actions_popped()&&(a.popover("destroy"),a=void 0)};c.hide_message_info_popover=function(){void 0!==b&&
(b.popover("destroy"),b=void 0)};c.hide_userlist_sidebar=function(){$(".app-main .column-right").removeClass("expanded")};c.hide_pm_list_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};c.show_userlist_sidebar=function(){$(".app-main .column-right").addClass("expanded");resize.resize_page_components()};c.show_pm_list_sidebar=function(){$(".app-main .column-left").addClass("expanded");resize.resize_page_components()};var e,h;c.hide_user_sidebar_popover=function(){void 0!==h&&
($("#user_presences").data("popover",h),$("#user_presences").popover("destroy"),h=e=void 0)};c.register_click_handlers=function(){$("#main_div").on("click",".actions_hover",function(a){var b=$(this).closest(".message_row");a.stopPropagation();popovers.toggle_actions_popover(this,rows.id(b))});$("#main_div").on("click",".sender_info_hover",function(a){var c=$(this).closest(".message_row");a.stopPropagation();c=rows.id(c);a=b;popovers.hide_all();if(!(void 0!==a&&a.get()[0]===this)&&(current_msg_list.select_id(c),
a=$(this),void 0===a.data("popover"))){timerender.set_full_datetime(current_msg_list.get(c),a.closest(".message_row").find(".message_time"));var d=current_msg_list.get(c);(c=people.get_person_from_user_id(d.sender_id))?c=c.email:(blueslip.debug("Bad sender in message"+d.sender_id),c=d.sender_email);var d={user_full_name:d.sender_full_name,user_email:c,user_id:d.sender_id,user_time:people.get_user_time(d.sender_id),pm_with_uri:narrow.pm_with_uri(c),sent_by_uri:narrow.by_sender_uri(c),narrowed:narrow_state.active(),
historical:d.historical,private_message_class:"respond_personal_button"},e=a.offset().top,f="right";e+214<message_viewport.height()&&214<e||(e+428<message_viewport.height()?f="bottom":428<e&&(f="top"));a.popover({placement:f,template:templates.render("user_info_popover",{"class":"message-info-popover"}),title:templates.render("user_info_popover_title",{user_avatar:"avatar/"+c}),content:templates.render("user_info_popover_content",d),trigger:"manual"});a.popover("show");g(c);b=a}});$("body").on("click",
".user_popover .narrow_to_private_messages",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;popovers.hide_user_sidebar_popover();narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;popovers.hide_user_sidebar_popover();narrow.by("sender",
b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .compose_private_message",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;popovers.hide_user_sidebar_popover();compose_actions.start("private",{private_message_recipient:b,trigger:"sidebar user actions"});a.stopPropagation();a.preventDefault()});$("body").on("click",".user_popover .mention_user",function(a){var b=$(a.target).parents("ul").attr("data-user-id");
compose_actions.start("stream",{trigger:"sidebar user actions"});b=people.get_person_from_user_id(b).full_name;$("#new_message_content").val("@**"+b+"** ");popovers.hide_user_sidebar_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".sender_info_popover .narrow_to_private_messages",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();
a.stopPropagation();a.preventDefault()});$("body").on("click",".sender_info_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".sender_info_popover .mention_user",function(a){compose_actions.respond_to_message({trigger:"user sidebar popover"});
var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).full_name;$("#new_message_content").val("@**"+b+"** ");popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("#user_presences").on("click","span.arrow",function(a){a.stopPropagation();a=$(this).closest("li");var b=a.find("a").attr("data-user-id"),c=a.find("a").attr("data-name");if(e===b)popovers.hide_all();else{popovers.hide_all();"right"===f&&popovers.show_userlist_sidebar();var d=people.get_person_from_user_id(b).email,
c={user_email:d,user_full_name:c,user_id:b,user_time:people.get_user_time(b),pm_with_uri:narrow.pm_with_uri(d),sent_by_uri:narrow.by_sender_uri(d),private_message_class:"compose_private_message"};a.popover({template:templates.render("user_info_popover",{"class":"user_popover"}),title:templates.render("user_info_popover_title",{user_avatar:"avatar/"+d}),content:templates.render("user_info_popover_content",c),trigger:"manual",fixed:!0,placement:"left"===f?"right":"left"});a.popover("show");g(d);e=b;
h=a.data("popover")}});$("body").on("click",".respond_button",function(a){var b=$("#new_message_content"),c=$(a.currentTarget).data("message-id");compose_actions.respond_to_message({trigger:"popover respond"});channel.get({url:"/json/messages/"+c,idempotent:!0,success:function(a){""===b.val()?b.val("```quote\n"+a.raw_content+"\n```\n"):b.val(b.val()+"\n```quote\n"+a.raw_content+"\n```\n");$("#new_message_content").trigger("autosize.resize")}});popovers.hide_actions_popover();a.stopPropagation();a.preventDefault()});
$("body").on("click",".respond_personal_button",function(a){compose_actions.respond_to_message({reply_type:"personal",trigger:"popover respond pm"});popovers.hide_all();a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_toggle_collapse",function(a){var b=$(a.currentTarget).data("message-id"),b=current_msg_list.get_row(b),c=current_msg_list.get(rows.id(b));popovers.hide_actions_popover();b&&(c.collapsed?condense.uncollapse(b):condense.collapse(b));a.stopPropagation();a.preventDefault()});
$("body").on("click",".popover_edit_message",function(a){var b=$(a.currentTarget).data("message-id"),b=current_msg_list.get_row(b);popovers.hide_actions_popover();message_edit.start(b);a.stopPropagation();a.preventDefault()});$("body").on("click",".view_edit_history",function(a){var b=$(a.currentTarget).data("msgid"),b=current_msg_list.get_row(b),b=current_msg_list.get(rows.id(b)),c=$("#message-history-cancel");popovers.hide_actions_popover();message_edit.show_history(b);c.focus();a.stopPropagation();
a.preventDefault()});$("body").on("click",".popover_mute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting_ui.mute(b,c);a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_unmute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting_ui.unmute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();
a.preventDefault()});$("body").on("click",".delete_message",function(a){var b=$(a.currentTarget).data("message-id");popovers.hide_actions_popover();message_edit.delete_message(b);a.stopPropagation();a.preventDefault()});new Clipboard(".copy_link");$("body").on("click",".copy_link",function(a){popovers.hide_actions_popover();var b=$(this).attr("data-message-id"),b=$("[zid='"+b+"']");b.find(".alert-copied").css("display","block");b.find(".alert-copied").delay(1E3).fadeOut(300);a.stopPropagation();a.preventDefault()});
(function(){var a=0;$(".app").on("scroll",function(){var b=(new Date).getTime();250<b-a&&popovers.hide_all();a=b})})()};c.any_active=function(){return popovers.actions_popped()||void 0!==h||stream_popover.stream_popped()||stream_popover.topic_popped()||void 0!==b||emoji_picker.reactions_popped()};c.hide_all=function(){$(".has_popover").removeClass("has_popover has_actions_popover has_emoji_popover");popovers.hide_actions_popover();popovers.hide_message_info_popover();emoji_picker.hide_emoji_popover();
stream_popover.hide_stream_popover();stream_popover.hide_topic_popover();popovers.hide_user_sidebar_popover();popovers.hide_userlist_sidebar();stream_popover.restore_stream_list_size();d.forEach(function(a){!document.body.contains(a.$element[0])&&a.$tip&&a.$tip.remove()})};c.set_userlist_placement=function(a){f=a||"right"};return c}();"undefined"!==typeof module&&(module.exports=popovers);var overlays=function(){var g={},k,c,a;g.is_active=function(){return!!a};g.info_overlay_open=function(){return"informationalOverlays"===a};g.settings_open=function(){return"settings"===a};g.streams_open=function(){return"subscriptions"===a};g.lightbox_open=function(){return"lightbox"===a};g.open_overlay=function(b){!b.name||!b.overlay||!b.on_close?blueslip.error("Programming error in open_overlay"):k||a||c?blueslip.error("Programming error--trying to open "+b.name+" before closing "+a):b.overlay.attr("data-overlay")!==
b.name?blueslip.error("Bad overlay setup for "+b.name):(a=b.name,k=b.overlay,b.overlay.addClass("show"),c=function(){b.on_close();a=c=k=void 0})};g.close_overlay=function(b){b!==a?blueslip.error("Trying to close "+b+" when "+a+" is open."):(k.removeClass("show"),c?c():blueslip.error("Overlay close handler for "+b+" not properly setup."))};g.close_active=function(){a?g.close_overlay(a):blueslip.warn("close_active() called without checking is_active()")};g.close_for_hash_change=function(){$(".overlay.show").removeClass("show");
a=c=k=void 0};g.open_settings=function(){overlays.open_overlay({name:"settings",overlay:$("#settings_overlay_container"),on_close:function(){hashchange.exit_overlay()}})};$(function(){$("body").on("click",".overlay, .overlay .exit",function(a){var c=$(a.target);if(c.is(".exit, .exit-sign, .overlay-content"))c=c.closest("[data-overlay]");else if(!c.is(".overlay"))return;c=c.attr("data-overlay");g.close_overlay(c);a.preventDefault();a.stopPropagation()})});return g}();
"undefined"!==typeof module&&(module.exports=overlays);var typeahead_helper=function(){function g(a,b){var c=[],d=[];if(!stream_data.get_sub(b))return{subscribers:a,non_subscribers:[]};_.each(a,function(a){"all"===a.email||"everyone"===a.email?c.push(a):stream_data.user_is_subscribed(b,a.email)?c.push(a):d.push(a)});return{subscribers:c,non_subscribers:d}}function k(a){var b=0;a.pin_to_top&&(b+=2);stream_data.is_active(a)&&(b+=1);return b}var c={get_cleaned_pm_recipients:function(a){a=util.extract_pm_recipients(a);return a=_.filter(a,function(a){return a.match(/\S/)})},
highlight_with_escaping:function(a,b){a=a.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var c=RegExp("("+a+")","ig"),d=b.split(c),e="";_.each(d,function(a){e=a.match(c)?e+("<strong>"+Handlebars.Utils.escapeExpression(a)+"</strong>"):e+Handlebars.Utils.escapeExpression(a)});return e},highlight_with_escaping_and_regex:function(a,b){var c=b.split(a),d="";_.each(c,function(b){d=b.match(a)?d+("<strong>"+Handlebars.Utils.escapeExpression(b)+"</strong>"):d+Handlebars.Utils.escapeExpression(b)});return d},
highlight_query_in_phrase:function(a,b){var f;a=a.toLowerCase();a=a.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var d=RegExp("(^"+a+")","ig"),e="",h=b.split(" ");for(f=0;f<h.length;f+=1)0<f&&(e+=" "),e+=c.highlight_with_escaping_and_regex(d,h[f]);return e},render_person:function(a){return a.special_item_text?a.special_item_text:a.full_name+" <"+a.email+">"},render_stream:function(a,b){var f=b.description,d=f.substring(0,35),f=f===d?c.highlight_with_escaping(a,f):c.highlight_with_escaping(a,d)+"...";
return c.highlight_with_escaping(a,b.name)+'&nbsp;&nbsp;<small class = "autocomplete_secondary">'+f+"</small>"},sorter:function(a,b,c){a=util.prefix_sort(a,b,c);return a.matches.concat(a.rest)},compare_by_pms:function(a,b){var c=people.get_recipient_count(a),d=people.get_recipient_count(b);return c>d?-1:c<d?1:!a.is_bot&&b.is_bot?-1:a.is_bot&&!b.is_bot?1:a.full_name<b.full_name?-1:a===b?0:1},sort_for_at_mentioning:function(a,b){var f=g(a,b),d=f.subscribers.sort(c.compare_by_pms),f=f.non_subscribers.sort(c.compare_by_pms);
return d.concat(f)},compare_by_popularity:function(a,b){var c=pygments_data.langs[b]-pygments_data.langs[a];return 0!==c?c:util.strcmp(a,b)},sort_languages:function(a,b){var f=util.prefix_sort(b,a,function(a){return a});f.matches=f.matches.sort(c.compare_by_popularity);f.rest=f.rest.sort(c.compare_by_popularity);return f.matches.concat(f.rest)},sort_recipients:function(a,b,f){a=util.prefix_sort(b,a,function(a){return a.full_name});b=util.prefix_sort(b,a.rest,function(a){return a.email});a=c.sort_for_at_mentioning(a.matches.concat(b.matches),
f);f=c.sort_for_at_mentioning(b.rest,f);return a.concat(f)},sort_emojis:function(a,b){var c=util.prefix_sort(b,a,function(a){return a.emoji_name});return c.matches.concat(c.rest)},compare_by_activity:function(a,b){var c=k(b)-k(a);if(0!==c)return c;c=b.subscribers.num_items()-a.subscribers.num_items();return 0!==c?c:util.strcmp(a.name,b.name)},sort_streams:function(a,b){var f=util.prefix_sort(b,a,function(a){return a.name}),d=util.prefix_sort(b,f.rest,function(a){return a.description});f.matches=f.matches.sort(c.compare_by_activity);
d.matches=d.matches.sort(c.compare_by_activity);d.rest=d.rest.sort(c.compare_by_activity);return f.matches.concat(d.matches.concat(d.rest))},sort_recipientbox_typeahead:function(a,b,f){a=c.get_cleaned_pm_recipients(a);a=a[a.length-1];return c.sort_recipients(b,a,f)}};return c}();"undefined"!==typeof module&&(module.exports=typeahead_helper);var search_suggestion=function(){function g(a,b){var c;b=b.toLowerCase();a=a.toLowerCase();if(0===a.indexOf(b))return!0;var d=a.split(" ");for(c=0;c<d.length;c+=1)if(0===d[c].indexOf(b))return!0;return!1}function k(a,b){var c=typeahead_helper.highlight_query_in_phrase;return c(a,b.full_name)+" &lt;"+c(a,b.email)+"&gt;"}function c(a){var b;switch(a.length){case 0:b="";break;case 1:var c=a[0].operator;b=a[0].operand;if(!("stream"===c||"search"===c))return[];break;default:return[]}a=stream_data.subscribed_streams();
a=_.filter(a,function(a){return g(a,b)});a=typeahead_helper.sorter(b,a);return _.map(a,function(a){var c="Narrow to stream "+typeahead_helper.highlight_query_in_phrase(b,a);a=Filter.unparse([{operator:"stream",operand:a}]);return{description:c,search_string:a}})}function a(a,b,c){if(0===b.length)return[];var d=!1;"is"===b[0].operator&&"private"===b[0].operand?(b=b.slice(1),d=!0):_.each(c,function(a){b[0].operator===a&&(d=!0)});if(!d)return[];var e,f,h=!1;if(0===b.length)e="",f=c[0];else if(1===b.length){var l=
b[0].operator;"search"===l?(e=b[0].operand,f=c[0]):_.each(c,function(a){l===a&&(e=b[0].operand,f=a,h=b[0].negated)});if(void 0===e)return[]}else return[];a=_.filter(a,function(a){return""===e||g(a.full_name,e)||g(a.email,e)});a.sort(typeahead_helper.compare_by_pms);a=a.slice(0,15);var m=Filter.operator_to_prefix(f,h);a=_.map(a,function(a){var b={operator:f,operand:a.email,negated:h};a=k(e,a);a=m+" "+a;var c=[b];h&&(c=[{operator:"is",operand:"private"},b]);b=Filter.unparse(c);return{description:a,
search_string:b}});a.push({search_string:"is:private",description:"Private messages"});return a}function b(a,b){if(0===b.length)return[];"is"===b[0].operator&&"private"===b[0].operand&&(b=b.slice(1));if(1!==b.length||"pm-with"!==b[0].operator)return[];var c=b[0].operand,d=b[0].negated,e,f,h=c.lastIndexOf(",");if(0>h)return[];e=c.slice(0,h);f=c.slice(h+1);var l=e.split(","),c=_.filter(a,function(a){return _.contains(l,a.email)?!1:""===f||g(a.full_name,f)||g(a.email,f)});c.sort(typeahead_helper.compare_by_pms);
var c=c.slice(0,15),m=Filter.operator_to_prefix("pm-with",d);return _.map(c,function(a){var b={operator:"pm-with",operand:e+","+a.email,negated:d};a=k(f,a);a=m+" "+e+","+a;var c=[b];d&&(c=[{operator:"is",operand:"private"},b]);b=Filter.unparse(c);return{description:a,search_string:b}})}function f(a,b,c){if(""===b)return[];a=_.filter(a,function(a){return g(a.full_name,b)||g(a.email,b)});a.sort(typeahead_helper.compare_by_pms);var d=Filter.operator_to_prefix(c);return _.map(a,function(a){var e=k(b,
a);return{description:d+" "+e,search_string:c+":"+a.email}})}function d(a){var b=Filter.unparse(a);a=Filter.describe(a);a=Handlebars.Utils.escapeExpression(a);return{description:a,search_string:b}}function e(a){if(0===a.length)return[];var b=a.slice(-1)[0],c=Filter.canonicalize_operator(b.operator),d=b.operand,e="topic"===c&&b.negated,f;switch(c){case "stream":b=new Filter(a);if(b.has_operator("topic"))return[];f="";break;case "topic":case "search":f=d;a=a.slice(0,-1);b=new Filter(a);if(b.has_operator("topic"))return[];
b.has_operator("stream")?d=b.operands("stream")[0]:(d=narrow_state.stream(),a.push({operator:"stream",operand:d}));break;default:return[]}if(!d)return[];b=stream_data.get_recent_topics(d);d=stream_data.get_name(d);if(!b)return[];b=b.slice(0,300);b=_.map(b,function(a){return a.subject});""!==f&&(b=_.filter(b,function(a){return g(a,f)}));b=b.slice(0,10);b.sort();return _.map(b,function(b){b=a.concat([{operator:"topic",operand:b,negated:e}]);var c=Filter.unparse(b);return{description:Filter.describe(b),
search_string:c}})}function h(a,b){if(1>b.length)return[];var c,d=[];for(c=b.length-1;1<=c;c-=1){var e=b.slice(0,c),f=Filter.unparse(e),e={description:Filter.describe(e),search_string:f};d.push(e)}return d}function l(a,b){if(2<=b.length)return[];var c=[{search_string:"",description:"Home"},{search_string:"in:all",description:"All messages"},{search_string:"is:private",description:"Private messages"},{search_string:"is:starred",description:"Starred messages"},{search_string:"is:mentioned",description:"@-mentions"},
{search_string:"is:alerted",description:"Alerted messages"}];a=a.toLowerCase();return c=_.filter(c,function(b){return b.search_string.toLowerCase()===a?!1:""===a?!0:0===b.search_string.toLowerCase().indexOf(a)||0===b.description.toLowerCase().indexOf(a)})}function m(a,b){if(2<=b.length)return[];var c="sender:"+people.my_current_email(),d="from:"+people.my_current_email();a=a.toLowerCase();if(!(a===c||a===d)){if(""===a||0===c.indexOf(a)||0==="sent by me".indexOf(a))return[{search_string:c,description:"Sent by me"}];
if(0===d.indexOf(a))return[{search_string:d,description:"Sent by me"}]}return[]}return{get_suggestions:function(g){var k=[],p,n=Filter.parse(g),k=[d(n)];p=l(g,n);k=k.concat(p);p=m(g,n);k=k.concat(p);p=c(n);var k=k.concat(p),t=people.get_all_persons();p=f(t,g,"pm-with");k=k.concat(p);p=f(t,g,"sender");k=k.concat(p);p=b(t,n);k=k.concat(p);p=a(t,n,["pm-with","sender","from"]);k=k.concat(p);p=e(n);k=k.concat(p);p=h(g,n);var k=k.concat(p),u={},s=[];_.each(k,function(a){u[a.search_string]||(u[a.search_string]=
a,s.push(a))});return{strings:_.map(s,function(a){return a.search_string}),lookup_table:u}}}}();"undefined"!==typeof module&&(module.exports=search_suggestion);var search=function(){function g(a){var b=$("#search_query");ui_util.change_tab_to("#home");a=Filter.parse(a);narrow.activate(a,{trigger:"search"});b.blur();return b.val()}function k(a){var b=$("#search_query");a||b.val()||narrow_state.active()?$(".search_button").removeAttr("disabled"):$(".search_button").attr("disabled","disabled")}var c={update_button_visibility:function(){k($("#search_query").is(":focus"))},initialize:function(){var a={};$("#search_query").typeahead({source:function(b){b=search_suggestion.get_suggestions(b);
a=b.lookup_table;return b.strings},fixed:!0,items:12,helpOnEmptyStrings:!0,naturalSearch:!0,highlighter:function(b){return a[b].description},matcher:function(){return!0},updater:g,sorter:function(a){return a}});$("#searchbox_form").keydown(function(a){c.update_button_visibility();var b=a.which,e=$("#search_query");if(13===b&&e.is(":focus"))return a.preventDefault(),!1}).keyup(function(a){a=a.which;var b=$("#search_query");13===a&&b.is(":focus")&&(narrow.activate(Filter.parse(b.val()),{trigger:"search"}),
b.blur(),k(!1))});$("#search_exit").on("click",c.clear_search);var b=$("#search_query");b.on("focus",c.focus_search).on("blur",function(){setTimeout(function(){var a=narrow_state.search_string();b.val(a);c.update_button_visibility()},100)})},focus_search:function(){k(!0)},initiate_search:function(){$("#search_query").select()},clear_search:function(){narrow.deactivate();$("#search_query").blur();c.update_button_visibility()}};return c}();"undefined"!==typeof module&&(module.exports=search);var composebox_typeahead=function(){function g(a){a=util.extract_pm_recipients(a);return a[a.length-1]}function k(a){return typeahead_helper.highlight_with_escaping(this.query,a)}function c(a,b){a=a.toLowerCase();return-1!==b.email.toLowerCase().indexOf(a)||-1!==b.full_name.toLowerCase().indexOf(a)}function a(a){var b=a.keyCode||a.which;if(13===b||9===b&&!a.shiftKey)if(("stream"===a.target.id||"subject"===a.target.id||"private_message_recipient"===a.target.id)&&a.preventDefault(),"new_message_content"===
a.target.id&&13!==b&&a.preventDefault(),"stream"===a.target.id?l="subject":"subject"===a.target.id?(13===b&&a.preventDefault(),l="new_message_content"):l="private_message_recipient"===a.target.id?"new_message_content":"new_message_content"===a.target.id?13===b?!1:"compose-send-button":!1,!$("#subject").data().typeahead.shown&&(!$("#stream").data().typeahead.shown&&!$("#private_message_recipient").data().typeahead.shown&&!$("#new_message_content").data().typeahead.shown)&&(l&&(ui_util.focus_on(l),
l=!1),"new_message_content"===a.target.id&&13===b&&(!page_params.enter_sends&&(a.metaKey||a.ctrlKey)||page_params.enter_sends&&!a.shiftKey&&!a.ctrlKey&&!a.metaKey&&!a.altKey)))a.preventDefault(),"disabled"!==$("#compose-send-button").attr("disabled")&&($("#compose-send-button").attr("disabled","disabled"),compose.finish())}function b(a){var b=a.keyCode||a.which;if((13===b||9===b&&!a.shiftKey)&&l)ui_util.focus_on(l),l=!1}function f(a){var b=!1;$("#"+a).focus(function(){b||(b=!0,$("#"+a).select().one("mouseup",
function(a){a.preventDefault()}),b=!1)})}function d(a,b){var c=a.lastIndexOf(b);return-1===c||c<a.length-1-30||0<c&&-1==="\n\t \"'(){}[]".indexOf(a[c-1])?!1:!0}var e={},h=new Dict;e.add_topic=function(a,b){var c=a.toLowerCase(),d=b.toLowerCase();h.has(c)||h.set(c,new Dict);c=h.get(c);c.has(d)||c.set(d,b)};e.topics_seen_for=function(a){a=a.toLowerCase();return h.has(a)?h.get(a).values().sort():[]};var l=!1;e.split_at_cursor=function(a,b){var c=b.caret();return[a.slice(0,c),a.slice(c)]};e.tokenize_compose_str=
function(a){var b=a.length,c=a.length-25;for(0>c&&(c=0);b>c;)switch(b-=1,a[b]){case "`":case "~":if(2===b)return a.slice(0);if(2<b&&"\n"===a[b-3])return a.slice(b-2);break;case "#":case "@":case ":":if(0===b||/[\s(){}\[\]]/.test(a[b-1]))return a.slice(b)}return""};e.compose_content_begins_typeahead=function(a){a=e.split_at_cursor(a,this.$element)[0];var b=e.tokenize_compose_str(a);if(""===b)return!1;var c=b.substring(0,3);if(this.options.completions.syntax&&("```"===c||"~~~"===c)){if(3===b.length)return!1;
b=b.substring(3);if(" "===b)return!1;" "===b[0]&&(b=b.substring(1));this.completing="syntax";this.token=b;return Object.keys(pygments_data.langs)}if(this.options.completions.emoji&&":"===b[0]){if(/^:-?.?$/.test(b))return!1;this.completing="emoji";this.token=b.substring(1);return emoji.emojis}if(this.options.completions.mention&&"@"===b[0]){if(!d(a,"@"))return!1;b=a.substring(a.lastIndexOf("@")+1);if(1>b.length||-1!==b.lastIndexOf("*"))return!1;this.completing="mention";this.token=b.substring(b.indexOf("@")+
1);a=people.get_realm_persons();return[].concat(a,[{special_item_text:"all (Notify everyone)",email:"all",pm_recipient_count:Infinity,full_name:"all"},{special_item_text:"everyone (Notify everyone)",email:"everyone",pm_recipient_count:Infinity,full_name:"everyone"}])}if(this.options.completions.stream&&"#"===b[0]){if(!d(a,"#"))return!1;b=a.substring(a.lastIndexOf("#")+1);if(1>b.length||" "===b[0])return!1;this.completing="stream";this.token=b.substring(b.indexOf("#")+1);return stream_data.subscribed_subs()}return!1};
e.content_highlighter=function(a){if("emoji"===this.completing)return"<img class='emoji' src='"+a.emoji_url+"' /> "+a.emoji_name;if("mention"===this.completing)return a=typeahead_helper.render_person(a),typeahead_helper.highlight_with_escaping(this.token,a);if("stream"===this.completing)return typeahead_helper.render_stream(this.token,a);if("syntax"===this.completing)return typeahead_helper.highlight_with_escaping(this.token,a)};e.content_typeahead_selected=function(a){var b=e.split_at_cursor(this.query,
this.$element),c=b[0],b=b[1];"emoji"===this.completing?c=0===c.lastIndexOf(":")||" "===c.charAt(c.lastIndexOf(":")-1)?c.replace(/:\S+$/,"")+":"+a.emoji_name+": ":c.replace(/:\S+$/,"")+" :"+a.emoji_name+": ":"mention"===this.completing?(c=c.substring(0,c.length-this.token.length-1)+"@**"+a.full_name+"** ",$(document).trigger("usermention_completed.zulip",{mentioned:a})):"stream"===this.completing?(c=c.substring(0,c.length-this.token.length-1)+"#**"+a.name+"** ",$(document).trigger("streamname_completed.zulip",
{stream:a})):"syntax"===this.completing&&(b="\n"+c.substring(c.length-this.token.length-4,c.length-this.token.length).trim()+b,c=c.substring(0,c.length-this.token.length)+a+"\n");setTimeout(function(){$("#new_message_content").caret(c.length,c.length);compose_ui.autosize_textarea()},0);return c+b};e.initialize_compose_typeahead=function(a,b){b=$.extend({mention:!1,emoji:!1,stream:!1,syntax:!1},b);$(a).typeahead({items:5,dropup:!0,fixed:!0,source:e.compose_content_begins_typeahead,highlighter:e.content_highlighter,
matcher:function(a){if("emoji"===this.completing)return-1!==a.emoji_name.toLowerCase().indexOf(this.token.toLowerCase());if("mention"===this.completing)return c(this.token,a);if("stream"===this.completing){var b=this.token,b=b.toLowerCase();return-1!==a.name.toLowerCase().indexOf(b)||-1!==a.description.toLowerCase().indexOf(b)}if("syntax"===this.completing)return b=this.token,b=b.toLowerCase(),-1!==a.indexOf(b)},sorter:function(a){if("emoji"===this.completing)return typeahead_helper.sort_emojis(a,
this.token);if("mention"===this.completing)return typeahead_helper.sort_recipients(a,this.token,compose_state.stream_name());if("stream"===this.completing)return typeahead_helper.sort_streams(a,this.token);if("syntax"===this.completing)return typeahead_helper.sort_languages(a,this.token)},updater:e.content_typeahead_selected,stopAdvance:!0,completions:b})};e.initialize=function(){f("stream");f("subject");f("private_message_recipient");$("form#send_message_form").keydown(a);$("form#send_message_form").keyup(b);
$("#enter_sends").click(function(){var a=$("#compose-send-button");page_params.enter_sends=$("#enter_sends").is(":checked");page_params.enter_sends?a.fadeOut():a.fadeIn();$("#new_message_content").focus();return channel.post({url:"/json/users/me/enter-sends",idempotent:!0,data:{enter_sends:page_params.enter_sends}})});$("#enter_sends").prop("checked",page_params.enter_sends);page_params.enter_sends&&$("#compose-send-button").hide();$("#stream").typeahead({source:function(){return stream_data.subscribed_streams()},
items:3,fixed:!0,highlighter:function(a){return typeahead_helper.highlight_query_in_phrase(this.query,a)},matcher:function(a){var b=this.query.trim().toLowerCase();return 0===a.toLowerCase().indexOf(b)}});$("#subject").typeahead({source:function(){var a=$("#stream").val();return e.topics_seen_for(a)},items:3,fixed:!0,highlighter:k,sorter:function(a){a=typeahead_helper.sorter(this.query,a,function(a){return a});0<a.length&&-1===a.indexOf(this.query)&&a.unshift(this.query);return a}});$("#private_message_recipient").typeahead({source:people.get_all_persons,
items:5,dropup:!0,fixed:!0,highlighter:function(a){var b=g(this.query);a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(b,a)},matcher:function(a){var b=g(this.query);return!b||!b.match(/\S/)||-1<util.extract_pm_recipients(this.query).indexOf(a.email)?!1:c(b,a)},sorter:function(a){var b=compose_state.stream_name();return typeahead_helper.sort_recipientbox_typeahead(this.query,a,b)},updater:function(a,b){var c=typeahead_helper.get_cleaned_pm_recipients(this.query);
c.pop();c=c.join(", ");0!==c.length&&(c+=", ");b&&"click"===b.type&&ui_util.focus_on("private_message_recipient");return c+a.email+", "},stopAdvance:!0});e.initialize_compose_typeahead("#new_message_content",{mention:!0,emoji:!0,stream:!0,syntax:!0});$("#private_message_recipient").blur(function(){var a=$(this).val(),a=typeahead_helper.get_cleaned_pm_recipients(a);$(this).val(a.join(", "))})};return e}();"undefined"!==typeof module&&(module.exports=composebox_typeahead);var navigate=function(){function g(a){current_msg_list.select_id(rows.id(a),{then_scroll:!0,from_scroll:!0})}function k(){var a=message_viewport.message_viewport_info().visible_height-55;1>a&&(a=1);return a}var c={up:function(){message_viewport.last_movement_direction=-1;var a=rows.prev_visible(current_msg_list.selected_row());0!==a.length&&g(a)},down:function(a){message_viewport.last_movement_direction=1;var b=rows.next_visible(current_msg_list.selected_row());0!==b.length&&g(b);a&&0===b.length&&
(a=rows.get_table(current_msg_list.table_name),message_viewport.scrollTop(a.outerHeight(!0)-0.1*message_viewport.height()),unread_ops.mark_current_list_as_read())},to_home:function(){message_viewport.last_movement_direction=-1;var a=rows.first_visible(current_msg_list.selected_row());0!==a.length&&g(a)},to_end:function(){var a=current_msg_list.last().id;message_viewport.last_movement_direction=1;current_msg_list.select_id(a,{then_scroll:!0,from_scroll:!0});unread_ops.mark_current_list_as_read()},
page_up_the_right_amount:function(){var a=k();message_viewport.scrollTop(message_viewport.scrollTop()-a)},page_down_the_right_amount:function(){var a=k();message_viewport.scrollTop(message_viewport.scrollTop()+a)},page_up:function(){message_viewport.at_top()&&!current_msg_list.empty()?current_msg_list.select_id(current_msg_list.first().id,{then_scroll:!1}):c.page_up_the_right_amount()},page_down:function(){message_viewport.at_bottom()&&!current_msg_list.empty()?(current_msg_list.select_id(current_msg_list.last().id,
{then_scroll:!1}),unread_ops.mark_current_list_as_read()):c.page_down_the_right_amount()},cycle_stream:function(a){var b,c,d=narrow_state.stream();void 0!==d&&(b=stream_data.get_stream_id(d),b=stream_list.get_stream_li(b));if(b){switch(a){case "forward":void 0===narrow_state.stream()?c=$("#stream_filters").children(".narrow-filter").first():(c=b.next(".narrow-filter"),0===c.length&&(c=$("#stream_filters").children(".narrow-filter").first()));break;case "backward":void 0===narrow_state.stream()?c=
$("#stream_filters").children(".narrow-filter").last():(c=b.prev(".narrow-filter"),0===c.length&&(c=$("#stream_filters").children(".narrow-filter").last()));break;default:blueslip.error("Invalid parameter to cycle_stream",{value:a})}narrow.by("stream",c.data("name"))}},scroll_to_selected:function(){var a=current_msg_list.selected_row();a&&0!==a.length&&message_viewport.recenter_view(a)},maybe_scroll_to_selected:function(){pointer.recenter_pointer_on_display&&(c.scroll_to_selected(),pointer.recenter_pointer_on_display=
!1)}};return c}();"undefined"!==typeof module&&(module.exports=navigate);var list_util=function(){var g={},k=["#group-pm-list","#stream_filters","#global_filters","#user_presences"];g.inside_list=function(c){return 0<$(c.target).closest(k.join(", ")).length};g.go_down=function(c){$(c.target).closest("li").next().find("a").focus()};g.go_up=function(c){$(c.target).closest("li").prev().find("a").focus()};return g}();"undefined"!==typeof module&&(module.exports=list_util);var hotkeys=function(){function g(a){a(current_msg_list.selected_id(),{trigger:"hotkey"});return!0}function k(){return compose_state.composing()&&""===compose_state.message_content()&&$("#new_message_content").is(":focus")}function c(){var a=current_msg_list.selected_message(),b=$(current_msg_list.selected_row()).find(".icon-vector-chevron-down")[0];a.sent_by_me||(b=$(current_msg_list.selected_row()).find(".icon-vector-smile")[0]);emoji_picker.toggle_emoji_popover(b,current_msg_list.selected_id());
return!0}var a={},b=["down_arrow","up_arrow","vim_up","vim_down","enter"],f={9:{name:"shift_tab",message_view_only:!1},32:{name:"shift_spacebar",message_view_only:!0}},d={9:{name:"tab",message_view_only:!1},27:{name:"escape",message_view_only:!1},32:{name:"spacebar",message_view_only:!0},33:{name:"page_up",message_view_only:!0},34:{name:"page_down",message_view_only:!0},35:{name:"end",message_view_only:!0},36:{name:"home",message_view_only:!0},37:{name:"left_arrow",message_view_only:!1},39:{name:"right_arrow",
message_view_only:!1},38:{name:"up_arrow",message_view_only:!1},40:{name:"down_arrow",message_view_only:!1}},e={219:{name:"esc_ctrl",message_view_only:!1}},h={8:{name:"backspace",message_view_only:!0},13:{name:"enter",message_view_only:!1}},l={42:{name:"star_message",message_view_only:!0},43:{name:"thumbs_up_emoji",message_view_only:!0},47:{name:"search",message_view_only:!1},58:{name:"open_reactions",message_view_only:!0},63:{name:"show_shortcuts",message_view_only:!1},64:{name:"compose_reply_with_mention",
message_view_only:!0},65:{name:"stream_cycle_backward",message_view_only:!0},67:{name:"compose_private_message",message_view_only:!0},68:{name:"stream_cycle_forward",message_view_only:!0},71:{name:"G_end",message_view_only:!0},74:{name:"vim_page_down",message_view_only:!0},75:{name:"vim_page_up",message_view_only:!0},77:{name:"toggle_mute",message_view_only:!0},80:{name:"narrow_private",message_view_only:!0},82:{name:"respond_to_author",message_view_only:!0},83:{name:"narrow_by_subject",message_view_only:!0},
86:{name:"view_selected_stream",message_view_only:!1},99:{name:"compose",message_view_only:!0},100:{name:"open_drafts",message_view_only:!1},103:{name:"gear_menu",message_view_only:!0},105:{name:"message_actions",message_view_only:!0},106:{name:"vim_down",message_view_only:!0},107:{name:"vim_up",message_view_only:!0},110:{name:"n_key",message_view_only:!1},113:{name:"query_users",message_view_only:!1},114:{name:"reply_message",message_view_only:!0},115:{name:"narrow_by_recipient",message_view_only:!0},
118:{name:"show_lightbox",message_view_only:!0},119:{name:"query_streams",message_view_only:!1}};a.get_keydown_hotkey=function(a){if(!a.metaKey&&!a.altKey){var b;if(a.ctrlKey){if(b=e[a.which])return b}else return a.shiftKey&&(b=f[a.which])||!a.shiftKey&&(b=d[a.which])?b:h[a.which]}};a.get_keypress_hotkey=function(a){if(!a.metaKey&&!a.ctrlKey&&!a.altKey)return l[a.which]};a.processing_text=function(){return 0<$("input:focus,select:focus,textarea:focus,#compose-send-button:focus").length};a.is_editing_stream_name=
function(a){return $(a.target).is(".editable-section")};a.process_escape_key=function(b){if(a.is_editing_stream_name(b))return!1;if(overlays.is_active())return overlays.close_active(),!0;if(gear_menu.is_open())return gear_menu.close(),!0;if(message_edit.is_editing(current_msg_list.selected_id()))return message_edit.end(current_msg_list.selected_row()),!0;if(a.processing_text()){if(0<$(".message_edit_content").filter(":focus").length)return b=$(".message_edit_content").filter(":focus").closest(".message_row"),
b.find(".message_edit_content").blur(),message_edit.end(b),!0;if(0<$(".message_edit_topic").filter(":focus").length)return b=$(".message_edit_topic").filter(":focus").closest(".message_row"),b.find(".message_edit_topic").blur(),message_edit.end(b),!0;if(activity.searching())return activity.escape_search(),!0;if(stream_list.searching())return stream_list.escape_search(),!0;if(emoji_picker.reactions_popped())return emoji_picker.hide_emoji_popover(),!0;if(compose_state.composing())return compose_actions.cancel(),
!0;$("input:focus,textarea:focus").blur();return!0}if(popovers.any_active())return popovers.hide_all(),!0;if(compose_state.composing())return compose_actions.cancel(),!0;search.clear_search();return!0};a.process_enter_key=function(b){if($(".dropdown.open").length)return b.target.click(),!0;if(emoji_picker.reactions_popped())return emoji_picker.is_composition(b.target)?b.target.click():emoji_picker.toggle_selected_emoji(),!0;if(a.is_editing_stream_name(b))return $(b.target).parent().find(".checkmark").click(),
!1;if(popovers.actions_popped())return popovers.actions_menu_handle_keyboard("enter"),!0;if(overlays.settings_open()||overlays.streams_open())return!1;if(a.processing_text())return activity.searching()?(activity.blur_search(),!0):stream_list.searching()?(stream_list.clear_and_hide_search(),!0):!1;if(drafts.drafts_overlay_open())return drafts.drafts_handle_events(b,"enter"),!0;if(0<$("a:focus,button:focus").length)return!1;if($("#preview_message_area").is(":visible"))return compose.enter_with_preview_open(),
!0;if(current_msg_list.empty())return!1;compose_actions.respond_to_message({trigger:"hotkey enter"});return!0};a.process_tab_key=function(){var a;a=$(".message_edit_content").filter(":focus");if(0<a.length)return a=a.closest(".message_edit_form"),a.find(".message_edit_save").focus(),!0;a=$(".message_edit_save").filter(":focus");return 0<a.length?(a=a.closest(".message_edit_form"),a.find(".message_edit_cancel").focus(),!0):!1};a.process_shift_tab_key=function(){if($("#compose-send-button").is(":focus"))return ui.restore_compose_cursor(),
!0;if(0<$(".message_edit_cancel").filter(":focus").length)return $(".message_edit_save").focus(),!0;var a=$(".message_edit_save").filter(":focus");return 0<a.length?(a.closest(".message_edit_form").find(".message_edit_content").focus(),!0):!1};a.process_hotkey=function(d,e){var f=e.name;switch(f){case "escape":return a.process_escape_key(d);case "enter":return a.process_enter_key(d);case "tab":return a.process_tab_key();case "shift_tab":return a.process_shift_tab_key();case "esc_ctrl":return a.process_escape_key(d)}switch(f){case "up_arrow":case "down_arrow":case "backspace":if(drafts.drafts_overlay_open())return drafts.drafts_handle_events(d,
f),!0}if(e.message_view_only&&overlays.is_active())return a.processing_text()?!1:"narrow_by_subject"===f&&overlays.streams_open()?(subs.keyboard_sub(),!0):!1;if(overlays.settings_open()){if(a.processing_text())return!1;switch(f){case "up_arrow":return settings.handle_up_arrow(d),!0;case "down_arrow":return settings.handle_down_arrow(d),!0}return!1}if(emoji_picker.reactions_popped())return emoji_picker.navigate(d,f);if(overlays.info_overlay_open())return!1;if(("up_arrow"===f||"down_arrow"===f)&&overlays.streams_open())return subs.switch_rows(f);
if(a.is_editing_stream_name(d))return!1;if("up_arrow"===f&&list_util.inside_list(d))return list_util.go_up(d),!0;if("down_arrow"===f&&list_util.inside_list(d))return list_util.go_down(d),!0;if(-1!==b.indexOf(f)&&popovers.actions_popped())return popovers.actions_menu_handle_keyboard(f),!0;if("backspace"===f&&$("#compose-send-button").is(":focus"))return!0;if(a.processing_text()){if("left_arrow"===f&&k())return message_edit.edit_last_sent_message(),!0;if(("up_arrow"===f||"down_arrow"===f)&&k())compose_actions.cancel();
else return"page_up"===f?($("#new_message_content").caret(0),!0):"page_down"===f?($("#new_message_content").caret(Infinity),!0):!1}if("left_arrow"===f){if(overlays.lightbox_open())return lightbox.prev(),!0;if(overlays.streams_open())return subs.toggle_view(f),!0;message_edit.edit_last_sent_message();return!0}if("right_arrow"===f){if(overlays.lightbox_open())return lightbox.next(),!0;if(overlays.streams_open())return subs.toggle_view(f),!0}switch(f){case "compose":return compose_actions.start("stream",
{trigger:"compose_hotkey"}),!0;case "compose_private_message":return compose_actions.start("private",{trigger:"compose_hotkey"}),!0;case "narrow_private":return g(function(a,b){narrow.by("is","private",b)});case "query_streams":return stream_list.initiate_search(),!0;case "query_users":return activity.initiate_search(),!0;case "search":return search.initiate_search(),!0;case "gear_menu":return gear_menu.open(),!0;case "show_shortcuts":return ui.show_info_overlay("keyboard-shortcuts"),!0;case "stream_cycle_backward":return navigate.cycle_stream("backward"),
!0;case "stream_cycle_forward":return navigate.cycle_stream("forward"),!0;case "view_selected_stream":return overlays.streams_open()&&subs.view_stream(),!0;case "n_key":return overlays.streams_open()?subs.new_stream_clicked():narrow.narrow_to_next_topic(),!0;case "open_drafts":return drafts.toggle(),!0}if(current_msg_list.empty())return!1;switch(f){case "down_arrow":case "vim_down":return navigate.down(!0),!0;case "up_arrow":case "vim_up":return navigate.up(),!0;case "home":return navigate.to_home(),
!0;case "end":case "G_end":return navigate.to_end(),!0;case "page_up":case "vim_page_up":case "shift_spacebar":return navigate.page_up(),!0;case "page_down":case "vim_page_down":case "spacebar":return navigate.page_down(),!0}var h=current_msg_list.selected_message();switch(f){case "message_actions":return popovers.open_message_menu();case "star_message":return message_flags.toggle_starred(h);case "narrow_by_recipient":return g(narrow.by_recipient);case "narrow_by_subject":return g(narrow.by_subject);
case "reply_message":return compose_actions.respond_to_message({trigger:"hotkey"}),!0;case "respond_to_author":return compose_actions.respond_to_message({reply_type:"personal",trigger:"hotkey pm"}),!0;case "compose_reply_with_mention":return compose_actions.reply_with_mention({trigger:"hotkey"}),!0;case "show_lightbox":return lightbox.show_from_selected_message(),!0;case "open_reactions":return c(),!0;case "thumbs_up_emoji":return reactions.toggle_emoji_reaction(h.id,"+1"),!0;case "toggle_mute":return muting_ui.toggle_mute(h),
!0}return!1};a.process_keydown=function(b){activity.new_user_input=!0;var c=a.get_keydown_hotkey(b);return!c?!1:a.process_hotkey(b,c)};$(document).keydown(function(b){a.process_keydown(b)&&(resize.resize_bottom_whitespace(),b.preventDefault())});a.process_keypress=function(b){var c=a.get_keypress_hotkey(b);return!c?!1:a.process_hotkey(b,c)};$(document).keypress(function(b){a.process_keypress(b)&&b.preventDefault()});return a}();"undefined"!==typeof module&&(module.exports=hotkeys);var favicon=function(){return{reset:function(){$('link[rel="shortcut icon"]').detach().appendTo("head")},set:function(g){/webkit/i.test(navigator.userAgent)?$('link[rel="shortcut icon"]').attr("href",g):($('link[rel="shortcut icon"]').remove(),$("head").append($("<link>").attr("rel","shortcut icon").attr("href",g)))}}}();"undefined"!==typeof module&&(module.exports=favicon);var notifications=function(){function g(a){a.onclose=function(){};a.onclick=function(){};a.cancel()}function k(){0<unread.get_counts().private_message_count?(r===m?(favicon.set(q),r=q,q=m):(favicon.set(m),q=r,r=m),setTimeout(k,2E3)):(p=!1,favicon.set(r))}function c(a,b,c,d,e){b=$(templates.render("notification",{gravatar_url:people.small_avatar_url(a),title:b,content:c,message_id:a.id}));$(".top-right").notify({message:{html:b},fadeOut:{enabled:!0,delay:4E3}}).show();$(".notification[data-message-id='"+
a.id+"']").expectOne().data("narrow",{raw_operators:d,opts_notif:e})}function a(a){var b,e,f,h,k,l=a.message,m=l.sender_full_name,p=1,r,q=[],t={select_first_unread:!0,trigger:"notification click"};h=$("<div/>").html(l.content);ui.replace_emoji_with_text(h);h=h.text();l.is_me_message&&(h=l.sender_full_name+h.slice(3));"private"===l.type?(void 0!==page_params.pm_content_in_desktop_notifications&&!page_params.pm_content_in_desktop_notifications&&(h="New private message from "+l.sender_full_name),k=f=
l.display_reply_to,k=k.replace(", "+l.sender_full_name,""),k=k.replace(l.sender_full_name+", ",""),r="pm"):(f=l.sender_full_name+" to "+l.stream+" > "+l.subject,r=l.mentioned?"mention":l.alerted?"alert":"stream");if(150<h.length){for(b=150;0<b&&" "!==h[b];b-=1);h=h.substring(0,b);h+=" [...]"}void 0===window.bridge&&void 0!==d[f]&&(p=d[f].msg_count+1,m=p+" messages from "+m,e=d[f].obj,g(e));"private"===l.type&&(2<l.display_recipient.length?(230<h.length+m.length+k.length&&(k=k.replace(/[^,]/g,"").length+
" other people"),m+=" (to you and "+k+")"):m+=" (to you)",q=[{operand:l.reply_to,operator:"pm-with"}]);"stream"===l.type&&(m+=" (to "+l.stream+" > "+l.subject+")",q=[{operator:"stream",operand:l.stream},{operator:"topic",operand:l.subject}]);void 0===window.bridge&&!0===a.webkit_notify?(a=people.small_avatar_url(l),d[f]={obj:n.createNotification(a,m,h,l.id),msg_count:p,message_id:l.id},e=d[f].obj,e.onclick=function(){e.cancel();feature_flags.clicking_notification_causes_narrow&&narrow.by_subject(l.id,
{trigger:"notification"});window.focus()},e.onclose=function(){delete d[f]},e.show()):!1===a.webkit_notify&&"undefined"!==typeof Notification&&!0===/mozilla/i.test(navigator.userAgent)?Notification.requestPermission(function(a){"granted"===a?e=new Notification(m,{body:h,iconUrl:people.small_avatar_url(l),tag:l.id}):c(l,m,h,q,t)}):!1===a.webkit_notify?c(l,m,h,q,t):window.bridge.desktopNotification(m,h,r)}function b(a){return"stream"===a.type?a.stream+">"+a.subject:2<a.display_recipient.length?"group PM with "+
a.display_reply_to:people.is_current_user(a.reply_to)?"PM with yourself":"PM with "+a.display_reply_to}var f={},d={},e=document.hasFocus&&document.hasFocus(),h=!1,l,m="/static/images/favicon/favicon-pms.png",r,q,p=!1,n;window.webkitNotifications?n=window.webkitNotifications:window.Notification&&(n={checkPermission:function(){return"granted"===window.Notification.permission?0:2},requestPermission:window.Notification.requestPermission,createNotification:function(a,b,c,d){var e=new window.Notification(b,
{icon:a,body:c,tag:d});e.show=function(){};e.cancel=function(){e.close()};return e}});f.initialize=function(){$(window).focus(function(){e=!0;_.each(d,function(a){g(a.obj)});d={};unread_ops.process_visible()}).blur(function(){e=!1});if(void 0!==window.bridge)l=!0;else{var a=$("<audio>");void 0===a[0].canPlayType?l=!1:(l=!0,$("#notifications-area").append(a),a[0].canPlayType('audio/ogg; codecs="vorbis"')?a.append($("<source>").attr("type","audio/ogg").attr("loop","yes").attr("src","/static/audio/zulip.ogg")):
a.append($("<source>").attr("type","audio/mpeg").attr("loop","yes").attr("src","/static/audio/zulip.mp3")));n&&$(document).click(function(){page_params.enable_desktop_notifications&&!h&&0!==n.checkPermission()&&(tutorial.is_running()?tutorial.defer(function(){n.requestPermission(function(){h=!0})}):n.requestPermission(function(){h=!0}))})}};void 0!==window.bridge&&window.bridge.updateCount(0);var t=0;f.update_title_count=function(a){t=a;f.redraw_title()};f.redraw_title=function(){var a;a=(t?"("+t+
") ":"")+narrow.narrow_title+" - "+page_params.realm_name+" - Zulip";document.title!==a&&(document.title=a,/msie/i.test(navigator.userAgent)||(t?(a=+t,99<a&&(a="infinite"),r=q="/static/images/favicon/favicon-"+a+".png"):r=q="/static/favicon.ico?v=2",favicon.set(r)),void 0!==window.bridge&&window.bridge.updateCount(t))};f.update_pm_count=function(a){void 0!==window.bridge&&void 0!==window.bridge.updatePMCount&&window.bridge.updatePMCount(a);p||(p=!0,k())};f.window_has_focus=function(){return e};f.notify_above_composebox=
function(a,b,c,d){a=$(templates.render("compose_notification",{note:a,link_class:b,link_msg_id:c,link_text:d}));f.clear_compose_notifications();$("#out-of-view-notification").append(a);$("#out-of-view-notification").show()};f.close_notification=function(a){_.each(Object.keys(d),function(b){d[b].message_id===a.id&&(g(d[b].obj),delete d[b])})};f.speaking_at_me=function(a){return void 0===a?!1:a.mentioned_me_directly};f.received_messages=function(b){_.each(b,function(b){if((b.sent_by_me||b.notification_sent?
0:f.speaking_at_me(b)||!("stream"===b.type&&!stream_data.in_home_view(b.stream_id)||"stream"===b.type&&muting.is_topic_muted(b.stream,b.subject)))&&(unread.message_unread(b)||page_params.autoscroll_forever))b.notification_sent=!0,("stream"===b.type&&stream_data.receives_desktop_notifications(b.stream)||"private"===b.type&&page_params.enable_desktop_notifications||alert_words.notifies(b)&&page_params.enable_desktop_notifications||f.speaking_at_me(b)&&page_params.enable_desktop_notifications)&&(n&&
/webkit/i.test(navigator.userAgent)&&0===n.checkPermission()||void 0!==window.bridge?a({message:b,webkit_notify:!0}):a({message:b,webkit_notify:!1})),("stream"===b.type&&stream_data.receives_audible_notifications(b.stream)||"private"===b.type&&page_params.enable_sounds||alert_words.notifies(b)&&page_params.enable_sounds||f.speaking_at_me(b)&&page_params.enable_sounds)&&l&&(void 0!==window.bridge?window.bridge.bell():$("#notifications-area").find("audio")[0].play())})};f.possibly_notify_new_messages_outside_viewport=
function(a,c){_.each(a,function(a){if(people.is_current_user(a.sender_email)&&void 0!==c){var d,e=a.id;0===current_msg_list.get_row(a.id).length&&(d="stream"===a.type&&muting.is_topic_muted(a.stream,a.subject)?"Sent! Your message was sent to a topic you have muted.":"stream"===a.type&&!stream_data.in_home_view(a.stream_id)?"Sent! Your message was sent to a stream you have muted.":"Sent! Your message is outside your current narrow.",a="Narrow to "+b(a),f.notify_above_composebox(d,"compose_notification_narrow_by_subject",
e,a))}})};f.notify_messages_outside_current_search=function(a){_.each(a,function(a){people.is_current_user(a.sender_email)&&f.notify_above_composebox("Sent! Your recent message is outside the current search.","compose_notification_narrow_by_subject",a.id,"Narrow to "+b(a))})};f.clear_compose_notifications=function(){$("#out-of-view-notification").empty();$("#out-of-view-notification").stop(!0,!0);$("#out-of-view-notification").hide()};$(function(){"undefined"!==typeof bridge&&void 0===window.bridge&&
(window.bridge=bridge);$(document).on("message_id_changed",function(a){var b=a.old_id,c=a.new_id;_.each($("#out-of-view-notification a"),function(a){a=$(a);a.data("msgid")===b&&a.data("msgid",c)})})});f.register_click_handlers=function(){$("#out-of-view-notification").on("click",".compose_notification_narrow_by_subject",function(a){var b=$(a.currentTarget).data("msgid");narrow.by_subject(b,{trigger:"compose_notification"});a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",
".compose_notification_scroll_to_message",function(a){var b=$(a.currentTarget).data("msgid");current_msg_list.select_id(b);navigate.scroll_to_selected();a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",".out-of-view-notification-close",function(a){f.clear_compose_notifications();a.stopPropagation();a.preventDefault()})};f.handle_global_notification_updates=function(a,b){"enable_stream_desktop_notifications"===a?page_params.enable_stream_desktop_notifications=b:"enable_stream_sounds"===
a?page_params.enable_stream_sounds=b:"enable_desktop_notifications"===a?page_params.enable_desktop_notifications=b:"enable_sounds"===a?page_params.enable_sounds=b:"enable_offline_email_notifications"===a?page_params.enable_offline_email_notifications=b:"enable_offline_push_notifications"===a?page_params.enable_offline_push_notifications=b:"enable_online_push_notifications"===a?page_params.enable_online_push_notifications=b:"enable_digest_emails"===a?page_params.enable_digest_emails=b:"pm_content_in_desktop_notifications"===
a&&(page_params.pm_content_in_desktop_notifications=b)};return f}();"undefined"!==typeof module&&(module.exports=notifications);var hash_util=function(){var g={encodeHashComponent:function(g){return encodeURIComponent(g).replace(/\./g,"%2E").replace(/%/g,".")},encode_operand:function(k,c){if("pm-with"===k||"sender"===k){var a=people.emails_to_slug(c);if(a)return a}return g.encodeHashComponent(c)},decodeHashComponent:function(g){return decodeURIComponent(g.replace(/\./g,"%"))},decode_operand:function(k,c){if("pm-with"===k||"sender"===k){var a=people.slug_to_emails(c);if(a)return a}return g.decodeHashComponent(c)}};return g}();
"undefined"!==typeof module&&(module.exports=hash_util);var hashchange=function(){function g(a){var b=window.location;if(history.pushState){if(""===a||"#"!==a.charAt(0))a="#"+a;var c=b.pathname;if(void 0===c)c="/";else if(""===c||"/"!==c.charAt(0))c="/"+c;history.pushState(null,null,b.protocol+"//"+b.host+c+a)}else b.hash=a}function k(){ui_util.change_tab_to("#home");narrow.deactivate();floating_recipient_bar.update()}function c(){var a=window.location.hash.split(/\//);return{base:a.shift(),arguments:a}}function a(a){a=a?a.replace(/^#/,"").split(/\//)[0]:
"";return-1<["streams","drafts","settings","organization","invite"].indexOf(a)}function b(b,r){var q;r&&(q="#"+(r.oldURL||h.old_hash).split(/#/).slice(1).join(""),h.last=q,h.old_hash=window.location.hash);var p=window.location.hash?window.location.hash.replace(/^#/,"").split(/\//)[0]:"";if(a(window.location.hash))!a(q||"#")||h.group!==l(p)?(h.group!==l(p)&&overlays.close_for_hash_change(),a(q||"#")||(h.prev=q),"streams"===p?subs.launch(c()):"drafts"===p?drafts.launch():/settings|organization/.test(p)?
(settings.setup_page(),admin.setup_page()):"invite"===p&&invite.initialize(),h.group=l(p)):subs.change_state(c());else{if(!a(window.location.hash)&&!h.flag){overlays.close_for_hash_change();e=!0;a:{if(!(window.location.hash===d||void 0!==d&&""===window.location.hash.replace(/^#/,"")&&""===d.replace(/^#/,"")))switch($(document).trigger($.Event("zuliphashchange.zulip")),q=window.location.hash.split("/"),q[0]){case "#narrow":ui_util.change_tab_to("#home");q=f.parse_narrow(q);if(void 0===q){g("");k();
break}p={select_first_unread:!0,change_hash:!1,trigger:"hash change"};b&&void 0!==page_params.initial_narrow_pointer&&(p.from_reload=!0,p.first_unread_from_server=!0);narrow.activate(q,p);floating_recipient_bar.update();q=!0;break a;case "":case "#":k();break;case "#streams":ui_util.change_tab_to("#streams");break;case "#drafts":ui_util.change_tab_to("#drafts");break;case "#organization":ui_util.change_tab_to("#organization");break;case "#settings":ui_util.change_tab_to("#settings")}q=!1}e=!1;return q}h.flag&&
(h.flag=!1)}}var f={},d,e=!1;f.changehash=function(a){e||($(document).trigger($.Event("zuliphashchange.zulip")),g(a),favicon.reset())};f.operators_to_hash=function(a){var b="#";void 0!==a&&(b="#narrow",_.each(a,function(a){var c=a.operator,d=a.operand;b+="/"+(a.negated?"-":"")+hash_util.encodeHashComponent(c)+"/"+hash_util.encode_operand(c,d)}));return b};f.save_narrow=function(a){e||(a=f.operators_to_hash(a),f.changehash(a))};f.parse_narrow=function(a){var b,c=[];for(b=1;b<a.length;b+=2)try{var d=
hash_util.decodeHashComponent(a[b]),e=hash_util.decode_operand(d,a[b+1]||""),f=!1;"-"===d[0]&&(f=!0,d=d.slice(1));c.push({negated:f,operator:d,operand:e})}catch(h){return}return c};var h={flag:!1,prev:null,old_hash:"undefined"!==typeof window?window.location.hash:"#",group:null},l=function(){var a=[["streams"],["settings","organization"],["invite"]];return function(b){var c=null;_.find(a,function(a,d){return-1!==a.indexOf(b)?(c=d,!0):!1});return c}}();f.initialize=function(){window.onhashchange=blueslip.wrap_function(function(a){b(!1,
a)});b(!0)};f.exit_overlay=function(b){a(window.location.hash)&&(ui_util.blur_active_element(),h.flag=!0,window.location.hash=h.prev||"#","function"===typeof b&&b())};return f}();"undefined"!==typeof module&&(module.exports=hashchange);var invite=function(){function g(){var c=[];_.each(stream_data.invite_streams(),function(a){var b=a===page_params.notifications_stream;if(1===stream_data.subscribed_streams().length||!b||b&&stream_data.get_invite_only(a)){var b=stream_data.get_default_status(a),f=stream_data.get_invite_only(a);c.push({name:a,invite_only:f,default_stream:b});c.sort(function(a,b){return b.default_stream-a.default_stream})}});$("#streams_to_add").html(templates.render("invite_subscription",{streams:c}))}function k(){var c=
$("#invite_status"),a=$("#invitee_emails").closest(".control-group");c.hide().text("").removeClass("alert-error alert-warning alert-success");a.removeClass("warning error");page_params.development_environment&&$("#dev_env_msg").hide().text("").removeClass("alert-error alert-warning alert-success")}$(function(){$(document).on("click",".invite_check_all_button",function(c){$("#streams_to_add :checkbox").prop("checked",!0);c.preventDefault()});$(document).on("click",".invite_uncheck_all_button",function(c){$("#streams_to_add :checkbox").prop("checked",
!1);c.preventDefault()})});return{initialize:function(){var c=$("#invite_status"),a=$("#invitee_emails"),b=a.closest(".control-group");$("#submit-invitation").button();$("#invitee_emails").val("");g();k();a.focus().autosize();$("#invite_user_form").ajaxForm({dataType:"json",beforeSubmit:function(){k();$("#submit-invitation").button("loading");return!0},success:function(){$("#submit-invitation").button("reset");c.text(i18n.t("User invited successfully.",{count:(a.val().match(/@/g)||[]).length})).addClass("alert-success").show();
a.val("");page_params.development_environment&&$("#dev_env_msg").text("In the Zulip development environment, outgoing emails are printed to the run-dev.py console.").addClass("alert-info").show()},error:function(f){$("#submit-invitation").button("reset");f=JSON.parse(f.responseText);if(void 0===f.errors)c.text(f.msg).addClass("alert-error").show();else{var d=[],e=$("<ul>");_.each(f.errors,function(a){e.append($("<li>").text(a.join(": ")));d.push(a[0])});c.addClass("alert-warning").empty().append($("<p>").text(f.msg)).append(e).show();
b.addClass("warning");f.sent_invitations?a.val(d.join("\n")):(f=a.val().split(/\n|,/),a.val(util.move_array_elements_to_front(f,d).join("\n")))}}});overlays.open_overlay({name:"invite",overlay:$("#invite-user"),on_close:function(){hashchange.exit_overlay()}})}}}();"undefined"!==typeof module&&(module.exports=invite);var message_flags=function(){function g(a,c,d){function e(){var d=_.filter(h,function(a){return void 0===a.local_id}),d=_.map(d,function(a){return a.id});0===d.length?setTimeout(k,100):channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify(d),op:c,flag:a},success:g})}var h=[],g,k;k=d?e:_.debounce(e,1E3);g=function(a){void 0===a||void 0===a.messages||(h=_.filter(h,function(b){return-1===a.messages.indexOf(b.id)}),0<h.length&&k())};return function(d){void 0===d.flags&&
(d.flags=[]);"add"===c?d.flags.push(a):d.flags=_.without(d.flags,a);h.push(d);k()}}function k(b,c,d){d=d?"add":"remove";var e=c+"_"+d,h;a.hasOwnProperty(e)?h=a[e]:(h=g(c,d,!0),a[e]=h);_.each(b,function(a){h(a)})}var c={},a={};c.send_read=g("read","add");c.send_collapsed=function(a,c){k(a,"collapsed",c)};c.send_starred=function(a,c){k(a,"starred",c)};c.send_force_expand=function(a,c){k(a,"force_expand",c)};c.send_force_collapse=function(a,c){k(a,"force_collapse",c)};c.toggle_starred=function(a){-1===
a.flags.indexOf("starred")?c.send_starred([a],!0):c.send_starred([a],!1)};return c}();"undefined"!==typeof module&&(module.exports=message_flags);var alert_words=function(){var g={};g.words=page_params.alert_words;var k=/href=['"][\w:\/\.]+$/,c=/title=['"][\w:\/\.]+$/;g.process_message=function(a){g.notifies(a)&&_.each(g.words,function(b){b=b.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");a.content=a.content.replace(RegExp("(\\s|^|>|[\\(\\\".,';\\[])("+b+")(\\s|$|<|[\\)\\\"\\?!:.,';\\]!])","ig"),function(a,b,e,h,g,m){a=m.substring(0,g);return k.exec(a)||c.exec(a)?b+e+h:b+"<span class='alert-word'>"+e+"</span>"+h})})};g.notifies=function(a){return!people.is_current_user(a.sender_email)&&
a.alerted};return g}();"undefined"!==typeof module&&(module.exports=alert_words);var alert_words_ui=function(){function g(){var c=_.map($(".alert-word-item"),function(a){return $(a).data("word").toString()}),c=_.filter(c,function(a){return""!==a});channel.post({url:"/json/users/me/alert_words",idempotent:!0,data:{alert_words:JSON.stringify(c)}})}function k(c,a){if(""===$.trim(c))$("#empty_alert_word_error").show();else{var b=templates.render("alert_word_settings_item",{word:c,editing:!1});$(a.target).parents("li").replaceWith(b);var b=templates.render("alert_word_settings_item",
{word:"",editing:!0}),f=$("#alert_words_list");f.append(b);0<f.find("input").length&&f.find("input").focus();g()}}return{set_up_alert_words:function(){var c=$("#alert_words_list");_.each(alert_words.words,function(a){a=templates.render("alert_word_settings_item",{word:a});c.append(a)});var a=templates.render("alert_word_settings_item",{word:"",editing:!0});c.append(a);$("#alert_words_list").on("click","#create_alert_word_button",function(a){var c=$("#create_alert_word_name").val();k(c,a)});$("#alert_words_list").on("click",
".remove-alert-word",function(a){$(a.currentTarget).parents("li").remove();g()});$("#alert_words_list").on("keypress","#create_alert_word_name",function(a){if(13===a.which){a.preventDefault();var c=$(a.target).val();k(c,a)}});$("#alert_words_list").on("click",".close-empty-alert-word-error",function(a){a.preventDefault();$(a.currentTarget).parents(".alert").hide()})}}}();"undefined"!==typeof module&&(module.exports=alert_words_ui);var attachments_ui=function(){return{set_up_attachments:function(){var g="";_.each(page_params.attachments,function(k){_.each(k.messages,function(a){a.name=timerender.absolute_time(a.name)});var c=k.path_id.split(/\./);k.extension=1===c.length?"":c.pop();k.large_ext_name=5<k.extension.length;k=templates.render("attachment-item",{attachment:k});g=g.concat(k)});$("#attachments_list").html(g);$("#attachments_list").on("click",".remove-attachment",function(g){$(g.currentTarget).parents("li").remove();
g=$(this).data("attachment");channel.del({url:"/json/attachments/"+g,idempotent:!0})})}}}();"undefined"!==typeof module&&(module.exports=attachments_ui);var message_store=function(){var g={},k={};g.recent_private_messages=[];g.get=function(c){return k[c]};g.get_pm_emails=function(c){c=people.pm_with_user_ids(c);return _.map(c,function(a){var b=people.get_person_from_user_id(a);return!b?(blueslip.error("Unknown user id "+a),"?"):b.email}).sort().join(", ")};g.get_pm_full_names=function(c){c=people.pm_with_user_ids(c);return _.map(c,function(a){var b=people.get_person_from_user_id(a);return!b?(blueslip.error("Unknown user id "+a),"?"):b.full_name}).sort().join(", ")};
g.process_message_for_recent_private_messages=function(c){var a=people.pm_with_user_ids(c);a&&(_.each(a,function(a){pm_conversations.set_partner(a)}),(a=a.join(","))?g.insert_recent_private_message(a,c.timestamp):blueslip.warn("Unknown reply_to in message: "+a))};g.insert_recent_private_message=function(){var c=new Dict({fold_case:!0});return function(a,b){var f=c.get(a);if(void 0===f)f={user_ids_string:a,timestamp:b},c.set(a,f),g.recent_private_messages.unshift(f);else{if(f.timestamp>=b)return;f.timestamp=
b}g.recent_private_messages.sort(function(a,b){return b.timestamp-a.timestamp})}}();g.set_topic_edit_properties=function(c){c.always_visible_topic_edit=!1;c.on_hover_topic_edit=!1;page_params.realm_allow_message_editing&&(c.subject===compose.empty_topic_placeholder()?c.always_visible_topic_edit=!0:page_params.is_admin&&(c.on_hover_topic_edit=!0))};g.add_message_metadata=function(c){var a=k[c.id];if(void 0!==a)return void 0!==c.match_subject&&(a.match_subject=c.match_subject,a.match_content=c.match_content),
a;c.sent_by_me=people.is_current_user(c.sender_email);c.flags=c.flags||[];c.historical=void 0!==c.flags&&-1!==c.flags.indexOf("historical");c.starred=-1!==c.flags.indexOf("starred");c.mentioned=-1!==c.flags.indexOf("mentioned")||-1!==c.flags.indexOf("wildcard_mentioned");c.mentioned_me_directly=-1!==c.flags.indexOf("mentioned");c.collapsed=-1!==c.flags.indexOf("collapsed");c.alerted=-1!==c.flags.indexOf("has_alert_word");c.is_me_message=-1!==c.flags.indexOf("is_me_message");people.extract_people_from_message(c);
if(a=people.get_person_from_user_id(c.sender_id))c.sender_full_name=a.full_name,c.sender_email=a.email;switch(c.type){case "stream":c.is_stream=!0;c.stream=c.display_recipient;composebox_typeahead.add_topic(c.stream,c.subject);c.reply_to=c.sender_email;stream_data.process_message_for_recent_topics(c);g.set_topic_edit_properties(c);recent_senders.process_message_for_senders(c);break;case "private":c.is_private=!0,c.reply_to=util.normalize_recipients(g.get_pm_emails(c)),c.display_reply_to=g.get_pm_full_names(c),
c.pm_with_url=people.pm_with_url(c),c.to_user_ids=people.pm_reply_user_string(c),g.process_message_for_recent_private_messages(c)}alert_words.process_message(c);c.reactions||(c.reactions=[]);return k[c.id]=c};g.clear=function(){this.stored_messages={}};util.execute_early(function(){$(document).on("message_id_changed",function(c){var a=c.old_id,b=c.new_id;pointer.furthest_read===a&&(pointer.furthest_read=b);k[a]&&(k[b]=k[a],delete k[a]);_.each([message_list.all,home_msg_list,message_list.narrowed],
function(c){void 0!==c&&(c.change_message_id(a,b),void 0!==c.view&&c.view.change_message_id(a,b))})})});return g}();"undefined"!==typeof module&&(module.exports=message_store);var message_util=function(){return{do_unread_count_updates:function(g){unread.process_loaded_messages(g);unread_ui.update_unread_counts();resize.resize_page_components()},add_messages:function(g,k,c){g&&(c=_.extend({messages_are_new:!1,delay_render:!1},c),loading.destroy_indicator($("#page_loading_indicator")),$("#first_run_message").remove(),k.add_messages(g,c),k===home_msg_list&&c.messages_are_new&&_.each(g,function(a){void 0===a.local_id&&compose.report_as_received(a)}))}}}();
"undefined"!==typeof module&&(module.exports=message_util);var message_events=function(){function g(k,c,a,b){var f=[];_.each(k,function(a){f.push(a.id)});channel.post({url:"/json/messages_in_narrow",idempotent:!0,data:{msg_ids:JSON.stringify(f),narrow:JSON.stringify(narrow_state.public_operators())},timeout:5E3,success:function(d){if(c===current_msg_list){var e=[],f=[];_.each(k,function(a){d.messages.hasOwnProperty(a.id)?(a.match_subject=d.messages[a.id].match_subject,a.match_content=d.messages[a.id].match_content,e.push(a)):f.push(a)});e=_.map(e,message_store.add_message_metadata);
message_util.add_messages(e,c,{messages_are_new:a});unread_ops.process_visible();notifications.possibly_notify_new_messages_outside_viewport(e,b);notifications.notify_messages_outside_current_search(f)}},error:function(){setTimeout(function(){c===current_msg_list&&g(k,c,a,b)},5E3)}})}return{insert_new_messages:function(k,c){k=_.map(k,message_store.add_message_metadata);message_util.add_messages(k,home_msg_list,{messages_are_new:!0});message_util.add_messages(k,message_list.all,{messages_are_new:!0});
narrow_state.active()?narrow_state.filter().can_apply_locally()?(message_util.add_messages(k,message_list.narrowed,{messages_are_new:!0}),notifications.possibly_notify_new_messages_outside_viewport(k,c)):g(k,message_list.narrowed,!0,c):notifications.possibly_notify_new_messages_outside_viewport(k,c);activity.process_loaded_messages(k);message_util.do_unread_count_updates(k);if(narrow_state.narrowed_by_reply()){var a,b=current_msg_list.selected_id();for(a=k.length-1;0<=a;a-=1){var f=k[a].id;if(f<=
b)break;if(k[a].sent_by_me&&void 0!==current_msg_list.get(f)){current_msg_list.select_id(k[a].id,{then_scroll:!0,from_scroll:!0});break}}}unread_ops.process_visible();notifications.received_messages(k);stream_list.update_streams_sidebar();pm_list.update_private_messages()},update_messages:function(g){var c=[],a=!1,b=!1,f=!1;_.each(g,function(d){var e=message_store.get(d.message_id);if(void 0!==e){c.push(e);e.alerted=-1!==d.flags.indexOf("has_alert_word");e.mentioned=-1!==d.flags.indexOf("mentioned")||
-1!==d.flags.indexOf("wildcard_mentioned");condense.un_cache_message_content_height(e.id);void 0!==d.rendered_content&&(e.content=d.rendered_content);var h=current_msg_list.get_row(d.message_id);0<h.length&&message_edit.end(h);if(void 0!==d.subject){a=!0;var g=0<=_.indexOf(["change_later","change_all"],d.propagate_mode),h=stream_data.get_sub_by_id(d.stream_id).name,k=compose_state.stream_name();g&&h&&k&&h.toLowerCase()===k.toLowerCase()&&d.orig_subject===compose_state.subject()&&compose_state.subject(d.subject);
if(g&&(g=current_msg_list.selected_id(),0<=_.indexOf(d.message_ids,g)&&(k=narrow_state.filter())&&h&&k.has_topic(h,d.orig_subject)))h=k.filter_with_new_topic(d.subject).operators(),narrow.activate(h,{trigger:"topic change",then_select_id:g}),b=!0;_.each(d.message_ids,function(a){a=message_store.get(a);void 0!==a&&(stream_data.process_message_for_recent_topics(a,!0),unread.update_unread_topics(a,d),a.subject=d.subject,a.subject_links=d.subject_links,message_store.set_topic_edit_properties(a),stream_data.process_message_for_recent_topics(a))})}void 0!==
d.orig_content&&(h={edited_by:d.edited_by,prev_content:d.orig_content,prev_rendered_content:d.orig_rendered_content,prev_rendered_content_version:d.prev_rendered_content_version,timestamp:d.edit_timestamp},void 0===e.edit_history&&(e.edit_history=[]),e.edit_history=[h].concat(e.edit_history),f=!0);e.last_edit_timestamp=d.edit_timestamp;delete e.last_edit_timestr;notifications.received_messages([e]);alert_words.process_message(e)}});a?(home_msg_list.rerender(),!b&&current_msg_list===message_list.narrowed&&
message_list.narrowed.rerender()):(current_msg_list.view.rerender_messages(c,f),current_msg_list===message_list.narrowed&&home_msg_list.view.rerender_messages(c));unread_ui.update_unread_counts();stream_list.update_streams_sidebar();pm_list.update_private_messages()}}}();"undefined"!==typeof module&&(module.exports=message_events);var message_fetch=function(){function g(a,c){$("#connection-error").removeClass("show");0===a.length&&(current_msg_list===message_list.narrowed&&message_list.narrowed.empty())&&narrow.show_empty_narrow_message();a=_.map(a,message_store.add_message_metadata);c.msg_list===home_msg_list&&(message_util.do_unread_count_updates(a),message_util.add_messages(a,message_list.all,{messages_are_new:!1}));0!==a.length&&!c.cont_will_add_messages&&message_util.add_messages(a,c.msg_list,{messages_are_new:!1});activity.process_loaded_messages(a);
stream_list.update_streams_sidebar();pm_list.update_private_messages();void 0!==c.cont&&c.cont(a)}function k(a,f){tutorial.is_running()?(loading.destroy_indicator($("#page_loading_indicator")),tutorial.defer(function(){k(a,f)})):f.msg_list.narrowed&&f.msg_list!==current_msg_list||(a?(g(a.messages,f),resize.resize_bottom_whitespace()):setTimeout(function(){c.load_old_messages(f)},0))}var c={},a=!0;c.reset_load_more_status=function(){a=!0;ui.have_scrolled_away_from_top=!0;ui.hide_loading_more_messages_indicator()};
c.load_old_messages=function(a){a=_.extend({cont_will_add_messages:!1},a);var f={anchor:a.anchor,num_before:a.num_before,num_after:a.num_after};if(a.msg_list.narrowed&&narrow_state.active()){var d=narrow_state.public_operators();void 0!==page_params.narrow&&(d=d.concat(page_params.narrow));f.narrow=JSON.stringify(d)}a.msg_list===home_msg_list&&void 0!==page_params.narrow_stream&&(f.narrow=JSON.stringify(page_params.narrow));a.use_first_unread_anchor&&(f.use_first_unread_anchor=!0);channel.get({url:"/json/messages",
data:f,idempotent:!0,success:function(c){k(c,a)},error:function(d){a.msg_list.narrowed&&a.msg_list!==current_msg_list||(400===d.status?g([],a):($("#connection-error").addClass("show"),setTimeout(function(){c.load_old_messages(a)},5E3)))}})};c.load_more_messages=function(b){var f;a&&(ui.show_loading_more_messages_indicator(),a=!1,f=void 0===b.first()?page_params.pointer:b.first().id,c.load_old_messages({anchor:f.toFixed(),num_before:100,num_after:0,msg_list:b,cont:function(b){ui.hide_loading_more_messages_indicator();
100<=b.length&&(a=!0)}}))};util.execute_early(function(){function a(f){-1===home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(page_params.pointer,{then_scroll:!0,use_closest:!0,target_scroll_offset:page_params.initial_offset});if(0!==f.length&&(f=f[f.length-1].id,f<page_params.max_message_id)){c.load_old_messages({anchor:f.toFixed(),num_before:0,num_after:1E3,msg_list:home_msg_list,cont:a});return}server_events.home_view_loaded();$(document).idle({idle:1E4,onIdle:function(){var a=
message_list.all.first().id;c.load_old_messages({anchor:a,num_before:1E3,num_after:0,msg_list:home_msg_list})}})}page_params.have_initial_messages?c.load_old_messages({anchor:page_params.pointer,num_before:200,num_after:200,msg_list:home_msg_list,cont:a}):server_events.home_view_loaded()});return c}();"undefined"!==typeof module&&(module.exports=message_fetch);var server_events=function(){function g(c){var d=[],e=[],h;_.each(c,function(a){try{l.last_event_id=Math.max(l.last_event_id,a.id)}catch(b){blueslip.error("Failed to update last_event_id",{event:_.pick(a,"id","type","op")},b.stack)}});if(tutorial.is_running())b=b.concat(c);else if(0<b.length&&(c=b.concat(c),b=[]),a)f=f.concat(c);else{0<f.length&&(c=f.concat(c),f=[]);_.each(c,function(a){try{switch(a.type){case "message":var b=a.message;b.flags=a.flags;void 0!==a.local_message_id&&(b.local_id=a.local_message_id);
d.push(b);break;case "pointer":h=a.pointer;break;case "update_message":e.push(a);break;default:server_events_dispatch.dispatch_normal_event(a)}}catch(c){blueslip.error("Failed to process an event\n"+blueslip.exception_msg(c),{event:_.pick(a,"id","type","op")},c.stack)}});if(0!==d.length)try{d=echo.process_from_server(d),message_events.insert_new_messages(d)}catch(g){blueslip.error("Failed to insert new messages\n"+blueslip.exception_msg(g),void 0,g.stack)}void 0!==h&&h>pointer.furthest_read&&(pointer.furthest_read=
h,pointer.server_furthest_read=h,home_msg_list.select_id(h,{then_scroll:!0,use_closest:!0}));-1===home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(home_msg_list.first().id,{then_scroll:!1});if(0!==e.length)try{message_events.update_messages(e)}catch(k){blueslip.error("Failed to update messages\n"+blueslip.exception_msg(k),void 0,k.stack)}}}function k(a){a=_.extend({dont_block:!1},a);reload.is_in_progress()||(l.dont_block=a.dont_block||0<h,l.dont_block&&(c.suspect_offline=
!0),void 0===l.queue_id&&(l.queue_id=page_params.queue_id,l.last_event_id=page_params.last_event_id),void 0!==d&&d.abort(),void 0!==e&&clearTimeout(e),e=void 0,d=channel.get({url:"/json/events",data:l,idempotent:!0,timeout:page_params.poll_timeout,success:function(a){c.suspect_offline=!1;try{d=void 0,h=0,ui_report.hide_error($("#connection-error")),g(a.events)}catch(b){blueslip.error("Failed to handle get_events success\n"+blueslip.exception_msg(b),void 0,b.stack)}e=setTimeout(k,0)},error:function(a,
b){try{d=void 0;400===a.status&&-1!==JSON.parse(a.responseText).msg.indexOf("Bad event queue id")&&(page_params.event_queue_expired=!0,reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!0,save_compose:!0}));if("abort"===b)return;"timeout"===b?(h=0,ui_report.hide_error($("#connection-error"))):h+=1;5<=h?ui_report.show_error($("#connection-error")):ui_report.hide_error($("#connection-error"))}catch(c){blueslip.error("Failed to handle get_events error\n"+blueslip.exception_msg(c),void 0,c.stack)}var f=
Math.min(90,Math.exp(h/2));e=setTimeout(k,1E3*f)}}))}var c={},a=!0,b=[],f=[],d,e,h=0,l={};c.suspect_offline=!1;c.assert_get_events_running=function(a){void 0===d&&void 0===e&&(c.restart_get_events({dont_block:!0}),blueslip.error(a))};c.restart_get_events=function(a){k(a)};c.force_get_events=function(){e=setTimeout(k,0)};c.home_view_loaded=function(){a=!1;g([]);$(document).trigger("home_view_loaded.zulip")};var m=$.now();c.check_for_unsuspend=function(){var a=$.now();2E4<a-m&&(m=a,$(document).trigger($.Event("unsuspend")));
m=a};setInterval(c.check_for_unsuspend,5E3);util.execute_early(function(){$(document).on("unsuspend",function(){blueslip.log("Restarting get_events due to unsuspend");h=0;c.restart_get_events({dont_block:!0})});k()});c.cleanup_event_queue=function(){!0!==page_params.event_queue_expired&&(page_params.event_queue_expired=!0,channel.del({url:"/json/events",data:{queue_id:page_params.queue_id}}))};window.addEventListener("beforeunload",function(){c.cleanup_event_queue()});c._get_events_success=g;return c}();
"undefined"!==typeof module&&(module.exports=server_events);var server_events_dispatch=function(){return{dispatch_normal_event:function(g){switch(g.type){case "alert_words":alert_words.words=g.alert_words;break;case "default_streams":page_params.realm_default_streams=g.default_streams;settings_streams.update_default_streams_table();break;case "hotspots":hotspots.show(g.hotspots);page_params.hotspots=g.hotspots;break;case "muted_topics":muting_ui.handle_updates(g.muted_topics);break;case "presence":activity.set_user_status(g.email,g.presence,g.server_timestamp);
break;case "restart":var k={save_pointer:!0,save_narrow:!0,save_compose:!0,message:"The application has been updated; reloading!"};g.immediate&&(k.immediate=!0);reload.initiate(k);break;case "reaction":"add"===g.op?reactions.add_reaction(g):"remove"===g.op&&reactions.remove_reaction(g);break;case "realm":"update"===g.op&&"name"===g.property?(page_params.realm_name=g.value,notifications.redraw_title()):"update"===g.op&&"description"===g.property?(page_params.realm_description=g.value,settings_org.update_realm_description(g.value)):
"update"===g.op&&"invite_required"===g.property?page_params.realm_invite_required=g.value:"update"===g.op&&"invite_by_admins_only"===g.property?page_params.realm_invite_by_admins_only=g.value:"update"===g.op&&"inline_image_preview"===g.property?page_params.realm_inline_image_preview=g.value:"update"===g.op&&"inline_url_embed_preview"===g.property?page_params.realm_inline_url_embed_preview=g.value:"update"===g.op&&"create_stream_by_admins_only"===g.property?(page_params.realm_create_stream_by_admins_only=
g.value,page_params.is_admin||(page_params.can_create_streams=!page_params.realm_create_stream_by_admins_only)):"update"===g.op&&"name_changes_disabled"===g.property?(page_params.realm_name_changes_disabled=g.value,settings_org.toggle_name_change_display()):"update"===g.op&&"email_changes_disabled"===g.property?(page_params.realm_email_changes_disabled=g.value,settings_org.toggle_email_change_display()):"update"===g.op&&"add_emoji_by_admins_only"===g.property?page_params.add_emoji_by_admins_only=
g.value:"update"===g.op&&"restricted_to_domain"===g.property?page_params.realm_restricted_to_domain=g.value:"update"===g.op&&"message_retention_days"===g.property?(page_params.message_retention_days=g.value,settings_org.update_message_retention_days()):"update_dict"===g.op&&"default"===g.property?($.each(g.data,function(a,c){page_params["realm_"+a]=c}),void 0!==g.data.authentication_methods&&settings_org.populate_auth_methods(g.data.authentication_methods)):"update"===g.op&&"default_language"===g.property?
(page_params.realm_default_language=g.value,settings_org.reset_realm_default_language()):"update"===g.op&&"waiting_period_threshold"===g.property?page_params.realm_waiting_period_threshold=g.value:"update_dict"===g.op&&"icon"===g.property&&(page_params.realm_icon_url=g.data.icon_url,page_params.realm_icon_source=g.data.icon_source,realm_icon.rerender());break;case "realm_bot":"add"===g.op?(bot_data.add(g.bot),settings_users.update_user_data(g.bot.user_id,g.bot)):"remove"===g.op?(bot_data.deactivate(g.bot.email),
g.bot.is_active=!1,settings_users.update_user_data(g.bot.user_id,g.bot)):"update"===g.op&&(_.has(g.bot,"owner_id")&&(g.bot.owner=people.get_person_from_user_id(g.bot.owner_id).email),bot_data.update(g.bot.email,g.bot),settings_users.update_user_data(g.bot.user_id,g.bot));break;case "realm_emoji":page_params.realm_emoji=g.realm_emoji;emoji.update_emojis(g.realm_emoji);settings_emoji.populate_emoji(g.realm_emoji);break;case "realm_filters":page_params.realm_filters=g.realm_filters;markdown.set_realm_filters(page_params.realm_filters);
settings_filters.populate_filters(page_params.realm_filters);break;case "realm_domains":if("add"===g.op)page_params.realm_domains.push(g.realm_domain);else if("change"===g.op)for(k=0;k<page_params.realm_domains.length;k+=1){if(page_params.realm_domains[k].domain===g.realm_domain.domain){page_params.realm_domains[k].allow_subdomains=g.realm_domain.allow_subdomains;break}}else if("remove"===g.op)for(k=0;k<page_params.realm_domains.length;k+=1)if(page_params.realm_domains[k].domain===g.domain){page_params.realm_domains.splice(k,
1);break}settings_org.populate_realm_domains(page_params.realm_domains);break;case "realm_user":"add"===g.op?people.add_in_realm(g.person):"remove"===g.op?people.deactivate(g.person):"update"===g.op&&user_events.update_person(g.person);break;case "referral":referral.update_state(g.referrals.granted,g.referrals.used);break;case "stream":"update"===g.op?(stream_events.update_property(g.stream_id,g.property,g.value),settings_streams.update_default_streams_table()):"create"===g.op?stream_data.create_streams(g.streams):
"delete"===g.op&&_.each(g.streams,function(a){stream_data.is_subscribed(a.name)&&stream_list.remove_sidebar_row(a.stream_id);subs.remove_stream(a.stream_id);stream_data.delete_sub(a.stream_id);settings_streams.remove_default_stream(a.stream_id);stream_data.remove_default_stream(a.stream_id)});break;case "subscription":var c;"add"===g.op?_.each(g.subscriptions,function(a){var c=stream_data.get_sub_by_id(a.stream_id);c?stream_events.mark_subscribed(c,a.subscribers):blueslip.error("Subscribing to unknown stream"+
a.stream_id)}):"peer_add"===g.op?(k=people.get_person_from_user_id(g.user_id),c=k.email,_.each(g.subscriptions,function(a){stream_data.add_subscriber(a,g.user_id)?$(document).trigger("peer_subscribe.zulip",{stream_name:a,user_email:c}):blueslip.warn("Cannot process peer_add event")})):"peer_remove"===g.op?(k=people.get_person_from_user_id(g.user_id),c=k.email,_.each(g.subscriptions,function(a){stream_data.remove_subscriber(a,g.user_id)?$(document).trigger("peer_unsubscribe.zulip",{stream_name:a,user_email:c}):
blueslip.warn("Cannot process peer_remove event.")})):"remove"===g.op?_.each(g.subscriptions,function(a){a=stream_data.get_sub_by_id(a.stream_id);stream_events.mark_unsubscribed(a)}):"update"===g.op&&stream_events.update_property(g.stream_id,g.property,g.value);break;case "typing":if(g.sender.user_id===page_params.user_id)break;"start"===g.op?typing_events.display_notification(g):"stop"===g.op&&typing_events.hide_notification(g);break;case "update_display_settings":"twenty_four_hour_time"===g.setting_name&&
(page_params.twenty_four_hour_time=g.setting,home_msg_list.rerender(),current_msg_list===message_list.narrowed&&message_list.narrowed.rerender());"emoji_alt_code"===g.setting_name&&(page_params.emoji_alt_code=g.setting,home_msg_list.rerender(),current_msg_list===message_list.narrowed&&message_list.narrowed.rerender());"left_side_userlist"===g.setting_name&&(page_params.left_side_userlist=g.setting);"default_language"===g.setting_name&&(page_params.default_language=g.setting);"timezone"===g.setting_name&&
(page_params.timezone=g.setting);"emojiset"===g.setting_name&&(page_params.emojiset=g.setting,k=new Image,k.onload=function(){$("#emoji-spritesheet").attr("href","/static/generated/emoji/"+page_params.emojiset+"_sprite.css");$("#display-settings-status").length&&(loading.destroy_indicator($("#emojiset_spinner")),$("#emojiset_select").val(page_params.emojiset),ui_report.success(i18n.t("Emojiset changed successfully!!"),$("#display-settings-status").expectOne()))},k.src="/static/generated/emoji/sheet_"+
page_params.emojiset+"_32.png");$("#settings.tab-pane.active").length&&settings_display.update_page();break;case "update_global_notifications":notifications.handle_global_notification_updates(g.notification_name,g.setting);$("#settings.tab-pane.active").length&&settings_notifications.update_page();break;case "update_message_flags":var a="add"===g.operation;switch(g.flag){case "starred":_.each(g.messages,function(b){ui.update_starred(b,a)});break;case "read":k=_.map(g.messages,function(a){return message_store.get(a)}),
unread_ops.mark_messages_as_read(k,{from:"server"})}break;case "delete_message":ui.remove_message(g.message_id)}}}}();"undefined"!==typeof module&&(module.exports=server_events_dispatch);var home_msg_list=new message_list.MessageList("zhome",new Filter([{operator:"in",operand:"home"}]),{muting_enabled:!0}),current_msg_list=home_msg_list;"undefined"!==typeof module&&(module.exports.current_msg_list=current_msg_list);var presence=function(){function g(b,f){var d="offline",e=0,h=!1,g=!1;_.each(f,function(f,k){var q=b-f.timestamp;e<f.timestamp&&(e=f.timestamp);-1!==a.indexOf(k)&&(h=f.pushable||h);if(q<c)switch(f.status){case "active":-1!==a.indexOf(k)?h=!0:g=!0;d=f.status;break;case "idle":"active"!==d&&(d=f.status);break;case "offline":"active"!==d&&"idle"!==d&&(d=f.status);break;default:blueslip.error("Unexpected status",{presence_object:f,device:k},void 0)}});return{status:d,mobile:!g&&h,last_active:e}}var k=
{presence_info:{}},c=140,a=["Android","ZulipiOS","ios"];k.is_not_offline=function(a){var c=k.presence_info;return c[a]&&(a=c[a].status)&&"offline"!==a?!0:!1};k.get_status=function(a){return a===page_params.user_id?"active":k.presence_info[a].status};k.get_mobile=function(a){return k.presence_info[a].mobile};k.get_user_ids=function(){return Object.keys(k.presence_info)};k._status_from_timestamp=g;k.set_user_status=function(a,c,d){c=g(d,c);k.presence_info[a]=c};k.set_info=function(a,c){k.presence_info=
{};_.each(a,function(a,b){if(!people.is_current_user(b)){var h=people.get_by_email(b);if(void 0===h)server_events.suspect_offline||blueslip.error("Unknown email in presence data: "+b);else if(h=h.user_id){var l=g(c,a);k.presence_info[h]=l}}});k.update_info_for_small_realm()};k.update_info_for_small_realm=function(){if(!(250<=people.get_realm_count())){var a=k.presence_info,c=people.get_realm_persons();_.each(c,function(c){c=c.user_id;people.is_my_user_id(c)||a[c]||(a[c]={status:"offline",mobile:!1,
last_active:void 0})})}};k.last_active_date=function(a){if((a=k.presence_info[a])&&a.last_active)return new XDate(1E3*a.last_active)};return k}();"undefined"!==typeof module&&(module.exports=presence);var activity=function(){function g(a){return $("li.user_sidebar_entry[data-user-id='"+a+"']")}function k(a,b){var c=$("li.group-pms-sidebar-entry[data-user-ids='"+a+"']").find(".count");var d=c.find(".value"),e=c.parent();0===b?(c.hide(),e.removeClass("group-with-count"),d.text("")):(c.show(),e.addClass("group-with-count"),d.text(b))}function c(a,b){function c(a){switch(a){case "active":return 1;case "idle":return 2;default:return 3}}var d=c(presence.get_status(a)),e=c(presence.get_status(b)),d=d-
e;if(0!==d)return d;d=people.get_person_from_user_id(a);e=people.get_person_from_user_id(b);return util.strcmp(d?d.full_name:"",e?e.full_name:"")}function a(a){a.sort(c);return a}function b(){p.has_focus=!1}function f(a){var b=$(".user-list-filter");if(0===b.length)return a;b=b.expectOne().val().trim();if(""===b)return a;b=b.toLowerCase().split(",");b=_.map(b,function(a){return a.trim()});a=_.map(a,function(a){return people.get_person_from_user_id(a)});return people.filter_people_by_search_terms(a,
b).keys()}function d(b){b=f(b);return b=a(b)}function e(a){var b=presence.get_status(a),c=people.get_person_from_user_id(a),d=narrow.pm_with_uri(c.email),c=c.full_name,e;e=unread.suppress_unread_counts?0:unread.num_unread_for_person(a);return{href:d,name:c,user_id:a,num_unread:e,type:b,type_desc:n[b],mobile:presence.get_mobile(a)}}function h(a){channel.post({url:"/json/users/me/presence",data:{status:p.has_focus?p.ACTIVE:p.IDLE,ping_only:!a,new_user_input:p.new_user_input},idempotent:!0,success:function(b){!1===
b.zephyr_mirror_active?$("#zephyr-mirror-error").addClass("show"):$("#zephyr-mirror-error").removeClass("show");p.new_user_input=!1;server_events.check_for_unsuspend();a&&(presence.set_info(b.presences,b.server_timestamp),p.build_user_sidebar(),p.update_huddles())}})}function l(){p.has_focus||(p.has_focus=!0,h(!1))}function m(){$(".user-list-filter").is(":focus")||$(".user-list-filter").val()?$("#clear_search_people_button").removeAttr("disabled"):$("#clear_search_people_button").attr("disabled",
"disabled")}function r(a){if(13===a.keyCode){a.preventDefault();a.stopPropagation();a=$("#user_presences li.user_sidebar_entry").first().attr("data-user-id");var b=$(".user-list-filter").expectOne().val().trim();void 0!==a&&""!==b&&(a=people.get_person_from_user_id(a).email,narrow.by("pm-with",a,{select_first_unread:!0,trigger:"user sidebar"}),compose_actions.start("private",{trigger:"sidebar enter key",private_message_recipient:a}));p.escape_search()}}function q(a){a.stopPropagation();m()}var p=
{},n={active:"is active",idle:"is not active"};p.ACTIVE="active";p.IDLE="idle";p.has_focus=document.hasFocus&&document.hasFocus();p.new_user_input=!0;var t=new Dict;p.update_dom_with_unread_counts=function(a){a.pm_count.each(function(a,b){if(0>b.indexOf(",")){var c=g(b).find(".count"),d=c.find(".value"),e=c.parent();0===a?(c.hide(),e.removeClass("user-with-count"),d.text("")):(c.show(),e.addClass("user-with-count"),d.text(a))}else k(b,a)})};p.process_loaded_messages=function(a){var b=!1;_.each(a,
function(a){var c=people.huddle_string(a);if(c){var d=t.get(c);if(!d||d<a.timestamp)t.set(c,a.timestamp),b=!0}});p.update_huddles();b&&resize.resize_page_components()};p.get_huddles=function(){var a=t.keys(),a=_.sortBy(a,function(a){return t.get(a)});return a.reverse()};p.full_huddle_name=function(a){a=a.split(",");return _.map(a,function(a){return people.get_person_from_user_id(a).full_name}).join(", ")};p.short_huddle_name=function(a){var b=a.split(",");a=_.map(b,function(a){return people.get_person_from_user_id(a).full_name});
a=_.sortBy(a,function(a){return a.toLowerCase()});a=a.slice(0,3);b=b.length-3;1===b?a.push("+ 1 other"):2<=b&&a.push("+ "+b+" others");return a.join(", ")};p.huddle_fraction_present=function(a){a=a.split(",");var b=0;_.each(a,function(a){presence.is_not_offline(a)&&(b+=1)});return(b/a.length).toFixed(2)};p._sort_users=a;p._filter_and_sort=d;p.insert_user_into_list=function(a){if(!page_params.realm_presence_disabled&&1===f([a]).length){var b=e(a);$("#user_presences").find('[data-user-id="'+a+'"]').remove();
var b=templates.render("user_presence_row",b),d=$("#user_presences li").toArray();a:{for(var h=0,h=0;h<d.length;h+=1){var k=$(d[h]),l=k.attr("data-user-id");if(0>c(a,l)){k.before(b);break a}}$("#user_presences").append(b)}a=g(a);compose_fade.update_one_user_row(a)}};p.build_user_sidebar=function(){if(!page_params.realm_presence_disabled){var a=d(presence.get_user_ids()),a=_.map(a,e),b=templates.render("user_presence_rows",{users:a});$("#user_presences").html(b);compose_fade.update_faded_users();resize.resize_page_components();
return a}};var u=_.throttle(function(){p.build_user_sidebar();resize.resize_page_components()},50);p.update_huddles=function(){if(!page_params.realm_presence_disabled){var a=p.get_huddles().slice(0,10);if(0===a.length)$("#group-pm-list").removeClass("show");else{var b=_.map(a,function(a){return{user_ids_string:a,name:p.full_huddle_name(a),href:narrow.huddle_with_uri(a),fraction_present:p.huddle_fraction_present(a),short_name:p.short_huddle_name(a)}}),b=templates.render("group_pms",{group_pms:b});
$("#group-pms").expectOne().html(b);_.each(a,function(a){var b=unread.num_unread_for_person(a);k(a,b)});$("#group-pm-list").addClass("show")}}};p.initialize=function(){$("html").on("mousemove",function(){p.new_user_input=!0});$(window).focus(l);$(window).idle({idle:3E5,onIdle:b,onActive:l,keepTracking:!0});presence.set_info(page_params.presences,page_params.initial_servertime);delete page_params.presences;p.build_user_sidebar();p.update_huddles();h(!1);setInterval(function(){h(!0)},5E4)};p.set_user_status=
function(a,b,c){if(!people.is_current_user(a)){var d=people.get_user_id(a);d?(presence.set_user_status(d,b,c),p.insert_user_into_list(d),p.update_huddles()):blueslip.warn("unknown email: "+a)}};p.redraw=function(){p.build_user_sidebar();p.update_huddles()};p.searching=function(){return $(".user-list-filter").expectOne().is(":focus")};p.escape_search=function(){var a=$(".user-list-filter").expectOne();""===a.val()?a.blur():(a.val(""),m(),u())};p.initiate_search=function(){$(".user-list-filter").expectOne().focus()};
p.blur_search=function(){$(".user-list-filter").blur();m()};p.clear_search=function(){$(".user-list-filter").val("");$(".user-list-filter").blur();m();u()};$(function(){$(".user-list-filter").expectOne().on("click",q).on("input",u).on("keydown",r).on("blur",m);$("#clear_search_people_button").on("click",p.clear_search)});return p}();"undefined"!==typeof module&&(module.exports=activity);var user_events=function(){return{update_person:function(g){var k=people.get_person_from_user_id(g.user_id);if(k){if(_.has(g,"new_email")){var c=g.user_id,a=g.new_email;narrow_state.update_email(c,a);compose.update_email(c,a);people.is_my_user_id(g.user_id)&&settings_account.update_email(a);people.update_email(c,a)}_.has(g,"full_name")&&(people.set_full_name(k,g.full_name),settings_users.update_user_data(g.user_id,g),activity.redraw(),message_live_update.update_user_full_name(g.user_id,g.full_name),
pm_list.update_private_messages());_.has(g,"is_admin")&&(k.is_admin=g.is_admin,people.is_my_user_id(g.user_id)&&(page_params.is_admin=g.is_admin,admin.show_or_hide_menu_item()));_.has(g,"avatar_url")&&(c=g.avatar_url,k.avatar_url=c,people.is_my_user_id(g.user_id)&&(page_params.avatar_source=g.avatar_source,page_params.avatar_url=c,page_params.avatar_url_medium=g.avatar_url_medium,$("#user-settings-avatar").attr("src",g.avatar_url_medium)),message_live_update.update_avatar(k.user_id,g.avatar_url));
_.has(g,"timezone")&&(k.timezone=g.timezone)}else blueslip.error("Got update_person event for unexpected user",{email:g.user_id})}}}();"undefined"!==typeof module&&(module.exports=user_events);var colorspace=function(){return{sRGB_to_linear:function(g){g/=255;return 0.04045>=g?g/12.92:Math.pow((g+0.055)/1.055,2.4)},rgb_luminance:function(g){return 0.2126*g[0]+0.7152*g[1]+0.0722*g[2]},luminance_to_lightness:function(g){return 116*(g<=216/24389?841/108*g+4/29:Math.pow(g,1/3))-16},getDecimalColor:function(g){return{r:parseInt(g.substr(1,2),16),g:parseInt(g.substr(3,2),16),b:parseInt(g.substr(5,2),16)}},getLighterColor:function(g,k){return{r:(255*k+(1-k)*g.r).toFixed(),g:(255*k+(1-k)*g.g).toFixed(),
b:(255*k+(1-k)*g.b).toFixed()}},getHexColor:function(g){return"#"+parseInt(g.r,10).toString(16)+parseInt(g.g,10).toString(16)+parseInt(g.b,10).toString(16)}}}();"undefined"!==typeof module&&(module.exports=colorspace);var timerender=function(){function g(a,b,c){a.text("");if(void 0!==c)return a.append(['<i class="date-direction icon-vector-caret-up"></i>',c.time_str,'<hr class="date-line">','<i class="date-direction icon-vector-caret-down"></i>',b.time_str]),a;a.append(b.time_str);return a.attr("title",b.formal_time_str)}var k={},c=0,a=function(a){return a.setMilliseconds(0).setSeconds(0).setMinutes(0).setHours(0)};k.render_now=function(b,c){var f=a(c||new XDate),g=a(b.clone()),k="",r=!1,q=b.toString("dddd,\u00a0MMMM\u00a0d,\u00a0yyyy"),
k=Math.round(g.diffDays(f)),f=0<f.getFullYear()-g.getFullYear();0===k?(k=i18n.t("Today"),r=!0):1===k?(k=i18n.t("Yesterday"),r=!0):(k=f?b.toString("MMM\u00a0dd,\u00a0yyyy"):b.toString("MMM\u00a0dd"),r=!1);return{time_str:k,formal_time_str:q,needs_update:r}};var b=[],f;$(function(){f=a(new XDate).addDays(1)});k.render_date=function(a,e,f){var l="timerender"+c;c+=1;var m=k.render_now(a,f),r=$("<span />").attr("id",l);void 0!==e?(f=k.render_now(e,f),r=g(r,m,f)):r=g(r,m);m.needs_update&&(void 0!==e?b.push([l,
a,e]):b.push([l,a]));return r};k.update_timestamps=function(){var c=new XDate;if(c>=f){var e=b;b=[];_.each(e,function(a){var c=a[0],d=document.getElementById(c);if(null!==d){var e=a[1],f,p=k.render_now(e);3===a.length?(f=a[2],a=k.render_now(f),g($(d),p,a)):g($(d),p);p.needs_update&&(void 0!==f?b.push([c,e,f]):b.push([c,e]))}});f=a(c.clone().addDays(1))}};setInterval(k.update_timestamps,6E4);k.get_full_time=function(a){var b=new XDate(1E3*a),c=-b.getTimezoneOffset()/60;a=b.toLocaleDateString();b=b.toLocaleTimeString()+
" (UTC"+(0>c?"":"+")+c+")";return a+" "+b};k.absolute_time=function(){var a="Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" ");return function(b){var c=new Date(b);b=page_params.twenty_four_hour_time;var f=a[c.getMonth()]+" "+c.getDate()+", ",g=c.getHours(),c=c.getMinutes(),k;12<g&&!b&&(g-=12,k=!0);g=("0"+g).slice(-2)+":"+("0"+c).slice(-2);b||(g+=k?" PM":" AM");return f+g}}();k.set_full_datetime=function(a,b){if(void 0===a.full_date_str){var c=new XDate(1E3*a.timestamp),f=-c.getTimezoneOffset()/
60;a.full_date_str=c.toLocaleDateString();a.full_time_str=c.toLocaleTimeString()+" (UTC"+(0>f?"":"+")+f+")";b.attr("title",a.full_date_str+" "+a.full_time_str)}};return k}();"undefined"!==typeof module&&(module.exports=timerender);var tutorial=function(){function g(a,b,c,d){var e={type:JSON.stringify("stream"),recipient:JSON.stringify(a),topic:JSON.stringify(b),content:JSON.stringify(c)};setTimeout(function(){$.ajax({dataType:"json",url:"/json/tutorial_send_message",type:"POST",data:e})},1E3*d)}function k(){$("body").css({overflow:"hidden"});_.each(["keydown","keyup","keypress","scroll"],function(a){var b=$._data(document,"events")[a];void 0===b&&(b=[]);v[a]=b;$._data(document,"events")[a]=[]})}function c(){$("body").css({overflow:"auto"});
_.each(["keydown","keyup","keypress","scroll"],function(a){$._data(document,"events")[a]=v[a]})}function a(a,b){return channel.post({url:"/json/tutorial_status",data:{status:JSON.stringify(a)},success:b})}function b(a,b,c,d){var e=$(document).width(),f=$(document).height();$("#top-screen").css({opacity:0.7,width:e,height:b});$("#bottom-screen").offset({top:b+d,left:0});$("#bottom-screen").css({opacity:0.7,width:e,height:f});$("#left-screen").offset({top:b,left:0});$("#left-screen").css({opacity:0.7,
width:a,height:d});$("#right-screen").offset({top:b,left:a+c});$("#right-screen").css({opacity:0.7,width:a,height:d});$("#clear-screen").css({opacity:0,width:e,height:f})}function f(){var a=message_viewport.message_viewport_info(),b=a.visible_top,c=a.visible_height,a=rows.get_message_recipient_row(rows.last_visible());return $.merge(a,a.prevAll()).filter(function(a,d){var e=$(d).offset();return e.top>b&&e.top<b+c})}function d(a){if($("#left-sidebar").is(":visible"))return a;if("left"===a)return"bottom";
if("bottom"===a)return"right"}function e(a,b,c,d){$(".popover").remove();a.popover("destroy");a.popover({placement:b,title:templates.render("tutorial_title",{title:c,placement:b}),content:templates.render(d,{placement:b,page_params:page_params}),trigger:"manual"});a.popover("show");$(".popover").css("z-index",20001);$(".popover-title").addClass("popover-"+b)}function h(b){var d=$("#tutorial-finale");b?(d.modal("hide"),$(".screen").css({opacity:0,width:0,height:0})):($(".screen").css({opacity:0}),
d.css("z-index",20001),d.modal("show"),$("#tutorial-get-started").click(function(){d.modal("hide");$(".screen").css({opacity:0,width:0,height:0})}).focus());a("finished");s=!1;current_msg_list.clear();D=void 0;server_events.force_get_events();stream_color.default_color=y;$("#first_run_message").show();current_msg_list.rerender();c();_.each(z,function(a){a()});z=[];(b=stream_data.get_newbie_stream())&&narrow.activate([{operator:"stream",operand:b}]);page_params.first_in_realm&&(b=stream_data.name_in_home_view("engineering")?
"engineering":_.find(stream_data.home_view_stream_names(),function(a){return"social"!==a&&a!==page_params.notifications_stream}),stream_data.notifications_in_home_view()&&(g(page_params.notifications_stream,"welcome","Practice sending sending some messages here, or starting a new topic.",15),g(page_params.notifications_stream,"Zulip tips","Here's a message on a new topic: `Zulip tips`.\n\nAs you settle into Zulip, customize your account and notifications on your [Settings page](#settings).",30),g(page_params.notifications_stream,
"Zulip tips","You might also enjoy:\n\n* Our lightweight !modal_link(#markdown-help, message formatting) (including emoji! :thumbsup:)\n* !modal_link(#keyboard-shortcuts, Keyboard shortcuts)\n* [Desktop and mobile apps](/apps)",40)),void 0!==b&&(g(b,"projects","This is a message on stream `"+b+"` with the topic `projects`.",60),g(b,"projects","Take a peek at our [integrations](/integrations). Now's a great time to set one up!",65)),stream_data.name_in_home_view("social")&&g("social","cute animals",
"This is a message on stream `social` with the topic `cute animals`. Try uploading or pasting in some pictures. Here's a [guinea pig](/static/images/cute/guinea.jpg) to get you started:",75))}function l(){var a=rows.first_visible(),c=rows.get_message_recipient_row(a),d=c.find(".message_header"),e=c.offset().left,f=c.offset().top,a=d.height()+a.height(),c=c.width();b(e,f,c,a)}function m(){var a=rows.get_message_recipient_row(rows.first_visible()),c=a.offset().left,d=a.offset().top,e=0;_.each(f(),function(a){e+=
$(a).height()});b(c,d,a.width(),e)}function r(){var a=rows.get_message_recipient_row(rows.first_visible());m();e(a,d("left"),"Replying","tutorial_reply");var b=$("#tutorial-reply").closest(".popover");b.offset({left:b.offset().left-10});D=r;$("#tutorial-reply-next").click(function(){a.popover("destroy");h(!1)}).focus()}function q(){var a=rows.get_message_recipient_header(rows.first_visible());m();e(a,d("left"),"Narrowing","tutorial_home");var b=$("#tutorial-home").closest(".popover");b.offset({left:b.offset().left-
10});D=q;$("#tutorial-home-next").click(function(){a.popover("destroy");r()}).focus()}function p(){var a=rows.first_visible(),b=rows.get_message_recipient_header(a),a=d("bottom");l();e(b,a,"Topics","tutorial_subject");var c=$("#tutorial-subject").closest(".popover");"bottom"===a?c.offset({left:b.offset().left+140-c.width()/2}):c.offset({left:b.offset().left+194});D=p;$("#tutorial-subject-next").click(function(){b.popover("destroy");q()}).focus()}function n(){var a=rows.get_message_recipient_header(rows.first_visible()),
b=d("bottom");l();e(a,b,"Streams","tutorial_stream");var c=$("#tutorial-stream").closest(".popover");"bottom"===b?c.offset({left:a.offset().left+50-c.width()/2}):c.offset({left:a.offset().left+98});D=n;$("#tutorial-stream-next").click(function(){a.popover("destroy");p()}).focus()}function t(){$("#top-screen").css({opacity:0.7,width:$(document).width(),height:$(document).height()});var a=rows.first_visible(),b=rows.get_message_recipient_header(a);l();e(b,d("left"),"Welcome to Zulip","tutorial_message");
a=$("#tutorial-message").closest(".popover");a.offset({left:a.offset().left-10});D=t;$("#tutorial-message-next").click(function(){b.popover("destroy");n()}).focus();$("#tutorial-message-skip").click(function(){b.popover("destroy");h(!0)})}var u={},s=!1,v={},z=[],D,y,C=(new Date).getTime()/1E3,w=[{id:1,content:"<p>We're working on some new screenshots for our landing page!</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:C,type:"stream"},{id:2,content:"<p>Here's the <a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'>latest version</a>:<div class='message_inline_image'><a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'><img src='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'></a></div> for the Windows app -- thoughts? I'm particularly wondering whether people think the screenshot should be from Windows 7 or some other version.</p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:C,type:"stream"},{id:3,content:"<p>Looks good to me! <img alt=':+1:' class='emoji' src='/static/generated/emoji/images/emoji/+1.png' title=':+1:'></p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:C,type:"stream"},{id:4,content:"<p>Adam and I just finished a brainstorming session for the next set of integrations we want to support.</p><p><a href=''>Here</a> are our notes. I'll open tickets for the action items.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",
stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:C,type:"stream"},{id:5,content:"<p>Yay, Twitter integration. <img alt=':heart_eyes:' class='emoji' src='/static/generated/emoji/images/emoji/heart_eyes.png' title=':heart_eyes:'></p>",is_stream:!0,sender_full_name:"Leo Franchi",sender_email:"leo@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/4309007c980e1e8b9a2453488586482a",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:C,
type:"stream"},{id:6,content:"<p>We need to add support for a few more markdown features before we can do GitHub integration.</p>",is_stream:!0,sender_full_name:"Li Jing",sender_email:"li@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2950c2c87fe7daaa56fd6a403ecc2ee0",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:C,type:"stream"},{id:7,content:"<p>Good point, I'll add that to the ticket.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",
sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:C,type:"stream"},{id:8,content:"<p><img alt=':clock1130:' class='emoji' src='/static/generated/emoji/images/emoji/clock1130.png' title=':clock1130:'> Reminder: engineering meeting in 1 hour. <img alt=':clock1130:' class='emoji' src='/static/generated/emoji/images/emoji/clock1130.png' title=':clock1130:'></p>",
is_stream:!0,sender_full_name:"Reminder Bot",sender_email:"reminder-bot@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/78873d7213d102dc36773046560d403a",display_recipient:"engineering",stream:"engineering",subject:"weekly meeting",timestr:"12:30",timestamp:C,type:"stream"},{id:9,content:"<p>Quickly brainstorming my remaining TODO list out loud for you all:</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:C,type:"stream"},{id:10,content:"<p><ul><li>Redo iPhone shot</li><li>Double-check layout on iPad</li><li>Update copy for new iOS app version</li><li>Check with Android team on timeline for login redesign</li></ul></p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",
stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:C,type:"stream"},{id:11,content:"<p>Oops, I actually took care of the text for iOS and forgot to update the ticket -- I'll do that now.</p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:C,type:"stream"},{id:12,content:"<p>No problem, less work for me. <img alt=':smile:' class='emoji' src='/static/generated/emoji/images/emoji/smile.png' title=':smile:'></p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:C,type:"stream"}];u.is_running=function(){return s};u.defer=function(a){z.push(a)};u.start=function(){overlays.is_active()&&ui_util.change_tab_to("#home");narrow.deactivate();y=stream_color.default_color;stream_color.default_color="#76ce90";current_msg_list.add_and_rerender(w);
k();s=!0;a("started");t()};u.initialize=function(){page_params.needs_tutorial&&u.start();$(window).resize($.debounce(100,function(){void 0!==D&&D()}))};return u}();"undefined"!==typeof module&&(module.exports=tutorial);var hotspots=function(){function g(c){channel.post({url:"/json/users/me/hotspots",data:{hotspot:JSON.stringify(c)}})}var k={show:function(c){$(".hotspot").hide();for(var a=0;a<c.length;a+=1)$("#hotspot_".concat(c[a])).show()},initialize:function(){k.show(page_params.hotspots)}};$(function(){$("#hotspot_welcome").on("click",function(c){g("welcome");c.preventDefault();c.stopPropagation()});$("#hotspot_streams").on("click",function(c){g("streams");c.preventDefault();c.stopPropagation()});$("#hotspot_topics").on("click",
function(c){g("topics");c.preventDefault();c.stopPropagation()});$("#hotspot_narrowing").on("click",function(c){g("narrowing");c.preventDefault();c.stopPropagation()});$("#hotspot_replying").on("click",function(c){g("replying");c.preventDefault();c.stopPropagation()});$("#hotspot_get_started").on("click",function(c){g("get_started");c.preventDefault();c.stopPropagation()})});return k}();"undefined"!==typeof module&&(module.exports=hotspots);var templates=function(){var g={render:function(g,c){if(void 0===Handlebars.templates)throw Error("Cannot find compiled templates!");if(void 0===Handlebars.templates[g])throw Error("Cannot find a template with this name: "+g+". If you are developing a new feature, this likelymeans you need to add the file static/templates/"+g+".handlebars");return Handlebars.templates[g](c)}};Handlebars.registerHelper("partial",function(k){var c={},a=arguments.length,b;for(b=1;b<a-2;b+=2)c[arguments[b]]=arguments[b+
1];c=_.extend({},this,c);return new Handlebars.SafeString(g.render(k,c))});Handlebars.registerHelper("plural",function(g,c,a){return 1===g?c:a});Handlebars.registerHelper("if_and",function(){var g=arguments[arguments.length-1],c;for(c=0;c<arguments.length-1;c+=1)if(!arguments[c])return g.inverse(this);return g.fn(this)});Handlebars.registerHelper("if_or",function(){var g=arguments[arguments.length-1],c;for(c=0;c<arguments.length-1;c+=1)if(arguments[c])return g.fn(this);return g.inverse(this)});Handlebars.registerHelper("t",
function(g){g=i18n.t(g);return new Handlebars.SafeString(g)});Handlebars.registerHelper("tr",function(g,c){var a=i18n.t(c.fn(g),g);return new Handlebars.SafeString(a)});return g}();"undefined"!==typeof module&&(module.exports=templates);var upload_widget=function(){function g(g){g=g.type;return!g?!1:0<=_.indexOf(["image/jpeg","image/png","image/gif","image/tiff"],g)}return{build_widget:function(k,c,a,b,f,d){function e(){k().val("");c.text("");b.hide();f.show()}d=d||5;b.on("click",function(a){e();a.preventDefault()});f.on("drop",function(a){var b=a.dataTransfer.files;if(null===b||void 0===b||0===b.length)return!1;k().get(0).files=b;a.preventDefault();return!1});k().on("change",function(h){0===h.target.files.length?a.hide():1===h.target.files.length?
(h=h.target.files[0],h.size>1048576*d?(a.text(i18n.t("File size must be < __max_file_size__Mb.",{max_file_size:d})),a.show(),e()):g(h)?(c.text(h.name),a.hide(),b.show(),f.hide()):(a.text(i18n.t("File type is not supported.")),a.show(),e())):a.text(i18n.t("Please just upload one file."))});f.on("click",function(a){k().trigger("click");a.preventDefault()});return{clear:e,close:function(){e();b.off("click");f.off("drop");k().off("change");f.off("click")}}},build_direct_upload_widget:function(k,c,a,b,
f){function d(){var a=k(),b=a.clone(!0);a.replaceWith(b)}f=f||5;a.on("drop",function(a){var b=a.dataTransfer.files;if(null===b||void 0===b||0===b.length)return!1;k().get(0).files=b;a.preventDefault();return!1});k().on("change",function(a){0===a.target.files.length?c.hide():1===a.target.files.length?(a=a.target.files[0],a.size>1048576*f?(c.text(i18n.t("File size must be < __max_file_size__Mb.",{max_file_size:f})),c.show(),d()):g(a)?(c.hide(),b(k())):(c.text(i18n.t("File type is not supported.")),c.show(),
d())):c.text(i18n.t("Please just upload one file."))});a.on("click",function(a){k().trigger("click");a.preventDefault()})}}}();"undefined"!==typeof module&&(module.exports=upload_widget);var avatar=function(){return{build_bot_create_widget:function(){var g=$("#bot_avatar_file"),k=$("#bot_avatar_file_input_error"),c=$("#bot_avatar_clear_button"),a=$("#bot_avatar_upload_button");return upload_widget.build_widget(function(){return $("#bot_avatar_file_input")},g,k,c,a)},build_bot_edit_widget:function(g){var k=g.find(".edit_bot_avatar_file"),c=g.find(".edit_bot_avatar_error"),a=g.find(".edit_bot_avatar_clear_button"),b=g.find(".edit_bot_avatar_upload_button");return upload_widget.build_widget(function(){return g.find(".edit_bot_avatar_file_input")},
k,c,a,b)},build_user_avatar_widget:function(g){"G"===page_params.avatar_source&&$("#user_avatar_delete_button").hide();$("#user_avatar_delete_button").on("click",function(g){g.preventDefault();g.stopPropagation();channel.del({url:"/json/users/me/avatar",success:function(c){$("#user-settings-avatar").expectOne().attr("src",c.avatar_url);$("#user_avatar_delete_button").hide();c=$("#user_avatar_file_input");c.replaceWith(c.clone(!0))}})});return upload_widget.build_direct_upload_widget(function(){return $("#user_avatar_file_input").expectOne()},
$("#user_avatar_file_input_error").expectOne(),$("#user_avatar_upload_button").expectOne(),g,page_params.max_avatar_file_size)}}}();"undefined"!==typeof module&&(module.exports=avatar);var realm_icon=function(){return{build_realm_icon_widget:function(g){"G"===page_params.realm_icon_source?$("#realm_icon_delete_button").hide():$("#realm_icon_delete_button").show();$("#realm_icon_delete_button").on("click",function(g){g.preventDefault();g.stopPropagation();channel.del({url:"/json/realm/icon"})});return upload_widget.build_direct_upload_widget(function(){return $("#realm_icon_file_input").expectOne()},$("#realm_icon_file_input_error").expectOne(),$("#realm_icon_upload_button").expectOne(),
g,page_params.max_icon_file_size)},rerender:function(){$("#realm-settings-icon").attr("src",page_params.realm_icon_url);"U"===page_params.realm_icon_source?$("#realm_icon_delete_button").show():($("#realm_icon_delete_button").hide(),$("#realm_icon_file_input").val(""))}}}();"undefined"!==typeof module&&(module.exports=realm_icon);var settings_account=function(){function g(c,a){ui_report.error(c,a,$("#account-settings-status").expectOne())}function k(c){ui_report.success(c,$("#account-settings-status").expectOne())}return{update_email:function(c){var a=$("#email_value");a&&a.text(c)},set_up:function(){function c(){$("#old_password, #new_password, #confirm_password").val("")}$("#account-settings-status").hide();c();$("#pw_change_link").on("click",function(a){a.preventDefault();$("#pw_change_link").hide();$("#pw_change_controls").show();
!1!==page_params.realm_password_auth_enabled&&(a="/static/min/zxcvbn.js",page_params.development_environment&&(a="/static/node_modules/zxcvbn/dist/zxcvbn.js"),$.getScript(a,function(){$("#pw_strength .bar").removeClass("fade")}))});$("#new_password").on("change keyup",function(){var a=$("#new_password");password_quality(a.val(),$("#pw_strength .bar"),a)});$("form.your-account-settings").ajaxForm({dataType:"json",beforeSubmit:function(){if(!1!==page_params.realm_password_auth_enabled){var a=$("#new_password"),
b=$("#new_password").val();if(""!==b){a=password_quality(b,void 0,a);if(void 0===a)return g("An internal error occurred; try reloading the page. Sorry for the trouble!"),!1;if(!a)return g("New password is too weak"),!1}}return!0},success:function(){k("Updated settings!")},error:function(a){g("Error changing settings",a)},complete:function(){c()}});$("#change_email_button").on("click",function(a){a.preventDefault();a.stopPropagation();$("#change_email_modal").modal("hide");a={};a.email=$(".email_change_container").find("input[name='email']").val();
channel.patch({url:"/json/settings/change",data:a,success:function(a){"account_email"in a?k(a.account_email):g(i18n.t("Error changing settings: No new data supplied."))},error:function(a){g("Error changing settings",a)}})});$("#change_email").on("click",function(a){a.preventDefault();a.stopPropagation();$("#change_email_modal").modal("show");a=$("#email_value").text();$(".email_change_container").find("input[name='email']").val(a)});$("#user_deactivate_account_button").on("click",function(a){a.preventDefault();
a.stopPropagation();$("#deactivate_self_modal").modal("show")});$("#do_deactivate_self_button").on("click",function(){$("#deactivate_self_modal").modal("hide");channel.del({url:"/json/users/me",success:function(){window.location.href="/login"},error:function(a){ui_report.error(i18n.t("Error deactivating account"),a,$("#account-settings-status").expectOne())}})});avatar.build_user_avatar_widget(function(a){var b=new FormData;b.append("csrfmiddlewaretoken",csrf_token);jQuery.each(a[0].files,function(a,
c){b.append("file-"+a,c)});a=$("#upload_avatar_spinner").expectOne();loading.make_indicator(a,{text:"Uploading avatar."});channel.put({url:"/json/users/me/avatar",data:b,cache:!1,processData:!1,contentType:!1,success:function(a){loading.destroy_indicator($("#upload_avatar_spinner"));$("#user-settings-avatar").expectOne().attr("src",a.avatar_url);$("#user_avatar_delete_button").show()}})});page_params.realm_name_changes_disabled&&$(".name_change_container").hide()}}}();
"undefined"!==typeof module&&(module.exports=settings_account);var settings_display=function(){function g(){$("#twenty_four_hour_time").prop("checked",page_params.twenty_four_hour_time);$("#left_side_userlist").prop("checked",page_params.left_side_userlist);$("#emoji_alt_code").prop("checked",page_params.emoji_alt_code);$("#default_language_name").text(page_params.default_language_name)}return{set_up:function(){$("#display-settings-status").hide();$("#user_timezone").val(page_params.timezone);$("#emojiset_select").val(page_params.emojiset);$("#default_language_modal [data-dismiss]").click(function(){$("#default_language_modal").fadeOut(300)});
$("#default_language_modal .language").click(function(g){g.preventDefault();g.stopPropagation();$("#default_language_modal").fadeOut(300);var c={};g=$(g.target).closest("a[data-code]");var a=g.attr("data-code");c.default_language=JSON.stringify(a);g=g.attr("data-name");$("#default_language_name").text(g);var b={};b.lang=g;channel.patch({url:"/json/settings/display",data:c,success:function(){ui_report.success(i18n.t("__lang__ is now the default language!  You will need to reload the window for your changes to take effect",
b),$("#display-settings-status").expectOne())},error:function(a){ui_report.error(i18n.t("Error updating default language setting"),a,$("#display-settings-status").expectOne())}})});$("#default_language").on("click",function(g){g.preventDefault();g.stopPropagation();$("#default_language_modal").show().attr("aria-hidden",!1)});$("#left_side_userlist").change(function(){var g={};g.left_side_userlist=JSON.stringify(this.checked);var c={};c.side="true"===g.left_side_userlist?i18n.t("left"):i18n.t("right");
channel.patch({url:"/json/settings/display",data:g,success:function(){ui_report.success(i18n.t("User list will appear on the __side__ hand side! You will need to reload the window for your changes to take effect.",c),$("#display-settings-status").expectOne())},error:function(a){ui_report.error(i18n.t("Error updating user list placement setting"),a,$("#display-settings-status").expectOne())}})});$("#emoji_alt_code").change(function(){var g={};g.emoji_alt_code=JSON.stringify(this.checked);var c={};
c.text_or_images="true"===g.emoji_alt_code?i18n.t("text"):i18n.t("images");channel.patch({url:"/json/settings/display",data:g,success:function(){ui_report.success(i18n.t("Emoji reactions will appear as __text_or_images__!",c),$("#display-settings-status").expectOne())},error:function(a){ui_report.error(i18n.t("Error updating emoji appearance setting"),a,$("#display-settings-status").expectOne())}})});$("#twenty_four_hour_time").change(function(){var g={},c=$("#twenty_four_hour_time").is(":checked");
g.twenty_four_hour_time=JSON.stringify(c);var a={};a.format="true"===g.twenty_four_hour_time?"24":"12";channel.patch({url:"/json/settings/display",data:g,success:function(){ui_report.success(i18n.t("Time will now be displayed in the __format__-hour format!",a),$("#display-settings-status").expectOne())},error:function(a){ui_report.error(i18n.t("Error updating time format setting"),a,$("#display-settings-status").expectOne())}})});$("#user_timezone").change(function(){var g={},c=this.value;g.timezone=
JSON.stringify(c);channel.patch({url:"/json/settings/display",data:g,success:function(){ui_report.success(i18n.t("Your time zone have been set to "+c),$("#display-settings-status").expectOne())},error:function(a){ui_report.error(i18n.t("Error updating time zone"),a,$("#display-settings-status").expectOne())}})});$("#emojiset_select").change(function(){var g=$(this).val(),c={};c.emojiset=JSON.stringify(g);channel.patch({url:"/json/settings/display",data:c,success:function(){var a=$("#emojiset_spinner").expectOne();
loading.make_indicator(a,{text:"Changing emojiset."})},error:function(a){ui_report.error(i18n.t("Error changing emojiset."),a,$("#display-settings-status").expectOne())}})})},update_page:function(){i18n.ensure_i18n(g)}}}();"undefined"!==typeof module&&(module.exports=settings_display);var settings_notifications=function(){function g(){$("#enable_stream_desktop_notifications").prop("checked",page_params.enable_stream_desktop_notifications);$("#enable_stream_sounds").prop("checked",page_params.enable_stream_sounds);$("#enable_desktop_notifications").prop("checked",page_params.enable_desktop_notifications);$("#enable_sounds").prop("checked",page_params.enable_sounds);$("#enable_offline_email_notifications").prop("checked",page_params.enable_offline_email_notifications);$("#enable_offline_push_notifications").prop("checked",
page_params.enable_offline_push_notifications);$("#enable_online_push_notifications").prop("checked",page_params.enable_online_push_notifications);$("#pm_content_in_desktop_notifications").prop("checked",page_params.pm_content_in_desktop_notifications);$("#enable_digest_emails").prop("checked",page_params.enable_digest_emails)}return{set_up:function(){function g(a,b,c){a=JSON.parse(c.responseText);b=$("#notify-settings-status").expectOne();void 0!==a.enable_stream_desktop_notifications&&(page_params.enable_stream_desktop_notifications=
a.enable_stream_desktop_notifications);void 0!==a.enable_stream_sounds&&(page_params.enable_stream_sounds=a.enable_stream_sounds);void 0!==a.enable_desktop_notifications&&(page_params.enable_desktop_notifications=a.enable_desktop_notifications);void 0!==a.enable_sounds&&(page_params.enable_sounds=a.enable_sounds);void 0!==a.enable_offline_email_notifications&&(page_params.enable_offline_email_notifications=a.enable_offline_email_notifications);void 0!==a.enable_offline_push_notifications&&(page_params.enable_offline_push_notifications=
a.enable_offline_push_notifications);void 0!==a.enable_online_push_notifications&&(page_params.enable_online_push_notifications=a.enable_online_push_notifications);void 0!==a.pm_content_in_desktop_notifications&&(page_params.pm_content_in_desktop_notifications=a.pm_content_in_desktop_notifications);void 0!==a.enable_digest_emails&&(page_params.enable_digest_emails=a.enable_digest_emails);ui_report.success(i18n.t("Updated notification settings!"),b)}function c(a){ui_report.error(i18n.t("Error changing settings"),
a,$("#notify-settings-status").expectOne())}function a(a,b){var d={};d[a]=b;channel.patch({url:"/json/settings/notifications",data:d,success:g,error:c})}function b(b){a("enable_stream_desktop_notifications",b);stream_edit.set_all_stream_desktop_notifications_to(b)}function f(b){a("enable_stream_sounds",b);stream_edit.set_all_stream_audible_notifications_to(b)}function d(a,b){var c=templates.render("propagate_notification_change"),d=a.closest(".control-group"),f=a.is(":checked");d.find(".propagate_stream_notifications_change").html(c);
d.find(".yes_propagate_notifications").on("click",function(){b(f);d.find(".propagate_stream_notifications_change").empty()});d.find(".no_propagate_notifications").on("click",function(){d.find(".propagate_stream_notifications_change").empty()})}$("#notify-settings-status").hide();page_params.realm_show_digest_email||$("#other_notifications").hide();$("#change_notification_settings").on("click",function(a){a.preventDefault();var b={};_.each("enable_stream_desktop_notifications enable_stream_sounds enable_desktop_notifications pm_content_in_desktop_notifications enable_sounds enable_offline_email_notifications enable_offline_push_notifications enable_online_push_notifications enable_digest_emails".split(" "),
function(a){b[a]=$("#"+a).is(":checked")});channel.patch({url:"/json/settings/notifications",data:b,success:g,error:c})});$("#enable_stream_desktop_notifications").on("click",function(){var a=$("#enable_stream_desktop_notifications");d(a,b)});$("#enable_stream_sounds").on("click",function(){var a=$("#enable_stream_sounds");d(a,f)})},update_page:function(){i18n.ensure_i18n(g)}}}();"undefined"!==typeof module&&(module.exports=settings_notifications);var settings_bots=function(){function g(){$("#active_bots_list").empty();$("#inactive_bots_list").empty();_.each(bot_data.get_all_bots_for_current_user(),function(c){c={name:c.full_name,email:c.email,avatar_url:c.avatar_url,api_key:c.api_key,is_active:c.is_active,zuliprc:"zuliprc"};c.id_suffix=_.uniqueId("_bot_");var a=$(templates.render("bot_avatar_row",c));c.is_active?$("#active_bots_list").append(a):$("#inactive_bots_list").append(a)});$("#bots_lists_navbar .active-bots-tab").hasClass("active")?
($("#active_bots_list").show(),$("#inactive_bots_list").hide()):($("#active_bots_list").hide(),$("#inactive_bots_list").show())}var k={generate_zuliprc_uri:function(c,a){var b=k.generate_zuliprc_content(c,a);return"data:application/octet-stream;charset=utf-8,"+encodeURIComponent(b)},generate_zuliprc_content:function(c,a){return"[api]\nemail="+c+"\nkey="+a+"\nsite="+page_params.realm_uri+"\n"},set_up:function(){$("#api_key_value").text("");$("#get_api_key_box").hide();$("#show_api_key_box").hide();
$("#api_key_button_box").show();$("#api_key_button").click(function(){!1!==page_params.realm_password_auth_enabled?$("#get_api_key_box").show():$("#get_api_key_box form").submit();$("#api_key_button_box").hide()});$("#get_api_key_box").hide();$("#show_api_key_box").hide();$("#get_api_key_box form").ajaxForm({dataType:"json",success:function(a,b,c){a=JSON.parse(c.responseText);b=$("#account-settings-status").expectOne();$("#get_api_key_password").val("");$("#api_key_value").text(a.api_key);$("#show_api_key_box").show();
$("#get_api_key_box").hide();b.hide()},error:function(a){ui_report.error(i18n.t("Error getting API key"),a,$("#account-settings-status").expectOne());$("#show_api_key_box").hide();$("#get_api_key_box").show()}});g();$(document).on("zulip.bot_data_changed",g);$.validator.addMethod("bot_local_part",function(a,b){return this.optional(b)||/^[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+(\.[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+)*$/i.test(a+"-bot")},"Please only use characters that are valid in an email address");var c=avatar.build_bot_create_widget();
$("#create_bot_form").validate({errorClass:"text-error",success:function(){$("#bot_table_error").hide()},submitHandler:function(){var a=$("#create_bot_name").val(),b=$("#create_bot_short_name").val()||$("#create_bot_short_name").text(),e=new FormData;e.append("csrfmiddlewaretoken",csrf_token);e.append("full_name",a);e.append("short_name",b);jQuery.each($("#bot_avatar_file_input")[0].files,function(a,b){e.append("file-"+a,b)});$("#create_bot_button").val("Adding bot...").prop("disabled",!0);channel.post({url:"/json/bots",
data:e,cache:!1,processData:!1,contentType:!1,success:function(){$("#bot_table_error").hide();$("#create_bot_name").val("");$("#create_bot_short_name").val("");$("#create_bot_button").show();c.clear()},error:function(a){$("#bot_table_error").text(JSON.parse(a.responseText).msg).show()},complete:function(){$("#create_bot_button").val("Create bot").prop("disabled",!1)}})}});$("#active_bots_list").on("click","button.delete_bot",function(a){var b=$(a.currentTarget).data("email");channel.del({url:"/json/bots/"+
encodeURIComponent(b),success:function(){var b=$(a.currentTarget).closest("li");b.hide("slow",function(){b.remove()})},error:function(a){$("#bot_delete_error").text(JSON.parse(a.responseText).msg).show()}})});$("#inactive_bots_list").on("click","button.reactivate_bot",function(a){a=$(a.currentTarget).data("email");channel.post({url:"/json/users/"+encodeURIComponent(a)+"/reactivate",error:function(a){$("#bot_delete_error").text(JSON.parse(a.responseText).msg).show()}})});$("#active_bots_list").on("click",
"button.regenerate_bot_api_key",function(a){var b=$(a.currentTarget).data("email");channel.post({url:"/json/bots/"+encodeURIComponent(b)+"/api_key/regenerate",idempotent:!0,success:function(b){var c=$(a.currentTarget).closest("li");c.find(".api_key").find(".value").text(b.api_key);c.find("api_key_error").hide()},error:function(b){$(a.currentTarget).closest("li").find(".api_key_error").text(JSON.parse(b.responseText).msg).show()}})});var a=0,b=avatar.build_bot_edit_widget($("#settings_page"));$("#active_bots_list").on("click",
"button.open_edit_bot_form",function(c){var d=people.get_realm_persons().filter(function(a){return!a.is_bot}),e=$(c.currentTarget).closest("li"),g=e.find("div.edit_bot"),k=$("#settings_page .edit_bot_form"),m=e.find(".image");c=e.find(".reset_edit_bot");var r=$(templates.render("bot_owner_select",{users_list:d})),q=e.find(".name").text(),d=bot_data.get(e.find(".email .value").text()).owner,p=e.find(".email .value").text();$("#settings_page .edit_bot .edit_bot_name").val(q);$("#settings_page .edit_bot .select-form").text("").append(r);
$("#settings_page .edit_bot .edit-bot-owner select").val(d);$("#settings_page .edit_bot_form").attr("data-email",p);$(".edit_bot_email").text(p);b.clear();c.click(function(a){k.find(".edit_bot_name").val(q);r.remove();m.show();e.show();g.hide();$(this).off(a)});var n=k.find(".bot_edit_errors");k.validate({errorClass:"text-error",success:function(){n.hide()},submitHandler:function(){var c=k.attr("data-email"),d=k.find(".edit_bot_name").val(),f=k.find(".edit-bot-owner select").val(),p=$(".edit_bot").find(".edit_bot_avatar_file_input"),
q=k.find(".edit_bot_spinner"),r=k.find(".edit_bot_button"),y=new FormData;y.append("csrfmiddlewaretoken",csrf_token);y.append("full_name",d);y.append("bot_owner",f);jQuery.each(p[0].files,function(a,b){y.append("file-"+a,b)});loading.make_indicator(q,{text:"Editing bot"});r.hide();channel.patch({url:"/json/bots/"+encodeURIComponent(c),data:y,cache:!1,processData:!1,contentType:!1,success:function(c){loading.destroy_indicator(q);n.hide();r.show();m.show();e.show();g.hide();b.clear();e.find(".name").text(d);
c.avatar_url&&(a+=1,m.find("img").attr("src",c.avatar_url+"&v="+a.toString()))},error:function(a){loading.destroy_indicator(q);r.show();n.text(JSON.parse(a.responseText).msg).show()}})}})});$("#active_bots_list").on("click","a.download_bot_zuliprc",function(){var a=$(this).closest(".bot-information-box"),b=a.find(".email .value").text(),a=a.find(".api_key .api-key-value-and-button .value").text();$(this).attr("href",k.generate_zuliprc_uri($.trim(b),$.trim(a)))});$("#download_zuliprc").on("click",
function(){$(this).attr("href",k.generate_zuliprc_uri(people.my_current_email(),$("#api_key_value").text()))});$("#show_api_key_box").on("click","button.regenerate_api_key",function(){channel.post({url:"/json/users/me/api_key/regenerate",idempotent:!0,success:function(a){$("#api_key_value").text(a.api_key)},error:function(a){$("#user_api_key_error").text(JSON.parse(a.responseText).msg).show()}})});$("#bots_lists_navbar .active-bots-tab").click(function(a){a.preventDefault();a.stopPropagation();$("#bots_lists_navbar .active-bots-tab").addClass("active");
$("#bots_lists_navbar .inactive-bots-tab").removeClass("active");$("#active_bots_list").show();$("#inactive_bots_list").hide()});$("#bots_lists_navbar .inactive-bots-tab").click(function(a){a.preventDefault();a.stopPropagation();$("#bots_lists_navbar .active-bots-tab").removeClass("active");$("#bots_lists_navbar .inactive-bots-tab").addClass("active");$("#active_bots_list").hide();$("#inactive_bots_list").show()})}};return k}();"undefined"!==typeof module&&(module.exports=settings_bots);var settings_muting=function(){return{set_up:function(){$("body").on("click",".settings-unmute-topic",function(g){var k=$(this).closest("tr"),c=k.data("stream"),a=k.data("topic");muting_ui.unmute(c,a);k.remove();g.stopImmediatePropagation()});muting_ui.set_up_muted_topics_ui(muting.get_muted_topics())}}}();"undefined"!==typeof module&&(module.exports=settings_muting);var settings_lab=function(){return{set_up:function(){$("#ui-settings-status").hide();$("#ui-settings").on("click","input[name='change_settings']",function(g){g.preventDefault();var k={};_.each(["autoscroll_forever","default_desktop_notifications"],function(c){k[c]=$("#"+c).is(":checked")});channel.patch({url:"/json/settings/ui",data:k,success:function(c,a,b){c=i18n.t("Updated settings!  You will need to reload for these changes to take effect.",page_params);b=JSON.parse(b.responseText);a=$("#ui-settings-status").expectOne();
void 0!==b.autoscroll_forever&&(page_params.autoscroll_forever=b.autoscroll_forever,resize.resize_page_components());ui_report.success(c,a)},error:function(c){ui_report.error(i18n.t("Error changing settings"),c,$("#ui-settings-status").expectOne())}})})}}}();"undefined"!==typeof module&&(module.exports=settings_lab);var settings_sections=function(){var g={},k=new Dict,c=new Dict;g.initialize=function(){k.set("your-account",settings_account.set_up);k.set("display-settings",settings_display.set_up);k.set("notifications",settings_notifications.set_up);k.set("your-bots",settings_bots.set_up);k.set("alert-words",alert_words_ui.set_up_alert_words);k.set("uploaded-files",attachments_ui.set_up_attachments);k.set("muted-topics",settings_muting.set_up);k.set("zulip-labs",settings_lab.set_up)};g.load_settings_section=function(a){k.has(a)?
c.get(a)||(k.get(a)(),c.set(a,!0)):blueslip.error("Unknown section "+a)};g.reset_sections=function(){c.clear()};return g}();"undefined"!==typeof module&&(module.exports=settings_sections);var settings_emoji=function(){var g={},k=!1;g.reset=function(){k=!1};g.populate_emoji=function(c){if(k){var a=$("#admin_emoji_table").expectOne();a.find("tr.emoji_row").remove();_.each(c,function(b,c){a.append(templates.render("admin_emoji_list",{emoji:{name:c,source_url:b.source_url,display_url:b.source_url,author:b.author||"",can_admin_emoji:page_params.is_admin?!0:null===b.author?!1:!page_params.realm_add_emoji_by_admins_only&&people.is_current_user(b.author.email)?!0:!1}}))});loading.destroy_indicator($("#admin_page_emoji_loading_indicator"))}};
g.set_up=function(){k=!0;loading.make_indicator($("#admin_page_emoji_loading_indicator"));g.populate_emoji(page_params.realm_emoji);$(".admin_emoji_table").on("click",".delete",function(a){a.preventDefault();a.stopPropagation();var b=$(this);channel.del({url:"/json/realm/emoji/"+encodeURIComponent(b.attr("data-emoji-name")),error:function(a){"4"===a.status.toString().charAt(0)?b.closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):b.text(i18n.t("Failed!"))},success:function(){b.parents("tr").remove()}})});
var c=emoji.build_emoji_upload_widget();$(".organization").on("submit","form.admin-emoji-form",function(a){a.preventDefault();a.stopPropagation();var b=$("#admin-emoji-status"),f={},d=new FormData;_.each($(this).serializeArray(),function(a){f[a.name]=a.value});$.each($("#emoji_file_input")[0].files,function(a,b){d.append("file-"+a,b)});channel.put({url:"/json/realm/emoji/"+encodeURIComponent(f.name),data:d,cache:!1,processData:!1,contentType:!1,success:function(){$("#admin-emoji-status").hide();ui_report.success(i18n.t("Custom emoji added!"),
b);$("form.admin-emoji-form input[type='text']").val("");c.clear()},error:function(a){$("#admin-emoji-status").hide();var d=JSON.parse(a.responseText).msg;a.responseText=JSON.stringify({msg:d});ui_report.error(i18n.t("Failed"),a,b);c.clear()}})})};return g}();"undefined"!==typeof module&&(module.exports=settings_emoji);var settings_org=function(){var g;function k(a){return $("#admin-realm-"+a.split("_").join("-")+"-status").expectOne()}function c(){function b(a,b){_.each(d[b],function(c,f){var g=d[b][f];"bool"===g.type?a[f]=JSON.stringify($("#id_realm_"+f).prop("checked")):"Text"===g.type&&(a[f]=JSON.stringify($("#id_realm_"+f).val().trim()))});return a}function c(a,b){_.has(d,b)?_.each(a,function(a,c){if(void 0!==a&&_.has(d[b],c)){var e;e=d[b][c];var f=e.type;"bool"===f?(e=a?e.checked_msg:e.unchecked_msg,ui_report.success(e,
k(c))):"Text"===f&&ui_report.success(e.msg,k(c))}}):blueslip.error("Unknown category "+b)}g=!0;loading.make_indicator($("#admin_page_auth_methods_loading_indicator"));a.populate_realm_domains(page_params.realm_domains);a.populate_auth_methods(page_params.realm_authentication_methods);var d={settings:{name:{type:"Text",msg:i18n.t("Name changed!")},description:{type:"Text",msg:i18n.t("Description changed!")},default_language:{type:"Text",msg:i18n.t("Default language changed!")}},permissions:{add_emoji_by_admins_only:{type:"bool",
checked_msg:i18n.t("Only administrators may now add new emoji!"),unchecked_msg:i18n.t("Any user may now add new emoji!")},create_stream_by_admins_only:{type:"bool",checked_msg:i18n.t("Only administrators may now create new streams!"),unchecked_msg:i18n.t("Any user may now create new streams!")},email_changes_disabled:{type:"bool",checked_msg:i18n.t("Users cannot change their email!"),unchecked_msg:i18n.t("Users may now change their email!")},invite_required:{type:"bool",checked_msg:i18n.t("New users must be invited by e-mail!"),
unchecked_msg:i18n.t("New users may sign up online!")},invite_by_admins_only:{type:"bool",checked_msg:i18n.t("New users must be invited by an admin!"),unchecked_msg:i18n.t("Any user may now invite new users!")},inline_image_preview:{type:"bool",checked_msg:i18n.t("Previews of uploaded and linked images will be shown!"),unchecked_msg:i18n.t("Previews of uploaded and linked images will not be shown!")},inline_url_embed_preview:{type:"bool",checked_msg:i18n.t("Previews for linked websites will be shown!"),
unchecked_msg:i18n.t("Previews for linked websites will not be shown!")},name_changes_disabled:{type:"bool",checked_msg:i18n.t("Users cannot change their name!"),unchecked_msg:i18n.t("Users may now change their name!")},restricted_to_domain:{type:"bool",checked_msg:i18n.t("New user e-mails now restricted to certain domains!"),unchecked_msg:i18n.t("New users may have arbitrary e-mails!")}}};$("#id_realm_invite_required").change(function(){this.checked?($("#id_realm_invite_by_admins_only").removeAttr("disabled"),
$("#id_realm_invite_by_admins_only_label").parent().removeClass("control-label-disabled")):($("#id_realm_invite_by_admins_only").attr("disabled",!0),$("#id_realm_invite_by_admins_only_label").parent().addClass("control-label-disabled"))});$("#id_realm_allow_message_editing").change(function(){this.checked?($("#id_realm_message_content_edit_limit_minutes").removeAttr("disabled"),$("#id_realm_message_content_edit_limit_minutes_label").parent().removeClass("control-label-disabled")):($("#id_realm_message_content_edit_limit_minutes").attr("disabled",
!0),$("#id_realm_message_content_edit_limit_minutes_label").parent().addClass("control-label-disabled"))});$(".organization").on("submit","form.org-settings-form",function(a){_.each(d.settings,function(a,b){k(b).hide()});var g=$("#admin-realm-name-status").expectOne(),l=$("#admin-realm-waiting-period-threshold-status").expectOne();g.hide();l.hide();a.preventDefault();a.stopPropagation();a={waiting_period_threshold:JSON.stringify(parseInt($("#id_realm_waiting_period_threshold").val(),10))};a=b(a,"settings");
channel.patch({url:"/json/realm",data:a,success:function(a){c(a,"settings");void 0!==a.waiting_period_threshold&&0<=a.waiting_period_threshold&&ui_report.success(i18n.t("Waiting period threshold changed!"),l);var b=!0,d;for(d in a)0>["msg","result"].indexOf(d)&&(b=!1);b&&ui_report.success(i18n.t("No changes to save!"),g)},error:function(a){ui_report.error(i18n.t("Failed"),a,g)}})});$(".organization").on("submit","form.org-permissions-form",function(a){_.each(d.permissions,function(a,b){k(b).hide()});
var g=$("#admin-realm-restricted-to-domain-status").expectOne(),l=$("#admin-realm-message-editing-status").expectOne();g.hide();l.hide();a.preventDefault();a.stopPropagation();a=$("#id_realm_allow_message_editing").prop("checked");var m=$("#id_realm_message_content_edit_limit_minutes").val(),r=$("#id_realm_message_retention_days").val();if(!a&&(parseInt(m,10).toString()!==m||0>m))m=10;parseInt(r,10).toString()!==r&&""!==r&&(r="");a={allow_message_editing:JSON.stringify(a),message_content_edit_limit_seconds:JSON.stringify(60*
parseInt(m,10)),message_retention_days:""!==r?JSON.stringify(parseInt(r,10)):null};a=b(a,"permissions");channel.patch({url:"/json/realm",data:a,success:function(a){c(a,"permissions");if(void 0!==a.allow_message_editing){var b=Math.ceil(a.message_content_edit_limit_seconds/60);a.allow_message_editing?0<a.message_content_edit_limit_seconds?ui_report.success(i18n.t("Users can now edit topics for all their messages, and the content of messages which are less than __num_minutes__ minutes old.",{num_minutes:b}),
l):ui_report.success(i18n.t("Users can now edit the content and topics of all their past messages!"),l):ui_report.success(i18n.t("Users can no longer edit their past messages!"),l);$("#id_realm_message_content_edit_limit_minutes").val(b)}var b=!0,d;for(d in a)0>["msg","result"].indexOf(d)&&(b=!1);b&&ui_report.success(i18n.t("No changes to save!"),g)},error:function(a){ui_report.error(i18n.t("Failed"),a,g)}})});$(".organization").on("submit","form.org-authentications-form",function(a){var b=$("#admin-realm-authentication-methods-status").expectOne(),
c={};_.each($("#admin_auth_methods_table").find("tr.method_row"),function(a){c[$(a).data("method")]=$(a).find("input").prop("checked")});b.hide();a.preventDefault();a.stopPropagation();a={authentication_methods:JSON.stringify(c)};channel.patch({url:"/json/realm",data:a,success:function(a){void 0!==a.authentication_methods&&a.authentication_methods&&ui_report.success(i18n.t("Authentication methods saved!"),b);var c=!0,d;for(d in a)0>["msg","result"].indexOf(d)&&(c=!1);c&&ui_report.success(i18n.t("No changes to save!"),
b)},error:function(a){ui_report.error(i18n.t("Failed"),a,b)}})});$("#realm_domains_table").on("click",".delete_realm_domain",function(){var a="/json/realm/domains/"+$(this).parents("tr").find(".domain").text(),b=$("#realm_domains_modal").find(".realm_domains_info");channel.del({url:a,success:function(){b.removeClass("text-error");b.addClass("text-success");b.text(i18n.t("Deleted successfully!"))},error:function(a){b.removeClass("text-success");b.addClass("text-error");b.text(JSON.parse(a.responseText).msg)}})});
$("#submit-add-realm-domain").click(function(){var a=$("#realm_domains_modal").find(".realm_domains_info"),b=$("#add-realm-domain-widget"),c=b.find(".new-realm-domain").val(),b=b.find(".new-realm-domain-allow-subdomains").prop("checked"),c={domain:JSON.stringify(c),allow_subdomains:JSON.stringify(b)};channel.post({url:"/json/realm/domains",data:c,success:function(){$("#add-realm-domain-widget .new-realm-domain").val("");$("#add-realm-domain-widget .new-realm-domain-allow-subdomains").prop("checked",
!1);$("#id_realm_restricted_to_domain").prop("disabled",!1);a.removeClass("text-error");a.addClass("text-success");a.text(i18n.t("Added successfully!"))},error:function(b){a.removeClass("text-success");a.addClass("text-error");a.text(JSON.parse(b.responseText).msg)}})});$("#realm_domains_table").on("change",".allow-subdomains",function(a){a.stopPropagation();var b=$("#realm_domains_modal").find(".realm_domains_info"),c=$(this).parents("tr").find(".domain").text(),d=$(this).prop("checked");a="/json/realm/domains/"+
c;var f={allow_subdomains:JSON.stringify(d)};channel.patch({url:a,data:f,success:function(){b.removeClass("text-error");b.addClass("text-success");d?b.text(i18n.t("Update successful: Subdomains allowed for __domain__",{domain:c})):b.text(i18n.t("Update successful: Subdomains no longer allowed for __domain__",{domain:c}))},error:function(a){b.removeClass("text-success");b.addClass("text-error");b.text(JSON.parse(a.responseText).msg)}})});realm_icon.build_realm_icon_widget(function(a){var b=new FormData;
b.append("csrfmiddlewaretoken",csrf_token);jQuery.each(a[0].files,function(a,c){b.append("file-"+a,c)});a=$("#upload_icon_spinner").expectOne();loading.make_indicator(a,{text:i18n.t("Uploading icon.")});channel.put({url:"/json/realm/icon",data:b,cache:!1,processData:!1,contentType:!1,success:function(){loading.destroy_indicator($("#upload_icon_spinner"))}})})}var a={};g=!1;a.reset=function(){g=!1};a.populate_realm_domains=function(a){if(g){var c=_.map(a,function(a){return a.allow_subdomains?"*."+
a.domain:a.domain}).join(", ");$("#id_realm_restricted_to_domain").prop("checked",page_params.realm_restricted_to_domain);0===c.length&&(c=i18n.t("None"),$("#id_realm_restricted_to_domain").prop("disabled",!0));$("#realm_restricted_to_domains_label").text(i18n.t("New users restricted to the following domains: __domains__",{domains:c}));var d=$("#realm_domains_table tbody").expectOne();d.find("tr").remove();_.each(a,function(a){d.append(templates.render("admin-realm-domains-list",{realm_domain:a}))})}};
a.reset_realm_default_language=function(){g&&$("#id_realm_default_language").val(page_params.realm_default_language)};a.toggle_name_change_display=function(){g&&($("#full_name").attr("disabled")?$("#full_name").removeAttr("disabled"):$("#full_name").attr("disabled","disabled"),$(".change_name_tooltip").toggle())};a.toggle_email_change_display=function(){g&&($("#change_email").toggle(),$(".change_email_tooltip").toggle())};a.update_realm_description=function(a){g&&$("#id_realm_description").val(a)};
a.update_message_retention_days=function(){g&&$("#id_realm_message_retention_days").val(page_params.message_retention_days)};a.populate_auth_methods=function(a){if(g){var c=$("#admin_auth_methods_table").expectOne();c.find("tr.method_row").remove();_.each(_.keys(a).sort(),function(d){c.append(templates.render("admin_auth_methods_list",{method:{method:d,enabled:a[d]}}))});loading.destroy_indicator($("#admin_page_auth_methods_loading_indicator"));page_params.is_admin||$(".organization-box [data-name='auth-methods']").find("input, button, select, checked").attr("disabled",
!0)}};a.set_up=function(){i18n.ensure_i18n(c)};return a}();"undefined"!==typeof module&&(module.exports=settings_org);var settings_users=function(){function g(a){var b={};b.user_row=$("tr.user_row[data-user-id='"+a+"']");b.form_row=$("tr.user-name-form[data-user-id='"+a+"']");return b}function k(a){return a.find(".email").text()}function c(a){var b=a.find("button.deactivate");a.find("button.open-user-form").hide();b.addClass("btn-warning");b.removeClass("btn-danger");b.addClass("reactivate");b.removeClass("deactivate");b.text(i18n.t("Reactivate"));a.addClass("deactivated_user")}function a(a){a.find(".user-admin-settings").show();
var b=a.find("button.reactivate");a.find("button.open-user-form").show();b.addClass("btn-danger");b.removeClass("btn-warning");b.addClass("deactivate");b.removeClass("reactivate");b.text(i18n.t("Deactivate"));a.removeClass("deactivated_user")}function b(a){loading.destroy_indicator($("#subs_page_loading_indicator"));ui_report.error(i18n.t("Error listing users or bots"),a,$("#organization-status"))}function f(a){var b=[],c=[],d=[];_.each(a.members,function(a){a.is_active_human=a.is_active&&!a.is_bot;
a.is_bot?d.push(a):a.is_active?b.push(a):c.push(a)});b=_.sortBy(b,"full_name");c=_.sortBy(c,"full_name");d=_.sortBy(d,"full_name");a=$("#admin_bots_table");list_render(a,d,{name:"admin_bot_list",modifier:function(a){return templates.render("admin_user_list",{user:a,can_modify:page_params.is_admin})},filter:{element:a.closest(".settings-section").find(".search"),callback:function(a,b){return a.full_name.toLowerCase().match(b)||a.email.toLowerCase().match(b)}}}).init();a=$("#admin_users_table");list_render(a,
b,{name:"users_table_list",modifier:function(a){var b;b=new XDate;if(people.is_current_user(a.email))b=timerender.render_date(b,void 0,b);else if(presence.presence_info[a.user_id]){var c=new XDate(1E3*presence.presence_info[a.user_id].last_active);b=timerender.render_date(c,void 0,b)}else b=$("<span></span>").text(i18n.t("Unknown"));a=$(templates.render("admin_user_list",{user:a,can_modify:page_params.is_admin}));a.find(".last_active").append(b);return a},filter:{element:a.closest(".settings-section").find(".search"),
callback:function(a,b){return a.full_name.toLowerCase().match(b)||a.email.toLowerCase().match(b)}}}).init();a=$("#admin_deactivated_users_table");list_render(a,c,{name:"deactivated_users_table_list",modifier:function(a){return templates.render("admin_user_list",{user:a,can_modify:page_params.is_admin})},filter:{element:a.closest(".settings-section").find(".search"),callback:function(a,b){return a.full_name.toLowerCase().match(b)||a.email.toLowerCase().match(b)}}}).init();loading.destroy_indicator($("#admin_page_users_loading_indicator"));
loading.destroy_indicator($("#admin_page_bots_loading_indicator"));loading.destroy_indicator($("#admin_page_deactivated_users_loading_indicator"))}var d={},e=!1,h;d.reset=function(){e=!1};d.update_user_data=function(b,d){if(e){var f=g(b),h=f.user_row,f=f.form_row;void 0!==d.full_name&&(h.find(".user_name").text(d.full_name),f.find("input[name='full_name']").val(d.full_name));void 0!==d.owner&&h.find(".owner").text(d.owner);void 0!==d.is_active&&(!1===d.is_active?c(h):a(h));f.find(".edit_bot_owner_container select").remove();
f.hide();h.show()}};d.set_up=function(){loading.make_indicator($("#admin_page_users_loading_indicator"));loading.make_indicator($("#admin_page_bots_loading_indicator"));loading.make_indicator($("#admin_page_deactivated_users_loading_indicator"));channel.get({url:"/json/users",idempotent:!0,timeout:1E4,success:d.on_load_success,error:b})};d.on_load_success=function(b){e=!0;f(b);$(".admin_user_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();a=$(a.target).closest(".user_row");
var b=a.find(".user_name").text(),c=k(a);$("#deactivation_user_modal .email").text(c);$("#deactivation_user_modal .user_name").text(b);$("#deactivation_user_modal").modal("show");h=a});$("#do_deactivate_user_button").expectOne().click(function(){var a=h.find(".email").text();$("#deactivation_user_modal .email").html()!==a&&(blueslip.error("User deactivation canceled due to non-matching fields."),ui_report.message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),"alert-error"));
$("#deactivation_user_modal").modal("hide");h.find("button").eq(0).prop("disabled",!0).text(i18n.t("Working\u2026"));channel.del({url:"/json/users/"+encodeURIComponent(a),error:function(a){"4"===a.status.toString().charAt(0)?h.find("button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):h.find("button").text(i18n.t("Failed!"))},success:function(){var a=h.find("button.deactivate");a.prop("disabled",!1);a.addClass("btn-warning reactivate").removeClass("btn-danger deactivate");
a.text(i18n.t("Reactivate"));h.addClass("deactivated_user");h.find("button.open-user-form").hide();h.find(".user-admin-settings").hide()}})});$(".admin_bot_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();var b=$(a.target).closest(".user_row");a=k(b);channel.del({url:"/json/bots/"+encodeURIComponent(a),error:function(a){"4"===a.status.toString().charAt(0)?b.find("button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):b.find("button").text(i18n.t("Failed!"))},
success:function(){c(b)}})});$(".admin_user_table, .admin_bot_table").on("click",".reactivate",function(b){b.preventDefault();b.stopPropagation();var c=$(b.target).closest(".user_row");b=k(c);channel.post({url:"/json/users/"+encodeURIComponent(b)+"/reactivate",error:function(a){var b=c.find("button");"4"===a.status.toString().charAt(0)?b.closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):b.text(i18n.t("Failed!"))},success:function(){a(c)}})});$(".admin_user_table").on("click",
".make-admin",function(a){a.preventDefault();a.stopPropagation();var b=$(a.target).closest(".user_row");a=k(b);a="/json/users/"+encodeURIComponent(a);var c={is_admin:JSON.stringify(!0)};channel.patch({url:a,data:c,success:function(){var a=b.find("button.make-admin");a.addClass("btn-danger");a.removeClass("btn-warning");a.addClass("remove-admin");a.removeClass("make-admin");a.text(i18n.t("Remove admin"))},error:function(a){var c=b.find(".admin-user-status");ui_report.error(i18n.t("Failed"),a,c)}})});
$(".admin_user_table").on("click",".remove-admin",function(a){a.preventDefault();a.stopPropagation();var b=$(a.target).closest(".user_row");a=k(b);a="/json/users/"+encodeURIComponent(a);var c={is_admin:JSON.stringify(!1)};channel.patch({url:a,data:c,success:function(){var a=b.find("button.remove-admin");a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("make-admin");a.removeClass("remove-admin");a.text(i18n.t("Make admin"))},error:function(a){var c=b.find(".admin-user-status");ui_report.error(i18n.t("Failed"),
a,c)}})});$(".admin_user_table, .admin_bot_table").on("click",".open-user-form",function(a){var b=people.get_realm_persons().filter(function(a){return!a.is_bot});a=$(a.currentTarget).attr("data-user-id");var c=g(a),d=c.user_row,e=c.form_row,c=e.find(".reset_edit_user"),f=e.find(".submit_name_changes"),h=e.find("input[name='full_name']"),k=$(templates.render("bot_owner_select",{users_list:b})),l=$("#organization-status").expectOne(),z=people.get_person_from_user_id(a);z&&(z.is_bot&&(k.val(bot_data.get(z.email).owner||
""),e.find(".edit_bot_owner_container").append(k)),d.hide(),e.show(),c.on("click",function(){k.remove();e.hide();d.show()}),f.on("click",function(a){a.preventDefault();a.stopPropagation();a="/json/bots/"+encodeURIComponent(z.email);var b={full_name:h.val()};void 0!==k.val()&&""!==k.val()&&(b.bot_owner=k.val());channel.patch({url:a,data:b,success:function(){ui_report.success(i18n.t("Updated successfully!"),l)},error:function(){ui_report.error(i18n.t("Failed"),l)}})}))})};return d}();
"undefined"!==typeof module&&(module.exports=settings_users);var settings_streams=function(){function g(a){ui_report.error(i18n.t("Error listing streams"),a,$("#organization-status"))}function k(a){var b=$("#admin_streams_table").expectOne();f=a;list_render(b,f.streams,{name:"admin_streams_list",modifier:function(a){return templates.render("admin_streams_list",{stream:a})},filter:{element:b.closest(".settings-section").find(".search"),callback:function(a,b){return a.name.toLowerCase().match(b)}}}).init();loading.destroy_indicator($("#admin_page_streams_loading_indicator"))}
function c(a){var b=[],c=[];_.each(page_params.realm_default_streams,function(a){c.push(a.name)});_.each(a.streams,function(a){0>c.indexOf(a.name)&&b.push(a.name)});return b}function a(a){a={stream_name:a};var b=$("#admin-default-stream-status");b.hide();channel.post({url:"/json/default_streams",data:a,error:function(a){"4"===a.status.toString().charAt(0)?ui_report.error(i18n.t("Failed!"),a,b):ui_report.error(i18n.t("Failed!"),b);b.show()}})}var b={reset:function(){}},f=[];b.build_default_stream_table=
function(a){var b={};b.row_dict=new Dict;var c=$("#admin_default_streams_table").expectOne();list_render(c,a,{name:"default_streams_list",modifier:function(a){var c=$(templates.render("admin_default_streams_list",{stream:a,can_modify:page_params.is_admin}));b.row_dict.set(a.stream_id,c);return c},filter:{element:c.closest(".settings-section").find(".search"),callback:function(a,b){return a.name.toLowerCase().match(b)}}}).init();loading.destroy_indicator($("#admin_page_default_streams_loading_indicator"));
b.remove=function(a){b.row_dict.has(a)&&b.row_dict.get(a).remove()};return b};var d;b.remove_default_stream=function(a){d&&d.remove(a)};b.update_default_streams_table=function(){if(/#*organization/.test(window.location.hash)||/#*settings/.test(window.location.hash))$("#admin_default_streams_table").expectOne().find("tr.default_stream_row").remove(),d=b.build_default_stream_table(page_params.realm_default_streams)};b.set_up=function(){loading.make_indicator($("#admin_page_streams_loading_indicator"));
channel.get({url:"/json/streams?include_public=true&include_subscribed=true&include_default=true",timeout:1E4,idempotent:!0,success:b.on_load_success,error:g})};b.on_load_success=function(d){k(d);b.update_default_streams_table();$(".admin_stream_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_stream_row").removeClass("active_stream_row");a=$(a.target).closest(".stream_row");a.addClass("active_stream_row");a=a.find(".stream_name").text();$("#deactivation_stream_modal .stream_name").text(a);
$("#deactivation_stream_modal").modal("show")});$(".create_default_stream").keypress(function(b){13===b.which&&(b.preventDefault(),b.stopPropagation(),b=$(".create_default_stream"),a(b.val()),b[0].value="")});$(".create_default_stream").typeahead({items:5,fixed:!0,source:function(){return c(f)},highlight:!0,updater:function(b){a(b)}});$(".default-stream-form").on("click","#do_submit_stream",function(b){b.preventDefault();b.stopPropagation();b=$(".create_default_stream");a(b.val());b[0].value=""});
$("#do_deactivate_stream_button").click(function(){$("#deactivation_stream_modal .stream_name").text()!==$(".active_stream_row").find(".stream_name").text()&&(blueslip.error("Stream deactivation canceled due to non-matching fields."),ui_report.message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),"alert-error"));$("#deactivation_stream_modal").modal("hide");$(".active_stream_row button").prop("disabled",!0).text(i18n.t("Working\u2026"));var a=$(".active_stream_row").find(".stream_name").text(),
a=stream_data.get_sub(a).stream_id;channel.del({url:"/json/streams/"+a,error:function(a){"4"===a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):$(".active_stream_row button").text(i18n.t("Failed!"))},success:function(){$(".active_stream_row").remove()}})})};return b}();"undefined"!==typeof module&&(module.exports=settings_streams);var settings_filters=function(){var g={},k=!1;g.reset=function(){k=!1};g.populate_filters=function(c){if(k){var a=$("#admin_filters_table").expectOne();a.find("tr.filter_row").remove();_.each(c,function(b){a.append(templates.render("admin_filter_list",{filter:{pattern:b[0],url_format_string:b[1],id:b[2]},can_modify:page_params.is_admin}))});loading.destroy_indicator($("#admin_page_filters_loading_indicator"))}};g.set_up=function(){k=!0;loading.make_indicator($("#admin_page_filters_loading_indicator"));
g.populate_filters(page_params.realm_filters);$(".admin_filters_table").on("click",".delete",function(c){c.preventDefault();c.stopPropagation();var a=$(this);channel.del({url:"/json/realm/filters/"+encodeURIComponent(a.attr("data-filter-id")),error:function(b){"4"===b.status.toString().charAt(0)?a.closest("td").html($("<p>").addClass("text-error").text($.parseJSON(b.responseText).msg)):a.text(i18n.t("Failed!"))},success:function(){a.parents("tr").remove()}})});$(".organization").on("submit","form.admin-filter-form",
function(c){c.preventDefault();c.stopPropagation();var a=$("#admin-filter-status"),b=$("#admin-filter-pattern-status"),f=$("#admin-filter-format-status");a.hide();b.hide();f.hide();_.each($(this).serializeArray(),function(a){});channel.post({url:"/json/realm/filters",data:$(this).serialize(),success:function(b){ui_report.success(i18n.t("Custom filter added!"),a)},error:function(c){var e=$.parseJSON(c.responseText).errors;void 0!==e.pattern&&(c.responseText=JSON.stringify({msg:e.pattern}),ui_report.error(i18n.t("Failed"),
c,b));void 0!==e.url_format_string&&(c.responseText=JSON.stringify({msg:e.url_format_string}),ui_report.error(i18n.t("Failed"),c,f));void 0!==e.__all__&&(c.responseText=JSON.stringify({msg:e.__all__}),ui_report.error(i18n.t("Failed"),c,a))}})})};return g}();"undefined"!==typeof module&&(module.exports=settings_filters);var settings=function(){function g(){a||(c={"your-account":i18n.t("Your account"),"display-settings":i18n.t("Display settings"),notifications:i18n.t("Notifications"),"your-bots":i18n.t("Your bots"),"alert-words":i18n.t("Alert words"),"uploaded-files":i18n.t("Uploaded files"),"muted-topics":i18n.t("Muted topics"),"zulip-labs":i18n.t("Zulip labs"),"organization-settings":i18n.t("Organization settings"),"organization-permissions":i18n.t("Organization permissions"),"emoji-settings":i18n.t("Emoji settings"),
"auth-methods":i18n.t("Authorization methods"),"user-list-admin":i18n.t("Active users"),"deactivated-users-admin":i18n.t("Deactivated users"),"bot-list-admin":i18n.t("Bot list"),"streams-list-admin":i18n.t("Streams"),"default-streams-list":i18n.t("Default streams"),"filter-settings":i18n.t("Filter settings")});var b;b=!1;var f=window.location.hash.split(/\//);/#*(settings)/.test(f[0])&&(b=(b=f[1])||"your-account");f=templates.render("settings_tab",{full_name:people.my_full_name(),page_params:page_params,
zuliprc:"zuliprc",timezones:moment.tz.names()});$(".settings-box").html(f);settings_sections.reset_sections();b&&k.launch_page(b)}var k={},c={},a=!1;$("body").ready(function(){var a=$(".form-sidebar"),c=a.find("[data-target]"),d=a.find(".title h1"),e=!1,g=function(){a.removeClass("show");e=!1};k.trigger_sidebar=function(g){c.hide();g=$(".form-sidebar").find("[data-target='"+g+"']");d.text(g.attr("data-title"));g.show();a.addClass("show");e=!0};$(".form-sidebar .exit").click(function(a){g();a.stopPropagation()});
$("body").click(function(a){e&&!$(a.target).within(".form-sidebar")&&g()});$("body").on("click","[data-sidebar-form]",function(a){k.trigger_sidebar($(this).attr("data-sidebar-form"));a.stopPropagation()});$("body").on("click","[data-sidebar-form-close]",g)});k.setup_page=function(){i18n.ensure_i18n(g)};k.launch_page=function(a){a=$("#settings_overlay_container li[data-section='"+a+"']");a.hasClass("admin")||$(".sidebar .ind-tab[data-tab-key='settings']").click();overlays.open_settings();a.click()};
k.set_settings_header=function(a){c[a]?$(".settings-header h1 .section").text(" / "+c[a]):blueslip.warn("Error: the key '"+a+"' does not exist in the settings header mapping file. Please add it.")};k.handle_up_arrow=function(a){a=a.target.previousElementSibling;"none"!==$(a).css("display")&&$(a).focus().click()};k.handle_down_arrow=function(a){a=a.target.nextElementSibling;"none"!==$(a).css("display")&&$(a).focus().click()};return k}();"undefined"!==typeof module&&(module.exports=settings);var admin_sections=function(){var g={},k=new Dict;g.load_admin_section=function(c){switch(c){case "organization-settings":case "organization-permissions":case "auth-methods":c="org";break;case "emoji-settings":c="emoji";break;case "bot-list-admin":case "user-list-admin":case "deactivated-users-admin":c="users";break;case "streams-list-admin":case "default-streams-list":c="streams";break;case "filter-settings":c="filters";break;default:blueslip.error("Unknown admin id "+c);return}if(!k.get(c)){switch(c){case "org":settings_org.set_up();
break;case "emoji":settings_emoji.set_up();break;case "users":settings_users.set_up();break;case "streams":settings_streams.set_up();break;case "filters":settings_filters.set_up();break;default:blueslip.error("programming error for section "+c);return}k.set(c,!0)}};g.reset_sections=function(){k.clear();settings_org.reset();settings_emoji.reset();settings_users.reset();settings_streams.reset();settings_filters.reset()};return g}();"undefined"!==typeof module&&(module.exports=admin_sections);var admin=function(){function g(){var c={realm_name:page_params.realm_name,realm_description:page_params.realm_description,realm_restricted_to_domain:page_params.realm_restricted_to_domain,realm_invite_required:page_params.realm_invite_required,realm_invite_by_admins_only:page_params.realm_invite_by_admins_only,realm_inline_image_preview:page_params.realm_inline_image_preview,server_inline_image_preview:page_params.server_inline_image_preview,realm_inline_url_embed_preview:page_params.realm_inline_url_embed_preview,
server_inline_url_embed_preview:page_params.server_inline_url_embed_preview,realm_authentication_methods:page_params.realm_authentication_methods,realm_create_stream_by_admins_only:page_params.realm_create_stream_by_admins_only,realm_name_changes_disabled:page_params.realm_name_changes_disabled,realm_email_changes_disabled:page_params.realm_email_changes_disabled,realm_add_emoji_by_admins_only:page_params.realm_add_emoji_by_admins_only,realm_allow_message_editing:page_params.realm_allow_message_editing,
realm_message_content_edit_limit_minutes:Math.ceil(page_params.realm_message_content_edit_limit_seconds/60),realm_message_retention_days:page_params.realm_message_retention_days,language_list:page_params.language_list,realm_default_language:page_params.realm_default_language,realm_waiting_period_threshold:page_params.realm_waiting_period_threshold,is_admin:page_params.is_admin,realm_icon_source:page_params.realm_icon_source,realm_icon_url:page_params.realm_icon_url},c=templates.render("admin_tab",
c);$("#settings_content .organization-box").html(c);$("#settings_content .alert").removeClass("show");admin_sections.reset_sections();var c=!1,a=window.location.hash.split(/\//);/#*(organization)/.test(a[0])&&(c=(c=a[1])||"organization-settings");c&&k.launch_page(c);$("#id_realm_default_language").val(page_params.realm_default_language);k.show_or_hide_menu_item()}var k={show_or_hide_menu_item:function(){var c=$(".admin-menu-item").expectOne();page_params.is_admin?c.find("span").text(i18n.t("Manage organization")):
(c.find("span").text(i18n.t("Organization settings")),$(".organization-box [data-name='organization-settings']").find("input, textarea, button, select").attr("disabled",!0),$(".organization-box [data-name='organization-permissions']").find("input, textarea, button, select").attr("disabled",!0),$(".organization-box [data-name='auth-methods']").find("input, button, select, checked").attr("disabled",!0),$(".organization-box [data-name='default-streams-list']").find("input:not(.search), button, select").attr("disabled",
!0),$(".organization-box [data-name='filter-settings']").find("input, button, select").attr("disabled",!0),$(".control-label-disabled").css("color","#333333"))},launch_page:function(c){c=$("#settings_overlay_container li[data-section='"+c+"']");c.hasClass("admin")&&$(".sidebar .ind-tab[data-tab-key='organization']").click();overlays.open_settings();c.click()},setup_page:function(){i18n.ensure_i18n(g)}};return k}();"undefined"!==typeof module&&(module.exports=admin);var tab_bar=function(){function g(a,c,d,e,g){return{active:"inactive",cls:e||"",title:a,hash:c,data:d,home:g||!1}}function k(){function a(){if(!d.has_operator("stream"))return!1;var b=d.operands("stream")[0],b=stream_data.get_stream_id(b);return!b?!0:!stream_data.in_home_view(b)}var c=[],d=narrow_state.filter();void 0!==d&&(a()||d.has_operand("in","all"))?c.push(g("All Messages","#narrow/in/all",void 0,"root")):void 0!==page_params.narrow?(c.push(g("Stream "+page_params.narrow_stream,hashchange.operators_to_hash([page_params.narrow[0]]),
page_params.narrow_stream,"stream")),void 0!==page_params.narrow_topic&&c.push(g("Topic "+page_params.narrow_topic,hashchange.operators_to_hash(page_params.narrow),null))):c.push(g("Home","#","home","root",!0));if(narrow_state.active()&&0<narrow_state.operators().length){var e,h=narrow_state.operators(),k=hashchange.operators_to_hash(h.slice(0,1));d.has_operator("stream")?(e=d.operands("stream")[0],c.push(g(e,k,e,"stream"))):d.has_operator("pm-with")||d.has_operand("is","private")?(c.push(g("Private Messages",
"#narrow/is/private",void 0,"private_message ")),d.has_operator("pm-with")&&(e=d.operands("pm-with")[0].split(","),e=_.map(e,function(a){return!people.get_by_email(a)?a:people.get_by_email(a).full_name}),c.push(g(e.join(", "),k)))):d.has_operand("is","starred")?c.push(g("Starred",k)):d.has_operator("near")?c.push(g("Near "+d.operands("near")[0],k)):d.has_operator("id")?c.push(g("ID "+d.operands("id")[0],k)):d.has_operand("is","mentioned")?c.push(g("Mentions",k)):d.has_operator("sender")?(e=d.operands("sender")[0],
people.get_by_email(e)&&(e=people.get_by_email(e).full_name),c.push(g("Sent by "+e,k))):d.has_operator("search")&&c.push(g("Search results",!1));d.has_operator("stream")&&d.has_operator("topic")&&(e=d.operands("stream")[0],e=d.operands("topic")[0],k=hashchange.operators_to_hash(h.slice(0,2)),c.push(g(e,k,null)))}c[c.length-1].hash=null;return c}function c(){var b=k(),c=$("#tab_bar");c.empty();b[b.length-1].active="active";b=templates.render("tab_bar",{tabs:b});c.append(b);a.colorize_tab_bar();c.removeClass("notdisplayed")}
var a={colorize_tab_bar:function(){var a=$("#tab_list .stream");if(0<a.length){var c=a.data("name");if(void 0!==c){var c=c.toString(),d=stream_data.get_color(c),c=stream_color.get_color_class(d),e=colorspace.getHexColor(colorspace.getLighterColor(colorspace.getDecimalColor(d),0.2));a.hasClass("stream")&&(a.css("border-left-color",d).css("background-color",d),a.hasClass("inactive")&&a.hover(function(){$(this).css("border-left-color",e).css("background-color",e)},function(){$(this).css("border-left-color",
d).css("background-color",d)}),a.removeClass(stream_color.color_classes),a.addClass(c))}}}};$(function(){$(document).on("narrow_activated.zulip",function(){c()});$(document).on("narrow_deactivated.zulip",function(){c()});c()});return a}();"undefined"!==typeof module&&(module.exports=tab_bar);var emoji=function(){var g={emojis:[],realm_emojis:{},emojis_by_name:{},emojis_name_to_css_class:{},emojis_by_unicode:{}},k=[],c=[],a={emoji_name:"zulip",emoji_url:"/static/generated/emoji/images/emoji/unicode/zulip.png",is_realm_emoji:!0};_.each(emoji_codes.names,function(a){k.push({emoji_name:a,codepoint:emoji_codes.name_to_codepoint[a],emoji_url:"/static/generated/emoji/images/emoji/unicode/"+emoji_codes.name_to_codepoint[a]+".png"})});_.each(emoji_codes.codepoints,function(a){c.push({emoji_name:a,
codepoint:a,emoji_url:"/static/generated/emoji/images/emoji/unicode/"+a+".png"})});g.update_emojis=function(b){g.realm_emojis={};g.emojis=k.slice(0);_.each(b,function(a,b){g.emojis.push({emoji_name:b,emoji_url:a.source_url,is_realm_emoji:!0});g.realm_emojis[b]={emoji_name:b,emoji_url:a.source_url}});g.emojis.push(a);g.realm_emojis.zulip=a;g.emojis_by_name={};g.emojis_name_to_css_class={};_.each(k,function(a){g.emojis_name_to_css_class[a.emoji_name]=emoji_codes.name_to_codepoint[a.emoji_name];g.emojis_by_name[a.emoji_name]=
a.emoji_url});_.each(emoji_codes.patched_css_classes,function(a,b){g.emojis_name_to_css_class[b]=a});g.emojis_by_unicode={};_.each(c,function(a){g.emojis_by_unicode[a.emoji_name]=a.emoji_url})};g.initialize=function(){(new Image).src="/static/generated/emoji/sheet_google_32.png"};g.update_emojis(page_params.realm_emoji);g.build_emoji_upload_widget=function(){var a=$("#emoji-file-name"),c=$("#emoji_file_input_error"),d=$("#emoji_image_clear_button"),e=$("#emoji_upload_button");return upload_widget.build_widget(function(){return $("#emoji_file_input")},
a,c,d,e)};return g}();"undefined"!==typeof module&&(module.exports=emoji);var referral=function(){function g(a){a.stop();a.css({opacity:100});a.show().delay(4E3).fadeOut(1E3,ui.resize_page_components)}var k={},c="nikola.tesla@example.com sam.morse@example.com c.shannon@example.com hedy.lamarr@example.com grace.hopper@example.com ada.lovelace@example.com".split(" "),a,b,f=!1;k.update_state=function(d,e){if(!(a===d&&b===e)){a=d;b=e;if(0>=d||!page_params.share_the_love)$("#share-the-love").hide();else{$("#referral-form input").attr("placeholder",_.shuffle(c).pop());$("#invite-hearts").empty();
var g;for(g=0;g<e;g+=1)$("#invite-hearts").append($('<i class="icon-vector-heart"> </i>'));var k=Math.max(0,d-e);for(g=0;g<k;g+=1)$("#invite-hearts").append($('<i class="icon-vector-heart-empty"> </i>'));g=i18n.t("__count__ invite remaining",{count:k});$(".invite-count").text(g);0<k?(f=!0,$(".still-have-invites").show(),$(".no-more-invites").hide()):($(".still-have-invites").hide(),$("#referral-form input").blur(),f&&$(".no-more-invites").show());0<e&&$("#encouraging-invite-message").hide();$("#share-the-love").show()}resize.resize_page_components()}};
$(function(){var c=$("#referral-form").validate({errorClass:"text-error",submitHandler:function(){channel.post({url:"/json/refer_friend",data:{email:$("#referral-form input").val()},error:function(){}});g($("#tell-a-friend-success"));$("#referral-form input").val("");k.update_state(a,b+1)},success:function(){resize.resize_page_components()},showErrors:function(){this.defaultShowErrors();resize.resize_page_components()}});$("#referral-form input").on("blur",function(){""===$("#referral-form input").val()&&
(c.resetForm(),resize.resize_page_components())});$("#referral-form").on("click",function(a){a.stopPropagation()});$("#share-the-love-expand-collapse").click(function(a){$("#share-the-love-contents").toggle();$("#share-the-love-expand-collapse .toggle").toggleClass("icon-vector-caret-right icon-vector-caret-down");resize.resize_page_components();a.stopPropagation()});k.update_state(page_params.referrals.granted,page_params.referrals.used)});return k}();
"undefined"!==typeof module&&(module.exports=referral);var custom_markdown=function(){(function(){function g(a,b){channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])}}).then(function(a){if(!$.isEmptyObject(a.already_subscribed)){var c=people.my_current_email();ui_report.success(i18n.t("Already subscribed to __stream__",{stream:a.already_subscribed[c][0]}),b)}},function(a){ui_report.error(i18n.t("Error adding subscription"),a,b)})}function k(a,b){channel.del({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([a])}}).then(function(){b.hide()},
function(a){ui_report.error(i18n.t("Error removing subscription"),a,b)})}function c(a,b){a.text(i18n.t("Subscribe to __stream__",{stream:stream_data.canonicalized_name(b)})).removeClass("btn-success").addClass("btn-default")}function a(a,b){a.text(i18n.t("Unsubscribe from __stream__",{stream:stream_data.canonicalized_name(b)})).removeClass("btn-default").addClass("btn-success")}var b={};$(function(){$("#main_div").delegate(".inline-subscribe-button","click",function(a){var b=$(a.target),c=b.closest(".inline-subscribe").attr("data-stream-name"),
b=b.siblings(".inline-subscribe-error");a.preventDefault();a.stopPropagation();stream_data.is_subscribed(c)?k(c,b):g(c,b)})});$(document).on("message_rendered.zulip",function(d){var e,f,g;d=$(d.target).find(".inline-subscribe");0!==d.length&&(f=d.attr("data-stream-name"),e=d.find(".inline-subscribe-button"),b[f]?g=b[f]:(g=_.uniqueId("inline-subscribe-id-"),b[f]=g),d.attr("data-stream-ui-id",g),stream_data.is_subscribed(f)?a(e,f):c(e,f))});var f=function(d){d=d.sub.name;var e=b[d],e=$("#main_div").find('.inline-subscribe[data-stream-ui-id="'+
e+'"] .inline-subscribe-button');stream_data.is_subscribed(d)?a(e,d):c(e,d)};$(document).on("subscription_add_done.zulip",f);$(document).on("subscription_remove_done.zulip",f)})();return{}}();"undefined"!==typeof module&&(module.exports=custom_markdown);var bot_data=function(){var g={},k={},c="api_key avatar_url default_all_public_streams default_events_register_stream default_sending_stream email full_name is_active owner".split(" "),a=_.debounce(function(){$(document).trigger("zulip.bot_data_changed")},50),b=function(a){page_params.is_admin?a.can_admin=!0:void 0!==a.owner&&people.is_current_user(a.owner)?a.can_admin=!0:a.can_admin=!1};g.add=function(f){var d=_.pick(f,c);k[f.email]=d;b(d);a()};g.deactivate=function(b){k[b].is_active=!1;a()};g.update=
function(f,d){var e=k[f];_.extend(e,_.pick(d,c));b(e);a()};g.get_all_bots_for_current_user=function(){return _.filter(k,function(a){return people.is_current_user(a.owner)})};g.get_editable=function(){return _.filter(k,function(a){return a.is_active&&people.is_current_user(a.owner)})};g.get=function(a){return k[a]};g.initialize=function(){_.each(page_params.realm_bots,function(a){g.add(a)})};return g}();"undefined"!==typeof module&&(module.exports=bot_data);var reactions=function(){function g(a,b,c){if(emoji.emojis_by_name[b]||emoji.realm_emojis[b])a={url:"/json/messages/"+a+"/emoji_reactions/"+encodeURIComponent(b),data:{},success:function(){},error:function(a){a=channel.xhr_error_message("Error sending reaction",a);blueslip.warn(a)}},"add"===c?channel.put(a):"remove"===c&&channel.del(a)}function k(a,b){return a.reactions.filter(function(a){return a.emoji_name===b}).map(function(a){return a.user.id})}function c(a){return a===page_params.user_id?"You (click to remove)":
people.get_person_from_user_id(a).full_name}function a(a,b){var e=b.indexOf(page_params.user_id);-1!==e&&(b.splice(e,1),b.unshift(page_params.user_id));var e=" reacted with :"+a+":",g=b.map(c);return 1===g.length?g[0]+e:_.initial(g).join(", ")+" and "+_.last(g)+e}var b={current_user_has_reacted_to_emoji:function(a,b){var c=page_params.user_id;return _.any(a.reactions,function(a){return a.user.id===c&&a.emoji_name===b})},toggle_emoji_reaction:function(a,c){var e;e=message_store.get(a);e||(blueslip.error("reactions: Bad message id: "+
a),e=void 0);e&&(e=b.current_user_has_reacted_to_emoji(e,c)?"remove":"add",g(a,c,e),emoji_picker.hide_emoji_popover())},get_reaction_section:function(a){return $(".message_table").find("[zid='"+a+"']").find(".message_reactions")},find_reaction:function(a,c){return b.get_reaction_section(a).find("[data-emoji-name='"+c+"']")},get_add_reaction_button:function(a){return b.get_reaction_section(a).find(".reaction_button")},set_reaction_count:function(a,b){a.find(".message_reaction_count").html(b)},add_reaction:function(a){var c=
a.emoji_name,e=message_store.get(a.message_id);void 0!==e&&(a.emoji_name_css_class=emoji.emojis_name_to_css_class[c],a.user.id=a.user.user_id,e.reactions.push(a),c=k(e,c),1<c.length?b.update_existing_reaction(a,c):b.insert_new_reaction(a,c))},update_existing_reaction:function(c,d){var e=c.emoji_name,g=b.find_reaction(c.message_id,e);b.set_reaction_count(g,d.length);e=a(e,d);g.prop("title",e);c.user.id===page_params.user_id&&g.addClass("reacted")},insert_new_reaction:function(c,d){var e=c.message_id,
g=c.emoji_name,k=a(g,d);emoji.realm_emojis[g]&&(c.is_realm_emoji=!0,c.url=emoji.realm_emojis[g].emoji_url);c.count=1;c.title=k;c.emoji_alt_code=page_params.emoji_alt_code;c.class=c.user.id===page_params.user_id?"message_reaction reacted":"message_reaction";g=$(templates.render("message_reaction",c));e=b.get_add_reaction_button(e);g.insertBefore(e)},remove_reaction:function(c){var d=c.emoji_name,e=c.message_id,g=c.user.user_id,l=-1;c=message_store.get(e);if(void 0!==c)if(_.each(c.reactions,function(a,
b){a.emoji_name===d&&a.user.id===g&&(l=b)}),-1!==l&&c.reactions.splice(l,1),c=k(c,d),e=b.find_reaction(e,d),0===c.length)e.remove();else{var m=a(d,c);e.prop("title",m);b.set_reaction_count(e,c.length);g===page_params.user_id&&e.removeClass("reacted")}},get_emojis_used_by_user_for_message_id:function(a){var b=page_params.user_id;return message_store.get(a).reactions.filter(function(a){return a.user.id===b}).map(function(a){return a.emoji_name})},get_message_reactions:function(b){var c=new Dict;_.each(b.reactions,
function(a){var g=a.user.id;people.is_known_user_id(g)?c.setdefault(a.emoji_name,[]).push(g):blueslip.warn("Unknown user_id "+g+"in reaction for message "+b.id)});return c.items().map(function(b){var c=b[0];b=b[1];c={emoji_name:c,emoji_name_css_class:emoji.emojis_name_to_css_class[c],count:b.length,title:a(c,b),emoji_alt_code:page_params.emoji_alt_code};emoji.realm_emojis[c.emoji_name]&&(c.is_realm_emoji=!0,c.url=emoji.realm_emojis[c.emoji_name].emoji_url);-1!==b.indexOf(page_params.user_id)?c.class=
"message_reaction reacted":c.class="message_reaction";return c})},initialize:function(){$(document).on("message_id_changed",function(a){$(".message_reactions[data-message-id='"+a.old_id+"']").attr("data-message-id",a.new_id)})}};return b}();"undefined"!==typeof module&&(module.exports=reactions);var typing=function(){function g(c,a){channel.post({url:"/json/typing",data:{to:c,op:a},success:function(){},error:function(a){blueslip.warn("Failed to send typing event: "+a.responseText)}})}var k={get_recipient:function(){var c=compose_state.recipient();return""===c?void 0:c},is_valid_conversation:function(c){return!c||!compose_state.has_message_content()||"private"!==compose_state.get_message_type()||0<compose.get_invalid_recipient_emails().length?!1:!0},get_current_time:function(){return new Date},
notify_server_start:function(c){g(c,"start")},notify_server_stop:function(c){g(c,"stop")}};$(document).on("input","#new_message_content",function(){typing_status.handle_text_input(k)});$(document).on("compose_canceled.zulip compose_finished.zulip",function(){typing_status.stop(k)});return{}}();"undefined"!==typeof module&&(module.exports=typing);var typing_status=function(){function g(a){var f=c.state;f.idle_timer&&clearTimeout(f.idle_timer);a.notify_server_stop(f.current_recipient);c.initialize_state()}function k(b){var f=c.state;f.idle_timer&&clearTimeout(f.idle_timer);f.idle_timer=setTimeout(function(){g(b)},a)}var c={},a=5E3;c.state={};c.initialize_state=function(){c.state.current_recipient=void 0;c.state.next_send_start_time=void 0;c.state.idle_timer=void 0};c.initialize_state();c.handle_text_input=function(a){var f=a.get_recipient(),
d=c.state.current_recipient;if(d){if(f===d){d=a.get_current_time();d>c.state.next_send_start_time&&(a.notify_server_start(f),c.state.next_send_start_time=d+1E4);k(a);return}g(a)}a.is_valid_conversation(f)&&(c.state.current_recipient=f,d=a.get_current_time(),a.notify_server_start(f),c.state.next_send_start_time=d+1E4,k(a))};c.stop=function(a){c.state.current_recipient&&g(a)};return c}();"undefined"!==typeof module&&(module.exports=typing_status);var typing_data=function(){function g(a){return parseInt(a,10)}function k(a){a=_.map(a,g);a.sort(function(a,b){return a-b});return a=_.uniq(a,!0)}function c(a){return k(a).join(",")}var a={},b=new Dict,f=new Dict;a.add_typist=function(a,e){var f=c(a),l=b.get(f)||[];e=g(e);_.contains(l,e)||l.push(e);b.set(f,k(l))};a.remove_typist=function(a,e){var f=c(a),k=b.get(f)||[];e=g(e);if(!_.contains(k,e))return!1;k=_.reject(k,function(a){return g(a)===g(e)});b.set(f,k);return!0};a.get_group_typists=function(a){a=
c(a);return b.get(a)||[]};a.get_all_typists=function(){var a=_.flatten(b.values(),!0),a=k(a);return a=_.uniq(a,!0)};a.clear_inbound_timer=function(a){a=c(a);var b=f.get(a);b&&(clearTimeout(b),f.set(a,void 0))};a.kickstart_inbound_timer=function(b,e,g){var k=c(b);a.clear_inbound_timer(b);b=setTimeout(g,e);f.set(k,b)};return a}();"undefined"!==typeof module&&(module.exports=typing_data);var typing_events=function(){function g(){if(!narrow_state.narrowed_to_pms())return[];var a=narrow_state.operators()[0];return"pm-with"===a.operator?(a=people.emails_strings_to_user_ids_string(a.operand).split(",").map(function(a){return parseInt(a,10)}).concat([page_params.user_id]),typing_data.get_group_typists(a)):typing_data.get_all_typists()}function k(){var a=g().map(people.get_person_from_user_id);0===a.length?$("#typing_notifications").hide():($("#typing_notifications").html(templates.render("typing_notifications",
{users:a})),$("#typing_notifications").show())}var c={hide_notification:function(a){var b=a.recipients.map(function(a){return a.user_id});b.sort();typing_data.clear_inbound_timer(b);typing_data.remove_typist(b,a.sender.user_id)&&k()},display_notification:function(a){var b=a.recipients.map(function(a){return a.user_id});b.sort();var f=a.sender.user_id;a.sender.name=people.get_person_from_user_id(f).full_name;typing_data.add_typist(b,f);k();typing_data.kickstart_inbound_timer(b,15E3,function(){c.hide_notification(a)})}};
$(document).on("narrow_activated.zulip",k);$(document).on("narrow_deactivated.zulip",k);return c}();"undefined"!==typeof module&&(module.exports=typing_events);(function(){function g(){void 0!==k&&(k.find("span.edit_content").html(""),k.removeClass("message_hovered"),k=void 0)}var k;$(function(){var c=$.throttle(50,function(a,b){0<b?message_viewport.at_top()&&navigate.up():0>b&&message_viewport.at_bottom()&&navigate.down();message_viewport.last_movement_direction=b});message_viewport.message_pane.mousewheel(function(a,b){overlays.is_active()||c(a,b)});$(window).resize($.throttle(50,resize.handler));$(".modal-body, .scrolling_list, input, textarea").mousewheel(function(a,
b){var c=$(this),d=c.scrollTop(),c=this.scrollHeight-c.innerHeight()-1;a.stopPropagation();(0<b&&0>=d||0>b&&d>=c)&&a.preventDefault()});$("#compose").mousewheel(function(a){a.stopPropagation();a.preventDefault()});resize.handler();page_params.left_side_userlist||$("#navbar-buttons").addClass("right-userlist");$("#main_div").on("mouseover",".message_row",function(){var a=$(this).closest(".message_row"),b,c=parseInt(a.attr("zid"),10);if((!k||!(a&&k.attr("zid")===a.attr("zid")))&&!a.hasClass("local"))b=
current_msg_list.get(rows.id(a)),g(),a.addClass("message_hovered"),k=a,b.sent_by_me&&(message_edit.get_editability(b)===message_edit.editability_types.FULL&&!b.status_message?a.find(".edit_content").html('<i class="icon-vector-pencil edit_content_button"></i>'):a.find(".edit_content").html('<i class="icon-vector-file-text-alt edit_content_button" data-msgid="'+c+'"></i>'))});$("#main_div").on("mouseleave",".message_row",function(){g()});$("#main_div").on("mouseover",".message_sender",function(){$(this).closest(".message_row").addClass("sender_name_hovered")});
$("#main_div").on("mouseout",".message_sender",function(){$(this).closest(".message_row").removeClass("sender_name_hovered")});$("#subscriptions_table").on("mouseover",".subscription_header",function(){$(this).addClass("active")});$("#subscriptions_table").on("mouseout",".subscription_header",function(){$(this).removeClass("active")});$("#stream").on("blur",function(){compose_actions.decorate_stream_bar(this.value)});$(window).on("blur",function(){$(document.body).addClass("window_blurred")});$(window).on("focus",
function(){$(document.body).removeClass("window_blurred")});$(document).on("message_selected.zulip",function(a){if(current_msg_list===a.msg_list&&-1!==a.id){var b=a.msg_list.get_row(a.id);$(".selected_message").removeClass("selected_message");b.addClass("selected_message");if(a.then_scroll){if(0===b.length){var c=current_msg_list.get_row(a.id);blueslip.debug("message_selected missing selected row",{previously_selected:a.previously_selected,selected_id:a.id,selected_idx:a.msg_list.selected_idx(),selected_idx_exact:a.msg_list._items.indexOf(a.msg_list.get(a.id)),
render_start:a.msg_list.view._render_win_start,render_end:a.msg_list.view._render_win_end,selected_id_from_idx:a.msg_list._items[a.msg_list.selected_idx()].id,msg_list_sorted:_.isEqual(_.pluck(a.msg_list._items,"id"),_.chain(current_msg_list._items).pluck("id").clone().value().sort()),found_in_dom:c.length})}void 0!==a.target_scroll_offset?message_viewport.set_message_offset(a.target_scroll_offset):message_viewport.recenter_view(b,{from_scroll:a.from_scroll,force_center:-1===a.previously_selected})}}});
$("#main_div").on("mouseenter",".message_time",function(a){a=$(a.target);var b=a.closest(".message_row"),b=current_msg_list.get(rows.id(b));timerender.set_full_datetime(b,a)});$("#streams_header h4").tooltip({placement:"right",animation:!1});$('#streams_header i[data-toggle="tooltip"]').tooltip({placement:"left",animation:!1});$('.message_failed i[data-toggle="tooltip"]').tooltip();$('.copy_message[data-toggle="tooltip"]').tooltip();$("body").on("mouseover",".message_edit_content",function(){$(this).closest(".message_row").find(".copy_message").show()});
$("body").on("mouseout",".message_edit_content",function(){$(this).closest(".message_row").find(".copy_message").hide()});$("body").on("mouseenter",".copy_message",function(){$(this).show();$(this).tooltip("show")});$("body").on("mouseleave",".copy_message",function(){$(this).tooltip("hide")});page_params.realm_allow_message_editing||$("#edit-message-hotkey-help").hide();page_params.realm_presence_disabled&&($("#user-list").hide(),$("#group-pm-list").hide());feature_flags.full_width&&ui.switchToFullWidth();
reload.initialize();people.initialize();bot_data.initialize();markdown.initialize();composebox_typeahead.initialize();search.initialize();tutorial.initialize();notifications.initialize();gear_menu.initialize();settings_sections.initialize();hashchange.initialize();pointer.initialize();unread_ui.initialize();activity.initialize();emoji.initialize();hotspots.initialize();reactions.initialize();compose_fade.initialize();stream_list.initialize()})})();var emoji_picker=function(){function g(a,b){function c(a){switch(a){case "+1":return 1;case "tada":return 2;case "simple_smile":return 3;case "laughing":return 4;case "100":return 5;default:return 999}}var d=c(a.name)-c(b.name);return 0!==d?d:util.strcmp(a.name,b.name)}function k(a){var b=message_viewport.height()-a.offset().top,c=message_viewport.width()-a.offset().left,b=400>b,d=400>a.offset().top;a=200>a.offset().left;var c=200>c,e="bottom";b&&!d&&(e="top");c&&!a&&(e="left");a&&!c&&(e="right");
return e}function c(a){var b=_.clone(emoji.emojis_name_to_css_class);_.each(emoji.realm_emojis,function(a,c){b[c]={name:c,is_realm_emoji:!0,url:a.emoji_url}});if(void 0!==a){var c=reactions.get_emojis_used_by_user_for_message_id(a);_.each(c,function(a){b[a]={name:a,has_reacted:!0,css_class:emoji.emojis_name_to_css_class[a],is_realm_emoji:b[a].is_realm_emoji,url:b[a].url}})}c=_.map(b,function(a,b){return a.name?a:{name:b,css_class:emoji.emojis_name_to_css_class[b],has_reacted:!1,is_realm_emoji:!1}});
a={message_id:a,emojis:c.sort(g)};return templates.render("emoji_popover_content",a)}function a(){return $(".emoji-popover-emoji").filter(":focus")[0]}function b(){var a=$(".emoji-popover-filter").expectOne().val().trim().toLowerCase(),b=$(".emoji-popover-emoji");""!==a?b.each(function(){-1===this.title.indexOf(a)?this.classList.add("hide"):this.classList.remove("hide")}):b.removeClass("hide");h.render_emoji_show_list()}function f(a){if(0<=a&&a<m.length)return m[a]}function d(a){return m.findIndex(function(b){return a===
b})}function e(a){13===a.keyCode&&(a.preventDefault(),(a=f(0))&&(emoji_picker.is_composition(a)?a.click():reactions.toggle_emoji_reaction(current_msg_list.selected_id(),a.title)))}var h={},l;h.toggle_emoji_popover=function(a,b){var d=l;popovers.hide_all();$(a).closest(".message_row").toggleClass("has_popover has_emoji_popover");void 0!==d&&d.get()[0]===a||(d=$(a),void 0!==b&&current_msg_list.select_id(b),void 0===d.data("popover")&&(d.prop("title",""),d.popover({placement:k(d),title:"",content:c(b),
trigger:"manual"}),d.popover("show"),d.prop("title","Add reaction..."),$(".emoji-popover-filter").focus(),$(".emoji-popover-emoji-map").perfectScrollbar({suppressScrollX:!0,useKeyboard:!1,wheelSpeed:25}),l=d,h.render_emoji_show_list()))};h.reactions_popped=function(){return void 0!==l};h.hide_emoji_popover=function(){$(".has_popover").removeClass("has_popover has_emoji_popover");h.reactions_popped()&&($(".emoji-popover-emoji-map").perfectScrollbar("destroy"),l.popover("destroy"),l=void 0)};var m=
[];h.render_emoji_show_list=function(){m=$(".emoji-popover-emoji").filter(function(){return"inline-block"===$(this).css("display")}).toArray()};$(document).on("click",".emoji-popover-emoji.reaction",function(){var a=this.title,b=$(this).parent().attr("data-message-id"),c=message_store.get(b);c?(reactions.current_user_has_reacted_to_emoji(c,a)&&$(this).removeClass("reacted"),reactions.toggle_emoji_reaction(b,a)):blueslip.error("reactions: Bad message id: "+b)});h.toggle_selected_emoji=function(){var b=
current_msg_list.selected_id();if(message_store.get(b)){var c=a();void 0!==c&&reactions.toggle_emoji_reaction(b,c.title)}else blueslip.error("reactions: Bad message id: "+b)};h.navigate=function(b,c){var e=f(0),g=a(),h=d(g);if("down_arrow"===c)$(".emoji-popover-filter").is(":focus")&&e&&$(e).focus();else if("up_arrow"===c&&g&&6>h)return $(".emoji-popover-filter").focus().caret(Infinity),!0;if(void 0===g)return!1;var k;switch(c){case "down_arrow":k=h+6;break;case "up_arrow":k=h-6;break;case "left_arrow":k=
h-1;break;case "right_arrow":k=h+1}return(e=f(k))?($(e).focus(),!0):!1};h.register_click_handlers=function(){$(document).on("click",".emoji-popover-emoji.composition",function(a){var b=":"+this.title+":",c=$("#new_message_content");c.caret(b);c.focus();a.stopPropagation();emoji_picker.hide_emoji_popover()});$("#compose").on("click","#emoji_map",function(a){a.preventDefault();a.stopPropagation();emoji_picker.toggle_emoji_popover(this)});$("#main_div").on("click",".reactions_hover, .reaction_button",
function(a){var b=$(this).closest(".message_row");a.stopPropagation();emoji_picker.toggle_emoji_popover(this,rows.id(b))});$("body").on("click",".actions_popover .reaction_button",function(a){var b=$(a.currentTarget).data("message-id");a.preventDefault();a.stopPropagation();emoji_picker.toggle_emoji_popover($(".selected_message .icon-vector-chevron-down")[0],b)});$(document).on("input",".emoji-popover-filter",b);$(document).on("keydown",".emoji-popover-filter",e)};h.is_composition=function(a){return a.classList.contains("composition")};
return h}();"undefined"!==typeof module&&(module.exports=emoji_picker);var compose_ui=function(){return{autosize_textarea:function(){$("#new_message_content").trigger("autosize.resize")}}}();"undefined"!==typeof module&&(module.exports=compose_ui);
